#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9575
#define LARGE_STATE_COUNT 4414
#define SYMBOL_COUNT 637
#define ALIAS_COUNT 27
#define TOKEN_COUNT 275
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 30
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 216

enum ts_symbol_identifiers {
  aux_sym_preproc_include_token1 = 1,
  aux_sym_preproc_include_token2 = 2,
  aux_sym_preproc_def_token1 = 3,
  aux_sym_preproc_def_token2 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  sym_preproc_comment = 22,
  anon_sym_PLUS = 23,
  anon_sym_DASH = 24,
  anon_sym_STAR = 25,
  anon_sym_SLASH = 26,
  anon_sym_PERCENT = 27,
  anon_sym_PIPE_PIPE = 28,
  anon_sym_AMP_AMP = 29,
  anon_sym_PIPE = 30,
  anon_sym_CARET = 31,
  anon_sym_AMP = 32,
  anon_sym_EQ_EQ = 33,
  anon_sym_BANG_EQ = 34,
  anon_sym_GT = 35,
  anon_sym_GT_EQ = 36,
  anon_sym_LT_EQ = 37,
  anon_sym_LT = 38,
  anon_sym_LT_LT = 39,
  anon_sym_GT_GT = 40,
  sym_system_lib_string = 41,
  aux_sym_program_statement_token1 = 42,
  aux_sym_end_program_statement_token1 = 43,
  aux_sym_end_program_statement_token2 = 44,
  aux_sym_module_statement_token1 = 45,
  aux_sym_end_module_statement_token1 = 46,
  aux_sym_submodule_statement_token1 = 47,
  anon_sym_COLON = 48,
  aux_sym_end_submodule_statement_token1 = 49,
  anon_sym_SEMI = 50,
  aux_sym_interface_statement_token1 = 51,
  aux_sym_end_interface_statement_token1 = 52,
  aux_sym_block_data_statement_token1 = 53,
  aux_sym_block_data_statement_token2 = 54,
  aux_sym_block_data_statement_token3 = 55,
  aux_sym_end_block_data_statement_token1 = 56,
  aux_sym_assignment_token1 = 57,
  anon_sym_EQ = 58,
  aux_sym_operator_token1 = 59,
  aux_sym_operator_token2 = 60,
  aux_sym_defined_io_procedure_token1 = 61,
  aux_sym_defined_io_procedure_token2 = 62,
  aux_sym_defined_io_procedure_token3 = 63,
  aux_sym_defined_io_procedure_token4 = 64,
  aux_sym_subroutine_statement_token1 = 65,
  aux_sym_end_subroutine_statement_token1 = 66,
  aux_sym_module_procedure_statement_token1 = 67,
  aux_sym_end_module_procedure_statement_token1 = 68,
  aux_sym_function_statement_token1 = 69,
  aux_sym_language_binding_token1 = 70,
  aux_sym_procedure_attributes_token1 = 71,
  aux_sym_procedure_attributes_token2 = 72,
  aux_sym_procedure_attributes_token3 = 73,
  aux_sym_procedure_attributes_token4 = 74,
  aux_sym_procedure_attributes_token5 = 75,
  aux_sym_end_function_statement_token1 = 76,
  aux_sym_function_result_token1 = 77,
  aux_sym_contains_statement_token1 = 78,
  aux_sym_use_statement_token1 = 79,
  aux_sym_use_statement_token2 = 80,
  aux_sym_use_statement_token3 = 81,
  anon_sym_COLON_COLON = 82,
  aux_sym_included_items_token1 = 83,
  anon_sym_EQ_GT = 84,
  aux_sym_implicit_statement_token1 = 85,
  aux_sym_implicit_statement_token2 = 86,
  aux_sym_implicit_statement_token3 = 87,
  aux_sym_implicit_statement_token4 = 88,
  aux_sym_save_statement_token1 = 89,
  aux_sym_private_statement_token1 = 90,
  aux_sym_public_statement_token1 = 91,
  aux_sym_namelist_statement_token1 = 92,
  aux_sym_common_statement_token1 = 93,
  aux_sym_implicit_range_token1 = 94,
  aux_sym_import_statement_token1 = 95,
  aux_sym__import_names_token1 = 96,
  aux_sym_derived_type_definition_token1 = 97,
  aux_sym_abstract_specifier_token1 = 98,
  aux_sym_base_type_specifier_token1 = 99,
  aux_sym_end_type_statement_token1 = 100,
  aux_sym_procedure_kind_token1 = 101,
  aux_sym_procedure_kind_token2 = 102,
  aux_sym_procedure_kind_token3 = 103,
  aux_sym_procedure_kind_token4 = 104,
  aux_sym_procedure_attribute_token1 = 105,
  aux_sym_procedure_attribute_token2 = 106,
  aux_sym_procedure_attribute_token3 = 107,
  aux_sym_procedure_attribute_token4 = 108,
  aux_sym_procedure_attribute_token5 = 109,
  aux_sym_procedure_attribute_token6 = 110,
  aux_sym_variable_attributes_token1 = 111,
  aux_sym_variable_attributes_token2 = 112,
  aux_sym_variable_attributes_token3 = 113,
  aux_sym_variable_attributes_token4 = 114,
  aux_sym_variable_attributes_token5 = 115,
  aux_sym__intrinsic_type_token1 = 116,
  aux_sym__intrinsic_type_token2 = 117,
  aux_sym__intrinsic_type_token3 = 118,
  aux_sym__intrinsic_type_token4 = 119,
  aux_sym__intrinsic_type_token5 = 120,
  aux_sym__intrinsic_type_token6 = 121,
  aux_sym__intrinsic_type_token7 = 122,
  aux_sym__intrinsic_type_token8 = 123,
  aux_sym__intrinsic_type_token9 = 124,
  aux_sym__intrinsic_type_token10 = 125,
  aux_sym_derived_type_token1 = 126,
  aux_sym_declared_type_token1 = 127,
  aux_sym_declared_type_token2 = 128,
  aux_sym_kind_token1 = 129,
  aux_sym__standalone_type_qualifier_token1 = 130,
  aux_sym__standalone_type_qualifier_token2 = 131,
  aux_sym__standalone_type_qualifier_token3 = 132,
  aux_sym__standalone_type_qualifier_token4 = 133,
  aux_sym__standalone_type_qualifier_token5 = 134,
  aux_sym__standalone_type_qualifier_token6 = 135,
  aux_sym__standalone_type_qualifier_token7 = 136,
  aux_sym__standalone_type_qualifier_token8 = 137,
  aux_sym__standalone_type_qualifier_token9 = 138,
  aux_sym__standalone_type_qualifier_token10 = 139,
  aux_sym__standalone_type_qualifier_token11 = 140,
  aux_sym__standalone_type_qualifier_token12 = 141,
  aux_sym__standalone_type_qualifier_token13 = 142,
  aux_sym__standalone_type_qualifier_token14 = 143,
  aux_sym__standalone_type_qualifier_token15 = 144,
  aux_sym__standalone_type_qualifier_token16 = 145,
  aux_sym__standalone_type_qualifier_token17 = 146,
  aux_sym_type_qualifier_token1 = 147,
  aux_sym_type_qualifier_token2 = 148,
  aux_sym_procedure_qualifier_token1 = 149,
  aux_sym_procedure_qualifier_token2 = 150,
  aux_sym_procedure_qualifier_token3 = 151,
  aux_sym_procedure_qualifier_token4 = 152,
  aux_sym_procedure_qualifier_token5 = 153,
  aux_sym_equivalence_statement_token1 = 154,
  aux_sym_stop_statement_token1 = 155,
  aux_sym_stop_statement_token2 = 156,
  aux_sym_stop_statement_token3 = 157,
  aux_sym_subroutine_call_token1 = 158,
  anon_sym_LT_LT_LT = 159,
  anon_sym_GT_GT_GT = 160,
  aux_sym_keyword_statement_token1 = 161,
  aux_sym_keyword_statement_token2 = 162,
  aux_sym_keyword_statement_token3 = 163,
  aux_sym_keyword_statement_token4 = 164,
  aux_sym_keyword_statement_token5 = 165,
  aux_sym_keyword_statement_token6 = 166,
  aux_sym_keyword_statement_token7 = 167,
  aux_sym_include_statement_token1 = 168,
  aux_sym_do_loop_statement_token1 = 169,
  aux_sym_end_do_loop_statement_token1 = 170,
  aux_sym_while_statement_token1 = 171,
  aux_sym_concurrent_header_token1 = 172,
  aux_sym_concurrent_locality_token1 = 173,
  aux_sym_concurrent_locality_token2 = 174,
  aux_sym_concurrent_locality_token3 = 175,
  aux_sym_concurrent_locality_token4 = 176,
  aux_sym_binary_op_token1 = 177,
  aux_sym__inline_if_statement_token1 = 178,
  aux_sym__block_if_statement_token1 = 179,
  aux_sym_end_if_statement_token1 = 180,
  aux_sym_elseif_clause_token1 = 181,
  aux_sym_elseif_clause_token2 = 182,
  aux_sym__inline_where_statement_token1 = 183,
  aux_sym_end_where_statement_token1 = 184,
  aux_sym_elsewhere_clause_token1 = 185,
  aux_sym__forall_control_expression_token1 = 186,
  aux_sym_end_forall_statement_token1 = 187,
  aux_sym_select_case_statement_token1 = 188,
  aux_sym_select_case_statement_token2 = 189,
  aux_sym_select_case_statement_token3 = 190,
  aux_sym_select_type_statement_token1 = 191,
  aux_sym_select_rank_statement_token1 = 192,
  aux_sym_end_select_statement_token1 = 193,
  aux_sym_type_statement_token1 = 194,
  aux_sym_type_statement_token2 = 195,
  aux_sym_type_statement_token3 = 196,
  aux_sym__class_default_token1 = 197,
  aux_sym_end_block_construct_statement_token1 = 198,
  aux_sym_associate_statement_token1 = 199,
  aux_sym_end_associate_statement_token1 = 200,
  aux_sym_format_statement_token1 = 201,
  aux_sym_edit_descriptor_token1 = 202,
  aux_sym_print_statement_token1 = 203,
  aux_sym_open_statement_token1 = 204,
  aux_sym_close_statement_token1 = 205,
  aux_sym_inquire_statement_token1 = 206,
  aux_sym_enum_statement_token1 = 207,
  aux_sym_enumeration_type_statement_token1 = 208,
  aux_sym_enumerator_statement_token1 = 209,
  aux_sym_end_enum_statement_token1 = 210,
  aux_sym_file_position_statement_token1 = 211,
  aux_sym_file_position_statement_token2 = 212,
  aux_sym_file_position_statement_token3 = 213,
  aux_sym_file_position_statement_token4 = 214,
  aux_sym_allocate_statement_token1 = 215,
  aux_sym_entry_statement_token1 = 216,
  aux_sym_assign_statement_token1 = 217,
  aux_sym_logical_expression_token1 = 218,
  aux_sym_logical_expression_token2 = 219,
  aux_sym_logical_expression_token3 = 220,
  aux_sym_logical_expression_token4 = 221,
  aux_sym_logical_expression_token5 = 222,
  aux_sym_relational_expression_token1 = 223,
  aux_sym_relational_expression_token2 = 224,
  aux_sym_relational_expression_token3 = 225,
  aux_sym_relational_expression_token4 = 226,
  aux_sym_relational_expression_token5 = 227,
  anon_sym_SLASH_EQ = 228,
  aux_sym_relational_expression_token6 = 229,
  anon_sym_SLASH_SLASH = 230,
  anon_sym_STAR_STAR = 231,
  anon_sym_DOT = 232,
  aux_sym_user_defined_operator_token1 = 233,
  anon_sym_AT = 234,
  sym_assumed_rank = 235,
  anon_sym_LPAREN_SLASH = 236,
  anon_sym_SLASH_RPAREN = 237,
  anon_sym_LBRACK = 238,
  anon_sym_RBRACK = 239,
  aux_sym_boolean_literal_token1 = 240,
  aux_sym_boolean_literal_token2 = 241,
  anon_sym__ = 242,
  aux_sym__kind_token1 = 243,
  aux_sym__kind_token2 = 244,
  aux_sym_null_literal_token1 = 245,
  aux_sym_coarray_statement_token1 = 246,
  aux_sym_coarray_statement_token2 = 247,
  aux_sym_coarray_statement_token3 = 248,
  aux_sym_coarray_statement_token4 = 249,
  aux_sym_coarray_statement_token5 = 250,
  aux_sym_coarray_statement_token6 = 251,
  aux_sym_coarray_statement_token7 = 252,
  aux_sym_coarray_statement_token8 = 253,
  aux_sym_coarray_statement_token9 = 254,
  aux_sym_coarray_statement_token10 = 255,
  aux_sym_coarray_statement_token11 = 256,
  aux_sym_coarray_statement_token12 = 257,
  aux_sym_coarray_statement_token13 = 258,
  aux_sym_coarray_team_statement_token1 = 259,
  aux_sym_end_coarray_team_statement_token1 = 260,
  aux_sym_coarray_critical_statement_token1 = 261,
  aux_sym_end_coarray_critical_statement_token1 = 262,
  anon_sym_QMARK = 263,
  aux_sym_nil_literal_token1 = 264,
  aux_sym_identifier_token1 = 265,
  sym_comment = 266,
  sym__integer_literal = 267,
  sym__float_literal = 268,
  sym__boz_literal = 269,
  sym__string_literal = 270,
  sym__string_literal_kind = 271,
  sym__external_end_of_statement = 272,
  sym__preproc_unary_operator = 273,
  sym_hollerith_constant = 274,
  sym_translation_unit = 275,
  sym_preproc_include = 276,
  sym_preproc_def = 277,
  sym_preproc_function_def = 278,
  sym_preproc_params = 279,
  sym_preproc_call = 280,
  sym_preproc_if = 281,
  sym_preproc_ifdef = 282,
  sym_preproc_else = 283,
  sym_preproc_elif = 284,
  sym_preproc_elifdef = 285,
  sym_preproc_if_in_module = 286,
  sym_preproc_ifdef_in_module = 287,
  sym_preproc_else_in_module = 288,
  sym_preproc_elif_in_module = 289,
  sym_preproc_elifdef_in_module = 290,
  sym_preproc_if_in_specification_part = 291,
  sym_preproc_ifdef_in_specification_part = 292,
  sym_preproc_else_in_specification_part = 293,
  sym_preproc_elif_in_specification_part = 294,
  sym_preproc_elifdef_in_specification_part = 295,
  sym_preproc_if_in_statements = 296,
  sym_preproc_ifdef_in_statements = 297,
  sym_preproc_else_in_statements = 298,
  sym_preproc_elif_in_statements = 299,
  sym_preproc_elifdef_in_statements = 300,
  sym_preproc_if_in_procedure_statements = 301,
  sym_preproc_ifdef_in_procedure_statements = 302,
  sym_preproc_else_in_procedure_statements = 303,
  sym_preproc_elif_in_procedure_statements = 304,
  sym_preproc_elifdef_in_procedure_statements = 305,
  sym_preproc_if_in_internal_procedures = 306,
  sym_preproc_ifdef_in_internal_procedures = 307,
  sym_preproc_else_in_internal_procedures = 308,
  sym_preproc_elif_in_internal_procedures = 309,
  sym_preproc_elifdef_in_internal_procedures = 310,
  sym_preproc_if_in_interface = 311,
  sym_preproc_ifdef_in_interface = 312,
  sym_preproc_else_in_interface = 313,
  sym_preproc_elif_in_interface = 314,
  sym_preproc_elifdef_in_interface = 315,
  sym_preproc_if_in_derived_type = 316,
  sym_preproc_ifdef_in_derived_type = 317,
  sym_preproc_else_in_derived_type = 318,
  sym_preproc_elif_in_derived_type = 319,
  sym_preproc_elifdef_in_derived_type = 320,
  sym_preproc_if_in_bound_procedures = 321,
  sym_preproc_ifdef_in_bound_procedures = 322,
  sym_preproc_else_in_bound_procedures = 323,
  sym_preproc_elif_in_bound_procedures = 324,
  sym_preproc_elifdef_in_bound_procedures = 325,
  sym_preproc_if_in_select_case = 326,
  sym_preproc_ifdef_in_select_case = 327,
  sym_preproc_else_in_select_case = 328,
  sym_preproc_elif_in_select_case = 329,
  sym_preproc_elifdef_in_select_case = 330,
  sym_preproc_if_in_select_type = 331,
  sym_preproc_ifdef_in_select_type = 332,
  sym_preproc_else_in_select_type = 333,
  sym_preproc_elif_in_select_type = 334,
  sym_preproc_elifdef_in_select_type = 335,
  sym_preproc_if_in_select_rank = 336,
  sym_preproc_ifdef_in_select_rank = 337,
  sym_preproc_else_in_select_rank = 338,
  sym_preproc_elif_in_select_rank = 339,
  sym_preproc_elifdef_in_select_rank = 340,
  sym__preproc_expression = 341,
  sym_preproc_parenthesized_expression = 342,
  sym_preproc_defined = 343,
  sym_preproc_unary_expression = 344,
  sym_preproc_call_expression = 345,
  sym_preproc_argument_list = 346,
  sym_preproc_binary_expression = 347,
  sym_program = 348,
  sym_program_statement = 349,
  sym_end_program_statement = 350,
  sym_module = 351,
  sym_module_statement = 352,
  sym_end_module_statement = 353,
  sym_submodule = 354,
  sym_submodule_statement = 355,
  sym_end_submodule_statement = 356,
  sym_module_name = 357,
  sym_interface = 358,
  sym__interface_items = 359,
  sym_interface_statement = 360,
  sym_end_interface_statement = 361,
  sym_block_data = 362,
  sym_block_data_statement = 363,
  sym_end_block_data_statement = 364,
  sym_assignment = 365,
  sym_operator = 366,
  sym_defined_io_procedure = 367,
  sym__generic_procedure = 368,
  sym_subroutine = 369,
  sym_subroutine_statement = 370,
  sym_end_subroutine_statement = 371,
  sym_module_procedure = 372,
  sym_module_procedure_statement = 373,
  sym_end_module_procedure_statement = 374,
  sym_function = 375,
  sym_function_statement = 376,
  sym_language_binding = 377,
  aux_sym__callable_interface_qualifers = 378,
  sym_procedure_attributes = 379,
  sym_end_function_statement = 380,
  sym_function_result = 381,
  sym__name = 382,
  sym__parameters = 383,
  sym_parameters = 384,
  sym_internal_procedures = 385,
  sym_contains_statement = 386,
  sym__internal_procedures = 387,
  sym__specification_part = 388,
  sym_use_statement = 389,
  sym_included_items = 390,
  sym_use_alias = 391,
  sym_implicit_statement = 392,
  sym_save_statement = 393,
  sym_private_statement = 394,
  sym_public_statement = 395,
  sym_namelist_statement = 396,
  sym_common_statement = 397,
  sym_variable_group = 398,
  sym_implicit_range = 399,
  sym_import_statement = 400,
  sym__import_names = 401,
  sym_derived_type_definition = 402,
  sym_abstract_specifier = 403,
  sym_access_specifier = 404,
  sym_base_type_specifier = 405,
  sym__derived_type_qualifier = 406,
  sym_derived_type_statement = 407,
  sym_end_type_statement = 408,
  sym__type_name = 409,
  sym_derived_type_procedures = 410,
  sym_procedure_statement = 411,
  sym_binding = 412,
  sym_binding_name = 413,
  sym_method_name = 414,
  sym_procedure_kind = 415,
  sym_procedure_attribute = 416,
  sym_variable_declaration = 417,
  sym_procedure_declaration = 418,
  sym_variable_modification = 419,
  sym_variable_attributes = 420,
  sym__variable_declarator = 421,
  sym_sized_declarator = 422,
  sym__declaration_assignment = 423,
  sym__declaration_pointer_association = 424,
  sym__declaration_targets = 425,
  sym__intrinsic_type = 426,
  sym_intrinsic_type = 427,
  sym_derived_type = 428,
  sym_declared_type = 429,
  sym_unlimited_polymorphic = 430,
  sym_kind = 431,
  sym_character_length = 432,
  sym__standalone_type_qualifier = 433,
  sym_type_qualifier = 434,
  sym_procedure_qualifier = 435,
  sym_parameter_statement = 436,
  sym_parameter_assignment = 437,
  sym_equivalence_statement = 438,
  sym_equivalence_set = 439,
  sym__statements = 440,
  sym_statement_label = 441,
  sym_statement_label_reference = 442,
  sym_stop_statement = 443,
  sym_assignment_statement = 444,
  sym_pointer_association_statement = 445,
  sym_subroutine_call = 446,
  sym_cuda_kernel_argument_list = 447,
  sym_keyword_statement = 448,
  sym_include_statement = 449,
  sym_data_statement = 450,
  sym_data_set = 451,
  sym_data_value = 452,
  sym_do_loop_statement = 453,
  sym_end_do_loop_statement = 454,
  sym_do_label_statement = 455,
  sym_end_do_label_statement = 456,
  sym_while_statement = 457,
  sym_concurrent_statement = 458,
  sym_concurrent_header = 459,
  sym_concurrent_control = 460,
  sym_concurrent_locality = 461,
  sym_binary_op = 462,
  sym_if_statement = 463,
  sym__inline_if_statement = 464,
  sym_arithmetic_if_statement = 465,
  sym__block_if_statement = 466,
  sym_end_if_statement = 467,
  sym_elseif_clause = 468,
  sym_else_clause = 469,
  sym_where_statement = 470,
  sym__inline_where_statement = 471,
  sym__block_where_statement = 472,
  sym_end_where_statement = 473,
  sym_elsewhere_clause = 474,
  sym_forall_statement = 475,
  sym_triplet_spec = 476,
  sym__forall_control_expression = 477,
  sym__inline_forall_statement = 478,
  sym__block_forall_statement = 479,
  sym_end_forall_statement = 480,
  sym_select_case_statement = 481,
  sym_select_type_statement = 482,
  sym_select_rank_statement = 483,
  sym_end_select_statement = 484,
  sym_selector = 485,
  sym_case_statement = 486,
  sym_type_statement = 487,
  sym__class_default = 488,
  sym_case_value_range_list = 489,
  sym_rank_statement = 490,
  sym_block_construct = 491,
  sym_end_block_construct_statement = 492,
  sym_associate_statement = 493,
  sym_association = 494,
  sym_end_associate_statement = 495,
  sym_format_statement = 496,
  sym__transfer_item = 497,
  sym__transfer_items = 498,
  sym_edit_descriptor = 499,
  sym__io_arguments = 500,
  sym_read_statement = 501,
  sym__simple_read_statement = 502,
  sym__parameterized_read_statement = 503,
  sym_print_statement = 504,
  sym_open_statement = 505,
  sym_close_statement = 506,
  sym_write_statement = 507,
  sym_inquire_statement = 508,
  sym_enum = 509,
  sym_enum_statement = 510,
  sym_enumeration_type = 511,
  sym_enumeration_type_statement = 512,
  sym_enumerator_statement = 513,
  sym_end_enum_statement = 514,
  sym_end_enumeration_type_statement = 515,
  sym_unit_identifier = 516,
  sym_format_identifier = 517,
  sym__file_position_spec = 518,
  sym_file_position_statement = 519,
  sym__io_expressions = 520,
  sym_input_item_list = 521,
  sym_output_item_list = 522,
  sym_allocate_statement = 523,
  sym_sized_allocation = 524,
  sym_coarray_allocation = 525,
  sym_entry_statement = 526,
  sym_assign_statement = 527,
  sym__expression = 528,
  sym_parenthesized_expression = 529,
  sym_derived_type_member_expression = 530,
  sym_logical_expression = 531,
  sym_relational_expression = 532,
  sym_concatenation_expression = 533,
  sym_math_expression = 534,
  sym_unary_expression = 535,
  sym_user_defined_operator = 536,
  sym_call_expression = 537,
  sym_implied_do_loop_expression = 538,
  sym__argument_list = 539,
  sym_argument_list = 540,
  sym_keyword_argument = 541,
  sym__extent_specifier = 542,
  sym_extent_specifier = 543,
  sym_multiple_subscript = 544,
  sym_multiple_subscript_triplet = 545,
  sym_assumed_size = 546,
  sym_assumed_shape = 547,
  sym_block_label_start_expression = 548,
  sym__block_label = 549,
  sym_loop_control_expression = 550,
  sym_array_literal = 551,
  sym__array_constructor_legacy = 552,
  sym__array_constructor_f2003 = 553,
  sym__type_spec = 554,
  sym__ac_value_list = 555,
  sym_complex_literal = 556,
  sym_number_literal = 557,
  sym_boolean_literal = 558,
  sym__kind = 559,
  sym_null_literal = 560,
  sym_string_literal = 561,
  sym_coarray_index = 562,
  sym__coarray_extent_specifier = 563,
  sym_coarray_declarator = 564,
  sym_coarray_expression = 565,
  sym_coarray_statement = 566,
  sym_coarray_team_statement = 567,
  sym_end_coarray_team_statement = 568,
  sym_coarray_critical_statement = 569,
  sym_end_coarray_critical_statement = 570,
  sym_conditional_expression = 571,
  sym_nil_literal = 572,
  sym_identifier = 573,
  sym__end_of_statement = 574,
  aux_sym_translation_unit_repeat1 = 575,
  aux_sym_preproc_params_repeat1 = 576,
  aux_sym_preproc_if_in_module_repeat1 = 577,
  aux_sym_preproc_if_in_specification_part_repeat1 = 578,
  aux_sym_preproc_if_in_internal_procedures_repeat1 = 579,
  aux_sym_preproc_if_in_interface_repeat1 = 580,
  aux_sym_preproc_if_in_derived_type_repeat1 = 581,
  aux_sym_preproc_if_in_bound_procedures_repeat1 = 582,
  aux_sym_preproc_argument_list_repeat1 = 583,
  aux_sym_program_repeat1 = 584,
  aux_sym_module_repeat1 = 585,
  aux_sym_interface_repeat1 = 586,
  aux_sym_subroutine_repeat1 = 587,
  aux_sym_function_statement_repeat1 = 588,
  aux_sym_procedure_attributes_repeat1 = 589,
  aux_sym_parameters_repeat1 = 590,
  aux_sym_use_statement_repeat1 = 591,
  aux_sym_included_items_repeat1 = 592,
  aux_sym_implicit_statement_repeat1 = 593,
  aux_sym_implicit_statement_repeat2 = 594,
  aux_sym_implicit_statement_repeat3 = 595,
  aux_sym_save_statement_repeat1 = 596,
  aux_sym_private_statement_repeat1 = 597,
  aux_sym_namelist_statement_repeat1 = 598,
  aux_sym_common_statement_repeat1 = 599,
  aux_sym_common_statement_repeat2 = 600,
  aux_sym_derived_type_definition_repeat1 = 601,
  aux_sym_derived_type_statement_repeat1 = 602,
  aux_sym_derived_type_procedures_repeat1 = 603,
  aux_sym_procedure_statement_repeat1 = 604,
  aux_sym_procedure_statement_repeat2 = 605,
  aux_sym_variable_declaration_repeat1 = 606,
  aux_sym_variable_modification_repeat1 = 607,
  aux_sym_variable_modification_repeat2 = 608,
  aux_sym__declaration_targets_repeat1 = 609,
  aux_sym_parameter_statement_repeat1 = 610,
  aux_sym_equivalence_statement_repeat1 = 611,
  aux_sym_equivalence_set_repeat1 = 612,
  aux_sym_cuda_kernel_argument_list_repeat1 = 613,
  aux_sym_keyword_statement_repeat1 = 614,
  aux_sym_data_statement_repeat1 = 615,
  aux_sym_data_set_repeat1 = 616,
  aux_sym_data_value_repeat1 = 617,
  aux_sym_concurrent_statement_repeat1 = 618,
  aux_sym_concurrent_header_repeat1 = 619,
  aux_sym__block_if_statement_repeat1 = 620,
  aux_sym__block_where_statement_repeat1 = 621,
  aux_sym__forall_control_expression_repeat1 = 622,
  aux_sym_select_case_statement_repeat1 = 623,
  aux_sym_select_type_statement_repeat1 = 624,
  aux_sym_select_rank_statement_repeat1 = 625,
  aux_sym_case_value_range_list_repeat1 = 626,
  aux_sym_associate_statement_repeat1 = 627,
  aux_sym__transfer_items_repeat1 = 628,
  aux_sym__io_arguments_repeat1 = 629,
  aux_sym_enum_repeat1 = 630,
  aux_sym_enumerator_statement_repeat1 = 631,
  aux_sym_allocate_statement_repeat1 = 632,
  aux_sym_call_expression_repeat1 = 633,
  aux_sym__argument_list_repeat1 = 634,
  aux_sym_coarray_index_repeat1 = 635,
  aux_sym_coarray_index_repeat2 = 636,
  alias_sym_block_label = 637,
  anon_alias_sym_class = 638,
  alias_sym_coarray_size = 639,
  alias_sym_concurrent_mask = 640,
  anon_alias_sym_default = 641,
  alias_sym_derived_type_parameter_list = 642,
  anon_alias_sym_double = 643,
  anon_alias_sym_else = 644,
  anon_alias_sym_end = 645,
  alias_sym_filename = 646,
  anon_alias_sym_go = 647,
  anon_alias_sym_label = 648,
  alias_sym_local_name = 649,
  anon_alias_sym_method_name = 650,
  alias_sym_name = 651,
  anon_alias_sym_none = 652,
  alias_sym_procedure_interface = 653,
  anon_alias_sym_program = 654,
  anon_alias_sym_select = 655,
  alias_sym_sequence_statement = 656,
  alias_sym_size = 657,
  anon_alias_sym_statement_label = 658,
  anon_alias_sym_statement_label_reference = 659,
  anon_alias_sym_to = 660,
  alias_sym_transfer_items = 661,
  alias_sym_type_member = 662,
  alias_sym_type_name = 663,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [aux_sym_preproc_def_token2] = "preproc_def_token2",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [sym_preproc_comment] = "preproc_comment",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym_system_lib_string] = "system_lib_string",
  [aux_sym_program_statement_token1] = "endprogram",
  [aux_sym_end_program_statement_token1] = "end[object Object]",
  [aux_sym_end_program_statement_token2] = "endprogram",
  [aux_sym_module_statement_token1] = "module",
  [aux_sym_end_module_statement_token1] = "endmodule",
  [aux_sym_submodule_statement_token1] = "submodule",
  [anon_sym_COLON] = ":",
  [aux_sym_end_submodule_statement_token1] = "endsubmodule",
  [anon_sym_SEMI] = ";",
  [aux_sym_interface_statement_token1] = "interface",
  [aux_sym_end_interface_statement_token1] = "endinterface",
  [aux_sym_block_data_statement_token1] = "block",
  [aux_sym_block_data_statement_token2] = "data",
  [aux_sym_block_data_statement_token3] = "blockdata",
  [aux_sym_end_block_data_statement_token1] = "end[object Object]",
  [aux_sym_assignment_token1] = "assignment",
  [anon_sym_EQ] = "=",
  [aux_sym_operator_token1] = "operator",
  [aux_sym_operator_token2] = "operator_token2",
  [aux_sym_defined_io_procedure_token1] = "read",
  [aux_sym_defined_io_procedure_token2] = "write",
  [aux_sym_defined_io_procedure_token3] = "formatted",
  [aux_sym_defined_io_procedure_token4] = "unformatted",
  [aux_sym_subroutine_statement_token1] = "subroutine",
  [aux_sym_end_subroutine_statement_token1] = "endsubroutine",
  [aux_sym_module_procedure_statement_token1] = "procedure",
  [aux_sym_end_module_procedure_statement_token1] = "endprocedure",
  [aux_sym_function_statement_token1] = "function",
  [aux_sym_language_binding_token1] = "bind",
  [aux_sym_procedure_attributes_token1] = "attributes",
  [aux_sym_procedure_attributes_token2] = "global",
  [aux_sym_procedure_attributes_token3] = "device",
  [aux_sym_procedure_attributes_token4] = "host",
  [aux_sym_procedure_attributes_token5] = "grid_global",
  [aux_sym_end_function_statement_token1] = "endfunction",
  [aux_sym_function_result_token1] = "result",
  [aux_sym_contains_statement_token1] = "contains",
  [aux_sym_use_statement_token1] = "use",
  [aux_sym_use_statement_token2] = "intrinsic",
  [aux_sym_use_statement_token3] = "non_intrinsic",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_included_items_token1] = "only",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_implicit_statement_token1] = "implicit",
  [aux_sym_implicit_statement_token2] = "none",
  [aux_sym_implicit_statement_token3] = "type",
  [aux_sym_implicit_statement_token4] = "external",
  [aux_sym_save_statement_token1] = "save",
  [aux_sym_private_statement_token1] = "private",
  [aux_sym_public_statement_token1] = "public",
  [aux_sym_namelist_statement_token1] = "namelist",
  [aux_sym_common_statement_token1] = "common",
  [aux_sym_implicit_range_token1] = "implicit_range_token1",
  [aux_sym_import_statement_token1] = "import",
  [aux_sym__import_names_token1] = "all",
  [aux_sym_derived_type_definition_token1] = "sequence",
  [aux_sym_abstract_specifier_token1] = "abstract",
  [aux_sym_base_type_specifier_token1] = "extends",
  [aux_sym_end_type_statement_token1] = "endtype",
  [aux_sym_procedure_kind_token1] = "generic",
  [aux_sym_procedure_kind_token2] = "initial",
  [aux_sym_procedure_kind_token3] = "property",
  [aux_sym_procedure_kind_token4] = "final",
  [aux_sym_procedure_attribute_token1] = "deferred",
  [aux_sym_procedure_attribute_token2] = "pass",
  [aux_sym_procedure_attribute_token3] = "nopass",
  [aux_sym_procedure_attribute_token4] = "non_overridable",
  [aux_sym_procedure_attribute_token5] = "family",
  [aux_sym_procedure_attribute_token6] = "pointer",
  [aux_sym_variable_attributes_token1] = "managed",
  [aux_sym_variable_attributes_token2] = "constant",
  [aux_sym_variable_attributes_token3] = "shared",
  [aux_sym_variable_attributes_token4] = "pinned",
  [aux_sym_variable_attributes_token5] = "texture",
  [aux_sym__intrinsic_type_token1] = "byte",
  [aux_sym__intrinsic_type_token2] = "integer",
  [aux_sym__intrinsic_type_token3] = "real",
  [aux_sym__intrinsic_type_token4] = "doubleprecision",
  [aux_sym__intrinsic_type_token5] = "doubleprecision",
  [aux_sym__intrinsic_type_token6] = "doubleprecision",
  [aux_sym__intrinsic_type_token7] = "complex",
  [aux_sym__intrinsic_type_token8] = "doublecomplex",
  [aux_sym__intrinsic_type_token9] = "logical",
  [aux_sym__intrinsic_type_token10] = "character",
  [aux_sym_derived_type_token1] = "derived_type_token1",
  [aux_sym_declared_type_token1] = "typeof",
  [aux_sym_declared_type_token2] = "classof",
  [aux_sym_kind_token1] = "kind_token1",
  [aux_sym__standalone_type_qualifier_token1] = "allocatable",
  [aux_sym__standalone_type_qualifier_token2] = "automatic",
  [aux_sym__standalone_type_qualifier_token3] = "codimension",
  [aux_sym__standalone_type_qualifier_token4] = "dimension",
  [aux_sym__standalone_type_qualifier_token5] = "contiguous",
  [aux_sym__standalone_type_qualifier_token6] = "intent",
  [aux_sym__standalone_type_qualifier_token7] = "in",
  [aux_sym__standalone_type_qualifier_token8] = "out",
  [aux_sym__standalone_type_qualifier_token9] = "inout",
  [aux_sym__standalone_type_qualifier_token10] = "optional",
  [aux_sym__standalone_type_qualifier_token11] = "parameter",
  [aux_sym__standalone_type_qualifier_token12] = "protected",
  [aux_sym__standalone_type_qualifier_token13] = "rank",
  [aux_sym__standalone_type_qualifier_token14] = "static",
  [aux_sym__standalone_type_qualifier_token15] = "target",
  [aux_sym__standalone_type_qualifier_token16] = "value",
  [aux_sym__standalone_type_qualifier_token17] = "volatile",
  [aux_sym_type_qualifier_token1] = "kind",
  [aux_sym_type_qualifier_token2] = "len",
  [aux_sym_procedure_qualifier_token1] = "elemental",
  [aux_sym_procedure_qualifier_token2] = "impure",
  [aux_sym_procedure_qualifier_token3] = "pure",
  [aux_sym_procedure_qualifier_token4] = "recursive",
  [aux_sym_procedure_qualifier_token5] = "simple",
  [aux_sym_equivalence_statement_token1] = "equivalence",
  [aux_sym_stop_statement_token1] = "error",
  [aux_sym_stop_statement_token2] = "stop",
  [aux_sym_stop_statement_token3] = "quiet",
  [aux_sym_subroutine_call_token1] = "call",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_GT_GT_GT] = ">>>",
  [aux_sym_keyword_statement_token1] = "continue",
  [aux_sym_keyword_statement_token2] = "cycle",
  [aux_sym_keyword_statement_token3] = "exit",
  [aux_sym_keyword_statement_token4] = "goto",
  [aux_sym_keyword_statement_token5] = "goto",
  [aux_sym_keyword_statement_token6] = "goto",
  [aux_sym_keyword_statement_token7] = "return",
  [aux_sym_include_statement_token1] = "include",
  [aux_sym_do_loop_statement_token1] = "do",
  [aux_sym_end_do_loop_statement_token1] = "enddo",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_concurrent_header_token1] = "concurrent",
  [aux_sym_concurrent_locality_token1] = "local",
  [aux_sym_concurrent_locality_token2] = "local_init",
  [aux_sym_concurrent_locality_token3] = "concurrent_locality_token3",
  [aux_sym_concurrent_locality_token4] = "reduce",
  [aux_sym_binary_op_token1] = "binary_op_token1",
  [aux_sym__inline_if_statement_token1] = "if",
  [aux_sym__block_if_statement_token1] = "then",
  [aux_sym_end_if_statement_token1] = "endif",
  [aux_sym_elseif_clause_token1] = "elsewhere",
  [aux_sym_elseif_clause_token2] = "elseif",
  [aux_sym__inline_where_statement_token1] = "where",
  [aux_sym_end_where_statement_token1] = "endwhere",
  [aux_sym_elsewhere_clause_token1] = "elsewhere",
  [aux_sym__forall_control_expression_token1] = "forall",
  [aux_sym_end_forall_statement_token1] = "endforall",
  [aux_sym_select_case_statement_token1] = "selectcase",
  [aux_sym_select_case_statement_token2] = "case",
  [aux_sym_select_case_statement_token3] = "selectcase",
  [aux_sym_select_type_statement_token1] = "selecttype",
  [aux_sym_select_rank_statement_token1] = "selectrank",
  [aux_sym_end_select_statement_token1] = "endselect",
  [aux_sym_type_statement_token1] = "typeis",
  [aux_sym_type_statement_token2] = "typeis",
  [aux_sym_type_statement_token3] = "classis",
  [aux_sym__class_default_token1] = "_class_default_token1",
  [aux_sym_end_block_construct_statement_token1] = "endblock",
  [aux_sym_associate_statement_token1] = "associate",
  [aux_sym_end_associate_statement_token1] = "endassociate",
  [aux_sym_format_statement_token1] = "format",
  [aux_sym_edit_descriptor_token1] = "edit_descriptor_token1",
  [aux_sym_print_statement_token1] = "print",
  [aux_sym_open_statement_token1] = "open",
  [aux_sym_close_statement_token1] = "close",
  [aux_sym_inquire_statement_token1] = "inquire",
  [aux_sym_enum_statement_token1] = "enum",
  [aux_sym_enumeration_type_statement_token1] = "enumeration",
  [aux_sym_enumerator_statement_token1] = "enumerator",
  [aux_sym_end_enum_statement_token1] = "endenum",
  [aux_sym_file_position_statement_token1] = "backspace",
  [aux_sym_file_position_statement_token2] = "endfile",
  [aux_sym_file_position_statement_token3] = "rewind",
  [aux_sym_file_position_statement_token4] = "pause",
  [aux_sym_allocate_statement_token1] = "allocate",
  [aux_sym_entry_statement_token1] = "entry",
  [aux_sym_assign_statement_token1] = "assign",
  [aux_sym_logical_expression_token1] = "\\.or\\.",
  [aux_sym_logical_expression_token2] = "\\.and\\.",
  [aux_sym_logical_expression_token3] = "\\.eqv\\.",
  [aux_sym_logical_expression_token4] = "\\.neqv\\.",
  [aux_sym_logical_expression_token5] = "\\.not\\.",
  [aux_sym_relational_expression_token1] = "\\.lt\\.",
  [aux_sym_relational_expression_token2] = "\\.gt\\.",
  [aux_sym_relational_expression_token3] = "\\.le\\.",
  [aux_sym_relational_expression_token4] = "\\.ge\\.",
  [aux_sym_relational_expression_token5] = "\\.eq\\.",
  [anon_sym_SLASH_EQ] = "/=",
  [aux_sym_relational_expression_token6] = "\\.ne\\.",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_DOT] = ".",
  [aux_sym_user_defined_operator_token1] = "user_defined_operator_token1",
  [anon_sym_AT] = "@",
  [sym_assumed_rank] = "assumed_rank",
  [anon_sym_LPAREN_SLASH] = "(/",
  [anon_sym_SLASH_RPAREN] = "/)",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_boolean_literal_token1] = "\\.true\\.",
  [aux_sym_boolean_literal_token2] = "\\.false\\.",
  [anon_sym__] = "_",
  [aux_sym__kind_token1] = "identifier",
  [aux_sym__kind_token2] = "number_literal",
  [aux_sym_null_literal_token1] = "null",
  [aux_sym_coarray_statement_token1] = "sync",
  [aux_sym_coarray_statement_token2] = "form",
  [aux_sym_coarray_statement_token3] = "images",
  [aux_sym_coarray_statement_token4] = "memory",
  [aux_sym_coarray_statement_token5] = "team",
  [aux_sym_coarray_statement_token6] = "fail",
  [aux_sym_coarray_statement_token7] = "image",
  [aux_sym_coarray_statement_token8] = "event",
  [aux_sym_coarray_statement_token9] = "post",
  [aux_sym_coarray_statement_token10] = "wait",
  [aux_sym_coarray_statement_token11] = "lock",
  [aux_sym_coarray_statement_token12] = "unlock",
  [aux_sym_coarray_statement_token13] = "notify",
  [aux_sym_coarray_team_statement_token1] = "change",
  [aux_sym_end_coarray_team_statement_token1] = "endteam",
  [aux_sym_coarray_critical_statement_token1] = "critical",
  [aux_sym_end_coarray_critical_statement_token1] = "endcritical",
  [anon_sym_QMARK] = "\?",
  [aux_sym_nil_literal_token1] = "\\.nil\\.",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym_comment] = "comment",
  [sym__integer_literal] = "_integer_literal",
  [sym__float_literal] = "_float_literal",
  [sym__boz_literal] = "_boz_literal",
  [sym__string_literal] = "_string_literal",
  [sym__string_literal_kind] = "identifier",
  [sym__external_end_of_statement] = "_external_end_of_statement",
  [sym__preproc_unary_operator] = "_preproc_unary_operator",
  [sym_hollerith_constant] = "hollerith_constant",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_module] = "preproc_if",
  [sym_preproc_ifdef_in_module] = "preproc_ifdef",
  [sym_preproc_else_in_module] = "preproc_else",
  [sym_preproc_elif_in_module] = "preproc_elif",
  [sym_preproc_elifdef_in_module] = "preproc_elifdef",
  [sym_preproc_if_in_specification_part] = "preproc_if",
  [sym_preproc_ifdef_in_specification_part] = "preproc_ifdef",
  [sym_preproc_else_in_specification_part] = "preproc_else",
  [sym_preproc_elif_in_specification_part] = "preproc_elif",
  [sym_preproc_elifdef_in_specification_part] = "preproc_elifdef",
  [sym_preproc_if_in_statements] = "preproc_if",
  [sym_preproc_ifdef_in_statements] = "preproc_ifdef",
  [sym_preproc_else_in_statements] = "preproc_else",
  [sym_preproc_elif_in_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_statements] = "preproc_elifdef",
  [sym_preproc_if_in_procedure_statements] = "preproc_if",
  [sym_preproc_ifdef_in_procedure_statements] = "preproc_ifdef",
  [sym_preproc_else_in_procedure_statements] = "preproc_else",
  [sym_preproc_elif_in_procedure_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_procedure_statements] = "preproc_elifdef",
  [sym_preproc_if_in_internal_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_internal_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_internal_procedures] = "preproc_else",
  [sym_preproc_elif_in_internal_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_internal_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_interface] = "preproc_if",
  [sym_preproc_ifdef_in_interface] = "preproc_ifdef",
  [sym_preproc_else_in_interface] = "preproc_else",
  [sym_preproc_elif_in_interface] = "preproc_elif",
  [sym_preproc_elifdef_in_interface] = "preproc_elifdef",
  [sym_preproc_if_in_derived_type] = "preproc_if",
  [sym_preproc_ifdef_in_derived_type] = "preproc_ifdef",
  [sym_preproc_else_in_derived_type] = "preproc_else",
  [sym_preproc_elif_in_derived_type] = "preproc_elif",
  [sym_preproc_elifdef_in_derived_type] = "preproc_elifdef",
  [sym_preproc_if_in_bound_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_bound_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_bound_procedures] = "preproc_else",
  [sym_preproc_elif_in_bound_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_bound_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_select_case] = "preproc_if",
  [sym_preproc_ifdef_in_select_case] = "preproc_ifdef",
  [sym_preproc_else_in_select_case] = "preproc_else",
  [sym_preproc_elif_in_select_case] = "preproc_elif",
  [sym_preproc_elifdef_in_select_case] = "preproc_elifdef",
  [sym_preproc_if_in_select_type] = "preproc_if",
  [sym_preproc_ifdef_in_select_type] = "preproc_ifdef",
  [sym_preproc_else_in_select_type] = "preproc_else",
  [sym_preproc_elif_in_select_type] = "preproc_elif",
  [sym_preproc_elifdef_in_select_type] = "preproc_elifdef",
  [sym_preproc_if_in_select_rank] = "preproc_if",
  [sym_preproc_ifdef_in_select_rank] = "preproc_ifdef",
  [sym_preproc_else_in_select_rank] = "preproc_else",
  [sym_preproc_elif_in_select_rank] = "preproc_elif",
  [sym_preproc_elifdef_in_select_rank] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_program] = "program",
  [sym_program_statement] = "program_statement",
  [sym_end_program_statement] = "end_program_statement",
  [sym_module] = "module",
  [sym_module_statement] = "module_statement",
  [sym_end_module_statement] = "end_module_statement",
  [sym_submodule] = "submodule",
  [sym_submodule_statement] = "submodule_statement",
  [sym_end_submodule_statement] = "end_submodule_statement",
  [sym_module_name] = "module_name",
  [sym_interface] = "interface",
  [sym__interface_items] = "_interface_items",
  [sym_interface_statement] = "interface_statement",
  [sym_end_interface_statement] = "end_interface_statement",
  [sym_block_data] = "block_data",
  [sym_block_data_statement] = "block_data_statement",
  [sym_end_block_data_statement] = "end_block_data_statement",
  [sym_assignment] = "assignment",
  [sym_operator] = "operator",
  [sym_defined_io_procedure] = "defined_io_procedure",
  [sym__generic_procedure] = "_generic_procedure",
  [sym_subroutine] = "subroutine",
  [sym_subroutine_statement] = "subroutine_statement",
  [sym_end_subroutine_statement] = "end_subroutine_statement",
  [sym_module_procedure] = "module_procedure",
  [sym_module_procedure_statement] = "module_procedure_statement",
  [sym_end_module_procedure_statement] = "end_module_procedure_statement",
  [sym_function] = "function",
  [sym_function_statement] = "function_statement",
  [sym_language_binding] = "language_binding",
  [aux_sym__callable_interface_qualifers] = "_callable_interface_qualifers",
  [sym_procedure_attributes] = "procedure_attributes",
  [sym_end_function_statement] = "end_function_statement",
  [sym_function_result] = "function_result",
  [sym__name] = "_name",
  [sym__parameters] = "_parameters",
  [sym_parameters] = "parameters",
  [sym_internal_procedures] = "internal_procedures",
  [sym_contains_statement] = "contains_statement",
  [sym__internal_procedures] = "_internal_procedures",
  [sym__specification_part] = "_specification_part",
  [sym_use_statement] = "use_statement",
  [sym_included_items] = "included_items",
  [sym_use_alias] = "use_alias",
  [sym_implicit_statement] = "implicit_statement",
  [sym_save_statement] = "save_statement",
  [sym_private_statement] = "private_statement",
  [sym_public_statement] = "public_statement",
  [sym_namelist_statement] = "namelist_statement",
  [sym_common_statement] = "common_statement",
  [sym_variable_group] = "variable_group",
  [sym_implicit_range] = "implicit_range",
  [sym_import_statement] = "import_statement",
  [sym__import_names] = "_import_names",
  [sym_derived_type_definition] = "derived_type_definition",
  [sym_abstract_specifier] = "abstract_specifier",
  [sym_access_specifier] = "access_specifier",
  [sym_base_type_specifier] = "base_type_specifier",
  [sym__derived_type_qualifier] = "_derived_type_qualifier",
  [sym_derived_type_statement] = "derived_type_statement",
  [sym_end_type_statement] = "end_type_statement",
  [sym__type_name] = "_type_name",
  [sym_derived_type_procedures] = "derived_type_procedures",
  [sym_procedure_statement] = "procedure_statement",
  [sym_binding] = "binding",
  [sym_binding_name] = "binding_name",
  [sym_method_name] = "method_name",
  [sym_procedure_kind] = "procedure_kind",
  [sym_procedure_attribute] = "procedure_attribute",
  [sym_variable_declaration] = "variable_declaration",
  [sym_procedure_declaration] = "procedure",
  [sym_variable_modification] = "variable_modification",
  [sym_variable_attributes] = "variable_attributes",
  [sym__variable_declarator] = "_variable_declarator",
  [sym_sized_declarator] = "sized_declarator",
  [sym__declaration_assignment] = "init_declarator",
  [sym__declaration_pointer_association] = "pointer_init_declarator",
  [sym__declaration_targets] = "_declaration_targets",
  [sym__intrinsic_type] = "_intrinsic_type",
  [sym_intrinsic_type] = "intrinsic_type",
  [sym_derived_type] = "derived_type",
  [sym_declared_type] = "declared_type",
  [sym_unlimited_polymorphic] = "unlimited_polymorphic",
  [sym_kind] = "kind",
  [sym_character_length] = "character_length",
  [sym__standalone_type_qualifier] = "_standalone_type_qualifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_procedure_qualifier] = "procedure_qualifier",
  [sym_parameter_statement] = "parameter_statement",
  [sym_parameter_assignment] = "parameter_assignment",
  [sym_equivalence_statement] = "equivalence_statement",
  [sym_equivalence_set] = "equivalence_set",
  [sym__statements] = "_statements",
  [sym_statement_label] = "statement_label",
  [sym_statement_label_reference] = "statement_label_reference",
  [sym_stop_statement] = "stop_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_pointer_association_statement] = "pointer_association_statement",
  [sym_subroutine_call] = "subroutine_call",
  [sym_cuda_kernel_argument_list] = "cuda_kernel_argument_list",
  [sym_keyword_statement] = "keyword_statement",
  [sym_include_statement] = "include_statement",
  [sym_data_statement] = "data_statement",
  [sym_data_set] = "data_set",
  [sym_data_value] = "data_value",
  [sym_do_loop_statement] = "do_loop_statement",
  [sym_end_do_loop_statement] = "end_do_loop_statement",
  [sym_do_label_statement] = "do_label_statement",
  [sym_end_do_label_statement] = "end_do_label_statement",
  [sym_while_statement] = "while_statement",
  [sym_concurrent_statement] = "concurrent_statement",
  [sym_concurrent_header] = "concurrent_header",
  [sym_concurrent_control] = "concurrent_control",
  [sym_concurrent_locality] = "concurrent_locality",
  [sym_binary_op] = "binary_op",
  [sym_if_statement] = "if_statement",
  [sym__inline_if_statement] = "_inline_if_statement",
  [sym_arithmetic_if_statement] = "arithmetic_if_statement",
  [sym__block_if_statement] = "_block_if_statement",
  [sym_end_if_statement] = "end_if_statement",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_where_statement] = "where_statement",
  [sym__inline_where_statement] = "_inline_where_statement",
  [sym__block_where_statement] = "_block_where_statement",
  [sym_end_where_statement] = "end_where_statement",
  [sym_elsewhere_clause] = "elsewhere_clause",
  [sym_forall_statement] = "forall_statement",
  [sym_triplet_spec] = "triplet_spec",
  [sym__forall_control_expression] = "_forall_control_expression",
  [sym__inline_forall_statement] = "_inline_forall_statement",
  [sym__block_forall_statement] = "_block_forall_statement",
  [sym_end_forall_statement] = "end_forall_statement",
  [sym_select_case_statement] = "select_case_statement",
  [sym_select_type_statement] = "select_type_statement",
  [sym_select_rank_statement] = "select_rank_statement",
  [sym_end_select_statement] = "end_select_statement",
  [sym_selector] = "selector",
  [sym_case_statement] = "case_statement",
  [sym_type_statement] = "type_statement",
  [sym__class_default] = "default",
  [sym_case_value_range_list] = "case_value_range_list",
  [sym_rank_statement] = "rank_statement",
  [sym_block_construct] = "block_construct",
  [sym_end_block_construct_statement] = "end_block_construct_statement",
  [sym_associate_statement] = "associate_statement",
  [sym_association] = "association",
  [sym_end_associate_statement] = "end_associate_statement",
  [sym_format_statement] = "format_statement",
  [sym__transfer_item] = "_transfer_item",
  [sym__transfer_items] = "_transfer_items",
  [sym_edit_descriptor] = "edit_descriptor",
  [sym__io_arguments] = "_io_arguments",
  [sym_read_statement] = "read_statement",
  [sym__simple_read_statement] = "_simple_read_statement",
  [sym__parameterized_read_statement] = "_parameterized_read_statement",
  [sym_print_statement] = "print_statement",
  [sym_open_statement] = "open_statement",
  [sym_close_statement] = "close_statement",
  [sym_write_statement] = "write_statement",
  [sym_inquire_statement] = "inquire_statement",
  [sym_enum] = "enum",
  [sym_enum_statement] = "enum_statement",
  [sym_enumeration_type] = "enumeration_type",
  [sym_enumeration_type_statement] = "enumeration_type_statement",
  [sym_enumerator_statement] = "enumerator_statement",
  [sym_end_enum_statement] = "end_enum_statement",
  [sym_end_enumeration_type_statement] = "end_enumeration_type_statement",
  [sym_unit_identifier] = "unit_identifier",
  [sym_format_identifier] = "format_identifier",
  [sym__file_position_spec] = "_file_position_spec",
  [sym_file_position_statement] = "file_position_statement",
  [sym__io_expressions] = "_io_expressions",
  [sym_input_item_list] = "input_item_list",
  [sym_output_item_list] = "output_item_list",
  [sym_allocate_statement] = "allocate_statement",
  [sym_sized_allocation] = "sized_allocation",
  [sym_coarray_allocation] = "coarray_allocation",
  [sym_entry_statement] = "entry_statement",
  [sym_assign_statement] = "assign_statement",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_derived_type_member_expression] = "derived_type_member_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_math_expression] = "math_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_user_defined_operator] = "user_defined_operator",
  [sym_call_expression] = "call_expression",
  [sym_implied_do_loop_expression] = "implied_do_loop_expression",
  [sym__argument_list] = "_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_keyword_argument] = "keyword_argument",
  [sym__extent_specifier] = "_extent_specifier",
  [sym_extent_specifier] = "extent_specifier",
  [sym_multiple_subscript] = "multiple_subscript",
  [sym_multiple_subscript_triplet] = "multiple_subscript_triplet",
  [sym_assumed_size] = "assumed_size",
  [sym_assumed_shape] = "assumed_shape",
  [sym_block_label_start_expression] = "block_label_start_expression",
  [sym__block_label] = "_block_label",
  [sym_loop_control_expression] = "loop_control_expression",
  [sym_array_literal] = "array_literal",
  [sym__array_constructor_legacy] = "_array_constructor_legacy",
  [sym__array_constructor_f2003] = "_array_constructor_f2003",
  [sym__type_spec] = "_type_spec",
  [sym__ac_value_list] = "_ac_value_list",
  [sym_complex_literal] = "complex_literal",
  [sym_number_literal] = "number_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym__kind] = "_kind",
  [sym_null_literal] = "null_literal",
  [sym_string_literal] = "string_literal",
  [sym_coarray_index] = "coarray_index",
  [sym__coarray_extent_specifier] = "extent_specifier",
  [sym_coarray_declarator] = "coarray_declarator",
  [sym_coarray_expression] = "coarray_expression",
  [sym_coarray_statement] = "coarray_statement",
  [sym_coarray_team_statement] = "coarray_team_statement",
  [sym_end_coarray_team_statement] = "end_coarray_team_statement",
  [sym_coarray_critical_statement] = "coarray_critical_statement",
  [sym_end_coarray_critical_statement] = "end_coarray_critical_statement",
  [sym_conditional_expression] = "conditional_expression",
  [sym_nil_literal] = "nil_literal",
  [sym_identifier] = "identifier",
  [sym__end_of_statement] = "_end_of_statement",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_in_module_repeat1] = "preproc_if_in_module_repeat1",
  [aux_sym_preproc_if_in_specification_part_repeat1] = "preproc_if_in_specification_part_repeat1",
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = "preproc_if_in_internal_procedures_repeat1",
  [aux_sym_preproc_if_in_interface_repeat1] = "preproc_if_in_interface_repeat1",
  [aux_sym_preproc_if_in_derived_type_repeat1] = "preproc_if_in_derived_type_repeat1",
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = "preproc_if_in_bound_procedures_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym_interface_repeat1] = "interface_repeat1",
  [aux_sym_subroutine_repeat1] = "subroutine_repeat1",
  [aux_sym_function_statement_repeat1] = "function_statement_repeat1",
  [aux_sym_procedure_attributes_repeat1] = "procedure_attributes_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_use_statement_repeat1] = "use_statement_repeat1",
  [aux_sym_included_items_repeat1] = "included_items_repeat1",
  [aux_sym_implicit_statement_repeat1] = "implicit_statement_repeat1",
  [aux_sym_implicit_statement_repeat2] = "implicit_statement_repeat2",
  [aux_sym_implicit_statement_repeat3] = "implicit_statement_repeat3",
  [aux_sym_save_statement_repeat1] = "save_statement_repeat1",
  [aux_sym_private_statement_repeat1] = "private_statement_repeat1",
  [aux_sym_namelist_statement_repeat1] = "namelist_statement_repeat1",
  [aux_sym_common_statement_repeat1] = "common_statement_repeat1",
  [aux_sym_common_statement_repeat2] = "common_statement_repeat2",
  [aux_sym_derived_type_definition_repeat1] = "derived_type_definition_repeat1",
  [aux_sym_derived_type_statement_repeat1] = "derived_type_statement_repeat1",
  [aux_sym_derived_type_procedures_repeat1] = "derived_type_procedures_repeat1",
  [aux_sym_procedure_statement_repeat1] = "procedure_statement_repeat1",
  [aux_sym_procedure_statement_repeat2] = "procedure_statement_repeat2",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_variable_modification_repeat1] = "variable_modification_repeat1",
  [aux_sym_variable_modification_repeat2] = "variable_modification_repeat2",
  [aux_sym__declaration_targets_repeat1] = "_declaration_targets_repeat1",
  [aux_sym_parameter_statement_repeat1] = "parameter_statement_repeat1",
  [aux_sym_equivalence_statement_repeat1] = "equivalence_statement_repeat1",
  [aux_sym_equivalence_set_repeat1] = "equivalence_set_repeat1",
  [aux_sym_cuda_kernel_argument_list_repeat1] = "cuda_kernel_argument_list_repeat1",
  [aux_sym_keyword_statement_repeat1] = "keyword_statement_repeat1",
  [aux_sym_data_statement_repeat1] = "data_statement_repeat1",
  [aux_sym_data_set_repeat1] = "data_set_repeat1",
  [aux_sym_data_value_repeat1] = "data_value_repeat1",
  [aux_sym_concurrent_statement_repeat1] = "concurrent_statement_repeat1",
  [aux_sym_concurrent_header_repeat1] = "concurrent_header_repeat1",
  [aux_sym__block_if_statement_repeat1] = "_block_if_statement_repeat1",
  [aux_sym__block_where_statement_repeat1] = "_block_where_statement_repeat1",
  [aux_sym__forall_control_expression_repeat1] = "_forall_control_expression_repeat1",
  [aux_sym_select_case_statement_repeat1] = "select_case_statement_repeat1",
  [aux_sym_select_type_statement_repeat1] = "select_type_statement_repeat1",
  [aux_sym_select_rank_statement_repeat1] = "select_rank_statement_repeat1",
  [aux_sym_case_value_range_list_repeat1] = "case_value_range_list_repeat1",
  [aux_sym_associate_statement_repeat1] = "associate_statement_repeat1",
  [aux_sym__transfer_items_repeat1] = "_transfer_items_repeat1",
  [aux_sym__io_arguments_repeat1] = "_io_arguments_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_enumerator_statement_repeat1] = "enumerator_statement_repeat1",
  [aux_sym_allocate_statement_repeat1] = "allocate_statement_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym__argument_list_repeat1] = "_argument_list_repeat1",
  [aux_sym_coarray_index_repeat1] = "coarray_index_repeat1",
  [aux_sym_coarray_index_repeat2] = "coarray_index_repeat2",
  [alias_sym_block_label] = "block_label",
  [anon_alias_sym_class] = "class",
  [alias_sym_coarray_size] = "coarray_size",
  [alias_sym_concurrent_mask] = "concurrent_mask",
  [anon_alias_sym_default] = "default",
  [alias_sym_derived_type_parameter_list] = "derived_type_parameter_list",
  [anon_alias_sym_double] = "double",
  [anon_alias_sym_else] = "else",
  [anon_alias_sym_end] = "end",
  [alias_sym_filename] = "filename",
  [anon_alias_sym_go] = "go",
  [anon_alias_sym_label] = "label",
  [alias_sym_local_name] = "local_name",
  [anon_alias_sym_method_name] = "method_name",
  [alias_sym_name] = "name",
  [anon_alias_sym_none] = "none",
  [alias_sym_procedure_interface] = "procedure_interface",
  [anon_alias_sym_program] = "program",
  [anon_alias_sym_select] = "select",
  [alias_sym_sequence_statement] = "sequence_statement",
  [alias_sym_size] = "size",
  [anon_alias_sym_statement_label] = "statement_label",
  [anon_alias_sym_statement_label_reference] = "statement_label_reference",
  [anon_alias_sym_to] = "to",
  [alias_sym_transfer_items] = "transfer_items",
  [alias_sym_type_member] = "type_member",
  [alias_sym_type_name] = "type_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [aux_sym_preproc_def_token2] = aux_sym_preproc_def_token2,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [sym_preproc_comment] = sym_preproc_comment,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_system_lib_string] = sym_system_lib_string,
  [aux_sym_program_statement_token1] = aux_sym_program_statement_token1,
  [aux_sym_end_program_statement_token1] = aux_sym_end_program_statement_token1,
  [aux_sym_end_program_statement_token2] = aux_sym_program_statement_token1,
  [aux_sym_module_statement_token1] = aux_sym_module_statement_token1,
  [aux_sym_end_module_statement_token1] = aux_sym_end_module_statement_token1,
  [aux_sym_submodule_statement_token1] = aux_sym_submodule_statement_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_end_submodule_statement_token1] = aux_sym_end_submodule_statement_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_interface_statement_token1] = aux_sym_interface_statement_token1,
  [aux_sym_end_interface_statement_token1] = aux_sym_end_interface_statement_token1,
  [aux_sym_block_data_statement_token1] = aux_sym_block_data_statement_token1,
  [aux_sym_block_data_statement_token2] = aux_sym_block_data_statement_token2,
  [aux_sym_block_data_statement_token3] = aux_sym_block_data_statement_token3,
  [aux_sym_end_block_data_statement_token1] = aux_sym_end_program_statement_token1,
  [aux_sym_assignment_token1] = aux_sym_assignment_token1,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_operator_token1] = aux_sym_operator_token1,
  [aux_sym_operator_token2] = aux_sym_operator_token2,
  [aux_sym_defined_io_procedure_token1] = aux_sym_defined_io_procedure_token1,
  [aux_sym_defined_io_procedure_token2] = aux_sym_defined_io_procedure_token2,
  [aux_sym_defined_io_procedure_token3] = aux_sym_defined_io_procedure_token3,
  [aux_sym_defined_io_procedure_token4] = aux_sym_defined_io_procedure_token4,
  [aux_sym_subroutine_statement_token1] = aux_sym_subroutine_statement_token1,
  [aux_sym_end_subroutine_statement_token1] = aux_sym_end_subroutine_statement_token1,
  [aux_sym_module_procedure_statement_token1] = aux_sym_module_procedure_statement_token1,
  [aux_sym_end_module_procedure_statement_token1] = aux_sym_end_module_procedure_statement_token1,
  [aux_sym_function_statement_token1] = aux_sym_function_statement_token1,
  [aux_sym_language_binding_token1] = aux_sym_language_binding_token1,
  [aux_sym_procedure_attributes_token1] = aux_sym_procedure_attributes_token1,
  [aux_sym_procedure_attributes_token2] = aux_sym_procedure_attributes_token2,
  [aux_sym_procedure_attributes_token3] = aux_sym_procedure_attributes_token3,
  [aux_sym_procedure_attributes_token4] = aux_sym_procedure_attributes_token4,
  [aux_sym_procedure_attributes_token5] = aux_sym_procedure_attributes_token5,
  [aux_sym_end_function_statement_token1] = aux_sym_end_function_statement_token1,
  [aux_sym_function_result_token1] = aux_sym_function_result_token1,
  [aux_sym_contains_statement_token1] = aux_sym_contains_statement_token1,
  [aux_sym_use_statement_token1] = aux_sym_use_statement_token1,
  [aux_sym_use_statement_token2] = aux_sym_use_statement_token2,
  [aux_sym_use_statement_token3] = aux_sym_use_statement_token3,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_included_items_token1] = aux_sym_included_items_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_implicit_statement_token1] = aux_sym_implicit_statement_token1,
  [aux_sym_implicit_statement_token2] = aux_sym_implicit_statement_token2,
  [aux_sym_implicit_statement_token3] = aux_sym_implicit_statement_token3,
  [aux_sym_implicit_statement_token4] = aux_sym_implicit_statement_token4,
  [aux_sym_save_statement_token1] = aux_sym_save_statement_token1,
  [aux_sym_private_statement_token1] = aux_sym_private_statement_token1,
  [aux_sym_public_statement_token1] = aux_sym_public_statement_token1,
  [aux_sym_namelist_statement_token1] = aux_sym_namelist_statement_token1,
  [aux_sym_common_statement_token1] = aux_sym_common_statement_token1,
  [aux_sym_implicit_range_token1] = aux_sym_implicit_range_token1,
  [aux_sym_import_statement_token1] = aux_sym_import_statement_token1,
  [aux_sym__import_names_token1] = aux_sym__import_names_token1,
  [aux_sym_derived_type_definition_token1] = aux_sym_derived_type_definition_token1,
  [aux_sym_abstract_specifier_token1] = aux_sym_abstract_specifier_token1,
  [aux_sym_base_type_specifier_token1] = aux_sym_base_type_specifier_token1,
  [aux_sym_end_type_statement_token1] = aux_sym_end_type_statement_token1,
  [aux_sym_procedure_kind_token1] = aux_sym_procedure_kind_token1,
  [aux_sym_procedure_kind_token2] = aux_sym_procedure_kind_token2,
  [aux_sym_procedure_kind_token3] = aux_sym_procedure_kind_token3,
  [aux_sym_procedure_kind_token4] = aux_sym_procedure_kind_token4,
  [aux_sym_procedure_attribute_token1] = aux_sym_procedure_attribute_token1,
  [aux_sym_procedure_attribute_token2] = aux_sym_procedure_attribute_token2,
  [aux_sym_procedure_attribute_token3] = aux_sym_procedure_attribute_token3,
  [aux_sym_procedure_attribute_token4] = aux_sym_procedure_attribute_token4,
  [aux_sym_procedure_attribute_token5] = aux_sym_procedure_attribute_token5,
  [aux_sym_procedure_attribute_token6] = aux_sym_procedure_attribute_token6,
  [aux_sym_variable_attributes_token1] = aux_sym_variable_attributes_token1,
  [aux_sym_variable_attributes_token2] = aux_sym_variable_attributes_token2,
  [aux_sym_variable_attributes_token3] = aux_sym_variable_attributes_token3,
  [aux_sym_variable_attributes_token4] = aux_sym_variable_attributes_token4,
  [aux_sym_variable_attributes_token5] = aux_sym_variable_attributes_token5,
  [aux_sym__intrinsic_type_token1] = aux_sym__intrinsic_type_token1,
  [aux_sym__intrinsic_type_token2] = aux_sym__intrinsic_type_token2,
  [aux_sym__intrinsic_type_token3] = aux_sym__intrinsic_type_token3,
  [aux_sym__intrinsic_type_token4] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token5] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token6] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token7] = aux_sym__intrinsic_type_token7,
  [aux_sym__intrinsic_type_token8] = aux_sym__intrinsic_type_token8,
  [aux_sym__intrinsic_type_token9] = aux_sym__intrinsic_type_token9,
  [aux_sym__intrinsic_type_token10] = aux_sym__intrinsic_type_token10,
  [aux_sym_derived_type_token1] = aux_sym_derived_type_token1,
  [aux_sym_declared_type_token1] = aux_sym_declared_type_token1,
  [aux_sym_declared_type_token2] = aux_sym_declared_type_token2,
  [aux_sym_kind_token1] = aux_sym_kind_token1,
  [aux_sym__standalone_type_qualifier_token1] = aux_sym__standalone_type_qualifier_token1,
  [aux_sym__standalone_type_qualifier_token2] = aux_sym__standalone_type_qualifier_token2,
  [aux_sym__standalone_type_qualifier_token3] = aux_sym__standalone_type_qualifier_token3,
  [aux_sym__standalone_type_qualifier_token4] = aux_sym__standalone_type_qualifier_token4,
  [aux_sym__standalone_type_qualifier_token5] = aux_sym__standalone_type_qualifier_token5,
  [aux_sym__standalone_type_qualifier_token6] = aux_sym__standalone_type_qualifier_token6,
  [aux_sym__standalone_type_qualifier_token7] = aux_sym__standalone_type_qualifier_token7,
  [aux_sym__standalone_type_qualifier_token8] = aux_sym__standalone_type_qualifier_token8,
  [aux_sym__standalone_type_qualifier_token9] = aux_sym__standalone_type_qualifier_token9,
  [aux_sym__standalone_type_qualifier_token10] = aux_sym__standalone_type_qualifier_token10,
  [aux_sym__standalone_type_qualifier_token11] = aux_sym__standalone_type_qualifier_token11,
  [aux_sym__standalone_type_qualifier_token12] = aux_sym__standalone_type_qualifier_token12,
  [aux_sym__standalone_type_qualifier_token13] = aux_sym__standalone_type_qualifier_token13,
  [aux_sym__standalone_type_qualifier_token14] = aux_sym__standalone_type_qualifier_token14,
  [aux_sym__standalone_type_qualifier_token15] = aux_sym__standalone_type_qualifier_token15,
  [aux_sym__standalone_type_qualifier_token16] = aux_sym__standalone_type_qualifier_token16,
  [aux_sym__standalone_type_qualifier_token17] = aux_sym__standalone_type_qualifier_token17,
  [aux_sym_type_qualifier_token1] = aux_sym_type_qualifier_token1,
  [aux_sym_type_qualifier_token2] = aux_sym_type_qualifier_token2,
  [aux_sym_procedure_qualifier_token1] = aux_sym_procedure_qualifier_token1,
  [aux_sym_procedure_qualifier_token2] = aux_sym_procedure_qualifier_token2,
  [aux_sym_procedure_qualifier_token3] = aux_sym_procedure_qualifier_token3,
  [aux_sym_procedure_qualifier_token4] = aux_sym_procedure_qualifier_token4,
  [aux_sym_procedure_qualifier_token5] = aux_sym_procedure_qualifier_token5,
  [aux_sym_equivalence_statement_token1] = aux_sym_equivalence_statement_token1,
  [aux_sym_stop_statement_token1] = aux_sym_stop_statement_token1,
  [aux_sym_stop_statement_token2] = aux_sym_stop_statement_token2,
  [aux_sym_stop_statement_token3] = aux_sym_stop_statement_token3,
  [aux_sym_subroutine_call_token1] = aux_sym_subroutine_call_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [aux_sym_keyword_statement_token1] = aux_sym_keyword_statement_token1,
  [aux_sym_keyword_statement_token2] = aux_sym_keyword_statement_token2,
  [aux_sym_keyword_statement_token3] = aux_sym_keyword_statement_token3,
  [aux_sym_keyword_statement_token4] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token5] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token6] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token7] = aux_sym_keyword_statement_token7,
  [aux_sym_include_statement_token1] = aux_sym_include_statement_token1,
  [aux_sym_do_loop_statement_token1] = aux_sym_do_loop_statement_token1,
  [aux_sym_end_do_loop_statement_token1] = aux_sym_end_do_loop_statement_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_concurrent_header_token1] = aux_sym_concurrent_header_token1,
  [aux_sym_concurrent_locality_token1] = aux_sym_concurrent_locality_token1,
  [aux_sym_concurrent_locality_token2] = aux_sym_concurrent_locality_token2,
  [aux_sym_concurrent_locality_token3] = aux_sym_concurrent_locality_token3,
  [aux_sym_concurrent_locality_token4] = aux_sym_concurrent_locality_token4,
  [aux_sym_binary_op_token1] = aux_sym_binary_op_token1,
  [aux_sym__inline_if_statement_token1] = aux_sym__inline_if_statement_token1,
  [aux_sym__block_if_statement_token1] = aux_sym__block_if_statement_token1,
  [aux_sym_end_if_statement_token1] = aux_sym_end_if_statement_token1,
  [aux_sym_elseif_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym_elseif_clause_token2] = aux_sym_elseif_clause_token2,
  [aux_sym__inline_where_statement_token1] = aux_sym__inline_where_statement_token1,
  [aux_sym_end_where_statement_token1] = aux_sym_end_where_statement_token1,
  [aux_sym_elsewhere_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym__forall_control_expression_token1] = aux_sym__forall_control_expression_token1,
  [aux_sym_end_forall_statement_token1] = aux_sym_end_forall_statement_token1,
  [aux_sym_select_case_statement_token1] = aux_sym_select_case_statement_token1,
  [aux_sym_select_case_statement_token2] = aux_sym_select_case_statement_token2,
  [aux_sym_select_case_statement_token3] = aux_sym_select_case_statement_token1,
  [aux_sym_select_type_statement_token1] = aux_sym_select_type_statement_token1,
  [aux_sym_select_rank_statement_token1] = aux_sym_select_rank_statement_token1,
  [aux_sym_end_select_statement_token1] = aux_sym_end_select_statement_token1,
  [aux_sym_type_statement_token1] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token2] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token3] = aux_sym_type_statement_token3,
  [aux_sym__class_default_token1] = aux_sym__class_default_token1,
  [aux_sym_end_block_construct_statement_token1] = aux_sym_end_block_construct_statement_token1,
  [aux_sym_associate_statement_token1] = aux_sym_associate_statement_token1,
  [aux_sym_end_associate_statement_token1] = aux_sym_end_associate_statement_token1,
  [aux_sym_format_statement_token1] = aux_sym_format_statement_token1,
  [aux_sym_edit_descriptor_token1] = aux_sym_edit_descriptor_token1,
  [aux_sym_print_statement_token1] = aux_sym_print_statement_token1,
  [aux_sym_open_statement_token1] = aux_sym_open_statement_token1,
  [aux_sym_close_statement_token1] = aux_sym_close_statement_token1,
  [aux_sym_inquire_statement_token1] = aux_sym_inquire_statement_token1,
  [aux_sym_enum_statement_token1] = aux_sym_enum_statement_token1,
  [aux_sym_enumeration_type_statement_token1] = aux_sym_enumeration_type_statement_token1,
  [aux_sym_enumerator_statement_token1] = aux_sym_enumerator_statement_token1,
  [aux_sym_end_enum_statement_token1] = aux_sym_end_enum_statement_token1,
  [aux_sym_file_position_statement_token1] = aux_sym_file_position_statement_token1,
  [aux_sym_file_position_statement_token2] = aux_sym_file_position_statement_token2,
  [aux_sym_file_position_statement_token3] = aux_sym_file_position_statement_token3,
  [aux_sym_file_position_statement_token4] = aux_sym_file_position_statement_token4,
  [aux_sym_allocate_statement_token1] = aux_sym_allocate_statement_token1,
  [aux_sym_entry_statement_token1] = aux_sym_entry_statement_token1,
  [aux_sym_assign_statement_token1] = aux_sym_assign_statement_token1,
  [aux_sym_logical_expression_token1] = aux_sym_logical_expression_token1,
  [aux_sym_logical_expression_token2] = aux_sym_logical_expression_token2,
  [aux_sym_logical_expression_token3] = aux_sym_logical_expression_token3,
  [aux_sym_logical_expression_token4] = aux_sym_logical_expression_token4,
  [aux_sym_logical_expression_token5] = aux_sym_logical_expression_token5,
  [aux_sym_relational_expression_token1] = aux_sym_relational_expression_token1,
  [aux_sym_relational_expression_token2] = aux_sym_relational_expression_token2,
  [aux_sym_relational_expression_token3] = aux_sym_relational_expression_token3,
  [aux_sym_relational_expression_token4] = aux_sym_relational_expression_token4,
  [aux_sym_relational_expression_token5] = aux_sym_relational_expression_token5,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [aux_sym_relational_expression_token6] = aux_sym_relational_expression_token6,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_DOT] = anon_sym_DOT,
  [aux_sym_user_defined_operator_token1] = aux_sym_user_defined_operator_token1,
  [anon_sym_AT] = anon_sym_AT,
  [sym_assumed_rank] = sym_assumed_rank,
  [anon_sym_LPAREN_SLASH] = anon_sym_LPAREN_SLASH,
  [anon_sym_SLASH_RPAREN] = anon_sym_SLASH_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_boolean_literal_token1] = aux_sym_boolean_literal_token1,
  [aux_sym_boolean_literal_token2] = aux_sym_boolean_literal_token2,
  [anon_sym__] = anon_sym__,
  [aux_sym__kind_token1] = sym_identifier,
  [aux_sym__kind_token2] = sym_number_literal,
  [aux_sym_null_literal_token1] = aux_sym_null_literal_token1,
  [aux_sym_coarray_statement_token1] = aux_sym_coarray_statement_token1,
  [aux_sym_coarray_statement_token2] = aux_sym_coarray_statement_token2,
  [aux_sym_coarray_statement_token3] = aux_sym_coarray_statement_token3,
  [aux_sym_coarray_statement_token4] = aux_sym_coarray_statement_token4,
  [aux_sym_coarray_statement_token5] = aux_sym_coarray_statement_token5,
  [aux_sym_coarray_statement_token6] = aux_sym_coarray_statement_token6,
  [aux_sym_coarray_statement_token7] = aux_sym_coarray_statement_token7,
  [aux_sym_coarray_statement_token8] = aux_sym_coarray_statement_token8,
  [aux_sym_coarray_statement_token9] = aux_sym_coarray_statement_token9,
  [aux_sym_coarray_statement_token10] = aux_sym_coarray_statement_token10,
  [aux_sym_coarray_statement_token11] = aux_sym_coarray_statement_token11,
  [aux_sym_coarray_statement_token12] = aux_sym_coarray_statement_token12,
  [aux_sym_coarray_statement_token13] = aux_sym_coarray_statement_token13,
  [aux_sym_coarray_team_statement_token1] = aux_sym_coarray_team_statement_token1,
  [aux_sym_end_coarray_team_statement_token1] = aux_sym_end_coarray_team_statement_token1,
  [aux_sym_coarray_critical_statement_token1] = aux_sym_coarray_critical_statement_token1,
  [aux_sym_end_coarray_critical_statement_token1] = aux_sym_end_coarray_critical_statement_token1,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [aux_sym_nil_literal_token1] = aux_sym_nil_literal_token1,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym_comment] = sym_comment,
  [sym__integer_literal] = sym__integer_literal,
  [sym__float_literal] = sym__float_literal,
  [sym__boz_literal] = sym__boz_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__string_literal_kind] = sym_identifier,
  [sym__external_end_of_statement] = sym__external_end_of_statement,
  [sym__preproc_unary_operator] = sym__preproc_unary_operator,
  [sym_hollerith_constant] = sym_hollerith_constant,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_module] = sym_preproc_if,
  [sym_preproc_ifdef_in_module] = sym_preproc_ifdef,
  [sym_preproc_else_in_module] = sym_preproc_else,
  [sym_preproc_elif_in_module] = sym_preproc_elif,
  [sym_preproc_elifdef_in_module] = sym_preproc_elifdef,
  [sym_preproc_if_in_specification_part] = sym_preproc_if,
  [sym_preproc_ifdef_in_specification_part] = sym_preproc_ifdef,
  [sym_preproc_else_in_specification_part] = sym_preproc_else,
  [sym_preproc_elif_in_specification_part] = sym_preproc_elif,
  [sym_preproc_elifdef_in_specification_part] = sym_preproc_elifdef,
  [sym_preproc_if_in_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_statements] = sym_preproc_else,
  [sym_preproc_elif_in_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_procedure_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_procedure_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_procedure_statements] = sym_preproc_else,
  [sym_preproc_elif_in_procedure_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_procedure_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_internal_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_internal_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_internal_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_internal_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_internal_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_interface] = sym_preproc_if,
  [sym_preproc_ifdef_in_interface] = sym_preproc_ifdef,
  [sym_preproc_else_in_interface] = sym_preproc_else,
  [sym_preproc_elif_in_interface] = sym_preproc_elif,
  [sym_preproc_elifdef_in_interface] = sym_preproc_elifdef,
  [sym_preproc_if_in_derived_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_derived_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_derived_type] = sym_preproc_else,
  [sym_preproc_elif_in_derived_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_derived_type] = sym_preproc_elifdef,
  [sym_preproc_if_in_bound_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_bound_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_bound_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_bound_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_bound_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_case] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_case] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_case] = sym_preproc_else,
  [sym_preproc_elif_in_select_case] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_case] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_type] = sym_preproc_else,
  [sym_preproc_elif_in_select_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_type] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_rank] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_rank] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_rank] = sym_preproc_else,
  [sym_preproc_elif_in_select_rank] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_rank] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_preproc_binary_expression,
  [sym_program] = sym_program,
  [sym_program_statement] = sym_program_statement,
  [sym_end_program_statement] = sym_end_program_statement,
  [sym_module] = sym_module,
  [sym_module_statement] = sym_module_statement,
  [sym_end_module_statement] = sym_end_module_statement,
  [sym_submodule] = sym_submodule,
  [sym_submodule_statement] = sym_submodule_statement,
  [sym_end_submodule_statement] = sym_end_submodule_statement,
  [sym_module_name] = sym_module_name,
  [sym_interface] = sym_interface,
  [sym__interface_items] = sym__interface_items,
  [sym_interface_statement] = sym_interface_statement,
  [sym_end_interface_statement] = sym_end_interface_statement,
  [sym_block_data] = sym_block_data,
  [sym_block_data_statement] = sym_block_data_statement,
  [sym_end_block_data_statement] = sym_end_block_data_statement,
  [sym_assignment] = sym_assignment,
  [sym_operator] = sym_operator,
  [sym_defined_io_procedure] = sym_defined_io_procedure,
  [sym__generic_procedure] = sym__generic_procedure,
  [sym_subroutine] = sym_subroutine,
  [sym_subroutine_statement] = sym_subroutine_statement,
  [sym_end_subroutine_statement] = sym_end_subroutine_statement,
  [sym_module_procedure] = sym_module_procedure,
  [sym_module_procedure_statement] = sym_module_procedure_statement,
  [sym_end_module_procedure_statement] = sym_end_module_procedure_statement,
  [sym_function] = sym_function,
  [sym_function_statement] = sym_function_statement,
  [sym_language_binding] = sym_language_binding,
  [aux_sym__callable_interface_qualifers] = aux_sym__callable_interface_qualifers,
  [sym_procedure_attributes] = sym_procedure_attributes,
  [sym_end_function_statement] = sym_end_function_statement,
  [sym_function_result] = sym_function_result,
  [sym__name] = sym__name,
  [sym__parameters] = sym__parameters,
  [sym_parameters] = sym_parameters,
  [sym_internal_procedures] = sym_internal_procedures,
  [sym_contains_statement] = sym_contains_statement,
  [sym__internal_procedures] = sym__internal_procedures,
  [sym__specification_part] = sym__specification_part,
  [sym_use_statement] = sym_use_statement,
  [sym_included_items] = sym_included_items,
  [sym_use_alias] = sym_use_alias,
  [sym_implicit_statement] = sym_implicit_statement,
  [sym_save_statement] = sym_save_statement,
  [sym_private_statement] = sym_private_statement,
  [sym_public_statement] = sym_public_statement,
  [sym_namelist_statement] = sym_namelist_statement,
  [sym_common_statement] = sym_common_statement,
  [sym_variable_group] = sym_variable_group,
  [sym_implicit_range] = sym_implicit_range,
  [sym_import_statement] = sym_import_statement,
  [sym__import_names] = sym__import_names,
  [sym_derived_type_definition] = sym_derived_type_definition,
  [sym_abstract_specifier] = sym_abstract_specifier,
  [sym_access_specifier] = sym_access_specifier,
  [sym_base_type_specifier] = sym_base_type_specifier,
  [sym__derived_type_qualifier] = sym__derived_type_qualifier,
  [sym_derived_type_statement] = sym_derived_type_statement,
  [sym_end_type_statement] = sym_end_type_statement,
  [sym__type_name] = sym__type_name,
  [sym_derived_type_procedures] = sym_derived_type_procedures,
  [sym_procedure_statement] = sym_procedure_statement,
  [sym_binding] = sym_binding,
  [sym_binding_name] = sym_binding_name,
  [sym_method_name] = sym_method_name,
  [sym_procedure_kind] = sym_procedure_kind,
  [sym_procedure_attribute] = sym_procedure_attribute,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_procedure_declaration] = sym_procedure_declaration,
  [sym_variable_modification] = sym_variable_modification,
  [sym_variable_attributes] = sym_variable_attributes,
  [sym__variable_declarator] = sym__variable_declarator,
  [sym_sized_declarator] = sym_sized_declarator,
  [sym__declaration_assignment] = sym__declaration_assignment,
  [sym__declaration_pointer_association] = sym__declaration_pointer_association,
  [sym__declaration_targets] = sym__declaration_targets,
  [sym__intrinsic_type] = sym__intrinsic_type,
  [sym_intrinsic_type] = sym_intrinsic_type,
  [sym_derived_type] = sym_derived_type,
  [sym_declared_type] = sym_declared_type,
  [sym_unlimited_polymorphic] = sym_unlimited_polymorphic,
  [sym_kind] = sym_kind,
  [sym_character_length] = sym_character_length,
  [sym__standalone_type_qualifier] = sym__standalone_type_qualifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_procedure_qualifier] = sym_procedure_qualifier,
  [sym_parameter_statement] = sym_parameter_statement,
  [sym_parameter_assignment] = sym_parameter_assignment,
  [sym_equivalence_statement] = sym_equivalence_statement,
  [sym_equivalence_set] = sym_equivalence_set,
  [sym__statements] = sym__statements,
  [sym_statement_label] = sym_statement_label,
  [sym_statement_label_reference] = sym_statement_label_reference,
  [sym_stop_statement] = sym_stop_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_pointer_association_statement] = sym_pointer_association_statement,
  [sym_subroutine_call] = sym_subroutine_call,
  [sym_cuda_kernel_argument_list] = sym_cuda_kernel_argument_list,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_include_statement] = sym_include_statement,
  [sym_data_statement] = sym_data_statement,
  [sym_data_set] = sym_data_set,
  [sym_data_value] = sym_data_value,
  [sym_do_loop_statement] = sym_do_loop_statement,
  [sym_end_do_loop_statement] = sym_end_do_loop_statement,
  [sym_do_label_statement] = sym_do_label_statement,
  [sym_end_do_label_statement] = sym_end_do_label_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_concurrent_statement] = sym_concurrent_statement,
  [sym_concurrent_header] = sym_concurrent_header,
  [sym_concurrent_control] = sym_concurrent_control,
  [sym_concurrent_locality] = sym_concurrent_locality,
  [sym_binary_op] = sym_binary_op,
  [sym_if_statement] = sym_if_statement,
  [sym__inline_if_statement] = sym__inline_if_statement,
  [sym_arithmetic_if_statement] = sym_arithmetic_if_statement,
  [sym__block_if_statement] = sym__block_if_statement,
  [sym_end_if_statement] = sym_end_if_statement,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_where_statement] = sym_where_statement,
  [sym__inline_where_statement] = sym__inline_where_statement,
  [sym__block_where_statement] = sym__block_where_statement,
  [sym_end_where_statement] = sym_end_where_statement,
  [sym_elsewhere_clause] = sym_elsewhere_clause,
  [sym_forall_statement] = sym_forall_statement,
  [sym_triplet_spec] = sym_triplet_spec,
  [sym__forall_control_expression] = sym__forall_control_expression,
  [sym__inline_forall_statement] = sym__inline_forall_statement,
  [sym__block_forall_statement] = sym__block_forall_statement,
  [sym_end_forall_statement] = sym_end_forall_statement,
  [sym_select_case_statement] = sym_select_case_statement,
  [sym_select_type_statement] = sym_select_type_statement,
  [sym_select_rank_statement] = sym_select_rank_statement,
  [sym_end_select_statement] = sym_end_select_statement,
  [sym_selector] = sym_selector,
  [sym_case_statement] = sym_case_statement,
  [sym_type_statement] = sym_type_statement,
  [sym__class_default] = sym__class_default,
  [sym_case_value_range_list] = sym_case_value_range_list,
  [sym_rank_statement] = sym_rank_statement,
  [sym_block_construct] = sym_block_construct,
  [sym_end_block_construct_statement] = sym_end_block_construct_statement,
  [sym_associate_statement] = sym_associate_statement,
  [sym_association] = sym_association,
  [sym_end_associate_statement] = sym_end_associate_statement,
  [sym_format_statement] = sym_format_statement,
  [sym__transfer_item] = sym__transfer_item,
  [sym__transfer_items] = sym__transfer_items,
  [sym_edit_descriptor] = sym_edit_descriptor,
  [sym__io_arguments] = sym__io_arguments,
  [sym_read_statement] = sym_read_statement,
  [sym__simple_read_statement] = sym__simple_read_statement,
  [sym__parameterized_read_statement] = sym__parameterized_read_statement,
  [sym_print_statement] = sym_print_statement,
  [sym_open_statement] = sym_open_statement,
  [sym_close_statement] = sym_close_statement,
  [sym_write_statement] = sym_write_statement,
  [sym_inquire_statement] = sym_inquire_statement,
  [sym_enum] = sym_enum,
  [sym_enum_statement] = sym_enum_statement,
  [sym_enumeration_type] = sym_enumeration_type,
  [sym_enumeration_type_statement] = sym_enumeration_type_statement,
  [sym_enumerator_statement] = sym_enumerator_statement,
  [sym_end_enum_statement] = sym_end_enum_statement,
  [sym_end_enumeration_type_statement] = sym_end_enumeration_type_statement,
  [sym_unit_identifier] = sym_unit_identifier,
  [sym_format_identifier] = sym_format_identifier,
  [sym__file_position_spec] = sym__file_position_spec,
  [sym_file_position_statement] = sym_file_position_statement,
  [sym__io_expressions] = sym__io_expressions,
  [sym_input_item_list] = sym_input_item_list,
  [sym_output_item_list] = sym_output_item_list,
  [sym_allocate_statement] = sym_allocate_statement,
  [sym_sized_allocation] = sym_sized_allocation,
  [sym_coarray_allocation] = sym_coarray_allocation,
  [sym_entry_statement] = sym_entry_statement,
  [sym_assign_statement] = sym_assign_statement,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_derived_type_member_expression] = sym_derived_type_member_expression,
  [sym_logical_expression] = sym_logical_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_math_expression] = sym_math_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_user_defined_operator] = sym_user_defined_operator,
  [sym_call_expression] = sym_call_expression,
  [sym_implied_do_loop_expression] = sym_implied_do_loop_expression,
  [sym__argument_list] = sym__argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym__extent_specifier] = sym__extent_specifier,
  [sym_extent_specifier] = sym_extent_specifier,
  [sym_multiple_subscript] = sym_multiple_subscript,
  [sym_multiple_subscript_triplet] = sym_multiple_subscript_triplet,
  [sym_assumed_size] = sym_assumed_size,
  [sym_assumed_shape] = sym_assumed_shape,
  [sym_block_label_start_expression] = sym_block_label_start_expression,
  [sym__block_label] = sym__block_label,
  [sym_loop_control_expression] = sym_loop_control_expression,
  [sym_array_literal] = sym_array_literal,
  [sym__array_constructor_legacy] = sym__array_constructor_legacy,
  [sym__array_constructor_f2003] = sym__array_constructor_f2003,
  [sym__type_spec] = sym__type_spec,
  [sym__ac_value_list] = sym__ac_value_list,
  [sym_complex_literal] = sym_complex_literal,
  [sym_number_literal] = sym_number_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym__kind] = sym__kind,
  [sym_null_literal] = sym_null_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_coarray_index] = sym_coarray_index,
  [sym__coarray_extent_specifier] = sym_extent_specifier,
  [sym_coarray_declarator] = sym_coarray_declarator,
  [sym_coarray_expression] = sym_coarray_expression,
  [sym_coarray_statement] = sym_coarray_statement,
  [sym_coarray_team_statement] = sym_coarray_team_statement,
  [sym_end_coarray_team_statement] = sym_end_coarray_team_statement,
  [sym_coarray_critical_statement] = sym_coarray_critical_statement,
  [sym_end_coarray_critical_statement] = sym_end_coarray_critical_statement,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_nil_literal] = sym_nil_literal,
  [sym_identifier] = sym_identifier,
  [sym__end_of_statement] = sym__end_of_statement,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_in_module_repeat1] = aux_sym_preproc_if_in_module_repeat1,
  [aux_sym_preproc_if_in_specification_part_repeat1] = aux_sym_preproc_if_in_specification_part_repeat1,
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = aux_sym_preproc_if_in_internal_procedures_repeat1,
  [aux_sym_preproc_if_in_interface_repeat1] = aux_sym_preproc_if_in_interface_repeat1,
  [aux_sym_preproc_if_in_derived_type_repeat1] = aux_sym_preproc_if_in_derived_type_repeat1,
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = aux_sym_preproc_if_in_bound_procedures_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym_interface_repeat1] = aux_sym_interface_repeat1,
  [aux_sym_subroutine_repeat1] = aux_sym_subroutine_repeat1,
  [aux_sym_function_statement_repeat1] = aux_sym_function_statement_repeat1,
  [aux_sym_procedure_attributes_repeat1] = aux_sym_procedure_attributes_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_use_statement_repeat1] = aux_sym_use_statement_repeat1,
  [aux_sym_included_items_repeat1] = aux_sym_included_items_repeat1,
  [aux_sym_implicit_statement_repeat1] = aux_sym_implicit_statement_repeat1,
  [aux_sym_implicit_statement_repeat2] = aux_sym_implicit_statement_repeat2,
  [aux_sym_implicit_statement_repeat3] = aux_sym_implicit_statement_repeat3,
  [aux_sym_save_statement_repeat1] = aux_sym_save_statement_repeat1,
  [aux_sym_private_statement_repeat1] = aux_sym_private_statement_repeat1,
  [aux_sym_namelist_statement_repeat1] = aux_sym_namelist_statement_repeat1,
  [aux_sym_common_statement_repeat1] = aux_sym_common_statement_repeat1,
  [aux_sym_common_statement_repeat2] = aux_sym_common_statement_repeat2,
  [aux_sym_derived_type_definition_repeat1] = aux_sym_derived_type_definition_repeat1,
  [aux_sym_derived_type_statement_repeat1] = aux_sym_derived_type_statement_repeat1,
  [aux_sym_derived_type_procedures_repeat1] = aux_sym_derived_type_procedures_repeat1,
  [aux_sym_procedure_statement_repeat1] = aux_sym_procedure_statement_repeat1,
  [aux_sym_procedure_statement_repeat2] = aux_sym_procedure_statement_repeat2,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_variable_modification_repeat1] = aux_sym_variable_modification_repeat1,
  [aux_sym_variable_modification_repeat2] = aux_sym_variable_modification_repeat2,
  [aux_sym__declaration_targets_repeat1] = aux_sym__declaration_targets_repeat1,
  [aux_sym_parameter_statement_repeat1] = aux_sym_parameter_statement_repeat1,
  [aux_sym_equivalence_statement_repeat1] = aux_sym_equivalence_statement_repeat1,
  [aux_sym_equivalence_set_repeat1] = aux_sym_equivalence_set_repeat1,
  [aux_sym_cuda_kernel_argument_list_repeat1] = aux_sym_cuda_kernel_argument_list_repeat1,
  [aux_sym_keyword_statement_repeat1] = aux_sym_keyword_statement_repeat1,
  [aux_sym_data_statement_repeat1] = aux_sym_data_statement_repeat1,
  [aux_sym_data_set_repeat1] = aux_sym_data_set_repeat1,
  [aux_sym_data_value_repeat1] = aux_sym_data_value_repeat1,
  [aux_sym_concurrent_statement_repeat1] = aux_sym_concurrent_statement_repeat1,
  [aux_sym_concurrent_header_repeat1] = aux_sym_concurrent_header_repeat1,
  [aux_sym__block_if_statement_repeat1] = aux_sym__block_if_statement_repeat1,
  [aux_sym__block_where_statement_repeat1] = aux_sym__block_where_statement_repeat1,
  [aux_sym__forall_control_expression_repeat1] = aux_sym__forall_control_expression_repeat1,
  [aux_sym_select_case_statement_repeat1] = aux_sym_select_case_statement_repeat1,
  [aux_sym_select_type_statement_repeat1] = aux_sym_select_type_statement_repeat1,
  [aux_sym_select_rank_statement_repeat1] = aux_sym_select_rank_statement_repeat1,
  [aux_sym_case_value_range_list_repeat1] = aux_sym_case_value_range_list_repeat1,
  [aux_sym_associate_statement_repeat1] = aux_sym_associate_statement_repeat1,
  [aux_sym__transfer_items_repeat1] = aux_sym__transfer_items_repeat1,
  [aux_sym__io_arguments_repeat1] = aux_sym__io_arguments_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_enumerator_statement_repeat1] = aux_sym_enumerator_statement_repeat1,
  [aux_sym_allocate_statement_repeat1] = aux_sym_allocate_statement_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym__argument_list_repeat1] = aux_sym__argument_list_repeat1,
  [aux_sym_coarray_index_repeat1] = aux_sym_coarray_index_repeat1,
  [aux_sym_coarray_index_repeat2] = aux_sym_coarray_index_repeat2,
  [alias_sym_block_label] = alias_sym_block_label,
  [anon_alias_sym_class] = anon_alias_sym_class,
  [alias_sym_coarray_size] = alias_sym_coarray_size,
  [alias_sym_concurrent_mask] = alias_sym_concurrent_mask,
  [anon_alias_sym_default] = anon_alias_sym_default,
  [alias_sym_derived_type_parameter_list] = alias_sym_derived_type_parameter_list,
  [anon_alias_sym_double] = anon_alias_sym_double,
  [anon_alias_sym_else] = anon_alias_sym_else,
  [anon_alias_sym_end] = anon_alias_sym_end,
  [alias_sym_filename] = alias_sym_filename,
  [anon_alias_sym_go] = anon_alias_sym_go,
  [anon_alias_sym_label] = anon_alias_sym_label,
  [alias_sym_local_name] = alias_sym_local_name,
  [anon_alias_sym_method_name] = anon_alias_sym_method_name,
  [alias_sym_name] = alias_sym_name,
  [anon_alias_sym_none] = anon_alias_sym_none,
  [alias_sym_procedure_interface] = alias_sym_procedure_interface,
  [anon_alias_sym_program] = anon_alias_sym_program,
  [anon_alias_sym_select] = anon_alias_sym_select,
  [alias_sym_sequence_statement] = alias_sym_sequence_statement,
  [alias_sym_size] = alias_sym_size,
  [anon_alias_sym_statement_label] = anon_alias_sym_statement_label,
  [anon_alias_sym_statement_label_reference] = anon_alias_sym_statement_label_reference,
  [anon_alias_sym_to] = anon_alias_sym_to,
  [alias_sym_transfer_items] = alias_sym_transfer_items,
  [alias_sym_type_member] = alias_sym_type_member,
  [alias_sym_type_name] = alias_sym_type_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_def_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_data_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_data_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_block_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assignment_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_language_binding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_result_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_contains_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_included_items_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_implicit_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_save_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_private_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_public_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namelist_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_common_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_range_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__import_names_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_type_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declared_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declared_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kind_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token14] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token15] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token16] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token17] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_equivalence_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_call_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_header_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_locality_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_op_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__block_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__inline_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elsewhere_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__forall_control_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_forall_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_rank_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_select_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__class_default_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_end_block_construct_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_edit_descriptor_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_open_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_close_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_inquire_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumeration_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumerator_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_allocate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_entry_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assign_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_defined_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_assumed_rank] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__kind_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__kind_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_null_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_team_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_coarray_team_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_critical_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_coarray_critical_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_nil_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__integer_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__boz_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_kind] = {
    .visible = true,
    .named = true,
  },
  [sym__external_end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__preproc_unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_hollerith_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [sym_interface] = {
    .visible = true,
    .named = true,
  },
  [sym__interface_items] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_data] = {
    .visible = true,
    .named = true,
  },
  [sym_block_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_defined_io_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym__generic_procedure] = {
    .visible = false,
    .named = true,
  },
  [sym_subroutine] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_language_binding] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__callable_interface_qualifers] = {
    .visible = false,
    .named = false,
  },
  [sym_procedure_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_end_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_result] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_contains_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__internal_procedures] = {
    .visible = false,
    .named = true,
  },
  [sym__specification_part] = {
    .visible = false,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_included_items] = {
    .visible = true,
    .named = true,
  },
  [sym_use_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_save_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_private_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_public_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namelist_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_common_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_group] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_range] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_names] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__derived_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_name] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_modification] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_sized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_pointer_association] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_targets] = {
    .visible = false,
    .named = true,
  },
  [sym__intrinsic_type] = {
    .visible = false,
    .named = true,
  },
  [sym_intrinsic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_declared_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unlimited_polymorphic] = {
    .visible = true,
    .named = true,
  },
  [sym_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_character_length] = {
    .visible = true,
    .named = true,
  },
  [sym__standalone_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_set] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_label_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_stop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_association_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_call] = {
    .visible = true,
    .named = true,
  },
  [sym_cuda_kernel_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_set] = {
    .visible = true,
    .named = true,
  },
  [sym_data_value] = {
    .visible = true,
    .named = true,
  },
  [sym_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_header] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_control] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_locality] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_op] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_arithmetic_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__block_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elsewhere_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_triplet_spec] = {
    .visible = true,
    .named = true,
  },
  [sym__forall_control_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__class_default] = {
    .visible = true,
    .named = true,
  },
  [sym_case_value_range_list] = {
    .visible = true,
    .named = true,
  },
  [sym_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_construct] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block_construct_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_association] = {
    .visible = true,
    .named = true,
  },
  [sym_end_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_format_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transfer_item] = {
    .visible = false,
    .named = true,
  },
  [sym__transfer_items] = {
    .visible = false,
    .named = true,
  },
  [sym_edit_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__io_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_read_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__parameterized_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_open_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_close_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_write_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inquire_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enumeration_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__file_position_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_file_position_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__io_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_input_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_output_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_allocate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sized_allocation] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_allocation] = {
    .visible = true,
    .named = true,
  },
  [sym_entry_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_math_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implied_do_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list] = {
    .visible = false,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__extent_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_multiple_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_multiple_subscript_triplet] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_size] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_shape] = {
    .visible = true,
    .named = true,
  },
  [sym_block_label_start_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__block_label] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_control_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__array_constructor_legacy] = {
    .visible = false,
    .named = true,
  },
  [sym__array_constructor_f2003] = {
    .visible = false,
    .named = true,
  },
  [sym__type_spec] = {
    .visible = false,
    .named = true,
  },
  [sym__ac_value_list] = {
    .visible = false,
    .named = true,
  },
  [sym_complex_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__kind] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_index] = {
    .visible = true,
    .named = true,
  },
  [sym__coarray_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_team_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_coarray_team_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_critical_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_coarray_critical_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_specification_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_derived_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_included_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_save_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_private_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namelist_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_targets_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cuda_kernel_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_header_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_where_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__forall_control_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_rank_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_value_range_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_associate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__transfer_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__io_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_allocate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_coarray_index_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_coarray_index_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_class] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_coarray_size] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_concurrent_mask] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_default] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_derived_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_end] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_label] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_local_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_method_name] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_none] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_procedure_interface] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_program] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_select] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_sequence_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_size] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_statement_label] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_statement_label_reference] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_to] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_transfer_items] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_member] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_name] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_access = 1,
  field_allocation = 2,
  field_alternative = 3,
  field_ancestor = 4,
  field_argument = 5,
  field_arguments = 6,
  field_attribute = 7,
  field_base = 8,
  field_condition = 9,
  field_consequence = 10,
  field_declarator = 11,
  field_directive = 12,
  field_final = 13,
  field_function = 14,
  field_initial = 15,
  field_kind = 16,
  field_left = 17,
  field_name = 18,
  field_operator = 19,
  field_parameters = 20,
  field_parent = 21,
  field_path = 22,
  field_repeat = 23,
  field_right = 24,
  field_selector = 25,
  field_step = 26,
  field_subroutine = 27,
  field_type = 28,
  field_type_param = 29,
  field_value = 30,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_access] = "access",
  [field_allocation] = "allocation",
  [field_alternative] = "alternative",
  [field_ancestor] = "ancestor",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_base] = "base",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declarator] = "declarator",
  [field_directive] = "directive",
  [field_final] = "final",
  [field_function] = "function",
  [field_initial] = "initial",
  [field_kind] = "kind",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_parent] = "parent",
  [field_path] = "path",
  [field_repeat] = "repeat",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_step] = "step",
  [field_subroutine] = "subroutine",
  [field_type] = "type",
  [field_type_param] = "type_param",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [7] = {.index = 0, .length = 1},
  [9] = {.index = 1, .length = 1},
  [10] = {.index = 2, .length = 1},
  [11] = {.index = 3, .length = 1},
  [12] = {.index = 4, .length = 2},
  [21] = {.index = 6, .length = 1},
  [22] = {.index = 7, .length = 1},
  [23] = {.index = 8, .length = 2},
  [24] = {.index = 10, .length = 1},
  [25] = {.index = 11, .length = 3},
  [26] = {.index = 14, .length = 2},
  [27] = {.index = 16, .length = 1},
  [31] = {.index = 17, .length = 1},
  [32] = {.index = 18, .length = 1},
  [33] = {.index = 19, .length = 1},
  [34] = {.index = 20, .length = 2},
  [35] = {.index = 22, .length = 2},
  [40] = {.index = 24, .length = 1},
  [41] = {.index = 25, .length = 1},
  [44] = {.index = 19, .length = 1},
  [46] = {.index = 26, .length = 2},
  [47] = {.index = 28, .length = 1},
  [57] = {.index = 29, .length = 1},
  [58] = {.index = 30, .length = 2},
  [59] = {.index = 32, .length = 2},
  [60] = {.index = 34, .length = 4},
  [66] = {.index = 38, .length = 3},
  [67] = {.index = 41, .length = 3},
  [69] = {.index = 44, .length = 2},
  [70] = {.index = 46, .length = 1},
  [71] = {.index = 47, .length = 2},
  [72] = {.index = 49, .length = 2},
  [73] = {.index = 51, .length = 1},
  [74] = {.index = 52, .length = 2},
  [78] = {.index = 54, .length = 1},
  [79] = {.index = 54, .length = 1},
  [81] = {.index = 54, .length = 1},
  [82] = {.index = 54, .length = 1},
  [88] = {.index = 55, .length = 1},
  [97] = {.index = 56, .length = 2},
  [99] = {.index = 58, .length = 3},
  [100] = {.index = 61, .length = 2},
  [102] = {.index = 63, .length = 3},
  [103] = {.index = 66, .length = 4},
  [104] = {.index = 70, .length = 2},
  [105] = {.index = 72, .length = 3},
  [106] = {.index = 75, .length = 2},
  [107] = {.index = 77, .length = 2},
  [108] = {.index = 79, .length = 2},
  [110] = {.index = 81, .length = 2},
  [111] = {.index = 83, .length = 4},
  [112] = {.index = 87, .length = 2},
  [113] = {.index = 87, .length = 2},
  [115] = {.index = 87, .length = 2},
  [116] = {.index = 87, .length = 2},
  [123] = {.index = 89, .length = 2},
  [124] = {.index = 91, .length = 1},
  [125] = {.index = 92, .length = 2},
  [126] = {.index = 94, .length = 2},
  [129] = {.index = 96, .length = 3},
  [131] = {.index = 99, .length = 1},
  [132] = {.index = 100, .length = 3},
  [133] = {.index = 103, .length = 4},
  [134] = {.index = 107, .length = 2},
  [135] = {.index = 109, .length = 4},
  [136] = {.index = 113, .length = 3},
  [137] = {.index = 116, .length = 2},
  [138] = {.index = 118, .length = 1},
  [139] = {.index = 119, .length = 2},
  [140] = {.index = 121, .length = 1},
  [141] = {.index = 122, .length = 1},
  [142] = {.index = 123, .length = 2},
  [144] = {.index = 125, .length = 2},
  [155] = {.index = 127, .length = 3},
  [157] = {.index = 130, .length = 1},
  [159] = {.index = 131, .length = 4},
  [163] = {.index = 135, .length = 2},
  [164] = {.index = 137, .length = 2},
  [165] = {.index = 139, .length = 2},
  [166] = {.index = 141, .length = 1},
  [167] = {.index = 125, .length = 2},
  [168] = {.index = 142, .length = 4},
  [169] = {.index = 146, .length = 1},
  [172] = {.index = 147, .length = 4},
  [173] = {.index = 151, .length = 1},
  [174] = {.index = 152, .length = 2},
  [175] = {.index = 151, .length = 1},
  [176] = {.index = 154, .length = 2},
  [177] = {.index = 156, .length = 2},
  [181] = {.index = 158, .length = 2},
  [182] = {.index = 160, .length = 2},
  [183] = {.index = 162, .length = 2},
  [184] = {.index = 164, .length = 2},
  [185] = {.index = 166, .length = 2},
  [186] = {.index = 142, .length = 4},
  [188] = {.index = 168, .length = 2},
  [190] = {.index = 146, .length = 1},
  [191] = {.index = 146, .length = 1},
  [192] = {.index = 170, .length = 2},
  [193] = {.index = 172, .length = 1},
  [194] = {.index = 172, .length = 1},
  [195] = {.index = 170, .length = 2},
  [196] = {.index = 156, .length = 2},
  [197] = {.index = 173, .length = 4},
  [198] = {.index = 177, .length = 2},
  [199] = {.index = 179, .length = 2},
  [200] = {.index = 146, .length = 1},
  [202] = {.index = 181, .length = 1},
  [203] = {.index = 181, .length = 1},
  [204] = {.index = 182, .length = 2},
  [205] = {.index = 184, .length = 1},
  [206] = {.index = 182, .length = 2},
  [207] = {.index = 173, .length = 4},
  [208] = {.index = 185, .length = 2},
  [209] = {.index = 146, .length = 1},
  [210] = {.index = 187, .length = 3},
  [211] = {.index = 190, .length = 1},
  [212] = {.index = 191, .length = 2},
  [213] = {.index = 193, .length = 2},
  [214] = {.index = 195, .length = 1},
  [215] = {.index = 196, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_type, 0, .inherited = true},
  [2] =
    {field_kind, 1, .inherited = true},
  [3] =
    {field_directive, 0},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_subroutine, 1},
  [7] =
    {field_name, 1},
  [8] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [10] =
    {field_declarator, 0},
  [11] =
    {field_declarator, 0},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [14] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [16] =
    {field_kind, 1},
  [17] =
    {field_declarator, 1},
  [18] =
    {field_kind, 0},
  [19] =
    {field_path, 1},
  [20] =
    {field_arguments, 1},
    {field_function, 0},
  [22] =
    {field_argument, 1},
    {field_directive, 0},
  [24] =
    {field_access, 0},
  [25] =
    {field_base, 0},
  [26] =
    {field_name, 1},
    {field_parameters, 2},
  [28] =
    {field_type, 1, .inherited = true},
  [29] =
    {field_type_param, 0},
  [30] =
    {field_declarator, 2, .inherited = true},
    {field_type, 0},
  [32] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [34] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [38] =
    {field_declarator, 1},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [41] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [44] =
    {field_left, 0},
    {field_right, 2},
  [46] =
    {field_declarator, 2},
  [47] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [49] =
    {field_name, 1},
    {field_value, 2},
  [51] =
    {field_condition, 1},
  [52] =
    {field_alternative, 2},
    {field_name, 1},
  [54] =
    {field_name, 2},
  [55] =
    {field_allocation, 2},
  [56] =
    {field_name, 2},
    {field_type, 0, .inherited = true},
  [58] =
    {field_attribute, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0},
  [61] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [63] =
    {field_declarator, 2},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [66] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [70] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
  [72] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [75] =
    {field_alternative, 3},
    {field_condition, 1},
  [77] =
    {field_alternative, 3},
    {field_name, 1},
  [79] =
    {field_name, 0},
    {field_value, 2},
  [81] =
    {field_access, 1, .inherited = true},
    {field_base, 1, .inherited = true},
  [83] =
    {field_access, 0, .inherited = true},
    {field_access, 1, .inherited = true},
    {field_base, 0, .inherited = true},
    {field_base, 1, .inherited = true},
  [87] =
    {field_kind, 3},
    {field_name, 2},
  [89] =
    {field_name, 0},
    {field_selector, 2},
  [91] =
    {field_allocation, 1},
  [92] =
    {field_allocation, 2},
    {field_allocation, 3, .inherited = true},
  [94] =
    {field_allocation, 0, .inherited = true},
    {field_allocation, 1, .inherited = true},
  [96] =
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 0, .inherited = true},
  [99] =
    {field_attribute, 1},
  [100] =
    {field_attribute, 2},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [103] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [107] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [109] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [113] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [116] =
    {field_alternative, 4},
    {field_condition, 1},
  [118] =
    {field_condition, 2},
  [119] =
    {field_alternative, 4},
    {field_name, 1},
  [121] =
    {field_ancestor, 2},
  [122] =
    {field_repeat, 2, .inherited = true},
  [123] =
    {field_repeat, 0, .inherited = true},
    {field_repeat, 1, .inherited = true},
  [125] =
    {field_access, 2, .inherited = true},
    {field_base, 2, .inherited = true},
  [127] =
    {field_allocation, 4},
    {field_type, 2},
    {field_type, 3},
  [130] =
    {field_declarator, 3},
  [131] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 5, .inherited = true},
    {field_type, 0},
  [135] =
    {field_alternative, 5},
    {field_condition, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 2},
  [139] =
    {field_alternative, 5},
    {field_name, 1},
  [141] =
    {field_repeat, 1},
  [142] =
    {field_access, 2, .inherited = true},
    {field_access, 3, .inherited = true},
    {field_base, 2, .inherited = true},
    {field_base, 3, .inherited = true},
  [146] =
    {field_type, 2},
  [147] =
    {field_allocation, 4},
    {field_allocation, 5, .inherited = true},
    {field_type, 2},
    {field_type, 3},
  [151] =
    {field_declarator, 4},
  [152] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
  [154] =
    {field_name, 3},
    {field_type, 0, .inherited = true},
  [156] =
    {field_access, 3, .inherited = true},
    {field_base, 3, .inherited = true},
  [158] =
    {field_alternative, 6},
    {field_condition, 1},
  [160] =
    {field_alternative, 5},
    {field_condition, 2},
  [162] =
    {field_alternative, 6},
    {field_name, 1},
  [164] =
    {field_ancestor, 2},
    {field_parent, 4},
  [166] =
    {field_repeat, 1},
    {field_repeat, 4, .inherited = true},
  [168] =
    {field_final, 4},
    {field_initial, 2},
  [170] =
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
  [172] =
    {field_declarator, 5},
  [173] =
    {field_access, 3, .inherited = true},
    {field_access, 4, .inherited = true},
    {field_base, 3, .inherited = true},
    {field_base, 4, .inherited = true},
  [177] =
    {field_alternative, 7},
    {field_condition, 1},
  [179] =
    {field_alternative, 6},
    {field_condition, 2},
  [181] =
    {field_type, 3},
  [182] =
    {field_declarator, 5},
    {field_declarator, 6, .inherited = true},
  [184] =
    {field_declarator, 6},
  [185] =
    {field_alternative, 7},
    {field_condition, 2},
  [187] =
    {field_final, 4},
    {field_initial, 2},
    {field_step, 6},
  [190] =
    {field_declarator, 7},
  [191] =
    {field_declarator, 6},
    {field_declarator, 7, .inherited = true},
  [193] =
    {field_declarator, 7},
    {field_declarator, 8, .inherited = true},
  [195] =
    {field_declarator, 8},
  [196] =
    {field_declarator, 8},
    {field_declarator, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_statement_label,
  },
  [2] = {
    [0] = anon_alias_sym_end,
  },
  [3] = {
    [0] = anon_alias_sym_double,
  },
  [4] = {
    [0] = aux_sym__intrinsic_type_token8,
  },
  [5] = {
    [0] = anon_alias_sym_go,
  },
  [6] = {
    [0] = anon_alias_sym_select,
  },
  [8] = {
    [0] = sym_type_qualifier,
  },
  [13] = {
    [0] = alias_sym_name,
  },
  [14] = {
    [0] = aux_sym_program_statement_token1,
  },
  [15] = {
    [0] = aux_sym_block_data_statement_token3,
  },
  [16] = {
    [0] = anon_alias_sym_statement_label_reference,
  },
  [17] = {
    [1] = sym_module_name,
  },
  [18] = {
    [0] = alias_sym_type_name,
  },
  [19] = {
    [0] = aux_sym__intrinsic_type_token8,
    [1] = aux_sym__intrinsic_type_token8,
  },
  [20] = {
    [1] = alias_sym_coarray_size,
  },
  [28] = {
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [29] = {
    [0] = aux_sym_end_enum_statement_token1,
  },
  [30] = {
    [0] = anon_alias_sym_label,
  },
  [36] = {
    [0] = anon_alias_sym_program,
  },
  [37] = {
    [0] = aux_sym_block_data_statement_token3,
    [1] = aux_sym_block_data_statement_token3,
  },
  [38] = {
    [0] = aux_sym_end_block_construct_statement_token1,
  },
  [39] = {
    [2] = sym_module_name,
  },
  [42] = {
    [1] = alias_sym_size,
  },
  [43] = {
    [1] = anon_alias_sym_none,
  },
  [44] = {
    [1] = alias_sym_filename,
  },
  [45] = {
    [0] = aux_sym_end_do_loop_statement_token1,
  },
  [48] = {
    [0] = aux_sym_end_coarray_critical_statement_token1,
  },
  [49] = {
    [0] = aux_sym_end_module_statement_token1,
  },
  [50] = {
    [0] = aux_sym_end_submodule_statement_token1,
  },
  [51] = {
    [0] = aux_sym_end_interface_statement_token1,
  },
  [52] = {
    [0] = anon_alias_sym_method_name,
  },
  [53] = {
    [0] = aux_sym_end_subroutine_statement_token1,
  },
  [54] = {
    [0] = aux_sym_end_function_statement_token1,
  },
  [55] = {
    [0] = aux_sym_end_type_statement_token1,
  },
  [56] = {
    [0] = alias_sym_sequence_statement,
  },
  [61] = {
    [1] = sym_number_literal,
  },
  [62] = {
    [0] = sym_assumed_size,
  },
  [63] = {
    [1] = aux_sym_end_do_loop_statement_token1,
    [2] = aux_sym_end_do_loop_statement_token1,
  },
  [64] = {
    [0] = aux_sym_end_forall_statement_token1,
  },
  [65] = {
    [0] = aux_sym_end_enum_statement_token1,
    [1] = aux_sym_end_enum_statement_token1,
  },
  [68] = {
    [2] = alias_sym_type_member,
  },
  [75] = {
    [0] = aux_sym_end_block_construct_statement_token1,
    [1] = aux_sym_end_block_construct_statement_token1,
  },
  [76] = {
    [0] = alias_sym_block_label,
  },
  [77] = {
    [2] = alias_sym_procedure_interface,
  },
  [79] = {
    [2] = sym_intrinsic_type,
  },
  [80] = {
    [2] = alias_sym_derived_type_parameter_list,
  },
  [81] = {
    [0] = anon_alias_sym_class,
  },
  [82] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [83] = {
    [0] = anon_alias_sym_class,
  },
  [84] = {
    [2] = aux_sym__standalone_type_qualifier_token9,
  },
  [85] = {
    [0] = aux_sym_end_do_loop_statement_token1,
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [86] = {
    [0] = aux_sym_end_where_statement_token1,
  },
  [87] = {
    [2] = alias_sym_transfer_items,
  },
  [89] = {
    [2] = anon_alias_sym_to,
  },
  [90] = {
    [0] = aux_sym_end_coarray_critical_statement_token1,
    [1] = aux_sym_end_coarray_critical_statement_token1,
  },
  [91] = {
    [0] = aux_sym_end_module_statement_token1,
    [1] = aux_sym_end_module_statement_token1,
  },
  [92] = {
    [0] = aux_sym_end_submodule_statement_token1,
    [1] = aux_sym_end_submodule_statement_token1,
  },
  [93] = {
    [0] = aux_sym_end_interface_statement_token1,
    [1] = aux_sym_end_interface_statement_token1,
  },
  [94] = {
    [1] = aux_sym_end_program_statement_token1,
  },
  [95] = {
    [0] = aux_sym_end_subroutine_statement_token1,
    [1] = aux_sym_end_subroutine_statement_token1,
  },
  [96] = {
    [0] = aux_sym_end_function_statement_token1,
    [1] = aux_sym_end_function_statement_token1,
  },
  [98] = {
    [0] = aux_sym_end_type_statement_token1,
    [1] = aux_sym_end_type_statement_token1,
  },
  [101] = {
    [0] = aux_sym_end_forall_statement_token1,
    [1] = aux_sym_end_forall_statement_token1,
  },
  [109] = {
    [4] = sym_module_name,
  },
  [113] = {
    [2] = sym_intrinsic_type,
  },
  [114] = {
    [3] = alias_sym_derived_type_parameter_list,
  },
  [115] = {
    [0] = anon_alias_sym_class,
  },
  [116] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [117] = {
    [2] = aux_sym__standalone_type_qualifier_token9,
    [3] = aux_sym__standalone_type_qualifier_token9,
  },
  [118] = {
    [0] = aux_sym_end_if_statement_token1,
  },
  [119] = {
    [0] = aux_sym_end_where_statement_token1,
    [1] = aux_sym_end_where_statement_token1,
  },
  [120] = {
    [0] = aux_sym_end_select_statement_token1,
  },
  [121] = {
    [0] = aux_sym_select_type_statement_token1,
  },
  [122] = {
    [0] = aux_sym_select_rank_statement_token1,
  },
  [127] = {
    [0] = aux_sym_end_coarray_team_statement_token1,
  },
  [128] = {
    [1] = aux_sym_end_program_statement_token1,
    [2] = aux_sym_end_program_statement_token1,
  },
  [130] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
  },
  [143] = {
    [0] = alias_sym_local_name,
  },
  [145] = {
    [0] = anon_alias_sym_default,
    [2] = anon_alias_sym_none,
  },
  [146] = {
    [0] = aux_sym_end_if_statement_token1,
    [1] = aux_sym_end_if_statement_token1,
  },
  [147] = {
    [0] = anon_alias_sym_else,
  },
  [148] = {
    [1] = aux_sym_elseif_clause_token1,
  },
  [149] = {
    [0] = aux_sym_select_type_statement_token1,
    [1] = aux_sym_select_type_statement_token1,
  },
  [150] = {
    [0] = aux_sym_select_rank_statement_token1,
    [1] = aux_sym_select_rank_statement_token1,
  },
  [151] = {
    [1] = aux_sym_select_case_statement_token1,
  },
  [152] = {
    [1] = sym__class_default,
  },
  [153] = {
    [0] = aux_sym_end_select_statement_token1,
    [1] = aux_sym_end_select_statement_token1,
  },
  [154] = {
    [0] = aux_sym_end_associate_statement_token1,
  },
  [156] = {
    [0] = aux_sym_end_coarray_team_statement_token1,
    [1] = aux_sym_end_coarray_team_statement_token1,
  },
  [158] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
    [1] = aux_sym_end_module_procedure_statement_token1,
  },
  [160] = {
    [4] = alias_sym_derived_type_parameter_list,
  },
  [161] = {
    [1] = aux_sym_select_type_statement_token1,
  },
  [162] = {
    [1] = aux_sym_select_rank_statement_token1,
  },
  [167] = {
    [5] = alias_sym_derived_type_parameter_list,
  },
  [170] = {
    [4] = alias_sym_concurrent_mask,
  },
  [171] = {
    [0] = aux_sym_end_associate_statement_token1,
    [1] = aux_sym_end_associate_statement_token1,
  },
  [175] = {
    [2] = alias_sym_procedure_interface,
  },
  [178] = {
    [1] = aux_sym_select_type_statement_token1,
    [2] = aux_sym_select_type_statement_token1,
  },
  [179] = {
    [1] = aux_sym_select_rank_statement_token1,
    [2] = aux_sym_select_rank_statement_token1,
  },
  [180] = {
    [1] = aux_sym_select_case_statement_token1,
    [2] = aux_sym_select_case_statement_token1,
  },
  [186] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [187] = {
    [5] = alias_sym_concurrent_mask,
  },
  [189] = {
    [0] = aux_sym_elseif_clause_token2,
  },
  [190] = {
    [0] = aux_sym_type_statement_token1,
  },
  [191] = {
    [0] = aux_sym_type_statement_token3,
  },
  [194] = {
    [2] = alias_sym_procedure_interface,
  },
  [195] = {
    [2] = alias_sym_procedure_interface,
  },
  [196] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [200] = {
    [6] = alias_sym_concurrent_mask,
  },
  [201] = {
    [0] = aux_sym_elseif_clause_token2,
    [1] = aux_sym_elseif_clause_token2,
  },
  [202] = {
    [0] = aux_sym_type_statement_token1,
  },
  [203] = {
    [0] = aux_sym_type_statement_token3,
    [1] = aux_sym_type_statement_token3,
  },
  [205] = {
    [2] = alias_sym_procedure_interface,
  },
  [206] = {
    [2] = alias_sym_procedure_interface,
  },
  [207] = {
    [7] = alias_sym_derived_type_parameter_list,
  },
  [209] = {
    [7] = alias_sym_concurrent_mask,
  },
  [211] = {
    [2] = alias_sym_procedure_interface,
  },
  [212] = {
    [2] = alias_sym_procedure_interface,
  },
  [213] = {
    [2] = alias_sym_procedure_interface,
  },
  [214] = {
    [2] = alias_sym_procedure_interface,
  },
  [215] = {
    [2] = alias_sym_procedure_interface,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__intrinsic_type, 2,
    sym__intrinsic_type,
    sym_intrinsic_type,
  sym__standalone_type_qualifier, 2,
    sym__standalone_type_qualifier,
    sym_type_qualifier,
  sym_statement_label, 2,
    sym_statement_label,
    anon_alias_sym_statement_label_reference,
  sym__transfer_items, 2,
    sym__transfer_items,
    alias_sym_transfer_items,
  sym__expression, 2,
    sym__expression,
    alias_sym_concurrent_mask,
  sym_argument_list, 3,
    sym_argument_list,
    alias_sym_derived_type_parameter_list,
    alias_sym_size,
  sym_string_literal, 2,
    sym_string_literal,
    alias_sym_filename,
  sym_coarray_index, 2,
    sym_coarray_index,
    alias_sym_coarray_size,
  sym_identifier, 10,
    sym_identifier,
    alias_sym_block_label,
    alias_sym_local_name,
    alias_sym_name,
    alias_sym_procedure_interface,
    alias_sym_type_member,
    alias_sym_type_name,
    anon_alias_sym_label,
    anon_alias_sym_method_name,
    sym_module_name,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 9,
  [15] = 12,
  [16] = 8,
  [17] = 9,
  [18] = 12,
  [19] = 8,
  [20] = 9,
  [21] = 12,
  [22] = 8,
  [23] = 9,
  [24] = 12,
  [25] = 8,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 27,
  [30] = 28,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 27,
  [38] = 28,
  [39] = 34,
  [40] = 40,
  [41] = 35,
  [42] = 35,
  [43] = 43,
  [44] = 34,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 46,
  [51] = 51,
  [52] = 52,
  [53] = 46,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 56,
  [58] = 56,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 61,
  [66] = 66,
  [67] = 62,
  [68] = 61,
  [69] = 62,
  [70] = 66,
  [71] = 66,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 73,
  [76] = 76,
  [77] = 74,
  [78] = 74,
  [79] = 74,
  [80] = 73,
  [81] = 81,
  [82] = 82,
  [83] = 81,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 88,
  [91] = 88,
  [92] = 89,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 89,
  [97] = 87,
  [98] = 84,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 86,
  [103] = 103,
  [104] = 100,
  [105] = 105,
  [106] = 81,
  [107] = 84,
  [108] = 85,
  [109] = 87,
  [110] = 88,
  [111] = 89,
  [112] = 85,
  [113] = 113,
  [114] = 99,
  [115] = 100,
  [116] = 101,
  [117] = 99,
  [118] = 86,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 99,
  [123] = 101,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 128,
  [129] = 124,
  [130] = 124,
  [131] = 124,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 136,
  [139] = 132,
  [140] = 137,
  [141] = 141,
  [142] = 142,
  [143] = 142,
  [144] = 134,
  [145] = 134,
  [146] = 135,
  [147] = 147,
  [148] = 136,
  [149] = 149,
  [150] = 132,
  [151] = 137,
  [152] = 152,
  [153] = 153,
  [154] = 141,
  [155] = 142,
  [156] = 134,
  [157] = 135,
  [158] = 135,
  [159] = 136,
  [160] = 141,
  [161] = 132,
  [162] = 162,
  [163] = 137,
  [164] = 141,
  [165] = 141,
  [166] = 142,
  [167] = 134,
  [168] = 135,
  [169] = 136,
  [170] = 132,
  [171] = 171,
  [172] = 137,
  [173] = 141,
  [174] = 142,
  [175] = 134,
  [176] = 135,
  [177] = 136,
  [178] = 132,
  [179] = 137,
  [180] = 141,
  [181] = 142,
  [182] = 134,
  [183] = 135,
  [184] = 136,
  [185] = 137,
  [186] = 141,
  [187] = 142,
  [188] = 136,
  [189] = 132,
  [190] = 137,
  [191] = 141,
  [192] = 136,
  [193] = 132,
  [194] = 137,
  [195] = 132,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 196,
  [200] = 198,
  [201] = 196,
  [202] = 202,
  [203] = 197,
  [204] = 196,
  [205] = 197,
  [206] = 206,
  [207] = 206,
  [208] = 208,
  [209] = 208,
  [210] = 198,
  [211] = 196,
  [212] = 202,
  [213] = 197,
  [214] = 198,
  [215] = 206,
  [216] = 208,
  [217] = 202,
  [218] = 197,
  [219] = 198,
  [220] = 196,
  [221] = 202,
  [222] = 197,
  [223] = 206,
  [224] = 208,
  [225] = 198,
  [226] = 196,
  [227] = 202,
  [228] = 197,
  [229] = 206,
  [230] = 206,
  [231] = 208,
  [232] = 198,
  [233] = 196,
  [234] = 202,
  [235] = 197,
  [236] = 206,
  [237] = 208,
  [238] = 202,
  [239] = 198,
  [240] = 196,
  [241] = 202,
  [242] = 197,
  [243] = 206,
  [244] = 208,
  [245] = 198,
  [246] = 196,
  [247] = 202,
  [248] = 197,
  [249] = 208,
  [250] = 198,
  [251] = 196,
  [252] = 202,
  [253] = 197,
  [254] = 198,
  [255] = 196,
  [256] = 202,
  [257] = 197,
  [258] = 198,
  [259] = 196,
  [260] = 202,
  [261] = 197,
  [262] = 202,
  [263] = 198,
  [264] = 264,
  [265] = 265,
  [266] = 264,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 265,
  [272] = 267,
  [273] = 264,
  [274] = 274,
  [275] = 265,
  [276] = 267,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 290,
  [292] = 289,
  [293] = 290,
  [294] = 290,
  [295] = 289,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 296,
  [300] = 300,
  [301] = 301,
  [302] = 297,
  [303] = 298,
  [304] = 298,
  [305] = 305,
  [306] = 301,
  [307] = 307,
  [308] = 301,
  [309] = 297,
  [310] = 296,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 312,
  [316] = 314,
  [317] = 317,
  [318] = 318,
  [319] = 318,
  [320] = 312,
  [321] = 314,
  [322] = 322,
  [323] = 313,
  [324] = 313,
  [325] = 318,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 328,
  [330] = 328,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 333,
  [337] = 337,
  [338] = 337,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 340,
  [343] = 335,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 334,
  [348] = 348,
  [349] = 337,
  [350] = 350,
  [351] = 344,
  [352] = 352,
  [353] = 353,
  [354] = 345,
  [355] = 355,
  [356] = 333,
  [357] = 346,
  [358] = 335,
  [359] = 334,
  [360] = 335,
  [361] = 333,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 340,
  [366] = 344,
  [367] = 367,
  [368] = 346,
  [369] = 369,
  [370] = 355,
  [371] = 337,
  [372] = 372,
  [373] = 334,
  [374] = 352,
  [375] = 353,
  [376] = 345,
  [377] = 355,
  [378] = 352,
  [379] = 353,
  [380] = 380,
  [381] = 380,
  [382] = 380,
  [383] = 383,
  [384] = 380,
  [385] = 380,
  [386] = 380,
  [387] = 380,
  [388] = 380,
  [389] = 380,
  [390] = 380,
  [391] = 380,
  [392] = 380,
  [393] = 380,
  [394] = 380,
  [395] = 380,
  [396] = 380,
  [397] = 380,
  [398] = 380,
  [399] = 380,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 402,
  [404] = 400,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 400,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 402,
  [418] = 410,
  [419] = 419,
  [420] = 405,
  [421] = 406,
  [422] = 407,
  [423] = 409,
  [424] = 401,
  [425] = 411,
  [426] = 412,
  [427] = 413,
  [428] = 414,
  [429] = 401,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 400,
  [434] = 434,
  [435] = 410,
  [436] = 436,
  [437] = 411,
  [438] = 412,
  [439] = 413,
  [440] = 414,
  [441] = 441,
  [442] = 416,
  [443] = 402,
  [444] = 405,
  [445] = 406,
  [446] = 407,
  [447] = 409,
  [448] = 401,
  [449] = 416,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 400,
  [456] = 410,
  [457] = 411,
  [458] = 412,
  [459] = 413,
  [460] = 414,
  [461] = 416,
  [462] = 402,
  [463] = 406,
  [464] = 407,
  [465] = 409,
  [466] = 401,
  [467] = 467,
  [468] = 400,
  [469] = 410,
  [470] = 411,
  [471] = 412,
  [472] = 413,
  [473] = 414,
  [474] = 416,
  [475] = 402,
  [476] = 405,
  [477] = 406,
  [478] = 407,
  [479] = 409,
  [480] = 401,
  [481] = 400,
  [482] = 410,
  [483] = 411,
  [484] = 412,
  [485] = 413,
  [486] = 414,
  [487] = 416,
  [488] = 402,
  [489] = 405,
  [490] = 406,
  [491] = 407,
  [492] = 409,
  [493] = 401,
  [494] = 400,
  [495] = 410,
  [496] = 411,
  [497] = 412,
  [498] = 413,
  [499] = 414,
  [500] = 416,
  [501] = 402,
  [502] = 405,
  [503] = 406,
  [504] = 407,
  [505] = 409,
  [506] = 401,
  [507] = 400,
  [508] = 410,
  [509] = 411,
  [510] = 412,
  [511] = 413,
  [512] = 414,
  [513] = 416,
  [514] = 402,
  [515] = 405,
  [516] = 406,
  [517] = 407,
  [518] = 409,
  [519] = 401,
  [520] = 400,
  [521] = 410,
  [522] = 411,
  [523] = 412,
  [524] = 413,
  [525] = 414,
  [526] = 416,
  [527] = 402,
  [528] = 405,
  [529] = 406,
  [530] = 407,
  [531] = 409,
  [532] = 401,
  [533] = 411,
  [534] = 412,
  [535] = 413,
  [536] = 414,
  [537] = 416,
  [538] = 405,
  [539] = 406,
  [540] = 407,
  [541] = 409,
  [542] = 401,
  [543] = 410,
  [544] = 400,
  [545] = 411,
  [546] = 412,
  [547] = 413,
  [548] = 414,
  [549] = 416,
  [550] = 405,
  [551] = 406,
  [552] = 407,
  [553] = 409,
  [554] = 401,
  [555] = 400,
  [556] = 411,
  [557] = 412,
  [558] = 413,
  [559] = 414,
  [560] = 416,
  [561] = 405,
  [562] = 406,
  [563] = 407,
  [564] = 409,
  [565] = 401,
  [566] = 411,
  [567] = 412,
  [568] = 413,
  [569] = 405,
  [570] = 406,
  [571] = 407,
  [572] = 401,
  [573] = 411,
  [574] = 412,
  [575] = 413,
  [576] = 405,
  [577] = 406,
  [578] = 407,
  [579] = 401,
  [580] = 411,
  [581] = 412,
  [582] = 413,
  [583] = 405,
  [584] = 406,
  [585] = 407,
  [586] = 401,
  [587] = 411,
  [588] = 412,
  [589] = 413,
  [590] = 405,
  [591] = 406,
  [592] = 407,
  [593] = 401,
  [594] = 411,
  [595] = 412,
  [596] = 413,
  [597] = 405,
  [598] = 406,
  [599] = 407,
  [600] = 401,
  [601] = 411,
  [602] = 412,
  [603] = 413,
  [604] = 405,
  [605] = 406,
  [606] = 407,
  [607] = 401,
  [608] = 411,
  [609] = 412,
  [610] = 413,
  [611] = 405,
  [612] = 406,
  [613] = 407,
  [614] = 405,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 616,
  [619] = 617,
  [620] = 620,
  [621] = 615,
  [622] = 620,
  [623] = 615,
  [624] = 616,
  [625] = 617,
  [626] = 620,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 630,
  [632] = 628,
  [633] = 627,
  [634] = 634,
  [635] = 627,
  [636] = 627,
  [637] = 634,
  [638] = 638,
  [639] = 629,
  [640] = 630,
  [641] = 628,
  [642] = 627,
  [643] = 627,
  [644] = 634,
  [645] = 638,
  [646] = 629,
  [647] = 634,
  [648] = 630,
  [649] = 638,
  [650] = 628,
  [651] = 629,
  [652] = 627,
  [653] = 634,
  [654] = 638,
  [655] = 629,
  [656] = 630,
  [657] = 628,
  [658] = 628,
  [659] = 634,
  [660] = 638,
  [661] = 629,
  [662] = 634,
  [663] = 630,
  [664] = 630,
  [665] = 627,
  [666] = 628,
  [667] = 634,
  [668] = 627,
  [669] = 669,
  [670] = 634,
  [671] = 638,
  [672] = 629,
  [673] = 630,
  [674] = 628,
  [675] = 627,
  [676] = 634,
  [677] = 638,
  [678] = 629,
  [679] = 638,
  [680] = 629,
  [681] = 627,
  [682] = 634,
  [683] = 638,
  [684] = 629,
  [685] = 627,
  [686] = 634,
  [687] = 638,
  [688] = 629,
  [689] = 627,
  [690] = 634,
  [691] = 638,
  [692] = 629,
  [693] = 629,
  [694] = 638,
  [695] = 638,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 699,
  [702] = 702,
  [703] = 702,
  [704] = 704,
  [705] = 697,
  [706] = 699,
  [707] = 669,
  [708] = 697,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 711,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 713,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 719,
  [749] = 711,
  [750] = 716,
  [751] = 746,
  [752] = 715,
  [753] = 753,
  [754] = 754,
  [755] = 726,
  [756] = 756,
  [757] = 741,
  [758] = 758,
  [759] = 759,
  [760] = 720,
  [761] = 761,
  [762] = 762,
  [763] = 721,
  [764] = 722,
  [765] = 723,
  [766] = 732,
  [767] = 724,
  [768] = 768,
  [769] = 733,
  [770] = 742,
  [771] = 725,
  [772] = 728,
  [773] = 743,
  [774] = 669,
  [775] = 669,
  [776] = 776,
  [777] = 730,
  [778] = 745,
  [779] = 719,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 731,
  [784] = 702,
  [785] = 716,
  [786] = 712,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 799,
  [801] = 799,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 669,
  [815] = 669,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 669,
  [825] = 768,
  [826] = 780,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 736,
  [833] = 737,
  [834] = 762,
  [835] = 835,
  [836] = 836,
  [837] = 718,
  [838] = 669,
  [839] = 839,
  [840] = 669,
  [841] = 747,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 729,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 714,
  [860] = 715,
  [861] = 756,
  [862] = 761,
  [863] = 762,
  [864] = 721,
  [865] = 722,
  [866] = 734,
  [867] = 714,
  [868] = 735,
  [869] = 869,
  [870] = 726,
  [871] = 758,
  [872] = 723,
  [873] = 724,
  [874] = 725,
  [875] = 728,
  [876] = 776,
  [877] = 730,
  [878] = 731,
  [879] = 879,
  [880] = 880,
  [881] = 758,
  [882] = 669,
  [883] = 883,
  [884] = 884,
  [885] = 768,
  [886] = 669,
  [887] = 780,
  [888] = 669,
  [889] = 669,
  [890] = 713,
  [891] = 717,
  [892] = 746,
  [893] = 712,
  [894] = 669,
  [895] = 669,
  [896] = 718,
  [897] = 669,
  [898] = 776,
  [899] = 669,
  [900] = 729,
  [901] = 669,
  [902] = 732,
  [903] = 733,
  [904] = 734,
  [905] = 735,
  [906] = 741,
  [907] = 747,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 756,
  [912] = 736,
  [913] = 737,
  [914] = 761,
  [915] = 742,
  [916] = 743,
  [917] = 745,
  [918] = 720,
  [919] = 717,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 669,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 940,
  [942] = 942,
  [943] = 940,
  [944] = 944,
  [945] = 940,
  [946] = 946,
  [947] = 940,
  [948] = 946,
  [949] = 946,
  [950] = 940,
  [951] = 944,
  [952] = 942,
  [953] = 940,
  [954] = 944,
  [955] = 942,
  [956] = 940,
  [957] = 944,
  [958] = 940,
  [959] = 944,
  [960] = 940,
  [961] = 944,
  [962] = 940,
  [963] = 940,
  [964] = 940,
  [965] = 940,
  [966] = 940,
  [967] = 940,
  [968] = 940,
  [969] = 940,
  [970] = 940,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 972,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 975,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 973,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 991,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 998,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1000,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1001,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 997,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 986,
  [1074] = 980,
  [1075] = 988,
  [1076] = 971,
  [1077] = 986,
  [1078] = 975,
  [1079] = 973,
  [1080] = 972,
  [1081] = 985,
  [1082] = 980,
  [1083] = 991,
  [1084] = 991,
  [1085] = 991,
  [1086] = 973,
  [1087] = 972,
  [1088] = 992,
  [1089] = 975,
  [1090] = 990,
  [1091] = 978,
  [1092] = 983,
  [1093] = 972,
  [1094] = 979,
  [1095] = 975,
  [1096] = 979,
  [1097] = 978,
  [1098] = 973,
  [1099] = 990,
  [1100] = 983,
  [1101] = 985,
  [1102] = 971,
  [1103] = 992,
  [1104] = 988,
  [1105] = 1007,
  [1106] = 1061,
  [1107] = 1057,
  [1108] = 1059,
  [1109] = 1065,
  [1110] = 1066,
  [1111] = 1071,
  [1112] = 1003,
  [1113] = 1064,
  [1114] = 1001,
  [1115] = 1046,
  [1116] = 1047,
  [1117] = 1048,
  [1118] = 1049,
  [1119] = 1052,
  [1120] = 1005,
  [1121] = 1039,
  [1122] = 1053,
  [1123] = 1028,
  [1124] = 1029,
  [1125] = 1072,
  [1126] = 997,
  [1127] = 1060,
  [1128] = 1050,
  [1129] = 1063,
  [1130] = 1068,
  [1131] = 1069,
  [1132] = 1070,
  [1133] = 1002,
  [1134] = 1004,
  [1135] = 1006,
  [1136] = 1007,
  [1137] = 1008,
  [1138] = 1010,
  [1139] = 997,
  [1140] = 998,
  [1141] = 1000,
  [1142] = 1066,
  [1143] = 1045,
  [1144] = 1051,
  [1145] = 1037,
  [1146] = 1054,
  [1147] = 1040,
  [1148] = 1056,
  [1149] = 1035,
  [1150] = 1071,
  [1151] = 1011,
  [1152] = 1061,
  [1153] = 1064,
  [1154] = 1001,
  [1155] = 1060,
  [1156] = 1010,
  [1157] = 1022,
  [1158] = 996,
  [1159] = 1009,
  [1160] = 1055,
  [1161] = 1003,
  [1162] = 1062,
  [1163] = 1057,
  [1164] = 1058,
  [1165] = 1050,
  [1166] = 1022,
  [1167] = 1058,
  [1168] = 999,
  [1169] = 1041,
  [1170] = 1044,
  [1171] = 1016,
  [1172] = 1072,
  [1173] = 997,
  [1174] = 1015,
  [1175] = 1032,
  [1176] = 1036,
  [1177] = 1038,
  [1178] = 1042,
  [1179] = 1043,
  [1180] = 998,
  [1181] = 1000,
  [1182] = 1012,
  [1183] = 1020,
  [1184] = 1023,
  [1185] = 1033,
  [1186] = 1001,
  [1187] = 1011,
  [1188] = 1013,
  [1189] = 995,
  [1190] = 1017,
  [1191] = 1018,
  [1192] = 1019,
  [1193] = 999,
  [1194] = 1016,
  [1195] = 996,
  [1196] = 1021,
  [1197] = 1024,
  [1198] = 1025,
  [1199] = 1026,
  [1200] = 1028,
  [1201] = 1029,
  [1202] = 1031,
  [1203] = 1027,
  [1204] = 1009,
  [1205] = 1055,
  [1206] = 1063,
  [1207] = 1068,
  [1208] = 1069,
  [1209] = 1070,
  [1210] = 1002,
  [1211] = 1004,
  [1212] = 1006,
  [1213] = 1017,
  [1214] = 1018,
  [1215] = 1008,
  [1216] = 1015,
  [1217] = 1032,
  [1218] = 1036,
  [1219] = 1038,
  [1220] = 1062,
  [1221] = 1042,
  [1222] = 1043,
  [1223] = 1024,
  [1224] = 1025,
  [1225] = 1021,
  [1226] = 1059,
  [1227] = 1031,
  [1228] = 998,
  [1229] = 1026,
  [1230] = 1046,
  [1231] = 1000,
  [1232] = 1045,
  [1233] = 1051,
  [1234] = 1027,
  [1235] = 1037,
  [1236] = 1047,
  [1237] = 1048,
  [1238] = 1049,
  [1239] = 1052,
  [1240] = 1054,
  [1241] = 1040,
  [1242] = 1019,
  [1243] = 1056,
  [1244] = 1035,
  [1245] = 1005,
  [1246] = 1013,
  [1247] = 995,
  [1248] = 1039,
  [1249] = 1053,
  [1250] = 1012,
  [1251] = 1020,
  [1252] = 1041,
  [1253] = 1044,
  [1254] = 1023,
  [1255] = 1033,
  [1256] = 1065,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 976,
  [1283] = 982,
  [1284] = 984,
  [1285] = 989,
  [1286] = 993,
  [1287] = 1266,
  [1288] = 1288,
  [1289] = 1260,
  [1290] = 1261,
  [1291] = 1262,
  [1292] = 1263,
  [1293] = 1264,
  [1294] = 1265,
  [1295] = 1295,
  [1296] = 1269,
  [1297] = 1270,
  [1298] = 1271,
  [1299] = 1272,
  [1300] = 1274,
  [1301] = 1275,
  [1302] = 1277,
  [1303] = 1278,
  [1304] = 1279,
  [1305] = 1257,
  [1306] = 1259,
  [1307] = 1258,
  [1308] = 977,
  [1309] = 1267,
  [1310] = 1268,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1273,
  [1315] = 1276,
  [1316] = 1280,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1343,
  [1362] = 1341,
  [1363] = 1342,
  [1364] = 1344,
  [1365] = 1329,
  [1366] = 1366,
  [1367] = 1330,
  [1368] = 1368,
  [1369] = 1317,
  [1370] = 1021,
  [1371] = 1024,
  [1372] = 1025,
  [1373] = 1026,
  [1374] = 1028,
  [1375] = 1029,
  [1376] = 1031,
  [1377] = 1027,
  [1378] = 1348,
  [1379] = 1318,
  [1380] = 1351,
  [1381] = 1336,
  [1382] = 1355,
  [1383] = 1337,
  [1384] = 1357,
  [1385] = 1321,
  [1386] = 1338,
  [1387] = 1339,
  [1388] = 1345,
  [1389] = 1319,
  [1390] = 1346,
  [1391] = 1320,
  [1392] = 1347,
  [1393] = 1360,
  [1394] = 1349,
  [1395] = 1350,
  [1396] = 1322,
  [1397] = 1323,
  [1398] = 1352,
  [1399] = 1353,
  [1400] = 1354,
  [1401] = 1356,
  [1402] = 1358,
  [1403] = 1359,
  [1404] = 1326,
  [1405] = 1311,
  [1406] = 1334,
  [1407] = 1327,
  [1408] = 1324,
  [1409] = 1325,
  [1410] = 1328,
  [1411] = 1011,
  [1412] = 1412,
  [1413] = 1013,
  [1414] = 995,
  [1415] = 1017,
  [1416] = 1018,
  [1417] = 1019,
  [1418] = 1332,
  [1419] = 1333,
  [1420] = 1281,
  [1421] = 1335,
  [1422] = 1340,
  [1423] = 1423,
  [1424] = 1279,
  [1425] = 1273,
  [1426] = 1262,
  [1427] = 1276,
  [1428] = 1263,
  [1429] = 1280,
  [1430] = 1264,
  [1431] = 1258,
  [1432] = 1265,
  [1433] = 1267,
  [1434] = 1269,
  [1435] = 1277,
  [1436] = 1270,
  [1437] = 1271,
  [1438] = 1278,
  [1439] = 1266,
  [1440] = 1257,
  [1441] = 1272,
  [1442] = 1274,
  [1443] = 1259,
  [1444] = 1275,
  [1445] = 1260,
  [1446] = 1268,
  [1447] = 1261,
  [1448] = 1281,
  [1449] = 1321,
  [1450] = 1269,
  [1451] = 1260,
  [1452] = 1261,
  [1453] = 1270,
  [1454] = 1454,
  [1455] = 1271,
  [1456] = 1262,
  [1457] = 1273,
  [1458] = 1263,
  [1459] = 1264,
  [1460] = 1265,
  [1461] = 1269,
  [1462] = 1270,
  [1463] = 1272,
  [1464] = 1271,
  [1465] = 1272,
  [1466] = 1274,
  [1467] = 1275,
  [1468] = 1276,
  [1469] = 1277,
  [1470] = 1278,
  [1471] = 1279,
  [1472] = 1257,
  [1473] = 1259,
  [1474] = 1258,
  [1475] = 1260,
  [1476] = 1266,
  [1477] = 1261,
  [1478] = 1262,
  [1479] = 1267,
  [1480] = 1263,
  [1481] = 1264,
  [1482] = 1268,
  [1483] = 1265,
  [1484] = 1288,
  [1485] = 1269,
  [1486] = 1270,
  [1487] = 1273,
  [1488] = 1271,
  [1489] = 1272,
  [1490] = 1276,
  [1491] = 1295,
  [1492] = 1274,
  [1493] = 1275,
  [1494] = 1280,
  [1495] = 1277,
  [1496] = 1278,
  [1497] = 1279,
  [1498] = 1257,
  [1499] = 1259,
  [1500] = 1258,
  [1501] = 1288,
  [1502] = 1288,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1295,
  [1506] = 1288,
  [1507] = 1317,
  [1508] = 1318,
  [1509] = 1319,
  [1510] = 1320,
  [1511] = 1360,
  [1512] = 1322,
  [1513] = 1323,
  [1514] = 1326,
  [1515] = 1327,
  [1516] = 1328,
  [1517] = 1329,
  [1518] = 1330,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1336,
  [1522] = 1337,
  [1523] = 1338,
  [1524] = 1339,
  [1525] = 1295,
  [1526] = 1345,
  [1527] = 1346,
  [1528] = 1347,
  [1529] = 1349,
  [1530] = 1350,
  [1531] = 1352,
  [1532] = 1353,
  [1533] = 1354,
  [1534] = 1356,
  [1535] = 1358,
  [1536] = 1359,
  [1537] = 1311,
  [1538] = 1334,
  [1539] = 1324,
  [1540] = 1325,
  [1541] = 1260,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1266,
  [1545] = 1545,
  [1546] = 1261,
  [1547] = 1332,
  [1548] = 1357,
  [1549] = 1335,
  [1550] = 1295,
  [1551] = 1260,
  [1552] = 1261,
  [1553] = 1340,
  [1554] = 1341,
  [1555] = 1262,
  [1556] = 1263,
  [1557] = 1264,
  [1558] = 1265,
  [1559] = 1342,
  [1560] = 1344,
  [1561] = 1269,
  [1562] = 1270,
  [1563] = 1271,
  [1564] = 1272,
  [1565] = 1274,
  [1566] = 1275,
  [1567] = 1277,
  [1568] = 1278,
  [1569] = 1279,
  [1570] = 1257,
  [1571] = 1259,
  [1572] = 1258,
  [1573] = 1260,
  [1574] = 1261,
  [1575] = 1519,
  [1576] = 1262,
  [1577] = 1263,
  [1578] = 1264,
  [1579] = 1265,
  [1580] = 1269,
  [1581] = 1270,
  [1582] = 1271,
  [1583] = 1272,
  [1584] = 1274,
  [1585] = 1275,
  [1586] = 1277,
  [1587] = 1278,
  [1588] = 1279,
  [1589] = 1257,
  [1590] = 1259,
  [1591] = 1258,
  [1592] = 1274,
  [1593] = 1275,
  [1594] = 1280,
  [1595] = 1277,
  [1596] = 1278,
  [1597] = 1312,
  [1598] = 1312,
  [1599] = 1542,
  [1600] = 1543,
  [1601] = 1454,
  [1602] = 1279,
  [1603] = 1257,
  [1604] = 1259,
  [1605] = 1545,
  [1606] = 1520,
  [1607] = 1258,
  [1608] = 1262,
  [1609] = 1267,
  [1610] = 1263,
  [1611] = 1343,
  [1612] = 1264,
  [1613] = 1268,
  [1614] = 1265,
  [1615] = 1331,
  [1616] = 1313,
  [1617] = 1454,
  [1618] = 1313,
  [1619] = 1348,
  [1620] = 1503,
  [1621] = 1504,
  [1622] = 1288,
  [1623] = 1351,
  [1624] = 1503,
  [1625] = 1504,
  [1626] = 1519,
  [1627] = 1520,
  [1628] = 1295,
  [1629] = 1355,
  [1630] = 1542,
  [1631] = 1543,
  [1632] = 1545,
  [1633] = 1333,
  [1634] = 1353,
  [1635] = 1412,
  [1636] = 1339,
  [1637] = 1350,
  [1638] = 1423,
  [1639] = 1273,
  [1640] = 1319,
  [1641] = 1320,
  [1642] = 1021,
  [1643] = 1276,
  [1644] = 1644,
  [1645] = 1024,
  [1646] = 1025,
  [1647] = 1026,
  [1648] = 1027,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1028,
  [1652] = 1029,
  [1653] = 1260,
  [1654] = 1261,
  [1655] = 1031,
  [1656] = 1262,
  [1657] = 1263,
  [1658] = 1264,
  [1659] = 1265,
  [1660] = 1269,
  [1661] = 1270,
  [1662] = 1271,
  [1663] = 1272,
  [1664] = 1274,
  [1665] = 1275,
  [1666] = 1277,
  [1667] = 1278,
  [1668] = 1279,
  [1669] = 1257,
  [1670] = 1259,
  [1671] = 1258,
  [1672] = 1345,
  [1673] = 1332,
  [1674] = 1333,
  [1675] = 1352,
  [1676] = 1353,
  [1677] = 1340,
  [1678] = 1341,
  [1679] = 1354,
  [1680] = 1356,
  [1681] = 1317,
  [1682] = 1682,
  [1683] = 1318,
  [1684] = 1684,
  [1685] = 1358,
  [1686] = 1359,
  [1687] = 1351,
  [1688] = 1311,
  [1689] = 1334,
  [1690] = 1326,
  [1691] = 1324,
  [1692] = 1412,
  [1693] = 1325,
  [1694] = 1332,
  [1695] = 1333,
  [1696] = 1011,
  [1697] = 1317,
  [1698] = 1318,
  [1699] = 1281,
  [1700] = 1335,
  [1701] = 1280,
  [1702] = 1013,
  [1703] = 995,
  [1704] = 1319,
  [1705] = 1320,
  [1706] = 1360,
  [1707] = 1322,
  [1708] = 1323,
  [1709] = 1709,
  [1710] = 1327,
  [1711] = 1711,
  [1712] = 1328,
  [1713] = 1423,
  [1714] = 1329,
  [1715] = 1715,
  [1716] = 1340,
  [1717] = 1717,
  [1718] = 1341,
  [1719] = 1368,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1017,
  [1723] = 1018,
  [1724] = 1317,
  [1725] = 1318,
  [1726] = 1326,
  [1727] = 1319,
  [1728] = 1320,
  [1729] = 1360,
  [1730] = 1322,
  [1731] = 1323,
  [1732] = 1327,
  [1733] = 1328,
  [1734] = 1329,
  [1735] = 1330,
  [1736] = 1330,
  [1737] = 1682,
  [1738] = 1326,
  [1739] = 1327,
  [1740] = 1328,
  [1741] = 1329,
  [1742] = 1330,
  [1743] = 1281,
  [1744] = 1335,
  [1745] = 1348,
  [1746] = 1336,
  [1747] = 1337,
  [1748] = 1720,
  [1749] = 1336,
  [1750] = 1338,
  [1751] = 1339,
  [1752] = 1343,
  [1753] = 1345,
  [1754] = 1337,
  [1755] = 1346,
  [1756] = 1342,
  [1757] = 1347,
  [1758] = 1344,
  [1759] = 1349,
  [1760] = 1350,
  [1761] = 1019,
  [1762] = 1338,
  [1763] = 1352,
  [1764] = 1347,
  [1765] = 1339,
  [1766] = 1354,
  [1767] = 1356,
  [1768] = 1348,
  [1769] = 1322,
  [1770] = 1358,
  [1771] = 1359,
  [1772] = 1345,
  [1773] = 1311,
  [1774] = 1334,
  [1775] = 1336,
  [1776] = 1324,
  [1777] = 1325,
  [1778] = 1011,
  [1779] = 1317,
  [1780] = 1318,
  [1781] = 1412,
  [1782] = 1013,
  [1783] = 995,
  [1784] = 1319,
  [1785] = 1320,
  [1786] = 1360,
  [1787] = 1322,
  [1788] = 1323,
  [1789] = 1337,
  [1790] = 1346,
  [1791] = 1351,
  [1792] = 1017,
  [1793] = 1018,
  [1794] = 1326,
  [1795] = 1327,
  [1796] = 1328,
  [1797] = 1329,
  [1798] = 1330,
  [1799] = 1342,
  [1800] = 1347,
  [1801] = 1344,
  [1802] = 1338,
  [1803] = 1336,
  [1804] = 1337,
  [1805] = 1805,
  [1806] = 1019,
  [1807] = 1338,
  [1808] = 1339,
  [1809] = 1288,
  [1810] = 1345,
  [1811] = 1412,
  [1812] = 1346,
  [1813] = 1349,
  [1814] = 1347,
  [1815] = 1350,
  [1816] = 1349,
  [1817] = 1350,
  [1818] = 1339,
  [1819] = 1319,
  [1820] = 1352,
  [1821] = 1353,
  [1822] = 1355,
  [1823] = 1345,
  [1824] = 1354,
  [1825] = 1356,
  [1826] = 1352,
  [1827] = 1353,
  [1828] = 1358,
  [1829] = 1359,
  [1830] = 1349,
  [1831] = 1311,
  [1832] = 1334,
  [1833] = 1360,
  [1834] = 1324,
  [1835] = 1325,
  [1836] = 1332,
  [1837] = 1333,
  [1838] = 1011,
  [1839] = 1349,
  [1840] = 1281,
  [1841] = 1335,
  [1842] = 1013,
  [1843] = 995,
  [1844] = 1340,
  [1845] = 1341,
  [1846] = 1017,
  [1847] = 1018,
  [1848] = 1342,
  [1849] = 1344,
  [1850] = 1019,
  [1851] = 1332,
  [1852] = 1333,
  [1853] = 1281,
  [1854] = 1335,
  [1855] = 1340,
  [1856] = 1341,
  [1857] = 1342,
  [1858] = 1344,
  [1859] = 1350,
  [1860] = 1357,
  [1861] = 1423,
  [1862] = 1862,
  [1863] = 1355,
  [1864] = 1864,
  [1865] = 1340,
  [1866] = 1021,
  [1867] = 1024,
  [1868] = 1025,
  [1869] = 1026,
  [1870] = 1027,
  [1871] = 1028,
  [1872] = 1029,
  [1873] = 1031,
  [1874] = 1021,
  [1875] = 1024,
  [1876] = 1025,
  [1877] = 1026,
  [1878] = 1027,
  [1879] = 1028,
  [1880] = 1029,
  [1881] = 1031,
  [1882] = 1341,
  [1883] = 1354,
  [1884] = 1317,
  [1885] = 1318,
  [1886] = 1352,
  [1887] = 1353,
  [1888] = 1356,
  [1889] = 1346,
  [1890] = 1357,
  [1891] = 1321,
  [1892] = 1709,
  [1893] = 1358,
  [1894] = 1711,
  [1895] = 1359,
  [1896] = 1322,
  [1897] = 1897,
  [1898] = 1423,
  [1899] = 1354,
  [1900] = 1356,
  [1901] = 1311,
  [1902] = 1684,
  [1903] = 1334,
  [1904] = 1321,
  [1905] = 1358,
  [1906] = 1359,
  [1907] = 1347,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1326,
  [1911] = 1327,
  [1912] = 1328,
  [1913] = 1329,
  [1914] = 1330,
  [1915] = 1715,
  [1916] = 1324,
  [1917] = 1717,
  [1918] = 1325,
  [1919] = 1311,
  [1920] = 1334,
  [1921] = 1021,
  [1922] = 1324,
  [1923] = 1266,
  [1924] = 1011,
  [1925] = 1268,
  [1926] = 1926,
  [1927] = 1720,
  [1928] = 1325,
  [1929] = 1024,
  [1930] = 1025,
  [1931] = 1026,
  [1932] = 1932,
  [1933] = 1021,
  [1934] = 1027,
  [1935] = 1935,
  [1936] = 1336,
  [1937] = 1343,
  [1938] = 1011,
  [1939] = 1281,
  [1940] = 1335,
  [1941] = 1337,
  [1942] = 1024,
  [1943] = 1025,
  [1944] = 1013,
  [1945] = 1026,
  [1946] = 1027,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1342,
  [1950] = 1344,
  [1951] = 1013,
  [1952] = 995,
  [1953] = 1028,
  [1954] = 1029,
  [1955] = 995,
  [1956] = 1312,
  [1957] = 1332,
  [1958] = 1333,
  [1959] = 1017,
  [1960] = 1018,
  [1961] = 1323,
  [1962] = 1031,
  [1963] = 1366,
  [1964] = 1366,
  [1965] = 1346,
  [1966] = 1313,
  [1967] = 1019,
  [1968] = 1028,
  [1969] = 1969,
  [1970] = 1029,
  [1971] = 1017,
  [1972] = 1018,
  [1973] = 1031,
  [1974] = 1969,
  [1975] = 1368,
  [1976] = 1019,
  [1977] = 1682,
  [1978] = 1323,
  [1979] = 1684,
  [1980] = 1360,
  [1981] = 1267,
  [1982] = 1412,
  [1983] = 1709,
  [1984] = 1295,
  [1985] = 1711,
  [1986] = 1969,
  [1987] = 1423,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1338,
  [1993] = 1715,
  [1994] = 1717,
  [1995] = 1320,
  [1996] = 1359,
  [1997] = 1311,
  [1998] = 1334,
  [1999] = 1329,
  [2000] = 1324,
  [2001] = 1357,
  [2002] = 1325,
  [2003] = 1332,
  [2004] = 1333,
  [2005] = 1011,
  [2006] = 1330,
  [2007] = 1321,
  [2008] = 1281,
  [2009] = 1021,
  [2010] = 1335,
  [2011] = 1013,
  [2012] = 995,
  [2013] = 1024,
  [2014] = 1025,
  [2015] = 1026,
  [2016] = 1027,
  [2017] = 1348,
  [2018] = 1028,
  [2019] = 1029,
  [2020] = 1317,
  [2021] = 1319,
  [2022] = 1340,
  [2023] = 1341,
  [2024] = 1017,
  [2025] = 1018,
  [2026] = 1336,
  [2027] = 1423,
  [2028] = 1328,
  [2029] = 1337,
  [2030] = 1338,
  [2031] = 1339,
  [2032] = 1320,
  [2033] = 1345,
  [2034] = 1360,
  [2035] = 1346,
  [2036] = 1322,
  [2037] = 1366,
  [2038] = 1343,
  [2039] = 1347,
  [2040] = 1342,
  [2041] = 1344,
  [2042] = 1019,
  [2043] = 1323,
  [2044] = 1368,
  [2045] = 1349,
  [2046] = 1350,
  [2047] = 1318,
  [2048] = 1351,
  [2049] = 1352,
  [2050] = 1353,
  [2051] = 1354,
  [2052] = 1356,
  [2053] = 1355,
  [2054] = 1358,
  [2055] = 1326,
  [2056] = 1412,
  [2057] = 1327,
  [2058] = 1031,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2064,
  [2066] = 2066,
  [2067] = 1265,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 1259,
  [2071] = 2071,
  [2072] = 2069,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 1258,
  [2076] = 1277,
  [2077] = 2073,
  [2078] = 1260,
  [2079] = 1278,
  [2080] = 1258,
  [2081] = 1262,
  [2082] = 2074,
  [2083] = 1269,
  [2084] = 1261,
  [2085] = 1270,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 1271,
  [2089] = 1272,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2068,
  [2097] = 2092,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 1260,
  [2101] = 2098,
  [2102] = 2095,
  [2103] = 1272,
  [2104] = 2086,
  [2105] = 1274,
  [2106] = 1275,
  [2107] = 1277,
  [2108] = 1278,
  [2109] = 1264,
  [2110] = 2087,
  [2111] = 2090,
  [2112] = 2094,
  [2113] = 2099,
  [2114] = 1279,
  [2115] = 1269,
  [2116] = 1257,
  [2117] = 1271,
  [2118] = 1270,
  [2119] = 1279,
  [2120] = 1274,
  [2121] = 1257,
  [2122] = 1259,
  [2123] = 2091,
  [2124] = 1263,
  [2125] = 1275,
  [2126] = 1262,
  [2127] = 2093,
  [2128] = 2066,
  [2129] = 2071,
  [2130] = 1263,
  [2131] = 1265,
  [2132] = 1264,
  [2133] = 1261,
  [2134] = 2134,
  [2135] = 1029,
  [2136] = 1325,
  [2137] = 2137,
  [2138] = 1011,
  [2139] = 2139,
  [2140] = 1026,
  [2141] = 1336,
  [2142] = 2142,
  [2143] = 2086,
  [2144] = 2144,
  [2145] = 1337,
  [2146] = 1279,
  [2147] = 1342,
  [2148] = 1344,
  [2149] = 1260,
  [2150] = 2150,
  [2151] = 1281,
  [2152] = 2152,
  [2153] = 1261,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 1335,
  [2157] = 1017,
  [2158] = 1018,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2069,
  [2162] = 2073,
  [2163] = 2074,
  [2164] = 1027,
  [2165] = 1031,
  [2166] = 1019,
  [2167] = 1021,
  [2168] = 1257,
  [2169] = 1262,
  [2170] = 2170,
  [2171] = 1325,
  [2172] = 1278,
  [2173] = 2173,
  [2174] = 1338,
  [2175] = 1013,
  [2176] = 1339,
  [2177] = 2177,
  [2178] = 2134,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 995,
  [2182] = 1025,
  [2183] = 1345,
  [2184] = 1326,
  [2185] = 1259,
  [2186] = 1263,
  [2187] = 2187,
  [2188] = 1021,
  [2189] = 1264,
  [2190] = 1346,
  [2191] = 1347,
  [2192] = 1265,
  [2193] = 2150,
  [2194] = 2152,
  [2195] = 1327,
  [2196] = 2139,
  [2197] = 1332,
  [2198] = 2198,
  [2199] = 1328,
  [2200] = 2170,
  [2201] = 1011,
  [2202] = 1349,
  [2203] = 1329,
  [2204] = 1332,
  [2205] = 1333,
  [2206] = 1319,
  [2207] = 1330,
  [2208] = 1350,
  [2209] = 1317,
  [2210] = 1318,
  [2211] = 2095,
  [2212] = 1281,
  [2213] = 1335,
  [2214] = 1320,
  [2215] = 1258,
  [2216] = 1352,
  [2217] = 1319,
  [2218] = 1320,
  [2219] = 1360,
  [2220] = 1322,
  [2221] = 1323,
  [2222] = 1360,
  [2223] = 1031,
  [2224] = 1317,
  [2225] = 1353,
  [2226] = 1028,
  [2227] = 1341,
  [2228] = 2068,
  [2229] = 1322,
  [2230] = 1024,
  [2231] = 1326,
  [2232] = 1327,
  [2233] = 1328,
  [2234] = 1329,
  [2235] = 1330,
  [2236] = 2087,
  [2237] = 2090,
  [2238] = 2094,
  [2239] = 1019,
  [2240] = 2099,
  [2241] = 1024,
  [2242] = 1336,
  [2243] = 1277,
  [2244] = 1337,
  [2245] = 1342,
  [2246] = 1344,
  [2247] = 2247,
  [2248] = 2247,
  [2249] = 1354,
  [2250] = 1356,
  [2251] = 1323,
  [2252] = 1269,
  [2253] = 1017,
  [2254] = 1358,
  [2255] = 1338,
  [2256] = 1359,
  [2257] = 1339,
  [2258] = 1018,
  [2259] = 1270,
  [2260] = 1318,
  [2261] = 1345,
  [2262] = 1028,
  [2263] = 1029,
  [2264] = 1346,
  [2265] = 1271,
  [2266] = 1347,
  [2267] = 1272,
  [2268] = 1340,
  [2269] = 2093,
  [2270] = 2137,
  [2271] = 2066,
  [2272] = 2142,
  [2273] = 2144,
  [2274] = 2071,
  [2275] = 2092,
  [2276] = 1311,
  [2277] = 1349,
  [2278] = 1341,
  [2279] = 1350,
  [2280] = 1334,
  [2281] = 2098,
  [2282] = 1274,
  [2283] = 1352,
  [2284] = 1353,
  [2285] = 1275,
  [2286] = 1324,
  [2287] = 2154,
  [2288] = 2155,
  [2289] = 2159,
  [2290] = 2160,
  [2291] = 1333,
  [2292] = 1025,
  [2293] = 1354,
  [2294] = 1356,
  [2295] = 2091,
  [2296] = 1358,
  [2297] = 1359,
  [2298] = 1026,
  [2299] = 1027,
  [2300] = 2177,
  [2301] = 1013,
  [2302] = 995,
  [2303] = 2179,
  [2304] = 2180,
  [2305] = 1311,
  [2306] = 1334,
  [2307] = 1324,
  [2308] = 1340,
  [2309] = 1353,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 1011,
  [2313] = 1027,
  [2314] = 1344,
  [2315] = 2311,
  [2316] = 1324,
  [2317] = 2310,
  [2318] = 2311,
  [2319] = 2142,
  [2320] = 2144,
  [2321] = 1325,
  [2322] = 2154,
  [2323] = 2310,
  [2324] = 2155,
  [2325] = 1358,
  [2326] = 1359,
  [2327] = 2159,
  [2328] = 2160,
  [2329] = 2310,
  [2330] = 2311,
  [2331] = 2170,
  [2332] = 1031,
  [2333] = 1340,
  [2334] = 1341,
  [2335] = 1338,
  [2336] = 1017,
  [2337] = 1339,
  [2338] = 1028,
  [2339] = 1029,
  [2340] = 1018,
  [2341] = 2310,
  [2342] = 2311,
  [2343] = 1354,
  [2344] = 1332,
  [2345] = 1345,
  [2346] = 1333,
  [2347] = 2347,
  [2348] = 1311,
  [2349] = 1336,
  [2350] = 1019,
  [2351] = 1346,
  [2352] = 2177,
  [2353] = 2310,
  [2354] = 1026,
  [2355] = 1347,
  [2356] = 2247,
  [2357] = 1326,
  [2358] = 2134,
  [2359] = 1025,
  [2360] = 2310,
  [2361] = 2311,
  [2362] = 2179,
  [2363] = 2180,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2310,
  [2367] = 2311,
  [2368] = 1327,
  [2369] = 1317,
  [2370] = 1013,
  [2371] = 1349,
  [2372] = 1350,
  [2373] = 995,
  [2374] = 1328,
  [2375] = 1329,
  [2376] = 1330,
  [2377] = 1337,
  [2378] = 1021,
  [2379] = 1356,
  [2380] = 1334,
  [2381] = 2137,
  [2382] = 2382,
  [2383] = 2310,
  [2384] = 2150,
  [2385] = 2311,
  [2386] = 1342,
  [2387] = 2152,
  [2388] = 1352,
  [2389] = 2139,
  [2390] = 1281,
  [2391] = 1335,
  [2392] = 1318,
  [2393] = 1319,
  [2394] = 1320,
  [2395] = 1360,
  [2396] = 1322,
  [2397] = 1024,
  [2398] = 1323,
  [2399] = 2311,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2311,
  [2404] = 2311,
  [2405] = 2310,
  [2406] = 2310,
  [2407] = 2311,
  [2408] = 2408,
  [2409] = 2310,
  [2410] = 2408,
  [2411] = 2411,
  [2412] = 2411,
  [2413] = 2411,
  [2414] = 2408,
  [2415] = 2411,
  [2416] = 2408,
  [2417] = 2417,
  [2418] = 2417,
  [2419] = 2417,
  [2420] = 2417,
  [2421] = 2421,
  [2422] = 2421,
  [2423] = 2417,
  [2424] = 2417,
  [2425] = 2421,
  [2426] = 2421,
  [2427] = 2417,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 1021,
  [2450] = 2450,
  [2451] = 2433,
  [2452] = 984,
  [2453] = 2436,
  [2454] = 2438,
  [2455] = 2429,
  [2456] = 2428,
  [2457] = 2432,
  [2458] = 2445,
  [2459] = 2459,
  [2460] = 1031,
  [2461] = 2443,
  [2462] = 2462,
  [2463] = 989,
  [2464] = 2446,
  [2465] = 2448,
  [2466] = 1028,
  [2467] = 2435,
  [2468] = 2468,
  [2469] = 976,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 1025,
  [2474] = 2474,
  [2475] = 1027,
  [2476] = 993,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2440,
  [2480] = 1029,
  [2481] = 2481,
  [2482] = 2447,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 1026,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2439,
  [2489] = 977,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2444,
  [2493] = 2442,
  [2494] = 982,
  [2495] = 2495,
  [2496] = 1024,
  [2497] = 2429,
  [2498] = 2459,
  [2499] = 2495,
  [2500] = 2484,
  [2501] = 2435,
  [2502] = 2436,
  [2503] = 2428,
  [2504] = 2442,
  [2505] = 2440,
  [2506] = 2447,
  [2507] = 2446,
  [2508] = 2438,
  [2509] = 2483,
  [2510] = 2450,
  [2511] = 2474,
  [2512] = 2444,
  [2513] = 2433,
  [2514] = 2443,
  [2515] = 2445,
  [2516] = 2439,
  [2517] = 2432,
  [2518] = 2448,
  [2519] = 2435,
  [2520] = 2436,
  [2521] = 2428,
  [2522] = 2442,
  [2523] = 2440,
  [2524] = 2447,
  [2525] = 2462,
  [2526] = 2438,
  [2527] = 2444,
  [2528] = 2433,
  [2529] = 2443,
  [2530] = 2445,
  [2531] = 2429,
  [2532] = 2439,
  [2533] = 2432,
  [2534] = 2448,
  [2535] = 1021,
  [2536] = 1024,
  [2537] = 1025,
  [2538] = 1026,
  [2539] = 1027,
  [2540] = 1028,
  [2541] = 1029,
  [2542] = 1031,
  [2543] = 2487,
  [2544] = 2468,
  [2545] = 2486,
  [2546] = 2481,
  [2547] = 2477,
  [2548] = 2470,
  [2549] = 2491,
  [2550] = 2471,
  [2551] = 2472,
  [2552] = 2490,
  [2553] = 2478,
  [2554] = 2446,
  [2555] = 1025,
  [2556] = 2450,
  [2557] = 2483,
  [2558] = 2486,
  [2559] = 2474,
  [2560] = 2487,
  [2561] = 2468,
  [2562] = 2490,
  [2563] = 2486,
  [2564] = 2477,
  [2565] = 2481,
  [2566] = 2450,
  [2567] = 2477,
  [2568] = 2470,
  [2569] = 2470,
  [2570] = 2474,
  [2571] = 2491,
  [2572] = 2471,
  [2573] = 2491,
  [2574] = 2471,
  [2575] = 2472,
  [2576] = 2490,
  [2577] = 2459,
  [2578] = 2478,
  [2579] = 2478,
  [2580] = 2495,
  [2581] = 1021,
  [2582] = 1024,
  [2583] = 2583,
  [2584] = 1026,
  [2585] = 1027,
  [2586] = 1028,
  [2587] = 1029,
  [2588] = 1031,
  [2589] = 1021,
  [2590] = 1024,
  [2591] = 1025,
  [2592] = 1026,
  [2593] = 1027,
  [2594] = 1028,
  [2595] = 1029,
  [2596] = 1031,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2462,
  [2602] = 2472,
  [2603] = 2459,
  [2604] = 2484,
  [2605] = 2495,
  [2606] = 2434,
  [2607] = 2462,
  [2608] = 2484,
  [2609] = 2609,
  [2610] = 2487,
  [2611] = 2430,
  [2612] = 2612,
  [2613] = 2483,
  [2614] = 2468,
  [2615] = 2441,
  [2616] = 2481,
  [2617] = 2444,
  [2618] = 2428,
  [2619] = 2443,
  [2620] = 2445,
  [2621] = 2429,
  [2622] = 2442,
  [2623] = 2435,
  [2624] = 2440,
  [2625] = 2435,
  [2626] = 2439,
  [2627] = 2432,
  [2628] = 2447,
  [2629] = 2446,
  [2630] = 2436,
  [2631] = 2428,
  [2632] = 2444,
  [2633] = 2633,
  [2634] = 2440,
  [2635] = 2433,
  [2636] = 2443,
  [2637] = 2448,
  [2638] = 2447,
  [2639] = 2445,
  [2640] = 2446,
  [2641] = 2429,
  [2642] = 2439,
  [2643] = 2438,
  [2644] = 2432,
  [2645] = 2448,
  [2646] = 2438,
  [2647] = 2433,
  [2648] = 2648,
  [2649] = 2436,
  [2650] = 2442,
  [2651] = 2446,
  [2652] = 2490,
  [2653] = 2653,
  [2654] = 2444,
  [2655] = 2448,
  [2656] = 2447,
  [2657] = 2446,
  [2658] = 2433,
  [2659] = 2443,
  [2660] = 2660,
  [2661] = 2478,
  [2662] = 2438,
  [2663] = 2439,
  [2664] = 2664,
  [2665] = 2438,
  [2666] = 2468,
  [2667] = 2667,
  [2668] = 2486,
  [2669] = 2669,
  [2670] = 2445,
  [2671] = 2432,
  [2672] = 2462,
  [2673] = 2429,
  [2674] = 2674,
  [2675] = 2459,
  [2676] = 2435,
  [2677] = 2481,
  [2678] = 2678,
  [2679] = 2432,
  [2680] = 2477,
  [2681] = 2447,
  [2682] = 2495,
  [2683] = 2446,
  [2684] = 2484,
  [2685] = 2436,
  [2686] = 2686,
  [2687] = 2470,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2491,
  [2693] = 2447,
  [2694] = 2483,
  [2695] = 1021,
  [2696] = 2442,
  [2697] = 2450,
  [2698] = 2471,
  [2699] = 2474,
  [2700] = 1024,
  [2701] = 2448,
  [2702] = 1025,
  [2703] = 1026,
  [2704] = 2442,
  [2705] = 1028,
  [2706] = 2664,
  [2707] = 2707,
  [2708] = 2660,
  [2709] = 2667,
  [2710] = 2674,
  [2711] = 2711,
  [2712] = 2435,
  [2713] = 2438,
  [2714] = 2714,
  [2715] = 2689,
  [2716] = 2433,
  [2717] = 2717,
  [2718] = 1029,
  [2719] = 2472,
  [2720] = 2707,
  [2721] = 1031,
  [2722] = 2653,
  [2723] = 2717,
  [2724] = 2436,
  [2725] = 1027,
  [2726] = 2726,
  [2727] = 2490,
  [2728] = 2443,
  [2729] = 2653,
  [2730] = 2428,
  [2731] = 2428,
  [2732] = 2439,
  [2733] = 2733,
  [2734] = 2439,
  [2735] = 2432,
  [2736] = 2711,
  [2737] = 2442,
  [2738] = 2440,
  [2739] = 2439,
  [2740] = 2444,
  [2741] = 2445,
  [2742] = 2448,
  [2743] = 2478,
  [2744] = 2444,
  [2745] = 2443,
  [2746] = 2432,
  [2747] = 2448,
  [2748] = 2472,
  [2749] = 2462,
  [2750] = 2487,
  [2751] = 2433,
  [2752] = 2459,
  [2753] = 2717,
  [2754] = 2754,
  [2755] = 2443,
  [2756] = 2756,
  [2757] = 2444,
  [2758] = 1021,
  [2759] = 2429,
  [2760] = 2487,
  [2761] = 1024,
  [2762] = 2495,
  [2763] = 1025,
  [2764] = 2468,
  [2765] = 2484,
  [2766] = 1026,
  [2767] = 1027,
  [2768] = 2486,
  [2769] = 1028,
  [2770] = 2754,
  [2771] = 2756,
  [2772] = 2686,
  [2773] = 2445,
  [2774] = 2481,
  [2775] = 1029,
  [2776] = 2477,
  [2777] = 2483,
  [2778] = 1031,
  [2779] = 2433,
  [2780] = 2429,
  [2781] = 2450,
  [2782] = 2688,
  [2783] = 2470,
  [2784] = 2443,
  [2785] = 2474,
  [2786] = 2491,
  [2787] = 2690,
  [2788] = 2471,
  [2789] = 2689,
  [2790] = 2691,
  [2791] = 2669,
  [2792] = 2669,
  [2793] = 2664,
  [2794] = 2707,
  [2795] = 2445,
  [2796] = 2754,
  [2797] = 2440,
  [2798] = 2439,
  [2799] = 2429,
  [2800] = 2756,
  [2801] = 2445,
  [2802] = 2432,
  [2803] = 2448,
  [2804] = 2444,
  [2805] = 2439,
  [2806] = 2806,
  [2807] = 2686,
  [2808] = 2688,
  [2809] = 2444,
  [2810] = 2690,
  [2811] = 2691,
  [2812] = 2435,
  [2813] = 2433,
  [2814] = 2448,
  [2815] = 2443,
  [2816] = 2436,
  [2817] = 2428,
  [2818] = 2445,
  [2819] = 2433,
  [2820] = 2432,
  [2821] = 2660,
  [2822] = 2429,
  [2823] = 2429,
  [2824] = 2667,
  [2825] = 2674,
  [2826] = 2711,
  [2827] = 2440,
  [2828] = 2443,
  [2829] = 2440,
  [2830] = 2439,
  [2831] = 2432,
  [2832] = 2447,
  [2833] = 2446,
  [2834] = 2448,
  [2835] = 2438,
  [2836] = 2483,
  [2837] = 2446,
  [2838] = 2471,
  [2839] = 2477,
  [2840] = 2486,
  [2841] = 2477,
  [2842] = 2842,
  [2843] = 2450,
  [2844] = 2471,
  [2845] = 2487,
  [2846] = 2429,
  [2847] = 2481,
  [2848] = 2472,
  [2849] = 2849,
  [2850] = 2444,
  [2851] = 2444,
  [2852] = 2435,
  [2853] = 2433,
  [2854] = 2443,
  [2855] = 2440,
  [2856] = 2436,
  [2857] = 2442,
  [2858] = 2428,
  [2859] = 2445,
  [2860] = 2440,
  [2861] = 2429,
  [2862] = 2442,
  [2863] = 2440,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2439,
  [2867] = 2462,
  [2868] = 2435,
  [2869] = 2869,
  [2870] = 2432,
  [2871] = 2435,
  [2872] = 2872,
  [2873] = 2447,
  [2874] = 2874,
  [2875] = 2446,
  [2876] = 2439,
  [2877] = 2487,
  [2878] = 2878,
  [2879] = 2495,
  [2880] = 2436,
  [2881] = 2428,
  [2882] = 2468,
  [2883] = 2484,
  [2884] = 2448,
  [2885] = 2486,
  [2886] = 2438,
  [2887] = 2470,
  [2888] = 2442,
  [2889] = 2889,
  [2890] = 2440,
  [2891] = 2481,
  [2892] = 1021,
  [2893] = 2432,
  [2894] = 2447,
  [2895] = 1021,
  [2896] = 2491,
  [2897] = 2446,
  [2898] = 2898,
  [2899] = 2477,
  [2900] = 2472,
  [2901] = 1024,
  [2902] = 1024,
  [2903] = 1025,
  [2904] = 1026,
  [2905] = 1027,
  [2906] = 2906,
  [2907] = 2447,
  [2908] = 2446,
  [2909] = 2909,
  [2910] = 2490,
  [2911] = 2911,
  [2912] = 2912,
  [2913] = 2913,
  [2914] = 2448,
  [2915] = 1028,
  [2916] = 1029,
  [2917] = 2917,
  [2918] = 2470,
  [2919] = 1025,
  [2920] = 2920,
  [2921] = 2491,
  [2922] = 2922,
  [2923] = 2438,
  [2924] = 2438,
  [2925] = 2925,
  [2926] = 2471,
  [2927] = 2433,
  [2928] = 2483,
  [2929] = 1026,
  [2930] = 2442,
  [2931] = 2450,
  [2932] = 2435,
  [2933] = 1031,
  [2934] = 2471,
  [2935] = 2440,
  [2936] = 2912,
  [2937] = 1027,
  [2938] = 1028,
  [2939] = 2468,
  [2940] = 2443,
  [2941] = 2444,
  [2942] = 2444,
  [2943] = 1029,
  [2944] = 2433,
  [2945] = 2436,
  [2946] = 2428,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 2443,
  [2950] = 2445,
  [2951] = 2842,
  [2952] = 2849,
  [2953] = 2429,
  [2954] = 2947,
  [2955] = 2474,
  [2956] = 2481,
  [2957] = 2439,
  [2958] = 2958,
  [2959] = 2432,
  [2960] = 2448,
  [2961] = 2487,
  [2962] = 2909,
  [2963] = 2911,
  [2964] = 2438,
  [2965] = 2442,
  [2966] = 2440,
  [2967] = 2444,
  [2968] = 2487,
  [2969] = 2444,
  [2970] = 2948,
  [2971] = 2971,
  [2972] = 2490,
  [2973] = 1031,
  [2974] = 2433,
  [2975] = 2443,
  [2976] = 2447,
  [2977] = 2446,
  [2978] = 2445,
  [2979] = 2429,
  [2980] = 2433,
  [2981] = 2439,
  [2982] = 2982,
  [2983] = 2433,
  [2984] = 2432,
  [2985] = 2438,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2443,
  [2989] = 2448,
  [2990] = 1021,
  [2991] = 2991,
  [2992] = 2472,
  [2993] = 2477,
  [2994] = 2443,
  [2995] = 2478,
  [2996] = 2447,
  [2997] = 1024,
  [2998] = 1025,
  [2999] = 1026,
  [3000] = 1027,
  [3001] = 3001,
  [3002] = 2459,
  [3003] = 2445,
  [3004] = 3004,
  [3005] = 2948,
  [3006] = 2490,
  [3007] = 3007,
  [3008] = 3008,
  [3009] = 2878,
  [3010] = 2444,
  [3011] = 2429,
  [3012] = 2433,
  [3013] = 2435,
  [3014] = 2443,
  [3015] = 2445,
  [3016] = 2429,
  [3017] = 2439,
  [3018] = 2432,
  [3019] = 3019,
  [3020] = 2448,
  [3021] = 1028,
  [3022] = 2878,
  [3023] = 2435,
  [3024] = 2481,
  [3025] = 2471,
  [3026] = 2487,
  [3027] = 2439,
  [3028] = 2920,
  [3029] = 1031,
  [3030] = 2468,
  [3031] = 2991,
  [3032] = 2474,
  [3033] = 2436,
  [3034] = 2432,
  [3035] = 2486,
  [3036] = 2436,
  [3037] = 2428,
  [3038] = 2439,
  [3039] = 2478,
  [3040] = 2436,
  [3041] = 2484,
  [3042] = 2428,
  [3043] = 2445,
  [3044] = 2865,
  [3045] = 2922,
  [3046] = 2842,
  [3047] = 2917,
  [3048] = 2432,
  [3049] = 2462,
  [3050] = 2436,
  [3051] = 2428,
  [3052] = 2442,
  [3053] = 2468,
  [3054] = 2440,
  [3055] = 2428,
  [3056] = 2481,
  [3057] = 2459,
  [3058] = 2448,
  [3059] = 2869,
  [3060] = 2429,
  [3061] = 2477,
  [3062] = 2925,
  [3063] = 2849,
  [3064] = 2470,
  [3065] = 2486,
  [3066] = 2447,
  [3067] = 2442,
  [3068] = 2446,
  [3069] = 2445,
  [3070] = 2947,
  [3071] = 2429,
  [3072] = 2495,
  [3073] = 2445,
  [3074] = 2435,
  [3075] = 2484,
  [3076] = 2438,
  [3077] = 2438,
  [3078] = 2909,
  [3079] = 2872,
  [3080] = 2470,
  [3081] = 2495,
  [3082] = 2874,
  [3083] = 2491,
  [3084] = 2483,
  [3085] = 2491,
  [3086] = 1021,
  [3087] = 2906,
  [3088] = 1024,
  [3089] = 2912,
  [3090] = 1025,
  [3091] = 2442,
  [3092] = 2440,
  [3093] = 1026,
  [3094] = 1027,
  [3095] = 2447,
  [3096] = 1028,
  [3097] = 2481,
  [3098] = 2446,
  [3099] = 2911,
  [3100] = 2468,
  [3101] = 2439,
  [3102] = 1029,
  [3103] = 3103,
  [3104] = 2470,
  [3105] = 1031,
  [3106] = 2477,
  [3107] = 1021,
  [3108] = 1024,
  [3109] = 1025,
  [3110] = 2432,
  [3111] = 2991,
  [3112] = 1026,
  [3113] = 2444,
  [3114] = 1027,
  [3115] = 2435,
  [3116] = 2436,
  [3117] = 1028,
  [3118] = 1029,
  [3119] = 2865,
  [3120] = 2428,
  [3121] = 1031,
  [3122] = 2491,
  [3123] = 2869,
  [3124] = 2450,
  [3125] = 2448,
  [3126] = 2872,
  [3127] = 2474,
  [3128] = 2874,
  [3129] = 2444,
  [3130] = 2447,
  [3131] = 2446,
  [3132] = 2435,
  [3133] = 2448,
  [3134] = 2470,
  [3135] = 2433,
  [3136] = 2433,
  [3137] = 2443,
  [3138] = 2436,
  [3139] = 3008,
  [3140] = 2491,
  [3141] = 2487,
  [3142] = 2486,
  [3143] = 1021,
  [3144] = 2478,
  [3145] = 1024,
  [3146] = 2906,
  [3147] = 2468,
  [3148] = 2889,
  [3149] = 2986,
  [3150] = 1025,
  [3151] = 1026,
  [3152] = 2917,
  [3153] = 2889,
  [3154] = 2986,
  [3155] = 1027,
  [3156] = 2486,
  [3157] = 1028,
  [3158] = 2889,
  [3159] = 2986,
  [3160] = 1029,
  [3161] = 2920,
  [3162] = 2889,
  [3163] = 2986,
  [3164] = 1031,
  [3165] = 2428,
  [3166] = 2889,
  [3167] = 2986,
  [3168] = 2922,
  [3169] = 2445,
  [3170] = 2925,
  [3171] = 2429,
  [3172] = 2438,
  [3173] = 2462,
  [3174] = 2442,
  [3175] = 2471,
  [3176] = 2459,
  [3177] = 3007,
  [3178] = 3008,
  [3179] = 3007,
  [3180] = 1029,
  [3181] = 2481,
  [3182] = 2490,
  [3183] = 2495,
  [3184] = 2491,
  [3185] = 2495,
  [3186] = 2487,
  [3187] = 2462,
  [3188] = 2478,
  [3189] = 2484,
  [3190] = 2468,
  [3191] = 1021,
  [3192] = 2486,
  [3193] = 1021,
  [3194] = 1024,
  [3195] = 1025,
  [3196] = 1026,
  [3197] = 1024,
  [3198] = 1029,
  [3199] = 2462,
  [3200] = 1031,
  [3201] = 2470,
  [3202] = 1025,
  [3203] = 2459,
  [3204] = 2487,
  [3205] = 2468,
  [3206] = 2435,
  [3207] = 2486,
  [3208] = 2481,
  [3209] = 2481,
  [3210] = 2472,
  [3211] = 2477,
  [3212] = 2462,
  [3213] = 2477,
  [3214] = 2491,
  [3215] = 2470,
  [3216] = 1026,
  [3217] = 2491,
  [3218] = 2483,
  [3219] = 2471,
  [3220] = 2450,
  [3221] = 2495,
  [3222] = 1024,
  [3223] = 2484,
  [3224] = 2490,
  [3225] = 2487,
  [3226] = 1027,
  [3227] = 2470,
  [3228] = 2436,
  [3229] = 2459,
  [3230] = 2491,
  [3231] = 2483,
  [3232] = 2471,
  [3233] = 2450,
  [3234] = 2474,
  [3235] = 2471,
  [3236] = 2474,
  [3237] = 2478,
  [3238] = 1021,
  [3239] = 2428,
  [3240] = 2468,
  [3241] = 1024,
  [3242] = 1025,
  [3243] = 1026,
  [3244] = 1025,
  [3245] = 2478,
  [3246] = 1028,
  [3247] = 1029,
  [3248] = 2444,
  [3249] = 2486,
  [3250] = 1031,
  [3251] = 2433,
  [3252] = 2468,
  [3253] = 2474,
  [3254] = 2474,
  [3255] = 2443,
  [3256] = 1026,
  [3257] = 2472,
  [3258] = 2442,
  [3259] = 3259,
  [3260] = 2445,
  [3261] = 3261,
  [3262] = 2429,
  [3263] = 2440,
  [3264] = 2462,
  [3265] = 2481,
  [3266] = 2459,
  [3267] = 1021,
  [3268] = 1024,
  [3269] = 1025,
  [3270] = 1026,
  [3271] = 1027,
  [3272] = 1028,
  [3273] = 1029,
  [3274] = 1031,
  [3275] = 1021,
  [3276] = 2495,
  [3277] = 1024,
  [3278] = 1025,
  [3279] = 2484,
  [3280] = 1026,
  [3281] = 1027,
  [3282] = 1028,
  [3283] = 1029,
  [3284] = 1031,
  [3285] = 2439,
  [3286] = 2483,
  [3287] = 2432,
  [3288] = 2450,
  [3289] = 2477,
  [3290] = 2447,
  [3291] = 2448,
  [3292] = 2474,
  [3293] = 2487,
  [3294] = 2446,
  [3295] = 2470,
  [3296] = 1027,
  [3297] = 2472,
  [3298] = 2491,
  [3299] = 2472,
  [3300] = 2487,
  [3301] = 3301,
  [3302] = 2468,
  [3303] = 2438,
  [3304] = 2490,
  [3305] = 1027,
  [3306] = 1021,
  [3307] = 1024,
  [3308] = 2490,
  [3309] = 1025,
  [3310] = 2486,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 1026,
  [3314] = 1027,
  [3315] = 1028,
  [3316] = 3316,
  [3317] = 1029,
  [3318] = 1031,
  [3319] = 3319,
  [3320] = 3320,
  [3321] = 3321,
  [3322] = 2481,
  [3323] = 2490,
  [3324] = 2471,
  [3325] = 2490,
  [3326] = 3326,
  [3327] = 1028,
  [3328] = 1029,
  [3329] = 2477,
  [3330] = 1021,
  [3331] = 2468,
  [3332] = 1024,
  [3333] = 1025,
  [3334] = 1026,
  [3335] = 1027,
  [3336] = 1028,
  [3337] = 1029,
  [3338] = 2478,
  [3339] = 1031,
  [3340] = 2483,
  [3341] = 3341,
  [3342] = 2478,
  [3343] = 2471,
  [3344] = 1027,
  [3345] = 1031,
  [3346] = 2490,
  [3347] = 2477,
  [3348] = 2478,
  [3349] = 1021,
  [3350] = 1024,
  [3351] = 1025,
  [3352] = 1026,
  [3353] = 1027,
  [3354] = 2478,
  [3355] = 1028,
  [3356] = 2470,
  [3357] = 2462,
  [3358] = 1029,
  [3359] = 2459,
  [3360] = 1031,
  [3361] = 2462,
  [3362] = 2487,
  [3363] = 2459,
  [3364] = 2486,
  [3365] = 2486,
  [3366] = 2491,
  [3367] = 1028,
  [3368] = 2474,
  [3369] = 2478,
  [3370] = 2495,
  [3371] = 2484,
  [3372] = 1029,
  [3373] = 2486,
  [3374] = 2495,
  [3375] = 2471,
  [3376] = 2483,
  [3377] = 2450,
  [3378] = 2468,
  [3379] = 2484,
  [3380] = 2474,
  [3381] = 2481,
  [3382] = 2486,
  [3383] = 2495,
  [3384] = 2470,
  [3385] = 2462,
  [3386] = 3386,
  [3387] = 2483,
  [3388] = 2462,
  [3389] = 2459,
  [3390] = 2450,
  [3391] = 2450,
  [3392] = 2474,
  [3393] = 2484,
  [3394] = 2472,
  [3395] = 2477,
  [3396] = 2459,
  [3397] = 3397,
  [3398] = 2472,
  [3399] = 2490,
  [3400] = 2459,
  [3401] = 2481,
  [3402] = 2462,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 2478,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 2477,
  [3409] = 2459,
  [3410] = 1021,
  [3411] = 2470,
  [3412] = 2495,
  [3413] = 2472,
  [3414] = 1031,
  [3415] = 2484,
  [3416] = 2472,
  [3417] = 2495,
  [3418] = 2487,
  [3419] = 2484,
  [3420] = 2468,
  [3421] = 2470,
  [3422] = 2486,
  [3423] = 2490,
  [3424] = 2481,
  [3425] = 2481,
  [3426] = 2491,
  [3427] = 2477,
  [3428] = 2491,
  [3429] = 2487,
  [3430] = 2483,
  [3431] = 2470,
  [3432] = 3321,
  [3433] = 3321,
  [3434] = 2491,
  [3435] = 2471,
  [3436] = 3321,
  [3437] = 2471,
  [3438] = 2450,
  [3439] = 3321,
  [3440] = 2487,
  [3441] = 2483,
  [3442] = 2471,
  [3443] = 3321,
  [3444] = 2450,
  [3445] = 2474,
  [3446] = 2483,
  [3447] = 2450,
  [3448] = 2468,
  [3449] = 2477,
  [3450] = 2472,
  [3451] = 2484,
  [3452] = 1028,
  [3453] = 3453,
  [3454] = 1031,
  [3455] = 2474,
  [3456] = 1028,
  [3457] = 1029,
  [3458] = 3458,
  [3459] = 3459,
  [3460] = 2487,
  [3461] = 2481,
  [3462] = 2462,
  [3463] = 2477,
  [3464] = 3464,
  [3465] = 3453,
  [3466] = 3453,
  [3467] = 2495,
  [3468] = 3468,
  [3469] = 2468,
  [3470] = 2470,
  [3471] = 2491,
  [3472] = 3472,
  [3473] = 2484,
  [3474] = 3453,
  [3475] = 3475,
  [3476] = 2471,
  [3477] = 3477,
  [3478] = 3453,
  [3479] = 3453,
  [3480] = 2490,
  [3481] = 2486,
  [3482] = 2459,
  [3483] = 2483,
  [3484] = 2450,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 3486,
  [3488] = 3486,
  [3489] = 3486,
  [3490] = 3453,
  [3491] = 3486,
  [3492] = 1021,
  [3493] = 1024,
  [3494] = 1025,
  [3495] = 1026,
  [3496] = 2472,
  [3497] = 3486,
  [3498] = 3453,
  [3499] = 3486,
  [3500] = 3486,
  [3501] = 1027,
  [3502] = 2478,
  [3503] = 3503,
  [3504] = 3504,
  [3505] = 3505,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 3503,
  [3510] = 3504,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3503,
  [3514] = 3504,
  [3515] = 3515,
  [3516] = 3506,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3504,
  [3521] = 3507,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3503,
  [3526] = 3526,
  [3527] = 3511,
  [3528] = 3528,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3532,
  [3538] = 3529,
  [3539] = 3539,
  [3540] = 3535,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3530,
  [3545] = 3534,
  [3546] = 3528,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3539,
  [3551] = 3551,
  [3552] = 3534,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3535,
  [3559] = 3559,
  [3560] = 3529,
  [3561] = 3561,
  [3562] = 3529,
  [3563] = 3541,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3535,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3531,
  [3574] = 3539,
  [3575] = 3533,
  [3576] = 3535,
  [3577] = 3529,
  [3578] = 3536,
  [3579] = 3535,
  [3580] = 3580,
  [3581] = 3581,
  [3582] = 3529,
  [3583] = 3583,
  [3584] = 3531,
  [3585] = 3532,
  [3586] = 3572,
  [3587] = 3539,
  [3588] = 3529,
  [3589] = 3529,
  [3590] = 3531,
  [3591] = 3559,
  [3592] = 3559,
  [3593] = 3593,
  [3594] = 3533,
  [3595] = 3531,
  [3596] = 3533,
  [3597] = 3536,
  [3598] = 3581,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3535,
  [3602] = 3532,
  [3603] = 3603,
  [3604] = 3529,
  [3605] = 3539,
  [3606] = 3559,
  [3607] = 3531,
  [3608] = 3608,
  [3609] = 3559,
  [3610] = 3536,
  [3611] = 3541,
  [3612] = 3543,
  [3613] = 3543,
  [3614] = 3557,
  [3615] = 3615,
  [3616] = 3530,
  [3617] = 3549,
  [3618] = 3533,
  [3619] = 3536,
  [3620] = 3535,
  [3621] = 3621,
  [3622] = 3554,
  [3623] = 3533,
  [3624] = 3532,
  [3625] = 3534,
  [3626] = 3626,
  [3627] = 3559,
  [3628] = 3628,
  [3629] = 3557,
  [3630] = 3533,
  [3631] = 3631,
  [3632] = 3536,
  [3633] = 3633,
  [3634] = 3531,
  [3635] = 3564,
  [3636] = 3541,
  [3637] = 3539,
  [3638] = 3543,
  [3639] = 3639,
  [3640] = 3631,
  [3641] = 3530,
  [3642] = 3535,
  [3643] = 3608,
  [3644] = 3543,
  [3645] = 3536,
  [3646] = 3549,
  [3647] = 3549,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3564,
  [3651] = 3554,
  [3652] = 3532,
  [3653] = 3532,
  [3654] = 3631,
  [3655] = 3541,
  [3656] = 3656,
  [3657] = 3549,
  [3658] = 3554,
  [3659] = 3559,
  [3660] = 3564,
  [3661] = 3541,
  [3662] = 3535,
  [3663] = 3555,
  [3664] = 3539,
  [3665] = 3665,
  [3666] = 3530,
  [3667] = 3529,
  [3668] = 3549,
  [3669] = 3554,
  [3670] = 3564,
  [3671] = 3554,
  [3672] = 3561,
  [3673] = 3555,
  [3674] = 3541,
  [3675] = 3675,
  [3676] = 3534,
  [3677] = 3543,
  [3678] = 3535,
  [3679] = 3530,
  [3680] = 3535,
  [3681] = 3529,
  [3682] = 3682,
  [3683] = 3543,
  [3684] = 3535,
  [3685] = 3530,
  [3686] = 3549,
  [3687] = 3555,
  [3688] = 3529,
  [3689] = 3549,
  [3690] = 3648,
  [3691] = 3648,
  [3692] = 3534,
  [3693] = 3554,
  [3694] = 3557,
  [3695] = 3554,
  [3696] = 3531,
  [3697] = 3533,
  [3698] = 3536,
  [3699] = 3532,
  [3700] = 3539,
  [3701] = 3541,
  [3702] = 3543,
  [3703] = 3530,
  [3704] = 3534,
  [3705] = 3705,
  [3706] = 3549,
  [3707] = 3707,
  [3708] = 3529,
  [3709] = 3559,
  [3710] = 3631,
  [3711] = 3534,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3715,
  [3717] = 3713,
  [3718] = 3714,
  [3719] = 3712,
  [3720] = 3713,
  [3721] = 3714,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3715,
  [3725] = 3725,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 2612,
  [3731] = 2434,
  [3732] = 3732,
  [3733] = 2441,
  [3734] = 3734,
  [3735] = 2430,
  [3736] = 3732,
  [3737] = 3725,
  [3738] = 2401,
  [3739] = 3739,
  [3740] = 3732,
  [3741] = 2612,
  [3742] = 2598,
  [3743] = 2583,
  [3744] = 2609,
  [3745] = 2599,
  [3746] = 2600,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3754,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 2633,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3769,
  [3777] = 3777,
  [3778] = 3769,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 3769,
  [3792] = 3792,
  [3793] = 3793,
  [3794] = 3794,
  [3795] = 3795,
  [3796] = 3796,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 3799,
  [3800] = 3800,
  [3801] = 3801,
  [3802] = 3802,
  [3803] = 3803,
  [3804] = 3804,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 3810,
  [3811] = 3811,
  [3812] = 3812,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3819,
  [3820] = 3820,
  [3821] = 3795,
  [3822] = 3793,
  [3823] = 3823,
  [3824] = 3798,
  [3825] = 3799,
  [3826] = 3800,
  [3827] = 3801,
  [3828] = 3802,
  [3829] = 3803,
  [3830] = 3804,
  [3831] = 3805,
  [3832] = 3806,
  [3833] = 3807,
  [3834] = 3834,
  [3835] = 3835,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 3840,
  [3841] = 3841,
  [3842] = 3842,
  [3843] = 3843,
  [3844] = 3844,
  [3845] = 3798,
  [3846] = 3799,
  [3847] = 3800,
  [3848] = 3848,
  [3849] = 3849,
  [3850] = 3801,
  [3851] = 3851,
  [3852] = 3852,
  [3853] = 3853,
  [3854] = 3854,
  [3855] = 3855,
  [3856] = 3803,
  [3857] = 3804,
  [3858] = 3858,
  [3859] = 3805,
  [3860] = 3806,
  [3861] = 3861,
  [3862] = 3862,
  [3863] = 3863,
  [3864] = 3864,
  [3865] = 3807,
  [3866] = 3861,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 3869,
  [3870] = 3795,
  [3871] = 3836,
  [3872] = 3837,
  [3873] = 3839,
  [3874] = 3853,
  [3875] = 3793,
  [3876] = 3838,
  [3877] = 3841,
  [3878] = 3852,
  [3879] = 3861,
  [3880] = 3836,
  [3881] = 3837,
  [3882] = 3839,
  [3883] = 3853,
  [3884] = 3793,
  [3885] = 3838,
  [3886] = 3841,
  [3887] = 3852,
  [3888] = 3836,
  [3889] = 3837,
  [3890] = 3793,
  [3891] = 3841,
  [3892] = 3852,
  [3893] = 3836,
  [3894] = 3793,
  [3895] = 3841,
  [3896] = 3852,
  [3897] = 3793,
  [3898] = 3841,
  [3899] = 3852,
  [3900] = 3793,
  [3901] = 3841,
  [3902] = 3852,
  [3903] = 3793,
  [3904] = 3841,
  [3905] = 3793,
  [3906] = 3793,
  [3907] = 3793,
  [3908] = 3793,
  [3909] = 3793,
  [3910] = 3793,
  [3911] = 3793,
  [3912] = 3793,
  [3913] = 3793,
  [3914] = 3793,
  [3915] = 3802,
  [3916] = 3916,
  [3917] = 2864,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3925,
  [3928] = 3924,
  [3929] = 3923,
  [3930] = 3921,
  [3931] = 3926,
  [3932] = 3932,
  [3933] = 3932,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3934,
  [3937] = 3935,
  [3938] = 3938,
  [3939] = 3934,
  [3940] = 3935,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 3934,
  [3944] = 3935,
  [3945] = 3934,
  [3946] = 3946,
  [3947] = 3934,
  [3948] = 3934,
  [3949] = 3935,
  [3950] = 3935,
  [3951] = 3935,
  [3952] = 3934,
  [3953] = 3935,
  [3954] = 3934,
  [3955] = 3935,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3938,
  [3959] = 3941,
  [3960] = 3957,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3961,
  [3965] = 3965,
  [3966] = 3957,
  [3967] = 3961,
  [3968] = 3934,
  [3969] = 3969,
  [3970] = 3935,
  [3971] = 3934,
  [3972] = 3935,
  [3973] = 3934,
  [3974] = 3935,
  [3975] = 3934,
  [3976] = 3935,
  [3977] = 3977,
  [3978] = 3978,
  [3979] = 3979,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 3983,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3980,
  [3990] = 3990,
  [3991] = 3987,
  [3992] = 3992,
  [3993] = 3981,
  [3994] = 3994,
  [3995] = 3981,
  [3996] = 3990,
  [3997] = 3997,
  [3998] = 3998,
  [3999] = 3999,
  [4000] = 3994,
  [4001] = 4001,
  [4002] = 3984,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 3982,
  [4008] = 4008,
  [4009] = 3986,
  [4010] = 3981,
  [4011] = 977,
  [4012] = 976,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4015,
  [4018] = 993,
  [4019] = 982,
  [4020] = 4020,
  [4021] = 4021,
  [4022] = 4013,
  [4023] = 4021,
  [4024] = 4013,
  [4025] = 4014,
  [4026] = 4016,
  [4027] = 4015,
  [4028] = 4014,
  [4029] = 984,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 989,
  [4033] = 4016,
  [4034] = 4034,
  [4035] = 4035,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 4038,
  [4039] = 982,
  [4040] = 989,
  [4041] = 993,
  [4042] = 4042,
  [4043] = 4038,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4044,
  [4047] = 4042,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 4038,
  [4051] = 4044,
  [4052] = 4038,
  [4053] = 4044,
  [4054] = 4038,
  [4055] = 4044,
  [4056] = 4038,
  [4057] = 4044,
  [4058] = 4038,
  [4059] = 4044,
  [4060] = 4038,
  [4061] = 4044,
  [4062] = 4062,
  [4063] = 4038,
  [4064] = 4044,
  [4065] = 4038,
  [4066] = 4044,
  [4067] = 4038,
  [4068] = 4044,
  [4069] = 4038,
  [4070] = 4044,
  [4071] = 977,
  [4072] = 4072,
  [4073] = 984,
  [4074] = 4044,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 976,
  [4078] = 4078,
  [4079] = 4079,
  [4080] = 4038,
  [4081] = 4081,
  [4082] = 4044,
  [4083] = 4076,
  [4084] = 4084,
  [4085] = 4038,
  [4086] = 4048,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 3749,
  [4090] = 2612,
  [4091] = 4088,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 4088,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4088,
  [4098] = 4088,
  [4099] = 4092,
  [4100] = 4092,
  [4101] = 4088,
  [4102] = 2600,
  [4103] = 4092,
  [4104] = 4088,
  [4105] = 4088,
  [4106] = 4088,
  [4107] = 4088,
  [4108] = 4088,
  [4109] = 4088,
  [4110] = 4088,
  [4111] = 4088,
  [4112] = 4088,
  [4113] = 4088,
  [4114] = 4088,
  [4115] = 4088,
  [4116] = 4088,
  [4117] = 4088,
  [4118] = 4088,
  [4119] = 4088,
  [4120] = 4088,
  [4121] = 4088,
  [4122] = 4122,
  [4123] = 4088,
  [4124] = 4088,
  [4125] = 4088,
  [4126] = 4088,
  [4127] = 4088,
  [4128] = 4088,
  [4129] = 4088,
  [4130] = 4088,
  [4131] = 4088,
  [4132] = 4088,
  [4133] = 4088,
  [4134] = 4088,
  [4135] = 4088,
  [4136] = 4088,
  [4137] = 4095,
  [4138] = 4138,
  [4139] = 4122,
  [4140] = 2441,
  [4141] = 4141,
  [4142] = 4093,
  [4143] = 4092,
  [4144] = 4093,
  [4145] = 4095,
  [4146] = 4088,
  [4147] = 4095,
  [4148] = 4092,
  [4149] = 4149,
  [4150] = 4149,
  [4151] = 4093,
  [4152] = 4152,
  [4153] = 4092,
  [4154] = 4088,
  [4155] = 4095,
  [4156] = 4092,
  [4157] = 2434,
  [4158] = 4095,
  [4159] = 3725,
  [4160] = 4092,
  [4161] = 4095,
  [4162] = 4093,
  [4163] = 2430,
  [4164] = 4092,
  [4165] = 4088,
  [4166] = 2598,
  [4167] = 4122,
  [4168] = 4095,
  [4169] = 4095,
  [4170] = 2583,
  [4171] = 4149,
  [4172] = 4088,
  [4173] = 4152,
  [4174] = 2599,
  [4175] = 4095,
  [4176] = 4093,
  [4177] = 4088,
  [4178] = 2609,
  [4179] = 4138,
  [4180] = 4092,
  [4181] = 4092,
  [4182] = 4095,
  [4183] = 4096,
  [4184] = 4088,
  [4185] = 4093,
  [4186] = 977,
  [4187] = 976,
  [4188] = 4088,
  [4189] = 982,
  [4190] = 4093,
  [4191] = 4095,
  [4192] = 4088,
  [4193] = 993,
  [4194] = 989,
  [4195] = 4092,
  [4196] = 4095,
  [4197] = 4096,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4200,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4208,
  [4210] = 4199,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 4198,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4228,
  [4229] = 4229,
  [4230] = 4219,
  [4231] = 4216,
  [4232] = 4200,
  [4233] = 4201,
  [4234] = 4202,
  [4235] = 4217,
  [4236] = 4211,
  [4237] = 4237,
  [4238] = 4204,
  [4239] = 4205,
  [4240] = 4206,
  [4241] = 4207,
  [4242] = 4242,
  [4243] = 4208,
  [4244] = 4199,
  [4245] = 4212,
  [4246] = 4246,
  [4247] = 4213,
  [4248] = 4221,
  [4249] = 4222,
  [4250] = 4201,
  [4251] = 4198,
  [4252] = 4215,
  [4253] = 4224,
  [4254] = 4221,
  [4255] = 4255,
  [4256] = 4226,
  [4257] = 4227,
  [4258] = 4222,
  [4259] = 4202,
  [4260] = 4229,
  [4261] = 4200,
  [4262] = 4218,
  [4263] = 4198,
  [4264] = 4204,
  [4265] = 4221,
  [4266] = 4222,
  [4267] = 4198,
  [4268] = 4224,
  [4269] = 4226,
  [4270] = 4227,
  [4271] = 4229,
  [4272] = 4224,
  [4273] = 4273,
  [4274] = 4200,
  [4275] = 4204,
  [4276] = 4221,
  [4277] = 4222,
  [4278] = 4212,
  [4279] = 4216,
  [4280] = 4198,
  [4281] = 4224,
  [4282] = 4217,
  [4283] = 4226,
  [4284] = 4227,
  [4285] = 4229,
  [4286] = 4221,
  [4287] = 4200,
  [4288] = 4204,
  [4289] = 4218,
  [4290] = 4198,
  [4291] = 4221,
  [4292] = 4222,
  [4293] = 4224,
  [4294] = 4198,
  [4295] = 4224,
  [4296] = 4222,
  [4297] = 4226,
  [4298] = 4227,
  [4299] = 4229,
  [4300] = 4200,
  [4301] = 4301,
  [4302] = 4229,
  [4303] = 4204,
  [4304] = 4304,
  [4305] = 4221,
  [4306] = 4222,
  [4307] = 4224,
  [4308] = 4211,
  [4309] = 3922,
  [4310] = 4226,
  [4311] = 4227,
  [4312] = 4229,
  [4313] = 4213,
  [4314] = 4200,
  [4315] = 4204,
  [4316] = 4205,
  [4317] = 4221,
  [4318] = 4222,
  [4319] = 4198,
  [4320] = 4206,
  [4321] = 4224,
  [4322] = 4207,
  [4323] = 4226,
  [4324] = 4227,
  [4325] = 4229,
  [4326] = 4220,
  [4327] = 4204,
  [4328] = 4221,
  [4329] = 4301,
  [4330] = 4222,
  [4331] = 4331,
  [4332] = 4198,
  [4333] = 4224,
  [4334] = 4334,
  [4335] = 4226,
  [4336] = 4227,
  [4337] = 4229,
  [4338] = 4242,
  [4339] = 4220,
  [4340] = 4221,
  [4341] = 4222,
  [4342] = 4198,
  [4343] = 4224,
  [4344] = 4226,
  [4345] = 4227,
  [4346] = 4229,
  [4347] = 4198,
  [4348] = 4221,
  [4349] = 4349,
  [4350] = 4222,
  [4351] = 4198,
  [4352] = 4224,
  [4353] = 4226,
  [4354] = 4227,
  [4355] = 4229,
  [4356] = 4356,
  [4357] = 4215,
  [4358] = 4225,
  [4359] = 4221,
  [4360] = 4222,
  [4361] = 4224,
  [4362] = 4226,
  [4363] = 4227,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4200,
  [4368] = 4368,
  [4369] = 4225,
  [4370] = 4331,
  [4371] = 4226,
  [4372] = 4227,
  [4373] = 4373,
  [4374] = 4219,
  [4375] = 4229,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4242,
  [4379] = 4379,
  [4380] = 4380,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 3752,
  [4388] = 3753,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 4395,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4398,
  [4399] = 4399,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 3751,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 3750,
  [4413] = 4413,
  [4414] = 4273,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4349,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 3771,
  [4435] = 3774,
  [4436] = 3754,
  [4437] = 3785,
  [4438] = 3788,
  [4439] = 3765,
  [4440] = 3772,
  [4441] = 3764,
  [4442] = 3789,
  [4443] = 3790,
  [4444] = 4444,
  [4445] = 3997,
  [4446] = 3988,
  [4447] = 3999,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4005,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 3965,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 3759,
  [4459] = 4459,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 2441,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 4390,
  [4468] = 4468,
  [4469] = 4469,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4394,
  [4473] = 4473,
  [4474] = 4474,
  [4475] = 4465,
  [4476] = 4476,
  [4477] = 4468,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 3755,
  [4482] = 3756,
  [4483] = 4483,
  [4484] = 4484,
  [4485] = 3757,
  [4486] = 3758,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 3992,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4463,
  [4495] = 2430,
  [4496] = 4496,
  [4497] = 3998,
  [4498] = 4008,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4398,
  [4502] = 4502,
  [4503] = 4503,
  [4504] = 4463,
  [4505] = 4505,
  [4506] = 4506,
  [4507] = 4468,
  [4508] = 4508,
  [4509] = 4509,
  [4510] = 4510,
  [4511] = 4511,
  [4512] = 2434,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 3787,
  [4521] = 3969,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4523,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4540,
  [4541] = 4530,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4534,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4522,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4529,
  [4564] = 4536,
  [4565] = 4565,
  [4566] = 4539,
  [4567] = 4551,
  [4568] = 4555,
  [4569] = 4569,
  [4570] = 4570,
  [4571] = 4547,
  [4572] = 4558,
  [4573] = 4553,
  [4574] = 4574,
  [4575] = 4529,
  [4576] = 4536,
  [4577] = 4565,
  [4578] = 4539,
  [4579] = 4551,
  [4580] = 4555,
  [4581] = 4569,
  [4582] = 4570,
  [4583] = 4547,
  [4584] = 4553,
  [4585] = 4529,
  [4586] = 4536,
  [4587] = 4587,
  [4588] = 4539,
  [4589] = 4569,
  [4590] = 4558,
  [4591] = 4553,
  [4592] = 4529,
  [4593] = 4536,
  [4594] = 4569,
  [4595] = 4558,
  [4596] = 4553,
  [4597] = 4597,
  [4598] = 4529,
  [4599] = 4570,
  [4600] = 4569,
  [4601] = 4558,
  [4602] = 4553,
  [4603] = 4529,
  [4604] = 4556,
  [4605] = 4569,
  [4606] = 4558,
  [4607] = 4553,
  [4608] = 4529,
  [4609] = 4569,
  [4610] = 4558,
  [4611] = 4611,
  [4612] = 4529,
  [4613] = 4569,
  [4614] = 4529,
  [4615] = 4569,
  [4616] = 4529,
  [4617] = 4569,
  [4618] = 4574,
  [4619] = 4529,
  [4620] = 4569,
  [4621] = 4529,
  [4622] = 4569,
  [4623] = 4529,
  [4624] = 4569,
  [4625] = 4529,
  [4626] = 4569,
  [4627] = 4529,
  [4628] = 4569,
  [4629] = 4529,
  [4630] = 4569,
  [4631] = 4529,
  [4632] = 4569,
  [4633] = 4529,
  [4634] = 4569,
  [4635] = 4529,
  [4636] = 4529,
  [4637] = 4529,
  [4638] = 4529,
  [4639] = 4529,
  [4640] = 4529,
  [4641] = 4529,
  [4642] = 4529,
  [4643] = 4529,
  [4644] = 4529,
  [4645] = 4556,
  [4646] = 4529,
  [4647] = 4534,
  [4648] = 4529,
  [4649] = 4529,
  [4650] = 4529,
  [4651] = 4529,
  [4652] = 4529,
  [4653] = 4529,
  [4654] = 4529,
  [4655] = 4529,
  [4656] = 4529,
  [4657] = 4529,
  [4658] = 4529,
  [4659] = 4529,
  [4660] = 4529,
  [4661] = 4534,
  [4662] = 4529,
  [4663] = 4534,
  [4664] = 4529,
  [4665] = 4529,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4522,
  [4669] = 4669,
  [4670] = 4522,
  [4671] = 4565,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4569,
  [4675] = 4530,
  [4676] = 4558,
  [4677] = 4677,
  [4678] = 4677,
  [4679] = 4679,
  [4680] = 4679,
  [4681] = 4677,
  [4682] = 4679,
  [4683] = 4677,
  [4684] = 4677,
  [4685] = 4679,
  [4686] = 4677,
  [4687] = 4677,
  [4688] = 4679,
  [4689] = 4679,
  [4690] = 4677,
  [4691] = 4677,
  [4692] = 4677,
  [4693] = 4677,
  [4694] = 4677,
  [4695] = 4679,
  [4696] = 4679,
  [4697] = 4679,
  [4698] = 4679,
  [4699] = 4677,
  [4700] = 4679,
  [4701] = 4679,
  [4702] = 4679,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4706,
  [4708] = 4708,
  [4709] = 4706,
  [4710] = 4706,
  [4711] = 4711,
  [4712] = 4706,
  [4713] = 4706,
  [4714] = 4714,
  [4715] = 4706,
  [4716] = 3732,
  [4717] = 4706,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4719,
  [4730] = 4725,
  [4731] = 4719,
  [4732] = 4720,
  [4733] = 4733,
  [4734] = 4720,
  [4735] = 4735,
  [4736] = 4725,
  [4737] = 4726,
  [4738] = 4722,
  [4739] = 4725,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4719,
  [4745] = 4735,
  [4746] = 4720,
  [4747] = 4722,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4722,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4743,
  [4755] = 4743,
  [4756] = 4726,
  [4757] = 4757,
  [4758] = 4720,
  [4759] = 4735,
  [4760] = 4760,
  [4761] = 4719,
  [4762] = 4743,
  [4763] = 4720,
  [4764] = 4764,
  [4765] = 4726,
  [4766] = 4722,
  [4767] = 4719,
  [4768] = 4725,
  [4769] = 4743,
  [4770] = 4726,
  [4771] = 4743,
  [4772] = 4735,
  [4773] = 4720,
  [4774] = 4719,
  [4775] = 4726,
  [4776] = 4743,
  [4777] = 4722,
  [4778] = 4735,
  [4779] = 4743,
  [4780] = 4780,
  [4781] = 4726,
  [4782] = 4726,
  [4783] = 4783,
  [4784] = 4722,
  [4785] = 4735,
  [4786] = 4786,
  [4787] = 4725,
  [4788] = 4788,
  [4789] = 4719,
  [4790] = 4720,
  [4791] = 4722,
  [4792] = 4725,
  [4793] = 4735,
  [4794] = 4794,
  [4795] = 4725,
  [4796] = 4735,
  [4797] = 4797,
  [4798] = 2583,
  [4799] = 2600,
  [4800] = 2609,
  [4801] = 2612,
  [4802] = 2599,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 2598,
  [4806] = 4806,
  [4807] = 2430,
  [4808] = 2441,
  [4809] = 2434,
  [4810] = 984,
  [4811] = 4811,
  [4812] = 989,
  [4813] = 977,
  [4814] = 976,
  [4815] = 993,
  [4816] = 982,
  [4817] = 4817,
  [4818] = 4818,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4829,
  [4830] = 2430,
  [4831] = 4804,
  [4832] = 2434,
  [4833] = 4803,
  [4834] = 4834,
  [4835] = 4806,
  [4836] = 2441,
  [4837] = 4837,
  [4838] = 4803,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4841,
  [4842] = 4804,
  [4843] = 4803,
  [4844] = 4844,
  [4845] = 4804,
  [4846] = 4804,
  [4847] = 4806,
  [4848] = 4806,
  [4849] = 4803,
  [4850] = 4850,
  [4851] = 4806,
  [4852] = 4852,
  [4853] = 4806,
  [4854] = 4854,
  [4855] = 984,
  [4856] = 4856,
  [4857] = 4803,
  [4858] = 4858,
  [4859] = 4806,
  [4860] = 4804,
  [4861] = 4804,
  [4862] = 4862,
  [4863] = 4804,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4866,
  [4867] = 4867,
  [4868] = 4806,
  [4869] = 4803,
  [4870] = 4803,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4876,
  [4877] = 4877,
  [4878] = 4878,
  [4879] = 4878,
  [4880] = 4878,
  [4881] = 4878,
  [4882] = 4882,
  [4883] = 4878,
  [4884] = 4878,
  [4885] = 4878,
  [4886] = 4882,
  [4887] = 4878,
  [4888] = 4882,
  [4889] = 4882,
  [4890] = 4882,
  [4891] = 4882,
  [4892] = 4878,
  [4893] = 4882,
  [4894] = 4878,
  [4895] = 4878,
  [4896] = 4882,
  [4897] = 4882,
  [4898] = 4878,
  [4899] = 4882,
  [4900] = 4882,
  [4901] = 4882,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4904,
  [4905] = 4905,
  [4906] = 4906,
  [4907] = 4907,
  [4908] = 4908,
  [4909] = 4909,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4912,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4916,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4926,
  [4927] = 984,
  [4928] = 4928,
  [4929] = 4929,
  [4930] = 4930,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 2064,
  [4937] = 4826,
  [4938] = 4938,
  [4939] = 4939,
  [4940] = 4864,
  [4941] = 4828,
  [4942] = 4829,
  [4943] = 4943,
  [4944] = 4827,
  [4945] = 4818,
  [4946] = 4819,
  [4947] = 4820,
  [4948] = 4821,
  [4949] = 4822,
  [4950] = 4823,
  [4951] = 4824,
  [4952] = 4825,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4850,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 1025,
  [4964] = 4850,
  [4965] = 4818,
  [4966] = 4819,
  [4967] = 4820,
  [4968] = 4821,
  [4969] = 4822,
  [4970] = 4823,
  [4971] = 4824,
  [4972] = 4825,
  [4973] = 4826,
  [4974] = 1028,
  [4975] = 1029,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4926,
  [4979] = 1041,
  [4980] = 1044,
  [4981] = 4981,
  [4982] = 1031,
  [4983] = 1012,
  [4984] = 1020,
  [4985] = 1023,
  [4986] = 1033,
  [4987] = 4987,
  [4988] = 4827,
  [4989] = 4921,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 1016,
  [4993] = 1058,
  [4994] = 4912,
  [4995] = 1072,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4922,
  [4999] = 999,
  [5000] = 4990,
  [5001] = 4818,
  [5002] = 4987,
  [5003] = 4990,
  [5004] = 4819,
  [5005] = 4820,
  [5006] = 4821,
  [5007] = 4822,
  [5008] = 4916,
  [5009] = 4919,
  [5010] = 4823,
  [5011] = 4824,
  [5012] = 4818,
  [5013] = 4819,
  [5014] = 4820,
  [5015] = 4825,
  [5016] = 4826,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 4821,
  [5020] = 4822,
  [5021] = 4823,
  [5022] = 4923,
  [5023] = 5023,
  [5024] = 4824,
  [5025] = 4915,
  [5026] = 4825,
  [5027] = 5027,
  [5028] = 4827,
  [5029] = 4826,
  [5030] = 4911,
  [5031] = 4850,
  [5032] = 5032,
  [5033] = 4909,
  [5034] = 4924,
  [5035] = 4910,
  [5036] = 4907,
  [5037] = 4918,
  [5038] = 4864,
  [5039] = 5023,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5023,
  [5043] = 4987,
  [5044] = 4990,
  [5045] = 4829,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 4925,
  [5050] = 1015,
  [5051] = 1032,
  [5052] = 5052,
  [5053] = 5023,
  [5054] = 1036,
  [5055] = 1038,
  [5056] = 1042,
  [5057] = 1043,
  [5058] = 4987,
  [5059] = 5059,
  [5060] = 4817,
  [5061] = 4829,
  [5062] = 5062,
  [5063] = 4828,
  [5064] = 4827,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 1021,
  [5068] = 4920,
  [5069] = 4829,
  [5070] = 4828,
  [5071] = 4828,
  [5072] = 4864,
  [5073] = 4990,
  [5074] = 5074,
  [5075] = 4908,
  [5076] = 4917,
  [5077] = 4987,
  [5078] = 4990,
  [5079] = 4914,
  [5080] = 1024,
  [5081] = 4987,
  [5082] = 4990,
  [5083] = 1026,
  [5084] = 1027,
  [5085] = 5085,
  [5086] = 4913,
  [5087] = 4828,
  [5088] = 5088,
  [5089] = 4818,
  [5090] = 4817,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 4825,
  [5094] = 5092,
  [5095] = 4819,
  [5096] = 4811,
  [5097] = 4828,
  [5098] = 5092,
  [5099] = 4827,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 4820,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 4817,
  [5107] = 5107,
  [5108] = 976,
  [5109] = 5092,
  [5110] = 982,
  [5111] = 5111,
  [5112] = 984,
  [5113] = 5113,
  [5114] = 989,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 993,
  [5120] = 5092,
  [5121] = 5121,
  [5122] = 4829,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 4827,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5100,
  [5131] = 4829,
  [5132] = 4818,
  [5133] = 4819,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 4820,
  [5137] = 977,
  [5138] = 976,
  [5139] = 982,
  [5140] = 984,
  [5141] = 989,
  [5142] = 993,
  [5143] = 4821,
  [5144] = 4822,
  [5145] = 4822,
  [5146] = 4823,
  [5147] = 4823,
  [5148] = 5148,
  [5149] = 977,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 4824,
  [5155] = 4825,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 4824,
  [5159] = 4826,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5111,
  [5163] = 4826,
  [5164] = 5118,
  [5165] = 4821,
  [5166] = 5166,
  [5167] = 4935,
  [5168] = 4818,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 1027,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 5111,
  [5175] = 4819,
  [5176] = 5176,
  [5177] = 4930,
  [5178] = 1058,
  [5179] = 999,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 4820,
  [5183] = 1028,
  [5184] = 4932,
  [5185] = 4821,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 4829,
  [5189] = 1041,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 1044,
  [5194] = 1016,
  [5195] = 1072,
  [5196] = 4822,
  [5197] = 4823,
  [5198] = 4824,
  [5199] = 5199,
  [5200] = 1025,
  [5201] = 5201,
  [5202] = 1015,
  [5203] = 4825,
  [5204] = 4826,
  [5205] = 5128,
  [5206] = 1032,
  [5207] = 1036,
  [5208] = 5208,
  [5209] = 4933,
  [5210] = 5210,
  [5211] = 1026,
  [5212] = 5212,
  [5213] = 1038,
  [5214] = 5214,
  [5215] = 1042,
  [5216] = 1043,
  [5217] = 4929,
  [5218] = 4931,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 4828,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 4827,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 1029,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 1031,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 4934,
  [5247] = 1012,
  [5248] = 5248,
  [5249] = 1020,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 1021,
  [5253] = 5186,
  [5254] = 1024,
  [5255] = 1023,
  [5256] = 1033,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5259,
  [5261] = 5261,
  [5262] = 5259,
  [5263] = 5263,
  [5264] = 5241,
  [5265] = 5259,
  [5266] = 5261,
  [5267] = 5259,
  [5268] = 5268,
  [5269] = 5259,
  [5270] = 5259,
  [5271] = 5259,
  [5272] = 5259,
  [5273] = 5259,
  [5274] = 5274,
  [5275] = 5259,
  [5276] = 5259,
  [5277] = 5259,
  [5278] = 5259,
  [5279] = 5259,
  [5280] = 5259,
  [5281] = 5274,
  [5282] = 5259,
  [5283] = 5259,
  [5284] = 4864,
  [5285] = 5274,
  [5286] = 4928,
  [5287] = 5287,
  [5288] = 5259,
  [5289] = 5289,
  [5290] = 4829,
  [5291] = 5291,
  [5292] = 5259,
  [5293] = 4705,
  [5294] = 5259,
  [5295] = 5259,
  [5296] = 4703,
  [5297] = 5259,
  [5298] = 5259,
  [5299] = 5251,
  [5300] = 5300,
  [5301] = 4850,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5259,
  [5305] = 5259,
  [5306] = 977,
  [5307] = 976,
  [5308] = 5259,
  [5309] = 5309,
  [5310] = 982,
  [5311] = 984,
  [5312] = 5261,
  [5313] = 5111,
  [5314] = 989,
  [5315] = 5261,
  [5316] = 5259,
  [5317] = 5274,
  [5318] = 5318,
  [5319] = 993,
  [5320] = 5320,
  [5321] = 5259,
  [5322] = 5259,
  [5323] = 5261,
  [5324] = 5259,
  [5325] = 5261,
  [5326] = 5261,
  [5327] = 5259,
  [5328] = 5261,
  [5329] = 5318,
  [5330] = 5330,
  [5331] = 1032,
  [5332] = 5046,
  [5333] = 5333,
  [5334] = 1036,
  [5335] = 2064,
  [5336] = 4705,
  [5337] = 5103,
  [5338] = 4705,
  [5339] = 5047,
  [5340] = 4703,
  [5341] = 5341,
  [5342] = 1038,
  [5343] = 1012,
  [5344] = 1042,
  [5345] = 1020,
  [5346] = 5065,
  [5347] = 5347,
  [5348] = 4850,
  [5349] = 4864,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 1033,
  [5353] = 1015,
  [5354] = 1058,
  [5355] = 1043,
  [5356] = 5356,
  [5357] = 1041,
  [5358] = 5351,
  [5359] = 1044,
  [5360] = 999,
  [5361] = 5361,
  [5362] = 1016,
  [5363] = 5363,
  [5364] = 1072,
  [5365] = 2064,
  [5366] = 5103,
  [5367] = 1023,
  [5368] = 5368,
  [5369] = 4727,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 4780,
  [5377] = 5123,
  [5378] = 4748,
  [5379] = 5117,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 4794,
  [5383] = 5115,
  [5384] = 5105,
  [5385] = 4740,
  [5386] = 5386,
  [5387] = 5150,
  [5388] = 4757,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5125,
  [5393] = 4752,
  [5394] = 4750,
  [5395] = 4708,
  [5396] = 5396,
  [5397] = 5103,
  [5398] = 5107,
  [5399] = 5399,
  [5400] = 5259,
  [5401] = 5401,
  [5402] = 2598,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5259,
  [5406] = 5259,
  [5407] = 5116,
  [5408] = 5088,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 2583,
  [5412] = 5148,
  [5413] = 4733,
  [5414] = 5135,
  [5415] = 4705,
  [5416] = 4741,
  [5417] = 2609,
  [5418] = 2600,
  [5419] = 4749,
  [5420] = 5161,
  [5421] = 4742,
  [5422] = 4797,
  [5423] = 4718,
  [5424] = 4703,
  [5425] = 5425,
  [5426] = 4721,
  [5427] = 4783,
  [5428] = 5428,
  [5429] = 4711,
  [5430] = 4764,
  [5431] = 2599,
  [5432] = 5432,
  [5433] = 5125,
  [5434] = 5125,
  [5435] = 1058,
  [5436] = 999,
  [5437] = 5437,
  [5438] = 1041,
  [5439] = 1044,
  [5440] = 1016,
  [5441] = 1072,
  [5442] = 1015,
  [5443] = 1032,
  [5444] = 1036,
  [5445] = 1038,
  [5446] = 1042,
  [5447] = 1043,
  [5448] = 1012,
  [5449] = 1020,
  [5450] = 1023,
  [5451] = 1033,
  [5452] = 5105,
  [5453] = 5115,
  [5454] = 5117,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5088,
  [5459] = 5161,
  [5460] = 5150,
  [5461] = 5107,
  [5462] = 5135,
  [5463] = 5148,
  [5464] = 5116,
  [5465] = 5465,
  [5466] = 5123,
  [5467] = 2401,
  [5468] = 5105,
  [5469] = 5125,
  [5470] = 5115,
  [5471] = 5117,
  [5472] = 5105,
  [5473] = 5115,
  [5474] = 5117,
  [5475] = 1021,
  [5476] = 1024,
  [5477] = 1025,
  [5478] = 1026,
  [5479] = 1027,
  [5480] = 1028,
  [5481] = 1029,
  [5482] = 1031,
  [5483] = 5088,
  [5484] = 5161,
  [5485] = 5150,
  [5486] = 5107,
  [5487] = 5135,
  [5488] = 5148,
  [5489] = 5116,
  [5490] = 5490,
  [5491] = 5123,
  [5492] = 4748,
  [5493] = 4741,
  [5494] = 4742,
  [5495] = 4718,
  [5496] = 4757,
  [5497] = 4783,
  [5498] = 4764,
  [5499] = 4780,
  [5500] = 4794,
  [5501] = 4727,
  [5502] = 4750,
  [5503] = 4748,
  [5504] = 4733,
  [5505] = 4749,
  [5506] = 5125,
  [5507] = 4721,
  [5508] = 4797,
  [5509] = 5105,
  [5510] = 5115,
  [5511] = 5117,
  [5512] = 5088,
  [5513] = 5161,
  [5514] = 5088,
  [5515] = 5161,
  [5516] = 5150,
  [5517] = 5107,
  [5518] = 5150,
  [5519] = 5107,
  [5520] = 5520,
  [5521] = 5148,
  [5522] = 5116,
  [5523] = 5123,
  [5524] = 2401,
  [5525] = 5525,
  [5526] = 5125,
  [5527] = 5105,
  [5528] = 5115,
  [5529] = 5117,
  [5530] = 5088,
  [5531] = 5161,
  [5532] = 5150,
  [5533] = 5107,
  [5534] = 5135,
  [5535] = 5148,
  [5536] = 5116,
  [5537] = 5123,
  [5538] = 2612,
  [5539] = 3732,
  [5540] = 2599,
  [5541] = 5541,
  [5542] = 5135,
  [5543] = 5148,
  [5544] = 5116,
  [5545] = 2609,
  [5546] = 2583,
  [5547] = 2598,
  [5548] = 2600,
  [5549] = 4711,
  [5550] = 4708,
  [5551] = 5248,
  [5552] = 5123,
  [5553] = 5245,
  [5554] = 5239,
  [5555] = 5210,
  [5556] = 5223,
  [5557] = 5225,
  [5558] = 5231,
  [5559] = 5244,
  [5560] = 5220,
  [5561] = 5170,
  [5562] = 5201,
  [5563] = 5234,
  [5564] = 5169,
  [5565] = 5180,
  [5566] = 5192,
  [5567] = 5208,
  [5568] = 5187,
  [5569] = 5191,
  [5570] = 5219,
  [5571] = 5224,
  [5572] = 2401,
  [5573] = 4748,
  [5574] = 5125,
  [5575] = 5105,
  [5576] = 5115,
  [5577] = 5117,
  [5578] = 5578,
  [5579] = 5088,
  [5580] = 5161,
  [5581] = 5150,
  [5582] = 5107,
  [5583] = 5135,
  [5584] = 5148,
  [5585] = 5116,
  [5586] = 5123,
  [5587] = 5587,
  [5588] = 4740,
  [5589] = 4752,
  [5590] = 5455,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5135,
  [5594] = 5234,
  [5595] = 5248,
  [5596] = 4733,
  [5597] = 4749,
  [5598] = 5598,
  [5599] = 5245,
  [5600] = 1021,
  [5601] = 1024,
  [5602] = 1025,
  [5603] = 1026,
  [5604] = 1027,
  [5605] = 1028,
  [5606] = 1029,
  [5607] = 1031,
  [5608] = 1021,
  [5609] = 1024,
  [5610] = 1025,
  [5611] = 1026,
  [5612] = 1027,
  [5613] = 1028,
  [5614] = 1029,
  [5615] = 1031,
  [5616] = 1021,
  [5617] = 1024,
  [5618] = 1025,
  [5619] = 1026,
  [5620] = 1027,
  [5621] = 1028,
  [5622] = 1029,
  [5623] = 1031,
  [5624] = 1021,
  [5625] = 1024,
  [5626] = 1025,
  [5627] = 1026,
  [5628] = 1027,
  [5629] = 1028,
  [5630] = 1029,
  [5631] = 1031,
  [5632] = 5239,
  [5633] = 4721,
  [5634] = 5210,
  [5635] = 5248,
  [5636] = 5223,
  [5637] = 5225,
  [5638] = 5231,
  [5639] = 5639,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 4797,
  [5644] = 5644,
  [5645] = 5210,
  [5646] = 5245,
  [5647] = 5239,
  [5648] = 5223,
  [5649] = 5225,
  [5650] = 5231,
  [5651] = 5245,
  [5652] = 5239,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 1021,
  [5656] = 1024,
  [5657] = 1025,
  [5658] = 1026,
  [5659] = 1027,
  [5660] = 1028,
  [5661] = 1029,
  [5662] = 1031,
  [5663] = 5244,
  [5664] = 5220,
  [5665] = 5210,
  [5666] = 5170,
  [5667] = 5201,
  [5668] = 5234,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 5169,
  [5672] = 5180,
  [5673] = 5223,
  [5674] = 5192,
  [5675] = 5208,
  [5676] = 5225,
  [5677] = 5231,
  [5678] = 5678,
  [5679] = 5187,
  [5680] = 5191,
  [5681] = 5219,
  [5682] = 5224,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 4711,
  [5686] = 1058,
  [5687] = 999,
  [5688] = 4708,
  [5689] = 5689,
  [5690] = 1041,
  [5691] = 1044,
  [5692] = 1016,
  [5693] = 1072,
  [5694] = 5694,
  [5695] = 1015,
  [5696] = 1032,
  [5697] = 1036,
  [5698] = 1038,
  [5699] = 1042,
  [5700] = 1043,
  [5701] = 5248,
  [5702] = 1058,
  [5703] = 999,
  [5704] = 5244,
  [5705] = 1012,
  [5706] = 1020,
  [5707] = 1023,
  [5708] = 1033,
  [5709] = 5245,
  [5710] = 5239,
  [5711] = 5220,
  [5712] = 5248,
  [5713] = 1041,
  [5714] = 5210,
  [5715] = 1044,
  [5716] = 1016,
  [5717] = 5223,
  [5718] = 5225,
  [5719] = 5231,
  [5720] = 5720,
  [5721] = 5244,
  [5722] = 1072,
  [5723] = 5244,
  [5724] = 5170,
  [5725] = 5220,
  [5726] = 5201,
  [5727] = 5234,
  [5728] = 5170,
  [5729] = 5201,
  [5730] = 5234,
  [5731] = 5731,
  [5732] = 5220,
  [5733] = 1015,
  [5734] = 1032,
  [5735] = 5170,
  [5736] = 5201,
  [5737] = 5737,
  [5738] = 5169,
  [5739] = 5180,
  [5740] = 1036,
  [5741] = 1038,
  [5742] = 5192,
  [5743] = 5208,
  [5744] = 1042,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5187,
  [5748] = 5191,
  [5749] = 1043,
  [5750] = 5219,
  [5751] = 5224,
  [5752] = 4740,
  [5753] = 1012,
  [5754] = 5754,
  [5755] = 4752,
  [5756] = 3732,
  [5757] = 1020,
  [5758] = 5248,
  [5759] = 1023,
  [5760] = 5245,
  [5761] = 5239,
  [5762] = 1033,
  [5763] = 5210,
  [5764] = 5169,
  [5765] = 5223,
  [5766] = 5225,
  [5767] = 5231,
  [5768] = 5244,
  [5769] = 5180,
  [5770] = 5220,
  [5771] = 5771,
  [5772] = 5192,
  [5773] = 5170,
  [5774] = 5201,
  [5775] = 5234,
  [5776] = 5169,
  [5777] = 5180,
  [5778] = 5208,
  [5779] = 5192,
  [5780] = 5208,
  [5781] = 5187,
  [5782] = 5191,
  [5783] = 5219,
  [5784] = 5224,
  [5785] = 1058,
  [5786] = 999,
  [5787] = 1041,
  [5788] = 1044,
  [5789] = 1016,
  [5790] = 1072,
  [5791] = 5187,
  [5792] = 5191,
  [5793] = 1015,
  [5794] = 1032,
  [5795] = 1036,
  [5796] = 1038,
  [5797] = 1042,
  [5798] = 1043,
  [5799] = 5169,
  [5800] = 5180,
  [5801] = 5219,
  [5802] = 5192,
  [5803] = 5208,
  [5804] = 5804,
  [5805] = 5224,
  [5806] = 1012,
  [5807] = 1020,
  [5808] = 1023,
  [5809] = 1033,
  [5810] = 1058,
  [5811] = 999,
  [5812] = 1041,
  [5813] = 1044,
  [5814] = 1016,
  [5815] = 1072,
  [5816] = 1015,
  [5817] = 1032,
  [5818] = 1036,
  [5819] = 1038,
  [5820] = 1042,
  [5821] = 1043,
  [5822] = 4748,
  [5823] = 5187,
  [5824] = 5191,
  [5825] = 4741,
  [5826] = 5219,
  [5827] = 1012,
  [5828] = 1020,
  [5829] = 1023,
  [5830] = 1033,
  [5831] = 4742,
  [5832] = 4718,
  [5833] = 5465,
  [5834] = 5834,
  [5835] = 4757,
  [5836] = 5224,
  [5837] = 4783,
  [5838] = 1021,
  [5839] = 1024,
  [5840] = 1025,
  [5841] = 1026,
  [5842] = 1027,
  [5843] = 5248,
  [5844] = 5465,
  [5845] = 3963,
  [5846] = 1028,
  [5847] = 5245,
  [5848] = 5239,
  [5849] = 5644,
  [5850] = 5598,
  [5851] = 1029,
  [5852] = 5210,
  [5853] = 1031,
  [5854] = 5223,
  [5855] = 5225,
  [5856] = 5231,
  [5857] = 4764,
  [5858] = 5244,
  [5859] = 4780,
  [5860] = 4794,
  [5861] = 5220,
  [5862] = 5170,
  [5863] = 5201,
  [5864] = 5234,
  [5865] = 5169,
  [5866] = 5180,
  [5867] = 5192,
  [5868] = 5208,
  [5869] = 4727,
  [5870] = 5187,
  [5871] = 5191,
  [5872] = 4750,
  [5873] = 5219,
  [5874] = 5224,
  [5875] = 977,
  [5876] = 976,
  [5877] = 982,
  [5878] = 989,
  [5879] = 993,
  [5880] = 1058,
  [5881] = 999,
  [5882] = 1041,
  [5883] = 1044,
  [5884] = 1016,
  [5885] = 1072,
  [5886] = 1015,
  [5887] = 1032,
  [5888] = 1036,
  [5889] = 1038,
  [5890] = 1042,
  [5891] = 1043,
  [5892] = 5684,
  [5893] = 1012,
  [5894] = 1020,
  [5895] = 1023,
  [5896] = 1033,
  [5897] = 5897,
  [5898] = 1058,
  [5899] = 999,
  [5900] = 5897,
  [5901] = 1041,
  [5902] = 1044,
  [5903] = 1016,
  [5904] = 1072,
  [5905] = 1015,
  [5906] = 1032,
  [5907] = 1036,
  [5908] = 1038,
  [5909] = 1042,
  [5910] = 1043,
  [5911] = 5897,
  [5912] = 5897,
  [5913] = 1012,
  [5914] = 1020,
  [5915] = 1023,
  [5916] = 1033,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5923,
  [5924] = 5924,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5926,
  [5934] = 5934,
  [5935] = 5935,
  [5936] = 5936,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5939,
  [5940] = 5931,
  [5941] = 5941,
  [5942] = 1341,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 1342,
  [5955] = 5955,
  [5956] = 1344,
  [5957] = 1021,
  [5958] = 5958,
  [5959] = 1024,
  [5960] = 1025,
  [5961] = 1026,
  [5962] = 1027,
  [5963] = 5963,
  [5964] = 1028,
  [5965] = 1029,
  [5966] = 5966,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5970,
  [5971] = 1031,
  [5972] = 5972,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 1332,
  [5979] = 1333,
  [5980] = 5980,
  [5981] = 1281,
  [5982] = 1335,
  [5983] = 5983,
  [5984] = 1340,
  [5985] = 5985,
  [5986] = 5986,
  [5987] = 5987,
  [5988] = 5988,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 4031,
  [5992] = 5992,
  [5993] = 5993,
  [5994] = 4030,
  [5995] = 5995,
  [5996] = 3749,
  [5997] = 4036,
  [5998] = 4035,
  [5999] = 5999,
  [6000] = 4049,
  [6001] = 4075,
  [6002] = 4045,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 4079,
  [6006] = 3753,
  [6007] = 3751,
  [6008] = 3750,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 4141,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 3752,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 4705,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6019,
  [6029] = 4705,
  [6030] = 6030,
  [6031] = 977,
  [6032] = 6019,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 977,
  [6037] = 6037,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6041,
  [6043] = 3765,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 989,
  [6047] = 993,
  [6048] = 977,
  [6049] = 3787,
  [6050] = 976,
  [6051] = 976,
  [6052] = 6052,
  [6053] = 989,
  [6054] = 976,
  [6055] = 982,
  [6056] = 982,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 3755,
  [6061] = 3774,
  [6062] = 3754,
  [6063] = 982,
  [6064] = 3756,
  [6065] = 989,
  [6066] = 6066,
  [6067] = 3759,
  [6068] = 6068,
  [6069] = 6041,
  [6070] = 6041,
  [6071] = 984,
  [6072] = 993,
  [6073] = 3788,
  [6074] = 3789,
  [6075] = 4705,
  [6076] = 3790,
  [6077] = 3771,
  [6078] = 3757,
  [6079] = 3758,
  [6080] = 984,
  [6081] = 984,
  [6082] = 6082,
  [6083] = 3772,
  [6084] = 993,
  [6085] = 3764,
  [6086] = 3785,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 6093,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 4711,
  [6098] = 4708,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 6104,
  [6105] = 6105,
  [6106] = 6106,
  [6107] = 976,
  [6108] = 982,
  [6109] = 984,
  [6110] = 989,
  [6111] = 993,
  [6112] = 4740,
  [6113] = 6089,
  [6114] = 6095,
  [6115] = 4752,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 977,
  [6124] = 6124,
  [6125] = 4740,
  [6126] = 6126,
  [6127] = 6127,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 6104,
  [6131] = 6105,
  [6132] = 6124,
  [6133] = 6100,
  [6134] = 4711,
  [6135] = 6091,
  [6136] = 6092,
  [6137] = 6106,
  [6138] = 6129,
  [6139] = 6139,
  [6140] = 6104,
  [6141] = 6105,
  [6142] = 6124,
  [6143] = 6143,
  [6144] = 6100,
  [6145] = 6091,
  [6146] = 6092,
  [6147] = 6106,
  [6148] = 6126,
  [6149] = 6104,
  [6150] = 6100,
  [6151] = 6092,
  [6152] = 6106,
  [6153] = 6129,
  [6154] = 6154,
  [6155] = 6100,
  [6156] = 6092,
  [6157] = 6106,
  [6158] = 6158,
  [6159] = 6100,
  [6160] = 6092,
  [6161] = 6106,
  [6162] = 6100,
  [6163] = 6092,
  [6164] = 6106,
  [6165] = 4752,
  [6166] = 6100,
  [6167] = 6092,
  [6168] = 6168,
  [6169] = 6129,
  [6170] = 6100,
  [6171] = 6171,
  [6172] = 6100,
  [6173] = 4708,
  [6174] = 6171,
  [6175] = 6100,
  [6176] = 6176,
  [6177] = 6088,
  [6178] = 6100,
  [6179] = 6100,
  [6180] = 6100,
  [6181] = 6100,
  [6182] = 6100,
  [6183] = 6100,
  [6184] = 6100,
  [6185] = 6100,
  [6186] = 6186,
  [6187] = 6187,
  [6188] = 6188,
  [6189] = 6189,
  [6190] = 6176,
  [6191] = 6090,
  [6192] = 6096,
  [6193] = 6101,
  [6194] = 6102,
  [6195] = 6103,
  [6196] = 6116,
  [6197] = 6117,
  [6198] = 6118,
  [6199] = 6119,
  [6200] = 6120,
  [6201] = 6122,
  [6202] = 6129,
  [6203] = 6118,
  [6204] = 6089,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 4711,
  [6208] = 6208,
  [6209] = 4708,
  [6210] = 6210,
  [6211] = 6126,
  [6212] = 6212,
  [6213] = 6213,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6217,
  [6218] = 6218,
  [6219] = 6219,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 6223,
  [6224] = 6093,
  [6225] = 6225,
  [6226] = 6226,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 4740,
  [6230] = 4752,
  [6231] = 6095,
  [6232] = 6232,
  [6233] = 6233,
  [6234] = 6234,
  [6235] = 6122,
  [6236] = 6236,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 6239,
  [6240] = 6090,
  [6241] = 6096,
  [6242] = 6242,
  [6243] = 6176,
  [6244] = 6244,
  [6245] = 6088,
  [6246] = 6171,
  [6247] = 6247,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 6101,
  [6251] = 6102,
  [6252] = 6103,
  [6253] = 6253,
  [6254] = 6254,
  [6255] = 6116,
  [6256] = 6117,
  [6257] = 6257,
  [6258] = 6119,
  [6259] = 6120,
  [6260] = 6208,
  [6261] = 6208,
  [6262] = 6262,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 6270,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 1031,
  [6277] = 1026,
  [6278] = 1028,
  [6279] = 1029,
  [6280] = 1024,
  [6281] = 1021,
  [6282] = 1025,
  [6283] = 6283,
  [6284] = 6284,
  [6285] = 6285,
  [6286] = 6286,
  [6287] = 6287,
  [6288] = 6288,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6291,
  [6292] = 6292,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 6295,
  [6296] = 6296,
  [6297] = 6297,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6300,
  [6301] = 6301,
  [6302] = 6302,
  [6303] = 6303,
  [6304] = 6304,
  [6305] = 6305,
  [6306] = 6306,
  [6307] = 6307,
  [6308] = 6308,
  [6309] = 6309,
  [6310] = 6310,
  [6311] = 6311,
  [6312] = 6312,
  [6313] = 6313,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6316,
  [6317] = 6317,
  [6318] = 6313,
  [6319] = 6319,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 6324,
  [6325] = 6325,
  [6326] = 6316,
  [6327] = 6327,
  [6328] = 6328,
  [6329] = 6314,
  [6330] = 6330,
  [6331] = 6313,
  [6332] = 6332,
  [6333] = 6323,
  [6334] = 6325,
  [6335] = 6325,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6315,
  [6342] = 6342,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6332,
  [6347] = 6332,
  [6348] = 6348,
  [6349] = 6315,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6310,
  [6353] = 6353,
  [6354] = 6321,
  [6355] = 6322,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 1027,
  [6360] = 6323,
  [6361] = 6310,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6316,
  [6365] = 6365,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 6371,
  [6372] = 6345,
  [6373] = 1332,
  [6374] = 1333,
  [6375] = 6327,
  [6376] = 1281,
  [6377] = 1335,
  [6378] = 6378,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 1340,
  [6383] = 1341,
  [6384] = 6384,
  [6385] = 6328,
  [6386] = 6314,
  [6387] = 6328,
  [6388] = 6388,
  [6389] = 6345,
  [6390] = 6321,
  [6391] = 6322,
  [6392] = 1344,
  [6393] = 6393,
  [6394] = 6327,
  [6395] = 6320,
  [6396] = 1342,
  [6397] = 6320,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6400,
  [6401] = 6401,
  [6402] = 3963,
  [6403] = 6398,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6406,
  [6407] = 6399,
  [6408] = 6408,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 6411,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6417,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 6420,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6424,
  [6425] = 6425,
  [6426] = 6426,
  [6427] = 6416,
  [6428] = 6428,
  [6429] = 6426,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6417,
  [6438] = 6438,
  [6439] = 6439,
  [6440] = 6430,
  [6441] = 6441,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6446,
  [6447] = 6447,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6415,
  [6455] = 6455,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 6422,
  [6459] = 6446,
  [6460] = 6441,
  [6461] = 6447,
  [6462] = 6425,
  [6463] = 6463,
  [6464] = 6435,
  [6465] = 6426,
  [6466] = 6466,
  [6467] = 6434,
  [6468] = 6438,
  [6469] = 6469,
  [6470] = 6410,
  [6471] = 6434,
  [6472] = 6417,
  [6473] = 6473,
  [6474] = 6430,
  [6475] = 6435,
  [6476] = 6476,
  [6477] = 6434,
  [6478] = 6455,
  [6479] = 6416,
  [6480] = 6451,
  [6481] = 6481,
  [6482] = 6425,
  [6483] = 6455,
  [6484] = 6435,
  [6485] = 6424,
  [6486] = 6486,
  [6487] = 6455,
  [6488] = 6488,
  [6489] = 6424,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 6401,
  [6493] = 6438,
  [6494] = 6439,
  [6495] = 6495,
  [6496] = 6496,
  [6497] = 6446,
  [6498] = 6498,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 6416,
  [6502] = 6415,
  [6503] = 6422,
  [6504] = 6425,
  [6505] = 6410,
  [6506] = 6441,
  [6507] = 6439,
  [6508] = 6451,
  [6509] = 6509,
  [6510] = 6447,
  [6511] = 6451,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6515,
  [6516] = 6516,
  [6517] = 6517,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 6522,
  [6523] = 6523,
  [6524] = 6524,
  [6525] = 6525,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6528,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6533,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 6536,
  [6537] = 6537,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 6542,
  [6543] = 6543,
  [6544] = 6544,
  [6545] = 6541,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 6544,
  [6551] = 6551,
  [6552] = 6552,
  [6553] = 6553,
  [6554] = 6551,
  [6555] = 6555,
  [6556] = 6556,
  [6557] = 6557,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 6560,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6563,
  [6564] = 6564,
  [6565] = 6565,
  [6566] = 6555,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6564,
  [6572] = 6555,
  [6573] = 6573,
  [6574] = 6556,
  [6575] = 6575,
  [6576] = 6557,
  [6577] = 6575,
  [6578] = 6557,
  [6579] = 6558,
  [6580] = 6559,
  [6581] = 6581,
  [6582] = 6560,
  [6583] = 6561,
  [6584] = 6562,
  [6585] = 6563,
  [6586] = 6586,
  [6587] = 6556,
  [6588] = 6575,
  [6589] = 6589,
  [6590] = 6564,
  [6591] = 6591,
  [6592] = 6564,
  [6593] = 6555,
  [6594] = 6573,
  [6595] = 4740,
  [6596] = 6556,
  [6597] = 6575,
  [6598] = 6557,
  [6599] = 6558,
  [6600] = 6559,
  [6601] = 6560,
  [6602] = 6561,
  [6603] = 6562,
  [6604] = 6563,
  [6605] = 6557,
  [6606] = 4752,
  [6607] = 6558,
  [6608] = 6564,
  [6609] = 6564,
  [6610] = 6555,
  [6611] = 6573,
  [6612] = 6556,
  [6613] = 6575,
  [6614] = 6557,
  [6615] = 6558,
  [6616] = 6559,
  [6617] = 6560,
  [6618] = 6561,
  [6619] = 6562,
  [6620] = 6563,
  [6621] = 6559,
  [6622] = 6622,
  [6623] = 6560,
  [6624] = 6624,
  [6625] = 6555,
  [6626] = 6573,
  [6627] = 6564,
  [6628] = 6556,
  [6629] = 6555,
  [6630] = 6573,
  [6631] = 6556,
  [6632] = 6632,
  [6633] = 6575,
  [6634] = 6634,
  [6635] = 6557,
  [6636] = 6558,
  [6637] = 6561,
  [6638] = 6559,
  [6639] = 6560,
  [6640] = 6622,
  [6641] = 6561,
  [6642] = 6562,
  [6643] = 6563,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 6560,
  [6647] = 6647,
  [6648] = 6562,
  [6649] = 6561,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6564,
  [6653] = 6562,
  [6654] = 6654,
  [6655] = 6555,
  [6656] = 6575,
  [6657] = 6573,
  [6658] = 6556,
  [6659] = 6575,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6557,
  [6663] = 6558,
  [6664] = 6559,
  [6665] = 6560,
  [6666] = 6561,
  [6667] = 6562,
  [6668] = 6563,
  [6669] = 6557,
  [6670] = 6558,
  [6671] = 6555,
  [6672] = 6575,
  [6673] = 6557,
  [6674] = 6558,
  [6675] = 6560,
  [6676] = 6561,
  [6677] = 6563,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 6555,
  [6681] = 6575,
  [6682] = 6557,
  [6683] = 6560,
  [6684] = 6561,
  [6685] = 6563,
  [6686] = 6555,
  [6687] = 6575,
  [6688] = 6557,
  [6689] = 6560,
  [6690] = 6561,
  [6691] = 6563,
  [6692] = 6559,
  [6693] = 6555,
  [6694] = 6575,
  [6695] = 6560,
  [6696] = 6696,
  [6697] = 6557,
  [6698] = 6560,
  [6699] = 6699,
  [6700] = 6561,
  [6701] = 6563,
  [6702] = 6575,
  [6703] = 6703,
  [6704] = 6557,
  [6705] = 6561,
  [6706] = 6560,
  [6707] = 6561,
  [6708] = 6563,
  [6709] = 6709,
  [6710] = 6562,
  [6711] = 6555,
  [6712] = 6563,
  [6713] = 6575,
  [6714] = 6557,
  [6715] = 6560,
  [6716] = 6561,
  [6717] = 6563,
  [6718] = 6559,
  [6719] = 6563,
  [6720] = 6555,
  [6721] = 6721,
  [6722] = 6575,
  [6723] = 6557,
  [6724] = 6560,
  [6725] = 6561,
  [6726] = 6563,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6575,
  [6731] = 6622,
  [6732] = 6732,
  [6733] = 6559,
  [6734] = 5361,
  [6735] = 6735,
  [6736] = 6727,
  [6737] = 6573,
  [6738] = 6560,
  [6739] = 6622,
  [6740] = 6740,
  [6741] = 6561,
  [6742] = 6562,
  [6743] = 6563,
  [6744] = 6558,
  [6745] = 6622,
  [6746] = 6746,
  [6747] = 6747,
  [6748] = 6748,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6575,
  [6752] = 6564,
  [6753] = 6563,
  [6754] = 6573,
  [6755] = 6727,
  [6756] = 6557,
  [6757] = 6564,
  [6758] = 6758,
  [6759] = 6727,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6555,
  [6763] = 6555,
  [6764] = 6573,
  [6765] = 6573,
  [6766] = 6556,
  [6767] = 6575,
  [6768] = 6556,
  [6769] = 6557,
  [6770] = 6558,
  [6771] = 6559,
  [6772] = 6772,
  [6773] = 6622,
  [6774] = 6560,
  [6775] = 6775,
  [6776] = 6561,
  [6777] = 6562,
  [6778] = 6563,
  [6779] = 6727,
  [6780] = 6622,
  [6781] = 6555,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6575,
  [6785] = 6564,
  [6786] = 6786,
  [6787] = 6787,
  [6788] = 6557,
  [6789] = 6789,
  [6790] = 6558,
  [6791] = 6555,
  [6792] = 6559,
  [6793] = 6793,
  [6794] = 6555,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6573,
  [6800] = 6800,
  [6801] = 6573,
  [6802] = 6556,
  [6803] = 6727,
  [6804] = 6804,
  [6805] = 6564,
  [6806] = 6563,
  [6807] = 6727,
  [6808] = 6560,
  [6809] = 6556,
  [6810] = 6561,
  [6811] = 6562,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 6818,
  [6819] = 6819,
  [6820] = 6820,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6837,
  [6838] = 6838,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6841,
  [6842] = 982,
  [6843] = 6843,
  [6844] = 6841,
  [6845] = 6843,
  [6846] = 6846,
  [6847] = 6847,
  [6848] = 6841,
  [6849] = 6849,
  [6850] = 6850,
  [6851] = 6843,
  [6852] = 6843,
  [6853] = 6843,
  [6854] = 6854,
  [6855] = 6843,
  [6856] = 977,
  [6857] = 6841,
  [6858] = 6841,
  [6859] = 6859,
  [6860] = 6843,
  [6861] = 6841,
  [6862] = 6841,
  [6863] = 984,
  [6864] = 6004,
  [6865] = 6865,
  [6866] = 6841,
  [6867] = 989,
  [6868] = 3749,
  [6869] = 6843,
  [6870] = 6843,
  [6871] = 993,
  [6872] = 6872,
  [6873] = 6841,
  [6874] = 6841,
  [6875] = 976,
  [6876] = 6843,
  [6877] = 6843,
  [6878] = 6841,
  [6879] = 6879,
  [6880] = 6841,
  [6881] = 6843,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6884,
  [6885] = 6885,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 6888,
  [6889] = 6889,
  [6890] = 6890,
  [6891] = 6891,
  [6892] = 6884,
  [6893] = 6885,
  [6894] = 6886,
  [6895] = 6887,
  [6896] = 6896,
  [6897] = 6897,
  [6898] = 6889,
  [6899] = 6890,
  [6900] = 6900,
  [6901] = 6884,
  [6902] = 6902,
  [6903] = 6903,
  [6904] = 6897,
  [6905] = 6905,
  [6906] = 6906,
  [6907] = 6907,
  [6908] = 6908,
  [6909] = 6909,
  [6910] = 6910,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 6913,
  [6914] = 6896,
  [6915] = 6915,
  [6916] = 6916,
  [6917] = 6908,
  [6918] = 6890,
  [6919] = 6919,
  [6920] = 6903,
  [6921] = 6921,
  [6922] = 6922,
  [6923] = 6923,
  [6924] = 6900,
  [6925] = 6925,
  [6926] = 6926,
  [6927] = 6903,
  [6928] = 6906,
  [6929] = 6897,
  [6930] = 6930,
  [6931] = 6884,
  [6932] = 6885,
  [6933] = 6884,
  [6934] = 6930,
  [6935] = 6885,
  [6936] = 6886,
  [6937] = 6012,
  [6938] = 6938,
  [6939] = 6930,
  [6940] = 6938,
  [6941] = 6887,
  [6942] = 6900,
  [6943] = 6884,
  [6944] = 6885,
  [6945] = 6886,
  [6946] = 6887,
  [6947] = 6885,
  [6948] = 6906,
  [6949] = 6902,
  [6950] = 6950,
  [6951] = 6951,
  [6952] = 6903,
  [6953] = 6907,
  [6954] = 6897,
  [6955] = 6889,
  [6956] = 6890,
  [6957] = 6900,
  [6958] = 6958,
  [6959] = 6959,
  [6960] = 6886,
  [6961] = 6906,
  [6962] = 6884,
  [6963] = 6903,
  [6964] = 6964,
  [6965] = 6884,
  [6966] = 6885,
  [6967] = 6903,
  [6968] = 6938,
  [6969] = 6886,
  [6970] = 6889,
  [6971] = 6900,
  [6972] = 6897,
  [6973] = 6887,
  [6974] = 6884,
  [6975] = 6906,
  [6976] = 6897,
  [6977] = 6887,
  [6978] = 6919,
  [6979] = 6912,
  [6980] = 6883,
  [6981] = 6889,
  [6982] = 6890,
  [6983] = 6900,
  [6984] = 6903,
  [6985] = 6897,
  [6986] = 6906,
  [6987] = 6900,
  [6988] = 6885,
  [6989] = 6989,
  [6990] = 6903,
  [6991] = 6889,
  [6992] = 6890,
  [6993] = 6993,
  [6994] = 6897,
  [6995] = 6900,
  [6996] = 6996,
  [6997] = 6884,
  [6998] = 6906,
  [6999] = 6885,
  [7000] = 6886,
  [7001] = 6885,
  [7002] = 6886,
  [7003] = 6900,
  [7004] = 6887,
  [7005] = 7005,
  [7006] = 6906,
  [7007] = 6887,
  [7008] = 6889,
  [7009] = 6890,
  [7010] = 6900,
  [7011] = 6913,
  [7012] = 6886,
  [7013] = 6884,
  [7014] = 6906,
  [7015] = 6884,
  [7016] = 6885,
  [7017] = 6886,
  [7018] = 6900,
  [7019] = 6902,
  [7020] = 6885,
  [7021] = 6887,
  [7022] = 6906,
  [7023] = 7023,
  [7024] = 6887,
  [7025] = 6886,
  [7026] = 7026,
  [7027] = 7027,
  [7028] = 6889,
  [7029] = 6900,
  [7030] = 6890,
  [7031] = 6906,
  [7032] = 6906,
  [7033] = 6888,
  [7034] = 6903,
  [7035] = 6897,
  [7036] = 6884,
  [7037] = 6885,
  [7038] = 6886,
  [7039] = 6887,
  [7040] = 6903,
  [7041] = 6887,
  [7042] = 6889,
  [7043] = 6890,
  [7044] = 6905,
  [7045] = 7045,
  [7046] = 7046,
  [7047] = 7023,
  [7048] = 7048,
  [7049] = 6993,
  [7050] = 7050,
  [7051] = 7046,
  [7052] = 7048,
  [7053] = 6950,
  [7054] = 7054,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 6950,
  [7058] = 6903,
  [7059] = 7054,
  [7060] = 6889,
  [7061] = 7061,
  [7062] = 6886,
  [7063] = 6889,
  [7064] = 7064,
  [7065] = 6890,
  [7066] = 6890,
  [7067] = 7067,
  [7068] = 6903,
  [7069] = 7069,
  [7070] = 6909,
  [7071] = 6897,
  [7072] = 6890,
  [7073] = 6889,
  [7074] = 6921,
  [7075] = 6890,
  [7076] = 6884,
  [7077] = 6885,
  [7078] = 6886,
  [7079] = 6911,
  [7080] = 6925,
  [7081] = 6887,
  [7082] = 2401,
  [7083] = 6989,
  [7084] = 7084,
  [7085] = 6889,
  [7086] = 6887,
  [7087] = 7087,
  [7088] = 6903,
  [7089] = 7089,
  [7090] = 6889,
  [7091] = 6890,
  [7092] = 7092,
  [7093] = 6897,
  [7094] = 7067,
  [7095] = 6903,
  [7096] = 6897,
  [7097] = 6897,
  [7098] = 6891,
  [7099] = 6897,
  [7100] = 7100,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 7103,
  [7104] = 7027,
  [7105] = 7102,
  [7106] = 7102,
  [7107] = 7102,
  [7108] = 7102,
  [7109] = 3749,
  [7110] = 7102,
  [7111] = 7102,
  [7112] = 7102,
  [7113] = 7100,
  [7114] = 7114,
  [7115] = 6018,
  [7116] = 6025,
  [7117] = 6026,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 6027,
  [7121] = 7121,
  [7122] = 7122,
  [7123] = 7102,
  [7124] = 7005,
  [7125] = 7102,
  [7126] = 7126,
  [7127] = 4932,
  [7128] = 7114,
  [7129] = 7102,
  [7130] = 7102,
  [7131] = 7131,
  [7132] = 7132,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7114,
  [7136] = 7136,
  [7137] = 7102,
  [7138] = 7102,
  [7139] = 7102,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 7102,
  [7143] = 7102,
  [7144] = 4931,
  [7145] = 7145,
  [7146] = 7146,
  [7147] = 7147,
  [7148] = 7148,
  [7149] = 7102,
  [7150] = 7102,
  [7151] = 7102,
  [7152] = 7152,
  [7153] = 7102,
  [7154] = 7154,
  [7155] = 4933,
  [7156] = 7156,
  [7157] = 7102,
  [7158] = 7102,
  [7159] = 7159,
  [7160] = 7160,
  [7161] = 7102,
  [7162] = 7162,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 4935,
  [7166] = 7102,
  [7167] = 7167,
  [7168] = 6958,
  [7169] = 7102,
  [7170] = 6959,
  [7171] = 7171,
  [7172] = 7102,
  [7173] = 7056,
  [7174] = 7174,
  [7175] = 7175,
  [7176] = 7176,
  [7177] = 7061,
  [7178] = 7178,
  [7179] = 7179,
  [7180] = 7102,
  [7181] = 7181,
  [7182] = 7102,
  [7183] = 7183,
  [7184] = 7102,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7102,
  [7189] = 7102,
  [7190] = 7102,
  [7191] = 7102,
  [7192] = 7026,
  [7193] = 7193,
  [7194] = 7102,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 7102,
  [7199] = 7114,
  [7200] = 7200,
  [7201] = 7201,
  [7202] = 7102,
  [7203] = 7203,
  [7204] = 4934,
  [7205] = 7205,
  [7206] = 7102,
  [7207] = 4929,
  [7208] = 7208,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 7102,
  [7212] = 6020,
  [7213] = 7102,
  [7214] = 7214,
  [7215] = 7215,
  [7216] = 4930,
  [7217] = 7102,
  [7218] = 6996,
  [7219] = 7219,
  [7220] = 3965,
  [7221] = 7221,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 7224,
  [7225] = 7102,
  [7226] = 7226,
  [7227] = 6024,
  [7228] = 3969,
  [7229] = 7102,
  [7230] = 7230,
  [7231] = 7102,
  [7232] = 7102,
  [7233] = 7102,
  [7234] = 7234,
  [7235] = 7235,
  [7236] = 7236,
  [7237] = 7237,
  [7238] = 7238,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7241,
  [7242] = 7242,
  [7243] = 7243,
  [7244] = 7244,
  [7245] = 7245,
  [7246] = 7246,
  [7247] = 7247,
  [7248] = 7248,
  [7249] = 7249,
  [7250] = 7250,
  [7251] = 7251,
  [7252] = 7252,
  [7253] = 7253,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 7256,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 7268,
  [7272] = 7272,
  [7273] = 7273,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 7279,
  [7280] = 7280,
  [7281] = 7281,
  [7282] = 7282,
  [7283] = 4928,
  [7284] = 7284,
  [7285] = 7285,
  [7286] = 7236,
  [7287] = 7287,
  [7288] = 7288,
  [7289] = 7289,
  [7290] = 7290,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 7293,
  [7294] = 7238,
  [7295] = 7295,
  [7296] = 7296,
  [7297] = 7297,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7300,
  [7301] = 7301,
  [7302] = 7302,
  [7303] = 7303,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7306,
  [7307] = 7307,
  [7308] = 7308,
  [7309] = 7309,
  [7310] = 7310,
  [7311] = 7311,
  [7312] = 7312,
  [7313] = 7313,
  [7314] = 7314,
  [7315] = 7296,
  [7316] = 7297,
  [7317] = 7309,
  [7318] = 7311,
  [7319] = 7319,
  [7320] = 7320,
  [7321] = 7319,
  [7322] = 7236,
  [7323] = 7323,
  [7324] = 7239,
  [7325] = 7240,
  [7326] = 7241,
  [7327] = 7242,
  [7328] = 7328,
  [7329] = 7329,
  [7330] = 7244,
  [7331] = 7297,
  [7332] = 7245,
  [7333] = 7246,
  [7334] = 7249,
  [7335] = 7250,
  [7336] = 7251,
  [7337] = 7252,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7257,
  [7341] = 7258,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 7259,
  [7345] = 7345,
  [7346] = 7261,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7349,
  [7350] = 7267,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 7268,
  [7354] = 7354,
  [7355] = 7272,
  [7356] = 7236,
  [7357] = 7357,
  [7358] = 7358,
  [7359] = 7359,
  [7360] = 7360,
  [7361] = 7239,
  [7362] = 7240,
  [7363] = 7241,
  [7364] = 7277,
  [7365] = 7278,
  [7366] = 7242,
  [7367] = 7280,
  [7368] = 7281,
  [7369] = 7369,
  [7370] = 7284,
  [7371] = 7272,
  [7372] = 7285,
  [7373] = 7373,
  [7374] = 7288,
  [7375] = 7289,
  [7376] = 7376,
  [7377] = 7377,
  [7378] = 7378,
  [7379] = 7379,
  [7380] = 7293,
  [7381] = 7238,
  [7382] = 7382,
  [7383] = 7298,
  [7384] = 7299,
  [7385] = 7301,
  [7386] = 7303,
  [7387] = 7305,
  [7388] = 7306,
  [7389] = 7307,
  [7390] = 7308,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7393,
  [7394] = 7296,
  [7395] = 7297,
  [7396] = 7309,
  [7397] = 7311,
  [7398] = 7319,
  [7399] = 7311,
  [7400] = 7400,
  [7401] = 7284,
  [7402] = 7236,
  [7403] = 7239,
  [7404] = 7240,
  [7405] = 7241,
  [7406] = 7242,
  [7407] = 7407,
  [7408] = 7244,
  [7409] = 7245,
  [7410] = 7410,
  [7411] = 7246,
  [7412] = 7412,
  [7413] = 7249,
  [7414] = 7250,
  [7415] = 7251,
  [7416] = 7252,
  [7417] = 7417,
  [7418] = 7418,
  [7419] = 7257,
  [7420] = 7258,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7259,
  [7424] = 7261,
  [7425] = 7264,
  [7426] = 7244,
  [7427] = 7427,
  [7428] = 7245,
  [7429] = 7429,
  [7430] = 7267,
  [7431] = 7431,
  [7432] = 7268,
  [7433] = 7433,
  [7434] = 7272,
  [7435] = 7435,
  [7436] = 7246,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7277,
  [7440] = 7278,
  [7441] = 7246,
  [7442] = 7280,
  [7443] = 7281,
  [7444] = 7444,
  [7445] = 7305,
  [7446] = 6915,
  [7447] = 7249,
  [7448] = 7284,
  [7449] = 7250,
  [7450] = 7285,
  [7451] = 7288,
  [7452] = 7289,
  [7453] = 7453,
  [7454] = 7293,
  [7455] = 7455,
  [7456] = 7293,
  [7457] = 7251,
  [7458] = 7252,
  [7459] = 7298,
  [7460] = 7238,
  [7461] = 7298,
  [7462] = 7299,
  [7463] = 7463,
  [7464] = 7301,
  [7465] = 7257,
  [7466] = 7303,
  [7467] = 7467,
  [7468] = 7305,
  [7469] = 7306,
  [7470] = 7307,
  [7471] = 7308,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7296,
  [7476] = 7297,
  [7477] = 7309,
  [7478] = 7311,
  [7479] = 7319,
  [7480] = 7299,
  [7481] = 7236,
  [7482] = 7239,
  [7483] = 7240,
  [7484] = 7241,
  [7485] = 7242,
  [7486] = 7349,
  [7487] = 7245,
  [7488] = 7246,
  [7489] = 7249,
  [7490] = 7250,
  [7491] = 7251,
  [7492] = 7252,
  [7493] = 7301,
  [7494] = 7494,
  [7495] = 7258,
  [7496] = 7496,
  [7497] = 7259,
  [7498] = 7498,
  [7499] = 7261,
  [7500] = 7500,
  [7501] = 7268,
  [7502] = 7257,
  [7503] = 7272,
  [7504] = 7258,
  [7505] = 7505,
  [7506] = 7303,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7280,
  [7510] = 7281,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 7513,
  [7514] = 7514,
  [7515] = 7285,
  [7516] = 7288,
  [7517] = 7289,
  [7518] = 7518,
  [7519] = 7293,
  [7520] = 7520,
  [7521] = 7238,
  [7522] = 7298,
  [7523] = 7299,
  [7524] = 7301,
  [7525] = 7239,
  [7526] = 7303,
  [7527] = 7259,
  [7528] = 7305,
  [7529] = 7306,
  [7530] = 7307,
  [7531] = 7308,
  [7532] = 7532,
  [7533] = 7261,
  [7534] = 7296,
  [7535] = 7297,
  [7536] = 7288,
  [7537] = 7309,
  [7538] = 7311,
  [7539] = 7319,
  [7540] = 7540,
  [7541] = 7541,
  [7542] = 7236,
  [7543] = 7239,
  [7544] = 7240,
  [7545] = 7241,
  [7546] = 7242,
  [7547] = 7547,
  [7548] = 7246,
  [7549] = 7264,
  [7550] = 7249,
  [7551] = 7250,
  [7552] = 7251,
  [7553] = 7252,
  [7554] = 7554,
  [7555] = 7240,
  [7556] = 7556,
  [7557] = 7557,
  [7558] = 7259,
  [7559] = 7261,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 7268,
  [7564] = 7272,
  [7565] = 7267,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7280,
  [7570] = 7281,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7285,
  [7574] = 7288,
  [7575] = 7289,
  [7576] = 7306,
  [7577] = 7293,
  [7578] = 7238,
  [7579] = 7298,
  [7580] = 7299,
  [7581] = 7581,
  [7582] = 7301,
  [7583] = 7307,
  [7584] = 7303,
  [7585] = 7585,
  [7586] = 7305,
  [7587] = 7306,
  [7588] = 7307,
  [7589] = 7308,
  [7590] = 7297,
  [7591] = 7309,
  [7592] = 7311,
  [7593] = 7319,
  [7594] = 7594,
  [7595] = 7236,
  [7596] = 7239,
  [7597] = 7240,
  [7598] = 7241,
  [7599] = 7242,
  [7600] = 7268,
  [7601] = 7272,
  [7602] = 7602,
  [7603] = 7246,
  [7604] = 7238,
  [7605] = 7249,
  [7606] = 7250,
  [7607] = 7251,
  [7608] = 7252,
  [7609] = 7289,
  [7610] = 7610,
  [7611] = 7611,
  [7612] = 7261,
  [7613] = 7613,
  [7614] = 7437,
  [7615] = 7258,
  [7616] = 7616,
  [7617] = 7617,
  [7618] = 7618,
  [7619] = 7277,
  [7620] = 7278,
  [7621] = 7285,
  [7622] = 7622,
  [7623] = 7623,
  [7624] = 7422,
  [7625] = 7288,
  [7626] = 7289,
  [7627] = 7627,
  [7628] = 7511,
  [7629] = 7293,
  [7630] = 7241,
  [7631] = 4476,
  [7632] = 7238,
  [7633] = 7298,
  [7634] = 7299,
  [7635] = 7301,
  [7636] = 7303,
  [7637] = 7305,
  [7638] = 7306,
  [7639] = 7307,
  [7640] = 7308,
  [7641] = 7297,
  [7642] = 7642,
  [7643] = 7309,
  [7644] = 7319,
  [7645] = 4932,
  [7646] = 7646,
  [7647] = 7236,
  [7648] = 7239,
  [7649] = 7241,
  [7650] = 7242,
  [7651] = 7651,
  [7652] = 7246,
  [7653] = 7249,
  [7654] = 7250,
  [7655] = 7251,
  [7656] = 7252,
  [7657] = 7242,
  [7658] = 7298,
  [7659] = 7280,
  [7660] = 7281,
  [7661] = 7261,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7284,
  [7665] = 7665,
  [7666] = 7285,
  [7667] = 7438,
  [7668] = 7668,
  [7669] = 7288,
  [7670] = 7289,
  [7671] = 7293,
  [7672] = 7238,
  [7673] = 7673,
  [7674] = 7298,
  [7675] = 7299,
  [7676] = 7299,
  [7677] = 7301,
  [7678] = 7305,
  [7679] = 7303,
  [7680] = 7305,
  [7681] = 7306,
  [7682] = 7307,
  [7683] = 7308,
  [7684] = 7310,
  [7685] = 7297,
  [7686] = 7309,
  [7687] = 7319,
  [7688] = 7343,
  [7689] = 7345,
  [7690] = 7354,
  [7691] = 7236,
  [7692] = 7239,
  [7693] = 7241,
  [7694] = 7242,
  [7695] = 7308,
  [7696] = 7407,
  [7697] = 7249,
  [7698] = 7250,
  [7699] = 7251,
  [7700] = 7252,
  [7701] = 7581,
  [7702] = 7585,
  [7703] = 7306,
  [7704] = 7261,
  [7705] = 7307,
  [7706] = 7706,
  [7707] = 7308,
  [7708] = 7708,
  [7709] = 7709,
  [7710] = 7285,
  [7711] = 7711,
  [7712] = 7651,
  [7713] = 7512,
  [7714] = 7285,
  [7715] = 7715,
  [7716] = 7288,
  [7717] = 7289,
  [7718] = 7718,
  [7719] = 7293,
  [7720] = 7720,
  [7721] = 7238,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7298,
  [7725] = 7299,
  [7726] = 7301,
  [7727] = 7727,
  [7728] = 7303,
  [7729] = 7305,
  [7730] = 7306,
  [7731] = 7307,
  [7732] = 7308,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7357,
  [7736] = 7736,
  [7737] = 7297,
  [7738] = 7427,
  [7739] = 7309,
  [7740] = 7319,
  [7741] = 7741,
  [7742] = 7455,
  [7743] = 7472,
  [7744] = 7236,
  [7745] = 7239,
  [7746] = 7241,
  [7747] = 7242,
  [7748] = 7496,
  [7749] = 7288,
  [7750] = 7433,
  [7751] = 7627,
  [7752] = 7249,
  [7753] = 7250,
  [7754] = 7251,
  [7755] = 7252,
  [7756] = 7756,
  [7757] = 7261,
  [7758] = 7407,
  [7759] = 7494,
  [7760] = 7507,
  [7761] = 7289,
  [7762] = 7762,
  [7763] = 7741,
  [7764] = 7764,
  [7765] = 7765,
  [7766] = 7766,
  [7767] = 7547,
  [7768] = 7768,
  [7769] = 7348,
  [7770] = 7770,
  [7771] = 7771,
  [7772] = 7285,
  [7773] = 7773,
  [7774] = 7288,
  [7775] = 7289,
  [7776] = 7776,
  [7777] = 7309,
  [7778] = 7319,
  [7779] = 7239,
  [7780] = 7293,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7238,
  [7784] = 7784,
  [7785] = 7298,
  [7786] = 7299,
  [7787] = 7301,
  [7788] = 7303,
  [7789] = 7285,
  [7790] = 7309,
  [7791] = 7319,
  [7792] = 7305,
  [7793] = 7306,
  [7794] = 7307,
  [7795] = 7239,
  [7796] = 7308,
  [7797] = 7797,
  [7798] = 7305,
  [7799] = 7799,
  [7800] = 7319,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7285,
  [7804] = 7309,
  [7805] = 7319,
  [7806] = 7239,
  [7807] = 7301,
  [7808] = 7306,
  [7809] = 7809,
  [7810] = 7295,
  [7811] = 7296,
  [7812] = 7297,
  [7813] = 7813,
  [7814] = 7309,
  [7815] = 7311,
  [7816] = 7307,
  [7817] = 7285,
  [7818] = 7309,
  [7819] = 7319,
  [7820] = 7239,
  [7821] = 7319,
  [7822] = 7822,
  [7823] = 7285,
  [7824] = 7309,
  [7825] = 7319,
  [7826] = 7339,
  [7827] = 7239,
  [7828] = 7828,
  [7829] = 7829,
  [7830] = 7338,
  [7831] = 7831,
  [7832] = 7347,
  [7833] = 7833,
  [7834] = 7285,
  [7835] = 7309,
  [7836] = 7319,
  [7837] = 7239,
  [7838] = 7349,
  [7839] = 7494,
  [7840] = 7236,
  [7841] = 7841,
  [7842] = 7239,
  [7843] = 7240,
  [7844] = 7241,
  [7845] = 7242,
  [7846] = 7308,
  [7847] = 7285,
  [7848] = 7309,
  [7849] = 7319,
  [7850] = 7239,
  [7851] = 7851,
  [7852] = 7244,
  [7853] = 7285,
  [7854] = 7319,
  [7855] = 7285,
  [7856] = 7319,
  [7857] = 7285,
  [7858] = 7319,
  [7859] = 7285,
  [7860] = 7319,
  [7861] = 7285,
  [7862] = 7319,
  [7863] = 7285,
  [7864] = 7319,
  [7865] = 7285,
  [7866] = 7319,
  [7867] = 7867,
  [7868] = 7285,
  [7869] = 7319,
  [7870] = 7870,
  [7871] = 7285,
  [7872] = 7319,
  [7873] = 7285,
  [7874] = 7319,
  [7875] = 7875,
  [7876] = 7285,
  [7877] = 7319,
  [7878] = 7878,
  [7879] = 7285,
  [7880] = 7319,
  [7881] = 7881,
  [7882] = 7285,
  [7883] = 7319,
  [7884] = 7285,
  [7885] = 7319,
  [7886] = 7285,
  [7887] = 7319,
  [7888] = 7285,
  [7889] = 7319,
  [7890] = 7505,
  [7891] = 7285,
  [7892] = 7319,
  [7893] = 7285,
  [7894] = 7319,
  [7895] = 7309,
  [7896] = 7285,
  [7897] = 7319,
  [7898] = 7898,
  [7899] = 7285,
  [7900] = 7319,
  [7901] = 7285,
  [7902] = 7319,
  [7903] = 7285,
  [7904] = 7319,
  [7905] = 7285,
  [7906] = 7319,
  [7907] = 7285,
  [7908] = 7319,
  [7909] = 7285,
  [7910] = 7319,
  [7911] = 7285,
  [7912] = 7319,
  [7913] = 7319,
  [7914] = 7914,
  [7915] = 7915,
  [7916] = 7916,
  [7917] = 7244,
  [7918] = 7918,
  [7919] = 7919,
  [7920] = 7245,
  [7921] = 7921,
  [7922] = 7922,
  [7923] = 7923,
  [7924] = 7234,
  [7925] = 7925,
  [7926] = 7507,
  [7927] = 7285,
  [7928] = 7665,
  [7929] = 7246,
  [7930] = 7303,
  [7931] = 7437,
  [7932] = 7259,
  [7933] = 7438,
  [7934] = 7934,
  [7935] = 7249,
  [7936] = 7250,
  [7937] = 7251,
  [7938] = 7252,
  [7939] = 7939,
  [7940] = 976,
  [7941] = 982,
  [7942] = 984,
  [7943] = 7943,
  [7944] = 989,
  [7945] = 993,
  [7946] = 7295,
  [7947] = 7709,
  [7948] = 7092,
  [7949] = 7709,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 4036,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 7348,
  [7956] = 7956,
  [7957] = 7285,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7960,
  [7961] = 7651,
  [7962] = 7665,
  [7963] = 7963,
  [7964] = 7733,
  [7965] = 7547,
  [7966] = 7966,
  [7967] = 7257,
  [7968] = 7258,
  [7969] = 7969,
  [7970] = 7512,
  [7971] = 7971,
  [7972] = 7249,
  [7973] = 7348,
  [7974] = 7267,
  [7975] = 7289,
  [7976] = 7976,
  [7977] = 7977,
  [7978] = 7978,
  [7979] = 7665,
  [7980] = 7259,
  [7981] = 7261,
  [7982] = 7293,
  [7983] = 7983,
  [7984] = 7277,
  [7985] = 7278,
  [7986] = 7348,
  [7987] = 7238,
  [7988] = 7250,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7991,
  [7992] = 7264,
  [7993] = 7993,
  [7994] = 7665,
  [7995] = 7280,
  [7996] = 7281,
  [7997] = 7997,
  [7998] = 7348,
  [7999] = 7453,
  [8000] = 7267,
  [8001] = 8001,
  [8002] = 7568,
  [8003] = 7665,
  [8004] = 8004,
  [8005] = 8005,
  [8006] = 8006,
  [8007] = 8007,
  [8008] = 8008,
  [8009] = 7348,
  [8010] = 7347,
  [8011] = 8011,
  [8012] = 7665,
  [8013] = 977,
  [8014] = 8014,
  [8015] = 7348,
  [8016] = 8016,
  [8017] = 8017,
  [8018] = 8018,
  [8019] = 7268,
  [8020] = 7272,
  [8021] = 7665,
  [8022] = 8022,
  [8023] = 8023,
  [8024] = 8024,
  [8025] = 7348,
  [8026] = 8026,
  [8027] = 8027,
  [8028] = 7741,
  [8029] = 7665,
  [8030] = 7348,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 7277,
  [8034] = 7278,
  [8035] = 7422,
  [8036] = 7665,
  [8037] = 7511,
  [8038] = 7245,
  [8039] = 7348,
  [8040] = 8040,
  [8041] = 8041,
  [8042] = 8042,
  [8043] = 7296,
  [8044] = 7280,
  [8045] = 7281,
  [8046] = 7733,
  [8047] = 8047,
  [8048] = 7284,
  [8049] = 7121,
  [8050] = 8050,
  [8051] = 8051,
  [8052] = 8052,
  [8053] = 8053,
  [8054] = 7285,
  [8055] = 8055,
  [8056] = 7310,
  [8057] = 7253,
  [8058] = 7261,
  [8059] = 7343,
  [8060] = 7357,
  [8061] = 7345,
  [8062] = 7427,
  [8063] = 7455,
  [8064] = 7472,
  [8065] = 8065,
  [8066] = 7496,
  [8067] = 7354,
  [8068] = 7288,
  [8069] = 7627,
  [8070] = 8070,
  [8071] = 7298,
  [8072] = 8072,
  [8073] = 7581,
  [8074] = 7299,
  [8075] = 7585,
  [8076] = 7285,
  [8077] = 7301,
  [8078] = 8078,
  [8079] = 8079,
  [8080] = 7303,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 7288,
  [8084] = 8084,
  [8085] = 7289,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 7251,
  [8089] = 7568,
  [8090] = 8090,
  [8091] = 8091,
  [8092] = 8092,
  [8093] = 8093,
  [8094] = 8094,
  [8095] = 7252,
  [8096] = 7293,
  [8097] = 8097,
  [8098] = 8098,
  [8099] = 7238,
  [8100] = 8100,
  [8101] = 8101,
  [8102] = 7298,
  [8103] = 7293,
  [8104] = 7299,
  [8105] = 7301,
  [8106] = 7303,
  [8107] = 7305,
  [8108] = 7306,
  [8109] = 7307,
  [8110] = 7308,
  [8111] = 6040,
  [8112] = 6057,
  [8113] = 7296,
  [8114] = 7297,
  [8115] = 8115,
  [8116] = 8116,
  [8117] = 7309,
  [8118] = 7311,
  [8119] = 8119,
  [8120] = 7319,
  [8121] = 8121,
  [8122] = 7338,
  [8123] = 7100,
  [8124] = 8124,
  [8125] = 8125,
  [8126] = 8126,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 8129,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8132,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 8136,
  [8137] = 8137,
  [8138] = 8135,
  [8139] = 3727,
  [8140] = 8140,
  [8141] = 8141,
  [8142] = 8140,
  [8143] = 8143,
  [8144] = 976,
  [8145] = 8145,
  [8146] = 8146,
  [8147] = 982,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 8150,
  [8151] = 6158,
  [8152] = 8152,
  [8153] = 8153,
  [8154] = 8154,
  [8155] = 8155,
  [8156] = 8135,
  [8157] = 8157,
  [8158] = 8158,
  [8159] = 8135,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 8140,
  [8164] = 8164,
  [8165] = 8165,
  [8166] = 8166,
  [8167] = 8167,
  [8168] = 8168,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 8171,
  [8172] = 8172,
  [8173] = 8173,
  [8174] = 8174,
  [8175] = 8175,
  [8176] = 984,
  [8177] = 8177,
  [8178] = 989,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8131,
  [8183] = 8183,
  [8184] = 8184,
  [8185] = 8135,
  [8186] = 8186,
  [8187] = 8187,
  [8188] = 8135,
  [8189] = 8189,
  [8190] = 8190,
  [8191] = 8191,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8194,
  [8195] = 8140,
  [8196] = 8196,
  [8197] = 8131,
  [8198] = 8194,
  [8199] = 8199,
  [8200] = 8140,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 8135,
  [8204] = 993,
  [8205] = 8205,
  [8206] = 3734,
  [8207] = 8140,
  [8208] = 8208,
  [8209] = 8209,
  [8210] = 8210,
  [8211] = 5046,
  [8212] = 8212,
  [8213] = 8135,
  [8214] = 8140,
  [8215] = 6139,
  [8216] = 8135,
  [8217] = 8217,
  [8218] = 8218,
  [8219] = 8219,
  [8220] = 8220,
  [8221] = 8221,
  [8222] = 8222,
  [8223] = 6154,
  [8224] = 8135,
  [8225] = 8225,
  [8226] = 5047,
  [8227] = 8140,
  [8228] = 8228,
  [8229] = 8229,
  [8230] = 8230,
  [8231] = 8135,
  [8232] = 8131,
  [8233] = 8140,
  [8234] = 6384,
  [8235] = 3729,
  [8236] = 8236,
  [8237] = 8161,
  [8238] = 8238,
  [8239] = 8135,
  [8240] = 8140,
  [8241] = 8241,
  [8242] = 8242,
  [8243] = 8243,
  [8244] = 8244,
  [8245] = 8135,
  [8246] = 8246,
  [8247] = 8140,
  [8248] = 8248,
  [8249] = 8249,
  [8250] = 8135,
  [8251] = 8140,
  [8252] = 8252,
  [8253] = 8253,
  [8254] = 8140,
  [8255] = 8135,
  [8256] = 8256,
  [8257] = 8140,
  [8258] = 8135,
  [8259] = 8140,
  [8260] = 8135,
  [8261] = 8261,
  [8262] = 8140,
  [8263] = 8135,
  [8264] = 8264,
  [8265] = 8140,
  [8266] = 8135,
  [8267] = 8140,
  [8268] = 8135,
  [8269] = 8269,
  [8270] = 8140,
  [8271] = 8135,
  [8272] = 8272,
  [8273] = 8140,
  [8274] = 8135,
  [8275] = 8275,
  [8276] = 8140,
  [8277] = 8140,
  [8278] = 8135,
  [8279] = 8279,
  [8280] = 8140,
  [8281] = 8281,
  [8282] = 8135,
  [8283] = 8140,
  [8284] = 8135,
  [8285] = 8285,
  [8286] = 8140,
  [8287] = 8287,
  [8288] = 8135,
  [8289] = 8289,
  [8290] = 8140,
  [8291] = 8291,
  [8292] = 8135,
  [8293] = 8293,
  [8294] = 8140,
  [8295] = 5065,
  [8296] = 8135,
  [8297] = 8297,
  [8298] = 8140,
  [8299] = 8135,
  [8300] = 8300,
  [8301] = 8140,
  [8302] = 8135,
  [8303] = 8140,
  [8304] = 8135,
  [8305] = 8140,
  [8306] = 8135,
  [8307] = 8140,
  [8308] = 8135,
  [8309] = 8135,
  [8310] = 8310,
  [8311] = 8140,
  [8312] = 8135,
  [8313] = 8313,
  [8314] = 8228,
  [8315] = 8140,
  [8316] = 8316,
  [8317] = 8135,
  [8318] = 8318,
  [8319] = 8140,
  [8320] = 8320,
  [8321] = 8135,
  [8322] = 8140,
  [8323] = 8323,
  [8324] = 8135,
  [8325] = 8140,
  [8326] = 8135,
  [8327] = 8327,
  [8328] = 8140,
  [8329] = 8135,
  [8330] = 8330,
  [8331] = 8140,
  [8332] = 8135,
  [8333] = 8333,
  [8334] = 8140,
  [8335] = 8135,
  [8336] = 8336,
  [8337] = 8140,
  [8338] = 4489,
  [8339] = 8339,
  [8340] = 8340,
  [8341] = 8140,
  [8342] = 8342,
  [8343] = 8343,
  [8344] = 977,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 8347,
  [8348] = 8348,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 8354,
  [8355] = 8355,
  [8356] = 8356,
  [8357] = 8357,
  [8358] = 7646,
  [8359] = 8359,
  [8360] = 8360,
  [8361] = 8361,
  [8362] = 8362,
  [8363] = 8363,
  [8364] = 8364,
  [8365] = 8365,
  [8366] = 8366,
  [8367] = 8367,
  [8368] = 8368,
  [8369] = 4489,
  [8370] = 8133,
  [8371] = 8371,
  [8372] = 8372,
  [8373] = 8373,
  [8374] = 8374,
  [8375] = 8375,
  [8376] = 8376,
  [8377] = 8377,
  [8378] = 8353,
  [8379] = 8354,
  [8380] = 8380,
  [8381] = 8381,
  [8382] = 8382,
  [8383] = 8383,
  [8384] = 8384,
  [8385] = 8385,
  [8386] = 8386,
  [8387] = 8140,
  [8388] = 8388,
  [8389] = 8389,
  [8390] = 8390,
  [8391] = 8353,
  [8392] = 8392,
  [8393] = 8393,
  [8394] = 8394,
  [8395] = 8395,
  [8396] = 8396,
  [8397] = 8397,
  [8398] = 8398,
  [8399] = 8399,
  [8400] = 8135,
  [8401] = 8401,
  [8402] = 8402,
  [8403] = 8403,
  [8404] = 8404,
  [8405] = 8405,
  [8406] = 8406,
  [8407] = 8407,
  [8408] = 7100,
  [8409] = 6187,
  [8410] = 8410,
  [8411] = 8411,
  [8412] = 8412,
  [8413] = 8413,
  [8414] = 6128,
  [8415] = 8415,
  [8416] = 8416,
  [8417] = 8417,
  [8418] = 8135,
  [8419] = 8419,
  [8420] = 8131,
  [8421] = 8421,
  [8422] = 8422,
  [8423] = 8423,
  [8424] = 8424,
  [8425] = 8425,
  [8426] = 8426,
  [8427] = 8345,
  [8428] = 8135,
  [8429] = 8429,
  [8430] = 8430,
  [8431] = 8431,
  [8432] = 8432,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 4489,
  [8436] = 8436,
  [8437] = 8437,
  [8438] = 8438,
  [8439] = 8439,
  [8440] = 8440,
  [8441] = 8441,
  [8442] = 8442,
  [8443] = 8443,
  [8444] = 8444,
  [8445] = 8445,
  [8446] = 8446,
  [8447] = 8447,
  [8448] = 8448,
  [8449] = 8449,
  [8450] = 8450,
  [8451] = 8451,
  [8452] = 8452,
  [8453] = 8453,
  [8454] = 8140,
  [8455] = 8455,
  [8456] = 8456,
  [8457] = 8457,
  [8458] = 8458,
  [8459] = 8140,
  [8460] = 8460,
  [8461] = 8461,
  [8462] = 8462,
  [8463] = 8463,
  [8464] = 8464,
  [8465] = 8465,
  [8466] = 8466,
  [8467] = 8467,
  [8468] = 8468,
  [8469] = 8469,
  [8470] = 8470,
  [8471] = 8161,
  [8472] = 8472,
  [8473] = 8473,
  [8474] = 8356,
  [8475] = 8475,
  [8476] = 8476,
  [8477] = 3728,
  [8478] = 8478,
  [8479] = 8479,
  [8480] = 8480,
  [8481] = 8481,
  [8482] = 8482,
  [8483] = 8140,
  [8484] = 8484,
  [8485] = 8485,
  [8486] = 8131,
  [8487] = 8487,
  [8488] = 8488,
  [8489] = 8489,
  [8490] = 8490,
  [8491] = 6127,
  [8492] = 8492,
  [8493] = 8135,
  [8494] = 8143,
  [8495] = 8356,
  [8496] = 8496,
  [8497] = 8497,
  [8498] = 8354,
  [8499] = 8499,
  [8500] = 8500,
  [8501] = 8501,
  [8502] = 8228,
  [8503] = 8131,
  [8504] = 8356,
  [8505] = 8505,
  [8506] = 8506,
  [8507] = 8507,
  [8508] = 8508,
  [8509] = 8509,
  [8510] = 8510,
  [8511] = 8511,
  [8512] = 8512,
  [8513] = 8513,
  [8514] = 8345,
  [8515] = 8340,
  [8516] = 8516,
  [8517] = 8517,
  [8518] = 8518,
  [8519] = 8519,
  [8520] = 8520,
  [8521] = 8521,
  [8522] = 8522,
  [8523] = 8523,
  [8524] = 8524,
  [8525] = 8525,
  [8526] = 8526,
  [8527] = 8527,
  [8528] = 8528,
  [8529] = 8529,
  [8530] = 8530,
  [8531] = 8529,
  [8532] = 8532,
  [8533] = 8533,
  [8534] = 8534,
  [8535] = 8535,
  [8536] = 8518,
  [8537] = 8522,
  [8538] = 8526,
  [8539] = 8539,
  [8540] = 8540,
  [8541] = 8541,
  [8542] = 8542,
  [8543] = 8543,
  [8544] = 8544,
  [8545] = 8545,
  [8546] = 8546,
  [8547] = 8547,
  [8548] = 8545,
  [8549] = 8544,
  [8550] = 8550,
  [8551] = 8551,
  [8552] = 8552,
  [8553] = 8553,
  [8554] = 8554,
  [8555] = 8555,
  [8556] = 8556,
  [8557] = 8557,
  [8558] = 8546,
  [8559] = 8559,
  [8560] = 8560,
  [8561] = 8557,
  [8562] = 8521,
  [8563] = 8563,
  [8564] = 8564,
  [8565] = 8524,
  [8566] = 8566,
  [8567] = 8528,
  [8568] = 8568,
  [8569] = 8530,
  [8570] = 8570,
  [8571] = 8518,
  [8572] = 8522,
  [8573] = 8526,
  [8574] = 8557,
  [8575] = 8564,
  [8576] = 8576,
  [8577] = 8577,
  [8578] = 8545,
  [8579] = 8546,
  [8580] = 8580,
  [8581] = 8581,
  [8582] = 8582,
  [8583] = 8583,
  [8584] = 8541,
  [8585] = 8552,
  [8586] = 8553,
  [8587] = 8545,
  [8588] = 8564,
  [8589] = 8589,
  [8590] = 8557,
  [8591] = 8591,
  [8592] = 8592,
  [8593] = 8593,
  [8594] = 8594,
  [8595] = 8521,
  [8596] = 8555,
  [8597] = 8597,
  [8598] = 8524,
  [8599] = 8546,
  [8600] = 8528,
  [8601] = 8552,
  [8602] = 8530,
  [8603] = 8603,
  [8604] = 8518,
  [8605] = 8522,
  [8606] = 8526,
  [8607] = 8607,
  [8608] = 8521,
  [8609] = 8609,
  [8610] = 8610,
  [8611] = 8545,
  [8612] = 8546,
  [8613] = 8613,
  [8614] = 8614,
  [8615] = 8615,
  [8616] = 8616,
  [8617] = 8617,
  [8618] = 8552,
  [8619] = 8553,
  [8620] = 8524,
  [8621] = 8621,
  [8622] = 8622,
  [8623] = 8557,
  [8624] = 8553,
  [8625] = 8625,
  [8626] = 8626,
  [8627] = 8627,
  [8628] = 8521,
  [8629] = 8629,
  [8630] = 8529,
  [8631] = 8524,
  [8632] = 8632,
  [8633] = 8528,
  [8634] = 8634,
  [8635] = 8530,
  [8636] = 8636,
  [8637] = 8518,
  [8638] = 8522,
  [8639] = 8526,
  [8640] = 8640,
  [8641] = 8544,
  [8642] = 8642,
  [8643] = 8534,
  [8644] = 8545,
  [8645] = 8546,
  [8646] = 8646,
  [8647] = 8557,
  [8648] = 8648,
  [8649] = 8649,
  [8650] = 8650,
  [8651] = 8552,
  [8652] = 8553,
  [8653] = 8653,
  [8654] = 8654,
  [8655] = 8655,
  [8656] = 8557,
  [8657] = 8657,
  [8658] = 8564,
  [8659] = 8659,
  [8660] = 8660,
  [8661] = 8521,
  [8662] = 8662,
  [8663] = 8634,
  [8664] = 8524,
  [8665] = 8665,
  [8666] = 8528,
  [8667] = 8667,
  [8668] = 8530,
  [8669] = 8669,
  [8670] = 8518,
  [8671] = 8522,
  [8672] = 8526,
  [8673] = 8673,
  [8674] = 8674,
  [8675] = 8675,
  [8676] = 8593,
  [8677] = 8545,
  [8678] = 8546,
  [8679] = 8674,
  [8680] = 8680,
  [8681] = 8552,
  [8682] = 8530,
  [8683] = 8621,
  [8684] = 8552,
  [8685] = 8553,
  [8686] = 8686,
  [8687] = 8687,
  [8688] = 8688,
  [8689] = 8557,
  [8690] = 8553,
  [8691] = 8691,
  [8692] = 8692,
  [8693] = 8593,
  [8694] = 8521,
  [8695] = 8695,
  [8696] = 8696,
  [8697] = 8524,
  [8698] = 8698,
  [8699] = 8528,
  [8700] = 8557,
  [8701] = 8530,
  [8702] = 8702,
  [8703] = 8518,
  [8704] = 8522,
  [8705] = 8526,
  [8706] = 8706,
  [8707] = 8707,
  [8708] = 8708,
  [8709] = 8709,
  [8710] = 8545,
  [8711] = 8546,
  [8712] = 8712,
  [8713] = 8713,
  [8714] = 8714,
  [8715] = 8715,
  [8716] = 8716,
  [8717] = 8552,
  [8718] = 8553,
  [8719] = 8719,
  [8720] = 8528,
  [8721] = 8721,
  [8722] = 8557,
  [8723] = 8665,
  [8724] = 8552,
  [8725] = 8725,
  [8726] = 8521,
  [8727] = 8554,
  [8728] = 8712,
  [8729] = 8524,
  [8730] = 8528,
  [8731] = 8731,
  [8732] = 8530,
  [8733] = 8518,
  [8734] = 8522,
  [8735] = 8526,
  [8736] = 8545,
  [8737] = 8546,
  [8738] = 8552,
  [8739] = 8553,
  [8740] = 8557,
  [8741] = 8741,
  [8742] = 8742,
  [8743] = 8521,
  [8744] = 8621,
  [8745] = 8745,
  [8746] = 8524,
  [8747] = 8528,
  [8748] = 8748,
  [8749] = 8530,
  [8750] = 8518,
  [8751] = 8522,
  [8752] = 8526,
  [8753] = 8545,
  [8754] = 8546,
  [8755] = 8552,
  [8756] = 8553,
  [8757] = 8557,
  [8758] = 8544,
  [8759] = 8759,
  [8760] = 8521,
  [8761] = 8520,
  [8762] = 8522,
  [8763] = 8524,
  [8764] = 8528,
  [8765] = 8725,
  [8766] = 8530,
  [8767] = 8518,
  [8768] = 8522,
  [8769] = 8526,
  [8770] = 8545,
  [8771] = 8546,
  [8772] = 8552,
  [8773] = 8553,
  [8774] = 8557,
  [8775] = 8557,
  [8776] = 8646,
  [8777] = 8521,
  [8778] = 8564,
  [8779] = 8607,
  [8780] = 8524,
  [8781] = 8528,
  [8782] = 8782,
  [8783] = 8518,
  [8784] = 8646,
  [8785] = 8674,
  [8786] = 8521,
  [8787] = 8557,
  [8788] = 8788,
  [8789] = 8524,
  [8790] = 8528,
  [8791] = 8593,
  [8792] = 8518,
  [8793] = 8660,
  [8794] = 8660,
  [8795] = 8521,
  [8796] = 8553,
  [8797] = 8797,
  [8798] = 8524,
  [8799] = 8528,
  [8800] = 8552,
  [8801] = 8518,
  [8802] = 8665,
  [8803] = 8521,
  [8804] = 8521,
  [8805] = 8554,
  [8806] = 8665,
  [8807] = 8524,
  [8808] = 8528,
  [8809] = 8621,
  [8810] = 8518,
  [8811] = 8811,
  [8812] = 8524,
  [8813] = 8521,
  [8814] = 8814,
  [8815] = 8553,
  [8816] = 8524,
  [8817] = 8528,
  [8818] = 8818,
  [8819] = 8518,
  [8820] = 8820,
  [8821] = 8821,
  [8822] = 8521,
  [8823] = 8691,
  [8824] = 8824,
  [8825] = 8524,
  [8826] = 8528,
  [8827] = 8827,
  [8828] = 8518,
  [8829] = 8829,
  [8830] = 8830,
  [8831] = 8521,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8524,
  [8835] = 8528,
  [8836] = 8691,
  [8837] = 8518,
  [8838] = 8838,
  [8839] = 8634,
  [8840] = 8521,
  [8841] = 8698,
  [8842] = 8564,
  [8843] = 8524,
  [8844] = 8528,
  [8845] = 8521,
  [8846] = 8518,
  [8847] = 8847,
  [8848] = 8848,
  [8849] = 8521,
  [8850] = 8669,
  [8851] = 8524,
  [8852] = 8524,
  [8853] = 8528,
  [8854] = 8698,
  [8855] = 8518,
  [8856] = 8856,
  [8857] = 8634,
  [8858] = 8521,
  [8859] = 8859,
  [8860] = 8860,
  [8861] = 8524,
  [8862] = 8528,
  [8863] = 8674,
  [8864] = 8518,
  [8865] = 8632,
  [8866] = 8866,
  [8867] = 8521,
  [8868] = 8593,
  [8869] = 8667,
  [8870] = 8524,
  [8871] = 8528,
  [8872] = 8872,
  [8873] = 8518,
  [8874] = 8669,
  [8875] = 8544,
  [8876] = 8521,
  [8877] = 8528,
  [8878] = 8530,
  [8879] = 8524,
  [8880] = 8528,
  [8881] = 8881,
  [8882] = 8518,
  [8883] = 8883,
  [8884] = 8667,
  [8885] = 8521,
  [8886] = 8886,
  [8887] = 8532,
  [8888] = 8524,
  [8889] = 8528,
  [8890] = 8530,
  [8891] = 8518,
  [8892] = 8892,
  [8893] = 8893,
  [8894] = 8521,
  [8895] = 8544,
  [8896] = 8742,
  [8897] = 8524,
  [8898] = 8528,
  [8899] = 8544,
  [8900] = 8518,
  [8901] = 8518,
  [8902] = 8902,
  [8903] = 8521,
  [8904] = 8557,
  [8905] = 8564,
  [8906] = 8524,
  [8907] = 8528,
  [8908] = 8908,
  [8909] = 8518,
  [8910] = 8910,
  [8911] = 8911,
  [8912] = 8521,
  [8913] = 8557,
  [8914] = 8564,
  [8915] = 8524,
  [8916] = 8528,
  [8917] = 8552,
  [8918] = 8518,
  [8919] = 8646,
  [8920] = 8646,
  [8921] = 8521,
  [8922] = 8922,
  [8923] = 8518,
  [8924] = 8524,
  [8925] = 8528,
  [8926] = 8520,
  [8927] = 8518,
  [8928] = 8522,
  [8929] = 8525,
  [8930] = 8521,
  [8931] = 8526,
  [8932] = 8691,
  [8933] = 8524,
  [8934] = 8528,
  [8935] = 8554,
  [8936] = 8518,
  [8937] = 8541,
  [8938] = 8660,
  [8939] = 8521,
  [8940] = 8660,
  [8941] = 8941,
  [8942] = 8524,
  [8943] = 8528,
  [8944] = 8944,
  [8945] = 8518,
  [8946] = 8665,
  [8947] = 8554,
  [8948] = 8521,
  [8949] = 8665,
  [8950] = 8532,
  [8951] = 8524,
  [8952] = 8528,
  [8953] = 8621,
  [8954] = 8518,
  [8955] = 8554,
  [8956] = 8956,
  [8957] = 8521,
  [8958] = 8958,
  [8959] = 8959,
  [8960] = 8524,
  [8961] = 8528,
  [8962] = 8541,
  [8963] = 8518,
  [8964] = 8607,
  [8965] = 8545,
  [8966] = 8521,
  [8967] = 8521,
  [8968] = 8968,
  [8969] = 8524,
  [8970] = 8528,
  [8971] = 8665,
  [8972] = 8518,
  [8973] = 8973,
  [8974] = 8555,
  [8975] = 8521,
  [8976] = 8546,
  [8977] = 8977,
  [8978] = 8524,
  [8979] = 8528,
  [8980] = 8980,
  [8981] = 8518,
  [8982] = 8545,
  [8983] = 8521,
  [8984] = 8524,
  [8985] = 8908,
  [8986] = 8524,
  [8987] = 8528,
  [8988] = 8988,
  [8989] = 8518,
  [8990] = 8990,
  [8991] = 8667,
  [8992] = 8992,
  [8993] = 8993,
  [8994] = 8994,
  [8995] = 8634,
  [8996] = 8706,
  [8997] = 8997,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 9000,
  [9001] = 9001,
  [9002] = 9002,
  [9003] = 8688,
  [9004] = 9004,
  [9005] = 9005,
  [9006] = 9006,
  [9007] = 9007,
  [9008] = 9008,
  [9009] = 8640,
  [9010] = 9010,
  [9011] = 4740,
  [9012] = 9012,
  [9013] = 8528,
  [9014] = 8593,
  [9015] = 8667,
  [9016] = 8530,
  [9017] = 9017,
  [9018] = 9018,
  [9019] = 9019,
  [9020] = 9020,
  [9021] = 9021,
  [9022] = 8522,
  [9023] = 8552,
  [9024] = 8649,
  [9025] = 9025,
  [9026] = 9026,
  [9027] = 8593,
  [9028] = 9028,
  [9029] = 9029,
  [9030] = 9030,
  [9031] = 8621,
  [9032] = 8856,
  [9033] = 9033,
  [9034] = 9034,
  [9035] = 9035,
  [9036] = 8553,
  [9037] = 9037,
  [9038] = 9038,
  [9039] = 8517,
  [9040] = 8621,
  [9041] = 8688,
  [9042] = 8518,
  [9043] = 9043,
  [9044] = 8544,
  [9045] = 9045,
  [9046] = 8589,
  [9047] = 9047,
  [9048] = 9048,
  [9049] = 9049,
  [9050] = 8518,
  [9051] = 8557,
  [9052] = 8564,
  [9053] = 9053,
  [9054] = 8520,
  [9055] = 9055,
  [9056] = 9056,
  [9057] = 9057,
  [9058] = 9058,
  [9059] = 8665,
  [9060] = 9060,
  [9061] = 8522,
  [9062] = 9062,
  [9063] = 8525,
  [9064] = 8688,
  [9065] = 8526,
  [9066] = 8977,
  [9067] = 9067,
  [9068] = 8609,
  [9069] = 9069,
  [9070] = 9070,
  [9071] = 8702,
  [9072] = 8541,
  [9073] = 9073,
  [9074] = 9074,
  [9075] = 9075,
  [9076] = 8545,
  [9077] = 9077,
  [9078] = 9078,
  [9079] = 6093,
  [9080] = 8520,
  [9081] = 8518,
  [9082] = 9082,
  [9083] = 8523,
  [9084] = 8706,
  [9085] = 9082,
  [9086] = 8520,
  [9087] = 9087,
  [9088] = 9088,
  [9089] = 9089,
  [9090] = 8524,
  [9091] = 8522,
  [9092] = 8522,
  [9093] = 9093,
  [9094] = 9094,
  [9095] = 9095,
  [9096] = 8646,
  [9097] = 8521,
  [9098] = 8990,
  [9099] = 8518,
  [9100] = 9100,
  [9101] = 9101,
  [9102] = 8657,
  [9103] = 9103,
  [9104] = 8525,
  [9105] = 9105,
  [9106] = 9106,
  [9107] = 8525,
  [9108] = 8526,
  [9109] = 8526,
  [9110] = 8560,
  [9111] = 9111,
  [9112] = 9112,
  [9113] = 8524,
  [9114] = 8650,
  [9115] = 9115,
  [9116] = 9116,
  [9117] = 8655,
  [9118] = 9118,
  [9119] = 8528,
  [9120] = 9120,
  [9121] = 8577,
  [9122] = 8580,
  [9123] = 8589,
  [9124] = 8592,
  [9125] = 8667,
  [9126] = 8541,
  [9127] = 9026,
  [9128] = 8632,
  [9129] = 8545,
  [9130] = 8640,
  [9131] = 8555,
  [9132] = 9132,
  [9133] = 8607,
  [9134] = 8653,
  [9135] = 9135,
  [9136] = 8688,
  [9137] = 8669,
  [9138] = 8555,
  [9139] = 9060,
  [9140] = 9106,
  [9141] = 9141,
  [9142] = 8634,
  [9143] = 9078,
  [9144] = 9053,
  [9145] = 9055,
  [9146] = 8530,
  [9147] = 8686,
  [9148] = 9058,
  [9149] = 8546,
  [9150] = 8546,
  [9151] = 8977,
  [9152] = 9067,
  [9153] = 8609,
  [9154] = 9069,
  [9155] = 9070,
  [9156] = 8702,
  [9157] = 9074,
  [9158] = 9075,
  [9159] = 9159,
  [9160] = 9160,
  [9161] = 9161,
  [9162] = 8990,
  [9163] = 9163,
  [9164] = 9164,
  [9165] = 9165,
  [9166] = 8529,
  [9167] = 8553,
  [9168] = 8525,
  [9169] = 8526,
  [9170] = 9170,
  [9171] = 8814,
  [9172] = 9172,
  [9173] = 8518,
  [9174] = 8592,
  [9175] = 9116,
  [9176] = 8649,
  [9177] = 8520,
  [9178] = 8660,
  [9179] = 8866,
  [9180] = 9067,
  [9181] = 9181,
  [9182] = 9026,
  [9183] = 9141,
  [9184] = 8650,
  [9185] = 8525,
  [9186] = 9186,
  [9187] = 9187,
  [9188] = 9188,
  [9189] = 8516,
  [9190] = 9190,
  [9191] = 9038,
  [9192] = 9058,
  [9193] = 8698,
  [9194] = 8526,
  [9195] = 9067,
  [9196] = 9135,
  [9197] = 9197,
  [9198] = 8691,
  [9199] = 8990,
  [9200] = 9200,
  [9201] = 9201,
  [9202] = 8593,
  [9203] = 9203,
  [9204] = 9204,
  [9205] = 8552,
  [9206] = 8653,
  [9207] = 8541,
  [9208] = 8545,
  [9209] = 9078,
  [9210] = 8621,
  [9211] = 9211,
  [9212] = 9212,
  [9213] = 8553,
  [9214] = 9214,
  [9215] = 8541,
  [9216] = 9026,
  [9217] = 9217,
  [9218] = 9058,
  [9219] = 8555,
  [9220] = 8546,
  [9221] = 9163,
  [9222] = 9058,
  [9223] = 8691,
  [9224] = 8521,
  [9225] = 9067,
  [9226] = 8545,
  [9227] = 9227,
  [9228] = 9141,
  [9229] = 8990,
  [9230] = 8698,
  [9231] = 9231,
  [9232] = 8524,
  [9233] = 9038,
  [9234] = 8990,
  [9235] = 9029,
  [9236] = 8860,
  [9237] = 8530,
  [9238] = 9118,
  [9239] = 9030,
  [9240] = 9118,
  [9241] = 9241,
  [9242] = 8528,
  [9243] = 9243,
  [9244] = 8522,
  [9245] = 8980,
  [9246] = 8544,
  [9247] = 9058,
  [9248] = 8634,
  [9249] = 8557,
  [9250] = 9067,
  [9251] = 8564,
  [9252] = 9252,
  [9253] = 9253,
  [9254] = 8990,
  [9255] = 9255,
  [9256] = 8646,
  [9257] = 8614,
  [9258] = 8555,
  [9259] = 8577,
  [9260] = 9260,
  [9261] = 8660,
  [9262] = 8686,
  [9263] = 8665,
  [9264] = 9264,
  [9265] = 9265,
  [9266] = 8667,
  [9267] = 9267,
  [9268] = 8529,
  [9269] = 9058,
  [9270] = 8530,
  [9271] = 9067,
  [9272] = 8554,
  [9273] = 9273,
  [9274] = 8546,
  [9275] = 8990,
  [9276] = 8980,
  [9277] = 9277,
  [9278] = 6090,
  [9279] = 8698,
  [9280] = 8691,
  [9281] = 8528,
  [9282] = 8528,
  [9283] = 9283,
  [9284] = 8580,
  [9285] = 9285,
  [9286] = 9286,
  [9287] = 8541,
  [9288] = 9288,
  [9289] = 9058,
  [9290] = 9067,
  [9291] = 7768,
  [9292] = 9292,
  [9293] = 9293,
  [9294] = 8990,
  [9295] = 9252,
  [9296] = 9296,
  [9297] = 8674,
  [9298] = 8593,
  [9299] = 9299,
  [9300] = 8667,
  [9301] = 8530,
  [9302] = 8552,
  [9303] = 8892,
  [9304] = 8529,
  [9305] = 8581,
  [9306] = 9058,
  [9307] = 7770,
  [9308] = 8621,
  [9309] = 7773,
  [9310] = 9252,
  [9311] = 9311,
  [9312] = 8553,
  [9313] = 8545,
  [9314] = 8614,
  [9315] = 9315,
  [9316] = 9316,
  [9317] = 8688,
  [9318] = 8533,
  [9319] = 9319,
  [9320] = 9320,
  [9321] = 9058,
  [9322] = 9322,
  [9323] = 9323,
  [9324] = 8725,
  [9325] = 4752,
  [9326] = 8607,
  [9327] = 8607,
  [9328] = 8517,
  [9329] = 8521,
  [9330] = 9330,
  [9331] = 8657,
  [9332] = 9332,
  [9333] = 8521,
  [9334] = 8582,
  [9335] = 9058,
  [9336] = 8583,
  [9337] = 9337,
  [9338] = 8518,
  [9339] = 8520,
  [9340] = 8691,
  [9341] = 9341,
  [9342] = 8522,
  [9343] = 8698,
  [9344] = 8525,
  [9345] = 9345,
  [9346] = 8524,
  [9347] = 8674,
  [9348] = 9058,
  [9349] = 8526,
  [9350] = 9163,
  [9351] = 9351,
  [9352] = 8544,
  [9353] = 9353,
  [9354] = 8557,
  [9355] = 8564,
  [9356] = 9356,
  [9357] = 9058,
  [9358] = 9069,
  [9359] = 9359,
  [9360] = 9360,
  [9361] = 8521,
  [9362] = 9362,
  [9363] = 9363,
  [9364] = 8555,
  [9365] = 8626,
  [9366] = 9058,
  [9367] = 9367,
  [9368] = 9368,
  [9369] = 8534,
  [9370] = 8712,
  [9371] = 8524,
  [9372] = 8742,
  [9373] = 9058,
  [9374] = 9374,
  [9375] = 9375,
  [9376] = 8546,
  [9377] = 9055,
  [9378] = 9378,
  [9379] = 8634,
  [9380] = 9058,
  [9381] = 9070,
  [9382] = 8518,
  [9383] = 9383,
  [9384] = 8646,
  [9385] = 6089,
  [9386] = 8660,
  [9387] = 9058,
  [9388] = 8541,
  [9389] = 8665,
  [9390] = 8607,
  [9391] = 8521,
  [9392] = 8524,
  [9393] = 8545,
  [9394] = 9058,
  [9395] = 9395,
  [9396] = 8634,
  [9397] = 8634,
  [9398] = 9082,
  [9399] = 8555,
  [9400] = 9058,
  [9401] = 8524,
  [9402] = 9402,
  [9403] = 9074,
  [9404] = 9404,
  [9405] = 8546,
  [9406] = 8523,
  [9407] = 8634,
  [9408] = 8541,
  [9409] = 8520,
  [9410] = 8529,
  [9411] = 9411,
  [9412] = 9412,
  [9413] = 8545,
  [9414] = 9414,
  [9415] = 9415,
  [9416] = 9416,
  [9417] = 9417,
  [9418] = 8866,
  [9419] = 8593,
  [9420] = 9420,
  [9421] = 8908,
  [9422] = 9422,
  [9423] = 6171,
  [9424] = 9141,
  [9425] = 8552,
  [9426] = 8528,
  [9427] = 8554,
  [9428] = 9428,
  [9429] = 8667,
  [9430] = 8530,
  [9431] = 9075,
  [9432] = 8621,
  [9433] = 8553,
  [9434] = 9434,
  [9435] = 9087,
  [9436] = 8553,
  [9437] = 8528,
  [9438] = 9438,
  [9439] = 8698,
  [9440] = 8528,
  [9441] = 9441,
  [9442] = 8667,
  [9443] = 8530,
  [9444] = 8544,
  [9445] = 8544,
  [9446] = 8860,
  [9447] = 8667,
  [9448] = 8530,
  [9449] = 9449,
  [9450] = 9450,
  [9451] = 9451,
  [9452] = 8518,
  [9453] = 8557,
  [9454] = 8520,
  [9455] = 9455,
  [9456] = 8564,
  [9457] = 9457,
  [9458] = 8555,
  [9459] = 8522,
  [9460] = 8665,
  [9461] = 8667,
  [9462] = 8530,
  [9463] = 8546,
  [9464] = 8520,
  [9465] = 9465,
  [9466] = 8675,
  [9467] = 8522,
  [9468] = 8692,
  [9469] = 9095,
  [9470] = 9020,
  [9471] = 8525,
  [9472] = 8992,
  [9473] = 9012,
  [9474] = 9474,
  [9475] = 8526,
  [9476] = 9476,
  [9477] = 9412,
  [9478] = 8528,
  [9479] = 8528,
  [9480] = 9480,
  [9481] = 8856,
  [9482] = 8518,
  [9483] = 8520,
  [9484] = 9484,
  [9485] = 8521,
  [9486] = 8622,
  [9487] = 9487,
  [9488] = 8555,
  [9489] = 9489,
  [9490] = 8524,
  [9491] = 8626,
  [9492] = 8522,
  [9493] = 9493,
  [9494] = 9494,
  [9495] = 8688,
  [9496] = 8634,
  [9497] = 8546,
  [9498] = 8528,
  [9499] = 9499,
  [9500] = 8525,
  [9501] = 8530,
  [9502] = 8526,
  [9503] = 8541,
  [9504] = 9504,
  [9505] = 8545,
  [9506] = 8552,
  [9507] = 8674,
  [9508] = 9508,
  [9509] = 8688,
  [9510] = 8593,
  [9511] = 8555,
  [9512] = 9106,
  [9513] = 8675,
  [9514] = 8692,
  [9515] = 9515,
  [9516] = 8518,
  [9517] = 8546,
  [9518] = 8607,
  [9519] = 9519,
  [9520] = 9048,
  [9521] = 8522,
  [9522] = 8665,
  [9523] = 8526,
  [9524] = 8552,
  [9525] = 8892,
  [9526] = 8525,
  [9527] = 8533,
  [9528] = 9528,
  [9529] = 8521,
  [9530] = 9530,
  [9531] = 8577,
  [9532] = 8525,
  [9533] = 8545,
  [9534] = 8607,
  [9535] = 8546,
  [9536] = 9536,
  [9537] = 8521,
  [9538] = 8593,
  [9539] = 8621,
  [9540] = 8552,
  [9541] = 8524,
  [9542] = 9542,
  [9543] = 8529,
  [9544] = 9544,
  [9545] = 8519,
  [9546] = 8621,
  [9547] = 9547,
  [9548] = 9053,
  [9549] = 8649,
  [9550] = 8553,
  [9551] = 8580,
  [9552] = 8650,
  [9553] = 8653,
  [9554] = 8553,
  [9555] = 8634,
  [9556] = 9556,
  [9557] = 8552,
  [9558] = 8553,
  [9559] = 9026,
  [9560] = 8526,
  [9561] = 8526,
  [9562] = 9457,
  [9563] = 9465,
  [9564] = 9449,
  [9565] = 9451,
  [9566] = 9457,
  [9567] = 9465,
  [9568] = 9449,
  [9569] = 9451,
  [9570] = 9330,
  [9571] = 8814,
  [9572] = 9330,
  [9573] = 8557,
  [9574] = 9574,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(1291);
      ADVANCE_MAP(
        '!', 2672,
        '#', 365,
        '%', 1367,
        '&', 1373,
        '(', 1297,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1809,
        '/', 1363,
        ':', 1438,
        ';', 1441,
        '<', 1383,
        '=', 1463,
        '>', 1378,
        '?', 1859,
        '@', 1816,
        'D', 1535,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(1286);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == 'd') ADVANCE(1534);
      if (lookahead == '|') ADVANCE(1370);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1547);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1536);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1537);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1552);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1538);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1548);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1555);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1550);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1551);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1549);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1543);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1545);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1554);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1539);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1556);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1544);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1540);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1542);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1553);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1541);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1546);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1289);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1533);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1827);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(281);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(281);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(275);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(275);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(313);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(313);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(288);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(288);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(290);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(290);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(294);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(294);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(310);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(310);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(295);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(295);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(300);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(300);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(311);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(311);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(293);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(293);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(309);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(309);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(312);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(312);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(296);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(296);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(302);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(302);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(299);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(299);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(306);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(306);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(307);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(307);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(257);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(257);
      if (lookahead == '\r') SKIP(41);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(277);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(277);
      if (lookahead == '\r') SKIP(43);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(301);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(301);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(322);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(322);
      if (lookahead == '\r') SKIP(47);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(316);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(316);
      if (lookahead == '\r') SKIP(49);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(321);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(321);
      if (lookahead == '\r') SKIP(51);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(318);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(318);
      if (lookahead == '\r') SKIP(53);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(317);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(317);
      if (lookahead == '\r') SKIP(55);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(269);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(269);
      if (lookahead == '\r') SKIP(57);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(59);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(324);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(324);
      if (lookahead == '\r') SKIP(61);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(319);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(319);
      if (lookahead == '\r') SKIP(63);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(271);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(271);
      if (lookahead == '\r') SKIP(65);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(67);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(280);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(280);
      if (lookahead == '\r') SKIP(69);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(274);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(274);
      if (lookahead == '\r') SKIP(71);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(272);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(272);
      if (lookahead == '\r') SKIP(73);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(279);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(279);
      if (lookahead == '\r') SKIP(75);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(261);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') SKIP(77);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(258);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '\r') SKIP(79);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(298);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(298);
      if (lookahead == '\r') SKIP(81);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(278);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(278);
      if (lookahead == '\r') SKIP(83);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(276);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(276);
      if (lookahead == '\r') SKIP(85);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(262);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(262);
      if (lookahead == '\r') SKIP(87);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(89);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '\n', 1303,
        '!', 2672,
        '%', 1367,
        '&', 1373,
        '(', 1353,
        '*', 1360,
        '+', 1358,
        '-', 1359,
        '/', 1362,
        '<', 1385,
        '=', 357,
        '>', 1379,
      );
      if (lookahead == '\\') SKIP(135);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == '|') ADVANCE(1370);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '\n', 1303,
        '!', 2672,
        '%', 1367,
        '&', 1373,
        '(', 1353,
        '*', 1360,
        '+', 1358,
        '-', 1359,
        '/', 1362,
        '<', 1385,
        '=', 357,
        '>', 1379,
      );
      if (lookahead == '\\') SKIP(135);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '|') ADVANCE(1370);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '\n', 1303,
        '!', 2672,
        '%', 1367,
        '&', 1373,
        '(', 1353,
        '*', 1360,
        '+', 1358,
        '-', 1359,
        '/', 1365,
        '<', 1385,
        '=', 357,
        '>', 1379,
      );
      if (lookahead == '\\') SKIP(97);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == '|') ADVANCE(1370);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '\n', 1303,
        '!', 2672,
        '%', 1367,
        '&', 1373,
        '(', 1353,
        '*', 1360,
        '+', 1358,
        '-', 1359,
        '/', 1365,
        '<', 1385,
        '=', 357,
        '>', 1379,
      );
      if (lookahead == '\\') SKIP(97);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '|') ADVANCE(1370);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      END_STATE();
    case 95:
      if (lookahead == '\n') ADVANCE(1303);
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(139);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(94);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(94);
      if (lookahead == '\r') SKIP(96);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(315);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(315);
      if (lookahead == '\r') SKIP(98);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(325);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(325);
      if (lookahead == '\r') SKIP(100);
      END_STATE();
    case 102:
      if (lookahead == '\n') ADVANCE(1295);
      if (lookahead == '\r') ADVANCE(106);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1296);
      if (lookahead == '\\') ADVANCE(1318);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(331);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 103:
      if (lookahead == '\n') ADVANCE(1295);
      if (lookahead == '\r') ADVANCE(106);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') ADVANCE(1318);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(331);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 104:
      if (lookahead == '\n') ADVANCE(1295);
      if (lookahead == '\r') ADVANCE(105);
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(326);
      END_STATE();
    case 105:
      if (lookahead == '\n') ADVANCE(1295);
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      END_STATE();
    case 106:
      if (lookahead == '\n') ADVANCE(1295);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') ADVANCE(1318);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(320);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(320);
      if (lookahead == '\r') SKIP(107);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(111);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(111);
      if (lookahead == '\r') SKIP(109);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(1293);
      if (lookahead == '\r') ADVANCE(111);
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1353);
      if (lookahead == '\\') SKIP(110);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(111);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(326);
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(326);
      if (lookahead == '\r') SKIP(112);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(328);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(328);
      if (lookahead == '\r') SKIP(114);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(118);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(314);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(314);
      if (lookahead == '\r') SKIP(120);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(303);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(303);
      if (lookahead == '\r') SKIP(122);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(308);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(308);
      if (lookahead == '\r') SKIP(124);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(323);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(323);
      if (lookahead == '\r') SKIP(126);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(287);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(287);
      if (lookahead == '\r') SKIP(128);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(273);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(273);
      if (lookahead == '\r') SKIP(130);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(259);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(259);
      if (lookahead == '\r') SKIP(132);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(92);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(92);
      if (lookahead == '\r') SKIP(134);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(329);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(329);
      if (lookahead == '\r') SKIP(136);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(95);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(95);
      if (lookahead == '\r') SKIP(138);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(140);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(283);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(283);
      if (lookahead == '\r') SKIP(142);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(304);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(304);
      if (lookahead == '\r') SKIP(144);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(260);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(260);
      if (lookahead == '\r') SKIP(146);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(148);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(150);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(282);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(282);
      if (lookahead == '\r') SKIP(152);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(154);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(156);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(158);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(284);
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(284);
      if (lookahead == '\r') SKIP(160);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(162);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(285);
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(285);
      if (lookahead == '\r') SKIP(164);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(166);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(168);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(286);
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(286);
      if (lookahead == '\r') SKIP(170);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(172);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(292);
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(292);
      if (lookahead == '\r') SKIP(174);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(330);
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(330);
      if (lookahead == '\r') SKIP(176);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(178);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(305);
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(305);
      if (lookahead == '\r') SKIP(180);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(182);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(263);
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(263);
      if (lookahead == '\r') SKIP(184);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(186);
      END_STATE();
    case 188:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 189:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(188);
      END_STATE();
    case 190:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 191:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(190);
      END_STATE();
    case 192:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 193:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(192);
      END_STATE();
    case 194:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 195:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(194);
      END_STATE();
    case 196:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 197:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(196);
      END_STATE();
    case 198:
      if (lookahead == '\n') SKIP(264);
      END_STATE();
    case 199:
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '\r') SKIP(198);
      END_STATE();
    case 200:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 201:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(200);
      END_STATE();
    case 202:
      if (lookahead == '\n') SKIP(250);
      END_STATE();
    case 203:
      if (lookahead == '\n') SKIP(250);
      if (lookahead == '\r') SKIP(202);
      END_STATE();
    case 204:
      if (lookahead == '\n') SKIP(265);
      END_STATE();
    case 205:
      if (lookahead == '\n') SKIP(265);
      if (lookahead == '\r') SKIP(204);
      END_STATE();
    case 206:
      if (lookahead == '\n') SKIP(251);
      END_STATE();
    case 207:
      if (lookahead == '\n') SKIP(251);
      if (lookahead == '\r') SKIP(206);
      END_STATE();
    case 208:
      if (lookahead == '\n') SKIP(266);
      END_STATE();
    case 209:
      if (lookahead == '\n') SKIP(266);
      if (lookahead == '\r') SKIP(208);
      END_STATE();
    case 210:
      if (lookahead == '\n') SKIP(252);
      END_STATE();
    case 211:
      if (lookahead == '\n') SKIP(252);
      if (lookahead == '\r') SKIP(210);
      END_STATE();
    case 212:
      if (lookahead == '\n') SKIP(267);
      END_STATE();
    case 213:
      if (lookahead == '\n') SKIP(267);
      if (lookahead == '\r') SKIP(212);
      END_STATE();
    case 214:
      if (lookahead == '\n') SKIP(253);
      END_STATE();
    case 215:
      if (lookahead == '\n') SKIP(253);
      if (lookahead == '\r') SKIP(214);
      END_STATE();
    case 216:
      if (lookahead == '\n') SKIP(254);
      END_STATE();
    case 217:
      if (lookahead == '\n') SKIP(254);
      if (lookahead == '\r') SKIP(216);
      END_STATE();
    case 218:
      if (lookahead == '\n') SKIP(255);
      END_STATE();
    case 219:
      if (lookahead == '\n') SKIP(255);
      if (lookahead == '\r') SKIP(218);
      END_STATE();
    case 220:
      if (lookahead == '\n') SKIP(256);
      END_STATE();
    case 221:
      if (lookahead == '\n') SKIP(256);
      if (lookahead == '\r') SKIP(220);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 2672,
        '%', 1367,
        '&', 1373,
        '(', 1353,
        ')', 1300,
        '*', 1360,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '/', 1362,
        '<', 1385,
        '=', 357,
        '>', 1379,
      );
      if (lookahead == '\\') SKIP(90);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == '|') ADVANCE(1370);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 2672,
        '%', 1367,
        '&', 1373,
        '(', 1353,
        ')', 1300,
        '*', 1360,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '/', 1362,
        '<', 1385,
        '=', 357,
        '>', 1379,
      );
      if (lookahead == '\\') SKIP(90);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == '|') ADVANCE(1370);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 2673,
        '#', 365,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ':', 355,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1867);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2292);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1901);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2191);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1917);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1870);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1920);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1894);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 2673,
        '#', 365,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(117);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2340);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 2673,
        '#', 365,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 2673,
        '#', 365,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(159);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 2673,
        '#', 365,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(173);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2341);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 2673,
        '#', 365,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(193);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(365);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(68);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(463);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(409);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1364,
        ';', 1441,
        '<', 1386,
        '=', 357,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(60);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(860);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(463);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(873);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(749);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(652);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1023);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(940);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1061);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(409);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(948);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1364,
        ';', 1441,
        '<', 1386,
        '=', 357,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(60);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(860);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(463);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(873);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(749);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(652);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1023);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(940);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1061);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(409);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(948);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(141);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2342);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(149);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2360);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(157);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1950);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1937);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(119);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2343);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(151);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1890);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2348);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1912);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(155);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1880);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2348);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(167);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1950);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1937);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(163);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2362);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(169);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2363);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(183);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2344);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(187);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2349);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1950);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1937);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2359);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(189);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2350);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(191);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1882);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2346);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(195);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2345);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(201);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(203);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2341);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(207);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2353);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 252:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(211);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2354);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(215);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2355);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 254:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(217);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2356);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(219);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2348);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(221);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ',') ADVANCE(1299);
      if (lookahead == '.') ADVANCE(1808);
      if (lookahead == ':') ADVANCE(355);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(42);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2372);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1885);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2294);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1900);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2164);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2195);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2449);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1942);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1922);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1896);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ',') ADVANCE(1299);
      if (lookahead == '/') ADVANCE(1362);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(80);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(873);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(750);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(652);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1084);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(133);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(873);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(750);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(652);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1084);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259);
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260);
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(78);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(742);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(960);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(936);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1067);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(646);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(88);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(464);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(962);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(407);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1282);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262);
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(185);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263);
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(199);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(879);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(205);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265);
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(209);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(880);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266);
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(367);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(213);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1384,
        '=', 1463,
        '>', 1380,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(58);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(478);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(784);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(462);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(392);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(871);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(414);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(653);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1015);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(713);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(788);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(658);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(405);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(989);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1039);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(399);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1228);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(408);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(393);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(402);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(401);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(438);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1384,
        '=', 1463,
        '>', 1380,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(58);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(478);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(784);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(462);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(392);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(871);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(414);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(653);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1015);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(713);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(788);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(658);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(405);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(989);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1039);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(399);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1228);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(408);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(393);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(402);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(401);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(438);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269);
      END_STATE();
    case 270:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        '<', 1386,
        '=', 1463,
        '>', 1380,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(66);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(859);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(939);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(913);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(647);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1081);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1623);
      END_STATE();
    case 271:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        '<', 1386,
        '=', 1463,
        '>', 1380,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(66);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(859);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(939);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(913);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(647);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1081);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1623);
      END_STATE();
    case 272:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 355,
        '<', 1386,
        '=', 357,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(74);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(939);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(978);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1064);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272);
      END_STATE();
    case 273:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(131);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(983);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(978);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1081);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273);
      END_STATE();
    case 274:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1364,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(72);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(939);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(978);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1081);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274);
      END_STATE();
    case 275:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '&', 1372,
        '(', 1354,
        ')', 1300,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1814,
        '/', 1362,
        ':', 1437,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2357);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 276:
      ADVANCE_MAP(
        '!', 2673,
        '#', 374,
        '&', 1372,
        '(', 1353,
        '*', 1360,
        ',', 1299,
        '/', 1362,
        '=', 1464,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(86);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(939);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(978);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1081);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      END_STATE();
    case 277:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(374);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ',') ADVANCE(1299);
      if (lookahead == ':') ADVANCE(355);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(44);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2372);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1885);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1900);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2164);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2195);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2449);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1942);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1922);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1896);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 278:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(374);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(84);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(743);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(958);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(978);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1081);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1281);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278);
      END_STATE();
    case 279:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(373);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(76);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(463);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(875);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(750);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(652);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1066);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(409);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279);
      END_STATE();
    case 280:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        '<', 1386,
        '=', 357,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(70);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(872);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      END_STATE();
    case 281:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1867);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2292);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1901);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2191);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1917);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1870);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1920);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1894);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 282:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(153);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2340);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 283:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(143);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2341);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 284:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(161);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2192);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 285:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(165);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1888);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 286:
      ADVANCE_MAP(
        '!', 2673,
        '#', 366,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '/', 335,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(171);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 287:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '#') ADVANCE(366);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == '\\') SKIP(129);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1180);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1277);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1000);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1227);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(986);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1258);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(752);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287);
      END_STATE();
    case 288:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1354,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1811,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(12);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 289:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1354,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1811,
        '/', 1366,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == '_') ADVANCE(1825);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2357);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 290:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1354,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1811,
        '/', 1366,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2357);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 291:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1354,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1811,
        '/', 1366,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(175);
      if (lookahead == '_') ADVANCE(1825);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2354);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 292:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1354,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1811,
        '/', 1366,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2354);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 293:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1438,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1380,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(26);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1891);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2197);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1939);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 294:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1438,
        ';', 1441,
        '<', 1384,
        '=', 1463,
        '>', 1380,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1978);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1891);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2197);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2487);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1939);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1623);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 295:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1438,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(20);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2372);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1885);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1903);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2193);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2449);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1943);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1922);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1896);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 296:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1903);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 297:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(82);
      if (lookahead == '_') ADVANCE(1824);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1153);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(889);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(744);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(991);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(961);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1014);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(714);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1229);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(708);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(746);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      END_STATE();
    case 298:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(82);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1153);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(889);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(744);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(991);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(961);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1014);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(714);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1229);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(708);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1280);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(746);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      END_STATE();
    case 299:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1438,
        ';', 1441,
        '<', 1384,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(36);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 300:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1364,
        ':', 355,
        '<', 1386,
        '=', 357,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2372);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1885);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1903);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2193);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2449);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1943);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1922);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1896);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 301:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1812,
        '/', 1364,
        ':', 355,
        '<', 1386,
        '=', 357,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(46);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 302:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1897);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 303:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(123);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1940);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 304:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(145);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ':', 1437,
        ';', 1441,
        '<', 1386,
        '=', 1463,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(181);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1941);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 306:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ';', 1441,
        '<', 1386,
        '=', 1462,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(38);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2449);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 307:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ';', 1441,
        '<', 1386,
        '=', 1462,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(40);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2308);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(307);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 308:
      ADVANCE_MAP(
        '!', 2673,
        '%', 1367,
        '&', 1372,
        '(', 1353,
        '*', 1361,
        '+', 1358,
        '-', 1359,
        '.', 1812,
        '/', 1366,
        ';', 1441,
        '<', 1386,
        '=', 1462,
        '>', 1377,
        '?', 1859,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(125);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1898);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 309:
      ADVANCE_MAP(
        '!', 2673,
        '&', 1372,
        '(', 1354,
        ')', 1300,
        '*', 1360,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1814,
        '/', 333,
        ':', 1437,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(28);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(309);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 310:
      ADVANCE_MAP(
        '!', 2673,
        '&', 1372,
        '(', 1354,
        ')', 1300,
        '*', 1360,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1810,
        '/', 1362,
        ':', 1437,
        ';', 1441,
        '<', 359,
        '=', 1464,
        '@', 1816,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(310);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 311:
      ADVANCE_MAP(
        '!', 2673,
        '&', 1372,
        '(', 1354,
        '*', 1360,
        '+', 1358,
        '-', 1359,
        '.', 1814,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1887);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2198);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(311);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 312:
      ADVANCE_MAP(
        '!', 2673,
        '&', 1372,
        '(', 1354,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1813,
        ':', 355,
        ';', 1441,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(312);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 313:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1354);
      if (lookahead == '+') ADVANCE(1358);
      if (lookahead == '-') ADVANCE(1359);
      if (lookahead == '.') ADVANCE(1814);
      if (lookahead == '[') ADVANCE(1820);
      if (lookahead == '\\') SKIP(10);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2291);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1889);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1916);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1902);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1921);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1895);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1909);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(313);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 314:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1354);
      if (lookahead == '+') ADVANCE(1358);
      if (lookahead == '-') ADVANCE(1359);
      if (lookahead == '.') ADVANCE(1814);
      if (lookahead == '[') ADVANCE(1820);
      if (lookahead == '\\') SKIP(121);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1885);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2198);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(314);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 315:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1353);
      if (lookahead == ')') ADVANCE(1300);
      if (lookahead == ',') ADVANCE(1299);
      if (lookahead == '/') ADVANCE(1362);
      if (lookahead == '\\') SKIP(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(315);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1765);
      END_STATE();
    case 316:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1353);
      if (lookahead == ')') ADVANCE(1300);
      if (lookahead == '/') ADVANCE(335);
      if (lookahead == 'D') ADVANCE(1915);
      if (lookahead == '\\') SKIP(50);
      if (lookahead == 'd') ADVANCE(1861);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(316);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 317:
      ADVANCE_MAP(
        '!', 2673,
        '&', 1372,
        '(', 1353,
        '*', 1360,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1808,
        '/', 1362,
        ';', 1441,
        '=', 1464,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(56);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1623);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 318:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '(') ADVANCE(1353);
      if (lookahead == ',') ADVANCE(1299);
      if (lookahead == ':') ADVANCE(355);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(54);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2371);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2487);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(318);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 319:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ')') ADVANCE(1300);
      if (lookahead == '.') ADVANCE(354);
      if (lookahead == '\\') SKIP(64);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(319);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 320:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '*') ADVANCE(1360);
      if (lookahead == '+') ADVANCE(1358);
      if (lookahead == '.') ADVANCE(1283);
      if (lookahead == '\\') SKIP(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(320);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1712);
      END_STATE();
    case 321:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ',') ADVANCE(1299);
      if (lookahead == ';') ADVANCE(1441);
      if (lookahead == '\\') SKIP(52);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1892);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2221);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(321);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 322:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ':') ADVANCE(355);
      if (lookahead == '\\') SKIP(48);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1886);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1914);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1903);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2194);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1917);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1922);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1896);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(322);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 323:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == ':') ADVANCE(355);
      if (lookahead == '\\') SKIP(127);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1891);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2199);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1918);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1939);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(323);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 324:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(62);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2373);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2367);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1893);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1915);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1904);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2451);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2196);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2643);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2429);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1944);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1899);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1911);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2436);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1908);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(324);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 325:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(325);
      END_STATE();
    case 326:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      END_STATE();
    case 327:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1827);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1826);
      END_STATE();
    case 328:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(328);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1533);
      END_STATE();
    case 329:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(137);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(329);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1815);
      END_STATE();
    case 330:
      if (lookahead == '!') ADVANCE(2673);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') SKIP(177);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(330);
      END_STATE();
    case 331:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1372);
      if (lookahead == '\\') ADVANCE(1318);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 332:
      if (lookahead == '!') ADVANCE(1469);
      if (lookahead == '&') ADVANCE(1374);
      if (lookahead == '\\') ADVANCE(1467);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1470);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1471);
      END_STATE();
    case 333:
      if (lookahead == ')') ADVANCE(1819);
      END_STATE();
    case 334:
      if (lookahead == ')') ADVANCE(1819);
      if (lookahead == '*') ADVANCE(337);
      END_STATE();
    case 335:
      if (lookahead == '*') ADVANCE(337);
      END_STATE();
    case 336:
      if (lookahead == '*') ADVANCE(336);
      if (lookahead == '/') ADVANCE(1357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(337);
      END_STATE();
    case 337:
      if (lookahead == '*') ADVANCE(336);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(337);
      END_STATE();
    case 338:
      if (lookahead == '.') ADVANCE(1803);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(346);
      END_STATE();
    case 339:
      if (lookahead == '.') ADVANCE(1802);
      END_STATE();
    case 340:
      if (lookahead == '.') ADVANCE(1800);
      END_STATE();
    case 341:
      if (lookahead == '.') ADVANCE(1801);
      END_STATE();
    case 342:
      if (lookahead == '.') ADVANCE(1799);
      END_STATE();
    case 343:
      if (lookahead == '.') ADVANCE(1805);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1263);
      END_STATE();
    case 344:
      if (lookahead == '.') ADVANCE(1794);
      END_STATE();
    case 345:
      if (lookahead == '.') ADVANCE(1795);
      END_STATE();
    case 346:
      if (lookahead == '.') ADVANCE(1796);
      END_STATE();
    case 347:
      if (lookahead == '.') ADVANCE(1860);
      END_STATE();
    case 348:
      if (lookahead == '.') ADVANCE(1798);
      END_STATE();
    case 349:
      if (lookahead == '.') ADVANCE(1797);
      END_STATE();
    case 350:
      if (lookahead == '.') ADVANCE(1822);
      END_STATE();
    case 351:
      if (lookahead == '.') ADVANCE(1823);
      END_STATE();
    case 352:
      if (lookahead == '.') ADVANCE(1298);
      END_STATE();
    case 353:
      if (lookahead == '.') ADVANCE(1711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      END_STATE();
    case 354:
      if (lookahead == '.') ADVANCE(352);
      END_STATE();
    case 355:
      if (lookahead == ':') ADVANCE(1507);
      END_STATE();
    case 356:
      if (lookahead == '<') ADVANCE(1679);
      END_STATE();
    case 357:
      if (lookahead == '=') ADVANCE(1375);
      END_STATE();
    case 358:
      if (lookahead == '>') ADVANCE(1680);
      END_STATE();
    case 359:
      if (lookahead == '>') ADVANCE(1391);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(359);
      END_STATE();
    case 360:
      if (lookahead == '>') ADVANCE(1392);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(359);
      END_STATE();
    case 361:
      if (lookahead == '>') ADVANCE(358);
      END_STATE();
    case 362:
      if (lookahead == 'F') ADVANCE(450);
      if (lookahead == 'f') ADVANCE(387);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(759);
      END_STATE();
    case 363:
      if (lookahead == '_') ADVANCE(779);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 364:
      if (lookahead == '_') ADVANCE(731);
      END_STATE();
    case 365:
      if (lookahead == 'd') ADVANCE(1328);
      if (lookahead == 'e') ADVANCE(1347);
      if (lookahead == 'i') ADVANCE(1336);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 366:
      if (lookahead == 'd') ADVANCE(1328);
      if (lookahead == 'e') ADVANCE(1349);
      if (lookahead == 'i') ADVANCE(1336);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 367:
      if (lookahead == 'd') ADVANCE(1328);
      if (lookahead == 'i') ADVANCE(1336);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 368:
      if (lookahead == 'd') ADVANCE(1355);
      END_STATE();
    case 369:
      if (lookahead == 'd') ADVANCE(389);
      END_STATE();
    case 370:
      if (lookahead == 'd') ADVANCE(377);
      END_STATE();
    case 371:
      if (lookahead == 'd') ADVANCE(379);
      END_STATE();
    case 372:
      if (lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 373:
      if (lookahead == 'e') ADVANCE(390);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(373);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(390);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(374);
      END_STATE();
    case 375:
      if (lookahead == 'e') ADVANCE(1310);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 377:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 378:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 379:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 380:
      if (lookahead == 'f') ADVANCE(1312);
      END_STATE();
    case 381:
      if (lookahead == 'f') ADVANCE(1304);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(1314);
      END_STATE();
    case 383:
      if (lookahead == 'f') ADVANCE(1316);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(1302);
      END_STATE();
    case 385:
      if (lookahead == 'f') ADVANCE(1306);
      END_STATE();
    case 386:
      if (lookahead == 'f') ADVANCE(1308);
      END_STATE();
    case 387:
      if (lookahead == 'i') ADVANCE(391);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1101);
      END_STATE();
    case 388:
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == 's') ADVANCE(375);
      END_STATE();
    case 389:
      if (lookahead == 'i') ADVANCE(381);
      END_STATE();
    case 390:
      if (lookahead == 'l') ADVANCE(388);
      if (lookahead == 'n') ADVANCE(369);
      END_STATE();
    case 391:
      if (lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 392:
      ADVANCE_MAP(
        'A', 1185,
        'a', 1185,
        'E', 715,
        'e', 715,
        'I', 906,
        'i', 906,
        'O', 1226,
        'o', 1226,
      );
      END_STATE();
    case 393:
      ADVANCE_MAP(
        'A', 1264,
        'a', 1264,
        'E', 890,
        'e', 890,
        'H', 410,
        'h', 410,
        'I', 898,
        'i', 898,
        'T', 472,
        't', 472,
        'U', 484,
        'u', 484,
      );
      END_STATE();
    case 394:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(973);
      END_STATE();
    case 395:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(730);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(883);
      END_STATE();
    case 396:
      ADVANCE_MAP(
        'A', 545,
        'a', 545,
        'C', 1237,
        'c', 1237,
        'D', 1245,
        'd', 1245,
        'S', 1241,
        's', 1241,
        'T', 1239,
        't', 1239,
        'W', 793,
        'w', 793,
      );
      END_STATE();
    case 397:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1450);
      END_STATE();
    case 398:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1452);
      END_STATE();
    case 399:
      ADVANCE_MAP(
        'A', 1068,
        'a', 1068,
        'I', 971,
        'i', 971,
        'O', 786,
        'o', 786,
        'R', 655,
        'r', 655,
        'U', 481,
        'u', 481,
      );
      END_STATE();
    case 400:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1128);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1133);
      END_STATE();
    case 401:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(841);
      END_STATE();
    case 402:
      ADVANCE_MAP(
        'A', 1096,
        'a', 1096,
        'E', 404,
        'e', 404,
        'H', 661,
        'h', 661,
        'O', 1690,
        'o', 1690,
        'Y', 1041,
        'y', 1041,
      );
      END_STATE();
    case 403:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(893);
      END_STATE();
    case 404:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(893);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1210);
      END_STATE();
    case 405:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(943);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(567);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(882);
      END_STATE();
    case 407:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(938);
      END_STATE();
    case 408:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(938);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 409:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(938);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 410:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1078);
      END_STATE();
    case 411:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(895);
      END_STATE();
    case 412:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(896);
      END_STATE();
    case 413:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(897);
      END_STATE();
    case 414:
      ADVANCE_MAP(
        'A', 902,
        'a', 902,
        'I', 970,
        'i', 970,
        'O', 1059,
        'o', 1059,
        'U', 941,
        'u', 941,
      );
      END_STATE();
    case 415:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(826);
      END_STATE();
    case 416:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(827);
      END_STATE();
    case 417:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(827);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1845);
      END_STATE();
    case 418:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1208);
      END_STATE();
    case 419:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(829);
      END_STATE();
    case 420:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(947);
      END_STATE();
    case 421:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1163);
      END_STATE();
    case 422:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(887);
      END_STATE();
    case 423:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(830);
      END_STATE();
    case 424:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(831);
      END_STATE();
    case 425:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(832);
      END_STATE();
    case 426:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(833);
      END_STATE();
    case 427:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(834);
      END_STATE();
    case 428:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1181);
      END_STATE();
    case 429:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(835);
      END_STATE();
    case 430:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(837);
      END_STATE();
    case 431:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(838);
      END_STATE();
    case 432:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(972);
      END_STATE();
    case 433:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1184);
      END_STATE();
    case 434:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(825);
      END_STATE();
    case 435:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(825);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1237);
      END_STATE();
    case 436:
      ADVANCE_MAP(
        'A', 825,
        'a', 825,
        'C', 1237,
        'c', 1237,
        'D', 1245,
        'd', 1245,
        'S', 1241,
        's', 1241,
      );
      END_STATE();
    case 437:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1215);
      END_STATE();
    case 438:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(772);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(688);
      END_STATE();
    case 439:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(851);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1833);
      END_STATE();
    case 440:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(851);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(421);
      END_STATE();
    case 441:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1209);
      END_STATE();
    case 442:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1199);
      END_STATE();
    case 443:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(787);
      END_STATE();
    case 444:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(787);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(728);
      END_STATE();
    case 445:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1195);
      END_STATE();
    case 446:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(907);
      END_STATE();
    case 447:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(856);
      END_STATE();
    case 448:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1131);
      END_STATE();
    case 449:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(536);
      END_STATE();
    case 450:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1101);
      END_STATE();
    case 451:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1225);
      END_STATE();
    case 452:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(734);
      END_STATE();
    case 453:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1134);
      END_STATE();
    case 454:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1141);
      END_STATE();
    case 455:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1249);
      END_STATE();
    case 456:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(521);
      END_STATE();
    case 457:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(964);
      END_STATE();
    case 458:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1201);
      END_STATE();
    case 459:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(735);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1002);
      END_STATE();
    case 460:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1136);
      END_STATE();
    case 461:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 462:
      ADVANCE_MAP(
        'A', 1126,
        'a', 1126,
        'H', 473,
        'h', 473,
        'L', 453,
        'l', 453,
        'O', 569,
        'o', 569,
        'R', 760,
        'r', 760,
      );
      END_STATE();
    case 463:
      ADVANCE_MAP(
        'A', 1126,
        'a', 1126,
        'H', 473,
        'h', 473,
        'L', 453,
        'l', 453,
        'O', 915,
        'o', 915,
      );
      END_STATE();
    case 464:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1126);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(466);
      END_STATE();
    case 465:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(522);
      END_STATE();
    case 466:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1138);
      END_STATE();
    case 467:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(736);
      END_STATE();
    case 468:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(524);
      END_STATE();
    case 469:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1204);
      END_STATE();
    case 470:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(487);
      END_STATE();
    case 471:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(487);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1788);
      END_STATE();
    case 472:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1212);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1034);
      END_STATE();
    case 473:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1070);
      END_STATE();
    case 474:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1218);
      END_STATE();
    case 475:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1211);
      END_STATE();
    case 476:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(489);
      END_STATE();
    case 477:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1216);
      END_STATE();
    case 478:
      ADVANCE_MAP(
        'B', 1145,
        'b', 1145,
        'L', 849,
        'l', 849,
        'S', 1152,
        's', 1152,
        'T', 1186,
        't', 1186,
        'U', 1182,
        'u', 1182,
      );
      END_STATE();
    case 479:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(918);
      END_STATE();
    case 480:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(884);
      END_STATE();
    case 481:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(884);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(591);
      END_STATE();
    case 482:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(919);
      END_STATE();
    case 483:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(419);
      END_STATE();
    case 484:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1072);
      END_STATE();
    case 485:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1252);
      END_STATE();
    case 486:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(855);
      END_STATE();
    case 487:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(867);
      END_STATE();
    case 488:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(431);
      END_STATE();
    case 489:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(870);
      END_STATE();
    case 490:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1110);
      END_STATE();
    case 491:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(920);
      END_STATE();
    case 492:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(819);
      END_STATE();
    case 493:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(417);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(763);
      END_STATE();
    case 494:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1830);
      END_STATE();
    case 495:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1527);
      END_STATE();
    case 496:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1648);
      END_STATE();
    case 497:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1567);
      END_STATE();
    case 498:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1626);
      END_STATE();
    case 499:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1504);
      END_STATE();
    case 500:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1506);
      END_STATE();
    case 501:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(814);
      END_STATE();
    case 502:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(815);
      END_STATE();
    case 503:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(816);
      END_STATE();
    case 504:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(818);
      END_STATE();
    case 505:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(848);
      END_STATE();
    case 506:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(843);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1193);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(696);
      END_STATE();
    case 507:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(843);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(696);
      END_STATE();
    case 508:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(809);
      END_STATE();
    case 509:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(805);
      END_STATE();
    case 510:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(685);
      END_STATE();
    case 511:
      ADVANCE_MAP(
        'C', 685,
        'c', 685,
        'G', 1075,
        'g', 1075,
        'P', 690,
        'p', 690,
        'T', 694,
        't', 694,
      );
      END_STATE();
    case 512:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(685);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(690);
      END_STATE();
    case 513:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(685);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(690);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(694);
      END_STATE();
    case 514:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1167);
      END_STATE();
    case 515:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(602);
      END_STATE();
    case 516:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1170);
      END_STATE();
    case 517:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(608);
      END_STATE();
    case 518:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1174);
      END_STATE();
    case 519:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1179);
      END_STATE();
    case 520:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(618);
      END_STATE();
    case 521:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(621);
      END_STATE();
    case 522:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(624);
      END_STATE();
    case 523:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(632);
      END_STATE();
    case 524:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(634);
      END_STATE();
    case 525:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1194);
      END_STATE();
    case 526:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1242);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1192);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(444);
      END_STATE();
    case 527:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 528:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1200);
      END_STATE();
    case 529:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(782);
      END_STATE();
    case 530:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(424);
      END_STATE();
    case 531:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(425);
      END_STATE();
    case 532:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 533:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(416);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(763);
      END_STATE();
    case 534:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(451);
      END_STATE();
    case 535:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1224);
      END_STATE();
    case 536:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1217);
      END_STATE();
    case 537:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(807);
      END_STATE();
    case 538:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(811);
      END_STATE();
    case 539:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(711);
      END_STATE();
    case 540:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(711);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1077);
      END_STATE();
    case 541:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1397);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1060);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(892);
      END_STATE();
    case 542:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1488);
      END_STATE();
    case 543:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(364);
      END_STATE();
    case 544:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1656);
      END_STATE();
    case 545:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1472);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1596);
      END_STATE();
    case 546:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1588);
      END_STATE();
    case 547:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1784);
      END_STATE();
    case 548:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1586);
      END_STATE();
    case 549:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1582);
      END_STATE();
    case 550:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1575);
      END_STATE();
    case 551:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1644);
      END_STATE();
    case 552:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1477);
      END_STATE();
    case 553:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1395);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(909);
      END_STATE();
    case 554:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1395);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(910);
      END_STATE();
    case 555:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1420);
      END_STATE();
    case 556:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1476);
      END_STATE();
    case 557:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1404);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(910);
      END_STATE();
    case 558:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1422);
      END_STATE();
    case 559:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1427);
      END_STATE();
    case 560:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1424);
      END_STATE();
    case 561:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1414);
      END_STATE();
    case 562:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1421);
      END_STATE();
    case 563:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1401);
      END_STATE();
    case 564:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1428);
      END_STATE();
    case 565:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1419);
      END_STATE();
    case 566:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1426);
      END_STATE();
    case 567:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1251);
      END_STATE();
    case 568:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(812);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(900);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(526);
      END_STATE();
    case 569:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(812);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1044);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1144);
      END_STATE();
    case 570:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(345);
      END_STATE();
    case 571:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1119);
      END_STATE();
    case 572:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(476);
      END_STATE();
    case 573:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(612);
      END_STATE();
    case 574:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1425);
      END_STATE();
    case 575:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1423);
      END_STATE();
    case 576:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1255);
      END_STATE();
    case 577:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1254);
      END_STATE();
    case 578:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1257);
      END_STATE();
    case 579:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1256);
      END_STATE();
    case 580:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1259);
      END_STATE();
    case 581:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(339);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(340);
      END_STATE();
    case 582:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(343);
      END_STATE();
    case 583:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(343);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(844);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1190);
      END_STATE();
    case 584:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(343);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1190);
      END_STATE();
    case 585:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1502);
      END_STATE();
    case 586:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1592);
      END_STATE();
    case 587:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1740);
      END_STATE();
    case 588:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1720);
      END_STATE();
    case 589:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(740);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(774);
      END_STATE();
    case 590:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 591:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1664);
      END_STATE();
    case 592:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1523);
      END_STATE();
    case 593:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1516);
      END_STATE();
    case 594:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1770);
      END_STATE();
    case 595:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1683);
      END_STATE();
    case 596:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1840);
      END_STATE();
    case 597:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1786);
      END_STATE();
    case 598:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1652);
      END_STATE();
    case 599:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1726);
      END_STATE();
    case 600:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1703);
      END_STATE();
    case 601:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1474);
      END_STATE();
    case 602:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1493);
      END_STATE();
    case 603:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1598);
      END_STATE();
    case 604:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1851);
      END_STATE();
    case 605:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1269);
      END_STATE();
    case 606:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1662);
      END_STATE();
    case 607:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1431);
      END_STATE();
    case 608:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1710);
      END_STATE();
    case 609:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1668);
      END_STATE();
    case 610:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1782);
      END_STATE();
    case 611:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1566);
      END_STATE();
    case 612:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1695);
      END_STATE();
    case 613:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1772);
      END_STATE();
    case 614:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1525);
      END_STATE();
    case 615:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1590);
      END_STATE();
    case 616:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1681);
      END_STATE();
    case 617:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 618:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1561);
      END_STATE();
    case 619:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1654);
      END_STATE();
    case 620:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1759);
      END_STATE();
    case 621:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1780);
      END_STATE();
    case 622:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1730);
      END_STATE();
    case 623:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1433);
      END_STATE();
    case 624:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1442);
      END_STATE();
    case 625:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1482);
      END_STATE();
    case 626:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1666);
      END_STATE();
    case 627:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1435);
      END_STATE();
    case 628:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1742);
      END_STATE();
    case 629:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1744);
      END_STATE();
    case 630:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1478);
      END_STATE();
    case 631:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1624);
      END_STATE();
    case 632:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1670);
      END_STATE();
    case 633:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1761);
      END_STATE();
    case 634:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1444);
      END_STATE();
    case 635:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1484);
      END_STATE();
    case 636:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1439);
      END_STATE();
    case 637:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1480);
      END_STATE();
    case 638:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1578);
      END_STATE();
    case 639:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1514);
      END_STATE();
    case 640:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1839);
      END_STATE();
    case 641:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 642:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1518);
      END_STATE();
    case 643:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      END_STATE();
    case 644:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1719);
      END_STATE();
    case 645:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1723);
      END_STATE();
    case 646:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1049);
      END_STATE();
    case 647:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(905);
      END_STATE();
    case 648:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(924);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(765);
      END_STATE();
    case 649:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1270);
      END_STATE();
    case 650:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(342);
      END_STATE();
    case 651:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(946);
      END_STATE();
    case 652:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      END_STATE();
    case 653:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(949);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(993);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(754);
      END_STATE();
    case 654:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(508);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(957);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(511);
      END_STATE();
    case 655:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(508);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1266);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(513);
      END_STATE();
    case 656:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(508);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(512);
      END_STATE();
    case 657:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(508);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 658:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(921);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(533);
      END_STATE();
    case 659:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 660:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(954);
      END_STATE();
    case 661:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(925);
      END_STATE();
    case 662:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(548);
      END_STATE();
    case 663:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      END_STATE();
    case 664:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(549);
      END_STATE();
    case 665:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 666:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 667:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 668:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 669:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(551);
      END_STATE();
    case 670:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 671:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1121);
      END_STATE();
    case 672:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(850);
      END_STATE();
    case 673:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(556);
      END_STATE();
    case 674:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1162);
      END_STATE();
    case 675:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1115);
      END_STATE();
    case 676:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1100);
      END_STATE();
    case 677:
      ADVANCE_MAP(
        'E', 403,
        'e', 403,
        'H', 661,
        'h', 661,
        'O', 1690,
        'o', 1690,
        'Y', 1042,
        'y', 1042,
      );
      END_STATE();
    case 678:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1052);
      END_STATE();
    case 679:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1053);
      END_STATE();
    case 680:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1106);
      END_STATE();
    case 681:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1168);
      END_STATE();
    case 682:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1055);
      END_STATE();
    case 683:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1056);
      END_STATE();
    case 684:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1107);
      END_STATE();
    case 685:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(577);
      END_STATE();
    case 686:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(514);
      END_STATE();
    case 687:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(722);
      END_STATE();
    case 688:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1083);
      END_STATE();
    case 689:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1083);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(853);
      END_STATE();
    case 690:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1086);
      END_STATE();
    case 691:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1085);
      END_STATE();
    case 692:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(974);
      END_STATE();
    case 693:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(963);
      END_STATE();
    case 694:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 695:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(965);
      END_STATE();
    case 696:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(739);
      END_STATE();
    case 697:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 698:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(966);
      END_STATE();
    case 699:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 700:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1091);
      END_STATE();
    case 701:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(888);
      END_STATE();
    case 702:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(888);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(491);
      END_STATE();
    case 703:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1093);
      END_STATE();
    case 704:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 705:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(911);
      END_STATE();
    case 706:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(911);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(588);
      END_STATE();
    case 707:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(976);
      END_STATE();
    case 708:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(846);
      END_STATE();
    case 709:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1219);
      END_STATE();
    case 710:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(985);
      END_STATE();
    case 711:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(579);
      END_STATE();
    case 712:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(538);
      END_STATE();
    case 713:
      ADVANCE_MAP(
        'F', 1713,
        'f', 1713,
        'M', 459,
        'm', 459,
        'N', 766,
        'n', 766,
        'S', 1750,
        's', 1750,
      );
      END_STATE();
    case 714:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1713);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1637);
      END_STATE();
    case 715:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(450);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(759);
      END_STATE();
    case 716:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1717);
      END_STATE();
    case 717:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1717);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1214);
      END_STATE();
    case 718:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1724);
      END_STATE();
    case 719:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1619);
      END_STATE();
    case 720:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1621);
      END_STATE();
    case 721:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1275);
      END_STATE();
    case 722:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(455);
      END_STATE();
    case 723:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1005);
      END_STATE();
    case 724:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1005);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1020);
      END_STATE();
    case 725:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(465);
      END_STATE();
    case 726:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(468);
      END_STATE();
    case 727:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1235);
      END_STATE();
    case 728:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1235);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1244);
      END_STATE();
    case 729:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(926);
      END_STATE();
    case 730:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(596);
      END_STATE();
    case 731:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(891);
      END_STATE();
    case 732:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1077);
      END_STATE();
    case 733:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(604);
      END_STATE();
    case 734:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(664);
      END_STATE();
    case 735:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(640);
      END_STATE();
    case 736:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(675);
      END_STATE();
    case 737:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(763);
      END_STATE();
    case 738:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(681);
      END_STATE();
    case 739:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      END_STATE();
    case 740:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(678);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1165);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(725);
      END_STATE();
    case 741:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(473);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(453);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(915);
      END_STATE();
    case 742:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(473);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(460);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(916);
      END_STATE();
    case 743:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(473);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(460);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(915);
      END_STATE();
    case 744:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(432);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(760);
      END_STATE();
    case 745:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(700);
      END_STATE();
    case 746:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(688);
      END_STATE();
    case 747:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(703);
      END_STATE();
    case 748:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(721);
      END_STATE();
    case 749:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(970);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1109);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(941);
      END_STATE();
    case 750:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(970);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(941);
      END_STATE();
    case 751:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(729);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(509);
      END_STATE();
    case 752:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(898);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(484);
      END_STATE();
    case 753:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1267);
      END_STATE();
    case 754:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(543);
      END_STATE();
    case 755:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1266);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(512);
      END_STATE();
    case 756:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1266);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 757:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(485);
      END_STATE();
    case 758:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(727);
      END_STATE();
    case 759:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(515);
      END_STATE();
    case 760:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1222);
      END_STATE();
    case 761:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(844);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1190);
      END_STATE();
    case 762:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(651);
      END_STATE();
    case 763:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(530);
      END_STATE();
    case 764:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 765:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1027);
      END_STATE();
    case 766:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1193);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(589);
      END_STATE();
    case 767:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(823);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(776);
      END_STATE();
    case 768:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(495);
      END_STATE();
    case 769:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(674);
      END_STATE();
    case 770:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(496);
      END_STATE();
    case 771:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(497);
      END_STATE();
    case 772:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1158);
      END_STATE();
    case 773:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(498);
      END_STATE();
    case 774:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(953);
      END_STATE();
    case 775:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1198);
      END_STATE();
    case 776:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(840);
      END_STATE();
    case 777:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(499);
      END_STATE();
    case 778:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(572);
      END_STATE();
    case 779:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(980);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1268);
      END_STATE();
    case 780:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(500);
      END_STATE();
    case 781:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(975);
      END_STATE();
    case 782:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1172);
      END_STATE();
    case 783:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1177);
      END_STATE();
    case 784:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(942);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1183);
      END_STATE();
    case 785:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1004);
      END_STATE();
    case 786:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(956);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1157);
      END_STATE();
    case 787:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(955);
      END_STATE();
    case 788:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(945);
      END_STATE();
    case 789:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1140);
      END_STATE();
    case 790:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1265);
      END_STATE();
    case 791:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(967);
      END_STATE();
    case 792:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1006);
      END_STATE();
    case 793:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(952);
      END_STATE();
    case 794:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(968);
      END_STATE();
    case 795:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 796:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(423);
      END_STATE();
    case 797:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1008);
      END_STATE();
    case 798:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1089);
      END_STATE();
    case 799:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1009);
      END_STATE();
    case 800:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1010);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1057);
      END_STATE();
    case 801:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(862);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1103);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(984);
      END_STATE();
    case 802:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1011);
      END_STATE();
    case 803:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(864);
      END_STATE();
    case 804:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(531);
      END_STATE();
    case 805:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(458);
      END_STATE();
    case 806:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(532);
      END_STATE();
    case 807:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(469);
      END_STATE();
    case 808:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1223);
      END_STATE();
    case 809:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1149);
      END_STATE();
    case 810:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(981);
      END_STATE();
    case 811:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1151);
      END_STATE();
    case 812:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(917);
      END_STATE();
    case 813:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1646);
      END_STATE();
    case 814:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1447);
      END_STATE();
    case 815:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1847);
      END_STATE();
    case 816:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1757);
      END_STATE();
    case 817:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1746);
      END_STATE();
    case 818:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1446);
      END_STATE();
    case 819:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1127);
      END_STATE();
    case 820:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1560);
      END_STATE();
    case 821:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1271);
      END_STATE();
    case 822:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1677);
      END_STATE();
    case 823:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1837);
      END_STATE();
    case 824:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1828);
      END_STATE();
    case 825:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1596);
      END_STATE();
    case 826:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1573);
      END_STATE();
    case 827:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1707);
      END_STATE();
    case 828:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1732);
      END_STATE();
    case 829:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1492);
      END_STATE();
    case 830:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1569);
      END_STATE();
    case 831:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1608);
      END_STATE();
    case 832:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1855);
      END_STATE();
    case 833:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1521);
      END_STATE();
    case 834:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1640);
      END_STATE();
    case 835:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1660);
      END_STATE();
    case 836:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1734);
      END_STATE();
    case 837:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1857);
      END_STATE();
    case 838:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1496);
      END_STATE();
    case 839:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1559);
      END_STATE();
    case 840:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1273);
      END_STATE();
    case 841:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 842:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(822);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(587);
      END_STATE();
    case 843:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1233);
      END_STATE();
    case 844:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 845:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(824);
      END_STATE();
    case 846:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(686);
      END_STATE();
    case 847:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(686);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1250);
      END_STATE();
    case 848:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(595);
      END_STATE();
    case 849:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1019);
      END_STATE();
    case 850:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(789);
      END_STATE();
    case 851:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(828);
      END_STATE();
    case 852:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1166);
      END_STATE();
    case 853:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(600);
      END_STATE();
    case 854:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1169);
      END_STATE();
    case 855:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(603);
      END_STATE();
    case 856:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(836);
      END_STATE();
    case 857:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(605);
      END_STATE();
    case 858:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(607);
      END_STATE();
    case 859:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(839);
      END_STATE();
    case 860:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(839);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1186);
      END_STATE();
    case 861:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(609);
      END_STATE();
    case 862:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(610);
      END_STATE();
    case 863:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1178);
      END_STATE();
    case 864:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(619);
      END_STATE();
    case 865:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(623);
      END_STATE();
    case 866:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(627);
      END_STATE();
    case 867:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(631);
      END_STATE();
    case 868:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(649);
      END_STATE();
    case 869:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(636);
      END_STATE();
    case 870:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 871:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(553);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1187);
      END_STATE();
    case 872:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 873:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 874:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(558);
      END_STATE();
    case 875:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(559);
      END_STATE();
    case 876:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(560);
      END_STATE();
    case 877:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(561);
      END_STATE();
    case 878:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 879:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(574);
      END_STATE();
    case 880:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(705);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(575);
      END_STATE();
    case 881:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1243);
      END_STATE();
    case 882:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1139);
      END_STATE();
    case 883:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(764);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1080);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1087);
      END_STATE();
    case 884:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(768);
      END_STATE();
    case 885:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1142);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 886:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1143);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 887:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(707);
      END_STATE();
    case 888:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(697);
      END_STATE();
    case 889:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      END_STATE();
    case 890:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(699);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1250);
      END_STATE();
    case 891:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1026);
      END_STATE();
    case 892:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1774);
      END_STATE();
    case 893:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1836);
      END_STATE();
    case 894:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1779);
      END_STATE();
    case 895:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1853);
      END_STATE();
    case 896:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1393);
      END_STATE();
    case 897:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1429);
      END_STATE();
    case 898:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1046);
      END_STATE();
    case 899:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1035);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(506);
      END_STATE();
    case 900:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1001);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(857);
      END_STATE();
    case 901:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1045);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 902:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(776);
      END_STATE();
    case 903:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(672);
      END_STATE();
    case 904:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(477);
      END_STATE();
    case 905:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1003);
      END_STATE();
    case 906:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(663);
      END_STATE();
    case 907:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(709);
      END_STATE();
    case 908:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 909:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(676);
      END_STATE();
    case 910:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(684);
      END_STATE();
    case 911:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(693);
      END_STATE();
    case 912:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1047);
      END_STATE();
    case 913:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(467);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1205);
      END_STATE();
    case 914:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(474);
      END_STATE();
    case 915:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1044);
      END_STATE();
    case 916:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1044);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1197);
      END_STATE();
    case 917:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(710);
      END_STATE();
    case 918:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1031);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1017);
      END_STATE();
    case 919:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1032);
      END_STATE();
    case 920:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1032);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1029);
      END_STATE();
    case 921:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1658);
      END_STATE();
    case 922:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(363);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(448);
      END_STATE();
    case 923:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(363);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(448);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(748);
      END_STATE();
    case 924:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1768);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(441);
      END_STATE();
    case 925:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1715);
      END_STATE();
    case 926:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1792);
      END_STATE();
    case 927:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1531);
      END_STATE();
    case 928:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1693);
      END_STATE();
    case 929:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1486);
      END_STATE();
    case 930:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1630);
      END_STATE();
    case 931:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1601);
      END_STATE();
    case 932:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1628);
      END_STATE();
    case 933:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1497);
      END_STATE();
    case 934:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1776);
      END_STATE();
    case 935:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1602);
      END_STATE();
    case 936:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 937:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(570);
      END_STATE();
    case 938:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(813);
      END_STATE();
    case 939:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 940:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(821);
      END_STATE();
    case 941:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(525);
      END_STATE();
    case 942:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(542);
      END_STATE();
    case 943:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 944:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(494);
      END_STATE();
    case 945:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(544);
      END_STATE();
    case 946:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(571);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(977);
      END_STATE();
    case 947:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(817);
      END_STATE();
    case 948:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(723);
      END_STATE();
    case 949:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(666);
      END_STATE();
    case 950:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1148);
      END_STATE();
    case 951:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1232);
      END_STATE();
    case 952:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 953:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1146);
      END_STATE();
    case 954:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1159);
      END_STATE();
    case 955:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1120);
      END_STATE();
    case 956:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1213);
      END_STATE();
    case 957:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1161);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(442);
      END_STATE();
    case 958:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(558);
      END_STATE();
    case 959:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(659);
      END_STATE();
    case 960:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(559);
      END_STATE();
    case 961:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(563);
      END_STATE();
    case 962:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(566);
      END_STATE();
    case 963:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1220);
      END_STATE();
    case 964:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1171);
      END_STATE();
    case 965:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 966:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1176);
      END_STATE();
    case 967:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(630);
      END_STATE();
    case 968:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(637);
      END_STATE();
    case 969:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(590);
      END_STATE();
    case 970:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(415);
      END_STATE();
    case 971:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(959);
      END_STATE();
    case 972:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(733);
      END_STATE();
    case 973:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(733);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(449);
      END_STATE();
    case 974:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(520);
      END_STATE();
    case 975:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(783);
      END_STATE();
    case 976:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(523);
      END_STATE();
    case 977:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(426);
      END_STATE();
    case 978:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1205);
      END_STATE();
    case 979:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 980:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1207);
      END_STATE();
    case 981:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1147);
      END_STATE();
    case 982:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1214);
      END_STATE();
    case 983:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(554);
      END_STATE();
    case 984:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 985:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1150);
      END_STATE();
    case 986:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(567);
      END_STATE();
    case 987:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1691);
      END_STATE();
    case 988:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1701);
      END_STATE();
    case 989:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(922);
      END_STATE();
    case 990:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(512);
      END_STATE();
    case 991:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1697);
      END_STATE();
    case 992:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(540);
      END_STATE();
    case 993:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(483);
      END_STATE();
    case 994:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(737);
      END_STATE();
    case 995:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1190);
      END_STATE();
    case 996:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(904);
      END_STATE();
    case 997:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(732);
      END_STATE();
    case 998:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1051);
      END_STATE();
    case 999:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1240);
      END_STATE();
    case 1000:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1226);
      END_STATE();
    case 1001:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(927);
      END_STATE();
    case 1002:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1080);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1087);
      END_STATE();
    case 1003:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1063);
      END_STATE();
    case 1004:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(929);
      END_STATE();
    case 1005:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1098);
      END_STATE();
    case 1006:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(930);
      END_STATE();
    case 1007:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(931);
      END_STATE();
    case 1008:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(932);
      END_STATE();
    case 1009:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(933);
      END_STATE();
    case 1010:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(934);
      END_STATE();
    case 1011:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(935);
      END_STATE();
    case 1012:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1054);
      END_STATE();
    case 1013:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1057);
      END_STATE();
    case 1014:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1059);
      END_STATE();
    case 1015:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1129);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(501);
      END_STATE();
    case 1017:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1248);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(509);
      END_STATE();
    case 1019:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(534);
      END_STATE();
    case 1020:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(502);
      END_STATE();
    case 1021:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 1022:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(504);
      END_STATE();
    case 1023:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(969);
      END_STATE();
    case 1024:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 1025:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(912);
      END_STATE();
    case 1026:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(488);
      END_STATE();
    case 1027:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(979);
      END_STATE();
    case 1028:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(576);
      END_STATE();
    case 1029:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1260);
      END_STATE();
    case 1030:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(537);
      END_STATE();
    case 1031:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(578);
      END_STATE();
    case 1032:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(580);
      END_STATE();
    case 1033:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(539);
      END_STATE();
    case 1034:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1674);
      END_STATE();
    case 1035:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1002);
      END_STATE();
    case 1036:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(593);
      END_STATE();
    case 1037:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(456);
      END_STATE();
    case 1038:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(611);
      END_STATE();
    case 1039:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1189);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1154);
      END_STATE();
    case 1040:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(629);
      END_STATE();
    case 1041:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(639);
      END_STATE();
    case 1042:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(642);
      END_STATE();
    case 1043:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(643);
      END_STATE();
    case 1044:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(857);
      END_STATE();
    case 1045:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1247);
      END_STATE();
    case 1046:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(861);
      END_STATE();
    case 1047:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(868);
      END_STATE();
    case 1048:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(338);
      END_STATE();
    case 1049:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1250);
      END_STATE();
    case 1050:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 1051:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1672);
      END_STATE();
    case 1052:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1594);
      END_STATE();
    case 1053:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1580);
      END_STATE();
    case 1054:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1465);
      END_STATE();
    case 1055:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1610);
      END_STATE();
    case 1056:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1642);
      END_STATE();
    case 1057:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1778);
      END_STATE();
    case 1058:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1236);
      END_STATE();
    case 1059:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 1060:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1272);
      END_STATE();
    case 1061:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(656);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1071);
      END_STATE();
    case 1062:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(998);
      END_STATE();
    case 1063:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1274);
      END_STATE();
    case 1064:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(657);
      END_STATE();
    case 1065:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(344);
      END_STATE();
    case 1066:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(755);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(481);
      END_STATE();
    case 1067:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(756);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 1068:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(446);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1113);
      END_STATE();
    case 1069:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(446);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1113);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1135);
      END_STATE();
    case 1070:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(449);
      END_STATE();
    case 1071:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(591);
      END_STATE();
    case 1072:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1017);
      END_STATE();
    case 1073:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(992);
      END_STATE();
    case 1074:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(757);
      END_STATE();
    case 1075:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(412);
      END_STATE();
    case 1076:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(928);
      END_STATE();
    case 1077:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(413);
      END_STATE();
    case 1078:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 1079:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1105);
      END_STATE();
    case 1080:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1164);
      END_STATE();
    case 1081:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1024);
      END_STATE();
    case 1082:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(997);
      END_STATE();
    case 1083:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(599);
      END_STATE();
    case 1084:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(990);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1071);
      END_STATE();
    case 1085:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1097);
      END_STATE();
    case 1086:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1188);
      END_STATE();
    case 1087:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(606);
      END_STATE();
    case 1088:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(667);
      END_STATE();
    case 1089:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(613);
      END_STATE();
    case 1090:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(615);
      END_STATE();
    case 1091:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(617);
      END_STATE();
    case 1092:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(712);
      END_STATE();
    case 1093:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(622);
      END_STATE();
    case 1094:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(625);
      END_STATE();
    case 1095:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(635);
      END_STATE();
    case 1096:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(738);
      END_STATE();
    case 1097:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(778);
      END_STATE();
    case 1098:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(908);
      END_STATE();
    case 1099:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1137);
      END_STATE();
    case 1100:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 1101:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1088);
      END_STATE();
    case 1102:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(771);
      END_STATE();
    case 1103:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(447);
      END_STATE();
    case 1104:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(461);
      END_STATE();
    case 1105:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(698);
      END_STATE();
    case 1106:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(726);
      END_STATE();
    case 1107:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(475);
      END_STATE();
    case 1108:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(810);
      END_STATE();
    case 1109:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(914);
      END_STATE();
    case 1110:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1029);
      END_STATE();
    case 1111:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1033);
      END_STATE();
    case 1112:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(751);
      END_STATE();
    case 1113:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1576);
      END_STATE();
    case 1114:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1614);
      END_STATE();
    case 1115:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1834);
      END_STATE();
    case 1116:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1577);
      END_STATE();
    case 1117:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1751);
      END_STATE();
    case 1118:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1753);
      END_STATE();
    case 1119:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1565);
      END_STATE();
    case 1120:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1500);
      END_STATE();
    case 1121:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1490);
      END_STATE();
    case 1122:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1632);
      END_STATE();
    case 1123:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1612);
      END_STATE();
    case 1124:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1616);
      END_STATE();
    case 1125:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1613);
      END_STATE();
    case 1126:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(587);
      END_STATE();
    case 1127:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1037);
      END_STATE();
    case 1128:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1114);
      END_STATE();
    case 1129:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1156);
      END_STATE();
    case 1130:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1132);
      END_STATE();
    case 1131:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1116);
      END_STATE();
    case 1132:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1030);
      END_STATE();
    case 1133:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(594);
      END_STATE();
    case 1134:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1123);
      END_STATE();
    case 1135:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(597);
      END_STATE();
    case 1136:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1124);
      END_STATE();
    case 1137:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(790);
      END_STATE();
    case 1138:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1125);
      END_STATE();
    case 1139:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(668);
      END_STATE();
    case 1140:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1173);
      END_STATE();
    case 1141:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(628);
      END_STATE();
    case 1142:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(644);
      END_STATE();
    case 1143:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(645);
      END_STATE();
    case 1144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1192);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(758);
      END_STATE();
    case 1145:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1191);
      END_STATE();
    case 1146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(777);
      END_STATE();
    case 1147:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(780);
      END_STATE();
    case 1148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(792);
      END_STATE();
    case 1149:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(795);
      END_STATE();
    case 1150:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(797);
      END_STATE();
    case 1151:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(802);
      END_STATE();
    case 1152:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1018);
      END_STATE();
    case 1153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1152);
      END_STATE();
    case 1154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1638);
      END_STATE();
    case 1155:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1685);
      END_STATE();
    case 1156:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1495);
      END_STATE();
    case 1157:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1843);
      END_STATE();
    case 1158:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1844);
      END_STATE();
    case 1159:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1841);
      END_STATE();
    case 1160:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1639);
      END_STATE();
    case 1161:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1766);
      END_STATE();
    case 1162:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1676);
      END_STATE();
    case 1163:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1763);
      END_STATE();
    case 1164:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1557);
      END_STATE();
    case 1165:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1634);
      END_STATE();
    case 1166:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1499);
      END_STATE();
    case 1167:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1737);
      END_STATE();
    case 1168:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1650);
      END_STATE();
    case 1169:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1709);
      END_STATE();
    case 1170:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1563);
      END_STATE();
    case 1171:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1584);
      END_STATE();
    case 1172:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1511);
      END_STATE();
    case 1173:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1529);
      END_STATE();
    case 1174:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1748);
      END_STATE();
    case 1175:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1460);
      END_STATE();
    case 1176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1705);
      END_STATE();
    case 1177:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1708);
      END_STATE();
    case 1178:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1755);
      END_STATE();
    case 1179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1736);
      END_STATE();
    case 1180:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1186);
      END_STATE();
    case 1181:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(471);
      END_STATE();
    case 1182:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(996);
      END_STATE();
    case 1183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(586);
      END_STATE();
    case 1184:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(800);
      END_STATE();
    case 1185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(397);
      END_STATE();
    case 1186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1074);
      END_STATE();
    case 1187:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(651);
      END_STATE();
    case 1188:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1276);
      END_STATE();
    case 1189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(765);
      END_STATE();
    case 1190:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(348);
      END_STATE();
    case 1191:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1104);
      END_STATE();
    case 1192:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(457);
      END_STATE();
    case 1193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(796);
      END_STATE();
    case 1194:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(785);
      END_STATE();
    case 1195:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(398);
      END_STATE();
    case 1196:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(791);
      END_STATE();
    case 1197:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(443);
      END_STATE();
    case 1198:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(601);
      END_STATE();
    case 1199:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(614);
      END_STATE();
    case 1200:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(669);
      END_STATE();
    case 1201:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(620);
      END_STATE();
    case 1202:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(671);
      END_STATE();
    case 1203:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(670);
      END_STATE();
    case 1204:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(633);
      END_STATE();
    case 1205:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(696);
      END_STATE();
    case 1206:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(673);
      END_STATE();
    case 1207:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1108);
      END_STATE();
    case 1208:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(803);
      END_STATE();
    case 1209:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1012);
      END_STATE();
    case 1210:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1253);
      END_STATE();
    case 1211:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1013);
      END_STATE();
    case 1212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(770);
      END_STATE();
    case 1213:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(679);
      END_STATE();
    case 1214:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(680);
      END_STATE();
    case 1215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1203);
      END_STATE();
    case 1216:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(773);
      END_STATE();
    case 1217:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(682);
      END_STATE();
    case 1218:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1206);
      END_STATE();
    case 1219:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(683);
      END_STATE();
    case 1220:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(429);
      END_STATE();
    case 1221:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(794);
      END_STATE();
    case 1222:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(804);
      END_STATE();
    case 1223:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(806);
      END_STATE();
    case 1224:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(799);
      END_STATE();
    case 1225:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(470);
      END_STATE();
    case 1226:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(486);
      END_STATE();
    case 1227:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(941);
      END_STATE();
    case 1228:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(769);
      END_STATE();
    case 1229:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1154);
      END_STATE();
    case 1230:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(753);
      END_STATE();
    case 1231:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(482);
      END_STATE();
    case 1232:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(894);
      END_STATE();
    case 1233:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(573);
      END_STATE();
    case 1234:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(798);
      END_STATE();
    case 1235:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(999);
      END_STATE();
    case 1236:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(665);
      END_STATE();
    case 1237:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1099);
      END_STATE();
    case 1238:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1160);
      END_STATE();
    case 1239:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1076);
      END_STATE();
    case 1240:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1122);
      END_STATE();
    case 1241:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(852);
      END_STATE();
    case 1242:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1079);
      END_STATE();
    case 1243:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(598);
      END_STATE();
    case 1244:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(616);
      END_STATE();
    case 1245:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(517);
      END_STATE();
    case 1246:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(854);
      END_STATE();
    case 1247:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1087);
      END_STATE();
    case 1248:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1196);
      END_STATE();
    case 1249:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(863);
      END_STATE();
    case 1250:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(692);
      END_STATE();
    case 1251:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(858);
      END_STATE();
    case 1252:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1202);
      END_STATE();
    case 1253:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1090);
      END_STATE();
    case 1254:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1094);
      END_STATE();
    case 1255:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(865);
      END_STATE();
    case 1256:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1095);
      END_STATE();
    case 1257:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(866);
      END_STATE();
    case 1258:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1071);
      END_STATE();
    case 1259:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(869);
      END_STATE();
    case 1260:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1221);
      END_STATE();
    case 1261:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(984);
      END_STATE();
    case 1262:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 1263:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(349);
      END_STATE();
    case 1264:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(592);
      END_STATE();
    case 1265:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(626);
      END_STATE();
    case 1266:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(442);
      END_STATE();
    case 1267:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(422);
      END_STATE();
    case 1268:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(691);
      END_STATE();
    case 1269:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1604);
      END_STATE();
    case 1270:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1606);
      END_STATE();
    case 1271:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1508);
      END_STATE();
    case 1272:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1790);
      END_STATE();
    case 1273:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1579);
      END_STATE();
    case 1274:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1835);
      END_STATE();
    case 1275:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1849);
      END_STATE();
    case 1276:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1571);
      END_STATE();
    case 1277:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1183);
      END_STATE();
    case 1278:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1038);
      END_STATE();
    case 1279:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1040);
      END_STATE();
    case 1280:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1041);
      END_STATE();
    case 1281:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1042);
      END_STATE();
    case 1282:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1043);
      END_STATE();
    case 1283:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(353);
      END_STATE();
    case 1284:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(1321);
      END_STATE();
    case 1285:
      if (eof) ADVANCE(1291);
      if (lookahead == '\n') SKIP(1289);
      END_STATE();
    case 1286:
      if (eof) ADVANCE(1291);
      if (lookahead == '\n') SKIP(1289);
      if (lookahead == '\r') SKIP(1285);
      END_STATE();
    case 1287:
      if (eof) ADVANCE(1291);
      if (lookahead == '\n') SKIP(1290);
      END_STATE();
    case 1288:
      if (eof) ADVANCE(1291);
      if (lookahead == '\n') SKIP(1290);
      if (lookahead == '\r') SKIP(1287);
      END_STATE();
    case 1289:
      if (eof) ADVANCE(1291);
      ADVANCE_MAP(
        '!', 2672,
        '#', 365,
        '%', 1367,
        '&', 1373,
        '(', 1354,
        ')', 1300,
        '*', 1361,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1809,
        '/', 1363,
        ':', 1438,
        ';', 1441,
        '<', 1383,
        '=', 1463,
        '>', 1378,
        '?', 1859,
        '@', 1816,
        'D', 1535,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(1286);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == '^') ADVANCE(1371);
      if (lookahead == 'd') ADVANCE(1534);
      if (lookahead == '|') ADVANCE(1370);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1547);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1536);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1537);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1552);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1538);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1548);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1555);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1550);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1551);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1549);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1543);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1545);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1554);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1539);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1556);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1544);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1540);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1542);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1553);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1541);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1546);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1289);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1533);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1623);
      END_STATE();
    case 1290:
      if (eof) ADVANCE(1291);
      ADVANCE_MAP(
        '!', 2673,
        '#', 367,
        '&', 1372,
        '(', 1354,
        ')', 1300,
        '*', 1360,
        '+', 1358,
        ',', 1299,
        '-', 1359,
        '.', 1814,
        '/', 334,
        ':', 1437,
        ';', 1441,
        '=', 1464,
        '>', 361,
        '[', 1820,
      );
      if (lookahead == '\\') SKIP(1288);
      if (lookahead == ']') ADVANCE(1821);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1977);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1867);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1913);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2292);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1901);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2448);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2191);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2257);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2142);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1917);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1949);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2483);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1870);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1920);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1894);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1910);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1907);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1290);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1291:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 1292:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1293:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      if (lookahead == '\n') ADVANCE(1293);
      if (lookahead == '\r') ADVANCE(111);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(aux_sym_preproc_def_token2);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '/') ADVANCE(1818);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(1332);
      if (lookahead == 'n') ADVANCE(1326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'n') ADVANCE(371);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(1303);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(1334);
      if (lookahead == 'n') ADVANCE(1327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(331);
      if (lookahead == '\r') ADVANCE(1319);
      if (lookahead == '/') ADVANCE(1284);
      if (lookahead == '\\') ADVANCE(1320);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(331);
      if (lookahead == '/') ADVANCE(1284);
      if (lookahead == '\\') ADVANCE(1320);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(1322);
      if (lookahead == '/') ADVANCE(1284);
      if (lookahead == '\\') ADVANCE(1320);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(1284);
      if (lookahead == '\\') ADVANCE(1320);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1321);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(1284);
      if (lookahead == '\\') ADVANCE(1320);
      if (lookahead != 0) ADVANCE(1321);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(1348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1331);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1333);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1311);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1294);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1292);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1340);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1342);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1343);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1301);
      if (lookahead == 'n') ADVANCE(1323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1305);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1309);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1315);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1338);
      if (lookahead == 's') ADVANCE(1329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1345);
      if (lookahead == 'n') ADVANCE(1324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1330);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(1325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1352);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      if (lookahead == '/') ADVANCE(1818);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(anon_sym_defined);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_preproc_comment);
      if (lookahead == '*') ADVANCE(336);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(337);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(1807);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1819);
      if (lookahead == '*') ADVANCE(337);
      if (lookahead == '/') ADVANCE(1806);
      if (lookahead == '=') ADVANCE(1804);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1819);
      if (lookahead == '/') ADVANCE(1806);
      if (lookahead == '=') ADVANCE(1804);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(337);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1806);
      if (lookahead == '=') ADVANCE(1804);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(1368);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(1369);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1471);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2673);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1381);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1381);
      if (lookahead == '>') ADVANCE(1390);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1381);
      if (lookahead == '>') ADVANCE(1389);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1381);
      if (lookahead == '>') ADVANCE(358);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1388);
      if (lookahead == '=') ADVANCE(1382);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(1382);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1387);
      if (lookahead == '=') ADVANCE(1382);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(1382);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(1679);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(1680);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(1391);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(359);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      ADVANCE_MAP(
        ' ', 1454,
        'I', 2201,
        'i', 2201,
        'B', 1459,
        'C', 1459,
        'E', 1459,
        'J', 1459,
        'O', 1459,
        'T', 1459,
        'b', 1459,
        'c', 1459,
        'e', 1459,
        'j', 1459,
        'o', 1459,
        't', 1459,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      ADVANCE_MAP(
        'A', 1130,
        'a', 1130,
        'B', 1456,
        'b', 1456,
        'C', 1458,
        'c', 1458,
        'D', 988,
        'd', 988,
        'E', 1457,
        'e', 1457,
        'F', 801,
        'f', 801,
        'I', 717,
        'i', 717,
        'M', 1028,
        'm', 1028,
        'P', 1073,
        'p', 1073,
        'S', 702,
        's', 702,
        'T', 1455,
        't', 1455,
        'W', 745,
        'w', 745,
        ' ', 1454,
        'J', 1454,
        'O', 1454,
        'j', 1454,
        'o', 1454,
      );
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2562);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2369);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2541);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(988);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2452);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2272);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2452);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(951);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2273);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2272);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2514);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2533);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2630);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2185);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2165);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2223);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2274);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1261);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2481);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2201);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2200);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(716);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(982);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1028);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1082);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1111);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1231);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1262);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(701);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1278);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(745);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1507);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(445);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1961);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token2);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token3);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(aux_sym_block_data_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(411);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1038);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1021);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1232);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(808);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(aux_sym_end_block_data_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1375);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1375);
      if (lookahead == '>') ADVANCE(1510);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(1510);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1470);
      if (lookahead == '\r') ADVANCE(1468);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1471);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1470);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1471);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1471);
      if (lookahead == '(' ||
          lookahead == ')') ADVANCE(2673);
      if (lookahead != 0) ADVANCE(1469);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '!') ADVANCE(1469);
      if (lookahead == '&') ADVANCE(1374);
      if (lookahead == '\\') ADVANCE(1467);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1470);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1471);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1471);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token3);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token4);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token2);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token4);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token5);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(aux_sym_function_result_token1);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(aux_sym_use_statement_token3);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token2);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1117);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1117);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(719);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2547);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(719);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2203);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 715,
        'e', 362,
        'A', 1185,
        'a', 1185,
        'I', 906,
        'i', 906,
        'O', 1698,
        'o', 1698,
      );
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1185,
        'a', 1185,
        'E', 715,
        'e', 715,
        'I', 906,
        'i', 906,
        'O', 1698,
        'o', 1698,
      );
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 492,
        'a', 492,
        'I', 942,
        'i', 942,
        'L', 1016,
        'l', 1016,
        'Y', 1183,
        'y', 1183,
      );
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 842,
        'a', 842,
        'H', 394,
        'h', 394,
        'L', 400,
        'l', 400,
        'O', 568,
        'o', 568,
        'R', 760,
        'r', 760,
        'Y', 505,
        'y', 505,
      );
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 767,
        'a', 767,
        'I', 970,
        'i', 970,
        'O', 1050,
        'o', 1050,
        'U', 941,
        'u', 941,
      );
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1069,
        'a', 1069,
        'I', 971,
        'i', 971,
        'O', 786,
        'o', 786,
        'R', 654,
        'r', 654,
        'U', 481,
        'u', 481,
      );
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1264,
        'a', 1264,
        'E', 847,
        'e', 847,
        'H', 410,
        'h', 410,
        'I', 898,
        'i', 898,
        'T', 472,
        't', 472,
        'U', 479,
        'u', 479,
        'Y', 944,
        'y', 944,
      );
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(841);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1096,
        'a', 1096,
        'E', 404,
        'e', 404,
        'H', 661,
        'h', 661,
        'O', 1690,
        'o', 1690,
        'Y', 1036,
        'y', 1036,
      );
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(943);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(905);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(567);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(938);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(903);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(923);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(845);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(772);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(689);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(775);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'B', 1145,
        'b', 1145,
        'L', 820,
        'l', 820,
        'S', 1112,
        's', 1112,
        'T', 1186,
        't', 1186,
        'U', 1182,
        'u', 1182,
      );
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 949,
        'e', 949,
        'L', 993,
        'l', 993,
        'O', 1687,
        'o', 1687,
        'R', 754,
        'r', 754,
      );
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(921);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(493);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'F', 1713,
        'f', 1713,
        'M', 395,
        'm', 395,
        'N', 1636,
        'n', 1636,
        'S', 1750,
        's', 1750,
      );
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(945);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'L', 706,
        'l', 706,
        'N', 541,
        'n', 541,
        'Q', 1230,
        'q', 1230,
        'R', 1062,
        'r', 1062,
        'V', 660,
        'v', 660,
        'X', 762,
        'x', 762,
      );
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(724);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(585);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(821);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(648);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1154);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1129);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(769);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(527);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_base_type_specifier_token1);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_end_type_statement_token1);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token1);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token2);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token3);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token4);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token1);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token2);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token3);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token4);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token5);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1025);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2478);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2528);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token5);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(687);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1118);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(687);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1118);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(720);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2169);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2548);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(720);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2204);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_declared_type_token1);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_declared_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym_declared_type_token2);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(aux_sym_declared_type_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(aux_sym_kind_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1623);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      ADVANCE_MAP(
        'C', 843,
        'c', 843,
        'I', 1193,
        'i', 1193,
        'O', 1238,
        'o', 1238,
        'Q', 1234,
        'q', 1234,
        'T', 589,
        't', 589,
      );
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1238);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token8);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token9);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token16);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token16);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token17);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token17);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token5);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym_stop_statement_token3);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(987);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2450);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token5);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(486);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1986);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1988);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token1);
      if (lookahead == '_') ADVANCE(781);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token2);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token3);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token4);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(aux_sym_binary_op_token1);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(aux_sym_binary_op_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1712);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(718);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(718);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(747);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2224);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(747);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(454);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(420);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1279);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1958);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1936);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2667);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(aux_sym_type_statement_token1);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(aux_sym_edit_descriptor_token1);
      if (lookahead == '$' ||
          lookahead == '*' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1765);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1100);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2518);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(aux_sym_enumeration_type_statement_token1);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(aux_sym_enumeration_type_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(aux_sym_enumerator_statement_token1);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(aux_sym_end_enum_statement_token1);
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(aux_sym_allocate_statement_token1);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(aux_sym_allocate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(aux_sym_entry_statement_token1);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(aux_sym_entry_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(aux_sym_assign_statement_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(695);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(aux_sym_assign_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(aux_sym_logical_expression_token1);
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(aux_sym_logical_expression_token2);
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(aux_sym_logical_expression_token3);
      END_STATE();
    case 1797:
      ACCEPT_TOKEN(aux_sym_logical_expression_token4);
      END_STATE();
    case 1798:
      ACCEPT_TOKEN(aux_sym_logical_expression_token5);
      END_STATE();
    case 1799:
      ACCEPT_TOKEN(aux_sym_relational_expression_token1);
      END_STATE();
    case 1800:
      ACCEPT_TOKEN(aux_sym_relational_expression_token2);
      END_STATE();
    case 1801:
      ACCEPT_TOKEN(aux_sym_relational_expression_token3);
      END_STATE();
    case 1802:
      ACCEPT_TOKEN(aux_sym_relational_expression_token4);
      END_STATE();
    case 1803:
      ACCEPT_TOKEN(aux_sym_relational_expression_token5);
      END_STATE();
    case 1804:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 1805:
      ACCEPT_TOKEN(aux_sym_relational_expression_token6);
      END_STATE();
    case 1806:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 1807:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 1808:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 1809:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '.', 1817,
        'A', 937,
        'a', 937,
        'E', 1048,
        'e', 1048,
        'F', 406,
        'f', 406,
        'G', 581,
        'g', 581,
        'L', 650,
        'l', 650,
        'N', 583,
        'n', 583,
        'O', 1065,
        'o', 1065,
        'T', 1058,
        't', 1058,
      );
      END_STATE();
    case 1810:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(1817);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(406);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(995);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1058);
      END_STATE();
    case 1811:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 937,
        'a', 937,
        'E', 1048,
        'e', 1048,
        'F', 406,
        'f', 406,
        'G', 581,
        'g', 581,
        'L', 650,
        'l', 650,
        'N', 584,
        'n', 584,
        'O', 1065,
        'o', 1065,
        'T', 1058,
        't', 1058,
      );
      END_STATE();
    case 1812:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 937,
        'a', 937,
        'E', 1048,
        'e', 1048,
        'G', 581,
        'g', 581,
        'L', 650,
        'l', 650,
        'N', 582,
        'n', 582,
        'O', 1065,
        'o', 1065,
      );
      END_STATE();
    case 1813:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(406);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(761);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1058);
      END_STATE();
    case 1814:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(406);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(995);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1058);
      END_STATE();
    case 1815:
      ACCEPT_TOKEN(aux_sym_user_defined_operator_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1815);
      END_STATE();
    case 1816:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 1817:
      ACCEPT_TOKEN(sym_assumed_rank);
      END_STATE();
    case 1818:
      ACCEPT_TOKEN(anon_sym_LPAREN_SLASH);
      END_STATE();
    case 1819:
      ACCEPT_TOKEN(anon_sym_SLASH_RPAREN);
      END_STATE();
    case 1820:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 1821:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1822:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token1);
      END_STATE();
    case 1823:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token2);
      END_STATE();
    case 1824:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 1825:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1826:
      ACCEPT_TOKEN(aux_sym__kind_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1826);
      END_STATE();
    case 1827:
      ACCEPT_TOKEN(aux_sym__kind_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1827);
      END_STATE();
    case 1828:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      END_STATE();
    case 1829:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1830:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token1);
      END_STATE();
    case 1831:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1832:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2578);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1833:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1163);
      END_STATE();
    case 1834:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token3);
      END_STATE();
    case 1835:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token4);
      END_STATE();
    case 1836:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token5);
      END_STATE();
    case 1837:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token6);
      END_STATE();
    case 1838:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1839:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token7);
      END_STATE();
    case 1840:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token7);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1834);
      END_STATE();
    case 1841:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token8);
      END_STATE();
    case 1842:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token8);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1843:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token9);
      END_STATE();
    case 1844:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token10);
      END_STATE();
    case 1845:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token11);
      END_STATE();
    case 1846:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token11);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1847:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token12);
      END_STATE();
    case 1848:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token12);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1849:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token13);
      END_STATE();
    case 1850:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token13);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1851:
      ACCEPT_TOKEN(aux_sym_coarray_team_statement_token1);
      END_STATE();
    case 1852:
      ACCEPT_TOKEN(aux_sym_coarray_team_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1853:
      ACCEPT_TOKEN(aux_sym_end_coarray_team_statement_token1);
      END_STATE();
    case 1854:
      ACCEPT_TOKEN(aux_sym_end_coarray_team_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1855:
      ACCEPT_TOKEN(aux_sym_coarray_critical_statement_token1);
      END_STATE();
    case 1856:
      ACCEPT_TOKEN(aux_sym_coarray_critical_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1857:
      ACCEPT_TOKEN(aux_sym_end_coarray_critical_statement_token1);
      END_STATE();
    case 1858:
      ACCEPT_TOKEN(aux_sym_end_coarray_critical_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1859:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 1860:
      ACCEPT_TOKEN(aux_sym_nil_literal_token1);
      END_STATE();
    case 1861:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'E', 2656,
        'e', 1864,
        'A', 2593,
        'a', 2593,
        'I', 2386,
        'i', 2386,
        'O', 2655,
        'o', 2655,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1862:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'd') ADVANCE(1356);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1863:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(1862);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1864:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(1865);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2243);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1865:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(1866);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1866:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(1863);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1867:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 1991,
        'a', 1991,
        'I', 2408,
        'i', 2408,
        'L', 2470,
        'l', 2470,
        'Y', 2596,
        'y', 2596,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1868:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 1991,
        'a', 1991,
        'I', 2408,
        'i', 2408,
        'L', 2473,
        'l', 2473,
        'Y', 2596,
        'y', 2596,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1869:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1991);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2473);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2596);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1870:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2508,
        'a', 2508,
        'I', 2420,
        'i', 2420,
        'O', 2247,
        'o', 2247,
        'R', 2226,
        'r', 2226,
        'U', 1983,
        'u', 1983,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1871:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2508,
        'a', 2508,
        'I', 2420,
        'i', 2420,
        'O', 2247,
        'o', 2247,
        'R', 2227,
        'r', 2227,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1872:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2508,
        'a', 2508,
        'O', 2247,
        'o', 2247,
        'R', 2232,
        'r', 2232,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1873:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2437);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1874:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2045,
        'a', 2045,
        'C', 2635,
        'c', 2635,
        'T', 2637,
        't', 2637,
        'W', 2264,
        'w', 2264,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1875:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2045);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2635);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1876:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2045);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2637);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2264);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1877:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2045);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1878:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1451);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1879:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1453);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1880:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2310,
        'a', 2310,
        'H', 1948,
        'h', 1948,
        'L', 2454,
        'l', 2454,
        'O', 2409,
        'o', 2409,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1881:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'L', 1905,
        'l', 1905,
        'O', 2073,
        'o', 2073,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1882:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'L', 1905,
        'l', 1905,
        'O', 2074,
        'o', 2074,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1883:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'L', 1906,
        'l', 1906,
        'O', 2076,
        'o', 2076,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1884:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'L', 1906,
        'l', 1906,
        'O', 2075,
        'o', 2075,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1885:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'L', 1965,
        'l', 1965,
        'O', 2390,
        'o', 2390,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1886:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'L', 1965,
        'l', 1965,
        'O', 2077,
        'o', 2077,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1887:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1873,
        'h', 1873,
        'O', 2390,
        'o', 2390,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1888:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1948,
        'h', 1948,
        'L', 2454,
        'l', 2454,
        'O', 2393,
        'o', 2393,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1889:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1948,
        'h', 1948,
        'L', 2454,
        'l', 2454,
        'O', 2409,
        'o', 2409,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1890:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1948,
        'h', 1948,
        'L', 1953,
        'l', 1953,
        'O', 2409,
        'o', 2409,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1891:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1948,
        'h', 1948,
        'O', 2078,
        'o', 2078,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1892:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1948,
        'h', 1948,
        'O', 2407,
        'o', 2407,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1893:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2311,
        'a', 2311,
        'H', 1948,
        'h', 1948,
        'O', 2439,
        'o', 2439,
        'R', 2240,
        'r', 2240,
        'Y', 2002,
        'y', 2002,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1894:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2657,
        'a', 2657,
        'E', 2317,
        'e', 2317,
        'H', 1925,
        'h', 1925,
        'I', 2379,
        'i', 2379,
        'T', 1974,
        't', 1974,
        'U', 1980,
        'u', 1980,
        'Y', 2413,
        'y', 2413,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1895:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2657,
        'a', 2657,
        'E', 2317,
        'e', 2317,
        'H', 1925,
        'h', 1925,
        'T', 1974,
        't', 1974,
        'Y', 2413,
        'y', 2413,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1896:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2657,
        'a', 2657,
        'E', 2365,
        'e', 2365,
        'H', 1925,
        'h', 1925,
        'I', 2379,
        'i', 2379,
        'T', 1974,
        't', 1974,
        'U', 1989,
        'u', 1989,
        'Y', 2413,
        'y', 2413,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1897:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2657,
        'a', 2657,
        'E', 2365,
        'e', 2365,
        'H', 1925,
        'h', 1925,
        'T', 1974,
        't', 1974,
        'U', 1989,
        'u', 1989,
        'Y', 2413,
        'y', 2413,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1898:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2657,
        'a', 2657,
        'E', 2365,
        'e', 2365,
        'H', 1925,
        'h', 1925,
        'T', 1974,
        't', 1974,
        'U', 1990,
        'u', 1990,
        'Y', 2413,
        'y', 2413,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1899:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2657,
        'a', 2657,
        'E', 2365,
        'e', 2365,
        'H', 1925,
        'h', 1925,
        'T', 1974,
        't', 1974,
        'Y', 2413,
        'y', 2413,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1900:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2241,
        'a', 2241,
        'I', 2432,
        'i', 2432,
        'O', 2510,
        'o', 2510,
        'U', 2410,
        'u', 2410,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1901:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2241);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2498);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2410);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1902:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2241);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2498);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1903:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2241);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2510);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2410);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1904:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2241);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2510);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1905:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2553);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2558);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1906:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1907:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2312);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2314);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1908:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2312);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1909:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2499,
        'a', 2499,
        'E', 2662,
        'e', 2662,
        'H', 2163,
        'h', 2163,
        'Y', 2492,
        'y', 2492,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1910:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2499);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2662);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1911:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2499);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2662);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2492);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1912:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2499);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2662);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2493);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1913:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2593,
        'a', 2593,
        'E', 2656,
        'e', 2656,
        'I', 2386,
        'i', 2386,
        'O', 1699,
        'o', 1699,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1914:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2593,
        'a', 2593,
        'E', 2656,
        'e', 2656,
        'I', 2386,
        'i', 2386,
        'O', 2628,
        'o', 2628,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1915:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2593,
        'a', 2593,
        'E', 2656,
        'e', 2656,
        'I', 2386,
        'i', 2386,
        'O', 2655,
        'o', 2655,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1916:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2593,
        'a', 2593,
        'E', 2656,
        'e', 2656,
        'I', 2386,
        'i', 2386,
        'O', 1700,
        'o', 1700,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1917:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2414);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2066);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1918:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2414);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1919:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2376);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1920:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2412);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1874);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1921:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2412);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1876);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1922:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2412);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1875);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1923:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2412);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1877);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1924:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2377);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1925:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2519);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1926:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2036);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1927:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2378);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1928:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1929:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2623);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1930:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2299);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1931:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2300);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1932:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2301);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1933:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2302);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1934:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2303);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1935:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2592);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1936:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2416);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1937:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'I', 2420,
        'i', 2420,
        'O', 2247,
        'o', 2247,
        'R', 2227,
        'r', 2227,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1938:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'I', 2420,
        'i', 2420,
        'O', 2247,
        'o', 2247,
        'R', 2229,
        'r', 2229,
        'U', 1983,
        'u', 1983,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1939:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'I', 2420,
        'i', 2420,
        'O', 2247,
        'o', 2247,
        'R', 2229,
        'r', 2229,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1940:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'O', 2247,
        'o', 2247,
        'R', 2231,
        'r', 2231,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1941:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'O', 2247,
        'o', 2247,
        'R', 2230,
        'r', 2230,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1942:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'O', 2247,
        'o', 2247,
        'R', 2228,
        'r', 2228,
        'U', 1983,
        'u', 1983,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1943:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'O', 2247,
        'o', 2247,
        'R', 2232,
        'r', 2232,
        'U', 1983,
        'u', 1983,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1944:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2509,
        'a', 2509,
        'O', 2247,
        'o', 2247,
        'R', 2232,
        'r', 2232,
        'U', 1984,
        'u', 1984,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1945:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2305);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1946:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2306);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1947:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2307);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1948:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2438);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1949:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2380);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2598);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2316);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1950:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2380);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2316);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1951:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2613);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1952:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2638);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1953:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2559);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2558);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1954:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2385);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1955:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2214);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1956:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2318);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1832);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1957:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2014);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1958:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2566);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1959:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2020);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1960:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2428);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1961:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2606);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1962:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2253);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2209);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1963:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2253);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2210);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1964:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2321);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1965:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2563);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1966:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2608);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1967:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2021);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1968:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2607);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1969:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2610);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1970:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2023);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1971:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2612);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1972:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1987);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1789);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1973:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1987);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1974:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2618);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2485);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1975:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2626);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1976:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2621);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1977:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2569,
        'b', 2569,
        'L', 2309,
        'l', 2309,
        'S', 2550,
        's', 2550,
        'T', 2595,
        't', 2595,
        'U', 2594,
        'u', 2594,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1978:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2569,
        'b', 2569,
        'L', 2370,
        'l', 2370,
        'S', 2564,
        's', 2564,
        'T', 2595,
        't', 2595,
        'U', 2594,
        'u', 2594,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1979:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2569,
        'b', 2569,
        'L', 2370,
        'l', 2370,
        'T', 2595,
        't', 2595,
        'U', 2594,
        'u', 2594,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1980:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2382);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1981:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2392);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1982:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2648);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1983:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2361);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2090);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1984:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2361);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1985:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2540);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1986:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2323);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1987:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2330);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1988:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2332);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1989:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2513);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1990:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2383);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1991:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2290);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1992:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1831);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1993:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1528);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1994:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1995:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1627);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1996:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1505);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1997:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1568);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1998:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2283);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2261);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 1999:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2283);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2000:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2285);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2001:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2286);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2002:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2319);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2003:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2288);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2004:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2289);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2005:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2278);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2006:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1930);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2007:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2516);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2008:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2174);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2009:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2010:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2166);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2011:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2281);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2012:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2581);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2013:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1931);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2014:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2583);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2015:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2587);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2016:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2100);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2017:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2588);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2018:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1945);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2019:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2111);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2020:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2114);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2021:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2115);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2022:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2123);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2023:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2137);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2024:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'C', 2315,
        'c', 2315,
        'I', 2604,
        'i', 2604,
        'Q', 2633,
        'q', 2633,
        'T', 2176,
        't', 2176,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2025:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2633);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2089);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2026:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2633);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2179);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2027:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2633);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2176);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2028:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2633);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2141);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2029:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2633);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2145);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2030:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2315);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2633);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2031:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2601);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2032:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1935);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2033:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2254);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2034:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2641);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2600);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2035:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2609);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2036:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2617);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2037:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1968);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2038:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2279);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2039:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2627);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2040:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2190);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2041:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1407);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2042:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1407);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2043:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2044:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1657);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2045:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1473);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2046:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1589);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2047:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1785);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2048:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1587);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2049:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1583);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2050:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1645);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2051:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1413);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2052:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1413);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2053:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1409);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2054:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1409);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2055:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1399);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2056:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1399);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2057:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1416);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2058:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1415);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2059:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1412);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2060:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1396);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2061:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1400);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2062:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1403);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2063:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1398);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2064:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1411);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2065:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1417);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2066:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2646);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2067:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1405);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2068:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1405);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2069:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1410);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2070:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1402);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2071:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1418);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2072:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1406);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2073:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2282);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2554);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2074:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2282);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2556);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2075:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2282);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2555);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2076:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2282);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2381);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2077:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2282);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2494);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2078:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2282);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2079:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2106);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2080:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1408);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2081:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1408);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2082:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2650);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2083:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2084:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2652);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2085:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2086:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2653);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2087:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1503);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2088:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2089:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2217);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2090:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1665);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2091:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1524);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2092:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1519);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2093:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1771);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2094:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1684);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2095:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1787);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2096:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1653);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2097:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1727);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2098:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1475);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2099:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1852);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2100:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1494);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1599);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2102:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1663);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2103:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1432);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2104:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1669);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2105:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1783);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2106:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1696);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2107:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1773);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2108:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1526);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2109:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2110:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1682);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2111:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1562);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2112:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1655);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2113:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1760);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2114:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1781);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2115:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1443);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2116:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1483);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2117:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1667);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2118:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1436);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2119:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1743);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2120:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1745);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2121:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1479);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2122:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1625);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2123:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1671);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2124:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1481);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2125:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1485);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2126:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1520);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2127:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1600);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2128:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1440);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2129:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1434);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2130:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1721);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2131:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1729);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2132:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1731);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2133:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1517);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2134:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1722);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2135:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1741);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2136:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1762);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2137:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1445);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2138:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1704);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2139:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2660);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2140:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2395);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2244);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2141:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2218);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2142:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2394);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1998);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2143:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2394);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1999);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2144:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2661);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2145:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2424);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2146:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2046);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2147:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2421);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2148:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2048);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2149:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2396);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2244);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2150:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2049);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2151:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2534);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2152:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2050);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2153:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2154:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2544);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2155:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2320);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2156:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2417);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2157:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2502);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2158:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2503);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2159:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2504);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2160:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2505);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2161:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2582);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2162:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2539);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2163:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2406);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2164:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2444);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1689);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2165:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1927);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2166:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2083);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2167:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2012);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2168:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2537);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2169:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2206);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2170:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2011);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2171:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2520);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2335);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2172:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2520);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2173:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2441);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2174:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2524);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2175:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2440);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2176:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2219);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2177:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2443);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2178:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2015);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2179:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2425);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2017);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2430);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2431);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2531);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2532);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2368);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2153);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2035);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2620);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2446);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2085);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2484);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2025);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2486);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2025);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2497);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2027);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2497);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2028);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2488);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2024);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2030);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2026);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2027);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2029);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1718);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2622);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1718);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1725);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1620);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1622);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2664);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1952);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1967);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1970);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2636);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2642);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2636);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2397);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2161);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2099);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2150);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2447);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2516);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2157);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2580);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2207);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2157);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2580);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2157);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2521);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2171);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2260);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2172);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2260);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2183);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2184);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2408);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2473);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2596);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2007);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2009);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2008);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2602);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2216);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2010);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2422);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2209);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2211);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2005);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2205);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2658);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1982);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2202);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2210);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2624);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2296);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2242:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2575);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2151);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2243:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2016);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2244:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2472);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2245:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2033);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2246:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1993);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2247:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2442);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2248:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1994);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2249:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1995);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2250:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1996);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2251:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1997);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2252:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2418);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2253:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2419);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2254:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2585);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2255:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1947);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2256:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2565);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2257:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2411);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2258:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2659);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2259:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2215);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2260:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2605);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2261:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2006);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2262:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2463);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2263:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2433);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2264:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2415);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2265:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2013);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2266:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2464);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2267:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2434);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2268:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2018);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2269:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2526);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2270:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2465);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2271:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2466);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2272:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2327);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2525);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2273:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2327);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2445);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2274:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2327);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2275:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2468);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2276:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2328);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2277:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2469);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2278:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1969);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2279:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1971);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2280:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2625);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2281:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2574);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2282:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2391);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2283:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1846);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2284:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2285:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1448);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2286:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1848);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2287:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1747);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2288:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1449);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2289:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1758);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2290:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2552);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2291:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2309);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2550);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2292:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2186,
        'l', 2186,
        'N', 2041,
        'n', 2041,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2293:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2186,
        'l', 2186,
        'N', 2065,
        'n', 2065,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2294:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2186,
        'l', 2186,
        'N', 2071,
        'n', 2071,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2295:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1678);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2296:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1838);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2297:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1829);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2298:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1733);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2299:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1609);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2300:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1856);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2301:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1522);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2302:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1641);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2303:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1661);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2304:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1735);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2305:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1858);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2306:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1574);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2307:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1570);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2308:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2470);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2596);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2309:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2457);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2310:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2295);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2135);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2311:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2295);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2312:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2640);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2313:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2666);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2314:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1929);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2315:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2629);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2316:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2297);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2317:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2167);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2644);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2318:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2298);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2319:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2094);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2320:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2256);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2321:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2304);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2322:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2139);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2323:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2101);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2324:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2589);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2325:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2103);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2326:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2104);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2327:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2328:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2112);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2329:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2118);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2330:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2122);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2331:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2144);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2332:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2333:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2334:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2129);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2335:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2138);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2336:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2245);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2515);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2337:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2245);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2515);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2338:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2041,
        'n', 2041,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2339:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2052,
        'n', 2052,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2340:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2051,
        'n', 2051,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2341:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2042,
        'n', 2042,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2342:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2067,
        'n', 2067,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2343:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2054,
        'n', 2054,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2344:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2053,
        'n', 2053,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2345:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2068,
        'n', 2068,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2346:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2055,
        'n', 2055,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2347:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2057,
        'n', 2057,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2348:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2069,
        'n', 2069,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2349:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2058,
        'n', 2058,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2350:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2072,
        'n', 2072,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2351:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2060,
        'n', 2060,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2352:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2061,
        'n', 2061,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2353:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2056,
        'n', 2056,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2354:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2062,
        'n', 2062,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2355:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2063,
        'n', 2063,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2356:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2064,
        'n', 2064,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2357:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2070,
        'n', 2070,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2358:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2065,
        'n', 2065,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2359:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2081,
        'n', 2081,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2360:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2551,
        'l', 2551,
        'N', 2080,
        'n', 2080,
        'Q', 2632,
        'q', 2632,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2361:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2362:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2567,
        'l', 2567,
        'N', 2059,
        'n', 2059,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2363:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2568,
        'l', 2568,
        'N', 2052,
        'n', 2052,
        'R', 2507,
        'r', 2507,
        'V', 2147,
        'v', 2147,
        'X', 2242,
        'x', 2242,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2364:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2471);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2365:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2178);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2644);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2366:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2177);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2367:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2473);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2596);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2368:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2180);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2369:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2474);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2370:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2476);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2371:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2370);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2564);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2372:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2370);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2595);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2373:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2370);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2374:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1775);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2375:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1832);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2376:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1394);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2377:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1430);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2378:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1854);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2379:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2380:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2155);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2381:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2462);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2322);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2382:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2477);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2458);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2383:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2477);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2384:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1976);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2385:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2188);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2386:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2156);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2387:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2173);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2388:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2496);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2389:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2181);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2390:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2494);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2391:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2189);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2392:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2480);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2393:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2554);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2394:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1659);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2395:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1769);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2396:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1769);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2397:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1793);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2398:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1532);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2399:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1694);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2400:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1487);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2401:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2402:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1629);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2403:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1777);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2404:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2405:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1498);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2406:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1716);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2407:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2034);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2408:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2043);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2409:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2556);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2410:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2031);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2411:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2044);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2412:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2284);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2413:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1992);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2414:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1955);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2415:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2047);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2416:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2287);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2417:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2572);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2418:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2571);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2419:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2543);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2420:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2423);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2421:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2576);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2422:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2577);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1966);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2423:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2146);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2424:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2580);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2207);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2425:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2580);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2426:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1932);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2427:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1933);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2428:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2584);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2429:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2313);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2149);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2430:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2590);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2431:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2432:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1946);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2433:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2121);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2434:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2124);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2435:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2364);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2087);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2436:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2364);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2437:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2213);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1926);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2438:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2213);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2439:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2440:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2019);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2441:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2442:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2615);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2443:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2022);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2444:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2168);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2445:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2039);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2446:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2573);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2447:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2389);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2448:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1688);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2449:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2066);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2450:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1692);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2451:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1689);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2452:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1702);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2453:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2220);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2454:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2558);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2455:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2384);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2456:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2598);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2316);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2457:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2032);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2458:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2639);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2459:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2501);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2460:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2634);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2461:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2515);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2462:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2398);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2463:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2400);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2464:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2401);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2465:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2402);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2466:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2403);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2467:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2506);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2468:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2404);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2469:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2470:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2000);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2471:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2001);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2472:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2427);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2473:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2003);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2474:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2004);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2475:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2040);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2476:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2037);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2477:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2082);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2478:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2388);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2479:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2654);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2480:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2084);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2481:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2086);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2482:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2038);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2483:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2149);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2484:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2336);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2485:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1675);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2486:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2337);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2487:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2140);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2488:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2461);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2489:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2092);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2490:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1959);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2491:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2120);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2492:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2126);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2493:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2133);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2494:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2322);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2495:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2326);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2496:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2331);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2497:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2645);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2498:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1956);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2499:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2212);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2500:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2663);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2501:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1673);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2502:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1595);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2503:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1581);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2504:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1611);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2505:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1643);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2506:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1466);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2507:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2459);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2508:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1954);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2560);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2509:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1954);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2510:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2375);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2511:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2237);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2512:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1957);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2513:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2458);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2514:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2453);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2515:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2579);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2516:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1919);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2517:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2399);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2518:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1975);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2519:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2148);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2520:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2097);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2521:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1924);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2522:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2538);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2523:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2102);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2524:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2525:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1964);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2526:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2107);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2527:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2109);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2528:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2170);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2529:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2116);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2530:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2125);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2531:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2131);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2532:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2132);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2533:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2475);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2534:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2426);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2535:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2561);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2536:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2252);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2537:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2251);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2538:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2182);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2539:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2208);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2540:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2479);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2541:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2280);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2542:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1617);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2543:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1501);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2544:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1491);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2545:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2546:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1615);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2547:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1752);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2548:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1754);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2549:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1618);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2550:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2234);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2551:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2153);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2552:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2490);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2553:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2542);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2554:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2600);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1962);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2555:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2600);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1963);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2556:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2600);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2233);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2557:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2600);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2558:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2093);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2559:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2546);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2560:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2095);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2561:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2258);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2562:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2570);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2563:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2549);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2564:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2259);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2565:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2586);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2566:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2119);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2567:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2130);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2568:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2134);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2569:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2599);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2570:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2482);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2571:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2250);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2572:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2266);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2573:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2270);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2574:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2275);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2575:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1686);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2576:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1842);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2577:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1767);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2578:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1764);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2579:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1558);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2580:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1635);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2581:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1738);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2582:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2583:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1564);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2584:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1585);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2585:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1512);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2586:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2587:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1739);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2588:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1749);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2589:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1756);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2590:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1461);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2591:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1706);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2592:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1972);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2593:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1878);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2594:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2455);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2595:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2511);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2596:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2088);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2597:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2665);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2598:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2235);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2599:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2512);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2600:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1960);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2601:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2262);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2602:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2603:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1934);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2604:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2255);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2605:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2098);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2606:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1879);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2607:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1973);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2608:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2108);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2609:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2152);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2610:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2113);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2611:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2154);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2612:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2136);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2613:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2467);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2614:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2615:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2158);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2616:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2263);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2617:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2159);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2618:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2248);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2619:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2267);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2620:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2160);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2621:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2249);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2622:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2162);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2623:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2276);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2624:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2265);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2625:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2268);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2626:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2271);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2627:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2277);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2628:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1986);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2629:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2079);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2630:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1985);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2631:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1981);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2632:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2633:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2269);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2634:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2545);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2635:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2535);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2636:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2460);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2637:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2517);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2638:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2324);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2639:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2616);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2640:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2096);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2641:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2522);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2642:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2110);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2643:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2316);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2644:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2175);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2645:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2646:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2325);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2647:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2527);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2648:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2611);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2649:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2529);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2650:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2329);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2651:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2652:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2333);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2653:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2334);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2654:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2619);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2655:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1988);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2656:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2243);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2657:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2091);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2658:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1928);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2659:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2117);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2660:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1605);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2661:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1607);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2662:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2614);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2663:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1791);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2664:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1850);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2665:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1572);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2666:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1509);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2667:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2491);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2668:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2668);
      END_STATE();
    case 2669:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(2671);
      if (lookahead == '/') ADVANCE(2670);
      if (lookahead == '\\') ADVANCE(2669);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2671);
      END_STATE();
    case 2670:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(2673);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2671);
      END_STATE();
    case 2671:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(2670);
      if (lookahead == '\\') ADVANCE(2669);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2671);
      END_STATE();
    case 2672:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '=') ADVANCE(1376);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2673);
      END_STATE();
    case 2673:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2673);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 1290, .external_lex_state = 2},
  [2] = {.lex_state = 224, .external_lex_state = 2},
  [3] = {.lex_state = 224, .external_lex_state = 2},
  [4] = {.lex_state = 224, .external_lex_state = 2},
  [5] = {.lex_state = 224, .external_lex_state = 2},
  [6] = {.lex_state = 224, .external_lex_state = 2},
  [7] = {.lex_state = 224, .external_lex_state = 2},
  [8] = {.lex_state = 224, .external_lex_state = 2},
  [9] = {.lex_state = 224, .external_lex_state = 2},
  [10] = {.lex_state = 224, .external_lex_state = 2},
  [11] = {.lex_state = 224, .external_lex_state = 2},
  [12] = {.lex_state = 224, .external_lex_state = 2},
  [13] = {.lex_state = 224, .external_lex_state = 2},
  [14] = {.lex_state = 224, .external_lex_state = 2},
  [15] = {.lex_state = 224, .external_lex_state = 2},
  [16] = {.lex_state = 224, .external_lex_state = 2},
  [17] = {.lex_state = 224, .external_lex_state = 2},
  [18] = {.lex_state = 224, .external_lex_state = 2},
  [19] = {.lex_state = 224, .external_lex_state = 2},
  [20] = {.lex_state = 224, .external_lex_state = 2},
  [21] = {.lex_state = 224, .external_lex_state = 2},
  [22] = {.lex_state = 224, .external_lex_state = 2},
  [23] = {.lex_state = 224, .external_lex_state = 2},
  [24] = {.lex_state = 224, .external_lex_state = 2},
  [25] = {.lex_state = 224, .external_lex_state = 2},
  [26] = {.lex_state = 224, .external_lex_state = 2},
  [27] = {.lex_state = 224, .external_lex_state = 2},
  [28] = {.lex_state = 224, .external_lex_state = 2},
  [29] = {.lex_state = 224, .external_lex_state = 2},
  [30] = {.lex_state = 224, .external_lex_state = 2},
  [31] = {.lex_state = 224, .external_lex_state = 2},
  [32] = {.lex_state = 224, .external_lex_state = 2},
  [33] = {.lex_state = 224, .external_lex_state = 2},
  [34] = {.lex_state = 224, .external_lex_state = 2},
  [35] = {.lex_state = 224, .external_lex_state = 2},
  [36] = {.lex_state = 224, .external_lex_state = 2},
  [37] = {.lex_state = 224, .external_lex_state = 2},
  [38] = {.lex_state = 224, .external_lex_state = 2},
  [39] = {.lex_state = 224, .external_lex_state = 2},
  [40] = {.lex_state = 224, .external_lex_state = 2},
  [41] = {.lex_state = 224, .external_lex_state = 2},
  [42] = {.lex_state = 224, .external_lex_state = 2},
  [43] = {.lex_state = 224, .external_lex_state = 2},
  [44] = {.lex_state = 224, .external_lex_state = 2},
  [45] = {.lex_state = 224, .external_lex_state = 2},
  [46] = {.lex_state = 224, .external_lex_state = 2},
  [47] = {.lex_state = 281, .external_lex_state = 2},
  [48] = {.lex_state = 281, .external_lex_state = 2},
  [49] = {.lex_state = 281, .external_lex_state = 2},
  [50] = {.lex_state = 281, .external_lex_state = 2},
  [51] = {.lex_state = 281, .external_lex_state = 2},
  [52] = {.lex_state = 1290, .external_lex_state = 2},
  [53] = {.lex_state = 1290, .external_lex_state = 2},
  [54] = {.lex_state = 281, .external_lex_state = 2},
  [55] = {.lex_state = 281, .external_lex_state = 2},
  [56] = {.lex_state = 225, .external_lex_state = 2},
  [57] = {.lex_state = 225, .external_lex_state = 2},
  [58] = {.lex_state = 225, .external_lex_state = 2},
  [59] = {.lex_state = 225, .external_lex_state = 2},
  [60] = {.lex_state = 225, .external_lex_state = 2},
  [61] = {.lex_state = 225, .external_lex_state = 2},
  [62] = {.lex_state = 225, .external_lex_state = 2},
  [63] = {.lex_state = 225, .external_lex_state = 2},
  [64] = {.lex_state = 225, .external_lex_state = 2},
  [65] = {.lex_state = 225, .external_lex_state = 2},
  [66] = {.lex_state = 225, .external_lex_state = 2},
  [67] = {.lex_state = 225, .external_lex_state = 2},
  [68] = {.lex_state = 225, .external_lex_state = 2},
  [69] = {.lex_state = 225, .external_lex_state = 2},
  [70] = {.lex_state = 225, .external_lex_state = 2},
  [71] = {.lex_state = 225, .external_lex_state = 2},
  [72] = {.lex_state = 225, .external_lex_state = 2},
  [73] = {.lex_state = 225, .external_lex_state = 2},
  [74] = {.lex_state = 225, .external_lex_state = 2},
  [75] = {.lex_state = 225, .external_lex_state = 2},
  [76] = {.lex_state = 225, .external_lex_state = 2},
  [77] = {.lex_state = 225, .external_lex_state = 2},
  [78] = {.lex_state = 225, .external_lex_state = 2},
  [79] = {.lex_state = 225, .external_lex_state = 2},
  [80] = {.lex_state = 225, .external_lex_state = 2},
  [81] = {.lex_state = 225, .external_lex_state = 2},
  [82] = {.lex_state = 225, .external_lex_state = 2},
  [83] = {.lex_state = 225, .external_lex_state = 2},
  [84] = {.lex_state = 225, .external_lex_state = 2},
  [85] = {.lex_state = 225, .external_lex_state = 2},
  [86] = {.lex_state = 225, .external_lex_state = 2},
  [87] = {.lex_state = 225, .external_lex_state = 2},
  [88] = {.lex_state = 225, .external_lex_state = 2},
  [89] = {.lex_state = 225, .external_lex_state = 2},
  [90] = {.lex_state = 225, .external_lex_state = 2},
  [91] = {.lex_state = 225, .external_lex_state = 2},
  [92] = {.lex_state = 225, .external_lex_state = 2},
  [93] = {.lex_state = 225, .external_lex_state = 2},
  [94] = {.lex_state = 225, .external_lex_state = 2},
  [95] = {.lex_state = 225, .external_lex_state = 2},
  [96] = {.lex_state = 225, .external_lex_state = 2},
  [97] = {.lex_state = 225, .external_lex_state = 2},
  [98] = {.lex_state = 225, .external_lex_state = 2},
  [99] = {.lex_state = 225, .external_lex_state = 2},
  [100] = {.lex_state = 225, .external_lex_state = 2},
  [101] = {.lex_state = 225, .external_lex_state = 2},
  [102] = {.lex_state = 225, .external_lex_state = 2},
  [103] = {.lex_state = 225, .external_lex_state = 2},
  [104] = {.lex_state = 225, .external_lex_state = 2},
  [105] = {.lex_state = 225, .external_lex_state = 2},
  [106] = {.lex_state = 225, .external_lex_state = 2},
  [107] = {.lex_state = 225, .external_lex_state = 2},
  [108] = {.lex_state = 225, .external_lex_state = 2},
  [109] = {.lex_state = 225, .external_lex_state = 2},
  [110] = {.lex_state = 225, .external_lex_state = 2},
  [111] = {.lex_state = 225, .external_lex_state = 2},
  [112] = {.lex_state = 225, .external_lex_state = 2},
  [113] = {.lex_state = 225, .external_lex_state = 2},
  [114] = {.lex_state = 225, .external_lex_state = 2},
  [115] = {.lex_state = 225, .external_lex_state = 2},
  [116] = {.lex_state = 225, .external_lex_state = 2},
  [117] = {.lex_state = 225, .external_lex_state = 2},
  [118] = {.lex_state = 225, .external_lex_state = 2},
  [119] = {.lex_state = 225, .external_lex_state = 2},
  [120] = {.lex_state = 225, .external_lex_state = 2},
  [121] = {.lex_state = 225, .external_lex_state = 2},
  [122] = {.lex_state = 225, .external_lex_state = 2},
  [123] = {.lex_state = 225, .external_lex_state = 2},
  [124] = {.lex_state = 225, .external_lex_state = 2},
  [125] = {.lex_state = 225, .external_lex_state = 2},
  [126] = {.lex_state = 225, .external_lex_state = 2},
  [127] = {.lex_state = 225, .external_lex_state = 2},
  [128] = {.lex_state = 225, .external_lex_state = 2},
  [129] = {.lex_state = 225, .external_lex_state = 2},
  [130] = {.lex_state = 225, .external_lex_state = 2},
  [131] = {.lex_state = 225, .external_lex_state = 2},
  [132] = {.lex_state = 225, .external_lex_state = 2},
  [133] = {.lex_state = 225, .external_lex_state = 2},
  [134] = {.lex_state = 225, .external_lex_state = 2},
  [135] = {.lex_state = 225, .external_lex_state = 2},
  [136] = {.lex_state = 225, .external_lex_state = 2},
  [137] = {.lex_state = 225, .external_lex_state = 2},
  [138] = {.lex_state = 225, .external_lex_state = 2},
  [139] = {.lex_state = 225, .external_lex_state = 2},
  [140] = {.lex_state = 225, .external_lex_state = 2},
  [141] = {.lex_state = 225, .external_lex_state = 2},
  [142] = {.lex_state = 225, .external_lex_state = 2},
  [143] = {.lex_state = 225, .external_lex_state = 2},
  [144] = {.lex_state = 225, .external_lex_state = 2},
  [145] = {.lex_state = 225, .external_lex_state = 2},
  [146] = {.lex_state = 225, .external_lex_state = 2},
  [147] = {.lex_state = 225, .external_lex_state = 2},
  [148] = {.lex_state = 225, .external_lex_state = 2},
  [149] = {.lex_state = 225, .external_lex_state = 2},
  [150] = {.lex_state = 225, .external_lex_state = 2},
  [151] = {.lex_state = 225, .external_lex_state = 2},
  [152] = {.lex_state = 225, .external_lex_state = 2},
  [153] = {.lex_state = 225, .external_lex_state = 2},
  [154] = {.lex_state = 225, .external_lex_state = 2},
  [155] = {.lex_state = 225, .external_lex_state = 2},
  [156] = {.lex_state = 225, .external_lex_state = 2},
  [157] = {.lex_state = 225, .external_lex_state = 2},
  [158] = {.lex_state = 225, .external_lex_state = 2},
  [159] = {.lex_state = 225, .external_lex_state = 2},
  [160] = {.lex_state = 225, .external_lex_state = 2},
  [161] = {.lex_state = 225, .external_lex_state = 2},
  [162] = {.lex_state = 225, .external_lex_state = 2},
  [163] = {.lex_state = 225, .external_lex_state = 2},
  [164] = {.lex_state = 225, .external_lex_state = 2},
  [165] = {.lex_state = 225, .external_lex_state = 2},
  [166] = {.lex_state = 225, .external_lex_state = 2},
  [167] = {.lex_state = 225, .external_lex_state = 2},
  [168] = {.lex_state = 225, .external_lex_state = 2},
  [169] = {.lex_state = 225, .external_lex_state = 2},
  [170] = {.lex_state = 225, .external_lex_state = 2},
  [171] = {.lex_state = 225, .external_lex_state = 2},
  [172] = {.lex_state = 225, .external_lex_state = 2},
  [173] = {.lex_state = 225, .external_lex_state = 2},
  [174] = {.lex_state = 225, .external_lex_state = 2},
  [175] = {.lex_state = 225, .external_lex_state = 2},
  [176] = {.lex_state = 225, .external_lex_state = 2},
  [177] = {.lex_state = 225, .external_lex_state = 2},
  [178] = {.lex_state = 225, .external_lex_state = 2},
  [179] = {.lex_state = 225, .external_lex_state = 2},
  [180] = {.lex_state = 225, .external_lex_state = 2},
  [181] = {.lex_state = 225, .external_lex_state = 2},
  [182] = {.lex_state = 225, .external_lex_state = 2},
  [183] = {.lex_state = 225, .external_lex_state = 2},
  [184] = {.lex_state = 225, .external_lex_state = 2},
  [185] = {.lex_state = 225, .external_lex_state = 2},
  [186] = {.lex_state = 225, .external_lex_state = 2},
  [187] = {.lex_state = 225, .external_lex_state = 2},
  [188] = {.lex_state = 225, .external_lex_state = 2},
  [189] = {.lex_state = 225, .external_lex_state = 2},
  [190] = {.lex_state = 225, .external_lex_state = 2},
  [191] = {.lex_state = 225, .external_lex_state = 2},
  [192] = {.lex_state = 225, .external_lex_state = 2},
  [193] = {.lex_state = 225, .external_lex_state = 2},
  [194] = {.lex_state = 225, .external_lex_state = 2},
  [195] = {.lex_state = 225, .external_lex_state = 2},
  [196] = {.lex_state = 233, .external_lex_state = 2},
  [197] = {.lex_state = 233, .external_lex_state = 2},
  [198] = {.lex_state = 242, .external_lex_state = 2},
  [199] = {.lex_state = 233, .external_lex_state = 2},
  [200] = {.lex_state = 242, .external_lex_state = 2},
  [201] = {.lex_state = 233, .external_lex_state = 2},
  [202] = {.lex_state = 242, .external_lex_state = 2},
  [203] = {.lex_state = 233, .external_lex_state = 2},
  [204] = {.lex_state = 233, .external_lex_state = 2},
  [205] = {.lex_state = 233, .external_lex_state = 2},
  [206] = {.lex_state = 234, .external_lex_state = 2},
  [207] = {.lex_state = 234, .external_lex_state = 2},
  [208] = {.lex_state = 234, .external_lex_state = 2},
  [209] = {.lex_state = 234, .external_lex_state = 2},
  [210] = {.lex_state = 242, .external_lex_state = 2},
  [211] = {.lex_state = 233, .external_lex_state = 2},
  [212] = {.lex_state = 242, .external_lex_state = 2},
  [213] = {.lex_state = 233, .external_lex_state = 2},
  [214] = {.lex_state = 242, .external_lex_state = 2},
  [215] = {.lex_state = 234, .external_lex_state = 2},
  [216] = {.lex_state = 234, .external_lex_state = 2},
  [217] = {.lex_state = 242, .external_lex_state = 2},
  [218] = {.lex_state = 233, .external_lex_state = 2},
  [219] = {.lex_state = 242, .external_lex_state = 2},
  [220] = {.lex_state = 233, .external_lex_state = 2},
  [221] = {.lex_state = 242, .external_lex_state = 2},
  [222] = {.lex_state = 233, .external_lex_state = 2},
  [223] = {.lex_state = 234, .external_lex_state = 2},
  [224] = {.lex_state = 234, .external_lex_state = 2},
  [225] = {.lex_state = 242, .external_lex_state = 2},
  [226] = {.lex_state = 233, .external_lex_state = 2},
  [227] = {.lex_state = 242, .external_lex_state = 2},
  [228] = {.lex_state = 233, .external_lex_state = 2},
  [229] = {.lex_state = 234, .external_lex_state = 2},
  [230] = {.lex_state = 234, .external_lex_state = 2},
  [231] = {.lex_state = 234, .external_lex_state = 2},
  [232] = {.lex_state = 242, .external_lex_state = 2},
  [233] = {.lex_state = 233, .external_lex_state = 2},
  [234] = {.lex_state = 242, .external_lex_state = 2},
  [235] = {.lex_state = 233, .external_lex_state = 2},
  [236] = {.lex_state = 234, .external_lex_state = 2},
  [237] = {.lex_state = 234, .external_lex_state = 2},
  [238] = {.lex_state = 242, .external_lex_state = 2},
  [239] = {.lex_state = 242, .external_lex_state = 2},
  [240] = {.lex_state = 233, .external_lex_state = 2},
  [241] = {.lex_state = 242, .external_lex_state = 2},
  [242] = {.lex_state = 233, .external_lex_state = 2},
  [243] = {.lex_state = 234, .external_lex_state = 2},
  [244] = {.lex_state = 234, .external_lex_state = 2},
  [245] = {.lex_state = 242, .external_lex_state = 2},
  [246] = {.lex_state = 233, .external_lex_state = 2},
  [247] = {.lex_state = 242, .external_lex_state = 2},
  [248] = {.lex_state = 233, .external_lex_state = 2},
  [249] = {.lex_state = 234, .external_lex_state = 2},
  [250] = {.lex_state = 242, .external_lex_state = 2},
  [251] = {.lex_state = 233, .external_lex_state = 2},
  [252] = {.lex_state = 242, .external_lex_state = 2},
  [253] = {.lex_state = 233, .external_lex_state = 2},
  [254] = {.lex_state = 242, .external_lex_state = 2},
  [255] = {.lex_state = 233, .external_lex_state = 2},
  [256] = {.lex_state = 242, .external_lex_state = 2},
  [257] = {.lex_state = 233, .external_lex_state = 2},
  [258] = {.lex_state = 242, .external_lex_state = 2},
  [259] = {.lex_state = 233, .external_lex_state = 2},
  [260] = {.lex_state = 242, .external_lex_state = 2},
  [261] = {.lex_state = 233, .external_lex_state = 2},
  [262] = {.lex_state = 242, .external_lex_state = 2},
  [263] = {.lex_state = 242, .external_lex_state = 2},
  [264] = {.lex_state = 256, .external_lex_state = 2},
  [265] = {.lex_state = 256, .external_lex_state = 2},
  [266] = {.lex_state = 256, .external_lex_state = 2},
  [267] = {.lex_state = 256, .external_lex_state = 2},
  [268] = {.lex_state = 282, .external_lex_state = 2},
  [269] = {.lex_state = 282, .external_lex_state = 2},
  [270] = {.lex_state = 282, .external_lex_state = 2},
  [271] = {.lex_state = 256, .external_lex_state = 2},
  [272] = {.lex_state = 256, .external_lex_state = 2},
  [273] = {.lex_state = 256, .external_lex_state = 2},
  [274] = {.lex_state = 282, .external_lex_state = 2},
  [275] = {.lex_state = 256, .external_lex_state = 2},
  [276] = {.lex_state = 256, .external_lex_state = 2},
  [277] = {.lex_state = 282, .external_lex_state = 2},
  [278] = {.lex_state = 282, .external_lex_state = 2},
  [279] = {.lex_state = 282, .external_lex_state = 2},
  [280] = {.lex_state = 282, .external_lex_state = 2},
  [281] = {.lex_state = 282, .external_lex_state = 2},
  [282] = {.lex_state = 282, .external_lex_state = 2},
  [283] = {.lex_state = 282, .external_lex_state = 2},
  [284] = {.lex_state = 282, .external_lex_state = 2},
  [285] = {.lex_state = 247, .external_lex_state = 2},
  [286] = {.lex_state = 247, .external_lex_state = 2},
  [287] = {.lex_state = 247, .external_lex_state = 2},
  [288] = {.lex_state = 247, .external_lex_state = 2},
  [289] = {.lex_state = 225, .external_lex_state = 2},
  [290] = {.lex_state = 256, .external_lex_state = 2},
  [291] = {.lex_state = 233, .external_lex_state = 2},
  [292] = {.lex_state = 282, .external_lex_state = 2},
  [293] = {.lex_state = 234, .external_lex_state = 2},
  [294] = {.lex_state = 242, .external_lex_state = 2},
  [295] = {.lex_state = 247, .external_lex_state = 2},
  [296] = {.lex_state = 226, .external_lex_state = 2},
  [297] = {.lex_state = 226, .external_lex_state = 2},
  [298] = {.lex_state = 226, .external_lex_state = 2},
  [299] = {.lex_state = 226, .external_lex_state = 2},
  [300] = {.lex_state = 226, .external_lex_state = 2},
  [301] = {.lex_state = 226, .external_lex_state = 2},
  [302] = {.lex_state = 226, .external_lex_state = 2},
  [303] = {.lex_state = 226, .external_lex_state = 2},
  [304] = {.lex_state = 226, .external_lex_state = 2},
  [305] = {.lex_state = 226, .external_lex_state = 2},
  [306] = {.lex_state = 226, .external_lex_state = 2},
  [307] = {.lex_state = 226, .external_lex_state = 2},
  [308] = {.lex_state = 226, .external_lex_state = 2},
  [309] = {.lex_state = 226, .external_lex_state = 2},
  [310] = {.lex_state = 226, .external_lex_state = 2},
  [311] = {.lex_state = 226, .external_lex_state = 2},
  [312] = {.lex_state = 228, .external_lex_state = 2},
  [313] = {.lex_state = 228, .external_lex_state = 2},
  [314] = {.lex_state = 228, .external_lex_state = 2},
  [315] = {.lex_state = 228, .external_lex_state = 2},
  [316] = {.lex_state = 228, .external_lex_state = 2},
  [317] = {.lex_state = 228, .external_lex_state = 2},
  [318] = {.lex_state = 228, .external_lex_state = 2},
  [319] = {.lex_state = 228, .external_lex_state = 2},
  [320] = {.lex_state = 228, .external_lex_state = 2},
  [321] = {.lex_state = 228, .external_lex_state = 2},
  [322] = {.lex_state = 228, .external_lex_state = 2},
  [323] = {.lex_state = 228, .external_lex_state = 2},
  [324] = {.lex_state = 228, .external_lex_state = 2},
  [325] = {.lex_state = 228, .external_lex_state = 2},
  [326] = {.lex_state = 228, .external_lex_state = 2},
  [327] = {.lex_state = 228, .external_lex_state = 2},
  [328] = {.lex_state = 226, .external_lex_state = 2},
  [329] = {.lex_state = 226, .external_lex_state = 2},
  [330] = {.lex_state = 226, .external_lex_state = 2},
  [331] = {.lex_state = 226, .external_lex_state = 2},
  [332] = {.lex_state = 226, .external_lex_state = 2},
  [333] = {.lex_state = 226, .external_lex_state = 2},
  [334] = {.lex_state = 226, .external_lex_state = 2},
  [335] = {.lex_state = 226, .external_lex_state = 2},
  [336] = {.lex_state = 226, .external_lex_state = 2},
  [337] = {.lex_state = 226, .external_lex_state = 2},
  [338] = {.lex_state = 226, .external_lex_state = 2},
  [339] = {.lex_state = 226, .external_lex_state = 2},
  [340] = {.lex_state = 226, .external_lex_state = 2},
  [341] = {.lex_state = 226, .external_lex_state = 2},
  [342] = {.lex_state = 226, .external_lex_state = 2},
  [343] = {.lex_state = 226, .external_lex_state = 2},
  [344] = {.lex_state = 226, .external_lex_state = 2},
  [345] = {.lex_state = 226, .external_lex_state = 2},
  [346] = {.lex_state = 226, .external_lex_state = 2},
  [347] = {.lex_state = 226, .external_lex_state = 2},
  [348] = {.lex_state = 226, .external_lex_state = 2},
  [349] = {.lex_state = 226, .external_lex_state = 2},
  [350] = {.lex_state = 226, .external_lex_state = 2},
  [351] = {.lex_state = 226, .external_lex_state = 2},
  [352] = {.lex_state = 226, .external_lex_state = 2},
  [353] = {.lex_state = 226, .external_lex_state = 2},
  [354] = {.lex_state = 226, .external_lex_state = 2},
  [355] = {.lex_state = 226, .external_lex_state = 2},
  [356] = {.lex_state = 226, .external_lex_state = 2},
  [357] = {.lex_state = 226, .external_lex_state = 2},
  [358] = {.lex_state = 226, .external_lex_state = 2},
  [359] = {.lex_state = 226, .external_lex_state = 2},
  [360] = {.lex_state = 226, .external_lex_state = 2},
  [361] = {.lex_state = 226, .external_lex_state = 2},
  [362] = {.lex_state = 226, .external_lex_state = 2},
  [363] = {.lex_state = 226, .external_lex_state = 2},
  [364] = {.lex_state = 226, .external_lex_state = 2},
  [365] = {.lex_state = 226, .external_lex_state = 2},
  [366] = {.lex_state = 226, .external_lex_state = 2},
  [367] = {.lex_state = 226, .external_lex_state = 2},
  [368] = {.lex_state = 226, .external_lex_state = 2},
  [369] = {.lex_state = 226, .external_lex_state = 2},
  [370] = {.lex_state = 226, .external_lex_state = 2},
  [371] = {.lex_state = 226, .external_lex_state = 2},
  [372] = {.lex_state = 226, .external_lex_state = 2},
  [373] = {.lex_state = 226, .external_lex_state = 2},
  [374] = {.lex_state = 226, .external_lex_state = 2},
  [375] = {.lex_state = 226, .external_lex_state = 2},
  [376] = {.lex_state = 226, .external_lex_state = 2},
  [377] = {.lex_state = 226, .external_lex_state = 2},
  [378] = {.lex_state = 226, .external_lex_state = 2},
  [379] = {.lex_state = 226, .external_lex_state = 2},
  [380] = {.lex_state = 226, .external_lex_state = 2},
  [381] = {.lex_state = 226, .external_lex_state = 2},
  [382] = {.lex_state = 226, .external_lex_state = 2},
  [383] = {.lex_state = 226, .external_lex_state = 2},
  [384] = {.lex_state = 226, .external_lex_state = 2},
  [385] = {.lex_state = 226, .external_lex_state = 2},
  [386] = {.lex_state = 226, .external_lex_state = 2},
  [387] = {.lex_state = 226, .external_lex_state = 2},
  [388] = {.lex_state = 226, .external_lex_state = 2},
  [389] = {.lex_state = 226, .external_lex_state = 2},
  [390] = {.lex_state = 226, .external_lex_state = 2},
  [391] = {.lex_state = 226, .external_lex_state = 2},
  [392] = {.lex_state = 226, .external_lex_state = 2},
  [393] = {.lex_state = 226, .external_lex_state = 2},
  [394] = {.lex_state = 226, .external_lex_state = 2},
  [395] = {.lex_state = 226, .external_lex_state = 2},
  [396] = {.lex_state = 226, .external_lex_state = 2},
  [397] = {.lex_state = 226, .external_lex_state = 2},
  [398] = {.lex_state = 226, .external_lex_state = 2},
  [399] = {.lex_state = 226, .external_lex_state = 2},
  [400] = {.lex_state = 226, .external_lex_state = 2},
  [401] = {.lex_state = 226, .external_lex_state = 2},
  [402] = {.lex_state = 226, .external_lex_state = 2},
  [403] = {.lex_state = 226, .external_lex_state = 2},
  [404] = {.lex_state = 226, .external_lex_state = 2},
  [405] = {.lex_state = 226, .external_lex_state = 2},
  [406] = {.lex_state = 226, .external_lex_state = 2},
  [407] = {.lex_state = 226, .external_lex_state = 2},
  [408] = {.lex_state = 226, .external_lex_state = 2},
  [409] = {.lex_state = 226, .external_lex_state = 2},
  [410] = {.lex_state = 226, .external_lex_state = 2},
  [411] = {.lex_state = 226, .external_lex_state = 2},
  [412] = {.lex_state = 226, .external_lex_state = 2},
  [413] = {.lex_state = 226, .external_lex_state = 2},
  [414] = {.lex_state = 226, .external_lex_state = 2},
  [415] = {.lex_state = 226, .external_lex_state = 2},
  [416] = {.lex_state = 226, .external_lex_state = 2},
  [417] = {.lex_state = 226, .external_lex_state = 2},
  [418] = {.lex_state = 226, .external_lex_state = 2},
  [419] = {.lex_state = 226, .external_lex_state = 2},
  [420] = {.lex_state = 226, .external_lex_state = 2},
  [421] = {.lex_state = 226, .external_lex_state = 2},
  [422] = {.lex_state = 226, .external_lex_state = 2},
  [423] = {.lex_state = 226, .external_lex_state = 2},
  [424] = {.lex_state = 226, .external_lex_state = 2},
  [425] = {.lex_state = 226, .external_lex_state = 2},
  [426] = {.lex_state = 226, .external_lex_state = 2},
  [427] = {.lex_state = 226, .external_lex_state = 2},
  [428] = {.lex_state = 226, .external_lex_state = 2},
  [429] = {.lex_state = 226, .external_lex_state = 2},
  [430] = {.lex_state = 226, .external_lex_state = 2},
  [431] = {.lex_state = 226, .external_lex_state = 2},
  [432] = {.lex_state = 226, .external_lex_state = 2},
  [433] = {.lex_state = 226, .external_lex_state = 2},
  [434] = {.lex_state = 226, .external_lex_state = 2},
  [435] = {.lex_state = 226, .external_lex_state = 2},
  [436] = {.lex_state = 226, .external_lex_state = 2},
  [437] = {.lex_state = 226, .external_lex_state = 2},
  [438] = {.lex_state = 226, .external_lex_state = 2},
  [439] = {.lex_state = 226, .external_lex_state = 2},
  [440] = {.lex_state = 226, .external_lex_state = 2},
  [441] = {.lex_state = 226, .external_lex_state = 2},
  [442] = {.lex_state = 226, .external_lex_state = 2},
  [443] = {.lex_state = 226, .external_lex_state = 2},
  [444] = {.lex_state = 226, .external_lex_state = 2},
  [445] = {.lex_state = 226, .external_lex_state = 2},
  [446] = {.lex_state = 226, .external_lex_state = 2},
  [447] = {.lex_state = 226, .external_lex_state = 2},
  [448] = {.lex_state = 226, .external_lex_state = 2},
  [449] = {.lex_state = 226, .external_lex_state = 2},
  [450] = {.lex_state = 226, .external_lex_state = 2},
  [451] = {.lex_state = 226, .external_lex_state = 2},
  [452] = {.lex_state = 226, .external_lex_state = 2},
  [453] = {.lex_state = 226, .external_lex_state = 2},
  [454] = {.lex_state = 226, .external_lex_state = 2},
  [455] = {.lex_state = 226, .external_lex_state = 2},
  [456] = {.lex_state = 226, .external_lex_state = 2},
  [457] = {.lex_state = 226, .external_lex_state = 2},
  [458] = {.lex_state = 226, .external_lex_state = 2},
  [459] = {.lex_state = 226, .external_lex_state = 2},
  [460] = {.lex_state = 226, .external_lex_state = 2},
  [461] = {.lex_state = 226, .external_lex_state = 2},
  [462] = {.lex_state = 226, .external_lex_state = 2},
  [463] = {.lex_state = 226, .external_lex_state = 2},
  [464] = {.lex_state = 226, .external_lex_state = 2},
  [465] = {.lex_state = 226, .external_lex_state = 2},
  [466] = {.lex_state = 226, .external_lex_state = 2},
  [467] = {.lex_state = 226, .external_lex_state = 2},
  [468] = {.lex_state = 226, .external_lex_state = 2},
  [469] = {.lex_state = 226, .external_lex_state = 2},
  [470] = {.lex_state = 226, .external_lex_state = 2},
  [471] = {.lex_state = 226, .external_lex_state = 2},
  [472] = {.lex_state = 226, .external_lex_state = 2},
  [473] = {.lex_state = 226, .external_lex_state = 2},
  [474] = {.lex_state = 226, .external_lex_state = 2},
  [475] = {.lex_state = 226, .external_lex_state = 2},
  [476] = {.lex_state = 226, .external_lex_state = 2},
  [477] = {.lex_state = 226, .external_lex_state = 2},
  [478] = {.lex_state = 226, .external_lex_state = 2},
  [479] = {.lex_state = 226, .external_lex_state = 2},
  [480] = {.lex_state = 226, .external_lex_state = 2},
  [481] = {.lex_state = 226, .external_lex_state = 2},
  [482] = {.lex_state = 226, .external_lex_state = 2},
  [483] = {.lex_state = 226, .external_lex_state = 2},
  [484] = {.lex_state = 226, .external_lex_state = 2},
  [485] = {.lex_state = 226, .external_lex_state = 2},
  [486] = {.lex_state = 226, .external_lex_state = 2},
  [487] = {.lex_state = 226, .external_lex_state = 2},
  [488] = {.lex_state = 226, .external_lex_state = 2},
  [489] = {.lex_state = 226, .external_lex_state = 2},
  [490] = {.lex_state = 226, .external_lex_state = 2},
  [491] = {.lex_state = 226, .external_lex_state = 2},
  [492] = {.lex_state = 226, .external_lex_state = 2},
  [493] = {.lex_state = 226, .external_lex_state = 2},
  [494] = {.lex_state = 226, .external_lex_state = 2},
  [495] = {.lex_state = 226, .external_lex_state = 2},
  [496] = {.lex_state = 226, .external_lex_state = 2},
  [497] = {.lex_state = 226, .external_lex_state = 2},
  [498] = {.lex_state = 226, .external_lex_state = 2},
  [499] = {.lex_state = 226, .external_lex_state = 2},
  [500] = {.lex_state = 226, .external_lex_state = 2},
  [501] = {.lex_state = 226, .external_lex_state = 2},
  [502] = {.lex_state = 226, .external_lex_state = 2},
  [503] = {.lex_state = 226, .external_lex_state = 2},
  [504] = {.lex_state = 226, .external_lex_state = 2},
  [505] = {.lex_state = 226, .external_lex_state = 2},
  [506] = {.lex_state = 226, .external_lex_state = 2},
  [507] = {.lex_state = 226, .external_lex_state = 2},
  [508] = {.lex_state = 226, .external_lex_state = 2},
  [509] = {.lex_state = 226, .external_lex_state = 2},
  [510] = {.lex_state = 226, .external_lex_state = 2},
  [511] = {.lex_state = 226, .external_lex_state = 2},
  [512] = {.lex_state = 226, .external_lex_state = 2},
  [513] = {.lex_state = 226, .external_lex_state = 2},
  [514] = {.lex_state = 226, .external_lex_state = 2},
  [515] = {.lex_state = 226, .external_lex_state = 2},
  [516] = {.lex_state = 226, .external_lex_state = 2},
  [517] = {.lex_state = 226, .external_lex_state = 2},
  [518] = {.lex_state = 226, .external_lex_state = 2},
  [519] = {.lex_state = 226, .external_lex_state = 2},
  [520] = {.lex_state = 226, .external_lex_state = 2},
  [521] = {.lex_state = 226, .external_lex_state = 2},
  [522] = {.lex_state = 226, .external_lex_state = 2},
  [523] = {.lex_state = 226, .external_lex_state = 2},
  [524] = {.lex_state = 226, .external_lex_state = 2},
  [525] = {.lex_state = 226, .external_lex_state = 2},
  [526] = {.lex_state = 226, .external_lex_state = 2},
  [527] = {.lex_state = 226, .external_lex_state = 2},
  [528] = {.lex_state = 226, .external_lex_state = 2},
  [529] = {.lex_state = 226, .external_lex_state = 2},
  [530] = {.lex_state = 226, .external_lex_state = 2},
  [531] = {.lex_state = 226, .external_lex_state = 2},
  [532] = {.lex_state = 226, .external_lex_state = 2},
  [533] = {.lex_state = 226, .external_lex_state = 2},
  [534] = {.lex_state = 226, .external_lex_state = 2},
  [535] = {.lex_state = 226, .external_lex_state = 2},
  [536] = {.lex_state = 226, .external_lex_state = 2},
  [537] = {.lex_state = 226, .external_lex_state = 2},
  [538] = {.lex_state = 226, .external_lex_state = 2},
  [539] = {.lex_state = 226, .external_lex_state = 2},
  [540] = {.lex_state = 226, .external_lex_state = 2},
  [541] = {.lex_state = 226, .external_lex_state = 2},
  [542] = {.lex_state = 226, .external_lex_state = 2},
  [543] = {.lex_state = 226, .external_lex_state = 2},
  [544] = {.lex_state = 226, .external_lex_state = 2},
  [545] = {.lex_state = 226, .external_lex_state = 2},
  [546] = {.lex_state = 226, .external_lex_state = 2},
  [547] = {.lex_state = 226, .external_lex_state = 2},
  [548] = {.lex_state = 226, .external_lex_state = 2},
  [549] = {.lex_state = 226, .external_lex_state = 2},
  [550] = {.lex_state = 226, .external_lex_state = 2},
  [551] = {.lex_state = 226, .external_lex_state = 2},
  [552] = {.lex_state = 226, .external_lex_state = 2},
  [553] = {.lex_state = 226, .external_lex_state = 2},
  [554] = {.lex_state = 226, .external_lex_state = 2},
  [555] = {.lex_state = 226, .external_lex_state = 2},
  [556] = {.lex_state = 226, .external_lex_state = 2},
  [557] = {.lex_state = 226, .external_lex_state = 2},
  [558] = {.lex_state = 226, .external_lex_state = 2},
  [559] = {.lex_state = 226, .external_lex_state = 2},
  [560] = {.lex_state = 226, .external_lex_state = 2},
  [561] = {.lex_state = 226, .external_lex_state = 2},
  [562] = {.lex_state = 226, .external_lex_state = 2},
  [563] = {.lex_state = 226, .external_lex_state = 2},
  [564] = {.lex_state = 226, .external_lex_state = 2},
  [565] = {.lex_state = 226, .external_lex_state = 2},
  [566] = {.lex_state = 226, .external_lex_state = 2},
  [567] = {.lex_state = 226, .external_lex_state = 2},
  [568] = {.lex_state = 226, .external_lex_state = 2},
  [569] = {.lex_state = 226, .external_lex_state = 2},
  [570] = {.lex_state = 226, .external_lex_state = 2},
  [571] = {.lex_state = 226, .external_lex_state = 2},
  [572] = {.lex_state = 226, .external_lex_state = 2},
  [573] = {.lex_state = 226, .external_lex_state = 2},
  [574] = {.lex_state = 226, .external_lex_state = 2},
  [575] = {.lex_state = 226, .external_lex_state = 2},
  [576] = {.lex_state = 226, .external_lex_state = 2},
  [577] = {.lex_state = 226, .external_lex_state = 2},
  [578] = {.lex_state = 226, .external_lex_state = 2},
  [579] = {.lex_state = 226, .external_lex_state = 2},
  [580] = {.lex_state = 226, .external_lex_state = 2},
  [581] = {.lex_state = 226, .external_lex_state = 2},
  [582] = {.lex_state = 226, .external_lex_state = 2},
  [583] = {.lex_state = 226, .external_lex_state = 2},
  [584] = {.lex_state = 226, .external_lex_state = 2},
  [585] = {.lex_state = 226, .external_lex_state = 2},
  [586] = {.lex_state = 226, .external_lex_state = 2},
  [587] = {.lex_state = 226, .external_lex_state = 2},
  [588] = {.lex_state = 226, .external_lex_state = 2},
  [589] = {.lex_state = 226, .external_lex_state = 2},
  [590] = {.lex_state = 226, .external_lex_state = 2},
  [591] = {.lex_state = 226, .external_lex_state = 2},
  [592] = {.lex_state = 226, .external_lex_state = 2},
  [593] = {.lex_state = 226, .external_lex_state = 2},
  [594] = {.lex_state = 226, .external_lex_state = 2},
  [595] = {.lex_state = 226, .external_lex_state = 2},
  [596] = {.lex_state = 226, .external_lex_state = 2},
  [597] = {.lex_state = 226, .external_lex_state = 2},
  [598] = {.lex_state = 226, .external_lex_state = 2},
  [599] = {.lex_state = 226, .external_lex_state = 2},
  [600] = {.lex_state = 226, .external_lex_state = 2},
  [601] = {.lex_state = 226, .external_lex_state = 2},
  [602] = {.lex_state = 226, .external_lex_state = 2},
  [603] = {.lex_state = 226, .external_lex_state = 2},
  [604] = {.lex_state = 226, .external_lex_state = 2},
  [605] = {.lex_state = 226, .external_lex_state = 2},
  [606] = {.lex_state = 226, .external_lex_state = 2},
  [607] = {.lex_state = 226, .external_lex_state = 2},
  [608] = {.lex_state = 226, .external_lex_state = 2},
  [609] = {.lex_state = 226, .external_lex_state = 2},
  [610] = {.lex_state = 226, .external_lex_state = 2},
  [611] = {.lex_state = 226, .external_lex_state = 2},
  [612] = {.lex_state = 226, .external_lex_state = 2},
  [613] = {.lex_state = 226, .external_lex_state = 2},
  [614] = {.lex_state = 226, .external_lex_state = 2},
  [615] = {.lex_state = 235, .external_lex_state = 2},
  [616] = {.lex_state = 243, .external_lex_state = 2},
  [617] = {.lex_state = 235, .external_lex_state = 2},
  [618] = {.lex_state = 243, .external_lex_state = 2},
  [619] = {.lex_state = 235, .external_lex_state = 2},
  [620] = {.lex_state = 243, .external_lex_state = 2},
  [621] = {.lex_state = 235, .external_lex_state = 2},
  [622] = {.lex_state = 243, .external_lex_state = 2},
  [623] = {.lex_state = 235, .external_lex_state = 2},
  [624] = {.lex_state = 243, .external_lex_state = 2},
  [625] = {.lex_state = 235, .external_lex_state = 2},
  [626] = {.lex_state = 243, .external_lex_state = 2},
  [627] = {.lex_state = 236, .external_lex_state = 2},
  [628] = {.lex_state = 244, .external_lex_state = 2},
  [629] = {.lex_state = 248, .external_lex_state = 2},
  [630] = {.lex_state = 244, .external_lex_state = 2},
  [631] = {.lex_state = 244, .external_lex_state = 2},
  [632] = {.lex_state = 244, .external_lex_state = 2},
  [633] = {.lex_state = 236, .external_lex_state = 2},
  [634] = {.lex_state = 248, .external_lex_state = 2},
  [635] = {.lex_state = 236, .external_lex_state = 2},
  [636] = {.lex_state = 236, .external_lex_state = 2},
  [637] = {.lex_state = 248, .external_lex_state = 2},
  [638] = {.lex_state = 236, .external_lex_state = 2},
  [639] = {.lex_state = 248, .external_lex_state = 2},
  [640] = {.lex_state = 244, .external_lex_state = 2},
  [641] = {.lex_state = 244, .external_lex_state = 2},
  [642] = {.lex_state = 236, .external_lex_state = 2},
  [643] = {.lex_state = 236, .external_lex_state = 2},
  [644] = {.lex_state = 248, .external_lex_state = 2},
  [645] = {.lex_state = 236, .external_lex_state = 2},
  [646] = {.lex_state = 248, .external_lex_state = 2},
  [647] = {.lex_state = 248, .external_lex_state = 2},
  [648] = {.lex_state = 244, .external_lex_state = 2},
  [649] = {.lex_state = 236, .external_lex_state = 2},
  [650] = {.lex_state = 244, .external_lex_state = 2},
  [651] = {.lex_state = 248, .external_lex_state = 2},
  [652] = {.lex_state = 236, .external_lex_state = 2},
  [653] = {.lex_state = 248, .external_lex_state = 2},
  [654] = {.lex_state = 236, .external_lex_state = 2},
  [655] = {.lex_state = 248, .external_lex_state = 2},
  [656] = {.lex_state = 244, .external_lex_state = 2},
  [657] = {.lex_state = 244, .external_lex_state = 2},
  [658] = {.lex_state = 244, .external_lex_state = 2},
  [659] = {.lex_state = 248, .external_lex_state = 2},
  [660] = {.lex_state = 236, .external_lex_state = 2},
  [661] = {.lex_state = 248, .external_lex_state = 2},
  [662] = {.lex_state = 248, .external_lex_state = 2},
  [663] = {.lex_state = 244, .external_lex_state = 2},
  [664] = {.lex_state = 244, .external_lex_state = 2},
  [665] = {.lex_state = 236, .external_lex_state = 2},
  [666] = {.lex_state = 244, .external_lex_state = 2},
  [667] = {.lex_state = 248, .external_lex_state = 2},
  [668] = {.lex_state = 236, .external_lex_state = 2},
  [669] = {.lex_state = 228, .external_lex_state = 2},
  [670] = {.lex_state = 248, .external_lex_state = 2},
  [671] = {.lex_state = 236, .external_lex_state = 2},
  [672] = {.lex_state = 248, .external_lex_state = 2},
  [673] = {.lex_state = 244, .external_lex_state = 2},
  [674] = {.lex_state = 244, .external_lex_state = 2},
  [675] = {.lex_state = 236, .external_lex_state = 2},
  [676] = {.lex_state = 248, .external_lex_state = 2},
  [677] = {.lex_state = 236, .external_lex_state = 2},
  [678] = {.lex_state = 248, .external_lex_state = 2},
  [679] = {.lex_state = 236, .external_lex_state = 2},
  [680] = {.lex_state = 248, .external_lex_state = 2},
  [681] = {.lex_state = 236, .external_lex_state = 2},
  [682] = {.lex_state = 248, .external_lex_state = 2},
  [683] = {.lex_state = 236, .external_lex_state = 2},
  [684] = {.lex_state = 248, .external_lex_state = 2},
  [685] = {.lex_state = 236, .external_lex_state = 2},
  [686] = {.lex_state = 248, .external_lex_state = 2},
  [687] = {.lex_state = 236, .external_lex_state = 2},
  [688] = {.lex_state = 248, .external_lex_state = 2},
  [689] = {.lex_state = 236, .external_lex_state = 2},
  [690] = {.lex_state = 248, .external_lex_state = 2},
  [691] = {.lex_state = 236, .external_lex_state = 2},
  [692] = {.lex_state = 248, .external_lex_state = 2},
  [693] = {.lex_state = 248, .external_lex_state = 2},
  [694] = {.lex_state = 236, .external_lex_state = 2},
  [695] = {.lex_state = 236, .external_lex_state = 2},
  [696] = {.lex_state = 240, .external_lex_state = 2},
  [697] = {.lex_state = 239, .external_lex_state = 2},
  [698] = {.lex_state = 283, .external_lex_state = 2},
  [699] = {.lex_state = 239, .external_lex_state = 2},
  [700] = {.lex_state = 283, .external_lex_state = 2},
  [701] = {.lex_state = 239, .external_lex_state = 2},
  [702] = {.lex_state = 243, .external_lex_state = 2},
  [703] = {.lex_state = 235, .external_lex_state = 2},
  [704] = {.lex_state = 240, .external_lex_state = 2},
  [705] = {.lex_state = 239, .external_lex_state = 2},
  [706] = {.lex_state = 239, .external_lex_state = 2},
  [707] = {.lex_state = 226, .external_lex_state = 2},
  [708] = {.lex_state = 239, .external_lex_state = 2},
  [709] = {.lex_state = 240, .external_lex_state = 2},
  [710] = {.lex_state = 240, .external_lex_state = 2},
  [711] = {.lex_state = 250, .external_lex_state = 2},
  [712] = {.lex_state = 237, .external_lex_state = 2},
  [713] = {.lex_state = 229, .external_lex_state = 2},
  [714] = {.lex_state = 229, .external_lex_state = 2},
  [715] = {.lex_state = 237, .external_lex_state = 2},
  [716] = {.lex_state = 250, .external_lex_state = 2},
  [717] = {.lex_state = 229, .external_lex_state = 2},
  [718] = {.lex_state = 229, .external_lex_state = 2},
  [719] = {.lex_state = 250, .external_lex_state = 2},
  [720] = {.lex_state = 229, .external_lex_state = 2},
  [721] = {.lex_state = 237, .external_lex_state = 2},
  [722] = {.lex_state = 237, .external_lex_state = 2},
  [723] = {.lex_state = 237, .external_lex_state = 2},
  [724] = {.lex_state = 237, .external_lex_state = 2},
  [725] = {.lex_state = 237, .external_lex_state = 2},
  [726] = {.lex_state = 237, .external_lex_state = 2},
  [727] = {.lex_state = 250, .external_lex_state = 2},
  [728] = {.lex_state = 237, .external_lex_state = 2},
  [729] = {.lex_state = 229, .external_lex_state = 2},
  [730] = {.lex_state = 237, .external_lex_state = 2},
  [731] = {.lex_state = 237, .external_lex_state = 2},
  [732] = {.lex_state = 229, .external_lex_state = 2},
  [733] = {.lex_state = 229, .external_lex_state = 2},
  [734] = {.lex_state = 229, .external_lex_state = 2},
  [735] = {.lex_state = 229, .external_lex_state = 2},
  [736] = {.lex_state = 229, .external_lex_state = 2},
  [737] = {.lex_state = 229, .external_lex_state = 2},
  [738] = {.lex_state = 285, .external_lex_state = 2},
  [739] = {.lex_state = 241, .external_lex_state = 2},
  [740] = {.lex_state = 237, .external_lex_state = 2},
  [741] = {.lex_state = 237, .external_lex_state = 2},
  [742] = {.lex_state = 229, .external_lex_state = 2},
  [743] = {.lex_state = 229, .external_lex_state = 2},
  [744] = {.lex_state = 241, .external_lex_state = 2},
  [745] = {.lex_state = 229, .external_lex_state = 2},
  [746] = {.lex_state = 229, .external_lex_state = 2},
  [747] = {.lex_state = 229, .external_lex_state = 2},
  [748] = {.lex_state = 250, .external_lex_state = 2},
  [749] = {.lex_state = 250, .external_lex_state = 2},
  [750] = {.lex_state = 250, .external_lex_state = 2},
  [751] = {.lex_state = 237, .external_lex_state = 2},
  [752] = {.lex_state = 229, .external_lex_state = 2},
  [753] = {.lex_state = 241, .external_lex_state = 2},
  [754] = {.lex_state = 241, .external_lex_state = 2},
  [755] = {.lex_state = 229, .external_lex_state = 2},
  [756] = {.lex_state = 229, .external_lex_state = 2},
  [757] = {.lex_state = 229, .external_lex_state = 2},
  [758] = {.lex_state = 229, .external_lex_state = 2},
  [759] = {.lex_state = 241, .external_lex_state = 2},
  [760] = {.lex_state = 237, .external_lex_state = 2},
  [761] = {.lex_state = 229, .external_lex_state = 2},
  [762] = {.lex_state = 229, .external_lex_state = 2},
  [763] = {.lex_state = 229, .external_lex_state = 2},
  [764] = {.lex_state = 229, .external_lex_state = 2},
  [765] = {.lex_state = 229, .external_lex_state = 2},
  [766] = {.lex_state = 237, .external_lex_state = 2},
  [767] = {.lex_state = 229, .external_lex_state = 2},
  [768] = {.lex_state = 229, .external_lex_state = 2},
  [769] = {.lex_state = 237, .external_lex_state = 2},
  [770] = {.lex_state = 237, .external_lex_state = 2},
  [771] = {.lex_state = 229, .external_lex_state = 2},
  [772] = {.lex_state = 229, .external_lex_state = 2},
  [773] = {.lex_state = 237, .external_lex_state = 2},
  [774] = {.lex_state = 237, .external_lex_state = 2},
  [775] = {.lex_state = 229, .external_lex_state = 2},
  [776] = {.lex_state = 229, .external_lex_state = 2},
  [777] = {.lex_state = 229, .external_lex_state = 2},
  [778] = {.lex_state = 237, .external_lex_state = 2},
  [779] = {.lex_state = 250, .external_lex_state = 2},
  [780] = {.lex_state = 229, .external_lex_state = 2},
  [781] = {.lex_state = 285, .external_lex_state = 2},
  [782] = {.lex_state = 241, .external_lex_state = 2},
  [783] = {.lex_state = 229, .external_lex_state = 2},
  [784] = {.lex_state = 239, .external_lex_state = 2},
  [785] = {.lex_state = 250, .external_lex_state = 2},
  [786] = {.lex_state = 229, .external_lex_state = 2},
  [787] = {.lex_state = 285, .external_lex_state = 2},
  [788] = {.lex_state = 285, .external_lex_state = 2},
  [789] = {.lex_state = 285, .external_lex_state = 2},
  [790] = {.lex_state = 285, .external_lex_state = 2},
  [791] = {.lex_state = 285, .external_lex_state = 2},
  [792] = {.lex_state = 285, .external_lex_state = 2},
  [793] = {.lex_state = 285, .external_lex_state = 2},
  [794] = {.lex_state = 285, .external_lex_state = 2},
  [795] = {.lex_state = 285, .external_lex_state = 2},
  [796] = {.lex_state = 285, .external_lex_state = 2},
  [797] = {.lex_state = 285, .external_lex_state = 2},
  [798] = {.lex_state = 285, .external_lex_state = 2},
  [799] = {.lex_state = 236, .external_lex_state = 2},
  [800] = {.lex_state = 248, .external_lex_state = 2},
  [801] = {.lex_state = 244, .external_lex_state = 2},
  [802] = {.lex_state = 285, .external_lex_state = 2},
  [803] = {.lex_state = 240, .external_lex_state = 2},
  [804] = {.lex_state = 240, .external_lex_state = 2},
  [805] = {.lex_state = 240, .external_lex_state = 2},
  [806] = {.lex_state = 240, .external_lex_state = 2},
  [807] = {.lex_state = 240, .external_lex_state = 2},
  [808] = {.lex_state = 240, .external_lex_state = 2},
  [809] = {.lex_state = 240, .external_lex_state = 2},
  [810] = {.lex_state = 240, .external_lex_state = 2},
  [811] = {.lex_state = 240, .external_lex_state = 2},
  [812] = {.lex_state = 240, .external_lex_state = 2},
  [813] = {.lex_state = 240, .external_lex_state = 2},
  [814] = {.lex_state = 283, .external_lex_state = 2},
  [815] = {.lex_state = 240, .external_lex_state = 2},
  [816] = {.lex_state = 240, .external_lex_state = 2},
  [817] = {.lex_state = 245, .external_lex_state = 2},
  [818] = {.lex_state = 249, .external_lex_state = 2},
  [819] = {.lex_state = 245, .external_lex_state = 2},
  [820] = {.lex_state = 245, .external_lex_state = 2},
  [821] = {.lex_state = 251, .external_lex_state = 2},
  [822] = {.lex_state = 245, .external_lex_state = 2},
  [823] = {.lex_state = 252, .external_lex_state = 2},
  [824] = {.lex_state = 250, .external_lex_state = 2},
  [825] = {.lex_state = 238, .external_lex_state = 2},
  [826] = {.lex_state = 238, .external_lex_state = 2},
  [827] = {.lex_state = 252, .external_lex_state = 2},
  [828] = {.lex_state = 253, .external_lex_state = 2},
  [829] = {.lex_state = 252, .external_lex_state = 2},
  [830] = {.lex_state = 253, .external_lex_state = 2},
  [831] = {.lex_state = 254, .external_lex_state = 2},
  [832] = {.lex_state = 238, .external_lex_state = 2},
  [833] = {.lex_state = 238, .external_lex_state = 2},
  [834] = {.lex_state = 238, .external_lex_state = 2},
  [835] = {.lex_state = 253, .external_lex_state = 2},
  [836] = {.lex_state = 253, .external_lex_state = 2},
  [837] = {.lex_state = 238, .external_lex_state = 2},
  [838] = {.lex_state = 285, .external_lex_state = 2},
  [839] = {.lex_state = 249, .external_lex_state = 2},
  [840] = {.lex_state = 238, .external_lex_state = 2},
  [841] = {.lex_state = 238, .external_lex_state = 2},
  [842] = {.lex_state = 253, .external_lex_state = 2},
  [843] = {.lex_state = 252, .external_lex_state = 2},
  [844] = {.lex_state = 254, .external_lex_state = 2},
  [845] = {.lex_state = 238, .external_lex_state = 2},
  [846] = {.lex_state = 251, .external_lex_state = 2},
  [847] = {.lex_state = 254, .external_lex_state = 2},
  [848] = {.lex_state = 252, .external_lex_state = 2},
  [849] = {.lex_state = 249, .external_lex_state = 2},
  [850] = {.lex_state = 253, .external_lex_state = 2},
  [851] = {.lex_state = 252, .external_lex_state = 2},
  [852] = {.lex_state = 249, .external_lex_state = 2},
  [853] = {.lex_state = 251, .external_lex_state = 2},
  [854] = {.lex_state = 252, .external_lex_state = 2},
  [855] = {.lex_state = 252, .external_lex_state = 2},
  [856] = {.lex_state = 254, .external_lex_state = 2},
  [857] = {.lex_state = 249, .external_lex_state = 2},
  [858] = {.lex_state = 249, .external_lex_state = 2},
  [859] = {.lex_state = 286, .external_lex_state = 2},
  [860] = {.lex_state = 286, .external_lex_state = 2},
  [861] = {.lex_state = 286, .external_lex_state = 2},
  [862] = {.lex_state = 286, .external_lex_state = 2},
  [863] = {.lex_state = 286, .external_lex_state = 2},
  [864] = {.lex_state = 286, .external_lex_state = 2},
  [865] = {.lex_state = 286, .external_lex_state = 2},
  [866] = {.lex_state = 255, .external_lex_state = 2},
  [867] = {.lex_state = 255, .external_lex_state = 2},
  [868] = {.lex_state = 255, .external_lex_state = 2},
  [869] = {.lex_state = 241, .external_lex_state = 2},
  [870] = {.lex_state = 286, .external_lex_state = 2},
  [871] = {.lex_state = 255, .external_lex_state = 2},
  [872] = {.lex_state = 286, .external_lex_state = 2},
  [873] = {.lex_state = 286, .external_lex_state = 2},
  [874] = {.lex_state = 286, .external_lex_state = 2},
  [875] = {.lex_state = 286, .external_lex_state = 2},
  [876] = {.lex_state = 286, .external_lex_state = 2},
  [877] = {.lex_state = 286, .external_lex_state = 2},
  [878] = {.lex_state = 286, .external_lex_state = 2},
  [879] = {.lex_state = 241, .external_lex_state = 2},
  [880] = {.lex_state = 241, .external_lex_state = 2},
  [881] = {.lex_state = 286, .external_lex_state = 2},
  [882] = {.lex_state = 252, .external_lex_state = 2},
  [883] = {.lex_state = 241, .external_lex_state = 2},
  [884] = {.lex_state = 241, .external_lex_state = 2},
  [885] = {.lex_state = 286, .external_lex_state = 2},
  [886] = {.lex_state = 251, .external_lex_state = 2},
  [887] = {.lex_state = 286, .external_lex_state = 2},
  [888] = {.lex_state = 249, .external_lex_state = 2},
  [889] = {.lex_state = 245, .external_lex_state = 2},
  [890] = {.lex_state = 286, .external_lex_state = 2},
  [891] = {.lex_state = 255, .external_lex_state = 2},
  [892] = {.lex_state = 286, .external_lex_state = 2},
  [893] = {.lex_state = 286, .external_lex_state = 2},
  [894] = {.lex_state = 241, .external_lex_state = 2},
  [895] = {.lex_state = 254, .external_lex_state = 2},
  [896] = {.lex_state = 286, .external_lex_state = 2},
  [897] = {.lex_state = 253, .external_lex_state = 2},
  [898] = {.lex_state = 255, .external_lex_state = 2},
  [899] = {.lex_state = 255, .external_lex_state = 2},
  [900] = {.lex_state = 286, .external_lex_state = 2},
  [901] = {.lex_state = 286, .external_lex_state = 2},
  [902] = {.lex_state = 286, .external_lex_state = 2},
  [903] = {.lex_state = 286, .external_lex_state = 2},
  [904] = {.lex_state = 286, .external_lex_state = 2},
  [905] = {.lex_state = 286, .external_lex_state = 2},
  [906] = {.lex_state = 286, .external_lex_state = 2},
  [907] = {.lex_state = 286, .external_lex_state = 2},
  [908] = {.lex_state = 241, .external_lex_state = 2},
  [909] = {.lex_state = 241, .external_lex_state = 2},
  [910] = {.lex_state = 241, .external_lex_state = 2},
  [911] = {.lex_state = 255, .external_lex_state = 2},
  [912] = {.lex_state = 286, .external_lex_state = 2},
  [913] = {.lex_state = 286, .external_lex_state = 2},
  [914] = {.lex_state = 255, .external_lex_state = 2},
  [915] = {.lex_state = 286, .external_lex_state = 2},
  [916] = {.lex_state = 286, .external_lex_state = 2},
  [917] = {.lex_state = 286, .external_lex_state = 2},
  [918] = {.lex_state = 286, .external_lex_state = 2},
  [919] = {.lex_state = 286, .external_lex_state = 2},
  [920] = {.lex_state = 246, .external_lex_state = 2},
  [921] = {.lex_state = 246, .external_lex_state = 2},
  [922] = {.lex_state = 246, .external_lex_state = 2},
  [923] = {.lex_state = 246, .external_lex_state = 2},
  [924] = {.lex_state = 246, .external_lex_state = 2},
  [925] = {.lex_state = 229, .external_lex_state = 3},
  [926] = {.lex_state = 275, .external_lex_state = 2},
  [927] = {.lex_state = 275, .external_lex_state = 2},
  [928] = {.lex_state = 229, .external_lex_state = 3},
  [929] = {.lex_state = 275, .external_lex_state = 2},
  [930] = {.lex_state = 252, .external_lex_state = 2},
  [931] = {.lex_state = 252, .external_lex_state = 2},
  [932] = {.lex_state = 252, .external_lex_state = 2},
  [933] = {.lex_state = 313, .external_lex_state = 2},
  [934] = {.lex_state = 252, .external_lex_state = 2},
  [935] = {.lex_state = 252, .external_lex_state = 2},
  [936] = {.lex_state = 252, .external_lex_state = 2},
  [937] = {.lex_state = 252, .external_lex_state = 2},
  [938] = {.lex_state = 252, .external_lex_state = 2},
  [939] = {.lex_state = 252, .external_lex_state = 2},
  [940] = {.lex_state = 252, .external_lex_state = 2},
  [941] = {.lex_state = 252, .external_lex_state = 2},
  [942] = {.lex_state = 252, .external_lex_state = 2},
  [943] = {.lex_state = 252, .external_lex_state = 2},
  [944] = {.lex_state = 252, .external_lex_state = 2},
  [945] = {.lex_state = 252, .external_lex_state = 2},
  [946] = {.lex_state = 252, .external_lex_state = 2},
  [947] = {.lex_state = 252, .external_lex_state = 2},
  [948] = {.lex_state = 252, .external_lex_state = 2},
  [949] = {.lex_state = 252, .external_lex_state = 2},
  [950] = {.lex_state = 252, .external_lex_state = 2},
  [951] = {.lex_state = 252, .external_lex_state = 2},
  [952] = {.lex_state = 252, .external_lex_state = 2},
  [953] = {.lex_state = 252, .external_lex_state = 2},
  [954] = {.lex_state = 252, .external_lex_state = 2},
  [955] = {.lex_state = 252, .external_lex_state = 2},
  [956] = {.lex_state = 252, .external_lex_state = 2},
  [957] = {.lex_state = 252, .external_lex_state = 2},
  [958] = {.lex_state = 252, .external_lex_state = 2},
  [959] = {.lex_state = 252, .external_lex_state = 2},
  [960] = {.lex_state = 252, .external_lex_state = 2},
  [961] = {.lex_state = 252, .external_lex_state = 2},
  [962] = {.lex_state = 252, .external_lex_state = 2},
  [963] = {.lex_state = 252, .external_lex_state = 2},
  [964] = {.lex_state = 252, .external_lex_state = 2},
  [965] = {.lex_state = 252, .external_lex_state = 2},
  [966] = {.lex_state = 252, .external_lex_state = 2},
  [967] = {.lex_state = 252, .external_lex_state = 2},
  [968] = {.lex_state = 252, .external_lex_state = 2},
  [969] = {.lex_state = 252, .external_lex_state = 2},
  [970] = {.lex_state = 252, .external_lex_state = 2},
  [971] = {.lex_state = 224, .external_lex_state = 2},
  [972] = {.lex_state = 224, .external_lex_state = 2},
  [973] = {.lex_state = 224, .external_lex_state = 2},
  [974] = {.lex_state = 224, .external_lex_state = 2},
  [975] = {.lex_state = 224, .external_lex_state = 2},
  [976] = {.lex_state = 224, .external_lex_state = 2},
  [977] = {.lex_state = 224, .external_lex_state = 2},
  [978] = {.lex_state = 224, .external_lex_state = 2},
  [979] = {.lex_state = 224, .external_lex_state = 2},
  [980] = {.lex_state = 224, .external_lex_state = 2},
  [981] = {.lex_state = 224, .external_lex_state = 2},
  [982] = {.lex_state = 224, .external_lex_state = 2},
  [983] = {.lex_state = 224, .external_lex_state = 2},
  [984] = {.lex_state = 224, .external_lex_state = 2},
  [985] = {.lex_state = 224, .external_lex_state = 2},
  [986] = {.lex_state = 224, .external_lex_state = 2},
  [987] = {.lex_state = 224, .external_lex_state = 2},
  [988] = {.lex_state = 224, .external_lex_state = 2},
  [989] = {.lex_state = 224, .external_lex_state = 2},
  [990] = {.lex_state = 224, .external_lex_state = 2},
  [991] = {.lex_state = 224, .external_lex_state = 2},
  [992] = {.lex_state = 224, .external_lex_state = 2},
  [993] = {.lex_state = 224, .external_lex_state = 2},
  [994] = {.lex_state = 224, .external_lex_state = 2},
  [995] = {.lex_state = 224, .external_lex_state = 2},
  [996] = {.lex_state = 224, .external_lex_state = 2},
  [997] = {.lex_state = 224, .external_lex_state = 2},
  [998] = {.lex_state = 224, .external_lex_state = 2},
  [999] = {.lex_state = 224, .external_lex_state = 2},
  [1000] = {.lex_state = 224, .external_lex_state = 2},
  [1001] = {.lex_state = 224, .external_lex_state = 2},
  [1002] = {.lex_state = 224, .external_lex_state = 2},
  [1003] = {.lex_state = 224, .external_lex_state = 2},
  [1004] = {.lex_state = 224, .external_lex_state = 2},
  [1005] = {.lex_state = 224, .external_lex_state = 2},
  [1006] = {.lex_state = 224, .external_lex_state = 2},
  [1007] = {.lex_state = 224, .external_lex_state = 2},
  [1008] = {.lex_state = 224, .external_lex_state = 2},
  [1009] = {.lex_state = 224, .external_lex_state = 2},
  [1010] = {.lex_state = 224, .external_lex_state = 2},
  [1011] = {.lex_state = 224, .external_lex_state = 2},
  [1012] = {.lex_state = 224, .external_lex_state = 2},
  [1013] = {.lex_state = 224, .external_lex_state = 2},
  [1014] = {.lex_state = 224, .external_lex_state = 2},
  [1015] = {.lex_state = 224, .external_lex_state = 2},
  [1016] = {.lex_state = 224, .external_lex_state = 2},
  [1017] = {.lex_state = 224, .external_lex_state = 2},
  [1018] = {.lex_state = 224, .external_lex_state = 2},
  [1019] = {.lex_state = 224, .external_lex_state = 2},
  [1020] = {.lex_state = 224, .external_lex_state = 2},
  [1021] = {.lex_state = 224, .external_lex_state = 2},
  [1022] = {.lex_state = 224, .external_lex_state = 2},
  [1023] = {.lex_state = 224, .external_lex_state = 2},
  [1024] = {.lex_state = 224, .external_lex_state = 2},
  [1025] = {.lex_state = 224, .external_lex_state = 2},
  [1026] = {.lex_state = 224, .external_lex_state = 2},
  [1027] = {.lex_state = 224, .external_lex_state = 2},
  [1028] = {.lex_state = 224, .external_lex_state = 2},
  [1029] = {.lex_state = 224, .external_lex_state = 2},
  [1030] = {.lex_state = 224, .external_lex_state = 2},
  [1031] = {.lex_state = 224, .external_lex_state = 2},
  [1032] = {.lex_state = 224, .external_lex_state = 2},
  [1033] = {.lex_state = 224, .external_lex_state = 2},
  [1034] = {.lex_state = 224, .external_lex_state = 2},
  [1035] = {.lex_state = 224, .external_lex_state = 2},
  [1036] = {.lex_state = 224, .external_lex_state = 2},
  [1037] = {.lex_state = 224, .external_lex_state = 2},
  [1038] = {.lex_state = 224, .external_lex_state = 2},
  [1039] = {.lex_state = 224, .external_lex_state = 2},
  [1040] = {.lex_state = 224, .external_lex_state = 2},
  [1041] = {.lex_state = 224, .external_lex_state = 2},
  [1042] = {.lex_state = 224, .external_lex_state = 2},
  [1043] = {.lex_state = 224, .external_lex_state = 2},
  [1044] = {.lex_state = 224, .external_lex_state = 2},
  [1045] = {.lex_state = 224, .external_lex_state = 2},
  [1046] = {.lex_state = 224, .external_lex_state = 2},
  [1047] = {.lex_state = 224, .external_lex_state = 2},
  [1048] = {.lex_state = 224, .external_lex_state = 2},
  [1049] = {.lex_state = 224, .external_lex_state = 2},
  [1050] = {.lex_state = 224, .external_lex_state = 2},
  [1051] = {.lex_state = 224, .external_lex_state = 2},
  [1052] = {.lex_state = 224, .external_lex_state = 2},
  [1053] = {.lex_state = 224, .external_lex_state = 2},
  [1054] = {.lex_state = 224, .external_lex_state = 2},
  [1055] = {.lex_state = 224, .external_lex_state = 2},
  [1056] = {.lex_state = 224, .external_lex_state = 2},
  [1057] = {.lex_state = 224, .external_lex_state = 2},
  [1058] = {.lex_state = 224, .external_lex_state = 2},
  [1059] = {.lex_state = 224, .external_lex_state = 2},
  [1060] = {.lex_state = 224, .external_lex_state = 2},
  [1061] = {.lex_state = 224, .external_lex_state = 2},
  [1062] = {.lex_state = 224, .external_lex_state = 2},
  [1063] = {.lex_state = 224, .external_lex_state = 2},
  [1064] = {.lex_state = 224, .external_lex_state = 2},
  [1065] = {.lex_state = 224, .external_lex_state = 2},
  [1066] = {.lex_state = 224, .external_lex_state = 2},
  [1067] = {.lex_state = 224, .external_lex_state = 2},
  [1068] = {.lex_state = 224, .external_lex_state = 2},
  [1069] = {.lex_state = 224, .external_lex_state = 2},
  [1070] = {.lex_state = 224, .external_lex_state = 2},
  [1071] = {.lex_state = 224, .external_lex_state = 2},
  [1072] = {.lex_state = 224, .external_lex_state = 2},
  [1073] = {.lex_state = 1290, .external_lex_state = 2},
  [1074] = {.lex_state = 281, .external_lex_state = 2},
  [1075] = {.lex_state = 1290, .external_lex_state = 2},
  [1076] = {.lex_state = 281, .external_lex_state = 2},
  [1077] = {.lex_state = 281, .external_lex_state = 2},
  [1078] = {.lex_state = 281, .external_lex_state = 2},
  [1079] = {.lex_state = 281, .external_lex_state = 2},
  [1080] = {.lex_state = 1290, .external_lex_state = 2},
  [1081] = {.lex_state = 1290, .external_lex_state = 2},
  [1082] = {.lex_state = 1290, .external_lex_state = 2},
  [1083] = {.lex_state = 1290, .external_lex_state = 2},
  [1084] = {.lex_state = 281, .external_lex_state = 2},
  [1085] = {.lex_state = 281, .external_lex_state = 2},
  [1086] = {.lex_state = 281, .external_lex_state = 2},
  [1087] = {.lex_state = 281, .external_lex_state = 2},
  [1088] = {.lex_state = 1290, .external_lex_state = 2},
  [1089] = {.lex_state = 281, .external_lex_state = 2},
  [1090] = {.lex_state = 1290, .external_lex_state = 2},
  [1091] = {.lex_state = 1290, .external_lex_state = 2},
  [1092] = {.lex_state = 1290, .external_lex_state = 2},
  [1093] = {.lex_state = 281, .external_lex_state = 2},
  [1094] = {.lex_state = 1290, .external_lex_state = 2},
  [1095] = {.lex_state = 1290, .external_lex_state = 2},
  [1096] = {.lex_state = 281, .external_lex_state = 2},
  [1097] = {.lex_state = 281, .external_lex_state = 2},
  [1098] = {.lex_state = 1290, .external_lex_state = 2},
  [1099] = {.lex_state = 281, .external_lex_state = 2},
  [1100] = {.lex_state = 281, .external_lex_state = 2},
  [1101] = {.lex_state = 281, .external_lex_state = 2},
  [1102] = {.lex_state = 1290, .external_lex_state = 2},
  [1103] = {.lex_state = 281, .external_lex_state = 2},
  [1104] = {.lex_state = 281, .external_lex_state = 2},
  [1105] = {.lex_state = 1290, .external_lex_state = 2},
  [1106] = {.lex_state = 1290, .external_lex_state = 2},
  [1107] = {.lex_state = 281, .external_lex_state = 2},
  [1108] = {.lex_state = 281, .external_lex_state = 2},
  [1109] = {.lex_state = 281, .external_lex_state = 2},
  [1110] = {.lex_state = 281, .external_lex_state = 2},
  [1111] = {.lex_state = 281, .external_lex_state = 2},
  [1112] = {.lex_state = 281, .external_lex_state = 2},
  [1113] = {.lex_state = 1290, .external_lex_state = 2},
  [1114] = {.lex_state = 1290, .external_lex_state = 2},
  [1115] = {.lex_state = 281, .external_lex_state = 2},
  [1116] = {.lex_state = 281, .external_lex_state = 2},
  [1117] = {.lex_state = 281, .external_lex_state = 2},
  [1118] = {.lex_state = 281, .external_lex_state = 2},
  [1119] = {.lex_state = 281, .external_lex_state = 2},
  [1120] = {.lex_state = 281, .external_lex_state = 2},
  [1121] = {.lex_state = 281, .external_lex_state = 2},
  [1122] = {.lex_state = 281, .external_lex_state = 2},
  [1123] = {.lex_state = 1290, .external_lex_state = 2},
  [1124] = {.lex_state = 1290, .external_lex_state = 2},
  [1125] = {.lex_state = 1290, .external_lex_state = 2},
  [1126] = {.lex_state = 281, .external_lex_state = 2},
  [1127] = {.lex_state = 1290, .external_lex_state = 2},
  [1128] = {.lex_state = 281, .external_lex_state = 2},
  [1129] = {.lex_state = 281, .external_lex_state = 2},
  [1130] = {.lex_state = 281, .external_lex_state = 2},
  [1131] = {.lex_state = 281, .external_lex_state = 2},
  [1132] = {.lex_state = 281, .external_lex_state = 2},
  [1133] = {.lex_state = 281, .external_lex_state = 2},
  [1134] = {.lex_state = 281, .external_lex_state = 2},
  [1135] = {.lex_state = 281, .external_lex_state = 2},
  [1136] = {.lex_state = 281, .external_lex_state = 2},
  [1137] = {.lex_state = 281, .external_lex_state = 2},
  [1138] = {.lex_state = 1290, .external_lex_state = 2},
  [1139] = {.lex_state = 1290, .external_lex_state = 2},
  [1140] = {.lex_state = 281, .external_lex_state = 2},
  [1141] = {.lex_state = 281, .external_lex_state = 2},
  [1142] = {.lex_state = 1290, .external_lex_state = 2},
  [1143] = {.lex_state = 281, .external_lex_state = 2},
  [1144] = {.lex_state = 281, .external_lex_state = 2},
  [1145] = {.lex_state = 281, .external_lex_state = 2},
  [1146] = {.lex_state = 281, .external_lex_state = 2},
  [1147] = {.lex_state = 281, .external_lex_state = 2},
  [1148] = {.lex_state = 281, .external_lex_state = 2},
  [1149] = {.lex_state = 281, .external_lex_state = 2},
  [1150] = {.lex_state = 1290, .external_lex_state = 2},
  [1151] = {.lex_state = 1290, .external_lex_state = 2},
  [1152] = {.lex_state = 281, .external_lex_state = 2},
  [1153] = {.lex_state = 281, .external_lex_state = 2},
  [1154] = {.lex_state = 281, .external_lex_state = 2},
  [1155] = {.lex_state = 281, .external_lex_state = 2},
  [1156] = {.lex_state = 281, .external_lex_state = 2},
  [1157] = {.lex_state = 281, .external_lex_state = 2},
  [1158] = {.lex_state = 281, .external_lex_state = 2},
  [1159] = {.lex_state = 281, .external_lex_state = 2},
  [1160] = {.lex_state = 281, .external_lex_state = 2},
  [1161] = {.lex_state = 1290, .external_lex_state = 2},
  [1162] = {.lex_state = 281, .external_lex_state = 2},
  [1163] = {.lex_state = 1290, .external_lex_state = 2},
  [1164] = {.lex_state = 1290, .external_lex_state = 2},
  [1165] = {.lex_state = 1290, .external_lex_state = 2},
  [1166] = {.lex_state = 1290, .external_lex_state = 2},
  [1167] = {.lex_state = 281, .external_lex_state = 2},
  [1168] = {.lex_state = 281, .external_lex_state = 2},
  [1169] = {.lex_state = 281, .external_lex_state = 2},
  [1170] = {.lex_state = 281, .external_lex_state = 2},
  [1171] = {.lex_state = 281, .external_lex_state = 2},
  [1172] = {.lex_state = 281, .external_lex_state = 2},
  [1173] = {.lex_state = 281, .external_lex_state = 2},
  [1174] = {.lex_state = 281, .external_lex_state = 2},
  [1175] = {.lex_state = 281, .external_lex_state = 2},
  [1176] = {.lex_state = 281, .external_lex_state = 2},
  [1177] = {.lex_state = 281, .external_lex_state = 2},
  [1178] = {.lex_state = 281, .external_lex_state = 2},
  [1179] = {.lex_state = 281, .external_lex_state = 2},
  [1180] = {.lex_state = 281, .external_lex_state = 2},
  [1181] = {.lex_state = 281, .external_lex_state = 2},
  [1182] = {.lex_state = 281, .external_lex_state = 2},
  [1183] = {.lex_state = 281, .external_lex_state = 2},
  [1184] = {.lex_state = 281, .external_lex_state = 2},
  [1185] = {.lex_state = 281, .external_lex_state = 2},
  [1186] = {.lex_state = 281, .external_lex_state = 2},
  [1187] = {.lex_state = 281, .external_lex_state = 2},
  [1188] = {.lex_state = 281, .external_lex_state = 2},
  [1189] = {.lex_state = 281, .external_lex_state = 2},
  [1190] = {.lex_state = 281, .external_lex_state = 2},
  [1191] = {.lex_state = 281, .external_lex_state = 2},
  [1192] = {.lex_state = 281, .external_lex_state = 2},
  [1193] = {.lex_state = 1290, .external_lex_state = 2},
  [1194] = {.lex_state = 1290, .external_lex_state = 2},
  [1195] = {.lex_state = 1290, .external_lex_state = 2},
  [1196] = {.lex_state = 281, .external_lex_state = 2},
  [1197] = {.lex_state = 281, .external_lex_state = 2},
  [1198] = {.lex_state = 281, .external_lex_state = 2},
  [1199] = {.lex_state = 281, .external_lex_state = 2},
  [1200] = {.lex_state = 281, .external_lex_state = 2},
  [1201] = {.lex_state = 281, .external_lex_state = 2},
  [1202] = {.lex_state = 281, .external_lex_state = 2},
  [1203] = {.lex_state = 281, .external_lex_state = 2},
  [1204] = {.lex_state = 1290, .external_lex_state = 2},
  [1205] = {.lex_state = 1290, .external_lex_state = 2},
  [1206] = {.lex_state = 1290, .external_lex_state = 2},
  [1207] = {.lex_state = 1290, .external_lex_state = 2},
  [1208] = {.lex_state = 1290, .external_lex_state = 2},
  [1209] = {.lex_state = 1290, .external_lex_state = 2},
  [1210] = {.lex_state = 1290, .external_lex_state = 2},
  [1211] = {.lex_state = 1290, .external_lex_state = 2},
  [1212] = {.lex_state = 1290, .external_lex_state = 2},
  [1213] = {.lex_state = 1290, .external_lex_state = 2},
  [1214] = {.lex_state = 1290, .external_lex_state = 2},
  [1215] = {.lex_state = 1290, .external_lex_state = 2},
  [1216] = {.lex_state = 1290, .external_lex_state = 2},
  [1217] = {.lex_state = 1290, .external_lex_state = 2},
  [1218] = {.lex_state = 1290, .external_lex_state = 2},
  [1219] = {.lex_state = 1290, .external_lex_state = 2},
  [1220] = {.lex_state = 1290, .external_lex_state = 2},
  [1221] = {.lex_state = 1290, .external_lex_state = 2},
  [1222] = {.lex_state = 1290, .external_lex_state = 2},
  [1223] = {.lex_state = 1290, .external_lex_state = 2},
  [1224] = {.lex_state = 1290, .external_lex_state = 2},
  [1225] = {.lex_state = 1290, .external_lex_state = 2},
  [1226] = {.lex_state = 1290, .external_lex_state = 2},
  [1227] = {.lex_state = 1290, .external_lex_state = 2},
  [1228] = {.lex_state = 1290, .external_lex_state = 2},
  [1229] = {.lex_state = 1290, .external_lex_state = 2},
  [1230] = {.lex_state = 1290, .external_lex_state = 2},
  [1231] = {.lex_state = 1290, .external_lex_state = 2},
  [1232] = {.lex_state = 1290, .external_lex_state = 2},
  [1233] = {.lex_state = 1290, .external_lex_state = 2},
  [1234] = {.lex_state = 1290, .external_lex_state = 2},
  [1235] = {.lex_state = 1290, .external_lex_state = 2},
  [1236] = {.lex_state = 1290, .external_lex_state = 2},
  [1237] = {.lex_state = 1290, .external_lex_state = 2},
  [1238] = {.lex_state = 1290, .external_lex_state = 2},
  [1239] = {.lex_state = 1290, .external_lex_state = 2},
  [1240] = {.lex_state = 1290, .external_lex_state = 2},
  [1241] = {.lex_state = 1290, .external_lex_state = 2},
  [1242] = {.lex_state = 1290, .external_lex_state = 2},
  [1243] = {.lex_state = 1290, .external_lex_state = 2},
  [1244] = {.lex_state = 1290, .external_lex_state = 2},
  [1245] = {.lex_state = 1290, .external_lex_state = 2},
  [1246] = {.lex_state = 1290, .external_lex_state = 2},
  [1247] = {.lex_state = 1290, .external_lex_state = 2},
  [1248] = {.lex_state = 1290, .external_lex_state = 2},
  [1249] = {.lex_state = 1290, .external_lex_state = 2},
  [1250] = {.lex_state = 1290, .external_lex_state = 2},
  [1251] = {.lex_state = 1290, .external_lex_state = 2},
  [1252] = {.lex_state = 1290, .external_lex_state = 2},
  [1253] = {.lex_state = 1290, .external_lex_state = 2},
  [1254] = {.lex_state = 1290, .external_lex_state = 2},
  [1255] = {.lex_state = 1290, .external_lex_state = 2},
  [1256] = {.lex_state = 1290, .external_lex_state = 2},
  [1257] = {.lex_state = 227, .external_lex_state = 2},
  [1258] = {.lex_state = 227, .external_lex_state = 2},
  [1259] = {.lex_state = 227, .external_lex_state = 2},
  [1260] = {.lex_state = 227, .external_lex_state = 2},
  [1261] = {.lex_state = 227, .external_lex_state = 2},
  [1262] = {.lex_state = 227, .external_lex_state = 2},
  [1263] = {.lex_state = 227, .external_lex_state = 2},
  [1264] = {.lex_state = 227, .external_lex_state = 2},
  [1265] = {.lex_state = 227, .external_lex_state = 2},
  [1266] = {.lex_state = 227, .external_lex_state = 2},
  [1267] = {.lex_state = 227, .external_lex_state = 2},
  [1268] = {.lex_state = 227, .external_lex_state = 2},
  [1269] = {.lex_state = 227, .external_lex_state = 2},
  [1270] = {.lex_state = 227, .external_lex_state = 2},
  [1271] = {.lex_state = 227, .external_lex_state = 2},
  [1272] = {.lex_state = 227, .external_lex_state = 2},
  [1273] = {.lex_state = 227, .external_lex_state = 2},
  [1274] = {.lex_state = 227, .external_lex_state = 2},
  [1275] = {.lex_state = 227, .external_lex_state = 2},
  [1276] = {.lex_state = 227, .external_lex_state = 2},
  [1277] = {.lex_state = 227, .external_lex_state = 2},
  [1278] = {.lex_state = 227, .external_lex_state = 2},
  [1279] = {.lex_state = 227, .external_lex_state = 2},
  [1280] = {.lex_state = 227, .external_lex_state = 2},
  [1281] = {.lex_state = 227, .external_lex_state = 2},
  [1282] = {.lex_state = 225, .external_lex_state = 2},
  [1283] = {.lex_state = 225, .external_lex_state = 2},
  [1284] = {.lex_state = 225, .external_lex_state = 2},
  [1285] = {.lex_state = 225, .external_lex_state = 2},
  [1286] = {.lex_state = 225, .external_lex_state = 2},
  [1287] = {.lex_state = 225, .external_lex_state = 2},
  [1288] = {.lex_state = 225, .external_lex_state = 2},
  [1289] = {.lex_state = 225, .external_lex_state = 2},
  [1290] = {.lex_state = 225, .external_lex_state = 2},
  [1291] = {.lex_state = 225, .external_lex_state = 2},
  [1292] = {.lex_state = 225, .external_lex_state = 2},
  [1293] = {.lex_state = 225, .external_lex_state = 2},
  [1294] = {.lex_state = 225, .external_lex_state = 2},
  [1295] = {.lex_state = 225, .external_lex_state = 2},
  [1296] = {.lex_state = 225, .external_lex_state = 2},
  [1297] = {.lex_state = 225, .external_lex_state = 2},
  [1298] = {.lex_state = 225, .external_lex_state = 2},
  [1299] = {.lex_state = 225, .external_lex_state = 2},
  [1300] = {.lex_state = 225, .external_lex_state = 2},
  [1301] = {.lex_state = 225, .external_lex_state = 2},
  [1302] = {.lex_state = 225, .external_lex_state = 2},
  [1303] = {.lex_state = 225, .external_lex_state = 2},
  [1304] = {.lex_state = 225, .external_lex_state = 2},
  [1305] = {.lex_state = 225, .external_lex_state = 2},
  [1306] = {.lex_state = 225, .external_lex_state = 2},
  [1307] = {.lex_state = 225, .external_lex_state = 2},
  [1308] = {.lex_state = 225, .external_lex_state = 2},
  [1309] = {.lex_state = 225, .external_lex_state = 2},
  [1310] = {.lex_state = 225, .external_lex_state = 2},
  [1311] = {.lex_state = 227, .external_lex_state = 2},
  [1312] = {.lex_state = 225, .external_lex_state = 2},
  [1313] = {.lex_state = 225, .external_lex_state = 2},
  [1314] = {.lex_state = 225, .external_lex_state = 2},
  [1315] = {.lex_state = 225, .external_lex_state = 2},
  [1316] = {.lex_state = 225, .external_lex_state = 2},
  [1317] = {.lex_state = 227, .external_lex_state = 2},
  [1318] = {.lex_state = 227, .external_lex_state = 2},
  [1319] = {.lex_state = 227, .external_lex_state = 2},
  [1320] = {.lex_state = 227, .external_lex_state = 2},
  [1321] = {.lex_state = 227, .external_lex_state = 2},
  [1322] = {.lex_state = 227, .external_lex_state = 2},
  [1323] = {.lex_state = 227, .external_lex_state = 2},
  [1324] = {.lex_state = 227, .external_lex_state = 2},
  [1325] = {.lex_state = 227, .external_lex_state = 2},
  [1326] = {.lex_state = 227, .external_lex_state = 2},
  [1327] = {.lex_state = 227, .external_lex_state = 2},
  [1328] = {.lex_state = 227, .external_lex_state = 2},
  [1329] = {.lex_state = 227, .external_lex_state = 2},
  [1330] = {.lex_state = 227, .external_lex_state = 2},
  [1331] = {.lex_state = 227, .external_lex_state = 2},
  [1332] = {.lex_state = 227, .external_lex_state = 2},
  [1333] = {.lex_state = 227, .external_lex_state = 2},
  [1334] = {.lex_state = 227, .external_lex_state = 2},
  [1335] = {.lex_state = 227, .external_lex_state = 2},
  [1336] = {.lex_state = 227, .external_lex_state = 2},
  [1337] = {.lex_state = 227, .external_lex_state = 2},
  [1338] = {.lex_state = 227, .external_lex_state = 2},
  [1339] = {.lex_state = 227, .external_lex_state = 2},
  [1340] = {.lex_state = 227, .external_lex_state = 2},
  [1341] = {.lex_state = 227, .external_lex_state = 2},
  [1342] = {.lex_state = 227, .external_lex_state = 2},
  [1343] = {.lex_state = 227, .external_lex_state = 2},
  [1344] = {.lex_state = 227, .external_lex_state = 2},
  [1345] = {.lex_state = 227, .external_lex_state = 2},
  [1346] = {.lex_state = 227, .external_lex_state = 2},
  [1347] = {.lex_state = 227, .external_lex_state = 2},
  [1348] = {.lex_state = 227, .external_lex_state = 2},
  [1349] = {.lex_state = 227, .external_lex_state = 2},
  [1350] = {.lex_state = 227, .external_lex_state = 2},
  [1351] = {.lex_state = 227, .external_lex_state = 2},
  [1352] = {.lex_state = 227, .external_lex_state = 2},
  [1353] = {.lex_state = 227, .external_lex_state = 2},
  [1354] = {.lex_state = 227, .external_lex_state = 2},
  [1355] = {.lex_state = 227, .external_lex_state = 2},
  [1356] = {.lex_state = 227, .external_lex_state = 2},
  [1357] = {.lex_state = 227, .external_lex_state = 2},
  [1358] = {.lex_state = 227, .external_lex_state = 2},
  [1359] = {.lex_state = 227, .external_lex_state = 2},
  [1360] = {.lex_state = 227, .external_lex_state = 2},
  [1361] = {.lex_state = 225, .external_lex_state = 2},
  [1362] = {.lex_state = 225, .external_lex_state = 2},
  [1363] = {.lex_state = 225, .external_lex_state = 2},
  [1364] = {.lex_state = 225, .external_lex_state = 2},
  [1365] = {.lex_state = 225, .external_lex_state = 2},
  [1366] = {.lex_state = 225, .external_lex_state = 2},
  [1367] = {.lex_state = 225, .external_lex_state = 2},
  [1368] = {.lex_state = 225, .external_lex_state = 2},
  [1369] = {.lex_state = 225, .external_lex_state = 2},
  [1370] = {.lex_state = 225, .external_lex_state = 2},
  [1371] = {.lex_state = 225, .external_lex_state = 2},
  [1372] = {.lex_state = 225, .external_lex_state = 2},
  [1373] = {.lex_state = 225, .external_lex_state = 2},
  [1374] = {.lex_state = 225, .external_lex_state = 2},
  [1375] = {.lex_state = 225, .external_lex_state = 2},
  [1376] = {.lex_state = 225, .external_lex_state = 2},
  [1377] = {.lex_state = 225, .external_lex_state = 2},
  [1378] = {.lex_state = 225, .external_lex_state = 2},
  [1379] = {.lex_state = 225, .external_lex_state = 2},
  [1380] = {.lex_state = 225, .external_lex_state = 2},
  [1381] = {.lex_state = 225, .external_lex_state = 2},
  [1382] = {.lex_state = 225, .external_lex_state = 2},
  [1383] = {.lex_state = 225, .external_lex_state = 2},
  [1384] = {.lex_state = 225, .external_lex_state = 2},
  [1385] = {.lex_state = 225, .external_lex_state = 2},
  [1386] = {.lex_state = 225, .external_lex_state = 2},
  [1387] = {.lex_state = 225, .external_lex_state = 2},
  [1388] = {.lex_state = 225, .external_lex_state = 2},
  [1389] = {.lex_state = 225, .external_lex_state = 2},
  [1390] = {.lex_state = 225, .external_lex_state = 2},
  [1391] = {.lex_state = 225, .external_lex_state = 2},
  [1392] = {.lex_state = 225, .external_lex_state = 2},
  [1393] = {.lex_state = 225, .external_lex_state = 2},
  [1394] = {.lex_state = 225, .external_lex_state = 2},
  [1395] = {.lex_state = 225, .external_lex_state = 2},
  [1396] = {.lex_state = 225, .external_lex_state = 2},
  [1397] = {.lex_state = 225, .external_lex_state = 2},
  [1398] = {.lex_state = 225, .external_lex_state = 2},
  [1399] = {.lex_state = 225, .external_lex_state = 2},
  [1400] = {.lex_state = 225, .external_lex_state = 2},
  [1401] = {.lex_state = 225, .external_lex_state = 2},
  [1402] = {.lex_state = 225, .external_lex_state = 2},
  [1403] = {.lex_state = 225, .external_lex_state = 2},
  [1404] = {.lex_state = 225, .external_lex_state = 2},
  [1405] = {.lex_state = 225, .external_lex_state = 2},
  [1406] = {.lex_state = 225, .external_lex_state = 2},
  [1407] = {.lex_state = 225, .external_lex_state = 2},
  [1408] = {.lex_state = 225, .external_lex_state = 2},
  [1409] = {.lex_state = 225, .external_lex_state = 2},
  [1410] = {.lex_state = 225, .external_lex_state = 2},
  [1411] = {.lex_state = 225, .external_lex_state = 2},
  [1412] = {.lex_state = 225, .external_lex_state = 2},
  [1413] = {.lex_state = 225, .external_lex_state = 2},
  [1414] = {.lex_state = 225, .external_lex_state = 2},
  [1415] = {.lex_state = 225, .external_lex_state = 2},
  [1416] = {.lex_state = 225, .external_lex_state = 2},
  [1417] = {.lex_state = 225, .external_lex_state = 2},
  [1418] = {.lex_state = 225, .external_lex_state = 2},
  [1419] = {.lex_state = 225, .external_lex_state = 2},
  [1420] = {.lex_state = 225, .external_lex_state = 2},
  [1421] = {.lex_state = 225, .external_lex_state = 2},
  [1422] = {.lex_state = 225, .external_lex_state = 2},
  [1423] = {.lex_state = 225, .external_lex_state = 2},
  [1424] = {.lex_state = 284, .external_lex_state = 2},
  [1425] = {.lex_state = 284, .external_lex_state = 2},
  [1426] = {.lex_state = 284, .external_lex_state = 2},
  [1427] = {.lex_state = 284, .external_lex_state = 2},
  [1428] = {.lex_state = 284, .external_lex_state = 2},
  [1429] = {.lex_state = 284, .external_lex_state = 2},
  [1430] = {.lex_state = 284, .external_lex_state = 2},
  [1431] = {.lex_state = 284, .external_lex_state = 2},
  [1432] = {.lex_state = 284, .external_lex_state = 2},
  [1433] = {.lex_state = 284, .external_lex_state = 2},
  [1434] = {.lex_state = 284, .external_lex_state = 2},
  [1435] = {.lex_state = 284, .external_lex_state = 2},
  [1436] = {.lex_state = 284, .external_lex_state = 2},
  [1437] = {.lex_state = 284, .external_lex_state = 2},
  [1438] = {.lex_state = 284, .external_lex_state = 2},
  [1439] = {.lex_state = 284, .external_lex_state = 2},
  [1440] = {.lex_state = 284, .external_lex_state = 2},
  [1441] = {.lex_state = 284, .external_lex_state = 2},
  [1442] = {.lex_state = 284, .external_lex_state = 2},
  [1443] = {.lex_state = 284, .external_lex_state = 2},
  [1444] = {.lex_state = 284, .external_lex_state = 2},
  [1445] = {.lex_state = 284, .external_lex_state = 2},
  [1446] = {.lex_state = 284, .external_lex_state = 2},
  [1447] = {.lex_state = 284, .external_lex_state = 2},
  [1448] = {.lex_state = 284, .external_lex_state = 2},
  [1449] = {.lex_state = 284, .external_lex_state = 2},
  [1450] = {.lex_state = 256, .external_lex_state = 2},
  [1451] = {.lex_state = 242, .external_lex_state = 2},
  [1452] = {.lex_state = 242, .external_lex_state = 2},
  [1453] = {.lex_state = 256, .external_lex_state = 2},
  [1454] = {.lex_state = 234, .external_lex_state = 2},
  [1455] = {.lex_state = 256, .external_lex_state = 2},
  [1456] = {.lex_state = 242, .external_lex_state = 2},
  [1457] = {.lex_state = 256, .external_lex_state = 2},
  [1458] = {.lex_state = 242, .external_lex_state = 2},
  [1459] = {.lex_state = 242, .external_lex_state = 2},
  [1460] = {.lex_state = 242, .external_lex_state = 2},
  [1461] = {.lex_state = 242, .external_lex_state = 2},
  [1462] = {.lex_state = 242, .external_lex_state = 2},
  [1463] = {.lex_state = 256, .external_lex_state = 2},
  [1464] = {.lex_state = 242, .external_lex_state = 2},
  [1465] = {.lex_state = 242, .external_lex_state = 2},
  [1466] = {.lex_state = 242, .external_lex_state = 2},
  [1467] = {.lex_state = 242, .external_lex_state = 2},
  [1468] = {.lex_state = 256, .external_lex_state = 2},
  [1469] = {.lex_state = 242, .external_lex_state = 2},
  [1470] = {.lex_state = 242, .external_lex_state = 2},
  [1471] = {.lex_state = 242, .external_lex_state = 2},
  [1472] = {.lex_state = 242, .external_lex_state = 2},
  [1473] = {.lex_state = 242, .external_lex_state = 2},
  [1474] = {.lex_state = 242, .external_lex_state = 2},
  [1475] = {.lex_state = 233, .external_lex_state = 2},
  [1476] = {.lex_state = 282, .external_lex_state = 2},
  [1477] = {.lex_state = 233, .external_lex_state = 2},
  [1478] = {.lex_state = 233, .external_lex_state = 2},
  [1479] = {.lex_state = 282, .external_lex_state = 2},
  [1480] = {.lex_state = 233, .external_lex_state = 2},
  [1481] = {.lex_state = 233, .external_lex_state = 2},
  [1482] = {.lex_state = 282, .external_lex_state = 2},
  [1483] = {.lex_state = 233, .external_lex_state = 2},
  [1484] = {.lex_state = 282, .external_lex_state = 2},
  [1485] = {.lex_state = 233, .external_lex_state = 2},
  [1486] = {.lex_state = 233, .external_lex_state = 2},
  [1487] = {.lex_state = 282, .external_lex_state = 2},
  [1488] = {.lex_state = 233, .external_lex_state = 2},
  [1489] = {.lex_state = 233, .external_lex_state = 2},
  [1490] = {.lex_state = 282, .external_lex_state = 2},
  [1491] = {.lex_state = 282, .external_lex_state = 2},
  [1492] = {.lex_state = 233, .external_lex_state = 2},
  [1493] = {.lex_state = 233, .external_lex_state = 2},
  [1494] = {.lex_state = 282, .external_lex_state = 2},
  [1495] = {.lex_state = 233, .external_lex_state = 2},
  [1496] = {.lex_state = 233, .external_lex_state = 2},
  [1497] = {.lex_state = 233, .external_lex_state = 2},
  [1498] = {.lex_state = 233, .external_lex_state = 2},
  [1499] = {.lex_state = 233, .external_lex_state = 2},
  [1500] = {.lex_state = 233, .external_lex_state = 2},
  [1501] = {.lex_state = 234, .external_lex_state = 2},
  [1502] = {.lex_state = 256, .external_lex_state = 2},
  [1503] = {.lex_state = 234, .external_lex_state = 2},
  [1504] = {.lex_state = 234, .external_lex_state = 2},
  [1505] = {.lex_state = 234, .external_lex_state = 2},
  [1506] = {.lex_state = 233, .external_lex_state = 2},
  [1507] = {.lex_state = 284, .external_lex_state = 2},
  [1508] = {.lex_state = 284, .external_lex_state = 2},
  [1509] = {.lex_state = 284, .external_lex_state = 2},
  [1510] = {.lex_state = 284, .external_lex_state = 2},
  [1511] = {.lex_state = 284, .external_lex_state = 2},
  [1512] = {.lex_state = 284, .external_lex_state = 2},
  [1513] = {.lex_state = 284, .external_lex_state = 2},
  [1514] = {.lex_state = 284, .external_lex_state = 2},
  [1515] = {.lex_state = 284, .external_lex_state = 2},
  [1516] = {.lex_state = 284, .external_lex_state = 2},
  [1517] = {.lex_state = 284, .external_lex_state = 2},
  [1518] = {.lex_state = 284, .external_lex_state = 2},
  [1519] = {.lex_state = 234, .external_lex_state = 2},
  [1520] = {.lex_state = 234, .external_lex_state = 2},
  [1521] = {.lex_state = 284, .external_lex_state = 2},
  [1522] = {.lex_state = 284, .external_lex_state = 2},
  [1523] = {.lex_state = 284, .external_lex_state = 2},
  [1524] = {.lex_state = 284, .external_lex_state = 2},
  [1525] = {.lex_state = 233, .external_lex_state = 2},
  [1526] = {.lex_state = 284, .external_lex_state = 2},
  [1527] = {.lex_state = 284, .external_lex_state = 2},
  [1528] = {.lex_state = 284, .external_lex_state = 2},
  [1529] = {.lex_state = 284, .external_lex_state = 2},
  [1530] = {.lex_state = 284, .external_lex_state = 2},
  [1531] = {.lex_state = 284, .external_lex_state = 2},
  [1532] = {.lex_state = 284, .external_lex_state = 2},
  [1533] = {.lex_state = 284, .external_lex_state = 2},
  [1534] = {.lex_state = 284, .external_lex_state = 2},
  [1535] = {.lex_state = 284, .external_lex_state = 2},
  [1536] = {.lex_state = 284, .external_lex_state = 2},
  [1537] = {.lex_state = 284, .external_lex_state = 2},
  [1538] = {.lex_state = 284, .external_lex_state = 2},
  [1539] = {.lex_state = 284, .external_lex_state = 2},
  [1540] = {.lex_state = 284, .external_lex_state = 2},
  [1541] = {.lex_state = 256, .external_lex_state = 2},
  [1542] = {.lex_state = 234, .external_lex_state = 2},
  [1543] = {.lex_state = 234, .external_lex_state = 2},
  [1544] = {.lex_state = 256, .external_lex_state = 2},
  [1545] = {.lex_state = 234, .external_lex_state = 2},
  [1546] = {.lex_state = 256, .external_lex_state = 2},
  [1547] = {.lex_state = 284, .external_lex_state = 2},
  [1548] = {.lex_state = 284, .external_lex_state = 2},
  [1549] = {.lex_state = 284, .external_lex_state = 2},
  [1550] = {.lex_state = 256, .external_lex_state = 2},
  [1551] = {.lex_state = 234, .external_lex_state = 2},
  [1552] = {.lex_state = 234, .external_lex_state = 2},
  [1553] = {.lex_state = 284, .external_lex_state = 2},
  [1554] = {.lex_state = 284, .external_lex_state = 2},
  [1555] = {.lex_state = 234, .external_lex_state = 2},
  [1556] = {.lex_state = 234, .external_lex_state = 2},
  [1557] = {.lex_state = 234, .external_lex_state = 2},
  [1558] = {.lex_state = 234, .external_lex_state = 2},
  [1559] = {.lex_state = 284, .external_lex_state = 2},
  [1560] = {.lex_state = 284, .external_lex_state = 2},
  [1561] = {.lex_state = 234, .external_lex_state = 2},
  [1562] = {.lex_state = 234, .external_lex_state = 2},
  [1563] = {.lex_state = 234, .external_lex_state = 2},
  [1564] = {.lex_state = 234, .external_lex_state = 2},
  [1565] = {.lex_state = 234, .external_lex_state = 2},
  [1566] = {.lex_state = 234, .external_lex_state = 2},
  [1567] = {.lex_state = 234, .external_lex_state = 2},
  [1568] = {.lex_state = 234, .external_lex_state = 2},
  [1569] = {.lex_state = 234, .external_lex_state = 2},
  [1570] = {.lex_state = 234, .external_lex_state = 2},
  [1571] = {.lex_state = 234, .external_lex_state = 2},
  [1572] = {.lex_state = 234, .external_lex_state = 2},
  [1573] = {.lex_state = 282, .external_lex_state = 2},
  [1574] = {.lex_state = 282, .external_lex_state = 2},
  [1575] = {.lex_state = 242, .external_lex_state = 2},
  [1576] = {.lex_state = 282, .external_lex_state = 2},
  [1577] = {.lex_state = 282, .external_lex_state = 2},
  [1578] = {.lex_state = 282, .external_lex_state = 2},
  [1579] = {.lex_state = 282, .external_lex_state = 2},
  [1580] = {.lex_state = 282, .external_lex_state = 2},
  [1581] = {.lex_state = 282, .external_lex_state = 2},
  [1582] = {.lex_state = 282, .external_lex_state = 2},
  [1583] = {.lex_state = 282, .external_lex_state = 2},
  [1584] = {.lex_state = 282, .external_lex_state = 2},
  [1585] = {.lex_state = 282, .external_lex_state = 2},
  [1586] = {.lex_state = 282, .external_lex_state = 2},
  [1587] = {.lex_state = 282, .external_lex_state = 2},
  [1588] = {.lex_state = 282, .external_lex_state = 2},
  [1589] = {.lex_state = 282, .external_lex_state = 2},
  [1590] = {.lex_state = 282, .external_lex_state = 2},
  [1591] = {.lex_state = 282, .external_lex_state = 2},
  [1592] = {.lex_state = 256, .external_lex_state = 2},
  [1593] = {.lex_state = 256, .external_lex_state = 2},
  [1594] = {.lex_state = 256, .external_lex_state = 2},
  [1595] = {.lex_state = 256, .external_lex_state = 2},
  [1596] = {.lex_state = 256, .external_lex_state = 2},
  [1597] = {.lex_state = 256, .external_lex_state = 2},
  [1598] = {.lex_state = 282, .external_lex_state = 2},
  [1599] = {.lex_state = 242, .external_lex_state = 2},
  [1600] = {.lex_state = 242, .external_lex_state = 2},
  [1601] = {.lex_state = 242, .external_lex_state = 2},
  [1602] = {.lex_state = 256, .external_lex_state = 2},
  [1603] = {.lex_state = 256, .external_lex_state = 2},
  [1604] = {.lex_state = 256, .external_lex_state = 2},
  [1605] = {.lex_state = 242, .external_lex_state = 2},
  [1606] = {.lex_state = 242, .external_lex_state = 2},
  [1607] = {.lex_state = 256, .external_lex_state = 2},
  [1608] = {.lex_state = 256, .external_lex_state = 2},
  [1609] = {.lex_state = 256, .external_lex_state = 2},
  [1610] = {.lex_state = 256, .external_lex_state = 2},
  [1611] = {.lex_state = 284, .external_lex_state = 2},
  [1612] = {.lex_state = 256, .external_lex_state = 2},
  [1613] = {.lex_state = 256, .external_lex_state = 2},
  [1614] = {.lex_state = 256, .external_lex_state = 2},
  [1615] = {.lex_state = 284, .external_lex_state = 2},
  [1616] = {.lex_state = 282, .external_lex_state = 2},
  [1617] = {.lex_state = 233, .external_lex_state = 2},
  [1618] = {.lex_state = 256, .external_lex_state = 2},
  [1619] = {.lex_state = 284, .external_lex_state = 2},
  [1620] = {.lex_state = 233, .external_lex_state = 2},
  [1621] = {.lex_state = 233, .external_lex_state = 2},
  [1622] = {.lex_state = 242, .external_lex_state = 2},
  [1623] = {.lex_state = 284, .external_lex_state = 2},
  [1624] = {.lex_state = 242, .external_lex_state = 2},
  [1625] = {.lex_state = 242, .external_lex_state = 2},
  [1626] = {.lex_state = 233, .external_lex_state = 2},
  [1627] = {.lex_state = 233, .external_lex_state = 2},
  [1628] = {.lex_state = 242, .external_lex_state = 2},
  [1629] = {.lex_state = 284, .external_lex_state = 2},
  [1630] = {.lex_state = 233, .external_lex_state = 2},
  [1631] = {.lex_state = 233, .external_lex_state = 2},
  [1632] = {.lex_state = 233, .external_lex_state = 2},
  [1633] = {.lex_state = 284, .external_lex_state = 2},
  [1634] = {.lex_state = 234, .external_lex_state = 2},
  [1635] = {.lex_state = 234, .external_lex_state = 2},
  [1636] = {.lex_state = 256, .external_lex_state = 2},
  [1637] = {.lex_state = 242, .external_lex_state = 2},
  [1638] = {.lex_state = 234, .external_lex_state = 2},
  [1639] = {.lex_state = 247, .external_lex_state = 2},
  [1640] = {.lex_state = 256, .external_lex_state = 2},
  [1641] = {.lex_state = 256, .external_lex_state = 2},
  [1642] = {.lex_state = 233, .external_lex_state = 2},
  [1643] = {.lex_state = 247, .external_lex_state = 2},
  [1644] = {.lex_state = 242, .external_lex_state = 2},
  [1645] = {.lex_state = 233, .external_lex_state = 2},
  [1646] = {.lex_state = 233, .external_lex_state = 2},
  [1647] = {.lex_state = 233, .external_lex_state = 2},
  [1648] = {.lex_state = 233, .external_lex_state = 2},
  [1649] = {.lex_state = 233, .external_lex_state = 2},
  [1650] = {.lex_state = 234, .external_lex_state = 2},
  [1651] = {.lex_state = 233, .external_lex_state = 2},
  [1652] = {.lex_state = 233, .external_lex_state = 2},
  [1653] = {.lex_state = 247, .external_lex_state = 2},
  [1654] = {.lex_state = 247, .external_lex_state = 2},
  [1655] = {.lex_state = 233, .external_lex_state = 2},
  [1656] = {.lex_state = 247, .external_lex_state = 2},
  [1657] = {.lex_state = 247, .external_lex_state = 2},
  [1658] = {.lex_state = 247, .external_lex_state = 2},
  [1659] = {.lex_state = 247, .external_lex_state = 2},
  [1660] = {.lex_state = 247, .external_lex_state = 2},
  [1661] = {.lex_state = 247, .external_lex_state = 2},
  [1662] = {.lex_state = 247, .external_lex_state = 2},
  [1663] = {.lex_state = 247, .external_lex_state = 2},
  [1664] = {.lex_state = 247, .external_lex_state = 2},
  [1665] = {.lex_state = 247, .external_lex_state = 2},
  [1666] = {.lex_state = 247, .external_lex_state = 2},
  [1667] = {.lex_state = 247, .external_lex_state = 2},
  [1668] = {.lex_state = 247, .external_lex_state = 2},
  [1669] = {.lex_state = 247, .external_lex_state = 2},
  [1670] = {.lex_state = 247, .external_lex_state = 2},
  [1671] = {.lex_state = 247, .external_lex_state = 2},
  [1672] = {.lex_state = 256, .external_lex_state = 2},
  [1673] = {.lex_state = 242, .external_lex_state = 2},
  [1674] = {.lex_state = 242, .external_lex_state = 2},
  [1675] = {.lex_state = 242, .external_lex_state = 2},
  [1676] = {.lex_state = 242, .external_lex_state = 2},
  [1677] = {.lex_state = 242, .external_lex_state = 2},
  [1678] = {.lex_state = 242, .external_lex_state = 2},
  [1679] = {.lex_state = 242, .external_lex_state = 2},
  [1680] = {.lex_state = 242, .external_lex_state = 2},
  [1681] = {.lex_state = 242, .external_lex_state = 2},
  [1682] = {.lex_state = 234, .external_lex_state = 2},
  [1683] = {.lex_state = 242, .external_lex_state = 2},
  [1684] = {.lex_state = 234, .external_lex_state = 2},
  [1685] = {.lex_state = 242, .external_lex_state = 2},
  [1686] = {.lex_state = 242, .external_lex_state = 2},
  [1687] = {.lex_state = 256, .external_lex_state = 2},
  [1688] = {.lex_state = 242, .external_lex_state = 2},
  [1689] = {.lex_state = 242, .external_lex_state = 2},
  [1690] = {.lex_state = 242, .external_lex_state = 2},
  [1691] = {.lex_state = 242, .external_lex_state = 2},
  [1692] = {.lex_state = 233, .external_lex_state = 2},
  [1693] = {.lex_state = 242, .external_lex_state = 2},
  [1694] = {.lex_state = 233, .external_lex_state = 2},
  [1695] = {.lex_state = 233, .external_lex_state = 2},
  [1696] = {.lex_state = 242, .external_lex_state = 2},
  [1697] = {.lex_state = 233, .external_lex_state = 2},
  [1698] = {.lex_state = 233, .external_lex_state = 2},
  [1699] = {.lex_state = 233, .external_lex_state = 2},
  [1700] = {.lex_state = 233, .external_lex_state = 2},
  [1701] = {.lex_state = 247, .external_lex_state = 2},
  [1702] = {.lex_state = 242, .external_lex_state = 2},
  [1703] = {.lex_state = 242, .external_lex_state = 2},
  [1704] = {.lex_state = 233, .external_lex_state = 2},
  [1705] = {.lex_state = 233, .external_lex_state = 2},
  [1706] = {.lex_state = 233, .external_lex_state = 2},
  [1707] = {.lex_state = 233, .external_lex_state = 2},
  [1708] = {.lex_state = 233, .external_lex_state = 2},
  [1709] = {.lex_state = 234, .external_lex_state = 2},
  [1710] = {.lex_state = 242, .external_lex_state = 2},
  [1711] = {.lex_state = 234, .external_lex_state = 2},
  [1712] = {.lex_state = 242, .external_lex_state = 2},
  [1713] = {.lex_state = 233, .external_lex_state = 2},
  [1714] = {.lex_state = 242, .external_lex_state = 2},
  [1715] = {.lex_state = 234, .external_lex_state = 2},
  [1716] = {.lex_state = 233, .external_lex_state = 2},
  [1717] = {.lex_state = 234, .external_lex_state = 2},
  [1718] = {.lex_state = 233, .external_lex_state = 2},
  [1719] = {.lex_state = 256, .external_lex_state = 2},
  [1720] = {.lex_state = 234, .external_lex_state = 2},
  [1721] = {.lex_state = 242, .external_lex_state = 2},
  [1722] = {.lex_state = 242, .external_lex_state = 2},
  [1723] = {.lex_state = 242, .external_lex_state = 2},
  [1724] = {.lex_state = 234, .external_lex_state = 2},
  [1725] = {.lex_state = 234, .external_lex_state = 2},
  [1726] = {.lex_state = 233, .external_lex_state = 2},
  [1727] = {.lex_state = 234, .external_lex_state = 2},
  [1728] = {.lex_state = 234, .external_lex_state = 2},
  [1729] = {.lex_state = 234, .external_lex_state = 2},
  [1730] = {.lex_state = 234, .external_lex_state = 2},
  [1731] = {.lex_state = 234, .external_lex_state = 2},
  [1732] = {.lex_state = 233, .external_lex_state = 2},
  [1733] = {.lex_state = 233, .external_lex_state = 2},
  [1734] = {.lex_state = 233, .external_lex_state = 2},
  [1735] = {.lex_state = 233, .external_lex_state = 2},
  [1736] = {.lex_state = 242, .external_lex_state = 2},
  [1737] = {.lex_state = 242, .external_lex_state = 2},
  [1738] = {.lex_state = 234, .external_lex_state = 2},
  [1739] = {.lex_state = 234, .external_lex_state = 2},
  [1740] = {.lex_state = 234, .external_lex_state = 2},
  [1741] = {.lex_state = 234, .external_lex_state = 2},
  [1742] = {.lex_state = 234, .external_lex_state = 2},
  [1743] = {.lex_state = 242, .external_lex_state = 2},
  [1744] = {.lex_state = 242, .external_lex_state = 2},
  [1745] = {.lex_state = 256, .external_lex_state = 2},
  [1746] = {.lex_state = 234, .external_lex_state = 2},
  [1747] = {.lex_state = 234, .external_lex_state = 2},
  [1748] = {.lex_state = 233, .external_lex_state = 2},
  [1749] = {.lex_state = 233, .external_lex_state = 2},
  [1750] = {.lex_state = 234, .external_lex_state = 2},
  [1751] = {.lex_state = 234, .external_lex_state = 2},
  [1752] = {.lex_state = 282, .external_lex_state = 2},
  [1753] = {.lex_state = 234, .external_lex_state = 2},
  [1754] = {.lex_state = 233, .external_lex_state = 2},
  [1755] = {.lex_state = 234, .external_lex_state = 2},
  [1756] = {.lex_state = 233, .external_lex_state = 2},
  [1757] = {.lex_state = 234, .external_lex_state = 2},
  [1758] = {.lex_state = 233, .external_lex_state = 2},
  [1759] = {.lex_state = 234, .external_lex_state = 2},
  [1760] = {.lex_state = 234, .external_lex_state = 2},
  [1761] = {.lex_state = 242, .external_lex_state = 2},
  [1762] = {.lex_state = 233, .external_lex_state = 2},
  [1763] = {.lex_state = 234, .external_lex_state = 2},
  [1764] = {.lex_state = 256, .external_lex_state = 2},
  [1765] = {.lex_state = 233, .external_lex_state = 2},
  [1766] = {.lex_state = 234, .external_lex_state = 2},
  [1767] = {.lex_state = 234, .external_lex_state = 2},
  [1768] = {.lex_state = 282, .external_lex_state = 2},
  [1769] = {.lex_state = 256, .external_lex_state = 2},
  [1770] = {.lex_state = 234, .external_lex_state = 2},
  [1771] = {.lex_state = 234, .external_lex_state = 2},
  [1772] = {.lex_state = 233, .external_lex_state = 2},
  [1773] = {.lex_state = 234, .external_lex_state = 2},
  [1774] = {.lex_state = 234, .external_lex_state = 2},
  [1775] = {.lex_state = 242, .external_lex_state = 2},
  [1776] = {.lex_state = 234, .external_lex_state = 2},
  [1777] = {.lex_state = 234, .external_lex_state = 2},
  [1778] = {.lex_state = 234, .external_lex_state = 2},
  [1779] = {.lex_state = 282, .external_lex_state = 2},
  [1780] = {.lex_state = 282, .external_lex_state = 2},
  [1781] = {.lex_state = 256, .external_lex_state = 2},
  [1782] = {.lex_state = 234, .external_lex_state = 2},
  [1783] = {.lex_state = 234, .external_lex_state = 2},
  [1784] = {.lex_state = 282, .external_lex_state = 2},
  [1785] = {.lex_state = 282, .external_lex_state = 2},
  [1786] = {.lex_state = 282, .external_lex_state = 2},
  [1787] = {.lex_state = 282, .external_lex_state = 2},
  [1788] = {.lex_state = 282, .external_lex_state = 2},
  [1789] = {.lex_state = 242, .external_lex_state = 2},
  [1790] = {.lex_state = 233, .external_lex_state = 2},
  [1791] = {.lex_state = 282, .external_lex_state = 2},
  [1792] = {.lex_state = 234, .external_lex_state = 2},
  [1793] = {.lex_state = 234, .external_lex_state = 2},
  [1794] = {.lex_state = 282, .external_lex_state = 2},
  [1795] = {.lex_state = 282, .external_lex_state = 2},
  [1796] = {.lex_state = 282, .external_lex_state = 2},
  [1797] = {.lex_state = 282, .external_lex_state = 2},
  [1798] = {.lex_state = 282, .external_lex_state = 2},
  [1799] = {.lex_state = 242, .external_lex_state = 2},
  [1800] = {.lex_state = 233, .external_lex_state = 2},
  [1801] = {.lex_state = 242, .external_lex_state = 2},
  [1802] = {.lex_state = 242, .external_lex_state = 2},
  [1803] = {.lex_state = 282, .external_lex_state = 2},
  [1804] = {.lex_state = 282, .external_lex_state = 2},
  [1805] = {.lex_state = 242, .external_lex_state = 2},
  [1806] = {.lex_state = 234, .external_lex_state = 2},
  [1807] = {.lex_state = 282, .external_lex_state = 2},
  [1808] = {.lex_state = 282, .external_lex_state = 2},
  [1809] = {.lex_state = 247, .external_lex_state = 2},
  [1810] = {.lex_state = 282, .external_lex_state = 2},
  [1811] = {.lex_state = 282, .external_lex_state = 2},
  [1812] = {.lex_state = 282, .external_lex_state = 2},
  [1813] = {.lex_state = 233, .external_lex_state = 2},
  [1814] = {.lex_state = 282, .external_lex_state = 2},
  [1815] = {.lex_state = 233, .external_lex_state = 2},
  [1816] = {.lex_state = 282, .external_lex_state = 2},
  [1817] = {.lex_state = 282, .external_lex_state = 2},
  [1818] = {.lex_state = 242, .external_lex_state = 2},
  [1819] = {.lex_state = 242, .external_lex_state = 2},
  [1820] = {.lex_state = 282, .external_lex_state = 2},
  [1821] = {.lex_state = 282, .external_lex_state = 2},
  [1822] = {.lex_state = 282, .external_lex_state = 2},
  [1823] = {.lex_state = 242, .external_lex_state = 2},
  [1824] = {.lex_state = 282, .external_lex_state = 2},
  [1825] = {.lex_state = 282, .external_lex_state = 2},
  [1826] = {.lex_state = 233, .external_lex_state = 2},
  [1827] = {.lex_state = 233, .external_lex_state = 2},
  [1828] = {.lex_state = 282, .external_lex_state = 2},
  [1829] = {.lex_state = 282, .external_lex_state = 2},
  [1830] = {.lex_state = 242, .external_lex_state = 2},
  [1831] = {.lex_state = 282, .external_lex_state = 2},
  [1832] = {.lex_state = 282, .external_lex_state = 2},
  [1833] = {.lex_state = 242, .external_lex_state = 2},
  [1834] = {.lex_state = 282, .external_lex_state = 2},
  [1835] = {.lex_state = 282, .external_lex_state = 2},
  [1836] = {.lex_state = 234, .external_lex_state = 2},
  [1837] = {.lex_state = 234, .external_lex_state = 2},
  [1838] = {.lex_state = 282, .external_lex_state = 2},
  [1839] = {.lex_state = 256, .external_lex_state = 2},
  [1840] = {.lex_state = 234, .external_lex_state = 2},
  [1841] = {.lex_state = 234, .external_lex_state = 2},
  [1842] = {.lex_state = 282, .external_lex_state = 2},
  [1843] = {.lex_state = 282, .external_lex_state = 2},
  [1844] = {.lex_state = 234, .external_lex_state = 2},
  [1845] = {.lex_state = 234, .external_lex_state = 2},
  [1846] = {.lex_state = 282, .external_lex_state = 2},
  [1847] = {.lex_state = 282, .external_lex_state = 2},
  [1848] = {.lex_state = 234, .external_lex_state = 2},
  [1849] = {.lex_state = 234, .external_lex_state = 2},
  [1850] = {.lex_state = 282, .external_lex_state = 2},
  [1851] = {.lex_state = 282, .external_lex_state = 2},
  [1852] = {.lex_state = 282, .external_lex_state = 2},
  [1853] = {.lex_state = 282, .external_lex_state = 2},
  [1854] = {.lex_state = 282, .external_lex_state = 2},
  [1855] = {.lex_state = 282, .external_lex_state = 2},
  [1856] = {.lex_state = 282, .external_lex_state = 2},
  [1857] = {.lex_state = 282, .external_lex_state = 2},
  [1858] = {.lex_state = 282, .external_lex_state = 2},
  [1859] = {.lex_state = 256, .external_lex_state = 2},
  [1860] = {.lex_state = 282, .external_lex_state = 2},
  [1861] = {.lex_state = 282, .external_lex_state = 2},
  [1862] = {.lex_state = 233, .external_lex_state = 2},
  [1863] = {.lex_state = 256, .external_lex_state = 2},
  [1864] = {.lex_state = 233, .external_lex_state = 2},
  [1865] = {.lex_state = 256, .external_lex_state = 2},
  [1866] = {.lex_state = 234, .external_lex_state = 2},
  [1867] = {.lex_state = 234, .external_lex_state = 2},
  [1868] = {.lex_state = 234, .external_lex_state = 2},
  [1869] = {.lex_state = 234, .external_lex_state = 2},
  [1870] = {.lex_state = 234, .external_lex_state = 2},
  [1871] = {.lex_state = 234, .external_lex_state = 2},
  [1872] = {.lex_state = 234, .external_lex_state = 2},
  [1873] = {.lex_state = 234, .external_lex_state = 2},
  [1874] = {.lex_state = 282, .external_lex_state = 2},
  [1875] = {.lex_state = 282, .external_lex_state = 2},
  [1876] = {.lex_state = 282, .external_lex_state = 2},
  [1877] = {.lex_state = 282, .external_lex_state = 2},
  [1878] = {.lex_state = 282, .external_lex_state = 2},
  [1879] = {.lex_state = 282, .external_lex_state = 2},
  [1880] = {.lex_state = 282, .external_lex_state = 2},
  [1881] = {.lex_state = 282, .external_lex_state = 2},
  [1882] = {.lex_state = 256, .external_lex_state = 2},
  [1883] = {.lex_state = 233, .external_lex_state = 2},
  [1884] = {.lex_state = 256, .external_lex_state = 2},
  [1885] = {.lex_state = 256, .external_lex_state = 2},
  [1886] = {.lex_state = 256, .external_lex_state = 2},
  [1887] = {.lex_state = 256, .external_lex_state = 2},
  [1888] = {.lex_state = 233, .external_lex_state = 2},
  [1889] = {.lex_state = 242, .external_lex_state = 2},
  [1890] = {.lex_state = 256, .external_lex_state = 2},
  [1891] = {.lex_state = 282, .external_lex_state = 2},
  [1892] = {.lex_state = 242, .external_lex_state = 2},
  [1893] = {.lex_state = 233, .external_lex_state = 2},
  [1894] = {.lex_state = 242, .external_lex_state = 2},
  [1895] = {.lex_state = 233, .external_lex_state = 2},
  [1896] = {.lex_state = 242, .external_lex_state = 2},
  [1897] = {.lex_state = 234, .external_lex_state = 2},
  [1898] = {.lex_state = 256, .external_lex_state = 2},
  [1899] = {.lex_state = 256, .external_lex_state = 2},
  [1900] = {.lex_state = 256, .external_lex_state = 2},
  [1901] = {.lex_state = 233, .external_lex_state = 2},
  [1902] = {.lex_state = 242, .external_lex_state = 2},
  [1903] = {.lex_state = 233, .external_lex_state = 2},
  [1904] = {.lex_state = 256, .external_lex_state = 2},
  [1905] = {.lex_state = 256, .external_lex_state = 2},
  [1906] = {.lex_state = 256, .external_lex_state = 2},
  [1907] = {.lex_state = 242, .external_lex_state = 2},
  [1908] = {.lex_state = 242, .external_lex_state = 2},
  [1909] = {.lex_state = 233, .external_lex_state = 2},
  [1910] = {.lex_state = 256, .external_lex_state = 2},
  [1911] = {.lex_state = 256, .external_lex_state = 2},
  [1912] = {.lex_state = 256, .external_lex_state = 2},
  [1913] = {.lex_state = 256, .external_lex_state = 2},
  [1914] = {.lex_state = 256, .external_lex_state = 2},
  [1915] = {.lex_state = 242, .external_lex_state = 2},
  [1916] = {.lex_state = 233, .external_lex_state = 2},
  [1917] = {.lex_state = 242, .external_lex_state = 2},
  [1918] = {.lex_state = 233, .external_lex_state = 2},
  [1919] = {.lex_state = 256, .external_lex_state = 2},
  [1920] = {.lex_state = 256, .external_lex_state = 2},
  [1921] = {.lex_state = 242, .external_lex_state = 2},
  [1922] = {.lex_state = 256, .external_lex_state = 2},
  [1923] = {.lex_state = 247, .external_lex_state = 2},
  [1924] = {.lex_state = 233, .external_lex_state = 2},
  [1925] = {.lex_state = 247, .external_lex_state = 2},
  [1926] = {.lex_state = 256, .external_lex_state = 2},
  [1927] = {.lex_state = 242, .external_lex_state = 2},
  [1928] = {.lex_state = 256, .external_lex_state = 2},
  [1929] = {.lex_state = 242, .external_lex_state = 2},
  [1930] = {.lex_state = 242, .external_lex_state = 2},
  [1931] = {.lex_state = 242, .external_lex_state = 2},
  [1932] = {.lex_state = 242, .external_lex_state = 2},
  [1933] = {.lex_state = 256, .external_lex_state = 2},
  [1934] = {.lex_state = 242, .external_lex_state = 2},
  [1935] = {.lex_state = 233, .external_lex_state = 2},
  [1936] = {.lex_state = 256, .external_lex_state = 2},
  [1937] = {.lex_state = 256, .external_lex_state = 2},
  [1938] = {.lex_state = 256, .external_lex_state = 2},
  [1939] = {.lex_state = 256, .external_lex_state = 2},
  [1940] = {.lex_state = 256, .external_lex_state = 2},
  [1941] = {.lex_state = 256, .external_lex_state = 2},
  [1942] = {.lex_state = 256, .external_lex_state = 2},
  [1943] = {.lex_state = 256, .external_lex_state = 2},
  [1944] = {.lex_state = 233, .external_lex_state = 2},
  [1945] = {.lex_state = 256, .external_lex_state = 2},
  [1946] = {.lex_state = 256, .external_lex_state = 2},
  [1947] = {.lex_state = 242, .external_lex_state = 2},
  [1948] = {.lex_state = 233, .external_lex_state = 2},
  [1949] = {.lex_state = 256, .external_lex_state = 2},
  [1950] = {.lex_state = 256, .external_lex_state = 2},
  [1951] = {.lex_state = 256, .external_lex_state = 2},
  [1952] = {.lex_state = 256, .external_lex_state = 2},
  [1953] = {.lex_state = 256, .external_lex_state = 2},
  [1954] = {.lex_state = 256, .external_lex_state = 2},
  [1955] = {.lex_state = 233, .external_lex_state = 2},
  [1956] = {.lex_state = 247, .external_lex_state = 2},
  [1957] = {.lex_state = 256, .external_lex_state = 2},
  [1958] = {.lex_state = 256, .external_lex_state = 2},
  [1959] = {.lex_state = 256, .external_lex_state = 2},
  [1960] = {.lex_state = 256, .external_lex_state = 2},
  [1961] = {.lex_state = 256, .external_lex_state = 2},
  [1962] = {.lex_state = 256, .external_lex_state = 2},
  [1963] = {.lex_state = 282, .external_lex_state = 2},
  [1964] = {.lex_state = 256, .external_lex_state = 2},
  [1965] = {.lex_state = 256, .external_lex_state = 2},
  [1966] = {.lex_state = 247, .external_lex_state = 2},
  [1967] = {.lex_state = 256, .external_lex_state = 2},
  [1968] = {.lex_state = 242, .external_lex_state = 2},
  [1969] = {.lex_state = 233, .external_lex_state = 2},
  [1970] = {.lex_state = 242, .external_lex_state = 2},
  [1971] = {.lex_state = 233, .external_lex_state = 2},
  [1972] = {.lex_state = 233, .external_lex_state = 2},
  [1973] = {.lex_state = 242, .external_lex_state = 2},
  [1974] = {.lex_state = 242, .external_lex_state = 2},
  [1975] = {.lex_state = 282, .external_lex_state = 2},
  [1976] = {.lex_state = 233, .external_lex_state = 2},
  [1977] = {.lex_state = 233, .external_lex_state = 2},
  [1978] = {.lex_state = 242, .external_lex_state = 2},
  [1979] = {.lex_state = 233, .external_lex_state = 2},
  [1980] = {.lex_state = 256, .external_lex_state = 2},
  [1981] = {.lex_state = 247, .external_lex_state = 2},
  [1982] = {.lex_state = 242, .external_lex_state = 2},
  [1983] = {.lex_state = 233, .external_lex_state = 2},
  [1984] = {.lex_state = 247, .external_lex_state = 2},
  [1985] = {.lex_state = 233, .external_lex_state = 2},
  [1986] = {.lex_state = 234, .external_lex_state = 2},
  [1987] = {.lex_state = 242, .external_lex_state = 2},
  [1988] = {.lex_state = 242, .external_lex_state = 2},
  [1989] = {.lex_state = 242, .external_lex_state = 2},
  [1990] = {.lex_state = 233, .external_lex_state = 2},
  [1991] = {.lex_state = 233, .external_lex_state = 2},
  [1992] = {.lex_state = 256, .external_lex_state = 2},
  [1993] = {.lex_state = 233, .external_lex_state = 2},
  [1994] = {.lex_state = 233, .external_lex_state = 2},
  [1995] = {.lex_state = 242, .external_lex_state = 2},
  [1996] = {.lex_state = 247, .external_lex_state = 2},
  [1997] = {.lex_state = 247, .external_lex_state = 2},
  [1998] = {.lex_state = 247, .external_lex_state = 2},
  [1999] = {.lex_state = 247, .external_lex_state = 2},
  [2000] = {.lex_state = 247, .external_lex_state = 2},
  [2001] = {.lex_state = 247, .external_lex_state = 2},
  [2002] = {.lex_state = 247, .external_lex_state = 2},
  [2003] = {.lex_state = 247, .external_lex_state = 2},
  [2004] = {.lex_state = 247, .external_lex_state = 2},
  [2005] = {.lex_state = 247, .external_lex_state = 2},
  [2006] = {.lex_state = 247, .external_lex_state = 2},
  [2007] = {.lex_state = 247, .external_lex_state = 2},
  [2008] = {.lex_state = 247, .external_lex_state = 2},
  [2009] = {.lex_state = 247, .external_lex_state = 2},
  [2010] = {.lex_state = 247, .external_lex_state = 2},
  [2011] = {.lex_state = 247, .external_lex_state = 2},
  [2012] = {.lex_state = 247, .external_lex_state = 2},
  [2013] = {.lex_state = 247, .external_lex_state = 2},
  [2014] = {.lex_state = 247, .external_lex_state = 2},
  [2015] = {.lex_state = 247, .external_lex_state = 2},
  [2016] = {.lex_state = 247, .external_lex_state = 2},
  [2017] = {.lex_state = 247, .external_lex_state = 2},
  [2018] = {.lex_state = 247, .external_lex_state = 2},
  [2019] = {.lex_state = 247, .external_lex_state = 2},
  [2020] = {.lex_state = 247, .external_lex_state = 2},
  [2021] = {.lex_state = 247, .external_lex_state = 2},
  [2022] = {.lex_state = 247, .external_lex_state = 2},
  [2023] = {.lex_state = 247, .external_lex_state = 2},
  [2024] = {.lex_state = 247, .external_lex_state = 2},
  [2025] = {.lex_state = 247, .external_lex_state = 2},
  [2026] = {.lex_state = 247, .external_lex_state = 2},
  [2027] = {.lex_state = 247, .external_lex_state = 2},
  [2028] = {.lex_state = 247, .external_lex_state = 2},
  [2029] = {.lex_state = 247, .external_lex_state = 2},
  [2030] = {.lex_state = 247, .external_lex_state = 2},
  [2031] = {.lex_state = 247, .external_lex_state = 2},
  [2032] = {.lex_state = 247, .external_lex_state = 2},
  [2033] = {.lex_state = 247, .external_lex_state = 2},
  [2034] = {.lex_state = 247, .external_lex_state = 2},
  [2035] = {.lex_state = 247, .external_lex_state = 2},
  [2036] = {.lex_state = 247, .external_lex_state = 2},
  [2037] = {.lex_state = 247, .external_lex_state = 2},
  [2038] = {.lex_state = 247, .external_lex_state = 2},
  [2039] = {.lex_state = 247, .external_lex_state = 2},
  [2040] = {.lex_state = 247, .external_lex_state = 2},
  [2041] = {.lex_state = 247, .external_lex_state = 2},
  [2042] = {.lex_state = 247, .external_lex_state = 2},
  [2043] = {.lex_state = 247, .external_lex_state = 2},
  [2044] = {.lex_state = 247, .external_lex_state = 2},
  [2045] = {.lex_state = 247, .external_lex_state = 2},
  [2046] = {.lex_state = 247, .external_lex_state = 2},
  [2047] = {.lex_state = 247, .external_lex_state = 2},
  [2048] = {.lex_state = 247, .external_lex_state = 2},
  [2049] = {.lex_state = 247, .external_lex_state = 2},
  [2050] = {.lex_state = 247, .external_lex_state = 2},
  [2051] = {.lex_state = 247, .external_lex_state = 2},
  [2052] = {.lex_state = 247, .external_lex_state = 2},
  [2053] = {.lex_state = 247, .external_lex_state = 2},
  [2054] = {.lex_state = 247, .external_lex_state = 2},
  [2055] = {.lex_state = 247, .external_lex_state = 2},
  [2056] = {.lex_state = 247, .external_lex_state = 2},
  [2057] = {.lex_state = 247, .external_lex_state = 2},
  [2058] = {.lex_state = 247, .external_lex_state = 2},
  [2059] = {.lex_state = 288, .external_lex_state = 2},
  [2060] = {.lex_state = 288, .external_lex_state = 2},
  [2061] = {.lex_state = 288, .external_lex_state = 3},
  [2062] = {.lex_state = 288, .external_lex_state = 2},
  [2063] = {.lex_state = 288, .external_lex_state = 2},
  [2064] = {.lex_state = 289, .external_lex_state = 2},
  [2065] = {.lex_state = 291, .external_lex_state = 2},
  [2066] = {.lex_state = 235, .external_lex_state = 2},
  [2067] = {.lex_state = 243, .external_lex_state = 2},
  [2068] = {.lex_state = 243, .external_lex_state = 2},
  [2069] = {.lex_state = 243, .external_lex_state = 2},
  [2070] = {.lex_state = 235, .external_lex_state = 2},
  [2071] = {.lex_state = 243, .external_lex_state = 2},
  [2072] = {.lex_state = 235, .external_lex_state = 2},
  [2073] = {.lex_state = 235, .external_lex_state = 2},
  [2074] = {.lex_state = 235, .external_lex_state = 2},
  [2075] = {.lex_state = 243, .external_lex_state = 2},
  [2076] = {.lex_state = 235, .external_lex_state = 2},
  [2077] = {.lex_state = 243, .external_lex_state = 2},
  [2078] = {.lex_state = 235, .external_lex_state = 2},
  [2079] = {.lex_state = 235, .external_lex_state = 2},
  [2080] = {.lex_state = 235, .external_lex_state = 2},
  [2081] = {.lex_state = 235, .external_lex_state = 2},
  [2082] = {.lex_state = 243, .external_lex_state = 2},
  [2083] = {.lex_state = 243, .external_lex_state = 2},
  [2084] = {.lex_state = 235, .external_lex_state = 2},
  [2085] = {.lex_state = 243, .external_lex_state = 2},
  [2086] = {.lex_state = 243, .external_lex_state = 2},
  [2087] = {.lex_state = 243, .external_lex_state = 2},
  [2088] = {.lex_state = 243, .external_lex_state = 2},
  [2089] = {.lex_state = 243, .external_lex_state = 2},
  [2090] = {.lex_state = 243, .external_lex_state = 2},
  [2091] = {.lex_state = 235, .external_lex_state = 2},
  [2092] = {.lex_state = 243, .external_lex_state = 2},
  [2093] = {.lex_state = 243, .external_lex_state = 2},
  [2094] = {.lex_state = 243, .external_lex_state = 2},
  [2095] = {.lex_state = 235, .external_lex_state = 2},
  [2096] = {.lex_state = 235, .external_lex_state = 2},
  [2097] = {.lex_state = 235, .external_lex_state = 2},
  [2098] = {.lex_state = 235, .external_lex_state = 2},
  [2099] = {.lex_state = 243, .external_lex_state = 2},
  [2100] = {.lex_state = 243, .external_lex_state = 2},
  [2101] = {.lex_state = 243, .external_lex_state = 2},
  [2102] = {.lex_state = 243, .external_lex_state = 2},
  [2103] = {.lex_state = 235, .external_lex_state = 2},
  [2104] = {.lex_state = 235, .external_lex_state = 2},
  [2105] = {.lex_state = 243, .external_lex_state = 2},
  [2106] = {.lex_state = 243, .external_lex_state = 2},
  [2107] = {.lex_state = 243, .external_lex_state = 2},
  [2108] = {.lex_state = 243, .external_lex_state = 2},
  [2109] = {.lex_state = 235, .external_lex_state = 2},
  [2110] = {.lex_state = 235, .external_lex_state = 2},
  [2111] = {.lex_state = 235, .external_lex_state = 2},
  [2112] = {.lex_state = 235, .external_lex_state = 2},
  [2113] = {.lex_state = 235, .external_lex_state = 2},
  [2114] = {.lex_state = 235, .external_lex_state = 2},
  [2115] = {.lex_state = 235, .external_lex_state = 2},
  [2116] = {.lex_state = 235, .external_lex_state = 2},
  [2117] = {.lex_state = 235, .external_lex_state = 2},
  [2118] = {.lex_state = 235, .external_lex_state = 2},
  [2119] = {.lex_state = 243, .external_lex_state = 2},
  [2120] = {.lex_state = 235, .external_lex_state = 2},
  [2121] = {.lex_state = 243, .external_lex_state = 2},
  [2122] = {.lex_state = 243, .external_lex_state = 2},
  [2123] = {.lex_state = 243, .external_lex_state = 2},
  [2124] = {.lex_state = 235, .external_lex_state = 2},
  [2125] = {.lex_state = 235, .external_lex_state = 2},
  [2126] = {.lex_state = 243, .external_lex_state = 2},
  [2127] = {.lex_state = 235, .external_lex_state = 2},
  [2128] = {.lex_state = 243, .external_lex_state = 2},
  [2129] = {.lex_state = 235, .external_lex_state = 2},
  [2130] = {.lex_state = 243, .external_lex_state = 2},
  [2131] = {.lex_state = 235, .external_lex_state = 2},
  [2132] = {.lex_state = 243, .external_lex_state = 2},
  [2133] = {.lex_state = 243, .external_lex_state = 2},
  [2134] = {.lex_state = 235, .external_lex_state = 2},
  [2135] = {.lex_state = 235, .external_lex_state = 2},
  [2136] = {.lex_state = 235, .external_lex_state = 2},
  [2137] = {.lex_state = 243, .external_lex_state = 2},
  [2138] = {.lex_state = 243, .external_lex_state = 2},
  [2139] = {.lex_state = 235, .external_lex_state = 2},
  [2140] = {.lex_state = 243, .external_lex_state = 2},
  [2141] = {.lex_state = 235, .external_lex_state = 2},
  [2142] = {.lex_state = 243, .external_lex_state = 2},
  [2143] = {.lex_state = 239, .external_lex_state = 2},
  [2144] = {.lex_state = 243, .external_lex_state = 2},
  [2145] = {.lex_state = 235, .external_lex_state = 2},
  [2146] = {.lex_state = 239, .external_lex_state = 2},
  [2147] = {.lex_state = 235, .external_lex_state = 2},
  [2148] = {.lex_state = 235, .external_lex_state = 2},
  [2149] = {.lex_state = 239, .external_lex_state = 2},
  [2150] = {.lex_state = 235, .external_lex_state = 2},
  [2151] = {.lex_state = 235, .external_lex_state = 2},
  [2152] = {.lex_state = 235, .external_lex_state = 2},
  [2153] = {.lex_state = 239, .external_lex_state = 2},
  [2154] = {.lex_state = 243, .external_lex_state = 2},
  [2155] = {.lex_state = 243, .external_lex_state = 2},
  [2156] = {.lex_state = 235, .external_lex_state = 2},
  [2157] = {.lex_state = 235, .external_lex_state = 2},
  [2158] = {.lex_state = 235, .external_lex_state = 2},
  [2159] = {.lex_state = 243, .external_lex_state = 2},
  [2160] = {.lex_state = 243, .external_lex_state = 2},
  [2161] = {.lex_state = 239, .external_lex_state = 2},
  [2162] = {.lex_state = 239, .external_lex_state = 2},
  [2163] = {.lex_state = 239, .external_lex_state = 2},
  [2164] = {.lex_state = 243, .external_lex_state = 2},
  [2165] = {.lex_state = 235, .external_lex_state = 2},
  [2166] = {.lex_state = 243, .external_lex_state = 2},
  [2167] = {.lex_state = 235, .external_lex_state = 2},
  [2168] = {.lex_state = 239, .external_lex_state = 2},
  [2169] = {.lex_state = 239, .external_lex_state = 2},
  [2170] = {.lex_state = 235, .external_lex_state = 2},
  [2171] = {.lex_state = 243, .external_lex_state = 2},
  [2172] = {.lex_state = 239, .external_lex_state = 2},
  [2173] = {.lex_state = 235, .external_lex_state = 2},
  [2174] = {.lex_state = 235, .external_lex_state = 2},
  [2175] = {.lex_state = 243, .external_lex_state = 2},
  [2176] = {.lex_state = 235, .external_lex_state = 2},
  [2177] = {.lex_state = 243, .external_lex_state = 2},
  [2178] = {.lex_state = 243, .external_lex_state = 2},
  [2179] = {.lex_state = 243, .external_lex_state = 2},
  [2180] = {.lex_state = 243, .external_lex_state = 2},
  [2181] = {.lex_state = 243, .external_lex_state = 2},
  [2182] = {.lex_state = 243, .external_lex_state = 2},
  [2183] = {.lex_state = 235, .external_lex_state = 2},
  [2184] = {.lex_state = 235, .external_lex_state = 2},
  [2185] = {.lex_state = 239, .external_lex_state = 2},
  [2186] = {.lex_state = 239, .external_lex_state = 2},
  [2187] = {.lex_state = 235, .external_lex_state = 2},
  [2188] = {.lex_state = 243, .external_lex_state = 2},
  [2189] = {.lex_state = 239, .external_lex_state = 2},
  [2190] = {.lex_state = 235, .external_lex_state = 2},
  [2191] = {.lex_state = 235, .external_lex_state = 2},
  [2192] = {.lex_state = 239, .external_lex_state = 2},
  [2193] = {.lex_state = 243, .external_lex_state = 2},
  [2194] = {.lex_state = 243, .external_lex_state = 2},
  [2195] = {.lex_state = 235, .external_lex_state = 2},
  [2196] = {.lex_state = 243, .external_lex_state = 2},
  [2197] = {.lex_state = 235, .external_lex_state = 2},
  [2198] = {.lex_state = 243, .external_lex_state = 2},
  [2199] = {.lex_state = 235, .external_lex_state = 2},
  [2200] = {.lex_state = 243, .external_lex_state = 2},
  [2201] = {.lex_state = 235, .external_lex_state = 2},
  [2202] = {.lex_state = 235, .external_lex_state = 2},
  [2203] = {.lex_state = 235, .external_lex_state = 2},
  [2204] = {.lex_state = 243, .external_lex_state = 2},
  [2205] = {.lex_state = 243, .external_lex_state = 2},
  [2206] = {.lex_state = 235, .external_lex_state = 2},
  [2207] = {.lex_state = 235, .external_lex_state = 2},
  [2208] = {.lex_state = 235, .external_lex_state = 2},
  [2209] = {.lex_state = 243, .external_lex_state = 2},
  [2210] = {.lex_state = 243, .external_lex_state = 2},
  [2211] = {.lex_state = 239, .external_lex_state = 2},
  [2212] = {.lex_state = 243, .external_lex_state = 2},
  [2213] = {.lex_state = 243, .external_lex_state = 2},
  [2214] = {.lex_state = 235, .external_lex_state = 2},
  [2215] = {.lex_state = 239, .external_lex_state = 2},
  [2216] = {.lex_state = 235, .external_lex_state = 2},
  [2217] = {.lex_state = 243, .external_lex_state = 2},
  [2218] = {.lex_state = 243, .external_lex_state = 2},
  [2219] = {.lex_state = 243, .external_lex_state = 2},
  [2220] = {.lex_state = 243, .external_lex_state = 2},
  [2221] = {.lex_state = 243, .external_lex_state = 2},
  [2222] = {.lex_state = 235, .external_lex_state = 2},
  [2223] = {.lex_state = 243, .external_lex_state = 2},
  [2224] = {.lex_state = 235, .external_lex_state = 2},
  [2225] = {.lex_state = 235, .external_lex_state = 2},
  [2226] = {.lex_state = 235, .external_lex_state = 2},
  [2227] = {.lex_state = 243, .external_lex_state = 2},
  [2228] = {.lex_state = 239, .external_lex_state = 2},
  [2229] = {.lex_state = 235, .external_lex_state = 2},
  [2230] = {.lex_state = 235, .external_lex_state = 2},
  [2231] = {.lex_state = 243, .external_lex_state = 2},
  [2232] = {.lex_state = 243, .external_lex_state = 2},
  [2233] = {.lex_state = 243, .external_lex_state = 2},
  [2234] = {.lex_state = 243, .external_lex_state = 2},
  [2235] = {.lex_state = 243, .external_lex_state = 2},
  [2236] = {.lex_state = 239, .external_lex_state = 2},
  [2237] = {.lex_state = 239, .external_lex_state = 2},
  [2238] = {.lex_state = 239, .external_lex_state = 2},
  [2239] = {.lex_state = 235, .external_lex_state = 2},
  [2240] = {.lex_state = 239, .external_lex_state = 2},
  [2241] = {.lex_state = 243, .external_lex_state = 2},
  [2242] = {.lex_state = 243, .external_lex_state = 2},
  [2243] = {.lex_state = 239, .external_lex_state = 2},
  [2244] = {.lex_state = 243, .external_lex_state = 2},
  [2245] = {.lex_state = 243, .external_lex_state = 2},
  [2246] = {.lex_state = 243, .external_lex_state = 2},
  [2247] = {.lex_state = 243, .external_lex_state = 2},
  [2248] = {.lex_state = 235, .external_lex_state = 2},
  [2249] = {.lex_state = 235, .external_lex_state = 2},
  [2250] = {.lex_state = 235, .external_lex_state = 2},
  [2251] = {.lex_state = 235, .external_lex_state = 2},
  [2252] = {.lex_state = 239, .external_lex_state = 2},
  [2253] = {.lex_state = 243, .external_lex_state = 2},
  [2254] = {.lex_state = 235, .external_lex_state = 2},
  [2255] = {.lex_state = 243, .external_lex_state = 2},
  [2256] = {.lex_state = 235, .external_lex_state = 2},
  [2257] = {.lex_state = 243, .external_lex_state = 2},
  [2258] = {.lex_state = 243, .external_lex_state = 2},
  [2259] = {.lex_state = 239, .external_lex_state = 2},
  [2260] = {.lex_state = 235, .external_lex_state = 2},
  [2261] = {.lex_state = 243, .external_lex_state = 2},
  [2262] = {.lex_state = 243, .external_lex_state = 2},
  [2263] = {.lex_state = 243, .external_lex_state = 2},
  [2264] = {.lex_state = 243, .external_lex_state = 2},
  [2265] = {.lex_state = 239, .external_lex_state = 2},
  [2266] = {.lex_state = 243, .external_lex_state = 2},
  [2267] = {.lex_state = 239, .external_lex_state = 2},
  [2268] = {.lex_state = 235, .external_lex_state = 2},
  [2269] = {.lex_state = 239, .external_lex_state = 2},
  [2270] = {.lex_state = 235, .external_lex_state = 2},
  [2271] = {.lex_state = 239, .external_lex_state = 2},
  [2272] = {.lex_state = 235, .external_lex_state = 2},
  [2273] = {.lex_state = 235, .external_lex_state = 2},
  [2274] = {.lex_state = 239, .external_lex_state = 2},
  [2275] = {.lex_state = 239, .external_lex_state = 2},
  [2276] = {.lex_state = 235, .external_lex_state = 2},
  [2277] = {.lex_state = 243, .external_lex_state = 2},
  [2278] = {.lex_state = 235, .external_lex_state = 2},
  [2279] = {.lex_state = 243, .external_lex_state = 2},
  [2280] = {.lex_state = 235, .external_lex_state = 2},
  [2281] = {.lex_state = 239, .external_lex_state = 2},
  [2282] = {.lex_state = 239, .external_lex_state = 2},
  [2283] = {.lex_state = 243, .external_lex_state = 2},
  [2284] = {.lex_state = 243, .external_lex_state = 2},
  [2285] = {.lex_state = 239, .external_lex_state = 2},
  [2286] = {.lex_state = 235, .external_lex_state = 2},
  [2287] = {.lex_state = 235, .external_lex_state = 2},
  [2288] = {.lex_state = 235, .external_lex_state = 2},
  [2289] = {.lex_state = 235, .external_lex_state = 2},
  [2290] = {.lex_state = 235, .external_lex_state = 2},
  [2291] = {.lex_state = 235, .external_lex_state = 2},
  [2292] = {.lex_state = 235, .external_lex_state = 2},
  [2293] = {.lex_state = 243, .external_lex_state = 2},
  [2294] = {.lex_state = 243, .external_lex_state = 2},
  [2295] = {.lex_state = 239, .external_lex_state = 2},
  [2296] = {.lex_state = 243, .external_lex_state = 2},
  [2297] = {.lex_state = 243, .external_lex_state = 2},
  [2298] = {.lex_state = 235, .external_lex_state = 2},
  [2299] = {.lex_state = 235, .external_lex_state = 2},
  [2300] = {.lex_state = 235, .external_lex_state = 2},
  [2301] = {.lex_state = 235, .external_lex_state = 2},
  [2302] = {.lex_state = 235, .external_lex_state = 2},
  [2303] = {.lex_state = 235, .external_lex_state = 2},
  [2304] = {.lex_state = 235, .external_lex_state = 2},
  [2305] = {.lex_state = 243, .external_lex_state = 2},
  [2306] = {.lex_state = 243, .external_lex_state = 2},
  [2307] = {.lex_state = 243, .external_lex_state = 2},
  [2308] = {.lex_state = 243, .external_lex_state = 2},
  [2309] = {.lex_state = 239, .external_lex_state = 2},
  [2310] = {.lex_state = 294, .external_lex_state = 4},
  [2311] = {.lex_state = 294, .external_lex_state = 4},
  [2312] = {.lex_state = 239, .external_lex_state = 2},
  [2313] = {.lex_state = 239, .external_lex_state = 2},
  [2314] = {.lex_state = 239, .external_lex_state = 2},
  [2315] = {.lex_state = 294, .external_lex_state = 4},
  [2316] = {.lex_state = 239, .external_lex_state = 2},
  [2317] = {.lex_state = 294, .external_lex_state = 4},
  [2318] = {.lex_state = 294, .external_lex_state = 4},
  [2319] = {.lex_state = 239, .external_lex_state = 2},
  [2320] = {.lex_state = 239, .external_lex_state = 2},
  [2321] = {.lex_state = 239, .external_lex_state = 2},
  [2322] = {.lex_state = 239, .external_lex_state = 2},
  [2323] = {.lex_state = 294, .external_lex_state = 4},
  [2324] = {.lex_state = 239, .external_lex_state = 2},
  [2325] = {.lex_state = 239, .external_lex_state = 2},
  [2326] = {.lex_state = 239, .external_lex_state = 2},
  [2327] = {.lex_state = 239, .external_lex_state = 2},
  [2328] = {.lex_state = 239, .external_lex_state = 2},
  [2329] = {.lex_state = 294, .external_lex_state = 4},
  [2330] = {.lex_state = 294, .external_lex_state = 4},
  [2331] = {.lex_state = 239, .external_lex_state = 2},
  [2332] = {.lex_state = 239, .external_lex_state = 2},
  [2333] = {.lex_state = 239, .external_lex_state = 2},
  [2334] = {.lex_state = 239, .external_lex_state = 2},
  [2335] = {.lex_state = 239, .external_lex_state = 2},
  [2336] = {.lex_state = 239, .external_lex_state = 2},
  [2337] = {.lex_state = 239, .external_lex_state = 2},
  [2338] = {.lex_state = 239, .external_lex_state = 2},
  [2339] = {.lex_state = 239, .external_lex_state = 2},
  [2340] = {.lex_state = 239, .external_lex_state = 2},
  [2341] = {.lex_state = 294, .external_lex_state = 4},
  [2342] = {.lex_state = 294, .external_lex_state = 4},
  [2343] = {.lex_state = 239, .external_lex_state = 2},
  [2344] = {.lex_state = 239, .external_lex_state = 2},
  [2345] = {.lex_state = 239, .external_lex_state = 2},
  [2346] = {.lex_state = 239, .external_lex_state = 2},
  [2347] = {.lex_state = 239, .external_lex_state = 2},
  [2348] = {.lex_state = 239, .external_lex_state = 2},
  [2349] = {.lex_state = 239, .external_lex_state = 2},
  [2350] = {.lex_state = 239, .external_lex_state = 2},
  [2351] = {.lex_state = 239, .external_lex_state = 2},
  [2352] = {.lex_state = 239, .external_lex_state = 2},
  [2353] = {.lex_state = 294, .external_lex_state = 4},
  [2354] = {.lex_state = 239, .external_lex_state = 2},
  [2355] = {.lex_state = 239, .external_lex_state = 2},
  [2356] = {.lex_state = 239, .external_lex_state = 2},
  [2357] = {.lex_state = 239, .external_lex_state = 2},
  [2358] = {.lex_state = 239, .external_lex_state = 2},
  [2359] = {.lex_state = 239, .external_lex_state = 2},
  [2360] = {.lex_state = 294, .external_lex_state = 4},
  [2361] = {.lex_state = 294, .external_lex_state = 4},
  [2362] = {.lex_state = 239, .external_lex_state = 2},
  [2363] = {.lex_state = 239, .external_lex_state = 2},
  [2364] = {.lex_state = 239, .external_lex_state = 2},
  [2365] = {.lex_state = 239, .external_lex_state = 2},
  [2366] = {.lex_state = 294, .external_lex_state = 4},
  [2367] = {.lex_state = 294, .external_lex_state = 4},
  [2368] = {.lex_state = 239, .external_lex_state = 2},
  [2369] = {.lex_state = 239, .external_lex_state = 2},
  [2370] = {.lex_state = 239, .external_lex_state = 2},
  [2371] = {.lex_state = 239, .external_lex_state = 2},
  [2372] = {.lex_state = 239, .external_lex_state = 2},
  [2373] = {.lex_state = 239, .external_lex_state = 2},
  [2374] = {.lex_state = 239, .external_lex_state = 2},
  [2375] = {.lex_state = 239, .external_lex_state = 2},
  [2376] = {.lex_state = 239, .external_lex_state = 2},
  [2377] = {.lex_state = 239, .external_lex_state = 2},
  [2378] = {.lex_state = 239, .external_lex_state = 2},
  [2379] = {.lex_state = 239, .external_lex_state = 2},
  [2380] = {.lex_state = 239, .external_lex_state = 2},
  [2381] = {.lex_state = 239, .external_lex_state = 2},
  [2382] = {.lex_state = 239, .external_lex_state = 2},
  [2383] = {.lex_state = 294, .external_lex_state = 4},
  [2384] = {.lex_state = 239, .external_lex_state = 2},
  [2385] = {.lex_state = 294, .external_lex_state = 4},
  [2386] = {.lex_state = 239, .external_lex_state = 2},
  [2387] = {.lex_state = 239, .external_lex_state = 2},
  [2388] = {.lex_state = 239, .external_lex_state = 2},
  [2389] = {.lex_state = 239, .external_lex_state = 2},
  [2390] = {.lex_state = 239, .external_lex_state = 2},
  [2391] = {.lex_state = 239, .external_lex_state = 2},
  [2392] = {.lex_state = 239, .external_lex_state = 2},
  [2393] = {.lex_state = 239, .external_lex_state = 2},
  [2394] = {.lex_state = 239, .external_lex_state = 2},
  [2395] = {.lex_state = 239, .external_lex_state = 2},
  [2396] = {.lex_state = 239, .external_lex_state = 2},
  [2397] = {.lex_state = 239, .external_lex_state = 2},
  [2398] = {.lex_state = 239, .external_lex_state = 2},
  [2399] = {.lex_state = 294, .external_lex_state = 4},
  [2400] = {.lex_state = 310, .external_lex_state = 2},
  [2401] = {.lex_state = 295, .external_lex_state = 5},
  [2402] = {.lex_state = 310, .external_lex_state = 2},
  [2403] = {.lex_state = 294, .external_lex_state = 4},
  [2404] = {.lex_state = 294, .external_lex_state = 4},
  [2405] = {.lex_state = 294, .external_lex_state = 4},
  [2406] = {.lex_state = 294, .external_lex_state = 4},
  [2407] = {.lex_state = 294, .external_lex_state = 4},
  [2408] = {.lex_state = 314, .external_lex_state = 2},
  [2409] = {.lex_state = 294, .external_lex_state = 4},
  [2410] = {.lex_state = 314, .external_lex_state = 2},
  [2411] = {.lex_state = 314, .external_lex_state = 2},
  [2412] = {.lex_state = 314, .external_lex_state = 2},
  [2413] = {.lex_state = 314, .external_lex_state = 2},
  [2414] = {.lex_state = 314, .external_lex_state = 2},
  [2415] = {.lex_state = 314, .external_lex_state = 2},
  [2416] = {.lex_state = 314, .external_lex_state = 2},
  [2417] = {.lex_state = 310, .external_lex_state = 2},
  [2418] = {.lex_state = 310, .external_lex_state = 2},
  [2419] = {.lex_state = 310, .external_lex_state = 2},
  [2420] = {.lex_state = 310, .external_lex_state = 2},
  [2421] = {.lex_state = 310, .external_lex_state = 2},
  [2422] = {.lex_state = 310, .external_lex_state = 2},
  [2423] = {.lex_state = 310, .external_lex_state = 2},
  [2424] = {.lex_state = 310, .external_lex_state = 2},
  [2425] = {.lex_state = 310, .external_lex_state = 2},
  [2426] = {.lex_state = 310, .external_lex_state = 2},
  [2427] = {.lex_state = 310, .external_lex_state = 2},
  [2428] = {.lex_state = 228, .external_lex_state = 2},
  [2429] = {.lex_state = 228, .external_lex_state = 2},
  [2430] = {.lex_state = 300, .external_lex_state = 5},
  [2431] = {.lex_state = 310, .external_lex_state = 2},
  [2432] = {.lex_state = 228, .external_lex_state = 2},
  [2433] = {.lex_state = 228, .external_lex_state = 2},
  [2434] = {.lex_state = 300, .external_lex_state = 5},
  [2435] = {.lex_state = 228, .external_lex_state = 2},
  [2436] = {.lex_state = 228, .external_lex_state = 2},
  [2437] = {.lex_state = 311, .external_lex_state = 2},
  [2438] = {.lex_state = 228, .external_lex_state = 2},
  [2439] = {.lex_state = 228, .external_lex_state = 2},
  [2440] = {.lex_state = 228, .external_lex_state = 2},
  [2441] = {.lex_state = 300, .external_lex_state = 5},
  [2442] = {.lex_state = 228, .external_lex_state = 2},
  [2443] = {.lex_state = 228, .external_lex_state = 2},
  [2444] = {.lex_state = 228, .external_lex_state = 2},
  [2445] = {.lex_state = 228, .external_lex_state = 2},
  [2446] = {.lex_state = 228, .external_lex_state = 2},
  [2447] = {.lex_state = 228, .external_lex_state = 2},
  [2448] = {.lex_state = 228, .external_lex_state = 2},
  [2449] = {.lex_state = 228, .external_lex_state = 2},
  [2450] = {.lex_state = 228, .external_lex_state = 2},
  [2451] = {.lex_state = 226, .external_lex_state = 2},
  [2452] = {.lex_state = 226, .external_lex_state = 2},
  [2453] = {.lex_state = 226, .external_lex_state = 2},
  [2454] = {.lex_state = 226, .external_lex_state = 2},
  [2455] = {.lex_state = 226, .external_lex_state = 2},
  [2456] = {.lex_state = 226, .external_lex_state = 2},
  [2457] = {.lex_state = 226, .external_lex_state = 2},
  [2458] = {.lex_state = 226, .external_lex_state = 2},
  [2459] = {.lex_state = 228, .external_lex_state = 2},
  [2460] = {.lex_state = 228, .external_lex_state = 2},
  [2461] = {.lex_state = 226, .external_lex_state = 2},
  [2462] = {.lex_state = 228, .external_lex_state = 2},
  [2463] = {.lex_state = 226, .external_lex_state = 2},
  [2464] = {.lex_state = 226, .external_lex_state = 2},
  [2465] = {.lex_state = 226, .external_lex_state = 2},
  [2466] = {.lex_state = 228, .external_lex_state = 2},
  [2467] = {.lex_state = 226, .external_lex_state = 2},
  [2468] = {.lex_state = 228, .external_lex_state = 2},
  [2469] = {.lex_state = 226, .external_lex_state = 2},
  [2470] = {.lex_state = 228, .external_lex_state = 2},
  [2471] = {.lex_state = 228, .external_lex_state = 2},
  [2472] = {.lex_state = 228, .external_lex_state = 2},
  [2473] = {.lex_state = 228, .external_lex_state = 2},
  [2474] = {.lex_state = 228, .external_lex_state = 2},
  [2475] = {.lex_state = 228, .external_lex_state = 2},
  [2476] = {.lex_state = 226, .external_lex_state = 2},
  [2477] = {.lex_state = 228, .external_lex_state = 2},
  [2478] = {.lex_state = 228, .external_lex_state = 2},
  [2479] = {.lex_state = 226, .external_lex_state = 2},
  [2480] = {.lex_state = 228, .external_lex_state = 2},
  [2481] = {.lex_state = 228, .external_lex_state = 2},
  [2482] = {.lex_state = 226, .external_lex_state = 2},
  [2483] = {.lex_state = 228, .external_lex_state = 2},
  [2484] = {.lex_state = 228, .external_lex_state = 2},
  [2485] = {.lex_state = 228, .external_lex_state = 2},
  [2486] = {.lex_state = 228, .external_lex_state = 2},
  [2487] = {.lex_state = 228, .external_lex_state = 2},
  [2488] = {.lex_state = 226, .external_lex_state = 2},
  [2489] = {.lex_state = 226, .external_lex_state = 2},
  [2490] = {.lex_state = 228, .external_lex_state = 2},
  [2491] = {.lex_state = 228, .external_lex_state = 2},
  [2492] = {.lex_state = 226, .external_lex_state = 2},
  [2493] = {.lex_state = 226, .external_lex_state = 2},
  [2494] = {.lex_state = 226, .external_lex_state = 2},
  [2495] = {.lex_state = 228, .external_lex_state = 2},
  [2496] = {.lex_state = 228, .external_lex_state = 2},
  [2497] = {.lex_state = 237, .external_lex_state = 2},
  [2498] = {.lex_state = 226, .external_lex_state = 2},
  [2499] = {.lex_state = 226, .external_lex_state = 2},
  [2500] = {.lex_state = 226, .external_lex_state = 2},
  [2501] = {.lex_state = 237, .external_lex_state = 2},
  [2502] = {.lex_state = 237, .external_lex_state = 2},
  [2503] = {.lex_state = 237, .external_lex_state = 2},
  [2504] = {.lex_state = 237, .external_lex_state = 2},
  [2505] = {.lex_state = 237, .external_lex_state = 2},
  [2506] = {.lex_state = 237, .external_lex_state = 2},
  [2507] = {.lex_state = 237, .external_lex_state = 2},
  [2508] = {.lex_state = 237, .external_lex_state = 2},
  [2509] = {.lex_state = 226, .external_lex_state = 2},
  [2510] = {.lex_state = 226, .external_lex_state = 2},
  [2511] = {.lex_state = 226, .external_lex_state = 2},
  [2512] = {.lex_state = 237, .external_lex_state = 2},
  [2513] = {.lex_state = 237, .external_lex_state = 2},
  [2514] = {.lex_state = 237, .external_lex_state = 2},
  [2515] = {.lex_state = 237, .external_lex_state = 2},
  [2516] = {.lex_state = 237, .external_lex_state = 2},
  [2517] = {.lex_state = 237, .external_lex_state = 2},
  [2518] = {.lex_state = 237, .external_lex_state = 2},
  [2519] = {.lex_state = 229, .external_lex_state = 2},
  [2520] = {.lex_state = 229, .external_lex_state = 2},
  [2521] = {.lex_state = 229, .external_lex_state = 2},
  [2522] = {.lex_state = 229, .external_lex_state = 2},
  [2523] = {.lex_state = 229, .external_lex_state = 2},
  [2524] = {.lex_state = 229, .external_lex_state = 2},
  [2525] = {.lex_state = 226, .external_lex_state = 2},
  [2526] = {.lex_state = 229, .external_lex_state = 2},
  [2527] = {.lex_state = 229, .external_lex_state = 2},
  [2528] = {.lex_state = 229, .external_lex_state = 2},
  [2529] = {.lex_state = 229, .external_lex_state = 2},
  [2530] = {.lex_state = 229, .external_lex_state = 2},
  [2531] = {.lex_state = 229, .external_lex_state = 2},
  [2532] = {.lex_state = 229, .external_lex_state = 2},
  [2533] = {.lex_state = 229, .external_lex_state = 2},
  [2534] = {.lex_state = 229, .external_lex_state = 2},
  [2535] = {.lex_state = 226, .external_lex_state = 2},
  [2536] = {.lex_state = 226, .external_lex_state = 2},
  [2537] = {.lex_state = 226, .external_lex_state = 2},
  [2538] = {.lex_state = 226, .external_lex_state = 2},
  [2539] = {.lex_state = 226, .external_lex_state = 2},
  [2540] = {.lex_state = 226, .external_lex_state = 2},
  [2541] = {.lex_state = 226, .external_lex_state = 2},
  [2542] = {.lex_state = 226, .external_lex_state = 2},
  [2543] = {.lex_state = 226, .external_lex_state = 2},
  [2544] = {.lex_state = 226, .external_lex_state = 2},
  [2545] = {.lex_state = 226, .external_lex_state = 2},
  [2546] = {.lex_state = 226, .external_lex_state = 2},
  [2547] = {.lex_state = 226, .external_lex_state = 2},
  [2548] = {.lex_state = 226, .external_lex_state = 2},
  [2549] = {.lex_state = 226, .external_lex_state = 2},
  [2550] = {.lex_state = 226, .external_lex_state = 2},
  [2551] = {.lex_state = 226, .external_lex_state = 2},
  [2552] = {.lex_state = 226, .external_lex_state = 2},
  [2553] = {.lex_state = 226, .external_lex_state = 2},
  [2554] = {.lex_state = 229, .external_lex_state = 2},
  [2555] = {.lex_state = 237, .external_lex_state = 2},
  [2556] = {.lex_state = 229, .external_lex_state = 2},
  [2557] = {.lex_state = 237, .external_lex_state = 2},
  [2558] = {.lex_state = 237, .external_lex_state = 2},
  [2559] = {.lex_state = 229, .external_lex_state = 2},
  [2560] = {.lex_state = 229, .external_lex_state = 2},
  [2561] = {.lex_state = 229, .external_lex_state = 2},
  [2562] = {.lex_state = 237, .external_lex_state = 2},
  [2563] = {.lex_state = 229, .external_lex_state = 2},
  [2564] = {.lex_state = 237, .external_lex_state = 2},
  [2565] = {.lex_state = 229, .external_lex_state = 2},
  [2566] = {.lex_state = 237, .external_lex_state = 2},
  [2567] = {.lex_state = 229, .external_lex_state = 2},
  [2568] = {.lex_state = 237, .external_lex_state = 2},
  [2569] = {.lex_state = 229, .external_lex_state = 2},
  [2570] = {.lex_state = 237, .external_lex_state = 2},
  [2571] = {.lex_state = 229, .external_lex_state = 2},
  [2572] = {.lex_state = 229, .external_lex_state = 2},
  [2573] = {.lex_state = 237, .external_lex_state = 2},
  [2574] = {.lex_state = 237, .external_lex_state = 2},
  [2575] = {.lex_state = 229, .external_lex_state = 2},
  [2576] = {.lex_state = 229, .external_lex_state = 2},
  [2577] = {.lex_state = 237, .external_lex_state = 2},
  [2578] = {.lex_state = 237, .external_lex_state = 2},
  [2579] = {.lex_state = 229, .external_lex_state = 2},
  [2580] = {.lex_state = 237, .external_lex_state = 2},
  [2581] = {.lex_state = 237, .external_lex_state = 2},
  [2582] = {.lex_state = 237, .external_lex_state = 2},
  [2583] = {.lex_state = 293, .external_lex_state = 5},
  [2584] = {.lex_state = 237, .external_lex_state = 2},
  [2585] = {.lex_state = 237, .external_lex_state = 2},
  [2586] = {.lex_state = 237, .external_lex_state = 2},
  [2587] = {.lex_state = 237, .external_lex_state = 2},
  [2588] = {.lex_state = 237, .external_lex_state = 2},
  [2589] = {.lex_state = 229, .external_lex_state = 2},
  [2590] = {.lex_state = 229, .external_lex_state = 2},
  [2591] = {.lex_state = 229, .external_lex_state = 2},
  [2592] = {.lex_state = 229, .external_lex_state = 2},
  [2593] = {.lex_state = 229, .external_lex_state = 2},
  [2594] = {.lex_state = 229, .external_lex_state = 2},
  [2595] = {.lex_state = 229, .external_lex_state = 2},
  [2596] = {.lex_state = 229, .external_lex_state = 2},
  [2597] = {.lex_state = 293, .external_lex_state = 4},
  [2598] = {.lex_state = 293, .external_lex_state = 5},
  [2599] = {.lex_state = 293, .external_lex_state = 5},
  [2600] = {.lex_state = 293, .external_lex_state = 5},
  [2601] = {.lex_state = 229, .external_lex_state = 2},
  [2602] = {.lex_state = 237, .external_lex_state = 2},
  [2603] = {.lex_state = 229, .external_lex_state = 2},
  [2604] = {.lex_state = 237, .external_lex_state = 2},
  [2605] = {.lex_state = 229, .external_lex_state = 2},
  [2606] = {.lex_state = 293, .external_lex_state = 5},
  [2607] = {.lex_state = 237, .external_lex_state = 2},
  [2608] = {.lex_state = 229, .external_lex_state = 2},
  [2609] = {.lex_state = 293, .external_lex_state = 5},
  [2610] = {.lex_state = 237, .external_lex_state = 2},
  [2611] = {.lex_state = 293, .external_lex_state = 5},
  [2612] = {.lex_state = 293, .external_lex_state = 5},
  [2613] = {.lex_state = 229, .external_lex_state = 2},
  [2614] = {.lex_state = 237, .external_lex_state = 2},
  [2615] = {.lex_state = 293, .external_lex_state = 5},
  [2616] = {.lex_state = 237, .external_lex_state = 2},
  [2617] = {.lex_state = 240, .external_lex_state = 2},
  [2618] = {.lex_state = 283, .external_lex_state = 2},
  [2619] = {.lex_state = 283, .external_lex_state = 2},
  [2620] = {.lex_state = 283, .external_lex_state = 2},
  [2621] = {.lex_state = 283, .external_lex_state = 2},
  [2622] = {.lex_state = 283, .external_lex_state = 2},
  [2623] = {.lex_state = 283, .external_lex_state = 2},
  [2624] = {.lex_state = 283, .external_lex_state = 2},
  [2625] = {.lex_state = 240, .external_lex_state = 2},
  [2626] = {.lex_state = 283, .external_lex_state = 2},
  [2627] = {.lex_state = 283, .external_lex_state = 2},
  [2628] = {.lex_state = 283, .external_lex_state = 2},
  [2629] = {.lex_state = 283, .external_lex_state = 2},
  [2630] = {.lex_state = 240, .external_lex_state = 2},
  [2631] = {.lex_state = 240, .external_lex_state = 2},
  [2632] = {.lex_state = 283, .external_lex_state = 2},
  [2633] = {.lex_state = 293, .external_lex_state = 5},
  [2634] = {.lex_state = 240, .external_lex_state = 2},
  [2635] = {.lex_state = 240, .external_lex_state = 2},
  [2636] = {.lex_state = 240, .external_lex_state = 2},
  [2637] = {.lex_state = 283, .external_lex_state = 2},
  [2638] = {.lex_state = 240, .external_lex_state = 2},
  [2639] = {.lex_state = 240, .external_lex_state = 2},
  [2640] = {.lex_state = 240, .external_lex_state = 2},
  [2641] = {.lex_state = 240, .external_lex_state = 2},
  [2642] = {.lex_state = 240, .external_lex_state = 2},
  [2643] = {.lex_state = 240, .external_lex_state = 2},
  [2644] = {.lex_state = 240, .external_lex_state = 2},
  [2645] = {.lex_state = 240, .external_lex_state = 2},
  [2646] = {.lex_state = 283, .external_lex_state = 2},
  [2647] = {.lex_state = 283, .external_lex_state = 2},
  [2648] = {.lex_state = 309, .external_lex_state = 2},
  [2649] = {.lex_state = 283, .external_lex_state = 2},
  [2650] = {.lex_state = 240, .external_lex_state = 2},
  [2651] = {.lex_state = 250, .external_lex_state = 2},
  [2652] = {.lex_state = 240, .external_lex_state = 2},
  [2653] = {.lex_state = 248, .external_lex_state = 2},
  [2654] = {.lex_state = 248, .external_lex_state = 2},
  [2655] = {.lex_state = 285, .external_lex_state = 2},
  [2656] = {.lex_state = 238, .external_lex_state = 2},
  [2657] = {.lex_state = 238, .external_lex_state = 2},
  [2658] = {.lex_state = 285, .external_lex_state = 2},
  [2659] = {.lex_state = 285, .external_lex_state = 2},
  [2660] = {.lex_state = 244, .external_lex_state = 2},
  [2661] = {.lex_state = 283, .external_lex_state = 2},
  [2662] = {.lex_state = 238, .external_lex_state = 2},
  [2663] = {.lex_state = 250, .external_lex_state = 2},
  [2664] = {.lex_state = 236, .external_lex_state = 2},
  [2665] = {.lex_state = 285, .external_lex_state = 2},
  [2666] = {.lex_state = 283, .external_lex_state = 2},
  [2667] = {.lex_state = 244, .external_lex_state = 2},
  [2668] = {.lex_state = 283, .external_lex_state = 2},
  [2669] = {.lex_state = 244, .external_lex_state = 2},
  [2670] = {.lex_state = 285, .external_lex_state = 2},
  [2671] = {.lex_state = 250, .external_lex_state = 2},
  [2672] = {.lex_state = 283, .external_lex_state = 2},
  [2673] = {.lex_state = 285, .external_lex_state = 2},
  [2674] = {.lex_state = 244, .external_lex_state = 2},
  [2675] = {.lex_state = 283, .external_lex_state = 2},
  [2676] = {.lex_state = 238, .external_lex_state = 2},
  [2677] = {.lex_state = 283, .external_lex_state = 2},
  [2678] = {.lex_state = 309, .external_lex_state = 3},
  [2679] = {.lex_state = 244, .external_lex_state = 2},
  [2680] = {.lex_state = 283, .external_lex_state = 2},
  [2681] = {.lex_state = 285, .external_lex_state = 2},
  [2682] = {.lex_state = 283, .external_lex_state = 2},
  [2683] = {.lex_state = 285, .external_lex_state = 2},
  [2684] = {.lex_state = 283, .external_lex_state = 2},
  [2685] = {.lex_state = 238, .external_lex_state = 2},
  [2686] = {.lex_state = 236, .external_lex_state = 2},
  [2687] = {.lex_state = 283, .external_lex_state = 2},
  [2688] = {.lex_state = 236, .external_lex_state = 2},
  [2689] = {.lex_state = 244, .external_lex_state = 2},
  [2690] = {.lex_state = 236, .external_lex_state = 2},
  [2691] = {.lex_state = 236, .external_lex_state = 2},
  [2692] = {.lex_state = 283, .external_lex_state = 2},
  [2693] = {.lex_state = 250, .external_lex_state = 2},
  [2694] = {.lex_state = 283, .external_lex_state = 2},
  [2695] = {.lex_state = 240, .external_lex_state = 2},
  [2696] = {.lex_state = 285, .external_lex_state = 2},
  [2697] = {.lex_state = 283, .external_lex_state = 2},
  [2698] = {.lex_state = 283, .external_lex_state = 2},
  [2699] = {.lex_state = 283, .external_lex_state = 2},
  [2700] = {.lex_state = 240, .external_lex_state = 2},
  [2701] = {.lex_state = 250, .external_lex_state = 2},
  [2702] = {.lex_state = 240, .external_lex_state = 2},
  [2703] = {.lex_state = 240, .external_lex_state = 2},
  [2704] = {.lex_state = 250, .external_lex_state = 2},
  [2705] = {.lex_state = 240, .external_lex_state = 2},
  [2706] = {.lex_state = 244, .external_lex_state = 2},
  [2707] = {.lex_state = 244, .external_lex_state = 2},
  [2708] = {.lex_state = 236, .external_lex_state = 2},
  [2709] = {.lex_state = 236, .external_lex_state = 2},
  [2710] = {.lex_state = 236, .external_lex_state = 2},
  [2711] = {.lex_state = 236, .external_lex_state = 2},
  [2712] = {.lex_state = 250, .external_lex_state = 2},
  [2713] = {.lex_state = 250, .external_lex_state = 2},
  [2714] = {.lex_state = 309, .external_lex_state = 3},
  [2715] = {.lex_state = 236, .external_lex_state = 2},
  [2716] = {.lex_state = 250, .external_lex_state = 2},
  [2717] = {.lex_state = 248, .external_lex_state = 2},
  [2718] = {.lex_state = 240, .external_lex_state = 2},
  [2719] = {.lex_state = 283, .external_lex_state = 2},
  [2720] = {.lex_state = 236, .external_lex_state = 2},
  [2721] = {.lex_state = 240, .external_lex_state = 2},
  [2722] = {.lex_state = 236, .external_lex_state = 2},
  [2723] = {.lex_state = 236, .external_lex_state = 2},
  [2724] = {.lex_state = 250, .external_lex_state = 2},
  [2725] = {.lex_state = 240, .external_lex_state = 2},
  [2726] = {.lex_state = 309, .external_lex_state = 3},
  [2727] = {.lex_state = 283, .external_lex_state = 2},
  [2728] = {.lex_state = 250, .external_lex_state = 2},
  [2729] = {.lex_state = 244, .external_lex_state = 2},
  [2730] = {.lex_state = 238, .external_lex_state = 2},
  [2731] = {.lex_state = 250, .external_lex_state = 2},
  [2732] = {.lex_state = 285, .external_lex_state = 2},
  [2733] = {.lex_state = 309, .external_lex_state = 2},
  [2734] = {.lex_state = 248, .external_lex_state = 2},
  [2735] = {.lex_state = 285, .external_lex_state = 2},
  [2736] = {.lex_state = 244, .external_lex_state = 2},
  [2737] = {.lex_state = 238, .external_lex_state = 2},
  [2738] = {.lex_state = 238, .external_lex_state = 2},
  [2739] = {.lex_state = 244, .external_lex_state = 2},
  [2740] = {.lex_state = 285, .external_lex_state = 2},
  [2741] = {.lex_state = 250, .external_lex_state = 2},
  [2742] = {.lex_state = 244, .external_lex_state = 2},
  [2743] = {.lex_state = 240, .external_lex_state = 2},
  [2744] = {.lex_state = 236, .external_lex_state = 2},
  [2745] = {.lex_state = 248, .external_lex_state = 2},
  [2746] = {.lex_state = 248, .external_lex_state = 2},
  [2747] = {.lex_state = 238, .external_lex_state = 2},
  [2748] = {.lex_state = 240, .external_lex_state = 2},
  [2749] = {.lex_state = 240, .external_lex_state = 2},
  [2750] = {.lex_state = 283, .external_lex_state = 2},
  [2751] = {.lex_state = 236, .external_lex_state = 2},
  [2752] = {.lex_state = 240, .external_lex_state = 2},
  [2753] = {.lex_state = 244, .external_lex_state = 2},
  [2754] = {.lex_state = 244, .external_lex_state = 2},
  [2755] = {.lex_state = 236, .external_lex_state = 2},
  [2756] = {.lex_state = 244, .external_lex_state = 2},
  [2757] = {.lex_state = 238, .external_lex_state = 2},
  [2758] = {.lex_state = 283, .external_lex_state = 2},
  [2759] = {.lex_state = 250, .external_lex_state = 2},
  [2760] = {.lex_state = 240, .external_lex_state = 2},
  [2761] = {.lex_state = 283, .external_lex_state = 2},
  [2762] = {.lex_state = 240, .external_lex_state = 2},
  [2763] = {.lex_state = 283, .external_lex_state = 2},
  [2764] = {.lex_state = 240, .external_lex_state = 2},
  [2765] = {.lex_state = 240, .external_lex_state = 2},
  [2766] = {.lex_state = 283, .external_lex_state = 2},
  [2767] = {.lex_state = 283, .external_lex_state = 2},
  [2768] = {.lex_state = 240, .external_lex_state = 2},
  [2769] = {.lex_state = 283, .external_lex_state = 2},
  [2770] = {.lex_state = 248, .external_lex_state = 2},
  [2771] = {.lex_state = 248, .external_lex_state = 2},
  [2772] = {.lex_state = 244, .external_lex_state = 2},
  [2773] = {.lex_state = 236, .external_lex_state = 2},
  [2774] = {.lex_state = 240, .external_lex_state = 2},
  [2775] = {.lex_state = 283, .external_lex_state = 2},
  [2776] = {.lex_state = 240, .external_lex_state = 2},
  [2777] = {.lex_state = 240, .external_lex_state = 2},
  [2778] = {.lex_state = 283, .external_lex_state = 2},
  [2779] = {.lex_state = 238, .external_lex_state = 2},
  [2780] = {.lex_state = 236, .external_lex_state = 2},
  [2781] = {.lex_state = 240, .external_lex_state = 2},
  [2782] = {.lex_state = 244, .external_lex_state = 2},
  [2783] = {.lex_state = 240, .external_lex_state = 2},
  [2784] = {.lex_state = 238, .external_lex_state = 2},
  [2785] = {.lex_state = 240, .external_lex_state = 2},
  [2786] = {.lex_state = 240, .external_lex_state = 2},
  [2787] = {.lex_state = 244, .external_lex_state = 2},
  [2788] = {.lex_state = 240, .external_lex_state = 2},
  [2789] = {.lex_state = 248, .external_lex_state = 2},
  [2790] = {.lex_state = 244, .external_lex_state = 2},
  [2791] = {.lex_state = 248, .external_lex_state = 2},
  [2792] = {.lex_state = 236, .external_lex_state = 2},
  [2793] = {.lex_state = 248, .external_lex_state = 2},
  [2794] = {.lex_state = 248, .external_lex_state = 2},
  [2795] = {.lex_state = 238, .external_lex_state = 2},
  [2796] = {.lex_state = 236, .external_lex_state = 2},
  [2797] = {.lex_state = 285, .external_lex_state = 2},
  [2798] = {.lex_state = 236, .external_lex_state = 2},
  [2799] = {.lex_state = 238, .external_lex_state = 2},
  [2800] = {.lex_state = 236, .external_lex_state = 2},
  [2801] = {.lex_state = 248, .external_lex_state = 2},
  [2802] = {.lex_state = 236, .external_lex_state = 2},
  [2803] = {.lex_state = 248, .external_lex_state = 2},
  [2804] = {.lex_state = 244, .external_lex_state = 2},
  [2805] = {.lex_state = 238, .external_lex_state = 2},
  [2806] = {.lex_state = 309, .external_lex_state = 2},
  [2807] = {.lex_state = 248, .external_lex_state = 2},
  [2808] = {.lex_state = 248, .external_lex_state = 2},
  [2809] = {.lex_state = 250, .external_lex_state = 2},
  [2810] = {.lex_state = 248, .external_lex_state = 2},
  [2811] = {.lex_state = 248, .external_lex_state = 2},
  [2812] = {.lex_state = 285, .external_lex_state = 2},
  [2813] = {.lex_state = 244, .external_lex_state = 2},
  [2814] = {.lex_state = 236, .external_lex_state = 2},
  [2815] = {.lex_state = 244, .external_lex_state = 2},
  [2816] = {.lex_state = 285, .external_lex_state = 2},
  [2817] = {.lex_state = 285, .external_lex_state = 2},
  [2818] = {.lex_state = 244, .external_lex_state = 2},
  [2819] = {.lex_state = 248, .external_lex_state = 2},
  [2820] = {.lex_state = 238, .external_lex_state = 2},
  [2821] = {.lex_state = 248, .external_lex_state = 2},
  [2822] = {.lex_state = 244, .external_lex_state = 2},
  [2823] = {.lex_state = 248, .external_lex_state = 2},
  [2824] = {.lex_state = 248, .external_lex_state = 2},
  [2825] = {.lex_state = 248, .external_lex_state = 2},
  [2826] = {.lex_state = 248, .external_lex_state = 2},
  [2827] = {.lex_state = 250, .external_lex_state = 2},
  [2828] = {.lex_state = 245, .external_lex_state = 2},
  [2829] = {.lex_state = 255, .external_lex_state = 2},
  [2830] = {.lex_state = 253, .external_lex_state = 2},
  [2831] = {.lex_state = 253, .external_lex_state = 2},
  [2832] = {.lex_state = 255, .external_lex_state = 2},
  [2833] = {.lex_state = 255, .external_lex_state = 2},
  [2834] = {.lex_state = 253, .external_lex_state = 2},
  [2835] = {.lex_state = 255, .external_lex_state = 2},
  [2836] = {.lex_state = 285, .external_lex_state = 2},
  [2837] = {.lex_state = 245, .external_lex_state = 2},
  [2838] = {.lex_state = 285, .external_lex_state = 2},
  [2839] = {.lex_state = 244, .external_lex_state = 2},
  [2840] = {.lex_state = 250, .external_lex_state = 2},
  [2841] = {.lex_state = 250, .external_lex_state = 2},
  [2842] = {.lex_state = 248, .external_lex_state = 2},
  [2843] = {.lex_state = 285, .external_lex_state = 2},
  [2844] = {.lex_state = 248, .external_lex_state = 2},
  [2845] = {.lex_state = 285, .external_lex_state = 2},
  [2846] = {.lex_state = 252, .external_lex_state = 2},
  [2847] = {.lex_state = 250, .external_lex_state = 2},
  [2848] = {.lex_state = 250, .external_lex_state = 2},
  [2849] = {.lex_state = 248, .external_lex_state = 2},
  [2850] = {.lex_state = 252, .external_lex_state = 2},
  [2851] = {.lex_state = 241, .external_lex_state = 2},
  [2852] = {.lex_state = 253, .external_lex_state = 2},
  [2853] = {.lex_state = 241, .external_lex_state = 2},
  [2854] = {.lex_state = 241, .external_lex_state = 2},
  [2855] = {.lex_state = 245, .external_lex_state = 2},
  [2856] = {.lex_state = 253, .external_lex_state = 2},
  [2857] = {.lex_state = 251, .external_lex_state = 2},
  [2858] = {.lex_state = 253, .external_lex_state = 2},
  [2859] = {.lex_state = 241, .external_lex_state = 2},
  [2860] = {.lex_state = 251, .external_lex_state = 2},
  [2861] = {.lex_state = 241, .external_lex_state = 2},
  [2862] = {.lex_state = 253, .external_lex_state = 2},
  [2863] = {.lex_state = 253, .external_lex_state = 2},
  [2864] = {.lex_state = 293, .external_lex_state = 5},
  [2865] = {.lex_state = 236, .external_lex_state = 2},
  [2866] = {.lex_state = 241, .external_lex_state = 2},
  [2867] = {.lex_state = 250, .external_lex_state = 2},
  [2868] = {.lex_state = 251, .external_lex_state = 2},
  [2869] = {.lex_state = 236, .external_lex_state = 2},
  [2870] = {.lex_state = 241, .external_lex_state = 2},
  [2871] = {.lex_state = 286, .external_lex_state = 2},
  [2872] = {.lex_state = 236, .external_lex_state = 2},
  [2873] = {.lex_state = 253, .external_lex_state = 2},
  [2874] = {.lex_state = 236, .external_lex_state = 2},
  [2875] = {.lex_state = 253, .external_lex_state = 2},
  [2876] = {.lex_state = 252, .external_lex_state = 2},
  [2877] = {.lex_state = 238, .external_lex_state = 2},
  [2878] = {.lex_state = 236, .external_lex_state = 2},
  [2879] = {.lex_state = 250, .external_lex_state = 2},
  [2880] = {.lex_state = 286, .external_lex_state = 2},
  [2881] = {.lex_state = 286, .external_lex_state = 2},
  [2882] = {.lex_state = 238, .external_lex_state = 2},
  [2883] = {.lex_state = 250, .external_lex_state = 2},
  [2884] = {.lex_state = 241, .external_lex_state = 2},
  [2885] = {.lex_state = 238, .external_lex_state = 2},
  [2886] = {.lex_state = 253, .external_lex_state = 2},
  [2887] = {.lex_state = 250, .external_lex_state = 2},
  [2888] = {.lex_state = 286, .external_lex_state = 2},
  [2889] = {.lex_state = 309, .external_lex_state = 2},
  [2890] = {.lex_state = 286, .external_lex_state = 2},
  [2891] = {.lex_state = 238, .external_lex_state = 2},
  [2892] = {.lex_state = 236, .external_lex_state = 2},
  [2893] = {.lex_state = 252, .external_lex_state = 2},
  [2894] = {.lex_state = 251, .external_lex_state = 2},
  [2895] = {.lex_state = 250, .external_lex_state = 2},
  [2896] = {.lex_state = 250, .external_lex_state = 2},
  [2897] = {.lex_state = 251, .external_lex_state = 2},
  [2898] = {.lex_state = 309, .external_lex_state = 2},
  [2899] = {.lex_state = 238, .external_lex_state = 2},
  [2900] = {.lex_state = 285, .external_lex_state = 2},
  [2901] = {.lex_state = 236, .external_lex_state = 2},
  [2902] = {.lex_state = 250, .external_lex_state = 2},
  [2903] = {.lex_state = 250, .external_lex_state = 2},
  [2904] = {.lex_state = 250, .external_lex_state = 2},
  [2905] = {.lex_state = 250, .external_lex_state = 2},
  [2906] = {.lex_state = 244, .external_lex_state = 2},
  [2907] = {.lex_state = 286, .external_lex_state = 2},
  [2908] = {.lex_state = 286, .external_lex_state = 2},
  [2909] = {.lex_state = 244, .external_lex_state = 2},
  [2910] = {.lex_state = 285, .external_lex_state = 2},
  [2911] = {.lex_state = 244, .external_lex_state = 2},
  [2912] = {.lex_state = 244, .external_lex_state = 2},
  [2913] = {.lex_state = 293, .external_lex_state = 5},
  [2914] = {.lex_state = 252, .external_lex_state = 2},
  [2915] = {.lex_state = 250, .external_lex_state = 2},
  [2916] = {.lex_state = 250, .external_lex_state = 2},
  [2917] = {.lex_state = 236, .external_lex_state = 2},
  [2918] = {.lex_state = 238, .external_lex_state = 2},
  [2919] = {.lex_state = 236, .external_lex_state = 2},
  [2920] = {.lex_state = 236, .external_lex_state = 2},
  [2921] = {.lex_state = 238, .external_lex_state = 2},
  [2922] = {.lex_state = 236, .external_lex_state = 2},
  [2923] = {.lex_state = 286, .external_lex_state = 2},
  [2924] = {.lex_state = 251, .external_lex_state = 2},
  [2925] = {.lex_state = 236, .external_lex_state = 2},
  [2926] = {.lex_state = 238, .external_lex_state = 2},
  [2927] = {.lex_state = 252, .external_lex_state = 2},
  [2928] = {.lex_state = 250, .external_lex_state = 2},
  [2929] = {.lex_state = 236, .external_lex_state = 2},
  [2930] = {.lex_state = 249, .external_lex_state = 2},
  [2931] = {.lex_state = 250, .external_lex_state = 2},
  [2932] = {.lex_state = 241, .external_lex_state = 2},
  [2933] = {.lex_state = 250, .external_lex_state = 2},
  [2934] = {.lex_state = 250, .external_lex_state = 2},
  [2935] = {.lex_state = 249, .external_lex_state = 2},
  [2936] = {.lex_state = 236, .external_lex_state = 2},
  [2937] = {.lex_state = 236, .external_lex_state = 2},
  [2938] = {.lex_state = 236, .external_lex_state = 2},
  [2939] = {.lex_state = 250, .external_lex_state = 2},
  [2940] = {.lex_state = 252, .external_lex_state = 2},
  [2941] = {.lex_state = 255, .external_lex_state = 2},
  [2942] = {.lex_state = 251, .external_lex_state = 2},
  [2943] = {.lex_state = 236, .external_lex_state = 2},
  [2944] = {.lex_state = 255, .external_lex_state = 2},
  [2945] = {.lex_state = 241, .external_lex_state = 2},
  [2946] = {.lex_state = 241, .external_lex_state = 2},
  [2947] = {.lex_state = 248, .external_lex_state = 2},
  [2948] = {.lex_state = 236, .external_lex_state = 2},
  [2949] = {.lex_state = 255, .external_lex_state = 2},
  [2950] = {.lex_state = 255, .external_lex_state = 2},
  [2951] = {.lex_state = 236, .external_lex_state = 2},
  [2952] = {.lex_state = 236, .external_lex_state = 2},
  [2953] = {.lex_state = 255, .external_lex_state = 2},
  [2954] = {.lex_state = 236, .external_lex_state = 2},
  [2955] = {.lex_state = 250, .external_lex_state = 2},
  [2956] = {.lex_state = 248, .external_lex_state = 2},
  [2957] = {.lex_state = 255, .external_lex_state = 2},
  [2958] = {.lex_state = 309, .external_lex_state = 2},
  [2959] = {.lex_state = 255, .external_lex_state = 2},
  [2960] = {.lex_state = 255, .external_lex_state = 2},
  [2961] = {.lex_state = 248, .external_lex_state = 2},
  [2962] = {.lex_state = 236, .external_lex_state = 2},
  [2963] = {.lex_state = 236, .external_lex_state = 2},
  [2964] = {.lex_state = 245, .external_lex_state = 2},
  [2965] = {.lex_state = 241, .external_lex_state = 2},
  [2966] = {.lex_state = 241, .external_lex_state = 2},
  [2967] = {.lex_state = 254, .external_lex_state = 2},
  [2968] = {.lex_state = 250, .external_lex_state = 2},
  [2969] = {.lex_state = 249, .external_lex_state = 2},
  [2970] = {.lex_state = 244, .external_lex_state = 2},
  [2971] = {.lex_state = 309, .external_lex_state = 2},
  [2972] = {.lex_state = 250, .external_lex_state = 2},
  [2973] = {.lex_state = 236, .external_lex_state = 2},
  [2974] = {.lex_state = 254, .external_lex_state = 2},
  [2975] = {.lex_state = 254, .external_lex_state = 2},
  [2976] = {.lex_state = 241, .external_lex_state = 2},
  [2977] = {.lex_state = 241, .external_lex_state = 2},
  [2978] = {.lex_state = 254, .external_lex_state = 2},
  [2979] = {.lex_state = 254, .external_lex_state = 2},
  [2980] = {.lex_state = 251, .external_lex_state = 2},
  [2981] = {.lex_state = 254, .external_lex_state = 2},
  [2982] = {.lex_state = 309, .external_lex_state = 2},
  [2983] = {.lex_state = 249, .external_lex_state = 2},
  [2984] = {.lex_state = 254, .external_lex_state = 2},
  [2985] = {.lex_state = 241, .external_lex_state = 2},
  [2986] = {.lex_state = 309, .external_lex_state = 2},
  [2987] = {.lex_state = 309, .external_lex_state = 2},
  [2988] = {.lex_state = 249, .external_lex_state = 2},
  [2989] = {.lex_state = 254, .external_lex_state = 2},
  [2990] = {.lex_state = 248, .external_lex_state = 2},
  [2991] = {.lex_state = 248, .external_lex_state = 2},
  [2992] = {.lex_state = 238, .external_lex_state = 2},
  [2993] = {.lex_state = 248, .external_lex_state = 2},
  [2994] = {.lex_state = 251, .external_lex_state = 2},
  [2995] = {.lex_state = 250, .external_lex_state = 2},
  [2996] = {.lex_state = 245, .external_lex_state = 2},
  [2997] = {.lex_state = 248, .external_lex_state = 2},
  [2998] = {.lex_state = 248, .external_lex_state = 2},
  [2999] = {.lex_state = 248, .external_lex_state = 2},
  [3000] = {.lex_state = 248, .external_lex_state = 2},
  [3001] = {.lex_state = 309, .external_lex_state = 2},
  [3002] = {.lex_state = 250, .external_lex_state = 2},
  [3003] = {.lex_state = 249, .external_lex_state = 2},
  [3004] = {.lex_state = 309, .external_lex_state = 3},
  [3005] = {.lex_state = 248, .external_lex_state = 2},
  [3006] = {.lex_state = 238, .external_lex_state = 2},
  [3007] = {.lex_state = 309, .external_lex_state = 2},
  [3008] = {.lex_state = 309, .external_lex_state = 2},
  [3009] = {.lex_state = 248, .external_lex_state = 2},
  [3010] = {.lex_state = 286, .external_lex_state = 2},
  [3011] = {.lex_state = 249, .external_lex_state = 2},
  [3012] = {.lex_state = 286, .external_lex_state = 2},
  [3013] = {.lex_state = 252, .external_lex_state = 2},
  [3014] = {.lex_state = 286, .external_lex_state = 2},
  [3015] = {.lex_state = 286, .external_lex_state = 2},
  [3016] = {.lex_state = 286, .external_lex_state = 2},
  [3017] = {.lex_state = 286, .external_lex_state = 2},
  [3018] = {.lex_state = 286, .external_lex_state = 2},
  [3019] = {.lex_state = 309, .external_lex_state = 2},
  [3020] = {.lex_state = 286, .external_lex_state = 2},
  [3021] = {.lex_state = 248, .external_lex_state = 2},
  [3022] = {.lex_state = 244, .external_lex_state = 2},
  [3023] = {.lex_state = 254, .external_lex_state = 2},
  [3024] = {.lex_state = 244, .external_lex_state = 2},
  [3025] = {.lex_state = 244, .external_lex_state = 2},
  [3026] = {.lex_state = 236, .external_lex_state = 2},
  [3027] = {.lex_state = 249, .external_lex_state = 2},
  [3028] = {.lex_state = 244, .external_lex_state = 2},
  [3029] = {.lex_state = 248, .external_lex_state = 2},
  [3030] = {.lex_state = 285, .external_lex_state = 2},
  [3031] = {.lex_state = 244, .external_lex_state = 2},
  [3032] = {.lex_state = 285, .external_lex_state = 2},
  [3033] = {.lex_state = 249, .external_lex_state = 2},
  [3034] = {.lex_state = 249, .external_lex_state = 2},
  [3035] = {.lex_state = 285, .external_lex_state = 2},
  [3036] = {.lex_state = 254, .external_lex_state = 2},
  [3037] = {.lex_state = 254, .external_lex_state = 2},
  [3038] = {.lex_state = 245, .external_lex_state = 2},
  [3039] = {.lex_state = 238, .external_lex_state = 2},
  [3040] = {.lex_state = 251, .external_lex_state = 2},
  [3041] = {.lex_state = 285, .external_lex_state = 2},
  [3042] = {.lex_state = 251, .external_lex_state = 2},
  [3043] = {.lex_state = 251, .external_lex_state = 2},
  [3044] = {.lex_state = 244, .external_lex_state = 2},
  [3045] = {.lex_state = 244, .external_lex_state = 2},
  [3046] = {.lex_state = 244, .external_lex_state = 2},
  [3047] = {.lex_state = 244, .external_lex_state = 2},
  [3048] = {.lex_state = 245, .external_lex_state = 2},
  [3049] = {.lex_state = 238, .external_lex_state = 2},
  [3050] = {.lex_state = 252, .external_lex_state = 2},
  [3051] = {.lex_state = 252, .external_lex_state = 2},
  [3052] = {.lex_state = 254, .external_lex_state = 2},
  [3053] = {.lex_state = 236, .external_lex_state = 2},
  [3054] = {.lex_state = 254, .external_lex_state = 2},
  [3055] = {.lex_state = 249, .external_lex_state = 2},
  [3056] = {.lex_state = 285, .external_lex_state = 2},
  [3057] = {.lex_state = 238, .external_lex_state = 2},
  [3058] = {.lex_state = 249, .external_lex_state = 2},
  [3059] = {.lex_state = 244, .external_lex_state = 2},
  [3060] = {.lex_state = 245, .external_lex_state = 2},
  [3061] = {.lex_state = 285, .external_lex_state = 2},
  [3062] = {.lex_state = 244, .external_lex_state = 2},
  [3063] = {.lex_state = 244, .external_lex_state = 2},
  [3064] = {.lex_state = 244, .external_lex_state = 2},
  [3065] = {.lex_state = 236, .external_lex_state = 2},
  [3066] = {.lex_state = 254, .external_lex_state = 2},
  [3067] = {.lex_state = 245, .external_lex_state = 2},
  [3068] = {.lex_state = 254, .external_lex_state = 2},
  [3069] = {.lex_state = 252, .external_lex_state = 2},
  [3070] = {.lex_state = 244, .external_lex_state = 2},
  [3071] = {.lex_state = 251, .external_lex_state = 2},
  [3072] = {.lex_state = 238, .external_lex_state = 2},
  [3073] = {.lex_state = 245, .external_lex_state = 2},
  [3074] = {.lex_state = 245, .external_lex_state = 2},
  [3075] = {.lex_state = 238, .external_lex_state = 2},
  [3076] = {.lex_state = 249, .external_lex_state = 2},
  [3077] = {.lex_state = 254, .external_lex_state = 2},
  [3078] = {.lex_state = 248, .external_lex_state = 2},
  [3079] = {.lex_state = 244, .external_lex_state = 2},
  [3080] = {.lex_state = 285, .external_lex_state = 2},
  [3081] = {.lex_state = 285, .external_lex_state = 2},
  [3082] = {.lex_state = 244, .external_lex_state = 2},
  [3083] = {.lex_state = 285, .external_lex_state = 2},
  [3084] = {.lex_state = 238, .external_lex_state = 2},
  [3085] = {.lex_state = 244, .external_lex_state = 2},
  [3086] = {.lex_state = 244, .external_lex_state = 2},
  [3087] = {.lex_state = 248, .external_lex_state = 2},
  [3088] = {.lex_state = 244, .external_lex_state = 2},
  [3089] = {.lex_state = 248, .external_lex_state = 2},
  [3090] = {.lex_state = 244, .external_lex_state = 2},
  [3091] = {.lex_state = 252, .external_lex_state = 2},
  [3092] = {.lex_state = 252, .external_lex_state = 2},
  [3093] = {.lex_state = 244, .external_lex_state = 2},
  [3094] = {.lex_state = 244, .external_lex_state = 2},
  [3095] = {.lex_state = 249, .external_lex_state = 2},
  [3096] = {.lex_state = 244, .external_lex_state = 2},
  [3097] = {.lex_state = 236, .external_lex_state = 2},
  [3098] = {.lex_state = 249, .external_lex_state = 2},
  [3099] = {.lex_state = 248, .external_lex_state = 2},
  [3100] = {.lex_state = 248, .external_lex_state = 2},
  [3101] = {.lex_state = 251, .external_lex_state = 2},
  [3102] = {.lex_state = 244, .external_lex_state = 2},
  [3103] = {.lex_state = 309, .external_lex_state = 2},
  [3104] = {.lex_state = 248, .external_lex_state = 2},
  [3105] = {.lex_state = 244, .external_lex_state = 2},
  [3106] = {.lex_state = 236, .external_lex_state = 2},
  [3107] = {.lex_state = 285, .external_lex_state = 2},
  [3108] = {.lex_state = 285, .external_lex_state = 2},
  [3109] = {.lex_state = 285, .external_lex_state = 2},
  [3110] = {.lex_state = 251, .external_lex_state = 2},
  [3111] = {.lex_state = 236, .external_lex_state = 2},
  [3112] = {.lex_state = 285, .external_lex_state = 2},
  [3113] = {.lex_state = 245, .external_lex_state = 2},
  [3114] = {.lex_state = 285, .external_lex_state = 2},
  [3115] = {.lex_state = 249, .external_lex_state = 2},
  [3116] = {.lex_state = 245, .external_lex_state = 2},
  [3117] = {.lex_state = 285, .external_lex_state = 2},
  [3118] = {.lex_state = 285, .external_lex_state = 2},
  [3119] = {.lex_state = 248, .external_lex_state = 2},
  [3120] = {.lex_state = 245, .external_lex_state = 2},
  [3121] = {.lex_state = 285, .external_lex_state = 2},
  [3122] = {.lex_state = 248, .external_lex_state = 2},
  [3123] = {.lex_state = 248, .external_lex_state = 2},
  [3124] = {.lex_state = 238, .external_lex_state = 2},
  [3125] = {.lex_state = 245, .external_lex_state = 2},
  [3126] = {.lex_state = 248, .external_lex_state = 2},
  [3127] = {.lex_state = 238, .external_lex_state = 2},
  [3128] = {.lex_state = 248, .external_lex_state = 2},
  [3129] = {.lex_state = 253, .external_lex_state = 2},
  [3130] = {.lex_state = 252, .external_lex_state = 2},
  [3131] = {.lex_state = 252, .external_lex_state = 2},
  [3132] = {.lex_state = 255, .external_lex_state = 2},
  [3133] = {.lex_state = 251, .external_lex_state = 2},
  [3134] = {.lex_state = 236, .external_lex_state = 2},
  [3135] = {.lex_state = 253, .external_lex_state = 2},
  [3136] = {.lex_state = 245, .external_lex_state = 2},
  [3137] = {.lex_state = 253, .external_lex_state = 2},
  [3138] = {.lex_state = 255, .external_lex_state = 2},
  [3139] = {.lex_state = 309, .external_lex_state = 2},
  [3140] = {.lex_state = 236, .external_lex_state = 2},
  [3141] = {.lex_state = 244, .external_lex_state = 2},
  [3142] = {.lex_state = 248, .external_lex_state = 2},
  [3143] = {.lex_state = 238, .external_lex_state = 2},
  [3144] = {.lex_state = 285, .external_lex_state = 2},
  [3145] = {.lex_state = 238, .external_lex_state = 2},
  [3146] = {.lex_state = 236, .external_lex_state = 2},
  [3147] = {.lex_state = 244, .external_lex_state = 2},
  [3148] = {.lex_state = 309, .external_lex_state = 2},
  [3149] = {.lex_state = 309, .external_lex_state = 2},
  [3150] = {.lex_state = 238, .external_lex_state = 2},
  [3151] = {.lex_state = 238, .external_lex_state = 2},
  [3152] = {.lex_state = 248, .external_lex_state = 2},
  [3153] = {.lex_state = 309, .external_lex_state = 2},
  [3154] = {.lex_state = 309, .external_lex_state = 2},
  [3155] = {.lex_state = 238, .external_lex_state = 2},
  [3156] = {.lex_state = 244, .external_lex_state = 2},
  [3157] = {.lex_state = 238, .external_lex_state = 2},
  [3158] = {.lex_state = 309, .external_lex_state = 2},
  [3159] = {.lex_state = 309, .external_lex_state = 2},
  [3160] = {.lex_state = 238, .external_lex_state = 2},
  [3161] = {.lex_state = 248, .external_lex_state = 2},
  [3162] = {.lex_state = 309, .external_lex_state = 2},
  [3163] = {.lex_state = 309, .external_lex_state = 2},
  [3164] = {.lex_state = 238, .external_lex_state = 2},
  [3165] = {.lex_state = 255, .external_lex_state = 2},
  [3166] = {.lex_state = 309, .external_lex_state = 2},
  [3167] = {.lex_state = 309, .external_lex_state = 2},
  [3168] = {.lex_state = 248, .external_lex_state = 2},
  [3169] = {.lex_state = 253, .external_lex_state = 2},
  [3170] = {.lex_state = 248, .external_lex_state = 2},
  [3171] = {.lex_state = 253, .external_lex_state = 2},
  [3172] = {.lex_state = 252, .external_lex_state = 2},
  [3173] = {.lex_state = 285, .external_lex_state = 2},
  [3174] = {.lex_state = 255, .external_lex_state = 2},
  [3175] = {.lex_state = 236, .external_lex_state = 2},
  [3176] = {.lex_state = 285, .external_lex_state = 2},
  [3177] = {.lex_state = 309, .external_lex_state = 2},
  [3178] = {.lex_state = 309, .external_lex_state = 2},
  [3179] = {.lex_state = 309, .external_lex_state = 2},
  [3180] = {.lex_state = 248, .external_lex_state = 2},
  [3181] = {.lex_state = 251, .external_lex_state = 2},
  [3182] = {.lex_state = 255, .external_lex_state = 2},
  [3183] = {.lex_state = 245, .external_lex_state = 2},
  [3184] = {.lex_state = 245, .external_lex_state = 2},
  [3185] = {.lex_state = 251, .external_lex_state = 2},
  [3186] = {.lex_state = 253, .external_lex_state = 2},
  [3187] = {.lex_state = 245, .external_lex_state = 2},
  [3188] = {.lex_state = 255, .external_lex_state = 2},
  [3189] = {.lex_state = 251, .external_lex_state = 2},
  [3190] = {.lex_state = 253, .external_lex_state = 2},
  [3191] = {.lex_state = 249, .external_lex_state = 2},
  [3192] = {.lex_state = 253, .external_lex_state = 2},
  [3193] = {.lex_state = 251, .external_lex_state = 2},
  [3194] = {.lex_state = 251, .external_lex_state = 2},
  [3195] = {.lex_state = 251, .external_lex_state = 2},
  [3196] = {.lex_state = 251, .external_lex_state = 2},
  [3197] = {.lex_state = 252, .external_lex_state = 2},
  [3198] = {.lex_state = 251, .external_lex_state = 2},
  [3199] = {.lex_state = 255, .external_lex_state = 2},
  [3200] = {.lex_state = 251, .external_lex_state = 2},
  [3201] = {.lex_state = 252, .external_lex_state = 2},
  [3202] = {.lex_state = 252, .external_lex_state = 2},
  [3203] = {.lex_state = 255, .external_lex_state = 2},
  [3204] = {.lex_state = 286, .external_lex_state = 2},
  [3205] = {.lex_state = 286, .external_lex_state = 2},
  [3206] = {.lex_state = 246, .external_lex_state = 2},
  [3207] = {.lex_state = 286, .external_lex_state = 2},
  [3208] = {.lex_state = 253, .external_lex_state = 2},
  [3209] = {.lex_state = 286, .external_lex_state = 2},
  [3210] = {.lex_state = 253, .external_lex_state = 2},
  [3211] = {.lex_state = 286, .external_lex_state = 2},
  [3212] = {.lex_state = 249, .external_lex_state = 2},
  [3213] = {.lex_state = 253, .external_lex_state = 2},
  [3214] = {.lex_state = 252, .external_lex_state = 2},
  [3215] = {.lex_state = 286, .external_lex_state = 2},
  [3216] = {.lex_state = 252, .external_lex_state = 2},
  [3217] = {.lex_state = 286, .external_lex_state = 2},
  [3218] = {.lex_state = 251, .external_lex_state = 2},
  [3219] = {.lex_state = 286, .external_lex_state = 2},
  [3220] = {.lex_state = 251, .external_lex_state = 2},
  [3221] = {.lex_state = 255, .external_lex_state = 2},
  [3222] = {.lex_state = 249, .external_lex_state = 2},
  [3223] = {.lex_state = 255, .external_lex_state = 2},
  [3224] = {.lex_state = 249, .external_lex_state = 2},
  [3225] = {.lex_state = 254, .external_lex_state = 2},
  [3226] = {.lex_state = 251, .external_lex_state = 2},
  [3227] = {.lex_state = 253, .external_lex_state = 2},
  [3228] = {.lex_state = 246, .external_lex_state = 2},
  [3229] = {.lex_state = 249, .external_lex_state = 2},
  [3230] = {.lex_state = 253, .external_lex_state = 2},
  [3231] = {.lex_state = 255, .external_lex_state = 2},
  [3232] = {.lex_state = 252, .external_lex_state = 2},
  [3233] = {.lex_state = 255, .external_lex_state = 2},
  [3234] = {.lex_state = 251, .external_lex_state = 2},
  [3235] = {.lex_state = 253, .external_lex_state = 2},
  [3236] = {.lex_state = 255, .external_lex_state = 2},
  [3237] = {.lex_state = 251, .external_lex_state = 2},
  [3238] = {.lex_state = 245, .external_lex_state = 2},
  [3239] = {.lex_state = 246, .external_lex_state = 2},
  [3240] = {.lex_state = 254, .external_lex_state = 2},
  [3241] = {.lex_state = 245, .external_lex_state = 2},
  [3242] = {.lex_state = 245, .external_lex_state = 2},
  [3243] = {.lex_state = 245, .external_lex_state = 2},
  [3244] = {.lex_state = 249, .external_lex_state = 2},
  [3245] = {.lex_state = 241, .external_lex_state = 2},
  [3246] = {.lex_state = 245, .external_lex_state = 2},
  [3247] = {.lex_state = 245, .external_lex_state = 2},
  [3248] = {.lex_state = 246, .external_lex_state = 2},
  [3249] = {.lex_state = 254, .external_lex_state = 2},
  [3250] = {.lex_state = 245, .external_lex_state = 2},
  [3251] = {.lex_state = 246, .external_lex_state = 2},
  [3252] = {.lex_state = 252, .external_lex_state = 2},
  [3253] = {.lex_state = 245, .external_lex_state = 2},
  [3254] = {.lex_state = 252, .external_lex_state = 2},
  [3255] = {.lex_state = 246, .external_lex_state = 2},
  [3256] = {.lex_state = 249, .external_lex_state = 2},
  [3257] = {.lex_state = 252, .external_lex_state = 2},
  [3258] = {.lex_state = 246, .external_lex_state = 2},
  [3259] = {.lex_state = 309, .external_lex_state = 3},
  [3260] = {.lex_state = 246, .external_lex_state = 2},
  [3261] = {.lex_state = 309, .external_lex_state = 3},
  [3262] = {.lex_state = 246, .external_lex_state = 2},
  [3263] = {.lex_state = 246, .external_lex_state = 2},
  [3264] = {.lex_state = 241, .external_lex_state = 2},
  [3265] = {.lex_state = 254, .external_lex_state = 2},
  [3266] = {.lex_state = 241, .external_lex_state = 2},
  [3267] = {.lex_state = 241, .external_lex_state = 2},
  [3268] = {.lex_state = 241, .external_lex_state = 2},
  [3269] = {.lex_state = 241, .external_lex_state = 2},
  [3270] = {.lex_state = 241, .external_lex_state = 2},
  [3271] = {.lex_state = 241, .external_lex_state = 2},
  [3272] = {.lex_state = 241, .external_lex_state = 2},
  [3273] = {.lex_state = 241, .external_lex_state = 2},
  [3274] = {.lex_state = 241, .external_lex_state = 2},
  [3275] = {.lex_state = 254, .external_lex_state = 2},
  [3276] = {.lex_state = 241, .external_lex_state = 2},
  [3277] = {.lex_state = 254, .external_lex_state = 2},
  [3278] = {.lex_state = 254, .external_lex_state = 2},
  [3279] = {.lex_state = 241, .external_lex_state = 2},
  [3280] = {.lex_state = 254, .external_lex_state = 2},
  [3281] = {.lex_state = 254, .external_lex_state = 2},
  [3282] = {.lex_state = 254, .external_lex_state = 2},
  [3283] = {.lex_state = 254, .external_lex_state = 2},
  [3284] = {.lex_state = 254, .external_lex_state = 2},
  [3285] = {.lex_state = 246, .external_lex_state = 2},
  [3286] = {.lex_state = 241, .external_lex_state = 2},
  [3287] = {.lex_state = 246, .external_lex_state = 2},
  [3288] = {.lex_state = 241, .external_lex_state = 2},
  [3289] = {.lex_state = 254, .external_lex_state = 2},
  [3290] = {.lex_state = 246, .external_lex_state = 2},
  [3291] = {.lex_state = 246, .external_lex_state = 2},
  [3292] = {.lex_state = 241, .external_lex_state = 2},
  [3293] = {.lex_state = 249, .external_lex_state = 2},
  [3294] = {.lex_state = 246, .external_lex_state = 2},
  [3295] = {.lex_state = 254, .external_lex_state = 2},
  [3296] = {.lex_state = 249, .external_lex_state = 2},
  [3297] = {.lex_state = 241, .external_lex_state = 2},
  [3298] = {.lex_state = 254, .external_lex_state = 2},
  [3299] = {.lex_state = 286, .external_lex_state = 2},
  [3300] = {.lex_state = 251, .external_lex_state = 2},
  [3301] = {.lex_state = 309, .external_lex_state = 3},
  [3302] = {.lex_state = 249, .external_lex_state = 2},
  [3303] = {.lex_state = 246, .external_lex_state = 2},
  [3304] = {.lex_state = 252, .external_lex_state = 2},
  [3305] = {.lex_state = 245, .external_lex_state = 2},
  [3306] = {.lex_state = 253, .external_lex_state = 2},
  [3307] = {.lex_state = 253, .external_lex_state = 2},
  [3308] = {.lex_state = 241, .external_lex_state = 2},
  [3309] = {.lex_state = 253, .external_lex_state = 2},
  [3310] = {.lex_state = 249, .external_lex_state = 2},
  [3311] = {.lex_state = 309, .external_lex_state = 2},
  [3312] = {.lex_state = 309, .external_lex_state = 2},
  [3313] = {.lex_state = 253, .external_lex_state = 2},
  [3314] = {.lex_state = 253, .external_lex_state = 2},
  [3315] = {.lex_state = 253, .external_lex_state = 2},
  [3316] = {.lex_state = 309, .external_lex_state = 3},
  [3317] = {.lex_state = 253, .external_lex_state = 2},
  [3318] = {.lex_state = 253, .external_lex_state = 2},
  [3319] = {.lex_state = 309, .external_lex_state = 2},
  [3320] = {.lex_state = 309, .external_lex_state = 2},
  [3321] = {.lex_state = 309, .external_lex_state = 2},
  [3322] = {.lex_state = 249, .external_lex_state = 2},
  [3323] = {.lex_state = 286, .external_lex_state = 2},
  [3324] = {.lex_state = 254, .external_lex_state = 2},
  [3325] = {.lex_state = 253, .external_lex_state = 2},
  [3326] = {.lex_state = 309, .external_lex_state = 2},
  [3327] = {.lex_state = 249, .external_lex_state = 2},
  [3328] = {.lex_state = 249, .external_lex_state = 2},
  [3329] = {.lex_state = 249, .external_lex_state = 2},
  [3330] = {.lex_state = 255, .external_lex_state = 2},
  [3331] = {.lex_state = 251, .external_lex_state = 2},
  [3332] = {.lex_state = 255, .external_lex_state = 2},
  [3333] = {.lex_state = 255, .external_lex_state = 2},
  [3334] = {.lex_state = 255, .external_lex_state = 2},
  [3335] = {.lex_state = 255, .external_lex_state = 2},
  [3336] = {.lex_state = 255, .external_lex_state = 2},
  [3337] = {.lex_state = 255, .external_lex_state = 2},
  [3338] = {.lex_state = 254, .external_lex_state = 2},
  [3339] = {.lex_state = 255, .external_lex_state = 2},
  [3340] = {.lex_state = 249, .external_lex_state = 2},
  [3341] = {.lex_state = 309, .external_lex_state = 3},
  [3342] = {.lex_state = 286, .external_lex_state = 2},
  [3343] = {.lex_state = 245, .external_lex_state = 2},
  [3344] = {.lex_state = 252, .external_lex_state = 2},
  [3345] = {.lex_state = 249, .external_lex_state = 2},
  [3346] = {.lex_state = 245, .external_lex_state = 2},
  [3347] = {.lex_state = 245, .external_lex_state = 2},
  [3348] = {.lex_state = 249, .external_lex_state = 2},
  [3349] = {.lex_state = 286, .external_lex_state = 2},
  [3350] = {.lex_state = 286, .external_lex_state = 2},
  [3351] = {.lex_state = 286, .external_lex_state = 2},
  [3352] = {.lex_state = 286, .external_lex_state = 2},
  [3353] = {.lex_state = 286, .external_lex_state = 2},
  [3354] = {.lex_state = 252, .external_lex_state = 2},
  [3355] = {.lex_state = 286, .external_lex_state = 2},
  [3356] = {.lex_state = 249, .external_lex_state = 2},
  [3357] = {.lex_state = 254, .external_lex_state = 2},
  [3358] = {.lex_state = 286, .external_lex_state = 2},
  [3359] = {.lex_state = 254, .external_lex_state = 2},
  [3360] = {.lex_state = 286, .external_lex_state = 2},
  [3361] = {.lex_state = 286, .external_lex_state = 2},
  [3362] = {.lex_state = 241, .external_lex_state = 2},
  [3363] = {.lex_state = 286, .external_lex_state = 2},
  [3364] = {.lex_state = 251, .external_lex_state = 2},
  [3365] = {.lex_state = 245, .external_lex_state = 2},
  [3366] = {.lex_state = 249, .external_lex_state = 2},
  [3367] = {.lex_state = 252, .external_lex_state = 2},
  [3368] = {.lex_state = 249, .external_lex_state = 2},
  [3369] = {.lex_state = 253, .external_lex_state = 2},
  [3370] = {.lex_state = 254, .external_lex_state = 2},
  [3371] = {.lex_state = 254, .external_lex_state = 2},
  [3372] = {.lex_state = 252, .external_lex_state = 2},
  [3373] = {.lex_state = 252, .external_lex_state = 2},
  [3374] = {.lex_state = 286, .external_lex_state = 2},
  [3375] = {.lex_state = 249, .external_lex_state = 2},
  [3376] = {.lex_state = 254, .external_lex_state = 2},
  [3377] = {.lex_state = 254, .external_lex_state = 2},
  [3378] = {.lex_state = 241, .external_lex_state = 2},
  [3379] = {.lex_state = 286, .external_lex_state = 2},
  [3380] = {.lex_state = 254, .external_lex_state = 2},
  [3381] = {.lex_state = 245, .external_lex_state = 2},
  [3382] = {.lex_state = 241, .external_lex_state = 2},
  [3383] = {.lex_state = 249, .external_lex_state = 2},
  [3384] = {.lex_state = 245, .external_lex_state = 2},
  [3385] = {.lex_state = 253, .external_lex_state = 2},
  [3386] = {.lex_state = 309, .external_lex_state = 2},
  [3387] = {.lex_state = 286, .external_lex_state = 2},
  [3388] = {.lex_state = 252, .external_lex_state = 2},
  [3389] = {.lex_state = 252, .external_lex_state = 2},
  [3390] = {.lex_state = 249, .external_lex_state = 2},
  [3391] = {.lex_state = 286, .external_lex_state = 2},
  [3392] = {.lex_state = 286, .external_lex_state = 2},
  [3393] = {.lex_state = 249, .external_lex_state = 2},
  [3394] = {.lex_state = 254, .external_lex_state = 2},
  [3395] = {.lex_state = 251, .external_lex_state = 2},
  [3396] = {.lex_state = 253, .external_lex_state = 2},
  [3397] = {.lex_state = 309, .external_lex_state = 2},
  [3398] = {.lex_state = 251, .external_lex_state = 2},
  [3399] = {.lex_state = 254, .external_lex_state = 2},
  [3400] = {.lex_state = 245, .external_lex_state = 2},
  [3401] = {.lex_state = 241, .external_lex_state = 2},
  [3402] = {.lex_state = 251, .external_lex_state = 2},
  [3403] = {.lex_state = 309, .external_lex_state = 2},
  [3404] = {.lex_state = 309, .external_lex_state = 2},
  [3405] = {.lex_state = 245, .external_lex_state = 2},
  [3406] = {.lex_state = 309, .external_lex_state = 2},
  [3407] = {.lex_state = 309, .external_lex_state = 2},
  [3408] = {.lex_state = 241, .external_lex_state = 2},
  [3409] = {.lex_state = 251, .external_lex_state = 2},
  [3410] = {.lex_state = 252, .external_lex_state = 2},
  [3411] = {.lex_state = 251, .external_lex_state = 2},
  [3412] = {.lex_state = 253, .external_lex_state = 2},
  [3413] = {.lex_state = 249, .external_lex_state = 2},
  [3414] = {.lex_state = 252, .external_lex_state = 2},
  [3415] = {.lex_state = 253, .external_lex_state = 2},
  [3416] = {.lex_state = 245, .external_lex_state = 2},
  [3417] = {.lex_state = 252, .external_lex_state = 2},
  [3418] = {.lex_state = 255, .external_lex_state = 2},
  [3419] = {.lex_state = 252, .external_lex_state = 2},
  [3420] = {.lex_state = 255, .external_lex_state = 2},
  [3421] = {.lex_state = 241, .external_lex_state = 2},
  [3422] = {.lex_state = 255, .external_lex_state = 2},
  [3423] = {.lex_state = 251, .external_lex_state = 2},
  [3424] = {.lex_state = 252, .external_lex_state = 2},
  [3425] = {.lex_state = 255, .external_lex_state = 2},
  [3426] = {.lex_state = 241, .external_lex_state = 2},
  [3427] = {.lex_state = 255, .external_lex_state = 2},
  [3428] = {.lex_state = 251, .external_lex_state = 2},
  [3429] = {.lex_state = 245, .external_lex_state = 2},
  [3430] = {.lex_state = 253, .external_lex_state = 2},
  [3431] = {.lex_state = 255, .external_lex_state = 2},
  [3432] = {.lex_state = 309, .external_lex_state = 2},
  [3433] = {.lex_state = 309, .external_lex_state = 2},
  [3434] = {.lex_state = 255, .external_lex_state = 2},
  [3435] = {.lex_state = 251, .external_lex_state = 2},
  [3436] = {.lex_state = 309, .external_lex_state = 2},
  [3437] = {.lex_state = 255, .external_lex_state = 2},
  [3438] = {.lex_state = 253, .external_lex_state = 2},
  [3439] = {.lex_state = 309, .external_lex_state = 2},
  [3440] = {.lex_state = 252, .external_lex_state = 2},
  [3441] = {.lex_state = 245, .external_lex_state = 2},
  [3442] = {.lex_state = 241, .external_lex_state = 2},
  [3443] = {.lex_state = 309, .external_lex_state = 2},
  [3444] = {.lex_state = 245, .external_lex_state = 2},
  [3445] = {.lex_state = 253, .external_lex_state = 2},
  [3446] = {.lex_state = 252, .external_lex_state = 2},
  [3447] = {.lex_state = 252, .external_lex_state = 2},
  [3448] = {.lex_state = 245, .external_lex_state = 2},
  [3449] = {.lex_state = 252, .external_lex_state = 2},
  [3450] = {.lex_state = 255, .external_lex_state = 2},
  [3451] = {.lex_state = 245, .external_lex_state = 2},
  [3452] = {.lex_state = 251, .external_lex_state = 2},
  [3453] = {.lex_state = 312, .external_lex_state = 2},
  [3454] = {.lex_state = 246, .external_lex_state = 2},
  [3455] = {.lex_state = 246, .external_lex_state = 2},
  [3456] = {.lex_state = 246, .external_lex_state = 2},
  [3457] = {.lex_state = 246, .external_lex_state = 2},
  [3458] = {.lex_state = 309, .external_lex_state = 2},
  [3459] = {.lex_state = 309, .external_lex_state = 2},
  [3460] = {.lex_state = 246, .external_lex_state = 2},
  [3461] = {.lex_state = 246, .external_lex_state = 2},
  [3462] = {.lex_state = 246, .external_lex_state = 2},
  [3463] = {.lex_state = 246, .external_lex_state = 2},
  [3464] = {.lex_state = 309, .external_lex_state = 3},
  [3465] = {.lex_state = 312, .external_lex_state = 2},
  [3466] = {.lex_state = 312, .external_lex_state = 2},
  [3467] = {.lex_state = 246, .external_lex_state = 2},
  [3468] = {.lex_state = 309, .external_lex_state = 2},
  [3469] = {.lex_state = 246, .external_lex_state = 2},
  [3470] = {.lex_state = 246, .external_lex_state = 2},
  [3471] = {.lex_state = 246, .external_lex_state = 2},
  [3472] = {.lex_state = 309, .external_lex_state = 2},
  [3473] = {.lex_state = 246, .external_lex_state = 2},
  [3474] = {.lex_state = 312, .external_lex_state = 2},
  [3475] = {.lex_state = 309, .external_lex_state = 2},
  [3476] = {.lex_state = 246, .external_lex_state = 2},
  [3477] = {.lex_state = 309, .external_lex_state = 2},
  [3478] = {.lex_state = 312, .external_lex_state = 2},
  [3479] = {.lex_state = 312, .external_lex_state = 2},
  [3480] = {.lex_state = 246, .external_lex_state = 2},
  [3481] = {.lex_state = 246, .external_lex_state = 2},
  [3482] = {.lex_state = 246, .external_lex_state = 2},
  [3483] = {.lex_state = 246, .external_lex_state = 2},
  [3484] = {.lex_state = 246, .external_lex_state = 2},
  [3485] = {.lex_state = 309, .external_lex_state = 2},
  [3486] = {.lex_state = 312, .external_lex_state = 2},
  [3487] = {.lex_state = 312, .external_lex_state = 2},
  [3488] = {.lex_state = 312, .external_lex_state = 2},
  [3489] = {.lex_state = 312, .external_lex_state = 2},
  [3490] = {.lex_state = 312, .external_lex_state = 2},
  [3491] = {.lex_state = 312, .external_lex_state = 2},
  [3492] = {.lex_state = 246, .external_lex_state = 2},
  [3493] = {.lex_state = 246, .external_lex_state = 2},
  [3494] = {.lex_state = 246, .external_lex_state = 2},
  [3495] = {.lex_state = 246, .external_lex_state = 2},
  [3496] = {.lex_state = 246, .external_lex_state = 2},
  [3497] = {.lex_state = 312, .external_lex_state = 2},
  [3498] = {.lex_state = 312, .external_lex_state = 2},
  [3499] = {.lex_state = 312, .external_lex_state = 2},
  [3500] = {.lex_state = 312, .external_lex_state = 2},
  [3501] = {.lex_state = 246, .external_lex_state = 2},
  [3502] = {.lex_state = 246, .external_lex_state = 2},
  [3503] = {.lex_state = 309, .external_lex_state = 2},
  [3504] = {.lex_state = 309, .external_lex_state = 2},
  [3505] = {.lex_state = 309, .external_lex_state = 2},
  [3506] = {.lex_state = 309, .external_lex_state = 2},
  [3507] = {.lex_state = 309, .external_lex_state = 2},
  [3508] = {.lex_state = 309, .external_lex_state = 2},
  [3509] = {.lex_state = 309, .external_lex_state = 2},
  [3510] = {.lex_state = 309, .external_lex_state = 2},
  [3511] = {.lex_state = 309, .external_lex_state = 2},
  [3512] = {.lex_state = 309, .external_lex_state = 2},
  [3513] = {.lex_state = 309, .external_lex_state = 2},
  [3514] = {.lex_state = 309, .external_lex_state = 2},
  [3515] = {.lex_state = 309, .external_lex_state = 2},
  [3516] = {.lex_state = 309, .external_lex_state = 2},
  [3517] = {.lex_state = 309, .external_lex_state = 2},
  [3518] = {.lex_state = 309, .external_lex_state = 2},
  [3519] = {.lex_state = 309, .external_lex_state = 2},
  [3520] = {.lex_state = 309, .external_lex_state = 2},
  [3521] = {.lex_state = 309, .external_lex_state = 2},
  [3522] = {.lex_state = 309, .external_lex_state = 2},
  [3523] = {.lex_state = 309, .external_lex_state = 2},
  [3524] = {.lex_state = 309, .external_lex_state = 2},
  [3525] = {.lex_state = 309, .external_lex_state = 2},
  [3526] = {.lex_state = 309, .external_lex_state = 2},
  [3527] = {.lex_state = 309, .external_lex_state = 2},
  [3528] = {.lex_state = 309, .external_lex_state = 2},
  [3529] = {.lex_state = 296, .external_lex_state = 4},
  [3530] = {.lex_state = 309, .external_lex_state = 2},
  [3531] = {.lex_state = 309, .external_lex_state = 2},
  [3532] = {.lex_state = 309, .external_lex_state = 2},
  [3533] = {.lex_state = 309, .external_lex_state = 2},
  [3534] = {.lex_state = 309, .external_lex_state = 2},
  [3535] = {.lex_state = 302, .external_lex_state = 4},
  [3536] = {.lex_state = 309, .external_lex_state = 2},
  [3537] = {.lex_state = 309, .external_lex_state = 2},
  [3538] = {.lex_state = 296, .external_lex_state = 4},
  [3539] = {.lex_state = 309, .external_lex_state = 2},
  [3540] = {.lex_state = 302, .external_lex_state = 4},
  [3541] = {.lex_state = 309, .external_lex_state = 2},
  [3542] = {.lex_state = 309, .external_lex_state = 2},
  [3543] = {.lex_state = 309, .external_lex_state = 2},
  [3544] = {.lex_state = 309, .external_lex_state = 2},
  [3545] = {.lex_state = 309, .external_lex_state = 2},
  [3546] = {.lex_state = 309, .external_lex_state = 2},
  [3547] = {.lex_state = 309, .external_lex_state = 2},
  [3548] = {.lex_state = 309, .external_lex_state = 2},
  [3549] = {.lex_state = 309, .external_lex_state = 2},
  [3550] = {.lex_state = 309, .external_lex_state = 2},
  [3551] = {.lex_state = 309, .external_lex_state = 2},
  [3552] = {.lex_state = 309, .external_lex_state = 2},
  [3553] = {.lex_state = 309, .external_lex_state = 2},
  [3554] = {.lex_state = 309, .external_lex_state = 2},
  [3555] = {.lex_state = 309, .external_lex_state = 2},
  [3556] = {.lex_state = 309, .external_lex_state = 2},
  [3557] = {.lex_state = 309, .external_lex_state = 2},
  [3558] = {.lex_state = 302, .external_lex_state = 4},
  [3559] = {.lex_state = 303, .external_lex_state = 4},
  [3560] = {.lex_state = 296, .external_lex_state = 4},
  [3561] = {.lex_state = 309, .external_lex_state = 2},
  [3562] = {.lex_state = 296, .external_lex_state = 4},
  [3563] = {.lex_state = 309, .external_lex_state = 2},
  [3564] = {.lex_state = 309, .external_lex_state = 2},
  [3565] = {.lex_state = 309, .external_lex_state = 2},
  [3566] = {.lex_state = 309, .external_lex_state = 2},
  [3567] = {.lex_state = 309, .external_lex_state = 2},
  [3568] = {.lex_state = 309, .external_lex_state = 2},
  [3569] = {.lex_state = 309, .external_lex_state = 2},
  [3570] = {.lex_state = 302, .external_lex_state = 4},
  [3571] = {.lex_state = 309, .external_lex_state = 2},
  [3572] = {.lex_state = 309, .external_lex_state = 2},
  [3573] = {.lex_state = 309, .external_lex_state = 2},
  [3574] = {.lex_state = 309, .external_lex_state = 2},
  [3575] = {.lex_state = 309, .external_lex_state = 2},
  [3576] = {.lex_state = 302, .external_lex_state = 4},
  [3577] = {.lex_state = 296, .external_lex_state = 4},
  [3578] = {.lex_state = 309, .external_lex_state = 2},
  [3579] = {.lex_state = 302, .external_lex_state = 4},
  [3580] = {.lex_state = 309, .external_lex_state = 2},
  [3581] = {.lex_state = 309, .external_lex_state = 2},
  [3582] = {.lex_state = 296, .external_lex_state = 4},
  [3583] = {.lex_state = 309, .external_lex_state = 2},
  [3584] = {.lex_state = 309, .external_lex_state = 2},
  [3585] = {.lex_state = 309, .external_lex_state = 2},
  [3586] = {.lex_state = 309, .external_lex_state = 2},
  [3587] = {.lex_state = 309, .external_lex_state = 2},
  [3588] = {.lex_state = 296, .external_lex_state = 4},
  [3589] = {.lex_state = 296, .external_lex_state = 4},
  [3590] = {.lex_state = 309, .external_lex_state = 2},
  [3591] = {.lex_state = 303, .external_lex_state = 4},
  [3592] = {.lex_state = 303, .external_lex_state = 4},
  [3593] = {.lex_state = 309, .external_lex_state = 2},
  [3594] = {.lex_state = 309, .external_lex_state = 2},
  [3595] = {.lex_state = 309, .external_lex_state = 2},
  [3596] = {.lex_state = 309, .external_lex_state = 2},
  [3597] = {.lex_state = 309, .external_lex_state = 2},
  [3598] = {.lex_state = 309, .external_lex_state = 2},
  [3599] = {.lex_state = 309, .external_lex_state = 2},
  [3600] = {.lex_state = 309, .external_lex_state = 2},
  [3601] = {.lex_state = 302, .external_lex_state = 4},
  [3602] = {.lex_state = 309, .external_lex_state = 2},
  [3603] = {.lex_state = 309, .external_lex_state = 2},
  [3604] = {.lex_state = 296, .external_lex_state = 4},
  [3605] = {.lex_state = 309, .external_lex_state = 2},
  [3606] = {.lex_state = 303, .external_lex_state = 4},
  [3607] = {.lex_state = 309, .external_lex_state = 2},
  [3608] = {.lex_state = 309, .external_lex_state = 2},
  [3609] = {.lex_state = 303, .external_lex_state = 4},
  [3610] = {.lex_state = 309, .external_lex_state = 2},
  [3611] = {.lex_state = 309, .external_lex_state = 2},
  [3612] = {.lex_state = 309, .external_lex_state = 2},
  [3613] = {.lex_state = 309, .external_lex_state = 2},
  [3614] = {.lex_state = 309, .external_lex_state = 2},
  [3615] = {.lex_state = 309, .external_lex_state = 2},
  [3616] = {.lex_state = 309, .external_lex_state = 2},
  [3617] = {.lex_state = 309, .external_lex_state = 2},
  [3618] = {.lex_state = 309, .external_lex_state = 2},
  [3619] = {.lex_state = 309, .external_lex_state = 2},
  [3620] = {.lex_state = 302, .external_lex_state = 4},
  [3621] = {.lex_state = 309, .external_lex_state = 2},
  [3622] = {.lex_state = 309, .external_lex_state = 2},
  [3623] = {.lex_state = 309, .external_lex_state = 2},
  [3624] = {.lex_state = 309, .external_lex_state = 2},
  [3625] = {.lex_state = 309, .external_lex_state = 2},
  [3626] = {.lex_state = 309, .external_lex_state = 2},
  [3627] = {.lex_state = 303, .external_lex_state = 4},
  [3628] = {.lex_state = 309, .external_lex_state = 2},
  [3629] = {.lex_state = 309, .external_lex_state = 2},
  [3630] = {.lex_state = 309, .external_lex_state = 2},
  [3631] = {.lex_state = 309, .external_lex_state = 2},
  [3632] = {.lex_state = 309, .external_lex_state = 2},
  [3633] = {.lex_state = 309, .external_lex_state = 2},
  [3634] = {.lex_state = 309, .external_lex_state = 2},
  [3635] = {.lex_state = 309, .external_lex_state = 2},
  [3636] = {.lex_state = 309, .external_lex_state = 2},
  [3637] = {.lex_state = 309, .external_lex_state = 2},
  [3638] = {.lex_state = 309, .external_lex_state = 2},
  [3639] = {.lex_state = 309, .external_lex_state = 2},
  [3640] = {.lex_state = 309, .external_lex_state = 2},
  [3641] = {.lex_state = 309, .external_lex_state = 2},
  [3642] = {.lex_state = 302, .external_lex_state = 4},
  [3643] = {.lex_state = 309, .external_lex_state = 2},
  [3644] = {.lex_state = 309, .external_lex_state = 2},
  [3645] = {.lex_state = 309, .external_lex_state = 2},
  [3646] = {.lex_state = 309, .external_lex_state = 2},
  [3647] = {.lex_state = 309, .external_lex_state = 2},
  [3648] = {.lex_state = 305, .external_lex_state = 4},
  [3649] = {.lex_state = 309, .external_lex_state = 2},
  [3650] = {.lex_state = 309, .external_lex_state = 2},
  [3651] = {.lex_state = 309, .external_lex_state = 2},
  [3652] = {.lex_state = 309, .external_lex_state = 2},
  [3653] = {.lex_state = 309, .external_lex_state = 2},
  [3654] = {.lex_state = 309, .external_lex_state = 2},
  [3655] = {.lex_state = 309, .external_lex_state = 2},
  [3656] = {.lex_state = 309, .external_lex_state = 2},
  [3657] = {.lex_state = 309, .external_lex_state = 2},
  [3658] = {.lex_state = 309, .external_lex_state = 2},
  [3659] = {.lex_state = 303, .external_lex_state = 4},
  [3660] = {.lex_state = 309, .external_lex_state = 2},
  [3661] = {.lex_state = 309, .external_lex_state = 2},
  [3662] = {.lex_state = 302, .external_lex_state = 4},
  [3663] = {.lex_state = 309, .external_lex_state = 2},
  [3664] = {.lex_state = 309, .external_lex_state = 2},
  [3665] = {.lex_state = 309, .external_lex_state = 2},
  [3666] = {.lex_state = 309, .external_lex_state = 2},
  [3667] = {.lex_state = 296, .external_lex_state = 4},
  [3668] = {.lex_state = 309, .external_lex_state = 2},
  [3669] = {.lex_state = 309, .external_lex_state = 2},
  [3670] = {.lex_state = 309, .external_lex_state = 2},
  [3671] = {.lex_state = 309, .external_lex_state = 2},
  [3672] = {.lex_state = 309, .external_lex_state = 2},
  [3673] = {.lex_state = 309, .external_lex_state = 2},
  [3674] = {.lex_state = 309, .external_lex_state = 2},
  [3675] = {.lex_state = 309, .external_lex_state = 2},
  [3676] = {.lex_state = 309, .external_lex_state = 2},
  [3677] = {.lex_state = 309, .external_lex_state = 2},
  [3678] = {.lex_state = 302, .external_lex_state = 4},
  [3679] = {.lex_state = 309, .external_lex_state = 2},
  [3680] = {.lex_state = 302, .external_lex_state = 4},
  [3681] = {.lex_state = 296, .external_lex_state = 4},
  [3682] = {.lex_state = 309, .external_lex_state = 2},
  [3683] = {.lex_state = 309, .external_lex_state = 2},
  [3684] = {.lex_state = 302, .external_lex_state = 4},
  [3685] = {.lex_state = 309, .external_lex_state = 2},
  [3686] = {.lex_state = 309, .external_lex_state = 2},
  [3687] = {.lex_state = 309, .external_lex_state = 2},
  [3688] = {.lex_state = 296, .external_lex_state = 4},
  [3689] = {.lex_state = 309, .external_lex_state = 2},
  [3690] = {.lex_state = 305, .external_lex_state = 4},
  [3691] = {.lex_state = 305, .external_lex_state = 4},
  [3692] = {.lex_state = 309, .external_lex_state = 2},
  [3693] = {.lex_state = 309, .external_lex_state = 2},
  [3694] = {.lex_state = 309, .external_lex_state = 2},
  [3695] = {.lex_state = 309, .external_lex_state = 2},
  [3696] = {.lex_state = 309, .external_lex_state = 2},
  [3697] = {.lex_state = 309, .external_lex_state = 2},
  [3698] = {.lex_state = 309, .external_lex_state = 2},
  [3699] = {.lex_state = 309, .external_lex_state = 2},
  [3700] = {.lex_state = 309, .external_lex_state = 2},
  [3701] = {.lex_state = 309, .external_lex_state = 2},
  [3702] = {.lex_state = 309, .external_lex_state = 2},
  [3703] = {.lex_state = 309, .external_lex_state = 2},
  [3704] = {.lex_state = 309, .external_lex_state = 2},
  [3705] = {.lex_state = 309, .external_lex_state = 2},
  [3706] = {.lex_state = 309, .external_lex_state = 2},
  [3707] = {.lex_state = 309, .external_lex_state = 2},
  [3708] = {.lex_state = 296, .external_lex_state = 4},
  [3709] = {.lex_state = 303, .external_lex_state = 4},
  [3710] = {.lex_state = 309, .external_lex_state = 2},
  [3711] = {.lex_state = 309, .external_lex_state = 2},
  [3712] = {.lex_state = 299, .external_lex_state = 5},
  [3713] = {.lex_state = 306, .external_lex_state = 4},
  [3714] = {.lex_state = 307, .external_lex_state = 4},
  [3715] = {.lex_state = 308, .external_lex_state = 4},
  [3716] = {.lex_state = 308, .external_lex_state = 4},
  [3717] = {.lex_state = 306, .external_lex_state = 4},
  [3718] = {.lex_state = 307, .external_lex_state = 4},
  [3719] = {.lex_state = 299, .external_lex_state = 5},
  [3720] = {.lex_state = 306, .external_lex_state = 4},
  [3721] = {.lex_state = 307, .external_lex_state = 4},
  [3722] = {.lex_state = 299, .external_lex_state = 5},
  [3723] = {.lex_state = 304, .external_lex_state = 4},
  [3724] = {.lex_state = 308, .external_lex_state = 4},
  [3725] = {.lex_state = 257, .external_lex_state = 5},
  [3726] = {.lex_state = 304, .external_lex_state = 4},
  [3727] = {.lex_state = 229, .external_lex_state = 3},
  [3728] = {.lex_state = 229, .external_lex_state = 3},
  [3729] = {.lex_state = 229, .external_lex_state = 3},
  [3730] = {.lex_state = 299, .external_lex_state = 4},
  [3731] = {.lex_state = 299, .external_lex_state = 4},
  [3732] = {.lex_state = 229, .external_lex_state = 3},
  [3733] = {.lex_state = 299, .external_lex_state = 4},
  [3734] = {.lex_state = 229, .external_lex_state = 3},
  [3735] = {.lex_state = 299, .external_lex_state = 4},
  [3736] = {.lex_state = 313, .external_lex_state = 2},
  [3737] = {.lex_state = 277, .external_lex_state = 5},
  [3738] = {.lex_state = 299, .external_lex_state = 5},
  [3739] = {.lex_state = 304, .external_lex_state = 5},
  [3740] = {.lex_state = 299, .external_lex_state = 4},
  [3741] = {.lex_state = 301, .external_lex_state = 5},
  [3742] = {.lex_state = 301, .external_lex_state = 5},
  [3743] = {.lex_state = 301, .external_lex_state = 5},
  [3744] = {.lex_state = 301, .external_lex_state = 5},
  [3745] = {.lex_state = 301, .external_lex_state = 5},
  [3746] = {.lex_state = 301, .external_lex_state = 5},
  [3747] = {.lex_state = 322, .external_lex_state = 5},
  [3748] = {.lex_state = 295, .external_lex_state = 5},
  [3749] = {.lex_state = 295, .external_lex_state = 5},
  [3750] = {.lex_state = 295, .external_lex_state = 5},
  [3751] = {.lex_state = 295, .external_lex_state = 5},
  [3752] = {.lex_state = 295, .external_lex_state = 5},
  [3753] = {.lex_state = 295, .external_lex_state = 5},
  [3754] = {.lex_state = 295, .external_lex_state = 5},
  [3755] = {.lex_state = 295, .external_lex_state = 5},
  [3756] = {.lex_state = 295, .external_lex_state = 5},
  [3757] = {.lex_state = 295, .external_lex_state = 5},
  [3758] = {.lex_state = 295, .external_lex_state = 5},
  [3759] = {.lex_state = 295, .external_lex_state = 5},
  [3760] = {.lex_state = 316, .external_lex_state = 6},
  [3761] = {.lex_state = 293, .external_lex_state = 4},
  [3762] = {.lex_state = 316, .external_lex_state = 6},
  [3763] = {.lex_state = 316, .external_lex_state = 6},
  [3764] = {.lex_state = 295, .external_lex_state = 5},
  [3765] = {.lex_state = 295, .external_lex_state = 5},
  [3766] = {.lex_state = 316, .external_lex_state = 6},
  [3767] = {.lex_state = 316, .external_lex_state = 6},
  [3768] = {.lex_state = 316, .external_lex_state = 6},
  [3769] = {.lex_state = 316, .external_lex_state = 6},
  [3770] = {.lex_state = 316, .external_lex_state = 6},
  [3771] = {.lex_state = 295, .external_lex_state = 5},
  [3772] = {.lex_state = 295, .external_lex_state = 5},
  [3773] = {.lex_state = 316, .external_lex_state = 6},
  [3774] = {.lex_state = 295, .external_lex_state = 5},
  [3775] = {.lex_state = 316, .external_lex_state = 6},
  [3776] = {.lex_state = 316, .external_lex_state = 6},
  [3777] = {.lex_state = 316, .external_lex_state = 6},
  [3778] = {.lex_state = 316, .external_lex_state = 6},
  [3779] = {.lex_state = 295, .external_lex_state = 5},
  [3780] = {.lex_state = 316, .external_lex_state = 6},
  [3781] = {.lex_state = 316, .external_lex_state = 6},
  [3782] = {.lex_state = 316, .external_lex_state = 6},
  [3783] = {.lex_state = 316, .external_lex_state = 6},
  [3784] = {.lex_state = 293, .external_lex_state = 5},
  [3785] = {.lex_state = 295, .external_lex_state = 5},
  [3786] = {.lex_state = 316, .external_lex_state = 6},
  [3787] = {.lex_state = 295, .external_lex_state = 5},
  [3788] = {.lex_state = 295, .external_lex_state = 5},
  [3789] = {.lex_state = 295, .external_lex_state = 5},
  [3790] = {.lex_state = 295, .external_lex_state = 5},
  [3791] = {.lex_state = 316, .external_lex_state = 6},
  [3792] = {.lex_state = 309, .external_lex_state = 3},
  [3793] = {.lex_state = 316, .external_lex_state = 6},
  [3794] = {.lex_state = 309, .external_lex_state = 3},
  [3795] = {.lex_state = 316, .external_lex_state = 6},
  [3796] = {.lex_state = 316, .external_lex_state = 6},
  [3797] = {.lex_state = 316, .external_lex_state = 6},
  [3798] = {.lex_state = 316, .external_lex_state = 6},
  [3799] = {.lex_state = 316, .external_lex_state = 6},
  [3800] = {.lex_state = 316, .external_lex_state = 6},
  [3801] = {.lex_state = 316, .external_lex_state = 6},
  [3802] = {.lex_state = 316, .external_lex_state = 6},
  [3803] = {.lex_state = 316, .external_lex_state = 6},
  [3804] = {.lex_state = 316, .external_lex_state = 6},
  [3805] = {.lex_state = 316, .external_lex_state = 6},
  [3806] = {.lex_state = 316, .external_lex_state = 6},
  [3807] = {.lex_state = 316, .external_lex_state = 6},
  [3808] = {.lex_state = 316, .external_lex_state = 6},
  [3809] = {.lex_state = 309, .external_lex_state = 3},
  [3810] = {.lex_state = 309, .external_lex_state = 3},
  [3811] = {.lex_state = 316, .external_lex_state = 6},
  [3812] = {.lex_state = 316, .external_lex_state = 6},
  [3813] = {.lex_state = 316, .external_lex_state = 6},
  [3814] = {.lex_state = 316, .external_lex_state = 6},
  [3815] = {.lex_state = 316, .external_lex_state = 6},
  [3816] = {.lex_state = 316, .external_lex_state = 6},
  [3817] = {.lex_state = 316, .external_lex_state = 6},
  [3818] = {.lex_state = 309, .external_lex_state = 3},
  [3819] = {.lex_state = 309, .external_lex_state = 3},
  [3820] = {.lex_state = 309, .external_lex_state = 3},
  [3821] = {.lex_state = 316, .external_lex_state = 6},
  [3822] = {.lex_state = 316, .external_lex_state = 6},
  [3823] = {.lex_state = 316, .external_lex_state = 6},
  [3824] = {.lex_state = 316, .external_lex_state = 6},
  [3825] = {.lex_state = 316, .external_lex_state = 6},
  [3826] = {.lex_state = 316, .external_lex_state = 6},
  [3827] = {.lex_state = 316, .external_lex_state = 6},
  [3828] = {.lex_state = 316, .external_lex_state = 6},
  [3829] = {.lex_state = 316, .external_lex_state = 6},
  [3830] = {.lex_state = 316, .external_lex_state = 6},
  [3831] = {.lex_state = 316, .external_lex_state = 6},
  [3832] = {.lex_state = 316, .external_lex_state = 6},
  [3833] = {.lex_state = 316, .external_lex_state = 6},
  [3834] = {.lex_state = 316, .external_lex_state = 6},
  [3835] = {.lex_state = 316, .external_lex_state = 6},
  [3836] = {.lex_state = 316, .external_lex_state = 6},
  [3837] = {.lex_state = 316, .external_lex_state = 6},
  [3838] = {.lex_state = 316, .external_lex_state = 6},
  [3839] = {.lex_state = 316, .external_lex_state = 6},
  [3840] = {.lex_state = 316, .external_lex_state = 6},
  [3841] = {.lex_state = 316, .external_lex_state = 6},
  [3842] = {.lex_state = 316, .external_lex_state = 6},
  [3843] = {.lex_state = 316, .external_lex_state = 6},
  [3844] = {.lex_state = 316, .external_lex_state = 6},
  [3845] = {.lex_state = 316, .external_lex_state = 6},
  [3846] = {.lex_state = 316, .external_lex_state = 6},
  [3847] = {.lex_state = 316, .external_lex_state = 6},
  [3848] = {.lex_state = 316, .external_lex_state = 6},
  [3849] = {.lex_state = 316, .external_lex_state = 6},
  [3850] = {.lex_state = 316, .external_lex_state = 6},
  [3851] = {.lex_state = 316, .external_lex_state = 6},
  [3852] = {.lex_state = 316, .external_lex_state = 6},
  [3853] = {.lex_state = 316, .external_lex_state = 6},
  [3854] = {.lex_state = 316, .external_lex_state = 6},
  [3855] = {.lex_state = 309, .external_lex_state = 3},
  [3856] = {.lex_state = 316, .external_lex_state = 6},
  [3857] = {.lex_state = 316, .external_lex_state = 6},
  [3858] = {.lex_state = 316, .external_lex_state = 6},
  [3859] = {.lex_state = 316, .external_lex_state = 6},
  [3860] = {.lex_state = 316, .external_lex_state = 6},
  [3861] = {.lex_state = 316, .external_lex_state = 6},
  [3862] = {.lex_state = 309, .external_lex_state = 3},
  [3863] = {.lex_state = 309, .external_lex_state = 3},
  [3864] = {.lex_state = 309, .external_lex_state = 3},
  [3865] = {.lex_state = 316, .external_lex_state = 6},
  [3866] = {.lex_state = 316, .external_lex_state = 6},
  [3867] = {.lex_state = 309, .external_lex_state = 3},
  [3868] = {.lex_state = 309, .external_lex_state = 3},
  [3869] = {.lex_state = 309, .external_lex_state = 3},
  [3870] = {.lex_state = 316, .external_lex_state = 6},
  [3871] = {.lex_state = 316, .external_lex_state = 6},
  [3872] = {.lex_state = 316, .external_lex_state = 6},
  [3873] = {.lex_state = 316, .external_lex_state = 6},
  [3874] = {.lex_state = 316, .external_lex_state = 6},
  [3875] = {.lex_state = 316, .external_lex_state = 6},
  [3876] = {.lex_state = 316, .external_lex_state = 6},
  [3877] = {.lex_state = 316, .external_lex_state = 6},
  [3878] = {.lex_state = 316, .external_lex_state = 6},
  [3879] = {.lex_state = 316, .external_lex_state = 6},
  [3880] = {.lex_state = 316, .external_lex_state = 6},
  [3881] = {.lex_state = 316, .external_lex_state = 6},
  [3882] = {.lex_state = 316, .external_lex_state = 6},
  [3883] = {.lex_state = 316, .external_lex_state = 6},
  [3884] = {.lex_state = 316, .external_lex_state = 6},
  [3885] = {.lex_state = 316, .external_lex_state = 6},
  [3886] = {.lex_state = 316, .external_lex_state = 6},
  [3887] = {.lex_state = 316, .external_lex_state = 6},
  [3888] = {.lex_state = 316, .external_lex_state = 6},
  [3889] = {.lex_state = 316, .external_lex_state = 6},
  [3890] = {.lex_state = 316, .external_lex_state = 6},
  [3891] = {.lex_state = 316, .external_lex_state = 6},
  [3892] = {.lex_state = 316, .external_lex_state = 6},
  [3893] = {.lex_state = 316, .external_lex_state = 6},
  [3894] = {.lex_state = 316, .external_lex_state = 6},
  [3895] = {.lex_state = 316, .external_lex_state = 6},
  [3896] = {.lex_state = 316, .external_lex_state = 6},
  [3897] = {.lex_state = 316, .external_lex_state = 6},
  [3898] = {.lex_state = 316, .external_lex_state = 6},
  [3899] = {.lex_state = 316, .external_lex_state = 6},
  [3900] = {.lex_state = 316, .external_lex_state = 6},
  [3901] = {.lex_state = 316, .external_lex_state = 6},
  [3902] = {.lex_state = 316, .external_lex_state = 6},
  [3903] = {.lex_state = 316, .external_lex_state = 6},
  [3904] = {.lex_state = 316, .external_lex_state = 6},
  [3905] = {.lex_state = 316, .external_lex_state = 6},
  [3906] = {.lex_state = 316, .external_lex_state = 6},
  [3907] = {.lex_state = 316, .external_lex_state = 6},
  [3908] = {.lex_state = 316, .external_lex_state = 6},
  [3909] = {.lex_state = 316, .external_lex_state = 6},
  [3910] = {.lex_state = 316, .external_lex_state = 6},
  [3911] = {.lex_state = 316, .external_lex_state = 6},
  [3912] = {.lex_state = 316, .external_lex_state = 6},
  [3913] = {.lex_state = 316, .external_lex_state = 6},
  [3914] = {.lex_state = 316, .external_lex_state = 6},
  [3915] = {.lex_state = 316, .external_lex_state = 6},
  [3916] = {.lex_state = 309, .external_lex_state = 2},
  [3917] = {.lex_state = 293, .external_lex_state = 4},
  [3918] = {.lex_state = 321, .external_lex_state = 7},
  [3919] = {.lex_state = 309, .external_lex_state = 2},
  [3920] = {.lex_state = 293, .external_lex_state = 5},
  [3921] = {.lex_state = 318, .external_lex_state = 5},
  [3922] = {.lex_state = 293, .external_lex_state = 5},
  [3923] = {.lex_state = 318, .external_lex_state = 5},
  [3924] = {.lex_state = 318, .external_lex_state = 5},
  [3925] = {.lex_state = 318, .external_lex_state = 5},
  [3926] = {.lex_state = 318, .external_lex_state = 5},
  [3927] = {.lex_state = 318, .external_lex_state = 5},
  [3928] = {.lex_state = 318, .external_lex_state = 5},
  [3929] = {.lex_state = 318, .external_lex_state = 5},
  [3930] = {.lex_state = 318, .external_lex_state = 5},
  [3931] = {.lex_state = 318, .external_lex_state = 5},
  [3932] = {.lex_state = 318, .external_lex_state = 5},
  [3933] = {.lex_state = 318, .external_lex_state = 5},
  [3934] = {.lex_state = 318, .external_lex_state = 4},
  [3935] = {.lex_state = 318, .external_lex_state = 4},
  [3936] = {.lex_state = 318, .external_lex_state = 4},
  [3937] = {.lex_state = 318, .external_lex_state = 4},
  [3938] = {.lex_state = 318, .external_lex_state = 4},
  [3939] = {.lex_state = 318, .external_lex_state = 4},
  [3940] = {.lex_state = 318, .external_lex_state = 4},
  [3941] = {.lex_state = 318, .external_lex_state = 4},
  [3942] = {.lex_state = 323, .external_lex_state = 5},
  [3943] = {.lex_state = 318, .external_lex_state = 4},
  [3944] = {.lex_state = 318, .external_lex_state = 4},
  [3945] = {.lex_state = 318, .external_lex_state = 4},
  [3946] = {.lex_state = 318, .external_lex_state = 4},
  [3947] = {.lex_state = 318, .external_lex_state = 4},
  [3948] = {.lex_state = 318, .external_lex_state = 4},
  [3949] = {.lex_state = 318, .external_lex_state = 4},
  [3950] = {.lex_state = 318, .external_lex_state = 4},
  [3951] = {.lex_state = 318, .external_lex_state = 4},
  [3952] = {.lex_state = 318, .external_lex_state = 4},
  [3953] = {.lex_state = 318, .external_lex_state = 4},
  [3954] = {.lex_state = 318, .external_lex_state = 4},
  [3955] = {.lex_state = 318, .external_lex_state = 4},
  [3956] = {.lex_state = 318, .external_lex_state = 4},
  [3957] = {.lex_state = 311, .external_lex_state = 5},
  [3958] = {.lex_state = 318, .external_lex_state = 4},
  [3959] = {.lex_state = 318, .external_lex_state = 4},
  [3960] = {.lex_state = 311, .external_lex_state = 5},
  [3961] = {.lex_state = 311, .external_lex_state = 5},
  [3962] = {.lex_state = 321, .external_lex_state = 4},
  [3963] = {.lex_state = 317, .external_lex_state = 4},
  [3964] = {.lex_state = 311, .external_lex_state = 5},
  [3965] = {.lex_state = 293, .external_lex_state = 5},
  [3966] = {.lex_state = 311, .external_lex_state = 5},
  [3967] = {.lex_state = 311, .external_lex_state = 5},
  [3968] = {.lex_state = 318, .external_lex_state = 4},
  [3969] = {.lex_state = 293, .external_lex_state = 5},
  [3970] = {.lex_state = 318, .external_lex_state = 4},
  [3971] = {.lex_state = 318, .external_lex_state = 4},
  [3972] = {.lex_state = 318, .external_lex_state = 4},
  [3973] = {.lex_state = 318, .external_lex_state = 4},
  [3974] = {.lex_state = 318, .external_lex_state = 4},
  [3975] = {.lex_state = 318, .external_lex_state = 4},
  [3976] = {.lex_state = 318, .external_lex_state = 4},
  [3977] = {.lex_state = 318, .external_lex_state = 5},
  [3978] = {.lex_state = 318, .external_lex_state = 4},
  [3979] = {.lex_state = 321, .external_lex_state = 4},
  [3980] = {.lex_state = 318, .external_lex_state = 5},
  [3981] = {.lex_state = 317, .external_lex_state = 8},
  [3982] = {.lex_state = 318, .external_lex_state = 5},
  [3983] = {.lex_state = 318, .external_lex_state = 5},
  [3984] = {.lex_state = 318, .external_lex_state = 5},
  [3985] = {.lex_state = 318, .external_lex_state = 5},
  [3986] = {.lex_state = 318, .external_lex_state = 5},
  [3987] = {.lex_state = 318, .external_lex_state = 5},
  [3988] = {.lex_state = 293, .external_lex_state = 5},
  [3989] = {.lex_state = 318, .external_lex_state = 5},
  [3990] = {.lex_state = 312, .external_lex_state = 5},
  [3991] = {.lex_state = 318, .external_lex_state = 5},
  [3992] = {.lex_state = 293, .external_lex_state = 5},
  [3993] = {.lex_state = 317, .external_lex_state = 8},
  [3994] = {.lex_state = 312, .external_lex_state = 5},
  [3995] = {.lex_state = 317, .external_lex_state = 8},
  [3996] = {.lex_state = 312, .external_lex_state = 5},
  [3997] = {.lex_state = 293, .external_lex_state = 5},
  [3998] = {.lex_state = 293, .external_lex_state = 5},
  [3999] = {.lex_state = 293, .external_lex_state = 5},
  [4000] = {.lex_state = 312, .external_lex_state = 5},
  [4001] = {.lex_state = 311, .external_lex_state = 5},
  [4002] = {.lex_state = 318, .external_lex_state = 5},
  [4003] = {.lex_state = 321, .external_lex_state = 4},
  [4004] = {.lex_state = 293, .external_lex_state = 5},
  [4005] = {.lex_state = 293, .external_lex_state = 5},
  [4006] = {.lex_state = 293, .external_lex_state = 5},
  [4007] = {.lex_state = 318, .external_lex_state = 5},
  [4008] = {.lex_state = 293, .external_lex_state = 5},
  [4009] = {.lex_state = 318, .external_lex_state = 5},
  [4010] = {.lex_state = 317, .external_lex_state = 8},
  [4011] = {.lex_state = 268, .external_lex_state = 5},
  [4012] = {.lex_state = 268, .external_lex_state = 5},
  [4013] = {.lex_state = 311, .external_lex_state = 5},
  [4014] = {.lex_state = 311, .external_lex_state = 5},
  [4015] = {.lex_state = 311, .external_lex_state = 5},
  [4016] = {.lex_state = 311, .external_lex_state = 5},
  [4017] = {.lex_state = 311, .external_lex_state = 5},
  [4018] = {.lex_state = 268, .external_lex_state = 5},
  [4019] = {.lex_state = 268, .external_lex_state = 5},
  [4020] = {.lex_state = 310, .external_lex_state = 4},
  [4021] = {.lex_state = 312, .external_lex_state = 5},
  [4022] = {.lex_state = 311, .external_lex_state = 5},
  [4023] = {.lex_state = 312, .external_lex_state = 5},
  [4024] = {.lex_state = 311, .external_lex_state = 5},
  [4025] = {.lex_state = 311, .external_lex_state = 5},
  [4026] = {.lex_state = 311, .external_lex_state = 5},
  [4027] = {.lex_state = 311, .external_lex_state = 5},
  [4028] = {.lex_state = 311, .external_lex_state = 5},
  [4029] = {.lex_state = 268, .external_lex_state = 5},
  [4030] = {.lex_state = 310, .external_lex_state = 4},
  [4031] = {.lex_state = 317, .external_lex_state = 4},
  [4032] = {.lex_state = 268, .external_lex_state = 5},
  [4033] = {.lex_state = 311, .external_lex_state = 5},
  [4034] = {.lex_state = 310, .external_lex_state = 4},
  [4035] = {.lex_state = 317, .external_lex_state = 4},
  [4036] = {.lex_state = 310, .external_lex_state = 4},
  [4037] = {.lex_state = 318, .external_lex_state = 5},
  [4038] = {.lex_state = 318, .external_lex_state = 5},
  [4039] = {.lex_state = 317, .external_lex_state = 4},
  [4040] = {.lex_state = 317, .external_lex_state = 4},
  [4041] = {.lex_state = 317, .external_lex_state = 4},
  [4042] = {.lex_state = 288, .external_lex_state = 5},
  [4043] = {.lex_state = 318, .external_lex_state = 5},
  [4044] = {.lex_state = 318, .external_lex_state = 5},
  [4045] = {.lex_state = 310, .external_lex_state = 4},
  [4046] = {.lex_state = 318, .external_lex_state = 5},
  [4047] = {.lex_state = 288, .external_lex_state = 5},
  [4048] = {.lex_state = 288, .external_lex_state = 5},
  [4049] = {.lex_state = 310, .external_lex_state = 4},
  [4050] = {.lex_state = 318, .external_lex_state = 5},
  [4051] = {.lex_state = 318, .external_lex_state = 5},
  [4052] = {.lex_state = 318, .external_lex_state = 5},
  [4053] = {.lex_state = 318, .external_lex_state = 5},
  [4054] = {.lex_state = 318, .external_lex_state = 5},
  [4055] = {.lex_state = 318, .external_lex_state = 5},
  [4056] = {.lex_state = 318, .external_lex_state = 5},
  [4057] = {.lex_state = 318, .external_lex_state = 5},
  [4058] = {.lex_state = 318, .external_lex_state = 5},
  [4059] = {.lex_state = 318, .external_lex_state = 5},
  [4060] = {.lex_state = 318, .external_lex_state = 5},
  [4061] = {.lex_state = 318, .external_lex_state = 5},
  [4062] = {.lex_state = 299, .external_lex_state = 4},
  [4063] = {.lex_state = 318, .external_lex_state = 5},
  [4064] = {.lex_state = 318, .external_lex_state = 5},
  [4065] = {.lex_state = 318, .external_lex_state = 5},
  [4066] = {.lex_state = 318, .external_lex_state = 5},
  [4067] = {.lex_state = 318, .external_lex_state = 5},
  [4068] = {.lex_state = 318, .external_lex_state = 5},
  [4069] = {.lex_state = 318, .external_lex_state = 5},
  [4070] = {.lex_state = 318, .external_lex_state = 5},
  [4071] = {.lex_state = 317, .external_lex_state = 4},
  [4072] = {.lex_state = 299, .external_lex_state = 4},
  [4073] = {.lex_state = 317, .external_lex_state = 4},
  [4074] = {.lex_state = 318, .external_lex_state = 5},
  [4075] = {.lex_state = 310, .external_lex_state = 4},
  [4076] = {.lex_state = 288, .external_lex_state = 5},
  [4077] = {.lex_state = 317, .external_lex_state = 4},
  [4078] = {.lex_state = 299, .external_lex_state = 4},
  [4079] = {.lex_state = 310, .external_lex_state = 4},
  [4080] = {.lex_state = 318, .external_lex_state = 5},
  [4081] = {.lex_state = 299, .external_lex_state = 4},
  [4082] = {.lex_state = 318, .external_lex_state = 5},
  [4083] = {.lex_state = 288, .external_lex_state = 5},
  [4084] = {.lex_state = 310, .external_lex_state = 5},
  [4085] = {.lex_state = 318, .external_lex_state = 5},
  [4086] = {.lex_state = 288, .external_lex_state = 5},
  [4087] = {.lex_state = 318, .external_lex_state = 5},
  [4088] = {.lex_state = 310, .external_lex_state = 9},
  [4089] = {.lex_state = 299, .external_lex_state = 5},
  [4090] = {.lex_state = 310, .external_lex_state = 4},
  [4091] = {.lex_state = 310, .external_lex_state = 9},
  [4092] = {.lex_state = 302, .external_lex_state = 4},
  [4093] = {.lex_state = 303, .external_lex_state = 4},
  [4094] = {.lex_state = 310, .external_lex_state = 9},
  [4095] = {.lex_state = 296, .external_lex_state = 4},
  [4096] = {.lex_state = 308, .external_lex_state = 4},
  [4097] = {.lex_state = 310, .external_lex_state = 9},
  [4098] = {.lex_state = 310, .external_lex_state = 9},
  [4099] = {.lex_state = 302, .external_lex_state = 4},
  [4100] = {.lex_state = 302, .external_lex_state = 4},
  [4101] = {.lex_state = 310, .external_lex_state = 9},
  [4102] = {.lex_state = 310, .external_lex_state = 4},
  [4103] = {.lex_state = 302, .external_lex_state = 4},
  [4104] = {.lex_state = 310, .external_lex_state = 9},
  [4105] = {.lex_state = 310, .external_lex_state = 9},
  [4106] = {.lex_state = 310, .external_lex_state = 9},
  [4107] = {.lex_state = 310, .external_lex_state = 9},
  [4108] = {.lex_state = 310, .external_lex_state = 9},
  [4109] = {.lex_state = 310, .external_lex_state = 9},
  [4110] = {.lex_state = 310, .external_lex_state = 9},
  [4111] = {.lex_state = 310, .external_lex_state = 9},
  [4112] = {.lex_state = 310, .external_lex_state = 9},
  [4113] = {.lex_state = 310, .external_lex_state = 9},
  [4114] = {.lex_state = 310, .external_lex_state = 9},
  [4115] = {.lex_state = 310, .external_lex_state = 9},
  [4116] = {.lex_state = 310, .external_lex_state = 9},
  [4117] = {.lex_state = 310, .external_lex_state = 9},
  [4118] = {.lex_state = 310, .external_lex_state = 9},
  [4119] = {.lex_state = 310, .external_lex_state = 9},
  [4120] = {.lex_state = 310, .external_lex_state = 9},
  [4121] = {.lex_state = 310, .external_lex_state = 9},
  [4122] = {.lex_state = 306, .external_lex_state = 4},
  [4123] = {.lex_state = 310, .external_lex_state = 9},
  [4124] = {.lex_state = 310, .external_lex_state = 9},
  [4125] = {.lex_state = 310, .external_lex_state = 9},
  [4126] = {.lex_state = 310, .external_lex_state = 9},
  [4127] = {.lex_state = 310, .external_lex_state = 9},
  [4128] = {.lex_state = 310, .external_lex_state = 9},
  [4129] = {.lex_state = 310, .external_lex_state = 9},
  [4130] = {.lex_state = 310, .external_lex_state = 9},
  [4131] = {.lex_state = 310, .external_lex_state = 9},
  [4132] = {.lex_state = 310, .external_lex_state = 9},
  [4133] = {.lex_state = 310, .external_lex_state = 9},
  [4134] = {.lex_state = 310, .external_lex_state = 9},
  [4135] = {.lex_state = 310, .external_lex_state = 9},
  [4136] = {.lex_state = 310, .external_lex_state = 9},
  [4137] = {.lex_state = 296, .external_lex_state = 4},
  [4138] = {.lex_state = 288, .external_lex_state = 5},
  [4139] = {.lex_state = 306, .external_lex_state = 4},
  [4140] = {.lex_state = 310, .external_lex_state = 4},
  [4141] = {.lex_state = 310, .external_lex_state = 4},
  [4142] = {.lex_state = 303, .external_lex_state = 4},
  [4143] = {.lex_state = 302, .external_lex_state = 4},
  [4144] = {.lex_state = 303, .external_lex_state = 4},
  [4145] = {.lex_state = 296, .external_lex_state = 4},
  [4146] = {.lex_state = 310, .external_lex_state = 9},
  [4147] = {.lex_state = 296, .external_lex_state = 4},
  [4148] = {.lex_state = 302, .external_lex_state = 4},
  [4149] = {.lex_state = 305, .external_lex_state = 4},
  [4150] = {.lex_state = 305, .external_lex_state = 4},
  [4151] = {.lex_state = 303, .external_lex_state = 4},
  [4152] = {.lex_state = 312, .external_lex_state = 5},
  [4153] = {.lex_state = 302, .external_lex_state = 4},
  [4154] = {.lex_state = 310, .external_lex_state = 9},
  [4155] = {.lex_state = 296, .external_lex_state = 4},
  [4156] = {.lex_state = 302, .external_lex_state = 4},
  [4157] = {.lex_state = 310, .external_lex_state = 4},
  [4158] = {.lex_state = 296, .external_lex_state = 4},
  [4159] = {.lex_state = 312, .external_lex_state = 4},
  [4160] = {.lex_state = 302, .external_lex_state = 4},
  [4161] = {.lex_state = 296, .external_lex_state = 4},
  [4162] = {.lex_state = 303, .external_lex_state = 4},
  [4163] = {.lex_state = 310, .external_lex_state = 4},
  [4164] = {.lex_state = 302, .external_lex_state = 4},
  [4165] = {.lex_state = 310, .external_lex_state = 9},
  [4166] = {.lex_state = 310, .external_lex_state = 4},
  [4167] = {.lex_state = 306, .external_lex_state = 4},
  [4168] = {.lex_state = 296, .external_lex_state = 4},
  [4169] = {.lex_state = 296, .external_lex_state = 4},
  [4170] = {.lex_state = 310, .external_lex_state = 4},
  [4171] = {.lex_state = 305, .external_lex_state = 4},
  [4172] = {.lex_state = 310, .external_lex_state = 9},
  [4173] = {.lex_state = 312, .external_lex_state = 5},
  [4174] = {.lex_state = 310, .external_lex_state = 4},
  [4175] = {.lex_state = 296, .external_lex_state = 4},
  [4176] = {.lex_state = 303, .external_lex_state = 4},
  [4177] = {.lex_state = 310, .external_lex_state = 9},
  [4178] = {.lex_state = 310, .external_lex_state = 4},
  [4179] = {.lex_state = 288, .external_lex_state = 5},
  [4180] = {.lex_state = 302, .external_lex_state = 4},
  [4181] = {.lex_state = 302, .external_lex_state = 4},
  [4182] = {.lex_state = 296, .external_lex_state = 4},
  [4183] = {.lex_state = 308, .external_lex_state = 4},
  [4184] = {.lex_state = 310, .external_lex_state = 9},
  [4185] = {.lex_state = 303, .external_lex_state = 4},
  [4186] = {.lex_state = 231, .external_lex_state = 5},
  [4187] = {.lex_state = 231, .external_lex_state = 5},
  [4188] = {.lex_state = 310, .external_lex_state = 9},
  [4189] = {.lex_state = 231, .external_lex_state = 5},
  [4190] = {.lex_state = 303, .external_lex_state = 4},
  [4191] = {.lex_state = 296, .external_lex_state = 4},
  [4192] = {.lex_state = 310, .external_lex_state = 9},
  [4193] = {.lex_state = 231, .external_lex_state = 5},
  [4194] = {.lex_state = 231, .external_lex_state = 5},
  [4195] = {.lex_state = 302, .external_lex_state = 4},
  [4196] = {.lex_state = 296, .external_lex_state = 4},
  [4197] = {.lex_state = 308, .external_lex_state = 4},
  [4198] = {.lex_state = 288, .external_lex_state = 4},
  [4199] = {.lex_state = 288, .external_lex_state = 4},
  [4200] = {.lex_state = 288, .external_lex_state = 4},
  [4201] = {.lex_state = 288, .external_lex_state = 4},
  [4202] = {.lex_state = 288, .external_lex_state = 4},
  [4203] = {.lex_state = 288, .external_lex_state = 4},
  [4204] = {.lex_state = 288, .external_lex_state = 4},
  [4205] = {.lex_state = 288, .external_lex_state = 4},
  [4206] = {.lex_state = 288, .external_lex_state = 4},
  [4207] = {.lex_state = 288, .external_lex_state = 4},
  [4208] = {.lex_state = 288, .external_lex_state = 4},
  [4209] = {.lex_state = 288, .external_lex_state = 4},
  [4210] = {.lex_state = 288, .external_lex_state = 4},
  [4211] = {.lex_state = 288, .external_lex_state = 4},
  [4212] = {.lex_state = 288, .external_lex_state = 4},
  [4213] = {.lex_state = 288, .external_lex_state = 4},
  [4214] = {.lex_state = 288, .external_lex_state = 4},
  [4215] = {.lex_state = 288, .external_lex_state = 4},
  [4216] = {.lex_state = 288, .external_lex_state = 4},
  [4217] = {.lex_state = 288, .external_lex_state = 4},
  [4218] = {.lex_state = 288, .external_lex_state = 4},
  [4219] = {.lex_state = 288, .external_lex_state = 4},
  [4220] = {.lex_state = 288, .external_lex_state = 4},
  [4221] = {.lex_state = 288, .external_lex_state = 4},
  [4222] = {.lex_state = 288, .external_lex_state = 4},
  [4223] = {.lex_state = 288, .external_lex_state = 4},
  [4224] = {.lex_state = 288, .external_lex_state = 4},
  [4225] = {.lex_state = 288, .external_lex_state = 4},
  [4226] = {.lex_state = 288, .external_lex_state = 4},
  [4227] = {.lex_state = 288, .external_lex_state = 4},
  [4228] = {.lex_state = 310, .external_lex_state = 4},
  [4229] = {.lex_state = 288, .external_lex_state = 4},
  [4230] = {.lex_state = 288, .external_lex_state = 4},
  [4231] = {.lex_state = 288, .external_lex_state = 4},
  [4232] = {.lex_state = 288, .external_lex_state = 4},
  [4233] = {.lex_state = 288, .external_lex_state = 4},
  [4234] = {.lex_state = 288, .external_lex_state = 4},
  [4235] = {.lex_state = 288, .external_lex_state = 4},
  [4236] = {.lex_state = 288, .external_lex_state = 4},
  [4237] = {.lex_state = 288, .external_lex_state = 4},
  [4238] = {.lex_state = 288, .external_lex_state = 4},
  [4239] = {.lex_state = 288, .external_lex_state = 4},
  [4240] = {.lex_state = 288, .external_lex_state = 4},
  [4241] = {.lex_state = 288, .external_lex_state = 4},
  [4242] = {.lex_state = 288, .external_lex_state = 4},
  [4243] = {.lex_state = 288, .external_lex_state = 4},
  [4244] = {.lex_state = 288, .external_lex_state = 4},
  [4245] = {.lex_state = 288, .external_lex_state = 4},
  [4246] = {.lex_state = 288, .external_lex_state = 4},
  [4247] = {.lex_state = 288, .external_lex_state = 4},
  [4248] = {.lex_state = 288, .external_lex_state = 4},
  [4249] = {.lex_state = 288, .external_lex_state = 4},
  [4250] = {.lex_state = 288, .external_lex_state = 4},
  [4251] = {.lex_state = 288, .external_lex_state = 4},
  [4252] = {.lex_state = 288, .external_lex_state = 4},
  [4253] = {.lex_state = 288, .external_lex_state = 4},
  [4254] = {.lex_state = 288, .external_lex_state = 4},
  [4255] = {.lex_state = 318, .external_lex_state = 5},
  [4256] = {.lex_state = 288, .external_lex_state = 4},
  [4257] = {.lex_state = 288, .external_lex_state = 4},
  [4258] = {.lex_state = 288, .external_lex_state = 4},
  [4259] = {.lex_state = 288, .external_lex_state = 4},
  [4260] = {.lex_state = 288, .external_lex_state = 4},
  [4261] = {.lex_state = 288, .external_lex_state = 4},
  [4262] = {.lex_state = 288, .external_lex_state = 4},
  [4263] = {.lex_state = 288, .external_lex_state = 4},
  [4264] = {.lex_state = 288, .external_lex_state = 4},
  [4265] = {.lex_state = 288, .external_lex_state = 4},
  [4266] = {.lex_state = 288, .external_lex_state = 4},
  [4267] = {.lex_state = 288, .external_lex_state = 4},
  [4268] = {.lex_state = 288, .external_lex_state = 4},
  [4269] = {.lex_state = 288, .external_lex_state = 4},
  [4270] = {.lex_state = 288, .external_lex_state = 4},
  [4271] = {.lex_state = 288, .external_lex_state = 4},
  [4272] = {.lex_state = 288, .external_lex_state = 4},
  [4273] = {.lex_state = 318, .external_lex_state = 5},
  [4274] = {.lex_state = 288, .external_lex_state = 4},
  [4275] = {.lex_state = 288, .external_lex_state = 4},
  [4276] = {.lex_state = 288, .external_lex_state = 4},
  [4277] = {.lex_state = 288, .external_lex_state = 4},
  [4278] = {.lex_state = 288, .external_lex_state = 4},
  [4279] = {.lex_state = 288, .external_lex_state = 4},
  [4280] = {.lex_state = 288, .external_lex_state = 4},
  [4281] = {.lex_state = 288, .external_lex_state = 4},
  [4282] = {.lex_state = 288, .external_lex_state = 4},
  [4283] = {.lex_state = 288, .external_lex_state = 4},
  [4284] = {.lex_state = 288, .external_lex_state = 4},
  [4285] = {.lex_state = 288, .external_lex_state = 4},
  [4286] = {.lex_state = 288, .external_lex_state = 4},
  [4287] = {.lex_state = 288, .external_lex_state = 4},
  [4288] = {.lex_state = 288, .external_lex_state = 4},
  [4289] = {.lex_state = 288, .external_lex_state = 4},
  [4290] = {.lex_state = 288, .external_lex_state = 4},
  [4291] = {.lex_state = 288, .external_lex_state = 4},
  [4292] = {.lex_state = 288, .external_lex_state = 4},
  [4293] = {.lex_state = 288, .external_lex_state = 4},
  [4294] = {.lex_state = 288, .external_lex_state = 4},
  [4295] = {.lex_state = 288, .external_lex_state = 4},
  [4296] = {.lex_state = 288, .external_lex_state = 4},
  [4297] = {.lex_state = 288, .external_lex_state = 4},
  [4298] = {.lex_state = 288, .external_lex_state = 4},
  [4299] = {.lex_state = 288, .external_lex_state = 4},
  [4300] = {.lex_state = 288, .external_lex_state = 4},
  [4301] = {.lex_state = 288, .external_lex_state = 5},
  [4302] = {.lex_state = 288, .external_lex_state = 4},
  [4303] = {.lex_state = 288, .external_lex_state = 4},
  [4304] = {.lex_state = 288, .external_lex_state = 4},
  [4305] = {.lex_state = 288, .external_lex_state = 4},
  [4306] = {.lex_state = 288, .external_lex_state = 4},
  [4307] = {.lex_state = 288, .external_lex_state = 4},
  [4308] = {.lex_state = 288, .external_lex_state = 4},
  [4309] = {.lex_state = 299, .external_lex_state = 5},
  [4310] = {.lex_state = 288, .external_lex_state = 4},
  [4311] = {.lex_state = 288, .external_lex_state = 4},
  [4312] = {.lex_state = 288, .external_lex_state = 4},
  [4313] = {.lex_state = 288, .external_lex_state = 4},
  [4314] = {.lex_state = 288, .external_lex_state = 4},
  [4315] = {.lex_state = 288, .external_lex_state = 4},
  [4316] = {.lex_state = 288, .external_lex_state = 4},
  [4317] = {.lex_state = 288, .external_lex_state = 4},
  [4318] = {.lex_state = 288, .external_lex_state = 4},
  [4319] = {.lex_state = 288, .external_lex_state = 4},
  [4320] = {.lex_state = 288, .external_lex_state = 4},
  [4321] = {.lex_state = 288, .external_lex_state = 4},
  [4322] = {.lex_state = 288, .external_lex_state = 4},
  [4323] = {.lex_state = 288, .external_lex_state = 4},
  [4324] = {.lex_state = 288, .external_lex_state = 4},
  [4325] = {.lex_state = 288, .external_lex_state = 4},
  [4326] = {.lex_state = 288, .external_lex_state = 4},
  [4327] = {.lex_state = 288, .external_lex_state = 4},
  [4328] = {.lex_state = 288, .external_lex_state = 4},
  [4329] = {.lex_state = 288, .external_lex_state = 5},
  [4330] = {.lex_state = 288, .external_lex_state = 4},
  [4331] = {.lex_state = 288, .external_lex_state = 5},
  [4332] = {.lex_state = 288, .external_lex_state = 4},
  [4333] = {.lex_state = 288, .external_lex_state = 4},
  [4334] = {.lex_state = 318, .external_lex_state = 5},
  [4335] = {.lex_state = 288, .external_lex_state = 4},
  [4336] = {.lex_state = 288, .external_lex_state = 4},
  [4337] = {.lex_state = 288, .external_lex_state = 4},
  [4338] = {.lex_state = 288, .external_lex_state = 4},
  [4339] = {.lex_state = 288, .external_lex_state = 4},
  [4340] = {.lex_state = 288, .external_lex_state = 4},
  [4341] = {.lex_state = 288, .external_lex_state = 4},
  [4342] = {.lex_state = 288, .external_lex_state = 4},
  [4343] = {.lex_state = 288, .external_lex_state = 4},
  [4344] = {.lex_state = 288, .external_lex_state = 4},
  [4345] = {.lex_state = 288, .external_lex_state = 4},
  [4346] = {.lex_state = 288, .external_lex_state = 4},
  [4347] = {.lex_state = 288, .external_lex_state = 4},
  [4348] = {.lex_state = 288, .external_lex_state = 4},
  [4349] = {.lex_state = 318, .external_lex_state = 5},
  [4350] = {.lex_state = 288, .external_lex_state = 4},
  [4351] = {.lex_state = 288, .external_lex_state = 4},
  [4352] = {.lex_state = 288, .external_lex_state = 4},
  [4353] = {.lex_state = 288, .external_lex_state = 4},
  [4354] = {.lex_state = 288, .external_lex_state = 4},
  [4355] = {.lex_state = 288, .external_lex_state = 4},
  [4356] = {.lex_state = 310, .external_lex_state = 4},
  [4357] = {.lex_state = 288, .external_lex_state = 4},
  [4358] = {.lex_state = 288, .external_lex_state = 4},
  [4359] = {.lex_state = 288, .external_lex_state = 4},
  [4360] = {.lex_state = 288, .external_lex_state = 4},
  [4361] = {.lex_state = 288, .external_lex_state = 4},
  [4362] = {.lex_state = 288, .external_lex_state = 4},
  [4363] = {.lex_state = 288, .external_lex_state = 4},
  [4364] = {.lex_state = 288, .external_lex_state = 4},
  [4365] = {.lex_state = 310, .external_lex_state = 4},
  [4366] = {.lex_state = 310, .external_lex_state = 4},
  [4367] = {.lex_state = 288, .external_lex_state = 4},
  [4368] = {.lex_state = 288, .external_lex_state = 4},
  [4369] = {.lex_state = 288, .external_lex_state = 4},
  [4370] = {.lex_state = 288, .external_lex_state = 5},
  [4371] = {.lex_state = 288, .external_lex_state = 4},
  [4372] = {.lex_state = 288, .external_lex_state = 4},
  [4373] = {.lex_state = 288, .external_lex_state = 4},
  [4374] = {.lex_state = 288, .external_lex_state = 4},
  [4375] = {.lex_state = 288, .external_lex_state = 4},
  [4376] = {.lex_state = 288, .external_lex_state = 4},
  [4377] = {.lex_state = 310, .external_lex_state = 4},
  [4378] = {.lex_state = 288, .external_lex_state = 4},
  [4379] = {.lex_state = 288, .external_lex_state = 4},
  [4380] = {.lex_state = 288, .external_lex_state = 5},
  [4381] = {.lex_state = 312, .external_lex_state = 5},
  [4382] = {.lex_state = 312, .external_lex_state = 5},
  [4383] = {.lex_state = 288, .external_lex_state = 4},
  [4384] = {.lex_state = 288, .external_lex_state = 5},
  [4385] = {.lex_state = 288, .external_lex_state = 4},
  [4386] = {.lex_state = 288, .external_lex_state = 4},
  [4387] = {.lex_state = 299, .external_lex_state = 5},
  [4388] = {.lex_state = 299, .external_lex_state = 5},
  [4389] = {.lex_state = 288, .external_lex_state = 4},
  [4390] = {.lex_state = 318, .external_lex_state = 5},
  [4391] = {.lex_state = 310, .external_lex_state = 4},
  [4392] = {.lex_state = 288, .external_lex_state = 4},
  [4393] = {.lex_state = 288, .external_lex_state = 4},
  [4394] = {.lex_state = 318, .external_lex_state = 5},
  [4395] = {.lex_state = 288, .external_lex_state = 4},
  [4396] = {.lex_state = 288, .external_lex_state = 4},
  [4397] = {.lex_state = 288, .external_lex_state = 4},
  [4398] = {.lex_state = 318, .external_lex_state = 5},
  [4399] = {.lex_state = 288, .external_lex_state = 4},
  [4400] = {.lex_state = 288, .external_lex_state = 4},
  [4401] = {.lex_state = 288, .external_lex_state = 4},
  [4402] = {.lex_state = 288, .external_lex_state = 4},
  [4403] = {.lex_state = 288, .external_lex_state = 5},
  [4404] = {.lex_state = 288, .external_lex_state = 4},
  [4405] = {.lex_state = 288, .external_lex_state = 4},
  [4406] = {.lex_state = 288, .external_lex_state = 4},
  [4407] = {.lex_state = 288, .external_lex_state = 4},
  [4408] = {.lex_state = 288, .external_lex_state = 4},
  [4409] = {.lex_state = 299, .external_lex_state = 5},
  [4410] = {.lex_state = 288, .external_lex_state = 4},
  [4411] = {.lex_state = 288, .external_lex_state = 5},
  [4412] = {.lex_state = 299, .external_lex_state = 5},
  [4413] = {.lex_state = 288, .external_lex_state = 4},
  [4414] = {.lex_state = 299, .external_lex_state = 5},
  [4415] = {.lex_state = 312, .external_lex_state = 5},
  [4416] = {.lex_state = 324, .external_lex_state = 5},
  [4417] = {.lex_state = 324, .external_lex_state = 5},
  [4418] = {.lex_state = 312, .external_lex_state = 5},
  [4419] = {.lex_state = 312, .external_lex_state = 5},
  [4420] = {.lex_state = 312, .external_lex_state = 5},
  [4421] = {.lex_state = 288, .external_lex_state = 5},
  [4422] = {.lex_state = 312, .external_lex_state = 5},
  [4423] = {.lex_state = 312, .external_lex_state = 5},
  [4424] = {.lex_state = 288, .external_lex_state = 5},
  [4425] = {.lex_state = 324, .external_lex_state = 5},
  [4426] = {.lex_state = 299, .external_lex_state = 5},
  [4427] = {.lex_state = 312, .external_lex_state = 5},
  [4428] = {.lex_state = 312, .external_lex_state = 5},
  [4429] = {.lex_state = 319, .external_lex_state = 5},
  [4430] = {.lex_state = 288, .external_lex_state = 5},
  [4431] = {.lex_state = 312, .external_lex_state = 5},
  [4432] = {.lex_state = 312, .external_lex_state = 5},
  [4433] = {.lex_state = 319, .external_lex_state = 5},
  [4434] = {.lex_state = 312, .external_lex_state = 5},
  [4435] = {.lex_state = 312, .external_lex_state = 5},
  [4436] = {.lex_state = 312, .external_lex_state = 5},
  [4437] = {.lex_state = 312, .external_lex_state = 5},
  [4438] = {.lex_state = 312, .external_lex_state = 5},
  [4439] = {.lex_state = 312, .external_lex_state = 5},
  [4440] = {.lex_state = 312, .external_lex_state = 5},
  [4441] = {.lex_state = 312, .external_lex_state = 5},
  [4442] = {.lex_state = 312, .external_lex_state = 5},
  [4443] = {.lex_state = 312, .external_lex_state = 5},
  [4444] = {.lex_state = 288, .external_lex_state = 4},
  [4445] = {.lex_state = 312, .external_lex_state = 5},
  [4446] = {.lex_state = 312, .external_lex_state = 5},
  [4447] = {.lex_state = 312, .external_lex_state = 5},
  [4448] = {.lex_state = 310, .external_lex_state = 5},
  [4449] = {.lex_state = 288, .external_lex_state = 5},
  [4450] = {.lex_state = 312, .external_lex_state = 5},
  [4451] = {.lex_state = 288, .external_lex_state = 5},
  [4452] = {.lex_state = 288, .external_lex_state = 5},
  [4453] = {.lex_state = 288, .external_lex_state = 5},
  [4454] = {.lex_state = 312, .external_lex_state = 5},
  [4455] = {.lex_state = 288, .external_lex_state = 5},
  [4456] = {.lex_state = 288, .external_lex_state = 5},
  [4457] = {.lex_state = 288, .external_lex_state = 5},
  [4458] = {.lex_state = 312, .external_lex_state = 5},
  [4459] = {.lex_state = 288, .external_lex_state = 5},
  [4460] = {.lex_state = 288, .external_lex_state = 5},
  [4461] = {.lex_state = 288, .external_lex_state = 5},
  [4462] = {.lex_state = 312, .external_lex_state = 5},
  [4463] = {.lex_state = 299, .external_lex_state = 5},
  [4464] = {.lex_state = 288, .external_lex_state = 5},
  [4465] = {.lex_state = 288, .external_lex_state = 5},
  [4466] = {.lex_state = 288, .external_lex_state = 5},
  [4467] = {.lex_state = 312, .external_lex_state = 5},
  [4468] = {.lex_state = 288, .external_lex_state = 5},
  [4469] = {.lex_state = 288, .external_lex_state = 5},
  [4470] = {.lex_state = 288, .external_lex_state = 5},
  [4471] = {.lex_state = 312, .external_lex_state = 5},
  [4472] = {.lex_state = 312, .external_lex_state = 5},
  [4473] = {.lex_state = 288, .external_lex_state = 5},
  [4474] = {.lex_state = 288, .external_lex_state = 5},
  [4475] = {.lex_state = 288, .external_lex_state = 5},
  [4476] = {.lex_state = 288, .external_lex_state = 5},
  [4477] = {.lex_state = 288, .external_lex_state = 5},
  [4478] = {.lex_state = 288, .external_lex_state = 5},
  [4479] = {.lex_state = 288, .external_lex_state = 5},
  [4480] = {.lex_state = 288, .external_lex_state = 5},
  [4481] = {.lex_state = 312, .external_lex_state = 5},
  [4482] = {.lex_state = 312, .external_lex_state = 5},
  [4483] = {.lex_state = 288, .external_lex_state = 5},
  [4484] = {.lex_state = 288, .external_lex_state = 5},
  [4485] = {.lex_state = 312, .external_lex_state = 5},
  [4486] = {.lex_state = 312, .external_lex_state = 5},
  [4487] = {.lex_state = 288, .external_lex_state = 5},
  [4488] = {.lex_state = 312, .external_lex_state = 5},
  [4489] = {.lex_state = 288, .external_lex_state = 5},
  [4490] = {.lex_state = 312, .external_lex_state = 5},
  [4491] = {.lex_state = 288, .external_lex_state = 5},
  [4492] = {.lex_state = 312, .external_lex_state = 5},
  [4493] = {.lex_state = 288, .external_lex_state = 4},
  [4494] = {.lex_state = 299, .external_lex_state = 5},
  [4495] = {.lex_state = 312, .external_lex_state = 5},
  [4496] = {.lex_state = 288, .external_lex_state = 5},
  [4497] = {.lex_state = 312, .external_lex_state = 5},
  [4498] = {.lex_state = 312, .external_lex_state = 5},
  [4499] = {.lex_state = 288, .external_lex_state = 5},
  [4500] = {.lex_state = 288, .external_lex_state = 5},
  [4501] = {.lex_state = 312, .external_lex_state = 5},
  [4502] = {.lex_state = 288, .external_lex_state = 5},
  [4503] = {.lex_state = 288, .external_lex_state = 5},
  [4504] = {.lex_state = 299, .external_lex_state = 5},
  [4505] = {.lex_state = 312, .external_lex_state = 5},
  [4506] = {.lex_state = 288, .external_lex_state = 5},
  [4507] = {.lex_state = 288, .external_lex_state = 5},
  [4508] = {.lex_state = 288, .external_lex_state = 5},
  [4509] = {.lex_state = 288, .external_lex_state = 5},
  [4510] = {.lex_state = 288, .external_lex_state = 5},
  [4511] = {.lex_state = 312, .external_lex_state = 5},
  [4512] = {.lex_state = 312, .external_lex_state = 5},
  [4513] = {.lex_state = 288, .external_lex_state = 5},
  [4514] = {.lex_state = 312, .external_lex_state = 5},
  [4515] = {.lex_state = 288, .external_lex_state = 5},
  [4516] = {.lex_state = 312, .external_lex_state = 5},
  [4517] = {.lex_state = 310, .external_lex_state = 5},
  [4518] = {.lex_state = 288, .external_lex_state = 5},
  [4519] = {.lex_state = 288, .external_lex_state = 5},
  [4520] = {.lex_state = 312, .external_lex_state = 5},
  [4521] = {.lex_state = 312, .external_lex_state = 5},
  [4522] = {.lex_state = 288, .external_lex_state = 5},
  [4523] = {.lex_state = 288, .external_lex_state = 5},
  [4524] = {.lex_state = 288, .external_lex_state = 5},
  [4525] = {.lex_state = 288, .external_lex_state = 5},
  [4526] = {.lex_state = 288, .external_lex_state = 5},
  [4527] = {.lex_state = 288, .external_lex_state = 5},
  [4528] = {.lex_state = 288, .external_lex_state = 5},
  [4529] = {.lex_state = 288, .external_lex_state = 5},
  [4530] = {.lex_state = 288, .external_lex_state = 5},
  [4531] = {.lex_state = 288, .external_lex_state = 5},
  [4532] = {.lex_state = 288, .external_lex_state = 5},
  [4533] = {.lex_state = 288, .external_lex_state = 5},
  [4534] = {.lex_state = 288, .external_lex_state = 5},
  [4535] = {.lex_state = 288, .external_lex_state = 5},
  [4536] = {.lex_state = 288, .external_lex_state = 5},
  [4537] = {.lex_state = 288, .external_lex_state = 5},
  [4538] = {.lex_state = 288, .external_lex_state = 5},
  [4539] = {.lex_state = 288, .external_lex_state = 5},
  [4540] = {.lex_state = 288, .external_lex_state = 5},
  [4541] = {.lex_state = 288, .external_lex_state = 5},
  [4542] = {.lex_state = 288, .external_lex_state = 5},
  [4543] = {.lex_state = 288, .external_lex_state = 5},
  [4544] = {.lex_state = 288, .external_lex_state = 5},
  [4545] = {.lex_state = 288, .external_lex_state = 5},
  [4546] = {.lex_state = 288, .external_lex_state = 5},
  [4547] = {.lex_state = 288, .external_lex_state = 5},
  [4548] = {.lex_state = 288, .external_lex_state = 5},
  [4549] = {.lex_state = 288, .external_lex_state = 5},
  [4550] = {.lex_state = 288, .external_lex_state = 5},
  [4551] = {.lex_state = 288, .external_lex_state = 5},
  [4552] = {.lex_state = 288, .external_lex_state = 5},
  [4553] = {.lex_state = 288, .external_lex_state = 5},
  [4554] = {.lex_state = 288, .external_lex_state = 5},
  [4555] = {.lex_state = 288, .external_lex_state = 5},
  [4556] = {.lex_state = 288, .external_lex_state = 5},
  [4557] = {.lex_state = 288, .external_lex_state = 5},
  [4558] = {.lex_state = 288, .external_lex_state = 5},
  [4559] = {.lex_state = 288, .external_lex_state = 5},
  [4560] = {.lex_state = 288, .external_lex_state = 5},
  [4561] = {.lex_state = 288, .external_lex_state = 5},
  [4562] = {.lex_state = 288, .external_lex_state = 5},
  [4563] = {.lex_state = 288, .external_lex_state = 5},
  [4564] = {.lex_state = 288, .external_lex_state = 5},
  [4565] = {.lex_state = 288, .external_lex_state = 5},
  [4566] = {.lex_state = 288, .external_lex_state = 5},
  [4567] = {.lex_state = 288, .external_lex_state = 5},
  [4568] = {.lex_state = 288, .external_lex_state = 5},
  [4569] = {.lex_state = 288, .external_lex_state = 5},
  [4570] = {.lex_state = 288, .external_lex_state = 5},
  [4571] = {.lex_state = 288, .external_lex_state = 5},
  [4572] = {.lex_state = 288, .external_lex_state = 5},
  [4573] = {.lex_state = 288, .external_lex_state = 5},
  [4574] = {.lex_state = 288, .external_lex_state = 5},
  [4575] = {.lex_state = 288, .external_lex_state = 5},
  [4576] = {.lex_state = 288, .external_lex_state = 5},
  [4577] = {.lex_state = 288, .external_lex_state = 5},
  [4578] = {.lex_state = 288, .external_lex_state = 5},
  [4579] = {.lex_state = 288, .external_lex_state = 5},
  [4580] = {.lex_state = 288, .external_lex_state = 5},
  [4581] = {.lex_state = 288, .external_lex_state = 5},
  [4582] = {.lex_state = 288, .external_lex_state = 5},
  [4583] = {.lex_state = 288, .external_lex_state = 5},
  [4584] = {.lex_state = 288, .external_lex_state = 5},
  [4585] = {.lex_state = 288, .external_lex_state = 5},
  [4586] = {.lex_state = 288, .external_lex_state = 5},
  [4587] = {.lex_state = 288, .external_lex_state = 5},
  [4588] = {.lex_state = 288, .external_lex_state = 5},
  [4589] = {.lex_state = 288, .external_lex_state = 5},
  [4590] = {.lex_state = 288, .external_lex_state = 5},
  [4591] = {.lex_state = 288, .external_lex_state = 5},
  [4592] = {.lex_state = 288, .external_lex_state = 5},
  [4593] = {.lex_state = 288, .external_lex_state = 5},
  [4594] = {.lex_state = 288, .external_lex_state = 5},
  [4595] = {.lex_state = 288, .external_lex_state = 5},
  [4596] = {.lex_state = 288, .external_lex_state = 5},
  [4597] = {.lex_state = 288, .external_lex_state = 5},
  [4598] = {.lex_state = 288, .external_lex_state = 5},
  [4599] = {.lex_state = 288, .external_lex_state = 5},
  [4600] = {.lex_state = 288, .external_lex_state = 5},
  [4601] = {.lex_state = 288, .external_lex_state = 5},
  [4602] = {.lex_state = 288, .external_lex_state = 5},
  [4603] = {.lex_state = 288, .external_lex_state = 5},
  [4604] = {.lex_state = 288, .external_lex_state = 5},
  [4605] = {.lex_state = 288, .external_lex_state = 5},
  [4606] = {.lex_state = 288, .external_lex_state = 5},
  [4607] = {.lex_state = 288, .external_lex_state = 5},
  [4608] = {.lex_state = 288, .external_lex_state = 5},
  [4609] = {.lex_state = 288, .external_lex_state = 5},
  [4610] = {.lex_state = 288, .external_lex_state = 5},
  [4611] = {.lex_state = 288, .external_lex_state = 5},
  [4612] = {.lex_state = 288, .external_lex_state = 5},
  [4613] = {.lex_state = 288, .external_lex_state = 5},
  [4614] = {.lex_state = 288, .external_lex_state = 5},
  [4615] = {.lex_state = 288, .external_lex_state = 5},
  [4616] = {.lex_state = 288, .external_lex_state = 5},
  [4617] = {.lex_state = 288, .external_lex_state = 5},
  [4618] = {.lex_state = 288, .external_lex_state = 5},
  [4619] = {.lex_state = 288, .external_lex_state = 5},
  [4620] = {.lex_state = 288, .external_lex_state = 5},
  [4621] = {.lex_state = 288, .external_lex_state = 5},
  [4622] = {.lex_state = 288, .external_lex_state = 5},
  [4623] = {.lex_state = 288, .external_lex_state = 5},
  [4624] = {.lex_state = 288, .external_lex_state = 5},
  [4625] = {.lex_state = 288, .external_lex_state = 5},
  [4626] = {.lex_state = 288, .external_lex_state = 5},
  [4627] = {.lex_state = 288, .external_lex_state = 5},
  [4628] = {.lex_state = 288, .external_lex_state = 5},
  [4629] = {.lex_state = 288, .external_lex_state = 5},
  [4630] = {.lex_state = 288, .external_lex_state = 5},
  [4631] = {.lex_state = 288, .external_lex_state = 5},
  [4632] = {.lex_state = 288, .external_lex_state = 5},
  [4633] = {.lex_state = 288, .external_lex_state = 5},
  [4634] = {.lex_state = 288, .external_lex_state = 5},
  [4635] = {.lex_state = 288, .external_lex_state = 5},
  [4636] = {.lex_state = 288, .external_lex_state = 5},
  [4637] = {.lex_state = 288, .external_lex_state = 5},
  [4638] = {.lex_state = 288, .external_lex_state = 5},
  [4639] = {.lex_state = 288, .external_lex_state = 5},
  [4640] = {.lex_state = 288, .external_lex_state = 5},
  [4641] = {.lex_state = 288, .external_lex_state = 5},
  [4642] = {.lex_state = 288, .external_lex_state = 5},
  [4643] = {.lex_state = 288, .external_lex_state = 5},
  [4644] = {.lex_state = 288, .external_lex_state = 5},
  [4645] = {.lex_state = 288, .external_lex_state = 5},
  [4646] = {.lex_state = 288, .external_lex_state = 5},
  [4647] = {.lex_state = 288, .external_lex_state = 5},
  [4648] = {.lex_state = 288, .external_lex_state = 5},
  [4649] = {.lex_state = 288, .external_lex_state = 5},
  [4650] = {.lex_state = 288, .external_lex_state = 5},
  [4651] = {.lex_state = 288, .external_lex_state = 5},
  [4652] = {.lex_state = 288, .external_lex_state = 5},
  [4653] = {.lex_state = 288, .external_lex_state = 5},
  [4654] = {.lex_state = 288, .external_lex_state = 5},
  [4655] = {.lex_state = 288, .external_lex_state = 5},
  [4656] = {.lex_state = 288, .external_lex_state = 5},
  [4657] = {.lex_state = 288, .external_lex_state = 5},
  [4658] = {.lex_state = 288, .external_lex_state = 5},
  [4659] = {.lex_state = 288, .external_lex_state = 5},
  [4660] = {.lex_state = 288, .external_lex_state = 5},
  [4661] = {.lex_state = 288, .external_lex_state = 5},
  [4662] = {.lex_state = 288, .external_lex_state = 5},
  [4663] = {.lex_state = 288, .external_lex_state = 5},
  [4664] = {.lex_state = 288, .external_lex_state = 5},
  [4665] = {.lex_state = 288, .external_lex_state = 5},
  [4666] = {.lex_state = 288, .external_lex_state = 5},
  [4667] = {.lex_state = 288, .external_lex_state = 5},
  [4668] = {.lex_state = 288, .external_lex_state = 5},
  [4669] = {.lex_state = 288, .external_lex_state = 5},
  [4670] = {.lex_state = 288, .external_lex_state = 5},
  [4671] = {.lex_state = 288, .external_lex_state = 5},
  [4672] = {.lex_state = 288, .external_lex_state = 5},
  [4673] = {.lex_state = 288, .external_lex_state = 5},
  [4674] = {.lex_state = 288, .external_lex_state = 5},
  [4675] = {.lex_state = 288, .external_lex_state = 5},
  [4676] = {.lex_state = 288, .external_lex_state = 5},
  [4677] = {.lex_state = 231, .external_lex_state = 5},
  [4678] = {.lex_state = 231, .external_lex_state = 5},
  [4679] = {.lex_state = 231, .external_lex_state = 5},
  [4680] = {.lex_state = 231, .external_lex_state = 5},
  [4681] = {.lex_state = 231, .external_lex_state = 5},
  [4682] = {.lex_state = 231, .external_lex_state = 5},
  [4683] = {.lex_state = 231, .external_lex_state = 5},
  [4684] = {.lex_state = 231, .external_lex_state = 5},
  [4685] = {.lex_state = 231, .external_lex_state = 5},
  [4686] = {.lex_state = 231, .external_lex_state = 5},
  [4687] = {.lex_state = 231, .external_lex_state = 5},
  [4688] = {.lex_state = 231, .external_lex_state = 5},
  [4689] = {.lex_state = 231, .external_lex_state = 5},
  [4690] = {.lex_state = 231, .external_lex_state = 5},
  [4691] = {.lex_state = 231, .external_lex_state = 5},
  [4692] = {.lex_state = 231, .external_lex_state = 5},
  [4693] = {.lex_state = 231, .external_lex_state = 5},
  [4694] = {.lex_state = 231, .external_lex_state = 5},
  [4695] = {.lex_state = 231, .external_lex_state = 5},
  [4696] = {.lex_state = 231, .external_lex_state = 5},
  [4697] = {.lex_state = 231, .external_lex_state = 5},
  [4698] = {.lex_state = 231, .external_lex_state = 5},
  [4699] = {.lex_state = 231, .external_lex_state = 5},
  [4700] = {.lex_state = 231, .external_lex_state = 5},
  [4701] = {.lex_state = 231, .external_lex_state = 5},
  [4702] = {.lex_state = 231, .external_lex_state = 5},
  [4703] = {.lex_state = 270, .external_lex_state = 5},
  [4704] = {.lex_state = 231, .external_lex_state = 5},
  [4705] = {.lex_state = 270, .external_lex_state = 5},
  [4706] = {.lex_state = 230, .external_lex_state = 5},
  [4707] = {.lex_state = 230, .external_lex_state = 5},
  [4708] = {.lex_state = 270, .external_lex_state = 5},
  [4709] = {.lex_state = 230, .external_lex_state = 5},
  [4710] = {.lex_state = 230, .external_lex_state = 5},
  [4711] = {.lex_state = 270, .external_lex_state = 5},
  [4712] = {.lex_state = 230, .external_lex_state = 5},
  [4713] = {.lex_state = 230, .external_lex_state = 5},
  [4714] = {.lex_state = 230, .external_lex_state = 5},
  [4715] = {.lex_state = 230, .external_lex_state = 5},
  [4716] = {.lex_state = 270, .external_lex_state = 5},
  [4717] = {.lex_state = 230, .external_lex_state = 5},
  [4718] = {.lex_state = 270, .external_lex_state = 5},
  [4719] = {.lex_state = 230, .external_lex_state = 5},
  [4720] = {.lex_state = 230, .external_lex_state = 5},
  [4721] = {.lex_state = 270, .external_lex_state = 5},
  [4722] = {.lex_state = 230, .external_lex_state = 5},
  [4723] = {.lex_state = 230, .external_lex_state = 5},
  [4724] = {.lex_state = 230, .external_lex_state = 5},
  [4725] = {.lex_state = 230, .external_lex_state = 5},
  [4726] = {.lex_state = 230, .external_lex_state = 5},
  [4727] = {.lex_state = 270, .external_lex_state = 5},
  [4728] = {.lex_state = 230, .external_lex_state = 5},
  [4729] = {.lex_state = 230, .external_lex_state = 5},
  [4730] = {.lex_state = 230, .external_lex_state = 5},
  [4731] = {.lex_state = 230, .external_lex_state = 5},
  [4732] = {.lex_state = 230, .external_lex_state = 5},
  [4733] = {.lex_state = 270, .external_lex_state = 5},
  [4734] = {.lex_state = 230, .external_lex_state = 5},
  [4735] = {.lex_state = 230, .external_lex_state = 5},
  [4736] = {.lex_state = 230, .external_lex_state = 5},
  [4737] = {.lex_state = 230, .external_lex_state = 5},
  [4738] = {.lex_state = 230, .external_lex_state = 5},
  [4739] = {.lex_state = 230, .external_lex_state = 5},
  [4740] = {.lex_state = 270, .external_lex_state = 5},
  [4741] = {.lex_state = 270, .external_lex_state = 5},
  [4742] = {.lex_state = 270, .external_lex_state = 5},
  [4743] = {.lex_state = 230, .external_lex_state = 5},
  [4744] = {.lex_state = 230, .external_lex_state = 5},
  [4745] = {.lex_state = 230, .external_lex_state = 5},
  [4746] = {.lex_state = 230, .external_lex_state = 5},
  [4747] = {.lex_state = 230, .external_lex_state = 5},
  [4748] = {.lex_state = 270, .external_lex_state = 5},
  [4749] = {.lex_state = 270, .external_lex_state = 5},
  [4750] = {.lex_state = 270, .external_lex_state = 5},
  [4751] = {.lex_state = 230, .external_lex_state = 5},
  [4752] = {.lex_state = 270, .external_lex_state = 5},
  [4753] = {.lex_state = 230, .external_lex_state = 5},
  [4754] = {.lex_state = 230, .external_lex_state = 5},
  [4755] = {.lex_state = 230, .external_lex_state = 5},
  [4756] = {.lex_state = 230, .external_lex_state = 5},
  [4757] = {.lex_state = 270, .external_lex_state = 5},
  [4758] = {.lex_state = 230, .external_lex_state = 5},
  [4759] = {.lex_state = 230, .external_lex_state = 5},
  [4760] = {.lex_state = 230, .external_lex_state = 5},
  [4761] = {.lex_state = 230, .external_lex_state = 5},
  [4762] = {.lex_state = 230, .external_lex_state = 5},
  [4763] = {.lex_state = 230, .external_lex_state = 5},
  [4764] = {.lex_state = 270, .external_lex_state = 5},
  [4765] = {.lex_state = 230, .external_lex_state = 5},
  [4766] = {.lex_state = 230, .external_lex_state = 5},
  [4767] = {.lex_state = 230, .external_lex_state = 5},
  [4768] = {.lex_state = 230, .external_lex_state = 5},
  [4769] = {.lex_state = 230, .external_lex_state = 5},
  [4770] = {.lex_state = 230, .external_lex_state = 5},
  [4771] = {.lex_state = 230, .external_lex_state = 5},
  [4772] = {.lex_state = 230, .external_lex_state = 5},
  [4773] = {.lex_state = 230, .external_lex_state = 5},
  [4774] = {.lex_state = 230, .external_lex_state = 5},
  [4775] = {.lex_state = 230, .external_lex_state = 5},
  [4776] = {.lex_state = 230, .external_lex_state = 5},
  [4777] = {.lex_state = 230, .external_lex_state = 5},
  [4778] = {.lex_state = 230, .external_lex_state = 5},
  [4779] = {.lex_state = 230, .external_lex_state = 5},
  [4780] = {.lex_state = 270, .external_lex_state = 5},
  [4781] = {.lex_state = 230, .external_lex_state = 5},
  [4782] = {.lex_state = 230, .external_lex_state = 5},
  [4783] = {.lex_state = 270, .external_lex_state = 5},
  [4784] = {.lex_state = 230, .external_lex_state = 5},
  [4785] = {.lex_state = 230, .external_lex_state = 5},
  [4786] = {.lex_state = 230, .external_lex_state = 5},
  [4787] = {.lex_state = 230, .external_lex_state = 5},
  [4788] = {.lex_state = 230, .external_lex_state = 5},
  [4789] = {.lex_state = 230, .external_lex_state = 5},
  [4790] = {.lex_state = 230, .external_lex_state = 5},
  [4791] = {.lex_state = 230, .external_lex_state = 5},
  [4792] = {.lex_state = 230, .external_lex_state = 5},
  [4793] = {.lex_state = 230, .external_lex_state = 5},
  [4794] = {.lex_state = 270, .external_lex_state = 5},
  [4795] = {.lex_state = 230, .external_lex_state = 5},
  [4796] = {.lex_state = 230, .external_lex_state = 5},
  [4797] = {.lex_state = 270, .external_lex_state = 5},
  [4798] = {.lex_state = 270, .external_lex_state = 5},
  [4799] = {.lex_state = 270, .external_lex_state = 5},
  [4800] = {.lex_state = 270, .external_lex_state = 5},
  [4801] = {.lex_state = 270, .external_lex_state = 5},
  [4802] = {.lex_state = 270, .external_lex_state = 5},
  [4803] = {.lex_state = 230, .external_lex_state = 5},
  [4804] = {.lex_state = 230, .external_lex_state = 5},
  [4805] = {.lex_state = 270, .external_lex_state = 5},
  [4806] = {.lex_state = 230, .external_lex_state = 5},
  [4807] = {.lex_state = 280, .external_lex_state = 5},
  [4808] = {.lex_state = 280, .external_lex_state = 5},
  [4809] = {.lex_state = 280, .external_lex_state = 5},
  [4810] = {.lex_state = 274, .external_lex_state = 5},
  [4811] = {.lex_state = 270, .external_lex_state = 5},
  [4812] = {.lex_state = 272, .external_lex_state = 5},
  [4813] = {.lex_state = 272, .external_lex_state = 5},
  [4814] = {.lex_state = 272, .external_lex_state = 5},
  [4815] = {.lex_state = 272, .external_lex_state = 5},
  [4816] = {.lex_state = 272, .external_lex_state = 5},
  [4817] = {.lex_state = 270, .external_lex_state = 5},
  [4818] = {.lex_state = 270, .external_lex_state = 5},
  [4819] = {.lex_state = 270, .external_lex_state = 5},
  [4820] = {.lex_state = 270, .external_lex_state = 5},
  [4821] = {.lex_state = 270, .external_lex_state = 5},
  [4822] = {.lex_state = 270, .external_lex_state = 5},
  [4823] = {.lex_state = 270, .external_lex_state = 5},
  [4824] = {.lex_state = 270, .external_lex_state = 5},
  [4825] = {.lex_state = 270, .external_lex_state = 5},
  [4826] = {.lex_state = 270, .external_lex_state = 5},
  [4827] = {.lex_state = 270, .external_lex_state = 5},
  [4828] = {.lex_state = 270, .external_lex_state = 5},
  [4829] = {.lex_state = 270, .external_lex_state = 5},
  [4830] = {.lex_state = 273, .external_lex_state = 5},
  [4831] = {.lex_state = 287, .external_lex_state = 5},
  [4832] = {.lex_state = 273, .external_lex_state = 5},
  [4833] = {.lex_state = 287, .external_lex_state = 5},
  [4834] = {.lex_state = 279, .external_lex_state = 5},
  [4835] = {.lex_state = 287, .external_lex_state = 5},
  [4836] = {.lex_state = 273, .external_lex_state = 5},
  [4837] = {.lex_state = 279, .external_lex_state = 5},
  [4838] = {.lex_state = 260, .external_lex_state = 5},
  [4839] = {.lex_state = 268, .external_lex_state = 5},
  [4840] = {.lex_state = 268, .external_lex_state = 5},
  [4841] = {.lex_state = 268, .external_lex_state = 5},
  [4842] = {.lex_state = 260, .external_lex_state = 5},
  [4843] = {.lex_state = 263, .external_lex_state = 5},
  [4844] = {.lex_state = 268, .external_lex_state = 5},
  [4845] = {.lex_state = 264, .external_lex_state = 5},
  [4846] = {.lex_state = 263, .external_lex_state = 5},
  [4847] = {.lex_state = 264, .external_lex_state = 5},
  [4848] = {.lex_state = 265, .external_lex_state = 5},
  [4849] = {.lex_state = 266, .external_lex_state = 5},
  [4850] = {.lex_state = 270, .external_lex_state = 5},
  [4851] = {.lex_state = 266, .external_lex_state = 5},
  [4852] = {.lex_state = 268, .external_lex_state = 5},
  [4853] = {.lex_state = 263, .external_lex_state = 5},
  [4854] = {.lex_state = 268, .external_lex_state = 5},
  [4855] = {.lex_state = 270, .external_lex_state = 5},
  [4856] = {.lex_state = 287, .external_lex_state = 5},
  [4857] = {.lex_state = 264, .external_lex_state = 5},
  [4858] = {.lex_state = 268, .external_lex_state = 5},
  [4859] = {.lex_state = 267, .external_lex_state = 5},
  [4860] = {.lex_state = 267, .external_lex_state = 5},
  [4861] = {.lex_state = 265, .external_lex_state = 5},
  [4862] = {.lex_state = 268, .external_lex_state = 5},
  [4863] = {.lex_state = 266, .external_lex_state = 5},
  [4864] = {.lex_state = 270, .external_lex_state = 5},
  [4865] = {.lex_state = 268, .external_lex_state = 5},
  [4866] = {.lex_state = 268, .external_lex_state = 5},
  [4867] = {.lex_state = 268, .external_lex_state = 5},
  [4868] = {.lex_state = 260, .external_lex_state = 5},
  [4869] = {.lex_state = 267, .external_lex_state = 5},
  [4870] = {.lex_state = 265, .external_lex_state = 5},
  [4871] = {.lex_state = 268, .external_lex_state = 5},
  [4872] = {.lex_state = 268, .external_lex_state = 5},
  [4873] = {.lex_state = 268, .external_lex_state = 5},
  [4874] = {.lex_state = 280, .external_lex_state = 5},
  [4875] = {.lex_state = 280, .external_lex_state = 5},
  [4876] = {.lex_state = 280, .external_lex_state = 5},
  [4877] = {.lex_state = 268, .external_lex_state = 5},
  [4878] = {.lex_state = 261, .external_lex_state = 5},
  [4879] = {.lex_state = 261, .external_lex_state = 5},
  [4880] = {.lex_state = 261, .external_lex_state = 5},
  [4881] = {.lex_state = 261, .external_lex_state = 5},
  [4882] = {.lex_state = 261, .external_lex_state = 5},
  [4883] = {.lex_state = 261, .external_lex_state = 5},
  [4884] = {.lex_state = 261, .external_lex_state = 5},
  [4885] = {.lex_state = 261, .external_lex_state = 5},
  [4886] = {.lex_state = 261, .external_lex_state = 5},
  [4887] = {.lex_state = 261, .external_lex_state = 5},
  [4888] = {.lex_state = 261, .external_lex_state = 5},
  [4889] = {.lex_state = 261, .external_lex_state = 5},
  [4890] = {.lex_state = 261, .external_lex_state = 5},
  [4891] = {.lex_state = 261, .external_lex_state = 5},
  [4892] = {.lex_state = 261, .external_lex_state = 5},
  [4893] = {.lex_state = 261, .external_lex_state = 5},
  [4894] = {.lex_state = 261, .external_lex_state = 5},
  [4895] = {.lex_state = 261, .external_lex_state = 5},
  [4896] = {.lex_state = 261, .external_lex_state = 5},
  [4897] = {.lex_state = 261, .external_lex_state = 5},
  [4898] = {.lex_state = 261, .external_lex_state = 5},
  [4899] = {.lex_state = 261, .external_lex_state = 5},
  [4900] = {.lex_state = 261, .external_lex_state = 5},
  [4901] = {.lex_state = 261, .external_lex_state = 5},
  [4902] = {.lex_state = 279, .external_lex_state = 5},
  [4903] = {.lex_state = 268, .external_lex_state = 5},
  [4904] = {.lex_state = 268, .external_lex_state = 5},
  [4905] = {.lex_state = 261, .external_lex_state = 5},
  [4906] = {.lex_state = 268, .external_lex_state = 5},
  [4907] = {.lex_state = 279, .external_lex_state = 5},
  [4908] = {.lex_state = 279, .external_lex_state = 5},
  [4909] = {.lex_state = 279, .external_lex_state = 5},
  [4910] = {.lex_state = 279, .external_lex_state = 5},
  [4911] = {.lex_state = 279, .external_lex_state = 5},
  [4912] = {.lex_state = 279, .external_lex_state = 5},
  [4913] = {.lex_state = 279, .external_lex_state = 5},
  [4914] = {.lex_state = 279, .external_lex_state = 5},
  [4915] = {.lex_state = 279, .external_lex_state = 5},
  [4916] = {.lex_state = 279, .external_lex_state = 5},
  [4917] = {.lex_state = 279, .external_lex_state = 5},
  [4918] = {.lex_state = 279, .external_lex_state = 5},
  [4919] = {.lex_state = 279, .external_lex_state = 5},
  [4920] = {.lex_state = 279, .external_lex_state = 5},
  [4921] = {.lex_state = 279, .external_lex_state = 5},
  [4922] = {.lex_state = 279, .external_lex_state = 5},
  [4923] = {.lex_state = 279, .external_lex_state = 5},
  [4924] = {.lex_state = 279, .external_lex_state = 5},
  [4925] = {.lex_state = 279, .external_lex_state = 5},
  [4926] = {.lex_state = 279, .external_lex_state = 5},
  [4927] = {.lex_state = 258, .external_lex_state = 5},
  [4928] = {.lex_state = 231, .external_lex_state = 5},
  [4929] = {.lex_state = 231, .external_lex_state = 5},
  [4930] = {.lex_state = 231, .external_lex_state = 5},
  [4931] = {.lex_state = 231, .external_lex_state = 5},
  [4932] = {.lex_state = 231, .external_lex_state = 5},
  [4933] = {.lex_state = 231, .external_lex_state = 5},
  [4934] = {.lex_state = 231, .external_lex_state = 5},
  [4935] = {.lex_state = 231, .external_lex_state = 5},
  [4936] = {.lex_state = 297, .external_lex_state = 5},
  [4937] = {.lex_state = 294, .external_lex_state = 5},
  [4938] = {.lex_state = 259, .external_lex_state = 5},
  [4939] = {.lex_state = 259, .external_lex_state = 5},
  [4940] = {.lex_state = 270, .external_lex_state = 5},
  [4941] = {.lex_state = 294, .external_lex_state = 5},
  [4942] = {.lex_state = 294, .external_lex_state = 5},
  [4943] = {.lex_state = 259, .external_lex_state = 5},
  [4944] = {.lex_state = 294, .external_lex_state = 5},
  [4945] = {.lex_state = 294, .external_lex_state = 5},
  [4946] = {.lex_state = 294, .external_lex_state = 5},
  [4947] = {.lex_state = 294, .external_lex_state = 5},
  [4948] = {.lex_state = 294, .external_lex_state = 5},
  [4949] = {.lex_state = 294, .external_lex_state = 5},
  [4950] = {.lex_state = 294, .external_lex_state = 5},
  [4951] = {.lex_state = 294, .external_lex_state = 5},
  [4952] = {.lex_state = 294, .external_lex_state = 5},
  [4953] = {.lex_state = 259, .external_lex_state = 5},
  [4954] = {.lex_state = 259, .external_lex_state = 5},
  [4955] = {.lex_state = 259, .external_lex_state = 5},
  [4956] = {.lex_state = 270, .external_lex_state = 5},
  [4957] = {.lex_state = 259, .external_lex_state = 5},
  [4958] = {.lex_state = 259, .external_lex_state = 5},
  [4959] = {.lex_state = 259, .external_lex_state = 5},
  [4960] = {.lex_state = 259, .external_lex_state = 5},
  [4961] = {.lex_state = 259, .external_lex_state = 5},
  [4962] = {.lex_state = 259, .external_lex_state = 5},
  [4963] = {.lex_state = 231, .external_lex_state = 5},
  [4964] = {.lex_state = 294, .external_lex_state = 4},
  [4965] = {.lex_state = 270, .external_lex_state = 5},
  [4966] = {.lex_state = 270, .external_lex_state = 5},
  [4967] = {.lex_state = 270, .external_lex_state = 5},
  [4968] = {.lex_state = 270, .external_lex_state = 5},
  [4969] = {.lex_state = 270, .external_lex_state = 5},
  [4970] = {.lex_state = 270, .external_lex_state = 5},
  [4971] = {.lex_state = 270, .external_lex_state = 5},
  [4972] = {.lex_state = 270, .external_lex_state = 5},
  [4973] = {.lex_state = 270, .external_lex_state = 5},
  [4974] = {.lex_state = 231, .external_lex_state = 5},
  [4975] = {.lex_state = 231, .external_lex_state = 5},
  [4976] = {.lex_state = 231, .external_lex_state = 5},
  [4977] = {.lex_state = 231, .external_lex_state = 5},
  [4978] = {.lex_state = 231, .external_lex_state = 5},
  [4979] = {.lex_state = 231, .external_lex_state = 5},
  [4980] = {.lex_state = 231, .external_lex_state = 5},
  [4981] = {.lex_state = 231, .external_lex_state = 5},
  [4982] = {.lex_state = 231, .external_lex_state = 5},
  [4983] = {.lex_state = 231, .external_lex_state = 5},
  [4984] = {.lex_state = 231, .external_lex_state = 5},
  [4985] = {.lex_state = 231, .external_lex_state = 5},
  [4986] = {.lex_state = 231, .external_lex_state = 5},
  [4987] = {.lex_state = 296, .external_lex_state = 5},
  [4988] = {.lex_state = 294, .external_lex_state = 4},
  [4989] = {.lex_state = 231, .external_lex_state = 5},
  [4990] = {.lex_state = 296, .external_lex_state = 5},
  [4991] = {.lex_state = 231, .external_lex_state = 5},
  [4992] = {.lex_state = 231, .external_lex_state = 5},
  [4993] = {.lex_state = 231, .external_lex_state = 5},
  [4994] = {.lex_state = 231, .external_lex_state = 5},
  [4995] = {.lex_state = 231, .external_lex_state = 5},
  [4996] = {.lex_state = 231, .external_lex_state = 5},
  [4997] = {.lex_state = 231, .external_lex_state = 5},
  [4998] = {.lex_state = 231, .external_lex_state = 5},
  [4999] = {.lex_state = 231, .external_lex_state = 5},
  [5000] = {.lex_state = 296, .external_lex_state = 5},
  [5001] = {.lex_state = 296, .external_lex_state = 5},
  [5002] = {.lex_state = 296, .external_lex_state = 5},
  [5003] = {.lex_state = 296, .external_lex_state = 5},
  [5004] = {.lex_state = 296, .external_lex_state = 5},
  [5005] = {.lex_state = 296, .external_lex_state = 5},
  [5006] = {.lex_state = 296, .external_lex_state = 5},
  [5007] = {.lex_state = 296, .external_lex_state = 5},
  [5008] = {.lex_state = 231, .external_lex_state = 5},
  [5009] = {.lex_state = 231, .external_lex_state = 5},
  [5010] = {.lex_state = 296, .external_lex_state = 5},
  [5011] = {.lex_state = 296, .external_lex_state = 5},
  [5012] = {.lex_state = 294, .external_lex_state = 4},
  [5013] = {.lex_state = 294, .external_lex_state = 4},
  [5014] = {.lex_state = 294, .external_lex_state = 4},
  [5015] = {.lex_state = 296, .external_lex_state = 5},
  [5016] = {.lex_state = 296, .external_lex_state = 5},
  [5017] = {.lex_state = 231, .external_lex_state = 5},
  [5018] = {.lex_state = 231, .external_lex_state = 5},
  [5019] = {.lex_state = 294, .external_lex_state = 4},
  [5020] = {.lex_state = 294, .external_lex_state = 4},
  [5021] = {.lex_state = 294, .external_lex_state = 4},
  [5022] = {.lex_state = 231, .external_lex_state = 5},
  [5023] = {.lex_state = 296, .external_lex_state = 5},
  [5024] = {.lex_state = 294, .external_lex_state = 4},
  [5025] = {.lex_state = 231, .external_lex_state = 5},
  [5026] = {.lex_state = 294, .external_lex_state = 4},
  [5027] = {.lex_state = 231, .external_lex_state = 5},
  [5028] = {.lex_state = 270, .external_lex_state = 5},
  [5029] = {.lex_state = 294, .external_lex_state = 4},
  [5030] = {.lex_state = 231, .external_lex_state = 5},
  [5031] = {.lex_state = 294, .external_lex_state = 5},
  [5032] = {.lex_state = 231, .external_lex_state = 5},
  [5033] = {.lex_state = 231, .external_lex_state = 5},
  [5034] = {.lex_state = 231, .external_lex_state = 5},
  [5035] = {.lex_state = 231, .external_lex_state = 5},
  [5036] = {.lex_state = 231, .external_lex_state = 5},
  [5037] = {.lex_state = 231, .external_lex_state = 5},
  [5038] = {.lex_state = 294, .external_lex_state = 5},
  [5039] = {.lex_state = 296, .external_lex_state = 5},
  [5040] = {.lex_state = 231, .external_lex_state = 5},
  [5041] = {.lex_state = 231, .external_lex_state = 5},
  [5042] = {.lex_state = 296, .external_lex_state = 5},
  [5043] = {.lex_state = 296, .external_lex_state = 5},
  [5044] = {.lex_state = 296, .external_lex_state = 5},
  [5045] = {.lex_state = 294, .external_lex_state = 4},
  [5046] = {.lex_state = 231, .external_lex_state = 5},
  [5047] = {.lex_state = 231, .external_lex_state = 5},
  [5048] = {.lex_state = 231, .external_lex_state = 5},
  [5049] = {.lex_state = 231, .external_lex_state = 5},
  [5050] = {.lex_state = 231, .external_lex_state = 5},
  [5051] = {.lex_state = 231, .external_lex_state = 5},
  [5052] = {.lex_state = 296, .external_lex_state = 5},
  [5053] = {.lex_state = 296, .external_lex_state = 5},
  [5054] = {.lex_state = 231, .external_lex_state = 5},
  [5055] = {.lex_state = 231, .external_lex_state = 5},
  [5056] = {.lex_state = 231, .external_lex_state = 5},
  [5057] = {.lex_state = 231, .external_lex_state = 5},
  [5058] = {.lex_state = 296, .external_lex_state = 5},
  [5059] = {.lex_state = 294, .external_lex_state = 4},
  [5060] = {.lex_state = 270, .external_lex_state = 5},
  [5061] = {.lex_state = 296, .external_lex_state = 5},
  [5062] = {.lex_state = 294, .external_lex_state = 4},
  [5063] = {.lex_state = 296, .external_lex_state = 5},
  [5064] = {.lex_state = 296, .external_lex_state = 5},
  [5065] = {.lex_state = 231, .external_lex_state = 5},
  [5066] = {.lex_state = 294, .external_lex_state = 4},
  [5067] = {.lex_state = 231, .external_lex_state = 5},
  [5068] = {.lex_state = 231, .external_lex_state = 5},
  [5069] = {.lex_state = 270, .external_lex_state = 5},
  [5070] = {.lex_state = 294, .external_lex_state = 4},
  [5071] = {.lex_state = 270, .external_lex_state = 5},
  [5072] = {.lex_state = 294, .external_lex_state = 4},
  [5073] = {.lex_state = 296, .external_lex_state = 5},
  [5074] = {.lex_state = 231, .external_lex_state = 5},
  [5075] = {.lex_state = 231, .external_lex_state = 5},
  [5076] = {.lex_state = 231, .external_lex_state = 5},
  [5077] = {.lex_state = 296, .external_lex_state = 5},
  [5078] = {.lex_state = 296, .external_lex_state = 5},
  [5079] = {.lex_state = 231, .external_lex_state = 5},
  [5080] = {.lex_state = 231, .external_lex_state = 5},
  [5081] = {.lex_state = 296, .external_lex_state = 5},
  [5082] = {.lex_state = 296, .external_lex_state = 5},
  [5083] = {.lex_state = 231, .external_lex_state = 5},
  [5084] = {.lex_state = 231, .external_lex_state = 5},
  [5085] = {.lex_state = 231, .external_lex_state = 5},
  [5086] = {.lex_state = 231, .external_lex_state = 5},
  [5087] = {.lex_state = 268, .external_lex_state = 5},
  [5088] = {.lex_state = 230, .external_lex_state = 5},
  [5089] = {.lex_state = 268, .external_lex_state = 5},
  [5090] = {.lex_state = 294, .external_lex_state = 4},
  [5091] = {.lex_state = 296, .external_lex_state = 5},
  [5092] = {.lex_state = 294, .external_lex_state = 5},
  [5093] = {.lex_state = 268, .external_lex_state = 5},
  [5094] = {.lex_state = 294, .external_lex_state = 5},
  [5095] = {.lex_state = 268, .external_lex_state = 5},
  [5096] = {.lex_state = 294, .external_lex_state = 4},
  [5097] = {.lex_state = 294, .external_lex_state = 5},
  [5098] = {.lex_state = 294, .external_lex_state = 5},
  [5099] = {.lex_state = 268, .external_lex_state = 5},
  [5100] = {.lex_state = 300, .external_lex_state = 5},
  [5101] = {.lex_state = 296, .external_lex_state = 5},
  [5102] = {.lex_state = 268, .external_lex_state = 5},
  [5103] = {.lex_state = 268, .external_lex_state = 5},
  [5104] = {.lex_state = 296, .external_lex_state = 5},
  [5105] = {.lex_state = 230, .external_lex_state = 5},
  [5106] = {.lex_state = 268, .external_lex_state = 5},
  [5107] = {.lex_state = 230, .external_lex_state = 5},
  [5108] = {.lex_state = 279, .external_lex_state = 5},
  [5109] = {.lex_state = 294, .external_lex_state = 5},
  [5110] = {.lex_state = 279, .external_lex_state = 5},
  [5111] = {.lex_state = 294, .external_lex_state = 4},
  [5112] = {.lex_state = 279, .external_lex_state = 5},
  [5113] = {.lex_state = 296, .external_lex_state = 5},
  [5114] = {.lex_state = 279, .external_lex_state = 5},
  [5115] = {.lex_state = 230, .external_lex_state = 5},
  [5116] = {.lex_state = 230, .external_lex_state = 5},
  [5117] = {.lex_state = 230, .external_lex_state = 5},
  [5118] = {.lex_state = 294, .external_lex_state = 5},
  [5119] = {.lex_state = 279, .external_lex_state = 5},
  [5120] = {.lex_state = 294, .external_lex_state = 5},
  [5121] = {.lex_state = 296, .external_lex_state = 5},
  [5122] = {.lex_state = 268, .external_lex_state = 5},
  [5123] = {.lex_state = 230, .external_lex_state = 5},
  [5124] = {.lex_state = 296, .external_lex_state = 5},
  [5125] = {.lex_state = 230, .external_lex_state = 5},
  [5126] = {.lex_state = 294, .external_lex_state = 5},
  [5127] = {.lex_state = 296, .external_lex_state = 5},
  [5128] = {.lex_state = 294, .external_lex_state = 4},
  [5129] = {.lex_state = 294, .external_lex_state = 4},
  [5130] = {.lex_state = 294, .external_lex_state = 5},
  [5131] = {.lex_state = 294, .external_lex_state = 5},
  [5132] = {.lex_state = 294, .external_lex_state = 5},
  [5133] = {.lex_state = 294, .external_lex_state = 5},
  [5134] = {.lex_state = 296, .external_lex_state = 4},
  [5135] = {.lex_state = 230, .external_lex_state = 5},
  [5136] = {.lex_state = 294, .external_lex_state = 5},
  [5137] = {.lex_state = 268, .external_lex_state = 4},
  [5138] = {.lex_state = 268, .external_lex_state = 4},
  [5139] = {.lex_state = 268, .external_lex_state = 4},
  [5140] = {.lex_state = 268, .external_lex_state = 4},
  [5141] = {.lex_state = 268, .external_lex_state = 4},
  [5142] = {.lex_state = 268, .external_lex_state = 4},
  [5143] = {.lex_state = 294, .external_lex_state = 5},
  [5144] = {.lex_state = 268, .external_lex_state = 5},
  [5145] = {.lex_state = 294, .external_lex_state = 5},
  [5146] = {.lex_state = 294, .external_lex_state = 5},
  [5147] = {.lex_state = 268, .external_lex_state = 5},
  [5148] = {.lex_state = 230, .external_lex_state = 5},
  [5149] = {.lex_state = 279, .external_lex_state = 5},
  [5150] = {.lex_state = 230, .external_lex_state = 5},
  [5151] = {.lex_state = 294, .external_lex_state = 4},
  [5152] = {.lex_state = 294, .external_lex_state = 5},
  [5153] = {.lex_state = 296, .external_lex_state = 5},
  [5154] = {.lex_state = 294, .external_lex_state = 5},
  [5155] = {.lex_state = 294, .external_lex_state = 5},
  [5156] = {.lex_state = 296, .external_lex_state = 5},
  [5157] = {.lex_state = 296, .external_lex_state = 5},
  [5158] = {.lex_state = 268, .external_lex_state = 5},
  [5159] = {.lex_state = 294, .external_lex_state = 5},
  [5160] = {.lex_state = 294, .external_lex_state = 5},
  [5161] = {.lex_state = 230, .external_lex_state = 5},
  [5162] = {.lex_state = 294, .external_lex_state = 5},
  [5163] = {.lex_state = 268, .external_lex_state = 5},
  [5164] = {.lex_state = 300, .external_lex_state = 5},
  [5165] = {.lex_state = 268, .external_lex_state = 5},
  [5166] = {.lex_state = 294, .external_lex_state = 5},
  [5167] = {.lex_state = 268, .external_lex_state = 5},
  [5168] = {.lex_state = 300, .external_lex_state = 5},
  [5169] = {.lex_state = 230, .external_lex_state = 5},
  [5170] = {.lex_state = 230, .external_lex_state = 5},
  [5171] = {.lex_state = 230, .external_lex_state = 5},
  [5172] = {.lex_state = 294, .external_lex_state = 4},
  [5173] = {.lex_state = 294, .external_lex_state = 4},
  [5174] = {.lex_state = 300, .external_lex_state = 5},
  [5175] = {.lex_state = 300, .external_lex_state = 5},
  [5176] = {.lex_state = 268, .external_lex_state = 4},
  [5177] = {.lex_state = 268, .external_lex_state = 5},
  [5178] = {.lex_state = 230, .external_lex_state = 5},
  [5179] = {.lex_state = 230, .external_lex_state = 5},
  [5180] = {.lex_state = 230, .external_lex_state = 5},
  [5181] = {.lex_state = 294, .external_lex_state = 4},
  [5182] = {.lex_state = 300, .external_lex_state = 5},
  [5183] = {.lex_state = 230, .external_lex_state = 5},
  [5184] = {.lex_state = 268, .external_lex_state = 5},
  [5185] = {.lex_state = 300, .external_lex_state = 5},
  [5186] = {.lex_state = 268, .external_lex_state = 5},
  [5187] = {.lex_state = 230, .external_lex_state = 5},
  [5188] = {.lex_state = 300, .external_lex_state = 5},
  [5189] = {.lex_state = 230, .external_lex_state = 5},
  [5190] = {.lex_state = 294, .external_lex_state = 5},
  [5191] = {.lex_state = 230, .external_lex_state = 5},
  [5192] = {.lex_state = 230, .external_lex_state = 5},
  [5193] = {.lex_state = 230, .external_lex_state = 5},
  [5194] = {.lex_state = 230, .external_lex_state = 5},
  [5195] = {.lex_state = 230, .external_lex_state = 5},
  [5196] = {.lex_state = 300, .external_lex_state = 5},
  [5197] = {.lex_state = 300, .external_lex_state = 5},
  [5198] = {.lex_state = 300, .external_lex_state = 5},
  [5199] = {.lex_state = 268, .external_lex_state = 5},
  [5200] = {.lex_state = 230, .external_lex_state = 5},
  [5201] = {.lex_state = 230, .external_lex_state = 5},
  [5202] = {.lex_state = 230, .external_lex_state = 5},
  [5203] = {.lex_state = 300, .external_lex_state = 5},
  [5204] = {.lex_state = 300, .external_lex_state = 5},
  [5205] = {.lex_state = 294, .external_lex_state = 5},
  [5206] = {.lex_state = 230, .external_lex_state = 5},
  [5207] = {.lex_state = 230, .external_lex_state = 5},
  [5208] = {.lex_state = 230, .external_lex_state = 5},
  [5209] = {.lex_state = 268, .external_lex_state = 5},
  [5210] = {.lex_state = 230, .external_lex_state = 5},
  [5211] = {.lex_state = 230, .external_lex_state = 5},
  [5212] = {.lex_state = 294, .external_lex_state = 5},
  [5213] = {.lex_state = 230, .external_lex_state = 5},
  [5214] = {.lex_state = 294, .external_lex_state = 4},
  [5215] = {.lex_state = 230, .external_lex_state = 5},
  [5216] = {.lex_state = 230, .external_lex_state = 5},
  [5217] = {.lex_state = 268, .external_lex_state = 5},
  [5218] = {.lex_state = 268, .external_lex_state = 5},
  [5219] = {.lex_state = 230, .external_lex_state = 5},
  [5220] = {.lex_state = 230, .external_lex_state = 5},
  [5221] = {.lex_state = 294, .external_lex_state = 5},
  [5222] = {.lex_state = 300, .external_lex_state = 5},
  [5223] = {.lex_state = 230, .external_lex_state = 5},
  [5224] = {.lex_state = 230, .external_lex_state = 5},
  [5225] = {.lex_state = 230, .external_lex_state = 5},
  [5226] = {.lex_state = 294, .external_lex_state = 5},
  [5227] = {.lex_state = 294, .external_lex_state = 4},
  [5228] = {.lex_state = 294, .external_lex_state = 4},
  [5229] = {.lex_state = 294, .external_lex_state = 5},
  [5230] = {.lex_state = 300, .external_lex_state = 5},
  [5231] = {.lex_state = 230, .external_lex_state = 5},
  [5232] = {.lex_state = 294, .external_lex_state = 5},
  [5233] = {.lex_state = 270, .external_lex_state = 5},
  [5234] = {.lex_state = 230, .external_lex_state = 5},
  [5235] = {.lex_state = 294, .external_lex_state = 5},
  [5236] = {.lex_state = 294, .external_lex_state = 5},
  [5237] = {.lex_state = 230, .external_lex_state = 5},
  [5238] = {.lex_state = 294, .external_lex_state = 4},
  [5239] = {.lex_state = 230, .external_lex_state = 5},
  [5240] = {.lex_state = 294, .external_lex_state = 4},
  [5241] = {.lex_state = 294, .external_lex_state = 4},
  [5242] = {.lex_state = 230, .external_lex_state = 5},
  [5243] = {.lex_state = 294, .external_lex_state = 4},
  [5244] = {.lex_state = 230, .external_lex_state = 5},
  [5245] = {.lex_state = 230, .external_lex_state = 5},
  [5246] = {.lex_state = 268, .external_lex_state = 5},
  [5247] = {.lex_state = 230, .external_lex_state = 5},
  [5248] = {.lex_state = 230, .external_lex_state = 5},
  [5249] = {.lex_state = 230, .external_lex_state = 5},
  [5250] = {.lex_state = 294, .external_lex_state = 5},
  [5251] = {.lex_state = 294, .external_lex_state = 4},
  [5252] = {.lex_state = 230, .external_lex_state = 5},
  [5253] = {.lex_state = 268, .external_lex_state = 5},
  [5254] = {.lex_state = 230, .external_lex_state = 5},
  [5255] = {.lex_state = 230, .external_lex_state = 5},
  [5256] = {.lex_state = 230, .external_lex_state = 5},
  [5257] = {.lex_state = 294, .external_lex_state = 5},
  [5258] = {.lex_state = 294, .external_lex_state = 5},
  [5259] = {.lex_state = 296, .external_lex_state = 9},
  [5260] = {.lex_state = 296, .external_lex_state = 9},
  [5261] = {.lex_state = 296, .external_lex_state = 5},
  [5262] = {.lex_state = 296, .external_lex_state = 9},
  [5263] = {.lex_state = 296, .external_lex_state = 5},
  [5264] = {.lex_state = 294, .external_lex_state = 5},
  [5265] = {.lex_state = 296, .external_lex_state = 9},
  [5266] = {.lex_state = 296, .external_lex_state = 5},
  [5267] = {.lex_state = 296, .external_lex_state = 9},
  [5268] = {.lex_state = 296, .external_lex_state = 4},
  [5269] = {.lex_state = 296, .external_lex_state = 9},
  [5270] = {.lex_state = 296, .external_lex_state = 9},
  [5271] = {.lex_state = 296, .external_lex_state = 9},
  [5272] = {.lex_state = 296, .external_lex_state = 9},
  [5273] = {.lex_state = 296, .external_lex_state = 9},
  [5274] = {.lex_state = 294, .external_lex_state = 5},
  [5275] = {.lex_state = 296, .external_lex_state = 9},
  [5276] = {.lex_state = 296, .external_lex_state = 9},
  [5277] = {.lex_state = 296, .external_lex_state = 9},
  [5278] = {.lex_state = 296, .external_lex_state = 9},
  [5279] = {.lex_state = 296, .external_lex_state = 9},
  [5280] = {.lex_state = 296, .external_lex_state = 9},
  [5281] = {.lex_state = 294, .external_lex_state = 5},
  [5282] = {.lex_state = 296, .external_lex_state = 9},
  [5283] = {.lex_state = 296, .external_lex_state = 9},
  [5284] = {.lex_state = 268, .external_lex_state = 5},
  [5285] = {.lex_state = 294, .external_lex_state = 5},
  [5286] = {.lex_state = 268, .external_lex_state = 5},
  [5287] = {.lex_state = 294, .external_lex_state = 5},
  [5288] = {.lex_state = 296, .external_lex_state = 9},
  [5289] = {.lex_state = 294, .external_lex_state = 5},
  [5290] = {.lex_state = 294, .external_lex_state = 5},
  [5291] = {.lex_state = 294, .external_lex_state = 5},
  [5292] = {.lex_state = 296, .external_lex_state = 9},
  [5293] = {.lex_state = 268, .external_lex_state = 4},
  [5294] = {.lex_state = 296, .external_lex_state = 9},
  [5295] = {.lex_state = 296, .external_lex_state = 9},
  [5296] = {.lex_state = 268, .external_lex_state = 4},
  [5297] = {.lex_state = 296, .external_lex_state = 9},
  [5298] = {.lex_state = 296, .external_lex_state = 9},
  [5299] = {.lex_state = 294, .external_lex_state = 5},
  [5300] = {.lex_state = 296, .external_lex_state = 5},
  [5301] = {.lex_state = 268, .external_lex_state = 5},
  [5302] = {.lex_state = 294, .external_lex_state = 5},
  [5303] = {.lex_state = 294, .external_lex_state = 5},
  [5304] = {.lex_state = 296, .external_lex_state = 9},
  [5305] = {.lex_state = 296, .external_lex_state = 9},
  [5306] = {.lex_state = 230, .external_lex_state = 5},
  [5307] = {.lex_state = 230, .external_lex_state = 5},
  [5308] = {.lex_state = 296, .external_lex_state = 9},
  [5309] = {.lex_state = 294, .external_lex_state = 5},
  [5310] = {.lex_state = 230, .external_lex_state = 5},
  [5311] = {.lex_state = 230, .external_lex_state = 5},
  [5312] = {.lex_state = 296, .external_lex_state = 5},
  [5313] = {.lex_state = 294, .external_lex_state = 5},
  [5314] = {.lex_state = 230, .external_lex_state = 5},
  [5315] = {.lex_state = 296, .external_lex_state = 5},
  [5316] = {.lex_state = 296, .external_lex_state = 9},
  [5317] = {.lex_state = 294, .external_lex_state = 5},
  [5318] = {.lex_state = 294, .external_lex_state = 5},
  [5319] = {.lex_state = 230, .external_lex_state = 5},
  [5320] = {.lex_state = 294, .external_lex_state = 5},
  [5321] = {.lex_state = 296, .external_lex_state = 9},
  [5322] = {.lex_state = 296, .external_lex_state = 9},
  [5323] = {.lex_state = 296, .external_lex_state = 5},
  [5324] = {.lex_state = 296, .external_lex_state = 9},
  [5325] = {.lex_state = 296, .external_lex_state = 5},
  [5326] = {.lex_state = 296, .external_lex_state = 5},
  [5327] = {.lex_state = 296, .external_lex_state = 9},
  [5328] = {.lex_state = 296, .external_lex_state = 5},
  [5329] = {.lex_state = 294, .external_lex_state = 5},
  [5330] = {.lex_state = 268, .external_lex_state = 5},
  [5331] = {.lex_state = 268, .external_lex_state = 5},
  [5332] = {.lex_state = 268, .external_lex_state = 5},
  [5333] = {.lex_state = 296, .external_lex_state = 5},
  [5334] = {.lex_state = 268, .external_lex_state = 5},
  [5335] = {.lex_state = 268, .external_lex_state = 4},
  [5336] = {.lex_state = 268, .external_lex_state = 5},
  [5337] = {.lex_state = 272, .external_lex_state = 5},
  [5338] = {.lex_state = 268, .external_lex_state = 5},
  [5339] = {.lex_state = 268, .external_lex_state = 5},
  [5340] = {.lex_state = 268, .external_lex_state = 5},
  [5341] = {.lex_state = 297, .external_lex_state = 5},
  [5342] = {.lex_state = 268, .external_lex_state = 5},
  [5343] = {.lex_state = 268, .external_lex_state = 5},
  [5344] = {.lex_state = 268, .external_lex_state = 5},
  [5345] = {.lex_state = 268, .external_lex_state = 5},
  [5346] = {.lex_state = 268, .external_lex_state = 5},
  [5347] = {.lex_state = 268, .external_lex_state = 5},
  [5348] = {.lex_state = 300, .external_lex_state = 5},
  [5349] = {.lex_state = 300, .external_lex_state = 5},
  [5350] = {.lex_state = 296, .external_lex_state = 5},
  [5351] = {.lex_state = 294, .external_lex_state = 5},
  [5352] = {.lex_state = 268, .external_lex_state = 5},
  [5353] = {.lex_state = 268, .external_lex_state = 5},
  [5354] = {.lex_state = 268, .external_lex_state = 5},
  [5355] = {.lex_state = 268, .external_lex_state = 5},
  [5356] = {.lex_state = 297, .external_lex_state = 5},
  [5357] = {.lex_state = 268, .external_lex_state = 5},
  [5358] = {.lex_state = 294, .external_lex_state = 5},
  [5359] = {.lex_state = 268, .external_lex_state = 5},
  [5360] = {.lex_state = 268, .external_lex_state = 5},
  [5361] = {.lex_state = 296, .external_lex_state = 5},
  [5362] = {.lex_state = 268, .external_lex_state = 5},
  [5363] = {.lex_state = 294, .external_lex_state = 5},
  [5364] = {.lex_state = 268, .external_lex_state = 5},
  [5365] = {.lex_state = 268, .external_lex_state = 4},
  [5366] = {.lex_state = 268, .external_lex_state = 5},
  [5367] = {.lex_state = 268, .external_lex_state = 5},
  [5368] = {.lex_state = 268, .external_lex_state = 5},
  [5369] = {.lex_state = 294, .external_lex_state = 4},
  [5370] = {.lex_state = 268, .external_lex_state = 5},
  [5371] = {.lex_state = 268, .external_lex_state = 5},
  [5372] = {.lex_state = 296, .external_lex_state = 5},
  [5373] = {.lex_state = 268, .external_lex_state = 5},
  [5374] = {.lex_state = 297, .external_lex_state = 5},
  [5375] = {.lex_state = 296, .external_lex_state = 5},
  [5376] = {.lex_state = 294, .external_lex_state = 4},
  [5377] = {.lex_state = 287, .external_lex_state = 5},
  [5378] = {.lex_state = 294, .external_lex_state = 4},
  [5379] = {.lex_state = 287, .external_lex_state = 5},
  [5380] = {.lex_state = 268, .external_lex_state = 5},
  [5381] = {.lex_state = 297, .external_lex_state = 5},
  [5382] = {.lex_state = 294, .external_lex_state = 4},
  [5383] = {.lex_state = 287, .external_lex_state = 5},
  [5384] = {.lex_state = 287, .external_lex_state = 5},
  [5385] = {.lex_state = 294, .external_lex_state = 4},
  [5386] = {.lex_state = 296, .external_lex_state = 5},
  [5387] = {.lex_state = 287, .external_lex_state = 5},
  [5388] = {.lex_state = 294, .external_lex_state = 4},
  [5389] = {.lex_state = 296, .external_lex_state = 5},
  [5390] = {.lex_state = 268, .external_lex_state = 5},
  [5391] = {.lex_state = 294, .external_lex_state = 4},
  [5392] = {.lex_state = 287, .external_lex_state = 5},
  [5393] = {.lex_state = 294, .external_lex_state = 4},
  [5394] = {.lex_state = 294, .external_lex_state = 4},
  [5395] = {.lex_state = 294, .external_lex_state = 4},
  [5396] = {.lex_state = 268, .external_lex_state = 5},
  [5397] = {.lex_state = 231, .external_lex_state = 5},
  [5398] = {.lex_state = 287, .external_lex_state = 5},
  [5399] = {.lex_state = 294, .external_lex_state = 5},
  [5400] = {.lex_state = 294, .external_lex_state = 9},
  [5401] = {.lex_state = 268, .external_lex_state = 5},
  [5402] = {.lex_state = 294, .external_lex_state = 4},
  [5403] = {.lex_state = 268, .external_lex_state = 5},
  [5404] = {.lex_state = 297, .external_lex_state = 5},
  [5405] = {.lex_state = 294, .external_lex_state = 9},
  [5406] = {.lex_state = 294, .external_lex_state = 9},
  [5407] = {.lex_state = 287, .external_lex_state = 5},
  [5408] = {.lex_state = 287, .external_lex_state = 5},
  [5409] = {.lex_state = 268, .external_lex_state = 5},
  [5410] = {.lex_state = 268, .external_lex_state = 5},
  [5411] = {.lex_state = 294, .external_lex_state = 4},
  [5412] = {.lex_state = 287, .external_lex_state = 5},
  [5413] = {.lex_state = 294, .external_lex_state = 4},
  [5414] = {.lex_state = 287, .external_lex_state = 5},
  [5415] = {.lex_state = 231, .external_lex_state = 5},
  [5416] = {.lex_state = 294, .external_lex_state = 4},
  [5417] = {.lex_state = 294, .external_lex_state = 4},
  [5418] = {.lex_state = 294, .external_lex_state = 4},
  [5419] = {.lex_state = 294, .external_lex_state = 4},
  [5420] = {.lex_state = 287, .external_lex_state = 5},
  [5421] = {.lex_state = 294, .external_lex_state = 4},
  [5422] = {.lex_state = 294, .external_lex_state = 4},
  [5423] = {.lex_state = 294, .external_lex_state = 4},
  [5424] = {.lex_state = 231, .external_lex_state = 5},
  [5425] = {.lex_state = 296, .external_lex_state = 5},
  [5426] = {.lex_state = 294, .external_lex_state = 4},
  [5427] = {.lex_state = 294, .external_lex_state = 4},
  [5428] = {.lex_state = 296, .external_lex_state = 5},
  [5429] = {.lex_state = 294, .external_lex_state = 4},
  [5430] = {.lex_state = 294, .external_lex_state = 4},
  [5431] = {.lex_state = 294, .external_lex_state = 4},
  [5432] = {.lex_state = 296, .external_lex_state = 5},
  [5433] = {.lex_state = 263, .external_lex_state = 5},
  [5434] = {.lex_state = 267, .external_lex_state = 5},
  [5435] = {.lex_state = 287, .external_lex_state = 5},
  [5436] = {.lex_state = 287, .external_lex_state = 5},
  [5437] = {.lex_state = 278, .external_lex_state = 5},
  [5438] = {.lex_state = 287, .external_lex_state = 5},
  [5439] = {.lex_state = 287, .external_lex_state = 5},
  [5440] = {.lex_state = 287, .external_lex_state = 5},
  [5441] = {.lex_state = 287, .external_lex_state = 5},
  [5442] = {.lex_state = 287, .external_lex_state = 5},
  [5443] = {.lex_state = 287, .external_lex_state = 5},
  [5444] = {.lex_state = 287, .external_lex_state = 5},
  [5445] = {.lex_state = 287, .external_lex_state = 5},
  [5446] = {.lex_state = 287, .external_lex_state = 5},
  [5447] = {.lex_state = 287, .external_lex_state = 5},
  [5448] = {.lex_state = 287, .external_lex_state = 5},
  [5449] = {.lex_state = 287, .external_lex_state = 5},
  [5450] = {.lex_state = 287, .external_lex_state = 5},
  [5451] = {.lex_state = 287, .external_lex_state = 5},
  [5452] = {.lex_state = 267, .external_lex_state = 5},
  [5453] = {.lex_state = 267, .external_lex_state = 5},
  [5454] = {.lex_state = 267, .external_lex_state = 5},
  [5455] = {.lex_state = 294, .external_lex_state = 5},
  [5456] = {.lex_state = 294, .external_lex_state = 5},
  [5457] = {.lex_state = 294, .external_lex_state = 5},
  [5458] = {.lex_state = 267, .external_lex_state = 5},
  [5459] = {.lex_state = 267, .external_lex_state = 5},
  [5460] = {.lex_state = 267, .external_lex_state = 5},
  [5461] = {.lex_state = 267, .external_lex_state = 5},
  [5462] = {.lex_state = 267, .external_lex_state = 5},
  [5463] = {.lex_state = 267, .external_lex_state = 5},
  [5464] = {.lex_state = 267, .external_lex_state = 5},
  [5465] = {.lex_state = 294, .external_lex_state = 4},
  [5466] = {.lex_state = 267, .external_lex_state = 5},
  [5467] = {.lex_state = 294, .external_lex_state = 5},
  [5468] = {.lex_state = 263, .external_lex_state = 5},
  [5469] = {.lex_state = 260, .external_lex_state = 5},
  [5470] = {.lex_state = 263, .external_lex_state = 5},
  [5471] = {.lex_state = 263, .external_lex_state = 5},
  [5472] = {.lex_state = 260, .external_lex_state = 5},
  [5473] = {.lex_state = 260, .external_lex_state = 5},
  [5474] = {.lex_state = 260, .external_lex_state = 5},
  [5475] = {.lex_state = 287, .external_lex_state = 5},
  [5476] = {.lex_state = 287, .external_lex_state = 5},
  [5477] = {.lex_state = 287, .external_lex_state = 5},
  [5478] = {.lex_state = 287, .external_lex_state = 5},
  [5479] = {.lex_state = 287, .external_lex_state = 5},
  [5480] = {.lex_state = 287, .external_lex_state = 5},
  [5481] = {.lex_state = 287, .external_lex_state = 5},
  [5482] = {.lex_state = 287, .external_lex_state = 5},
  [5483] = {.lex_state = 260, .external_lex_state = 5},
  [5484] = {.lex_state = 260, .external_lex_state = 5},
  [5485] = {.lex_state = 260, .external_lex_state = 5},
  [5486] = {.lex_state = 260, .external_lex_state = 5},
  [5487] = {.lex_state = 260, .external_lex_state = 5},
  [5488] = {.lex_state = 260, .external_lex_state = 5},
  [5489] = {.lex_state = 260, .external_lex_state = 5},
  [5490] = {.lex_state = 294, .external_lex_state = 4},
  [5491] = {.lex_state = 260, .external_lex_state = 5},
  [5492] = {.lex_state = 294, .external_lex_state = 5},
  [5493] = {.lex_state = 268, .external_lex_state = 5},
  [5494] = {.lex_state = 268, .external_lex_state = 5},
  [5495] = {.lex_state = 268, .external_lex_state = 5},
  [5496] = {.lex_state = 268, .external_lex_state = 5},
  [5497] = {.lex_state = 268, .external_lex_state = 5},
  [5498] = {.lex_state = 268, .external_lex_state = 5},
  [5499] = {.lex_state = 268, .external_lex_state = 5},
  [5500] = {.lex_state = 268, .external_lex_state = 5},
  [5501] = {.lex_state = 268, .external_lex_state = 5},
  [5502] = {.lex_state = 268, .external_lex_state = 5},
  [5503] = {.lex_state = 268, .external_lex_state = 5},
  [5504] = {.lex_state = 268, .external_lex_state = 5},
  [5505] = {.lex_state = 268, .external_lex_state = 5},
  [5506] = {.lex_state = 264, .external_lex_state = 5},
  [5507] = {.lex_state = 268, .external_lex_state = 5},
  [5508] = {.lex_state = 268, .external_lex_state = 5},
  [5509] = {.lex_state = 264, .external_lex_state = 5},
  [5510] = {.lex_state = 264, .external_lex_state = 5},
  [5511] = {.lex_state = 264, .external_lex_state = 5},
  [5512] = {.lex_state = 263, .external_lex_state = 5},
  [5513] = {.lex_state = 263, .external_lex_state = 5},
  [5514] = {.lex_state = 264, .external_lex_state = 5},
  [5515] = {.lex_state = 264, .external_lex_state = 5},
  [5516] = {.lex_state = 264, .external_lex_state = 5},
  [5517] = {.lex_state = 264, .external_lex_state = 5},
  [5518] = {.lex_state = 263, .external_lex_state = 5},
  [5519] = {.lex_state = 263, .external_lex_state = 5},
  [5520] = {.lex_state = 296, .external_lex_state = 5},
  [5521] = {.lex_state = 264, .external_lex_state = 5},
  [5522] = {.lex_state = 264, .external_lex_state = 5},
  [5523] = {.lex_state = 264, .external_lex_state = 5},
  [5524] = {.lex_state = 294, .external_lex_state = 5},
  [5525] = {.lex_state = 294, .external_lex_state = 5},
  [5526] = {.lex_state = 265, .external_lex_state = 5},
  [5527] = {.lex_state = 265, .external_lex_state = 5},
  [5528] = {.lex_state = 265, .external_lex_state = 5},
  [5529] = {.lex_state = 265, .external_lex_state = 5},
  [5530] = {.lex_state = 265, .external_lex_state = 5},
  [5531] = {.lex_state = 265, .external_lex_state = 5},
  [5532] = {.lex_state = 265, .external_lex_state = 5},
  [5533] = {.lex_state = 265, .external_lex_state = 5},
  [5534] = {.lex_state = 265, .external_lex_state = 5},
  [5535] = {.lex_state = 265, .external_lex_state = 5},
  [5536] = {.lex_state = 265, .external_lex_state = 5},
  [5537] = {.lex_state = 265, .external_lex_state = 5},
  [5538] = {.lex_state = 268, .external_lex_state = 5},
  [5539] = {.lex_state = 268, .external_lex_state = 5},
  [5540] = {.lex_state = 268, .external_lex_state = 5},
  [5541] = {.lex_state = 294, .external_lex_state = 5},
  [5542] = {.lex_state = 263, .external_lex_state = 5},
  [5543] = {.lex_state = 263, .external_lex_state = 5},
  [5544] = {.lex_state = 263, .external_lex_state = 5},
  [5545] = {.lex_state = 268, .external_lex_state = 5},
  [5546] = {.lex_state = 268, .external_lex_state = 5},
  [5547] = {.lex_state = 268, .external_lex_state = 5},
  [5548] = {.lex_state = 268, .external_lex_state = 5},
  [5549] = {.lex_state = 268, .external_lex_state = 5},
  [5550] = {.lex_state = 268, .external_lex_state = 5},
  [5551] = {.lex_state = 287, .external_lex_state = 5},
  [5552] = {.lex_state = 263, .external_lex_state = 5},
  [5553] = {.lex_state = 287, .external_lex_state = 5},
  [5554] = {.lex_state = 287, .external_lex_state = 5},
  [5555] = {.lex_state = 287, .external_lex_state = 5},
  [5556] = {.lex_state = 287, .external_lex_state = 5},
  [5557] = {.lex_state = 287, .external_lex_state = 5},
  [5558] = {.lex_state = 287, .external_lex_state = 5},
  [5559] = {.lex_state = 287, .external_lex_state = 5},
  [5560] = {.lex_state = 287, .external_lex_state = 5},
  [5561] = {.lex_state = 287, .external_lex_state = 5},
  [5562] = {.lex_state = 287, .external_lex_state = 5},
  [5563] = {.lex_state = 287, .external_lex_state = 5},
  [5564] = {.lex_state = 287, .external_lex_state = 5},
  [5565] = {.lex_state = 287, .external_lex_state = 5},
  [5566] = {.lex_state = 287, .external_lex_state = 5},
  [5567] = {.lex_state = 287, .external_lex_state = 5},
  [5568] = {.lex_state = 287, .external_lex_state = 5},
  [5569] = {.lex_state = 287, .external_lex_state = 5},
  [5570] = {.lex_state = 287, .external_lex_state = 5},
  [5571] = {.lex_state = 287, .external_lex_state = 5},
  [5572] = {.lex_state = 300, .external_lex_state = 5},
  [5573] = {.lex_state = 294, .external_lex_state = 4},
  [5574] = {.lex_state = 266, .external_lex_state = 5},
  [5575] = {.lex_state = 266, .external_lex_state = 5},
  [5576] = {.lex_state = 266, .external_lex_state = 5},
  [5577] = {.lex_state = 266, .external_lex_state = 5},
  [5578] = {.lex_state = 278, .external_lex_state = 5},
  [5579] = {.lex_state = 266, .external_lex_state = 5},
  [5580] = {.lex_state = 266, .external_lex_state = 5},
  [5581] = {.lex_state = 266, .external_lex_state = 5},
  [5582] = {.lex_state = 266, .external_lex_state = 5},
  [5583] = {.lex_state = 266, .external_lex_state = 5},
  [5584] = {.lex_state = 266, .external_lex_state = 5},
  [5585] = {.lex_state = 266, .external_lex_state = 5},
  [5586] = {.lex_state = 266, .external_lex_state = 5},
  [5587] = {.lex_state = 294, .external_lex_state = 5},
  [5588] = {.lex_state = 268, .external_lex_state = 5},
  [5589] = {.lex_state = 268, .external_lex_state = 5},
  [5590] = {.lex_state = 294, .external_lex_state = 5},
  [5591] = {.lex_state = 294, .external_lex_state = 5},
  [5592] = {.lex_state = 294, .external_lex_state = 5},
  [5593] = {.lex_state = 264, .external_lex_state = 5},
  [5594] = {.lex_state = 263, .external_lex_state = 5},
  [5595] = {.lex_state = 260, .external_lex_state = 5},
  [5596] = {.lex_state = 300, .external_lex_state = 5},
  [5597] = {.lex_state = 300, .external_lex_state = 5},
  [5598] = {.lex_state = 300, .external_lex_state = 5},
  [5599] = {.lex_state = 260, .external_lex_state = 5},
  [5600] = {.lex_state = 267, .external_lex_state = 5},
  [5601] = {.lex_state = 267, .external_lex_state = 5},
  [5602] = {.lex_state = 267, .external_lex_state = 5},
  [5603] = {.lex_state = 267, .external_lex_state = 5},
  [5604] = {.lex_state = 267, .external_lex_state = 5},
  [5605] = {.lex_state = 267, .external_lex_state = 5},
  [5606] = {.lex_state = 267, .external_lex_state = 5},
  [5607] = {.lex_state = 267, .external_lex_state = 5},
  [5608] = {.lex_state = 260, .external_lex_state = 5},
  [5609] = {.lex_state = 260, .external_lex_state = 5},
  [5610] = {.lex_state = 260, .external_lex_state = 5},
  [5611] = {.lex_state = 260, .external_lex_state = 5},
  [5612] = {.lex_state = 260, .external_lex_state = 5},
  [5613] = {.lex_state = 260, .external_lex_state = 5},
  [5614] = {.lex_state = 260, .external_lex_state = 5},
  [5615] = {.lex_state = 260, .external_lex_state = 5},
  [5616] = {.lex_state = 264, .external_lex_state = 5},
  [5617] = {.lex_state = 264, .external_lex_state = 5},
  [5618] = {.lex_state = 264, .external_lex_state = 5},
  [5619] = {.lex_state = 264, .external_lex_state = 5},
  [5620] = {.lex_state = 264, .external_lex_state = 5},
  [5621] = {.lex_state = 264, .external_lex_state = 5},
  [5622] = {.lex_state = 264, .external_lex_state = 5},
  [5623] = {.lex_state = 264, .external_lex_state = 5},
  [5624] = {.lex_state = 265, .external_lex_state = 5},
  [5625] = {.lex_state = 265, .external_lex_state = 5},
  [5626] = {.lex_state = 265, .external_lex_state = 5},
  [5627] = {.lex_state = 265, .external_lex_state = 5},
  [5628] = {.lex_state = 265, .external_lex_state = 5},
  [5629] = {.lex_state = 265, .external_lex_state = 5},
  [5630] = {.lex_state = 265, .external_lex_state = 5},
  [5631] = {.lex_state = 265, .external_lex_state = 5},
  [5632] = {.lex_state = 260, .external_lex_state = 5},
  [5633] = {.lex_state = 300, .external_lex_state = 5},
  [5634] = {.lex_state = 263, .external_lex_state = 5},
  [5635] = {.lex_state = 267, .external_lex_state = 5},
  [5636] = {.lex_state = 263, .external_lex_state = 5},
  [5637] = {.lex_state = 263, .external_lex_state = 5},
  [5638] = {.lex_state = 263, .external_lex_state = 5},
  [5639] = {.lex_state = 270, .external_lex_state = 5},
  [5640] = {.lex_state = 270, .external_lex_state = 5},
  [5641] = {.lex_state = 270, .external_lex_state = 5},
  [5642] = {.lex_state = 270, .external_lex_state = 5},
  [5643] = {.lex_state = 300, .external_lex_state = 5},
  [5644] = {.lex_state = 294, .external_lex_state = 4},
  [5645] = {.lex_state = 260, .external_lex_state = 5},
  [5646] = {.lex_state = 267, .external_lex_state = 5},
  [5647] = {.lex_state = 267, .external_lex_state = 5},
  [5648] = {.lex_state = 260, .external_lex_state = 5},
  [5649] = {.lex_state = 260, .external_lex_state = 5},
  [5650] = {.lex_state = 260, .external_lex_state = 5},
  [5651] = {.lex_state = 263, .external_lex_state = 5},
  [5652] = {.lex_state = 263, .external_lex_state = 5},
  [5653] = {.lex_state = 270, .external_lex_state = 5},
  [5654] = {.lex_state = 270, .external_lex_state = 5},
  [5655] = {.lex_state = 266, .external_lex_state = 5},
  [5656] = {.lex_state = 266, .external_lex_state = 5},
  [5657] = {.lex_state = 266, .external_lex_state = 5},
  [5658] = {.lex_state = 266, .external_lex_state = 5},
  [5659] = {.lex_state = 266, .external_lex_state = 5},
  [5660] = {.lex_state = 266, .external_lex_state = 5},
  [5661] = {.lex_state = 266, .external_lex_state = 5},
  [5662] = {.lex_state = 266, .external_lex_state = 5},
  [5663] = {.lex_state = 260, .external_lex_state = 5},
  [5664] = {.lex_state = 260, .external_lex_state = 5},
  [5665] = {.lex_state = 267, .external_lex_state = 5},
  [5666] = {.lex_state = 260, .external_lex_state = 5},
  [5667] = {.lex_state = 260, .external_lex_state = 5},
  [5668] = {.lex_state = 260, .external_lex_state = 5},
  [5669] = {.lex_state = 294, .external_lex_state = 5},
  [5670] = {.lex_state = 294, .external_lex_state = 5},
  [5671] = {.lex_state = 260, .external_lex_state = 5},
  [5672] = {.lex_state = 260, .external_lex_state = 5},
  [5673] = {.lex_state = 267, .external_lex_state = 5},
  [5674] = {.lex_state = 260, .external_lex_state = 5},
  [5675] = {.lex_state = 260, .external_lex_state = 5},
  [5676] = {.lex_state = 267, .external_lex_state = 5},
  [5677] = {.lex_state = 267, .external_lex_state = 5},
  [5678] = {.lex_state = 294, .external_lex_state = 5},
  [5679] = {.lex_state = 260, .external_lex_state = 5},
  [5680] = {.lex_state = 260, .external_lex_state = 5},
  [5681] = {.lex_state = 260, .external_lex_state = 5},
  [5682] = {.lex_state = 260, .external_lex_state = 5},
  [5683] = {.lex_state = 294, .external_lex_state = 5},
  [5684] = {.lex_state = 294, .external_lex_state = 5},
  [5685] = {.lex_state = 300, .external_lex_state = 5},
  [5686] = {.lex_state = 263, .external_lex_state = 5},
  [5687] = {.lex_state = 263, .external_lex_state = 5},
  [5688] = {.lex_state = 300, .external_lex_state = 5},
  [5689] = {.lex_state = 294, .external_lex_state = 5},
  [5690] = {.lex_state = 263, .external_lex_state = 5},
  [5691] = {.lex_state = 263, .external_lex_state = 5},
  [5692] = {.lex_state = 263, .external_lex_state = 5},
  [5693] = {.lex_state = 263, .external_lex_state = 5},
  [5694] = {.lex_state = 294, .external_lex_state = 5},
  [5695] = {.lex_state = 263, .external_lex_state = 5},
  [5696] = {.lex_state = 263, .external_lex_state = 5},
  [5697] = {.lex_state = 263, .external_lex_state = 5},
  [5698] = {.lex_state = 263, .external_lex_state = 5},
  [5699] = {.lex_state = 263, .external_lex_state = 5},
  [5700] = {.lex_state = 263, .external_lex_state = 5},
  [5701] = {.lex_state = 264, .external_lex_state = 5},
  [5702] = {.lex_state = 266, .external_lex_state = 5},
  [5703] = {.lex_state = 266, .external_lex_state = 5},
  [5704] = {.lex_state = 267, .external_lex_state = 5},
  [5705] = {.lex_state = 263, .external_lex_state = 5},
  [5706] = {.lex_state = 263, .external_lex_state = 5},
  [5707] = {.lex_state = 263, .external_lex_state = 5},
  [5708] = {.lex_state = 263, .external_lex_state = 5},
  [5709] = {.lex_state = 264, .external_lex_state = 5},
  [5710] = {.lex_state = 264, .external_lex_state = 5},
  [5711] = {.lex_state = 267, .external_lex_state = 5},
  [5712] = {.lex_state = 263, .external_lex_state = 5},
  [5713] = {.lex_state = 266, .external_lex_state = 5},
  [5714] = {.lex_state = 264, .external_lex_state = 5},
  [5715] = {.lex_state = 266, .external_lex_state = 5},
  [5716] = {.lex_state = 266, .external_lex_state = 5},
  [5717] = {.lex_state = 264, .external_lex_state = 5},
  [5718] = {.lex_state = 264, .external_lex_state = 5},
  [5719] = {.lex_state = 264, .external_lex_state = 5},
  [5720] = {.lex_state = 270, .external_lex_state = 5},
  [5721] = {.lex_state = 263, .external_lex_state = 5},
  [5722] = {.lex_state = 266, .external_lex_state = 5},
  [5723] = {.lex_state = 264, .external_lex_state = 5},
  [5724] = {.lex_state = 267, .external_lex_state = 5},
  [5725] = {.lex_state = 264, .external_lex_state = 5},
  [5726] = {.lex_state = 267, .external_lex_state = 5},
  [5727] = {.lex_state = 267, .external_lex_state = 5},
  [5728] = {.lex_state = 264, .external_lex_state = 5},
  [5729] = {.lex_state = 264, .external_lex_state = 5},
  [5730] = {.lex_state = 264, .external_lex_state = 5},
  [5731] = {.lex_state = 270, .external_lex_state = 5},
  [5732] = {.lex_state = 263, .external_lex_state = 5},
  [5733] = {.lex_state = 266, .external_lex_state = 5},
  [5734] = {.lex_state = 266, .external_lex_state = 5},
  [5735] = {.lex_state = 263, .external_lex_state = 5},
  [5736] = {.lex_state = 263, .external_lex_state = 5},
  [5737] = {.lex_state = 270, .external_lex_state = 5},
  [5738] = {.lex_state = 264, .external_lex_state = 5},
  [5739] = {.lex_state = 264, .external_lex_state = 5},
  [5740] = {.lex_state = 266, .external_lex_state = 5},
  [5741] = {.lex_state = 266, .external_lex_state = 5},
  [5742] = {.lex_state = 264, .external_lex_state = 5},
  [5743] = {.lex_state = 264, .external_lex_state = 5},
  [5744] = {.lex_state = 266, .external_lex_state = 5},
  [5745] = {.lex_state = 270, .external_lex_state = 5},
  [5746] = {.lex_state = 270, .external_lex_state = 5},
  [5747] = {.lex_state = 264, .external_lex_state = 5},
  [5748] = {.lex_state = 264, .external_lex_state = 5},
  [5749] = {.lex_state = 266, .external_lex_state = 5},
  [5750] = {.lex_state = 264, .external_lex_state = 5},
  [5751] = {.lex_state = 264, .external_lex_state = 5},
  [5752] = {.lex_state = 300, .external_lex_state = 5},
  [5753] = {.lex_state = 266, .external_lex_state = 5},
  [5754] = {.lex_state = 270, .external_lex_state = 5},
  [5755] = {.lex_state = 300, .external_lex_state = 5},
  [5756] = {.lex_state = 300, .external_lex_state = 5},
  [5757] = {.lex_state = 266, .external_lex_state = 5},
  [5758] = {.lex_state = 265, .external_lex_state = 5},
  [5759] = {.lex_state = 266, .external_lex_state = 5},
  [5760] = {.lex_state = 265, .external_lex_state = 5},
  [5761] = {.lex_state = 265, .external_lex_state = 5},
  [5762] = {.lex_state = 266, .external_lex_state = 5},
  [5763] = {.lex_state = 265, .external_lex_state = 5},
  [5764] = {.lex_state = 267, .external_lex_state = 5},
  [5765] = {.lex_state = 265, .external_lex_state = 5},
  [5766] = {.lex_state = 265, .external_lex_state = 5},
  [5767] = {.lex_state = 265, .external_lex_state = 5},
  [5768] = {.lex_state = 265, .external_lex_state = 5},
  [5769] = {.lex_state = 267, .external_lex_state = 5},
  [5770] = {.lex_state = 265, .external_lex_state = 5},
  [5771] = {.lex_state = 270, .external_lex_state = 5},
  [5772] = {.lex_state = 267, .external_lex_state = 5},
  [5773] = {.lex_state = 265, .external_lex_state = 5},
  [5774] = {.lex_state = 265, .external_lex_state = 5},
  [5775] = {.lex_state = 265, .external_lex_state = 5},
  [5776] = {.lex_state = 265, .external_lex_state = 5},
  [5777] = {.lex_state = 265, .external_lex_state = 5},
  [5778] = {.lex_state = 267, .external_lex_state = 5},
  [5779] = {.lex_state = 265, .external_lex_state = 5},
  [5780] = {.lex_state = 265, .external_lex_state = 5},
  [5781] = {.lex_state = 265, .external_lex_state = 5},
  [5782] = {.lex_state = 265, .external_lex_state = 5},
  [5783] = {.lex_state = 265, .external_lex_state = 5},
  [5784] = {.lex_state = 265, .external_lex_state = 5},
  [5785] = {.lex_state = 267, .external_lex_state = 5},
  [5786] = {.lex_state = 267, .external_lex_state = 5},
  [5787] = {.lex_state = 267, .external_lex_state = 5},
  [5788] = {.lex_state = 267, .external_lex_state = 5},
  [5789] = {.lex_state = 267, .external_lex_state = 5},
  [5790] = {.lex_state = 267, .external_lex_state = 5},
  [5791] = {.lex_state = 267, .external_lex_state = 5},
  [5792] = {.lex_state = 267, .external_lex_state = 5},
  [5793] = {.lex_state = 267, .external_lex_state = 5},
  [5794] = {.lex_state = 267, .external_lex_state = 5},
  [5795] = {.lex_state = 267, .external_lex_state = 5},
  [5796] = {.lex_state = 267, .external_lex_state = 5},
  [5797] = {.lex_state = 267, .external_lex_state = 5},
  [5798] = {.lex_state = 267, .external_lex_state = 5},
  [5799] = {.lex_state = 263, .external_lex_state = 5},
  [5800] = {.lex_state = 263, .external_lex_state = 5},
  [5801] = {.lex_state = 267, .external_lex_state = 5},
  [5802] = {.lex_state = 263, .external_lex_state = 5},
  [5803] = {.lex_state = 263, .external_lex_state = 5},
  [5804] = {.lex_state = 270, .external_lex_state = 5},
  [5805] = {.lex_state = 267, .external_lex_state = 5},
  [5806] = {.lex_state = 267, .external_lex_state = 5},
  [5807] = {.lex_state = 267, .external_lex_state = 5},
  [5808] = {.lex_state = 267, .external_lex_state = 5},
  [5809] = {.lex_state = 267, .external_lex_state = 5},
  [5810] = {.lex_state = 260, .external_lex_state = 5},
  [5811] = {.lex_state = 260, .external_lex_state = 5},
  [5812] = {.lex_state = 260, .external_lex_state = 5},
  [5813] = {.lex_state = 260, .external_lex_state = 5},
  [5814] = {.lex_state = 260, .external_lex_state = 5},
  [5815] = {.lex_state = 260, .external_lex_state = 5},
  [5816] = {.lex_state = 260, .external_lex_state = 5},
  [5817] = {.lex_state = 260, .external_lex_state = 5},
  [5818] = {.lex_state = 260, .external_lex_state = 5},
  [5819] = {.lex_state = 260, .external_lex_state = 5},
  [5820] = {.lex_state = 260, .external_lex_state = 5},
  [5821] = {.lex_state = 260, .external_lex_state = 5},
  [5822] = {.lex_state = 300, .external_lex_state = 5},
  [5823] = {.lex_state = 263, .external_lex_state = 5},
  [5824] = {.lex_state = 263, .external_lex_state = 5},
  [5825] = {.lex_state = 300, .external_lex_state = 5},
  [5826] = {.lex_state = 263, .external_lex_state = 5},
  [5827] = {.lex_state = 260, .external_lex_state = 5},
  [5828] = {.lex_state = 260, .external_lex_state = 5},
  [5829] = {.lex_state = 260, .external_lex_state = 5},
  [5830] = {.lex_state = 260, .external_lex_state = 5},
  [5831] = {.lex_state = 300, .external_lex_state = 5},
  [5832] = {.lex_state = 300, .external_lex_state = 5},
  [5833] = {.lex_state = 294, .external_lex_state = 5},
  [5834] = {.lex_state = 294, .external_lex_state = 5},
  [5835] = {.lex_state = 300, .external_lex_state = 5},
  [5836] = {.lex_state = 263, .external_lex_state = 5},
  [5837] = {.lex_state = 300, .external_lex_state = 5},
  [5838] = {.lex_state = 263, .external_lex_state = 5},
  [5839] = {.lex_state = 263, .external_lex_state = 5},
  [5840] = {.lex_state = 263, .external_lex_state = 5},
  [5841] = {.lex_state = 263, .external_lex_state = 5},
  [5842] = {.lex_state = 263, .external_lex_state = 5},
  [5843] = {.lex_state = 266, .external_lex_state = 5},
  [5844] = {.lex_state = 294, .external_lex_state = 5},
  [5845] = {.lex_state = 270, .external_lex_state = 5},
  [5846] = {.lex_state = 263, .external_lex_state = 5},
  [5847] = {.lex_state = 266, .external_lex_state = 5},
  [5848] = {.lex_state = 266, .external_lex_state = 5},
  [5849] = {.lex_state = 294, .external_lex_state = 5},
  [5850] = {.lex_state = 294, .external_lex_state = 5},
  [5851] = {.lex_state = 263, .external_lex_state = 5},
  [5852] = {.lex_state = 266, .external_lex_state = 5},
  [5853] = {.lex_state = 263, .external_lex_state = 5},
  [5854] = {.lex_state = 266, .external_lex_state = 5},
  [5855] = {.lex_state = 266, .external_lex_state = 5},
  [5856] = {.lex_state = 266, .external_lex_state = 5},
  [5857] = {.lex_state = 300, .external_lex_state = 5},
  [5858] = {.lex_state = 266, .external_lex_state = 5},
  [5859] = {.lex_state = 300, .external_lex_state = 5},
  [5860] = {.lex_state = 300, .external_lex_state = 5},
  [5861] = {.lex_state = 266, .external_lex_state = 5},
  [5862] = {.lex_state = 266, .external_lex_state = 5},
  [5863] = {.lex_state = 266, .external_lex_state = 5},
  [5864] = {.lex_state = 266, .external_lex_state = 5},
  [5865] = {.lex_state = 266, .external_lex_state = 5},
  [5866] = {.lex_state = 266, .external_lex_state = 5},
  [5867] = {.lex_state = 266, .external_lex_state = 5},
  [5868] = {.lex_state = 266, .external_lex_state = 5},
  [5869] = {.lex_state = 300, .external_lex_state = 5},
  [5870] = {.lex_state = 266, .external_lex_state = 5},
  [5871] = {.lex_state = 266, .external_lex_state = 5},
  [5872] = {.lex_state = 300, .external_lex_state = 5},
  [5873] = {.lex_state = 266, .external_lex_state = 5},
  [5874] = {.lex_state = 266, .external_lex_state = 5},
  [5875] = {.lex_state = 276, .external_lex_state = 5},
  [5876] = {.lex_state = 276, .external_lex_state = 5},
  [5877] = {.lex_state = 276, .external_lex_state = 5},
  [5878] = {.lex_state = 276, .external_lex_state = 5},
  [5879] = {.lex_state = 276, .external_lex_state = 5},
  [5880] = {.lex_state = 264, .external_lex_state = 5},
  [5881] = {.lex_state = 264, .external_lex_state = 5},
  [5882] = {.lex_state = 264, .external_lex_state = 5},
  [5883] = {.lex_state = 264, .external_lex_state = 5},
  [5884] = {.lex_state = 264, .external_lex_state = 5},
  [5885] = {.lex_state = 264, .external_lex_state = 5},
  [5886] = {.lex_state = 264, .external_lex_state = 5},
  [5887] = {.lex_state = 264, .external_lex_state = 5},
  [5888] = {.lex_state = 264, .external_lex_state = 5},
  [5889] = {.lex_state = 264, .external_lex_state = 5},
  [5890] = {.lex_state = 264, .external_lex_state = 5},
  [5891] = {.lex_state = 264, .external_lex_state = 5},
  [5892] = {.lex_state = 294, .external_lex_state = 5},
  [5893] = {.lex_state = 264, .external_lex_state = 5},
  [5894] = {.lex_state = 264, .external_lex_state = 5},
  [5895] = {.lex_state = 264, .external_lex_state = 5},
  [5896] = {.lex_state = 264, .external_lex_state = 5},
  [5897] = {.lex_state = 294, .external_lex_state = 5},
  [5898] = {.lex_state = 265, .external_lex_state = 5},
  [5899] = {.lex_state = 265, .external_lex_state = 5},
  [5900] = {.lex_state = 294, .external_lex_state = 5},
  [5901] = {.lex_state = 265, .external_lex_state = 5},
  [5902] = {.lex_state = 265, .external_lex_state = 5},
  [5903] = {.lex_state = 265, .external_lex_state = 5},
  [5904] = {.lex_state = 265, .external_lex_state = 5},
  [5905] = {.lex_state = 265, .external_lex_state = 5},
  [5906] = {.lex_state = 265, .external_lex_state = 5},
  [5907] = {.lex_state = 265, .external_lex_state = 5},
  [5908] = {.lex_state = 265, .external_lex_state = 5},
  [5909] = {.lex_state = 265, .external_lex_state = 5},
  [5910] = {.lex_state = 265, .external_lex_state = 5},
  [5911] = {.lex_state = 294, .external_lex_state = 5},
  [5912] = {.lex_state = 294, .external_lex_state = 5},
  [5913] = {.lex_state = 265, .external_lex_state = 5},
  [5914] = {.lex_state = 265, .external_lex_state = 5},
  [5915] = {.lex_state = 265, .external_lex_state = 5},
  [5916] = {.lex_state = 265, .external_lex_state = 5},
  [5917] = {.lex_state = 294, .external_lex_state = 5},
  [5918] = {.lex_state = 294, .external_lex_state = 5},
  [5919] = {.lex_state = 261, .external_lex_state = 5},
  [5920] = {.lex_state = 294, .external_lex_state = 5},
  [5921] = {.lex_state = 261, .external_lex_state = 5},
  [5922] = {.lex_state = 294, .external_lex_state = 5},
  [5923] = {.lex_state = 261, .external_lex_state = 5},
  [5924] = {.lex_state = 261, .external_lex_state = 5},
  [5925] = {.lex_state = 261, .external_lex_state = 5},
  [5926] = {.lex_state = 294, .external_lex_state = 5},
  [5927] = {.lex_state = 261, .external_lex_state = 5},
  [5928] = {.lex_state = 261, .external_lex_state = 5},
  [5929] = {.lex_state = 294, .external_lex_state = 5},
  [5930] = {.lex_state = 294, .external_lex_state = 5},
  [5931] = {.lex_state = 294, .external_lex_state = 5},
  [5932] = {.lex_state = 261, .external_lex_state = 5},
  [5933] = {.lex_state = 294, .external_lex_state = 5},
  [5934] = {.lex_state = 294, .external_lex_state = 5},
  [5935] = {.lex_state = 261, .external_lex_state = 5},
  [5936] = {.lex_state = 261, .external_lex_state = 5},
  [5937] = {.lex_state = 261, .external_lex_state = 5},
  [5938] = {.lex_state = 261, .external_lex_state = 5},
  [5939] = {.lex_state = 294, .external_lex_state = 5},
  [5940] = {.lex_state = 294, .external_lex_state = 5},
  [5941] = {.lex_state = 294, .external_lex_state = 5},
  [5942] = {.lex_state = 261, .external_lex_state = 5},
  [5943] = {.lex_state = 261, .external_lex_state = 5},
  [5944] = {.lex_state = 261, .external_lex_state = 5},
  [5945] = {.lex_state = 261, .external_lex_state = 5},
  [5946] = {.lex_state = 261, .external_lex_state = 5},
  [5947] = {.lex_state = 261, .external_lex_state = 5},
  [5948] = {.lex_state = 261, .external_lex_state = 5},
  [5949] = {.lex_state = 261, .external_lex_state = 5},
  [5950] = {.lex_state = 261, .external_lex_state = 5},
  [5951] = {.lex_state = 261, .external_lex_state = 5},
  [5952] = {.lex_state = 261, .external_lex_state = 5},
  [5953] = {.lex_state = 261, .external_lex_state = 5},
  [5954] = {.lex_state = 261, .external_lex_state = 5},
  [5955] = {.lex_state = 261, .external_lex_state = 5},
  [5956] = {.lex_state = 261, .external_lex_state = 5},
  [5957] = {.lex_state = 261, .external_lex_state = 5},
  [5958] = {.lex_state = 261, .external_lex_state = 5},
  [5959] = {.lex_state = 261, .external_lex_state = 5},
  [5960] = {.lex_state = 261, .external_lex_state = 5},
  [5961] = {.lex_state = 261, .external_lex_state = 5},
  [5962] = {.lex_state = 261, .external_lex_state = 5},
  [5963] = {.lex_state = 261, .external_lex_state = 5},
  [5964] = {.lex_state = 261, .external_lex_state = 5},
  [5965] = {.lex_state = 261, .external_lex_state = 5},
  [5966] = {.lex_state = 261, .external_lex_state = 5},
  [5967] = {.lex_state = 261, .external_lex_state = 5},
  [5968] = {.lex_state = 261, .external_lex_state = 5},
  [5969] = {.lex_state = 261, .external_lex_state = 5},
  [5970] = {.lex_state = 261, .external_lex_state = 5},
  [5971] = {.lex_state = 261, .external_lex_state = 5},
  [5972] = {.lex_state = 261, .external_lex_state = 5},
  [5973] = {.lex_state = 261, .external_lex_state = 5},
  [5974] = {.lex_state = 261, .external_lex_state = 5},
  [5975] = {.lex_state = 261, .external_lex_state = 5},
  [5976] = {.lex_state = 261, .external_lex_state = 5},
  [5977] = {.lex_state = 261, .external_lex_state = 5},
  [5978] = {.lex_state = 261, .external_lex_state = 5},
  [5979] = {.lex_state = 261, .external_lex_state = 5},
  [5980] = {.lex_state = 261, .external_lex_state = 5},
  [5981] = {.lex_state = 261, .external_lex_state = 5},
  [5982] = {.lex_state = 261, .external_lex_state = 5},
  [5983] = {.lex_state = 261, .external_lex_state = 5},
  [5984] = {.lex_state = 261, .external_lex_state = 5},
  [5985] = {.lex_state = 261, .external_lex_state = 5},
  [5986] = {.lex_state = 270, .external_lex_state = 5},
  [5987] = {.lex_state = 268, .external_lex_state = 5},
  [5988] = {.lex_state = 268, .external_lex_state = 5},
  [5989] = {.lex_state = 268, .external_lex_state = 5},
  [5990] = {.lex_state = 262, .external_lex_state = 10},
  [5991] = {.lex_state = 270, .external_lex_state = 5},
  [5992] = {.lex_state = 262, .external_lex_state = 10},
  [5993] = {.lex_state = 262, .external_lex_state = 10},
  [5994] = {.lex_state = 270, .external_lex_state = 5},
  [5995] = {.lex_state = 262, .external_lex_state = 10},
  [5996] = {.lex_state = 268, .external_lex_state = 5},
  [5997] = {.lex_state = 270, .external_lex_state = 5},
  [5998] = {.lex_state = 270, .external_lex_state = 5},
  [5999] = {.lex_state = 262, .external_lex_state = 10},
  [6000] = {.lex_state = 270, .external_lex_state = 5},
  [6001] = {.lex_state = 270, .external_lex_state = 5},
  [6002] = {.lex_state = 270, .external_lex_state = 5},
  [6003] = {.lex_state = 278, .external_lex_state = 5},
  [6004] = {.lex_state = 270, .external_lex_state = 5},
  [6005] = {.lex_state = 270, .external_lex_state = 5},
  [6006] = {.lex_state = 268, .external_lex_state = 5},
  [6007] = {.lex_state = 268, .external_lex_state = 5},
  [6008] = {.lex_state = 268, .external_lex_state = 5},
  [6009] = {.lex_state = 270, .external_lex_state = 5},
  [6010] = {.lex_state = 270, .external_lex_state = 5},
  [6011] = {.lex_state = 270, .external_lex_state = 5},
  [6012] = {.lex_state = 270, .external_lex_state = 5},
  [6013] = {.lex_state = 279, .external_lex_state = 5},
  [6014] = {.lex_state = 270, .external_lex_state = 5},
  [6015] = {.lex_state = 279, .external_lex_state = 5},
  [6016] = {.lex_state = 279, .external_lex_state = 5},
  [6017] = {.lex_state = 268, .external_lex_state = 5},
  [6018] = {.lex_state = 270, .external_lex_state = 5},
  [6019] = {.lex_state = 222, .external_lex_state = 5},
  [6020] = {.lex_state = 270, .external_lex_state = 5},
  [6021] = {.lex_state = 268, .external_lex_state = 5},
  [6022] = {.lex_state = 268, .external_lex_state = 5},
  [6023] = {.lex_state = 222, .external_lex_state = 5},
  [6024] = {.lex_state = 270, .external_lex_state = 5},
  [6025] = {.lex_state = 270, .external_lex_state = 5},
  [6026] = {.lex_state = 270, .external_lex_state = 5},
  [6027] = {.lex_state = 270, .external_lex_state = 5},
  [6028] = {.lex_state = 93, .external_lex_state = 5},
  [6029] = {.lex_state = 93, .external_lex_state = 5},
  [6030] = {.lex_state = 268, .external_lex_state = 5},
  [6031] = {.lex_state = 278, .external_lex_state = 5},
  [6032] = {.lex_state = 91, .external_lex_state = 5},
  [6033] = {.lex_state = 262, .external_lex_state = 5},
  [6034] = {.lex_state = 268, .external_lex_state = 5},
  [6035] = {.lex_state = 268, .external_lex_state = 5},
  [6036] = {.lex_state = 93, .external_lex_state = 5},
  [6037] = {.lex_state = 262, .external_lex_state = 10},
  [6038] = {.lex_state = 262, .external_lex_state = 10},
  [6039] = {.lex_state = 268, .external_lex_state = 5},
  [6040] = {.lex_state = 270, .external_lex_state = 5},
  [6041] = {.lex_state = 222, .external_lex_state = 5},
  [6042] = {.lex_state = 222, .external_lex_state = 5},
  [6043] = {.lex_state = 268, .external_lex_state = 5},
  [6044] = {.lex_state = 262, .external_lex_state = 10},
  [6045] = {.lex_state = 268, .external_lex_state = 5},
  [6046] = {.lex_state = 278, .external_lex_state = 5},
  [6047] = {.lex_state = 93, .external_lex_state = 5},
  [6048] = {.lex_state = 222, .external_lex_state = 5},
  [6049] = {.lex_state = 268, .external_lex_state = 5},
  [6050] = {.lex_state = 278, .external_lex_state = 5},
  [6051] = {.lex_state = 222, .external_lex_state = 5},
  [6052] = {.lex_state = 262, .external_lex_state = 5},
  [6053] = {.lex_state = 93, .external_lex_state = 5},
  [6054] = {.lex_state = 93, .external_lex_state = 5},
  [6055] = {.lex_state = 93, .external_lex_state = 5},
  [6056] = {.lex_state = 278, .external_lex_state = 5},
  [6057] = {.lex_state = 270, .external_lex_state = 5},
  [6058] = {.lex_state = 262, .external_lex_state = 10},
  [6059] = {.lex_state = 262, .external_lex_state = 5},
  [6060] = {.lex_state = 268, .external_lex_state = 5},
  [6061] = {.lex_state = 268, .external_lex_state = 5},
  [6062] = {.lex_state = 268, .external_lex_state = 5},
  [6063] = {.lex_state = 222, .external_lex_state = 5},
  [6064] = {.lex_state = 268, .external_lex_state = 5},
  [6065] = {.lex_state = 222, .external_lex_state = 5},
  [6066] = {.lex_state = 262, .external_lex_state = 5},
  [6067] = {.lex_state = 268, .external_lex_state = 5},
  [6068] = {.lex_state = 262, .external_lex_state = 10},
  [6069] = {.lex_state = 222, .external_lex_state = 5},
  [6070] = {.lex_state = 222, .external_lex_state = 5},
  [6071] = {.lex_state = 222, .external_lex_state = 5},
  [6072] = {.lex_state = 222, .external_lex_state = 5},
  [6073] = {.lex_state = 268, .external_lex_state = 5},
  [6074] = {.lex_state = 268, .external_lex_state = 5},
  [6075] = {.lex_state = 91, .external_lex_state = 5},
  [6076] = {.lex_state = 268, .external_lex_state = 5},
  [6077] = {.lex_state = 268, .external_lex_state = 5},
  [6078] = {.lex_state = 268, .external_lex_state = 5},
  [6079] = {.lex_state = 268, .external_lex_state = 5},
  [6080] = {.lex_state = 93, .external_lex_state = 5},
  [6081] = {.lex_state = 278, .external_lex_state = 5},
  [6082] = {.lex_state = 262, .external_lex_state = 10},
  [6083] = {.lex_state = 268, .external_lex_state = 5},
  [6084] = {.lex_state = 278, .external_lex_state = 5},
  [6085] = {.lex_state = 268, .external_lex_state = 5},
  [6086] = {.lex_state = 268, .external_lex_state = 5},
  [6087] = {.lex_state = 262, .external_lex_state = 10},
  [6088] = {.lex_state = 93, .external_lex_state = 5},
  [6089] = {.lex_state = 93, .external_lex_state = 5},
  [6090] = {.lex_state = 222, .external_lex_state = 5},
  [6091] = {.lex_state = 93, .external_lex_state = 5},
  [6092] = {.lex_state = 93, .external_lex_state = 5},
  [6093] = {.lex_state = 93, .external_lex_state = 5},
  [6094] = {.lex_state = 222, .external_lex_state = 5},
  [6095] = {.lex_state = 222, .external_lex_state = 5},
  [6096] = {.lex_state = 93, .external_lex_state = 5},
  [6097] = {.lex_state = 222, .external_lex_state = 5},
  [6098] = {.lex_state = 222, .external_lex_state = 5},
  [6099] = {.lex_state = 93, .external_lex_state = 5},
  [6100] = {.lex_state = 93, .external_lex_state = 5},
  [6101] = {.lex_state = 93, .external_lex_state = 5},
  [6102] = {.lex_state = 93, .external_lex_state = 5},
  [6103] = {.lex_state = 93, .external_lex_state = 5},
  [6104] = {.lex_state = 93, .external_lex_state = 5},
  [6105] = {.lex_state = 93, .external_lex_state = 5},
  [6106] = {.lex_state = 93, .external_lex_state = 5},
  [6107] = {.lex_state = 91, .external_lex_state = 5},
  [6108] = {.lex_state = 91, .external_lex_state = 5},
  [6109] = {.lex_state = 91, .external_lex_state = 5},
  [6110] = {.lex_state = 91, .external_lex_state = 5},
  [6111] = {.lex_state = 91, .external_lex_state = 5},
  [6112] = {.lex_state = 222, .external_lex_state = 5},
  [6113] = {.lex_state = 222, .external_lex_state = 5},
  [6114] = {.lex_state = 93, .external_lex_state = 5},
  [6115] = {.lex_state = 222, .external_lex_state = 5},
  [6116] = {.lex_state = 93, .external_lex_state = 5},
  [6117] = {.lex_state = 93, .external_lex_state = 5},
  [6118] = {.lex_state = 93, .external_lex_state = 5},
  [6119] = {.lex_state = 93, .external_lex_state = 5},
  [6120] = {.lex_state = 93, .external_lex_state = 5},
  [6121] = {.lex_state = 93, .external_lex_state = 5},
  [6122] = {.lex_state = 93, .external_lex_state = 5},
  [6123] = {.lex_state = 91, .external_lex_state = 5},
  [6124] = {.lex_state = 93, .external_lex_state = 5},
  [6125] = {.lex_state = 93, .external_lex_state = 5},
  [6126] = {.lex_state = 93, .external_lex_state = 5},
  [6127] = {.lex_state = 270, .external_lex_state = 5},
  [6128] = {.lex_state = 270, .external_lex_state = 5},
  [6129] = {.lex_state = 93, .external_lex_state = 5},
  [6130] = {.lex_state = 93, .external_lex_state = 5},
  [6131] = {.lex_state = 93, .external_lex_state = 5},
  [6132] = {.lex_state = 93, .external_lex_state = 5},
  [6133] = {.lex_state = 93, .external_lex_state = 5},
  [6134] = {.lex_state = 93, .external_lex_state = 5},
  [6135] = {.lex_state = 93, .external_lex_state = 5},
  [6136] = {.lex_state = 93, .external_lex_state = 5},
  [6137] = {.lex_state = 93, .external_lex_state = 5},
  [6138] = {.lex_state = 93, .external_lex_state = 5},
  [6139] = {.lex_state = 270, .external_lex_state = 5},
  [6140] = {.lex_state = 93, .external_lex_state = 5},
  [6141] = {.lex_state = 93, .external_lex_state = 5},
  [6142] = {.lex_state = 93, .external_lex_state = 5},
  [6143] = {.lex_state = 93, .external_lex_state = 5},
  [6144] = {.lex_state = 93, .external_lex_state = 5},
  [6145] = {.lex_state = 93, .external_lex_state = 5},
  [6146] = {.lex_state = 93, .external_lex_state = 5},
  [6147] = {.lex_state = 93, .external_lex_state = 5},
  [6148] = {.lex_state = 222, .external_lex_state = 5},
  [6149] = {.lex_state = 93, .external_lex_state = 5},
  [6150] = {.lex_state = 93, .external_lex_state = 5},
  [6151] = {.lex_state = 93, .external_lex_state = 5},
  [6152] = {.lex_state = 93, .external_lex_state = 5},
  [6153] = {.lex_state = 93, .external_lex_state = 5},
  [6154] = {.lex_state = 270, .external_lex_state = 5},
  [6155] = {.lex_state = 93, .external_lex_state = 5},
  [6156] = {.lex_state = 93, .external_lex_state = 5},
  [6157] = {.lex_state = 93, .external_lex_state = 5},
  [6158] = {.lex_state = 270, .external_lex_state = 5},
  [6159] = {.lex_state = 93, .external_lex_state = 5},
  [6160] = {.lex_state = 93, .external_lex_state = 5},
  [6161] = {.lex_state = 93, .external_lex_state = 5},
  [6162] = {.lex_state = 93, .external_lex_state = 5},
  [6163] = {.lex_state = 93, .external_lex_state = 5},
  [6164] = {.lex_state = 93, .external_lex_state = 5},
  [6165] = {.lex_state = 93, .external_lex_state = 5},
  [6166] = {.lex_state = 93, .external_lex_state = 5},
  [6167] = {.lex_state = 93, .external_lex_state = 5},
  [6168] = {.lex_state = 222, .external_lex_state = 5},
  [6169] = {.lex_state = 93, .external_lex_state = 5},
  [6170] = {.lex_state = 93, .external_lex_state = 5},
  [6171] = {.lex_state = 222, .external_lex_state = 5},
  [6172] = {.lex_state = 93, .external_lex_state = 5},
  [6173] = {.lex_state = 93, .external_lex_state = 5},
  [6174] = {.lex_state = 93, .external_lex_state = 5},
  [6175] = {.lex_state = 93, .external_lex_state = 5},
  [6176] = {.lex_state = 222, .external_lex_state = 5},
  [6177] = {.lex_state = 222, .external_lex_state = 5},
  [6178] = {.lex_state = 93, .external_lex_state = 5},
  [6179] = {.lex_state = 93, .external_lex_state = 5},
  [6180] = {.lex_state = 93, .external_lex_state = 5},
  [6181] = {.lex_state = 93, .external_lex_state = 5},
  [6182] = {.lex_state = 93, .external_lex_state = 5},
  [6183] = {.lex_state = 93, .external_lex_state = 5},
  [6184] = {.lex_state = 93, .external_lex_state = 5},
  [6185] = {.lex_state = 93, .external_lex_state = 5},
  [6186] = {.lex_state = 93, .external_lex_state = 5},
  [6187] = {.lex_state = 270, .external_lex_state = 5},
  [6188] = {.lex_state = 93, .external_lex_state = 5},
  [6189] = {.lex_state = 93, .external_lex_state = 5},
  [6190] = {.lex_state = 93, .external_lex_state = 5},
  [6191] = {.lex_state = 93, .external_lex_state = 5},
  [6192] = {.lex_state = 222, .external_lex_state = 5},
  [6193] = {.lex_state = 222, .external_lex_state = 5},
  [6194] = {.lex_state = 222, .external_lex_state = 5},
  [6195] = {.lex_state = 222, .external_lex_state = 5},
  [6196] = {.lex_state = 222, .external_lex_state = 5},
  [6197] = {.lex_state = 222, .external_lex_state = 5},
  [6198] = {.lex_state = 222, .external_lex_state = 5},
  [6199] = {.lex_state = 222, .external_lex_state = 5},
  [6200] = {.lex_state = 222, .external_lex_state = 5},
  [6201] = {.lex_state = 222, .external_lex_state = 5},
  [6202] = {.lex_state = 93, .external_lex_state = 5},
  [6203] = {.lex_state = 91, .external_lex_state = 5},
  [6204] = {.lex_state = 91, .external_lex_state = 5},
  [6205] = {.lex_state = 91, .external_lex_state = 5},
  [6206] = {.lex_state = 91, .external_lex_state = 5},
  [6207] = {.lex_state = 91, .external_lex_state = 5},
  [6208] = {.lex_state = 222, .external_lex_state = 5},
  [6209] = {.lex_state = 91, .external_lex_state = 5},
  [6210] = {.lex_state = 91, .external_lex_state = 5},
  [6211] = {.lex_state = 91, .external_lex_state = 5},
  [6212] = {.lex_state = 91, .external_lex_state = 5},
  [6213] = {.lex_state = 91, .external_lex_state = 5},
  [6214] = {.lex_state = 91, .external_lex_state = 5},
  [6215] = {.lex_state = 91, .external_lex_state = 5},
  [6216] = {.lex_state = 279, .external_lex_state = 5},
  [6217] = {.lex_state = 91, .external_lex_state = 5},
  [6218] = {.lex_state = 91, .external_lex_state = 5},
  [6219] = {.lex_state = 91, .external_lex_state = 5},
  [6220] = {.lex_state = 91, .external_lex_state = 5},
  [6221] = {.lex_state = 91, .external_lex_state = 5},
  [6222] = {.lex_state = 91, .external_lex_state = 5},
  [6223] = {.lex_state = 91, .external_lex_state = 5},
  [6224] = {.lex_state = 91, .external_lex_state = 5},
  [6225] = {.lex_state = 91, .external_lex_state = 5},
  [6226] = {.lex_state = 91, .external_lex_state = 5},
  [6227] = {.lex_state = 91, .external_lex_state = 5},
  [6228] = {.lex_state = 91, .external_lex_state = 5},
  [6229] = {.lex_state = 91, .external_lex_state = 5},
  [6230] = {.lex_state = 91, .external_lex_state = 5},
  [6231] = {.lex_state = 91, .external_lex_state = 5},
  [6232] = {.lex_state = 91, .external_lex_state = 5},
  [6233] = {.lex_state = 91, .external_lex_state = 5},
  [6234] = {.lex_state = 91, .external_lex_state = 5},
  [6235] = {.lex_state = 91, .external_lex_state = 5},
  [6236] = {.lex_state = 91, .external_lex_state = 5},
  [6237] = {.lex_state = 91, .external_lex_state = 5},
  [6238] = {.lex_state = 91, .external_lex_state = 5},
  [6239] = {.lex_state = 91, .external_lex_state = 5},
  [6240] = {.lex_state = 91, .external_lex_state = 5},
  [6241] = {.lex_state = 91, .external_lex_state = 5},
  [6242] = {.lex_state = 279, .external_lex_state = 5},
  [6243] = {.lex_state = 91, .external_lex_state = 5},
  [6244] = {.lex_state = 91, .external_lex_state = 5},
  [6245] = {.lex_state = 91, .external_lex_state = 5},
  [6246] = {.lex_state = 91, .external_lex_state = 5},
  [6247] = {.lex_state = 262, .external_lex_state = 10},
  [6248] = {.lex_state = 91, .external_lex_state = 5},
  [6249] = {.lex_state = 262, .external_lex_state = 10},
  [6250] = {.lex_state = 91, .external_lex_state = 5},
  [6251] = {.lex_state = 91, .external_lex_state = 5},
  [6252] = {.lex_state = 91, .external_lex_state = 5},
  [6253] = {.lex_state = 91, .external_lex_state = 5},
  [6254] = {.lex_state = 91, .external_lex_state = 5},
  [6255] = {.lex_state = 91, .external_lex_state = 5},
  [6256] = {.lex_state = 91, .external_lex_state = 5},
  [6257] = {.lex_state = 91, .external_lex_state = 5},
  [6258] = {.lex_state = 91, .external_lex_state = 5},
  [6259] = {.lex_state = 91, .external_lex_state = 5},
  [6260] = {.lex_state = 222, .external_lex_state = 5},
  [6261] = {.lex_state = 222, .external_lex_state = 5},
  [6262] = {.lex_state = 268, .external_lex_state = 5},
  [6263] = {.lex_state = 268, .external_lex_state = 5},
  [6264] = {.lex_state = 268, .external_lex_state = 5},
  [6265] = {.lex_state = 268, .external_lex_state = 5},
  [6266] = {.lex_state = 268, .external_lex_state = 5},
  [6267] = {.lex_state = 268, .external_lex_state = 5},
  [6268] = {.lex_state = 268, .external_lex_state = 5},
  [6269] = {.lex_state = 268, .external_lex_state = 5},
  [6270] = {.lex_state = 268, .external_lex_state = 5},
  [6271] = {.lex_state = 268, .external_lex_state = 5},
  [6272] = {.lex_state = 268, .external_lex_state = 5},
  [6273] = {.lex_state = 268, .external_lex_state = 5},
  [6274] = {.lex_state = 268, .external_lex_state = 5},
  [6275] = {.lex_state = 268, .external_lex_state = 5},
  [6276] = {.lex_state = 262, .external_lex_state = 10},
  [6277] = {.lex_state = 262, .external_lex_state = 10},
  [6278] = {.lex_state = 262, .external_lex_state = 10},
  [6279] = {.lex_state = 262, .external_lex_state = 10},
  [6280] = {.lex_state = 262, .external_lex_state = 10},
  [6281] = {.lex_state = 262, .external_lex_state = 10},
  [6282] = {.lex_state = 262, .external_lex_state = 10},
  [6283] = {.lex_state = 231, .external_lex_state = 5},
  [6284] = {.lex_state = 279, .external_lex_state = 5},
  [6285] = {.lex_state = 279, .external_lex_state = 5},
  [6286] = {.lex_state = 279, .external_lex_state = 5},
  [6287] = {.lex_state = 231, .external_lex_state = 5},
  [6288] = {.lex_state = 262, .external_lex_state = 10},
  [6289] = {.lex_state = 231, .external_lex_state = 5},
  [6290] = {.lex_state = 262, .external_lex_state = 10},
  [6291] = {.lex_state = 262, .external_lex_state = 10},
  [6292] = {.lex_state = 279, .external_lex_state = 5},
  [6293] = {.lex_state = 279, .external_lex_state = 5},
  [6294] = {.lex_state = 231, .external_lex_state = 5},
  [6295] = {.lex_state = 279, .external_lex_state = 5},
  [6296] = {.lex_state = 262, .external_lex_state = 10},
  [6297] = {.lex_state = 279, .external_lex_state = 5},
  [6298] = {.lex_state = 231, .external_lex_state = 5},
  [6299] = {.lex_state = 279, .external_lex_state = 5},
  [6300] = {.lex_state = 262, .external_lex_state = 10},
  [6301] = {.lex_state = 279, .external_lex_state = 5},
  [6302] = {.lex_state = 279, .external_lex_state = 5},
  [6303] = {.lex_state = 231, .external_lex_state = 5},
  [6304] = {.lex_state = 231, .external_lex_state = 5},
  [6305] = {.lex_state = 279, .external_lex_state = 5},
  [6306] = {.lex_state = 279, .external_lex_state = 5},
  [6307] = {.lex_state = 262, .external_lex_state = 10},
  [6308] = {.lex_state = 262, .external_lex_state = 10},
  [6309] = {.lex_state = 262, .external_lex_state = 10},
  [6310] = {.lex_state = 275, .external_lex_state = 5},
  [6311] = {.lex_state = 275, .external_lex_state = 5},
  [6312] = {.lex_state = 275, .external_lex_state = 5},
  [6313] = {.lex_state = 278, .external_lex_state = 5},
  [6314] = {.lex_state = 275, .external_lex_state = 5},
  [6315] = {.lex_state = 275, .external_lex_state = 5},
  [6316] = {.lex_state = 275, .external_lex_state = 5},
  [6317] = {.lex_state = 262, .external_lex_state = 10},
  [6318] = {.lex_state = 278, .external_lex_state = 5},
  [6319] = {.lex_state = 279, .external_lex_state = 5},
  [6320] = {.lex_state = 278, .external_lex_state = 5},
  [6321] = {.lex_state = 278, .external_lex_state = 5},
  [6322] = {.lex_state = 278, .external_lex_state = 5},
  [6323] = {.lex_state = 278, .external_lex_state = 5},
  [6324] = {.lex_state = 278, .external_lex_state = 5},
  [6325] = {.lex_state = 278, .external_lex_state = 5},
  [6326] = {.lex_state = 275, .external_lex_state = 5},
  [6327] = {.lex_state = 278, .external_lex_state = 5},
  [6328] = {.lex_state = 275, .external_lex_state = 5},
  [6329] = {.lex_state = 275, .external_lex_state = 5},
  [6330] = {.lex_state = 275, .external_lex_state = 5},
  [6331] = {.lex_state = 278, .external_lex_state = 5},
  [6332] = {.lex_state = 278, .external_lex_state = 5},
  [6333] = {.lex_state = 278, .external_lex_state = 5},
  [6334] = {.lex_state = 278, .external_lex_state = 5},
  [6335] = {.lex_state = 278, .external_lex_state = 5},
  [6336] = {.lex_state = 279, .external_lex_state = 5},
  [6337] = {.lex_state = 275, .external_lex_state = 5},
  [6338] = {.lex_state = 279, .external_lex_state = 5},
  [6339] = {.lex_state = 279, .external_lex_state = 5},
  [6340] = {.lex_state = 279, .external_lex_state = 5},
  [6341] = {.lex_state = 275, .external_lex_state = 5},
  [6342] = {.lex_state = 279, .external_lex_state = 5},
  [6343] = {.lex_state = 279, .external_lex_state = 5},
  [6344] = {.lex_state = 275, .external_lex_state = 5},
  [6345] = {.lex_state = 275, .external_lex_state = 5},
  [6346] = {.lex_state = 278, .external_lex_state = 5},
  [6347] = {.lex_state = 278, .external_lex_state = 5},
  [6348] = {.lex_state = 275, .external_lex_state = 5},
  [6349] = {.lex_state = 275, .external_lex_state = 5},
  [6350] = {.lex_state = 279, .external_lex_state = 5},
  [6351] = {.lex_state = 278, .external_lex_state = 5},
  [6352] = {.lex_state = 275, .external_lex_state = 5},
  [6353] = {.lex_state = 278, .external_lex_state = 5},
  [6354] = {.lex_state = 278, .external_lex_state = 5},
  [6355] = {.lex_state = 278, .external_lex_state = 5},
  [6356] = {.lex_state = 279, .external_lex_state = 5},
  [6357] = {.lex_state = 278, .external_lex_state = 5},
  [6358] = {.lex_state = 278, .external_lex_state = 5},
  [6359] = {.lex_state = 279, .external_lex_state = 5},
  [6360] = {.lex_state = 278, .external_lex_state = 5},
  [6361] = {.lex_state = 275, .external_lex_state = 5},
  [6362] = {.lex_state = 262, .external_lex_state = 10},
  [6363] = {.lex_state = 262, .external_lex_state = 10},
  [6364] = {.lex_state = 275, .external_lex_state = 5},
  [6365] = {.lex_state = 268, .external_lex_state = 5},
  [6366] = {.lex_state = 262, .external_lex_state = 10},
  [6367] = {.lex_state = 279, .external_lex_state = 5},
  [6368] = {.lex_state = 278, .external_lex_state = 5},
  [6369] = {.lex_state = 262, .external_lex_state = 10},
  [6370] = {.lex_state = 278, .external_lex_state = 5},
  [6371] = {.lex_state = 275, .external_lex_state = 5},
  [6372] = {.lex_state = 275, .external_lex_state = 5},
  [6373] = {.lex_state = 279, .external_lex_state = 5},
  [6374] = {.lex_state = 279, .external_lex_state = 5},
  [6375] = {.lex_state = 278, .external_lex_state = 5},
  [6376] = {.lex_state = 279, .external_lex_state = 5},
  [6377] = {.lex_state = 279, .external_lex_state = 5},
  [6378] = {.lex_state = 262, .external_lex_state = 10},
  [6379] = {.lex_state = 262, .external_lex_state = 10},
  [6380] = {.lex_state = 279, .external_lex_state = 5},
  [6381] = {.lex_state = 278, .external_lex_state = 5},
  [6382] = {.lex_state = 279, .external_lex_state = 5},
  [6383] = {.lex_state = 279, .external_lex_state = 5},
  [6384] = {.lex_state = 279, .external_lex_state = 5},
  [6385] = {.lex_state = 275, .external_lex_state = 5},
  [6386] = {.lex_state = 275, .external_lex_state = 5},
  [6387] = {.lex_state = 275, .external_lex_state = 5},
  [6388] = {.lex_state = 279, .external_lex_state = 5},
  [6389] = {.lex_state = 275, .external_lex_state = 5},
  [6390] = {.lex_state = 278, .external_lex_state = 5},
  [6391] = {.lex_state = 278, .external_lex_state = 5},
  [6392] = {.lex_state = 279, .external_lex_state = 5},
  [6393] = {.lex_state = 262, .external_lex_state = 10},
  [6394] = {.lex_state = 278, .external_lex_state = 5},
  [6395] = {.lex_state = 278, .external_lex_state = 5},
  [6396] = {.lex_state = 279, .external_lex_state = 5},
  [6397] = {.lex_state = 278, .external_lex_state = 5},
  [6398] = {.lex_state = 270, .external_lex_state = 5},
  [6399] = {.lex_state = 270, .external_lex_state = 5},
  [6400] = {.lex_state = 297, .external_lex_state = 5},
  [6401] = {.lex_state = 270, .external_lex_state = 5},
  [6402] = {.lex_state = 294, .external_lex_state = 4},
  [6403] = {.lex_state = 268, .external_lex_state = 5},
  [6404] = {.lex_state = 315, .external_lex_state = 11},
  [6405] = {.lex_state = 268, .external_lex_state = 5},
  [6406] = {.lex_state = 297, .external_lex_state = 5},
  [6407] = {.lex_state = 268, .external_lex_state = 5},
  [6408] = {.lex_state = 315, .external_lex_state = 11},
  [6409] = {.lex_state = 315, .external_lex_state = 11},
  [6410] = {.lex_state = 275, .external_lex_state = 5},
  [6411] = {.lex_state = 262, .external_lex_state = 10},
  [6412] = {.lex_state = 262, .external_lex_state = 10},
  [6413] = {.lex_state = 262, .external_lex_state = 10},
  [6414] = {.lex_state = 275, .external_lex_state = 5},
  [6415] = {.lex_state = 275, .external_lex_state = 5},
  [6416] = {.lex_state = 275, .external_lex_state = 5},
  [6417] = {.lex_state = 275, .external_lex_state = 5},
  [6418] = {.lex_state = 275, .external_lex_state = 5},
  [6419] = {.lex_state = 275, .external_lex_state = 5},
  [6420] = {.lex_state = 275, .external_lex_state = 5},
  [6421] = {.lex_state = 275, .external_lex_state = 5},
  [6422] = {.lex_state = 275, .external_lex_state = 5},
  [6423] = {.lex_state = 268, .external_lex_state = 4},
  [6424] = {.lex_state = 275, .external_lex_state = 5},
  [6425] = {.lex_state = 275, .external_lex_state = 5},
  [6426] = {.lex_state = 275, .external_lex_state = 5},
  [6427] = {.lex_state = 275, .external_lex_state = 5},
  [6428] = {.lex_state = 275, .external_lex_state = 5},
  [6429] = {.lex_state = 275, .external_lex_state = 5},
  [6430] = {.lex_state = 275, .external_lex_state = 5},
  [6431] = {.lex_state = 275, .external_lex_state = 5},
  [6432] = {.lex_state = 275, .external_lex_state = 5},
  [6433] = {.lex_state = 275, .external_lex_state = 5},
  [6434] = {.lex_state = 275, .external_lex_state = 5},
  [6435] = {.lex_state = 275, .external_lex_state = 5},
  [6436] = {.lex_state = 268, .external_lex_state = 5},
  [6437] = {.lex_state = 275, .external_lex_state = 5},
  [6438] = {.lex_state = 275, .external_lex_state = 5},
  [6439] = {.lex_state = 275, .external_lex_state = 5},
  [6440] = {.lex_state = 275, .external_lex_state = 5},
  [6441] = {.lex_state = 275, .external_lex_state = 5},
  [6442] = {.lex_state = 275, .external_lex_state = 5},
  [6443] = {.lex_state = 262, .external_lex_state = 10},
  [6444] = {.lex_state = 262, .external_lex_state = 10},
  [6445] = {.lex_state = 262, .external_lex_state = 10},
  [6446] = {.lex_state = 275, .external_lex_state = 5},
  [6447] = {.lex_state = 275, .external_lex_state = 5},
  [6448] = {.lex_state = 262, .external_lex_state = 10},
  [6449] = {.lex_state = 262, .external_lex_state = 10},
  [6450] = {.lex_state = 262, .external_lex_state = 10},
  [6451] = {.lex_state = 275, .external_lex_state = 5},
  [6452] = {.lex_state = 275, .external_lex_state = 5},
  [6453] = {.lex_state = 275, .external_lex_state = 5},
  [6454] = {.lex_state = 275, .external_lex_state = 5},
  [6455] = {.lex_state = 275, .external_lex_state = 5},
  [6456] = {.lex_state = 275, .external_lex_state = 5},
  [6457] = {.lex_state = 275, .external_lex_state = 5},
  [6458] = {.lex_state = 275, .external_lex_state = 5},
  [6459] = {.lex_state = 275, .external_lex_state = 5},
  [6460] = {.lex_state = 275, .external_lex_state = 5},
  [6461] = {.lex_state = 275, .external_lex_state = 5},
  [6462] = {.lex_state = 275, .external_lex_state = 5},
  [6463] = {.lex_state = 262, .external_lex_state = 10},
  [6464] = {.lex_state = 275, .external_lex_state = 5},
  [6465] = {.lex_state = 275, .external_lex_state = 5},
  [6466] = {.lex_state = 262, .external_lex_state = 10},
  [6467] = {.lex_state = 275, .external_lex_state = 5},
  [6468] = {.lex_state = 275, .external_lex_state = 5},
  [6469] = {.lex_state = 275, .external_lex_state = 5},
  [6470] = {.lex_state = 275, .external_lex_state = 5},
  [6471] = {.lex_state = 275, .external_lex_state = 5},
  [6472] = {.lex_state = 275, .external_lex_state = 5},
  [6473] = {.lex_state = 275, .external_lex_state = 5},
  [6474] = {.lex_state = 275, .external_lex_state = 5},
  [6475] = {.lex_state = 275, .external_lex_state = 5},
  [6476] = {.lex_state = 268, .external_lex_state = 4},
  [6477] = {.lex_state = 275, .external_lex_state = 5},
  [6478] = {.lex_state = 275, .external_lex_state = 5},
  [6479] = {.lex_state = 275, .external_lex_state = 5},
  [6480] = {.lex_state = 275, .external_lex_state = 5},
  [6481] = {.lex_state = 275, .external_lex_state = 5},
  [6482] = {.lex_state = 275, .external_lex_state = 5},
  [6483] = {.lex_state = 275, .external_lex_state = 5},
  [6484] = {.lex_state = 275, .external_lex_state = 5},
  [6485] = {.lex_state = 275, .external_lex_state = 5},
  [6486] = {.lex_state = 275, .external_lex_state = 5},
  [6487] = {.lex_state = 275, .external_lex_state = 5},
  [6488] = {.lex_state = 275, .external_lex_state = 5},
  [6489] = {.lex_state = 275, .external_lex_state = 5},
  [6490] = {.lex_state = 275, .external_lex_state = 5},
  [6491] = {.lex_state = 262, .external_lex_state = 10},
  [6492] = {.lex_state = 268, .external_lex_state = 5},
  [6493] = {.lex_state = 275, .external_lex_state = 5},
  [6494] = {.lex_state = 275, .external_lex_state = 5},
  [6495] = {.lex_state = 279, .external_lex_state = 5},
  [6496] = {.lex_state = 262, .external_lex_state = 10},
  [6497] = {.lex_state = 275, .external_lex_state = 5},
  [6498] = {.lex_state = 262, .external_lex_state = 10},
  [6499] = {.lex_state = 262, .external_lex_state = 10},
  [6500] = {.lex_state = 262, .external_lex_state = 10},
  [6501] = {.lex_state = 275, .external_lex_state = 5},
  [6502] = {.lex_state = 275, .external_lex_state = 5},
  [6503] = {.lex_state = 275, .external_lex_state = 5},
  [6504] = {.lex_state = 275, .external_lex_state = 5},
  [6505] = {.lex_state = 275, .external_lex_state = 5},
  [6506] = {.lex_state = 275, .external_lex_state = 5},
  [6507] = {.lex_state = 275, .external_lex_state = 5},
  [6508] = {.lex_state = 275, .external_lex_state = 5},
  [6509] = {.lex_state = 275, .external_lex_state = 5},
  [6510] = {.lex_state = 275, .external_lex_state = 5},
  [6511] = {.lex_state = 275, .external_lex_state = 5},
  [6512] = {.lex_state = 325, .external_lex_state = 10},
  [6513] = {.lex_state = 262, .external_lex_state = 10},
  [6514] = {.lex_state = 268, .external_lex_state = 5},
  [6515] = {.lex_state = 262, .external_lex_state = 10},
  [6516] = {.lex_state = 325, .external_lex_state = 10},
  [6517] = {.lex_state = 262, .external_lex_state = 10},
  [6518] = {.lex_state = 262, .external_lex_state = 10},
  [6519] = {.lex_state = 262, .external_lex_state = 10},
  [6520] = {.lex_state = 325, .external_lex_state = 10},
  [6521] = {.lex_state = 262, .external_lex_state = 10},
  [6522] = {.lex_state = 262, .external_lex_state = 10},
  [6523] = {.lex_state = 315, .external_lex_state = 11},
  [6524] = {.lex_state = 268, .external_lex_state = 5},
  [6525] = {.lex_state = 268, .external_lex_state = 5},
  [6526] = {.lex_state = 262, .external_lex_state = 10},
  [6527] = {.lex_state = 262, .external_lex_state = 10},
  [6528] = {.lex_state = 315, .external_lex_state = 11},
  [6529] = {.lex_state = 262, .external_lex_state = 10},
  [6530] = {.lex_state = 268, .external_lex_state = 5},
  [6531] = {.lex_state = 262, .external_lex_state = 10},
  [6532] = {.lex_state = 268, .external_lex_state = 5},
  [6533] = {.lex_state = 268, .external_lex_state = 4},
  [6534] = {.lex_state = 262, .external_lex_state = 10},
  [6535] = {.lex_state = 268, .external_lex_state = 5},
  [6536] = {.lex_state = 262, .external_lex_state = 10},
  [6537] = {.lex_state = 262, .external_lex_state = 10},
  [6538] = {.lex_state = 262, .external_lex_state = 10},
  [6539] = {.lex_state = 262, .external_lex_state = 10},
  [6540] = {.lex_state = 325, .external_lex_state = 10},
  [6541] = {.lex_state = 268, .external_lex_state = 5},
  [6542] = {.lex_state = 268, .external_lex_state = 5},
  [6543] = {.lex_state = 268, .external_lex_state = 5},
  [6544] = {.lex_state = 268, .external_lex_state = 5},
  [6545] = {.lex_state = 268, .external_lex_state = 5},
  [6546] = {.lex_state = 268, .external_lex_state = 4},
  [6547] = {.lex_state = 268, .external_lex_state = 4},
  [6548] = {.lex_state = 268, .external_lex_state = 5},
  [6549] = {.lex_state = 315, .external_lex_state = 11},
  [6550] = {.lex_state = 268, .external_lex_state = 5},
  [6551] = {.lex_state = 268, .external_lex_state = 5},
  [6552] = {.lex_state = 268, .external_lex_state = 5},
  [6553] = {.lex_state = 268, .external_lex_state = 4},
  [6554] = {.lex_state = 268, .external_lex_state = 5},
  [6555] = {.lex_state = 275, .external_lex_state = 5},
  [6556] = {.lex_state = 275, .external_lex_state = 5},
  [6557] = {.lex_state = 275, .external_lex_state = 5},
  [6558] = {.lex_state = 275, .external_lex_state = 5},
  [6559] = {.lex_state = 275, .external_lex_state = 5},
  [6560] = {.lex_state = 275, .external_lex_state = 5},
  [6561] = {.lex_state = 275, .external_lex_state = 5},
  [6562] = {.lex_state = 275, .external_lex_state = 5},
  [6563] = {.lex_state = 275, .external_lex_state = 5},
  [6564] = {.lex_state = 275, .external_lex_state = 5},
  [6565] = {.lex_state = 315, .external_lex_state = 11},
  [6566] = {.lex_state = 275, .external_lex_state = 5},
  [6567] = {.lex_state = 275, .external_lex_state = 5},
  [6568] = {.lex_state = 275, .external_lex_state = 5},
  [6569] = {.lex_state = 275, .external_lex_state = 5},
  [6570] = {.lex_state = 275, .external_lex_state = 5},
  [6571] = {.lex_state = 275, .external_lex_state = 5},
  [6572] = {.lex_state = 275, .external_lex_state = 5},
  [6573] = {.lex_state = 275, .external_lex_state = 5},
  [6574] = {.lex_state = 275, .external_lex_state = 5},
  [6575] = {.lex_state = 275, .external_lex_state = 5},
  [6576] = {.lex_state = 275, .external_lex_state = 5},
  [6577] = {.lex_state = 275, .external_lex_state = 5},
  [6578] = {.lex_state = 275, .external_lex_state = 5},
  [6579] = {.lex_state = 275, .external_lex_state = 5},
  [6580] = {.lex_state = 275, .external_lex_state = 5},
  [6581] = {.lex_state = 275, .external_lex_state = 5},
  [6582] = {.lex_state = 275, .external_lex_state = 5},
  [6583] = {.lex_state = 275, .external_lex_state = 5},
  [6584] = {.lex_state = 275, .external_lex_state = 5},
  [6585] = {.lex_state = 275, .external_lex_state = 5},
  [6586] = {.lex_state = 275, .external_lex_state = 5},
  [6587] = {.lex_state = 275, .external_lex_state = 5},
  [6588] = {.lex_state = 275, .external_lex_state = 5},
  [6589] = {.lex_state = 275, .external_lex_state = 5},
  [6590] = {.lex_state = 275, .external_lex_state = 5},
  [6591] = {.lex_state = 275, .external_lex_state = 5},
  [6592] = {.lex_state = 275, .external_lex_state = 5},
  [6593] = {.lex_state = 275, .external_lex_state = 5},
  [6594] = {.lex_state = 275, .external_lex_state = 5},
  [6595] = {.lex_state = 315, .external_lex_state = 11},
  [6596] = {.lex_state = 275, .external_lex_state = 5},
  [6597] = {.lex_state = 275, .external_lex_state = 5},
  [6598] = {.lex_state = 275, .external_lex_state = 5},
  [6599] = {.lex_state = 275, .external_lex_state = 5},
  [6600] = {.lex_state = 275, .external_lex_state = 5},
  [6601] = {.lex_state = 275, .external_lex_state = 5},
  [6602] = {.lex_state = 275, .external_lex_state = 5},
  [6603] = {.lex_state = 275, .external_lex_state = 5},
  [6604] = {.lex_state = 275, .external_lex_state = 5},
  [6605] = {.lex_state = 275, .external_lex_state = 5},
  [6606] = {.lex_state = 315, .external_lex_state = 11},
  [6607] = {.lex_state = 275, .external_lex_state = 5},
  [6608] = {.lex_state = 275, .external_lex_state = 5},
  [6609] = {.lex_state = 275, .external_lex_state = 5},
  [6610] = {.lex_state = 275, .external_lex_state = 5},
  [6611] = {.lex_state = 275, .external_lex_state = 5},
  [6612] = {.lex_state = 275, .external_lex_state = 5},
  [6613] = {.lex_state = 275, .external_lex_state = 5},
  [6614] = {.lex_state = 275, .external_lex_state = 5},
  [6615] = {.lex_state = 275, .external_lex_state = 5},
  [6616] = {.lex_state = 275, .external_lex_state = 5},
  [6617] = {.lex_state = 275, .external_lex_state = 5},
  [6618] = {.lex_state = 275, .external_lex_state = 5},
  [6619] = {.lex_state = 275, .external_lex_state = 5},
  [6620] = {.lex_state = 275, .external_lex_state = 5},
  [6621] = {.lex_state = 275, .external_lex_state = 5},
  [6622] = {.lex_state = 275, .external_lex_state = 5},
  [6623] = {.lex_state = 275, .external_lex_state = 5},
  [6624] = {.lex_state = 268, .external_lex_state = 4},
  [6625] = {.lex_state = 275, .external_lex_state = 5},
  [6626] = {.lex_state = 275, .external_lex_state = 5},
  [6627] = {.lex_state = 275, .external_lex_state = 5},
  [6628] = {.lex_state = 275, .external_lex_state = 5},
  [6629] = {.lex_state = 275, .external_lex_state = 5},
  [6630] = {.lex_state = 275, .external_lex_state = 5},
  [6631] = {.lex_state = 275, .external_lex_state = 5},
  [6632] = {.lex_state = 268, .external_lex_state = 4},
  [6633] = {.lex_state = 275, .external_lex_state = 5},
  [6634] = {.lex_state = 275, .external_lex_state = 5},
  [6635] = {.lex_state = 275, .external_lex_state = 5},
  [6636] = {.lex_state = 275, .external_lex_state = 5},
  [6637] = {.lex_state = 275, .external_lex_state = 5},
  [6638] = {.lex_state = 275, .external_lex_state = 5},
  [6639] = {.lex_state = 275, .external_lex_state = 5},
  [6640] = {.lex_state = 275, .external_lex_state = 5},
  [6641] = {.lex_state = 275, .external_lex_state = 5},
  [6642] = {.lex_state = 275, .external_lex_state = 5},
  [6643] = {.lex_state = 275, .external_lex_state = 5},
  [6644] = {.lex_state = 275, .external_lex_state = 5},
  [6645] = {.lex_state = 268, .external_lex_state = 4},
  [6646] = {.lex_state = 275, .external_lex_state = 5},
  [6647] = {.lex_state = 294, .external_lex_state = 4},
  [6648] = {.lex_state = 275, .external_lex_state = 5},
  [6649] = {.lex_state = 275, .external_lex_state = 5},
  [6650] = {.lex_state = 275, .external_lex_state = 5},
  [6651] = {.lex_state = 275, .external_lex_state = 5},
  [6652] = {.lex_state = 275, .external_lex_state = 5},
  [6653] = {.lex_state = 275, .external_lex_state = 5},
  [6654] = {.lex_state = 268, .external_lex_state = 4},
  [6655] = {.lex_state = 275, .external_lex_state = 5},
  [6656] = {.lex_state = 275, .external_lex_state = 5},
  [6657] = {.lex_state = 275, .external_lex_state = 5},
  [6658] = {.lex_state = 275, .external_lex_state = 5},
  [6659] = {.lex_state = 275, .external_lex_state = 5},
  [6660] = {.lex_state = 275, .external_lex_state = 5},
  [6661] = {.lex_state = 275, .external_lex_state = 5},
  [6662] = {.lex_state = 275, .external_lex_state = 5},
  [6663] = {.lex_state = 275, .external_lex_state = 5},
  [6664] = {.lex_state = 275, .external_lex_state = 5},
  [6665] = {.lex_state = 275, .external_lex_state = 5},
  [6666] = {.lex_state = 275, .external_lex_state = 5},
  [6667] = {.lex_state = 275, .external_lex_state = 5},
  [6668] = {.lex_state = 275, .external_lex_state = 5},
  [6669] = {.lex_state = 275, .external_lex_state = 5},
  [6670] = {.lex_state = 275, .external_lex_state = 5},
  [6671] = {.lex_state = 275, .external_lex_state = 5},
  [6672] = {.lex_state = 275, .external_lex_state = 5},
  [6673] = {.lex_state = 275, .external_lex_state = 5},
  [6674] = {.lex_state = 275, .external_lex_state = 5},
  [6675] = {.lex_state = 275, .external_lex_state = 5},
  [6676] = {.lex_state = 275, .external_lex_state = 5},
  [6677] = {.lex_state = 275, .external_lex_state = 5},
  [6678] = {.lex_state = 275, .external_lex_state = 5},
  [6679] = {.lex_state = 275, .external_lex_state = 5},
  [6680] = {.lex_state = 275, .external_lex_state = 5},
  [6681] = {.lex_state = 275, .external_lex_state = 5},
  [6682] = {.lex_state = 275, .external_lex_state = 5},
  [6683] = {.lex_state = 275, .external_lex_state = 5},
  [6684] = {.lex_state = 275, .external_lex_state = 5},
  [6685] = {.lex_state = 275, .external_lex_state = 5},
  [6686] = {.lex_state = 275, .external_lex_state = 5},
  [6687] = {.lex_state = 275, .external_lex_state = 5},
  [6688] = {.lex_state = 275, .external_lex_state = 5},
  [6689] = {.lex_state = 275, .external_lex_state = 5},
  [6690] = {.lex_state = 275, .external_lex_state = 5},
  [6691] = {.lex_state = 275, .external_lex_state = 5},
  [6692] = {.lex_state = 275, .external_lex_state = 5},
  [6693] = {.lex_state = 275, .external_lex_state = 5},
  [6694] = {.lex_state = 275, .external_lex_state = 5},
  [6695] = {.lex_state = 275, .external_lex_state = 5},
  [6696] = {.lex_state = 275, .external_lex_state = 5},
  [6697] = {.lex_state = 275, .external_lex_state = 5},
  [6698] = {.lex_state = 275, .external_lex_state = 5},
  [6699] = {.lex_state = 275, .external_lex_state = 5},
  [6700] = {.lex_state = 275, .external_lex_state = 5},
  [6701] = {.lex_state = 275, .external_lex_state = 5},
  [6702] = {.lex_state = 275, .external_lex_state = 5},
  [6703] = {.lex_state = 275, .external_lex_state = 5},
  [6704] = {.lex_state = 275, .external_lex_state = 5},
  [6705] = {.lex_state = 275, .external_lex_state = 5},
  [6706] = {.lex_state = 275, .external_lex_state = 5},
  [6707] = {.lex_state = 275, .external_lex_state = 5},
  [6708] = {.lex_state = 275, .external_lex_state = 5},
  [6709] = {.lex_state = 275, .external_lex_state = 5},
  [6710] = {.lex_state = 275, .external_lex_state = 5},
  [6711] = {.lex_state = 275, .external_lex_state = 5},
  [6712] = {.lex_state = 275, .external_lex_state = 5},
  [6713] = {.lex_state = 275, .external_lex_state = 5},
  [6714] = {.lex_state = 275, .external_lex_state = 5},
  [6715] = {.lex_state = 275, .external_lex_state = 5},
  [6716] = {.lex_state = 275, .external_lex_state = 5},
  [6717] = {.lex_state = 275, .external_lex_state = 5},
  [6718] = {.lex_state = 275, .external_lex_state = 5},
  [6719] = {.lex_state = 275, .external_lex_state = 5},
  [6720] = {.lex_state = 275, .external_lex_state = 5},
  [6721] = {.lex_state = 275, .external_lex_state = 5},
  [6722] = {.lex_state = 275, .external_lex_state = 5},
  [6723] = {.lex_state = 275, .external_lex_state = 5},
  [6724] = {.lex_state = 275, .external_lex_state = 5},
  [6725] = {.lex_state = 275, .external_lex_state = 5},
  [6726] = {.lex_state = 275, .external_lex_state = 5},
  [6727] = {.lex_state = 275, .external_lex_state = 5},
  [6728] = {.lex_state = 275, .external_lex_state = 5},
  [6729] = {.lex_state = 268, .external_lex_state = 4},
  [6730] = {.lex_state = 275, .external_lex_state = 5},
  [6731] = {.lex_state = 275, .external_lex_state = 5},
  [6732] = {.lex_state = 294, .external_lex_state = 4},
  [6733] = {.lex_state = 275, .external_lex_state = 5},
  [6734] = {.lex_state = 294, .external_lex_state = 4},
  [6735] = {.lex_state = 268, .external_lex_state = 4},
  [6736] = {.lex_state = 275, .external_lex_state = 5},
  [6737] = {.lex_state = 275, .external_lex_state = 5},
  [6738] = {.lex_state = 275, .external_lex_state = 5},
  [6739] = {.lex_state = 275, .external_lex_state = 5},
  [6740] = {.lex_state = 275, .external_lex_state = 5},
  [6741] = {.lex_state = 275, .external_lex_state = 5},
  [6742] = {.lex_state = 275, .external_lex_state = 5},
  [6743] = {.lex_state = 275, .external_lex_state = 5},
  [6744] = {.lex_state = 275, .external_lex_state = 5},
  [6745] = {.lex_state = 275, .external_lex_state = 5},
  [6746] = {.lex_state = 275, .external_lex_state = 5},
  [6747] = {.lex_state = 275, .external_lex_state = 5},
  [6748] = {.lex_state = 275, .external_lex_state = 5},
  [6749] = {.lex_state = 275, .external_lex_state = 5},
  [6750] = {.lex_state = 275, .external_lex_state = 5},
  [6751] = {.lex_state = 275, .external_lex_state = 5},
  [6752] = {.lex_state = 275, .external_lex_state = 5},
  [6753] = {.lex_state = 275, .external_lex_state = 5},
  [6754] = {.lex_state = 275, .external_lex_state = 5},
  [6755] = {.lex_state = 275, .external_lex_state = 5},
  [6756] = {.lex_state = 275, .external_lex_state = 5},
  [6757] = {.lex_state = 275, .external_lex_state = 5},
  [6758] = {.lex_state = 275, .external_lex_state = 5},
  [6759] = {.lex_state = 275, .external_lex_state = 5},
  [6760] = {.lex_state = 275, .external_lex_state = 5},
  [6761] = {.lex_state = 275, .external_lex_state = 5},
  [6762] = {.lex_state = 275, .external_lex_state = 5},
  [6763] = {.lex_state = 275, .external_lex_state = 5},
  [6764] = {.lex_state = 275, .external_lex_state = 5},
  [6765] = {.lex_state = 275, .external_lex_state = 5},
  [6766] = {.lex_state = 275, .external_lex_state = 5},
  [6767] = {.lex_state = 275, .external_lex_state = 5},
  [6768] = {.lex_state = 275, .external_lex_state = 5},
  [6769] = {.lex_state = 275, .external_lex_state = 5},
  [6770] = {.lex_state = 275, .external_lex_state = 5},
  [6771] = {.lex_state = 275, .external_lex_state = 5},
  [6772] = {.lex_state = 275, .external_lex_state = 5},
  [6773] = {.lex_state = 275, .external_lex_state = 5},
  [6774] = {.lex_state = 275, .external_lex_state = 5},
  [6775] = {.lex_state = 275, .external_lex_state = 5},
  [6776] = {.lex_state = 275, .external_lex_state = 5},
  [6777] = {.lex_state = 275, .external_lex_state = 5},
  [6778] = {.lex_state = 275, .external_lex_state = 5},
  [6779] = {.lex_state = 275, .external_lex_state = 5},
  [6780] = {.lex_state = 275, .external_lex_state = 5},
  [6781] = {.lex_state = 275, .external_lex_state = 5},
  [6782] = {.lex_state = 262, .external_lex_state = 5},
  [6783] = {.lex_state = 275, .external_lex_state = 5},
  [6784] = {.lex_state = 275, .external_lex_state = 5},
  [6785] = {.lex_state = 275, .external_lex_state = 5},
  [6786] = {.lex_state = 262, .external_lex_state = 5},
  [6787] = {.lex_state = 275, .external_lex_state = 5},
  [6788] = {.lex_state = 275, .external_lex_state = 5},
  [6789] = {.lex_state = 275, .external_lex_state = 5},
  [6790] = {.lex_state = 275, .external_lex_state = 5},
  [6791] = {.lex_state = 275, .external_lex_state = 5},
  [6792] = {.lex_state = 275, .external_lex_state = 5},
  [6793] = {.lex_state = 275, .external_lex_state = 5},
  [6794] = {.lex_state = 275, .external_lex_state = 5},
  [6795] = {.lex_state = 275, .external_lex_state = 5},
  [6796] = {.lex_state = 275, .external_lex_state = 5},
  [6797] = {.lex_state = 315, .external_lex_state = 11},
  [6798] = {.lex_state = 315, .external_lex_state = 11},
  [6799] = {.lex_state = 275, .external_lex_state = 5},
  [6800] = {.lex_state = 262, .external_lex_state = 5},
  [6801] = {.lex_state = 275, .external_lex_state = 5},
  [6802] = {.lex_state = 275, .external_lex_state = 5},
  [6803] = {.lex_state = 275, .external_lex_state = 5},
  [6804] = {.lex_state = 275, .external_lex_state = 5},
  [6805] = {.lex_state = 275, .external_lex_state = 5},
  [6806] = {.lex_state = 275, .external_lex_state = 5},
  [6807] = {.lex_state = 275, .external_lex_state = 5},
  [6808] = {.lex_state = 275, .external_lex_state = 5},
  [6809] = {.lex_state = 275, .external_lex_state = 5},
  [6810] = {.lex_state = 275, .external_lex_state = 5},
  [6811] = {.lex_state = 275, .external_lex_state = 5},
  [6812] = {.lex_state = 275, .external_lex_state = 5},
  [6813] = {.lex_state = 262, .external_lex_state = 5},
  [6814] = {.lex_state = 268, .external_lex_state = 4},
  [6815] = {.lex_state = 330, .external_lex_state = 5},
  [6816] = {.lex_state = 330, .external_lex_state = 5},
  [6817] = {.lex_state = 268, .external_lex_state = 4},
  [6818] = {.lex_state = 268, .external_lex_state = 4},
  [6819] = {.lex_state = 268, .external_lex_state = 4},
  [6820] = {.lex_state = 262, .external_lex_state = 5},
  [6821] = {.lex_state = 268, .external_lex_state = 4},
  [6822] = {.lex_state = 268, .external_lex_state = 4},
  [6823] = {.lex_state = 268, .external_lex_state = 4},
  [6824] = {.lex_state = 268, .external_lex_state = 4},
  [6825] = {.lex_state = 262, .external_lex_state = 5},
  [6826] = {.lex_state = 262, .external_lex_state = 5},
  [6827] = {.lex_state = 268, .external_lex_state = 4},
  [6828] = {.lex_state = 268, .external_lex_state = 4},
  [6829] = {.lex_state = 268, .external_lex_state = 4},
  [6830] = {.lex_state = 330, .external_lex_state = 5},
  [6831] = {.lex_state = 268, .external_lex_state = 4},
  [6832] = {.lex_state = 268, .external_lex_state = 4},
  [6833] = {.lex_state = 268, .external_lex_state = 4},
  [6834] = {.lex_state = 325, .external_lex_state = 10},
  [6835] = {.lex_state = 268, .external_lex_state = 4},
  [6836] = {.lex_state = 262, .external_lex_state = 5},
  [6837] = {.lex_state = 262, .external_lex_state = 5},
  [6838] = {.lex_state = 268, .external_lex_state = 4},
  [6839] = {.lex_state = 268, .external_lex_state = 4},
  [6840] = {.lex_state = 262, .external_lex_state = 5},
  [6841] = {.lex_state = 270, .external_lex_state = 5},
  [6842] = {.lex_state = 262, .external_lex_state = 5},
  [6843] = {.lex_state = 270, .external_lex_state = 5},
  [6844] = {.lex_state = 270, .external_lex_state = 5},
  [6845] = {.lex_state = 270, .external_lex_state = 5},
  [6846] = {.lex_state = 294, .external_lex_state = 4},
  [6847] = {.lex_state = 330, .external_lex_state = 5},
  [6848] = {.lex_state = 270, .external_lex_state = 5},
  [6849] = {.lex_state = 294, .external_lex_state = 4},
  [6850] = {.lex_state = 294, .external_lex_state = 4},
  [6851] = {.lex_state = 270, .external_lex_state = 5},
  [6852] = {.lex_state = 270, .external_lex_state = 5},
  [6853] = {.lex_state = 270, .external_lex_state = 5},
  [6854] = {.lex_state = 294, .external_lex_state = 4},
  [6855] = {.lex_state = 270, .external_lex_state = 5},
  [6856] = {.lex_state = 262, .external_lex_state = 5},
  [6857] = {.lex_state = 270, .external_lex_state = 5},
  [6858] = {.lex_state = 270, .external_lex_state = 5},
  [6859] = {.lex_state = 268, .external_lex_state = 5},
  [6860] = {.lex_state = 270, .external_lex_state = 5},
  [6861] = {.lex_state = 270, .external_lex_state = 5},
  [6862] = {.lex_state = 270, .external_lex_state = 5},
  [6863] = {.lex_state = 262, .external_lex_state = 5},
  [6864] = {.lex_state = 1290, .external_lex_state = 4},
  [6865] = {.lex_state = 294, .external_lex_state = 4},
  [6866] = {.lex_state = 270, .external_lex_state = 5},
  [6867] = {.lex_state = 262, .external_lex_state = 5},
  [6868] = {.lex_state = 294, .external_lex_state = 5},
  [6869] = {.lex_state = 270, .external_lex_state = 5},
  [6870] = {.lex_state = 270, .external_lex_state = 5},
  [6871] = {.lex_state = 262, .external_lex_state = 5},
  [6872] = {.lex_state = 294, .external_lex_state = 4},
  [6873] = {.lex_state = 270, .external_lex_state = 5},
  [6874] = {.lex_state = 270, .external_lex_state = 5},
  [6875] = {.lex_state = 262, .external_lex_state = 5},
  [6876] = {.lex_state = 270, .external_lex_state = 5},
  [6877] = {.lex_state = 270, .external_lex_state = 5},
  [6878] = {.lex_state = 270, .external_lex_state = 5},
  [6879] = {.lex_state = 294, .external_lex_state = 4},
  [6880] = {.lex_state = 270, .external_lex_state = 5},
  [6881] = {.lex_state = 270, .external_lex_state = 5},
  [6882] = {.lex_state = 294, .external_lex_state = 4},
  [6883] = {.lex_state = 1290, .external_lex_state = 4},
  [6884] = {.lex_state = 1290, .external_lex_state = 4},
  [6885] = {.lex_state = 1290, .external_lex_state = 4},
  [6886] = {.lex_state = 1290, .external_lex_state = 4},
  [6887] = {.lex_state = 1290, .external_lex_state = 4},
  [6888] = {.lex_state = 1290, .external_lex_state = 4},
  [6889] = {.lex_state = 1290, .external_lex_state = 4},
  [6890] = {.lex_state = 1290, .external_lex_state = 4},
  [6891] = {.lex_state = 1290, .external_lex_state = 4},
  [6892] = {.lex_state = 1290, .external_lex_state = 4},
  [6893] = {.lex_state = 1290, .external_lex_state = 4},
  [6894] = {.lex_state = 1290, .external_lex_state = 4},
  [6895] = {.lex_state = 1290, .external_lex_state = 4},
  [6896] = {.lex_state = 1290, .external_lex_state = 4},
  [6897] = {.lex_state = 1290, .external_lex_state = 4},
  [6898] = {.lex_state = 1290, .external_lex_state = 4},
  [6899] = {.lex_state = 1290, .external_lex_state = 4},
  [6900] = {.lex_state = 268, .external_lex_state = 5},
  [6901] = {.lex_state = 1290, .external_lex_state = 4},
  [6902] = {.lex_state = 294, .external_lex_state = 5},
  [6903] = {.lex_state = 1290, .external_lex_state = 4},
  [6904] = {.lex_state = 1290, .external_lex_state = 4},
  [6905] = {.lex_state = 1290, .external_lex_state = 4},
  [6906] = {.lex_state = 268, .external_lex_state = 5},
  [6907] = {.lex_state = 1290, .external_lex_state = 4},
  [6908] = {.lex_state = 1290, .external_lex_state = 4},
  [6909] = {.lex_state = 1290, .external_lex_state = 4},
  [6910] = {.lex_state = 325, .external_lex_state = 10},
  [6911] = {.lex_state = 1290, .external_lex_state = 4},
  [6912] = {.lex_state = 1290, .external_lex_state = 4},
  [6913] = {.lex_state = 1290, .external_lex_state = 4},
  [6914] = {.lex_state = 1290, .external_lex_state = 4},
  [6915] = {.lex_state = 268, .external_lex_state = 5},
  [6916] = {.lex_state = 294, .external_lex_state = 4},
  [6917] = {.lex_state = 1290, .external_lex_state = 4},
  [6918] = {.lex_state = 1290, .external_lex_state = 4},
  [6919] = {.lex_state = 1290, .external_lex_state = 4},
  [6920] = {.lex_state = 1290, .external_lex_state = 4},
  [6921] = {.lex_state = 1290, .external_lex_state = 4},
  [6922] = {.lex_state = 325, .external_lex_state = 10},
  [6923] = {.lex_state = 275, .external_lex_state = 4},
  [6924] = {.lex_state = 268, .external_lex_state = 5},
  [6925] = {.lex_state = 1290, .external_lex_state = 4},
  [6926] = {.lex_state = 1290, .external_lex_state = 4},
  [6927] = {.lex_state = 1290, .external_lex_state = 4},
  [6928] = {.lex_state = 268, .external_lex_state = 5},
  [6929] = {.lex_state = 1290, .external_lex_state = 4},
  [6930] = {.lex_state = 294, .external_lex_state = 5},
  [6931] = {.lex_state = 1290, .external_lex_state = 4},
  [6932] = {.lex_state = 1290, .external_lex_state = 4},
  [6933] = {.lex_state = 1290, .external_lex_state = 4},
  [6934] = {.lex_state = 294, .external_lex_state = 5},
  [6935] = {.lex_state = 1290, .external_lex_state = 4},
  [6936] = {.lex_state = 1290, .external_lex_state = 4},
  [6937] = {.lex_state = 1290, .external_lex_state = 4},
  [6938] = {.lex_state = 294, .external_lex_state = 5},
  [6939] = {.lex_state = 294, .external_lex_state = 5},
  [6940] = {.lex_state = 294, .external_lex_state = 5},
  [6941] = {.lex_state = 1290, .external_lex_state = 4},
  [6942] = {.lex_state = 268, .external_lex_state = 5},
  [6943] = {.lex_state = 1290, .external_lex_state = 4},
  [6944] = {.lex_state = 1290, .external_lex_state = 4},
  [6945] = {.lex_state = 1290, .external_lex_state = 4},
  [6946] = {.lex_state = 1290, .external_lex_state = 4},
  [6947] = {.lex_state = 1290, .external_lex_state = 4},
  [6948] = {.lex_state = 268, .external_lex_state = 5},
  [6949] = {.lex_state = 294, .external_lex_state = 5},
  [6950] = {.lex_state = 294, .external_lex_state = 5},
  [6951] = {.lex_state = 1290, .external_lex_state = 5},
  [6952] = {.lex_state = 1290, .external_lex_state = 4},
  [6953] = {.lex_state = 1290, .external_lex_state = 4},
  [6954] = {.lex_state = 1290, .external_lex_state = 4},
  [6955] = {.lex_state = 1290, .external_lex_state = 4},
  [6956] = {.lex_state = 1290, .external_lex_state = 4},
  [6957] = {.lex_state = 268, .external_lex_state = 5},
  [6958] = {.lex_state = 270, .external_lex_state = 5},
  [6959] = {.lex_state = 270, .external_lex_state = 5},
  [6960] = {.lex_state = 1290, .external_lex_state = 4},
  [6961] = {.lex_state = 268, .external_lex_state = 5},
  [6962] = {.lex_state = 1290, .external_lex_state = 4},
  [6963] = {.lex_state = 1290, .external_lex_state = 4},
  [6964] = {.lex_state = 325, .external_lex_state = 10},
  [6965] = {.lex_state = 1290, .external_lex_state = 4},
  [6966] = {.lex_state = 1290, .external_lex_state = 4},
  [6967] = {.lex_state = 1290, .external_lex_state = 4},
  [6968] = {.lex_state = 294, .external_lex_state = 5},
  [6969] = {.lex_state = 1290, .external_lex_state = 4},
  [6970] = {.lex_state = 1290, .external_lex_state = 4},
  [6971] = {.lex_state = 268, .external_lex_state = 5},
  [6972] = {.lex_state = 1290, .external_lex_state = 4},
  [6973] = {.lex_state = 1290, .external_lex_state = 4},
  [6974] = {.lex_state = 1290, .external_lex_state = 4},
  [6975] = {.lex_state = 268, .external_lex_state = 5},
  [6976] = {.lex_state = 1290, .external_lex_state = 4},
  [6977] = {.lex_state = 1290, .external_lex_state = 4},
  [6978] = {.lex_state = 1290, .external_lex_state = 4},
  [6979] = {.lex_state = 1290, .external_lex_state = 4},
  [6980] = {.lex_state = 1290, .external_lex_state = 4},
  [6981] = {.lex_state = 1290, .external_lex_state = 4},
  [6982] = {.lex_state = 1290, .external_lex_state = 4},
  [6983] = {.lex_state = 268, .external_lex_state = 5},
  [6984] = {.lex_state = 1290, .external_lex_state = 4},
  [6985] = {.lex_state = 1290, .external_lex_state = 4},
  [6986] = {.lex_state = 268, .external_lex_state = 5},
  [6987] = {.lex_state = 268, .external_lex_state = 5},
  [6988] = {.lex_state = 1290, .external_lex_state = 4},
  [6989] = {.lex_state = 1290, .external_lex_state = 4},
  [6990] = {.lex_state = 1290, .external_lex_state = 4},
  [6991] = {.lex_state = 1290, .external_lex_state = 4},
  [6992] = {.lex_state = 1290, .external_lex_state = 4},
  [6993] = {.lex_state = 1290, .external_lex_state = 4},
  [6994] = {.lex_state = 1290, .external_lex_state = 4},
  [6995] = {.lex_state = 268, .external_lex_state = 5},
  [6996] = {.lex_state = 270, .external_lex_state = 5},
  [6997] = {.lex_state = 1290, .external_lex_state = 4},
  [6998] = {.lex_state = 268, .external_lex_state = 5},
  [6999] = {.lex_state = 1290, .external_lex_state = 4},
  [7000] = {.lex_state = 1290, .external_lex_state = 4},
  [7001] = {.lex_state = 1290, .external_lex_state = 4},
  [7002] = {.lex_state = 1290, .external_lex_state = 4},
  [7003] = {.lex_state = 268, .external_lex_state = 5},
  [7004] = {.lex_state = 1290, .external_lex_state = 4},
  [7005] = {.lex_state = 270, .external_lex_state = 5},
  [7006] = {.lex_state = 268, .external_lex_state = 5},
  [7007] = {.lex_state = 1290, .external_lex_state = 4},
  [7008] = {.lex_state = 1290, .external_lex_state = 4},
  [7009] = {.lex_state = 1290, .external_lex_state = 4},
  [7010] = {.lex_state = 268, .external_lex_state = 5},
  [7011] = {.lex_state = 1290, .external_lex_state = 4},
  [7012] = {.lex_state = 1290, .external_lex_state = 4},
  [7013] = {.lex_state = 1290, .external_lex_state = 4},
  [7014] = {.lex_state = 268, .external_lex_state = 5},
  [7015] = {.lex_state = 1290, .external_lex_state = 4},
  [7016] = {.lex_state = 1290, .external_lex_state = 4},
  [7017] = {.lex_state = 1290, .external_lex_state = 4},
  [7018] = {.lex_state = 268, .external_lex_state = 5},
  [7019] = {.lex_state = 294, .external_lex_state = 5},
  [7020] = {.lex_state = 1290, .external_lex_state = 4},
  [7021] = {.lex_state = 1290, .external_lex_state = 4},
  [7022] = {.lex_state = 268, .external_lex_state = 5},
  [7023] = {.lex_state = 1290, .external_lex_state = 4},
  [7024] = {.lex_state = 1290, .external_lex_state = 4},
  [7025] = {.lex_state = 1290, .external_lex_state = 4},
  [7026] = {.lex_state = 270, .external_lex_state = 5},
  [7027] = {.lex_state = 270, .external_lex_state = 5},
  [7028] = {.lex_state = 1290, .external_lex_state = 4},
  [7029] = {.lex_state = 268, .external_lex_state = 5},
  [7030] = {.lex_state = 1290, .external_lex_state = 4},
  [7031] = {.lex_state = 268, .external_lex_state = 5},
  [7032] = {.lex_state = 268, .external_lex_state = 5},
  [7033] = {.lex_state = 1290, .external_lex_state = 4},
  [7034] = {.lex_state = 1290, .external_lex_state = 4},
  [7035] = {.lex_state = 1290, .external_lex_state = 4},
  [7036] = {.lex_state = 1290, .external_lex_state = 4},
  [7037] = {.lex_state = 1290, .external_lex_state = 4},
  [7038] = {.lex_state = 1290, .external_lex_state = 4},
  [7039] = {.lex_state = 1290, .external_lex_state = 4},
  [7040] = {.lex_state = 1290, .external_lex_state = 4},
  [7041] = {.lex_state = 1290, .external_lex_state = 4},
  [7042] = {.lex_state = 1290, .external_lex_state = 4},
  [7043] = {.lex_state = 1290, .external_lex_state = 4},
  [7044] = {.lex_state = 1290, .external_lex_state = 4},
  [7045] = {.lex_state = 325, .external_lex_state = 10},
  [7046] = {.lex_state = 1290, .external_lex_state = 4},
  [7047] = {.lex_state = 1290, .external_lex_state = 4},
  [7048] = {.lex_state = 1290, .external_lex_state = 4},
  [7049] = {.lex_state = 1290, .external_lex_state = 4},
  [7050] = {.lex_state = 325, .external_lex_state = 10},
  [7051] = {.lex_state = 1290, .external_lex_state = 4},
  [7052] = {.lex_state = 1290, .external_lex_state = 4},
  [7053] = {.lex_state = 294, .external_lex_state = 5},
  [7054] = {.lex_state = 1290, .external_lex_state = 4},
  [7055] = {.lex_state = 294, .external_lex_state = 4},
  [7056] = {.lex_state = 270, .external_lex_state = 5},
  [7057] = {.lex_state = 294, .external_lex_state = 5},
  [7058] = {.lex_state = 1290, .external_lex_state = 4},
  [7059] = {.lex_state = 1290, .external_lex_state = 4},
  [7060] = {.lex_state = 1290, .external_lex_state = 4},
  [7061] = {.lex_state = 270, .external_lex_state = 5},
  [7062] = {.lex_state = 1290, .external_lex_state = 4},
  [7063] = {.lex_state = 1290, .external_lex_state = 4},
  [7064] = {.lex_state = 1290, .external_lex_state = 12},
  [7065] = {.lex_state = 1290, .external_lex_state = 4},
  [7066] = {.lex_state = 1290, .external_lex_state = 4},
  [7067] = {.lex_state = 294, .external_lex_state = 4},
  [7068] = {.lex_state = 1290, .external_lex_state = 4},
  [7069] = {.lex_state = 1290, .external_lex_state = 4},
  [7070] = {.lex_state = 1290, .external_lex_state = 4},
  [7071] = {.lex_state = 1290, .external_lex_state = 4},
  [7072] = {.lex_state = 1290, .external_lex_state = 4},
  [7073] = {.lex_state = 1290, .external_lex_state = 4},
  [7074] = {.lex_state = 1290, .external_lex_state = 4},
  [7075] = {.lex_state = 1290, .external_lex_state = 4},
  [7076] = {.lex_state = 1290, .external_lex_state = 4},
  [7077] = {.lex_state = 1290, .external_lex_state = 4},
  [7078] = {.lex_state = 1290, .external_lex_state = 4},
  [7079] = {.lex_state = 1290, .external_lex_state = 4},
  [7080] = {.lex_state = 1290, .external_lex_state = 4},
  [7081] = {.lex_state = 1290, .external_lex_state = 4},
  [7082] = {.lex_state = 294, .external_lex_state = 5},
  [7083] = {.lex_state = 1290, .external_lex_state = 4},
  [7084] = {.lex_state = 275, .external_lex_state = 4},
  [7085] = {.lex_state = 1290, .external_lex_state = 4},
  [7086] = {.lex_state = 1290, .external_lex_state = 4},
  [7087] = {.lex_state = 1290, .external_lex_state = 4},
  [7088] = {.lex_state = 1290, .external_lex_state = 4},
  [7089] = {.lex_state = 1290, .external_lex_state = 5},
  [7090] = {.lex_state = 1290, .external_lex_state = 4},
  [7091] = {.lex_state = 1290, .external_lex_state = 4},
  [7092] = {.lex_state = 268, .external_lex_state = 4},
  [7093] = {.lex_state = 1290, .external_lex_state = 4},
  [7094] = {.lex_state = 294, .external_lex_state = 4},
  [7095] = {.lex_state = 1290, .external_lex_state = 4},
  [7096] = {.lex_state = 1290, .external_lex_state = 4},
  [7097] = {.lex_state = 1290, .external_lex_state = 4},
  [7098] = {.lex_state = 1290, .external_lex_state = 4},
  [7099] = {.lex_state = 1290, .external_lex_state = 4},
  [7100] = {.lex_state = 1290, .external_lex_state = 4},
  [7101] = {.lex_state = 1290, .external_lex_state = 4},
  [7102] = {.lex_state = 102, .external_lex_state = 5},
  [7103] = {.lex_state = 1290, .external_lex_state = 4},
  [7104] = {.lex_state = 268, .external_lex_state = 5},
  [7105] = {.lex_state = 102, .external_lex_state = 5},
  [7106] = {.lex_state = 102, .external_lex_state = 5},
  [7107] = {.lex_state = 102, .external_lex_state = 5},
  [7108] = {.lex_state = 102, .external_lex_state = 5},
  [7109] = {.lex_state = 294, .external_lex_state = 5},
  [7110] = {.lex_state = 102, .external_lex_state = 5},
  [7111] = {.lex_state = 102, .external_lex_state = 5},
  [7112] = {.lex_state = 102, .external_lex_state = 5},
  [7113] = {.lex_state = 1290, .external_lex_state = 5},
  [7114] = {.lex_state = 294, .external_lex_state = 5},
  [7115] = {.lex_state = 1290, .external_lex_state = 4},
  [7116] = {.lex_state = 1290, .external_lex_state = 4},
  [7117] = {.lex_state = 1290, .external_lex_state = 4},
  [7118] = {.lex_state = 1290, .external_lex_state = 5},
  [7119] = {.lex_state = 1290, .external_lex_state = 8},
  [7120] = {.lex_state = 1290, .external_lex_state = 4},
  [7121] = {.lex_state = 270, .external_lex_state = 5},
  [7122] = {.lex_state = 268, .external_lex_state = 5},
  [7123] = {.lex_state = 102, .external_lex_state = 5},
  [7124] = {.lex_state = 268, .external_lex_state = 5},
  [7125] = {.lex_state = 102, .external_lex_state = 5},
  [7126] = {.lex_state = 1290, .external_lex_state = 4},
  [7127] = {.lex_state = 1290, .external_lex_state = 4},
  [7128] = {.lex_state = 294, .external_lex_state = 5},
  [7129] = {.lex_state = 102, .external_lex_state = 5},
  [7130] = {.lex_state = 102, .external_lex_state = 5},
  [7131] = {.lex_state = 1290, .external_lex_state = 4},
  [7132] = {.lex_state = 1290, .external_lex_state = 4},
  [7133] = {.lex_state = 1290, .external_lex_state = 4},
  [7134] = {.lex_state = 1290, .external_lex_state = 4},
  [7135] = {.lex_state = 294, .external_lex_state = 5},
  [7136] = {.lex_state = 1290, .external_lex_state = 4},
  [7137] = {.lex_state = 102, .external_lex_state = 5},
  [7138] = {.lex_state = 102, .external_lex_state = 5},
  [7139] = {.lex_state = 102, .external_lex_state = 5},
  [7140] = {.lex_state = 1290, .external_lex_state = 4},
  [7141] = {.lex_state = 1290, .external_lex_state = 4},
  [7142] = {.lex_state = 102, .external_lex_state = 5},
  [7143] = {.lex_state = 102, .external_lex_state = 5},
  [7144] = {.lex_state = 1290, .external_lex_state = 4},
  [7145] = {.lex_state = 1290, .external_lex_state = 4},
  [7146] = {.lex_state = 268, .external_lex_state = 4},
  [7147] = {.lex_state = 1290, .external_lex_state = 4},
  [7148] = {.lex_state = 1290, .external_lex_state = 4},
  [7149] = {.lex_state = 102, .external_lex_state = 5},
  [7150] = {.lex_state = 102, .external_lex_state = 5},
  [7151] = {.lex_state = 102, .external_lex_state = 5},
  [7152] = {.lex_state = 1290, .external_lex_state = 4},
  [7153] = {.lex_state = 102, .external_lex_state = 5},
  [7154] = {.lex_state = 278, .external_lex_state = 5},
  [7155] = {.lex_state = 1290, .external_lex_state = 4},
  [7156] = {.lex_state = 1290, .external_lex_state = 4},
  [7157] = {.lex_state = 102, .external_lex_state = 5},
  [7158] = {.lex_state = 102, .external_lex_state = 5},
  [7159] = {.lex_state = 1290, .external_lex_state = 4},
  [7160] = {.lex_state = 1290, .external_lex_state = 4},
  [7161] = {.lex_state = 102, .external_lex_state = 5},
  [7162] = {.lex_state = 1290, .external_lex_state = 4},
  [7163] = {.lex_state = 1290, .external_lex_state = 4},
  [7164] = {.lex_state = 268, .external_lex_state = 4},
  [7165] = {.lex_state = 1290, .external_lex_state = 4},
  [7166] = {.lex_state = 102, .external_lex_state = 5},
  [7167] = {.lex_state = 294, .external_lex_state = 4},
  [7168] = {.lex_state = 268, .external_lex_state = 5},
  [7169] = {.lex_state = 102, .external_lex_state = 5},
  [7170] = {.lex_state = 268, .external_lex_state = 5},
  [7171] = {.lex_state = 278, .external_lex_state = 5},
  [7172] = {.lex_state = 102, .external_lex_state = 5},
  [7173] = {.lex_state = 268, .external_lex_state = 5},
  [7174] = {.lex_state = 1290, .external_lex_state = 4},
  [7175] = {.lex_state = 1290, .external_lex_state = 4},
  [7176] = {.lex_state = 1290, .external_lex_state = 4},
  [7177] = {.lex_state = 268, .external_lex_state = 5},
  [7178] = {.lex_state = 278, .external_lex_state = 5},
  [7179] = {.lex_state = 1290, .external_lex_state = 4},
  [7180] = {.lex_state = 102, .external_lex_state = 5},
  [7181] = {.lex_state = 1290, .external_lex_state = 4},
  [7182] = {.lex_state = 102, .external_lex_state = 5},
  [7183] = {.lex_state = 1290, .external_lex_state = 4},
  [7184] = {.lex_state = 102, .external_lex_state = 5},
  [7185] = {.lex_state = 1290, .external_lex_state = 4},
  [7186] = {.lex_state = 1290, .external_lex_state = 4},
  [7187] = {.lex_state = 275, .external_lex_state = 5},
  [7188] = {.lex_state = 102, .external_lex_state = 5},
  [7189] = {.lex_state = 102, .external_lex_state = 5},
  [7190] = {.lex_state = 102, .external_lex_state = 5},
  [7191] = {.lex_state = 102, .external_lex_state = 5},
  [7192] = {.lex_state = 268, .external_lex_state = 5},
  [7193] = {.lex_state = 1290, .external_lex_state = 4},
  [7194] = {.lex_state = 102, .external_lex_state = 5},
  [7195] = {.lex_state = 1290, .external_lex_state = 4},
  [7196] = {.lex_state = 1290, .external_lex_state = 4},
  [7197] = {.lex_state = 320, .external_lex_state = 5},
  [7198] = {.lex_state = 102, .external_lex_state = 5},
  [7199] = {.lex_state = 294, .external_lex_state = 5},
  [7200] = {.lex_state = 1290, .external_lex_state = 4},
  [7201] = {.lex_state = 1290, .external_lex_state = 4},
  [7202] = {.lex_state = 102, .external_lex_state = 5},
  [7203] = {.lex_state = 1290, .external_lex_state = 4},
  [7204] = {.lex_state = 1290, .external_lex_state = 4},
  [7205] = {.lex_state = 1290, .external_lex_state = 4},
  [7206] = {.lex_state = 102, .external_lex_state = 5},
  [7207] = {.lex_state = 1290, .external_lex_state = 4},
  [7208] = {.lex_state = 1290, .external_lex_state = 4},
  [7209] = {.lex_state = 1290, .external_lex_state = 4},
  [7210] = {.lex_state = 268, .external_lex_state = 5},
  [7211] = {.lex_state = 102, .external_lex_state = 5},
  [7212] = {.lex_state = 1290, .external_lex_state = 4},
  [7213] = {.lex_state = 102, .external_lex_state = 5},
  [7214] = {.lex_state = 1290, .external_lex_state = 4},
  [7215] = {.lex_state = 278, .external_lex_state = 5},
  [7216] = {.lex_state = 1290, .external_lex_state = 4},
  [7217] = {.lex_state = 102, .external_lex_state = 5},
  [7218] = {.lex_state = 268, .external_lex_state = 5},
  [7219] = {.lex_state = 1290, .external_lex_state = 4},
  [7220] = {.lex_state = 268, .external_lex_state = 4},
  [7221] = {.lex_state = 268, .external_lex_state = 4},
  [7222] = {.lex_state = 268, .external_lex_state = 4},
  [7223] = {.lex_state = 1290, .external_lex_state = 4},
  [7224] = {.lex_state = 1290, .external_lex_state = 4},
  [7225] = {.lex_state = 102, .external_lex_state = 5},
  [7226] = {.lex_state = 1290, .external_lex_state = 5},
  [7227] = {.lex_state = 1290, .external_lex_state = 4},
  [7228] = {.lex_state = 268, .external_lex_state = 4},
  [7229] = {.lex_state = 102, .external_lex_state = 5},
  [7230] = {.lex_state = 1290, .external_lex_state = 4},
  [7231] = {.lex_state = 102, .external_lex_state = 5},
  [7232] = {.lex_state = 102, .external_lex_state = 5},
  [7233] = {.lex_state = 102, .external_lex_state = 5},
  [7234] = {.lex_state = 297, .external_lex_state = 5},
  [7235] = {.lex_state = 1290, .external_lex_state = 4},
  [7236] = {.lex_state = 279, .external_lex_state = 5},
  [7237] = {.lex_state = 224, .external_lex_state = 5},
  [7238] = {.lex_state = 265, .external_lex_state = 5},
  [7239] = {.lex_state = 1290, .external_lex_state = 4},
  [7240] = {.lex_state = 1290, .external_lex_state = 4},
  [7241] = {.lex_state = 1290, .external_lex_state = 4},
  [7242] = {.lex_state = 1290, .external_lex_state = 4},
  [7243] = {.lex_state = 1290, .external_lex_state = 5},
  [7244] = {.lex_state = 1290, .external_lex_state = 5},
  [7245] = {.lex_state = 1290, .external_lex_state = 5},
  [7246] = {.lex_state = 1290, .external_lex_state = 4},
  [7247] = {.lex_state = 1290, .external_lex_state = 5},
  [7248] = {.lex_state = 275, .external_lex_state = 5},
  [7249] = {.lex_state = 1290, .external_lex_state = 4},
  [7250] = {.lex_state = 279, .external_lex_state = 5},
  [7251] = {.lex_state = 1290, .external_lex_state = 4},
  [7252] = {.lex_state = 1290, .external_lex_state = 4},
  [7253] = {.lex_state = 1290, .external_lex_state = 5},
  [7254] = {.lex_state = 1290, .external_lex_state = 5},
  [7255] = {.lex_state = 270, .external_lex_state = 5},
  [7256] = {.lex_state = 1290, .external_lex_state = 4},
  [7257] = {.lex_state = 1290, .external_lex_state = 5},
  [7258] = {.lex_state = 1290, .external_lex_state = 5},
  [7259] = {.lex_state = 266, .external_lex_state = 5},
  [7260] = {.lex_state = 1290, .external_lex_state = 5},
  [7261] = {.lex_state = 1290, .external_lex_state = 4},
  [7262] = {.lex_state = 1290, .external_lex_state = 4},
  [7263] = {.lex_state = 1290, .external_lex_state = 4},
  [7264] = {.lex_state = 1290, .external_lex_state = 5},
  [7265] = {.lex_state = 1290, .external_lex_state = 4},
  [7266] = {.lex_state = 325, .external_lex_state = 5},
  [7267] = {.lex_state = 1290, .external_lex_state = 5},
  [7268] = {.lex_state = 1290, .external_lex_state = 4},
  [7269] = {.lex_state = 1290, .external_lex_state = 4},
  [7270] = {.lex_state = 1290, .external_lex_state = 10},
  [7271] = {.lex_state = 1290, .external_lex_state = 4},
  [7272] = {.lex_state = 266, .external_lex_state = 5},
  [7273] = {.lex_state = 1290, .external_lex_state = 5},
  [7274] = {.lex_state = 1290, .external_lex_state = 5},
  [7275] = {.lex_state = 1290, .external_lex_state = 4},
  [7276] = {.lex_state = 325, .external_lex_state = 5},
  [7277] = {.lex_state = 1290, .external_lex_state = 5},
  [7278] = {.lex_state = 1290, .external_lex_state = 5},
  [7279] = {.lex_state = 1290, .external_lex_state = 4},
  [7280] = {.lex_state = 1290, .external_lex_state = 4},
  [7281] = {.lex_state = 266, .external_lex_state = 5},
  [7282] = {.lex_state = 1290, .external_lex_state = 4},
  [7283] = {.lex_state = 1290, .external_lex_state = 4},
  [7284] = {.lex_state = 1290, .external_lex_state = 5},
  [7285] = {.lex_state = 1290, .external_lex_state = 4},
  [7286] = {.lex_state = 279, .external_lex_state = 5},
  [7287] = {.lex_state = 1290, .external_lex_state = 4},
  [7288] = {.lex_state = 1290, .external_lex_state = 4},
  [7289] = {.lex_state = 1290, .external_lex_state = 4},
  [7290] = {.lex_state = 1290, .external_lex_state = 4},
  [7291] = {.lex_state = 1290, .external_lex_state = 4},
  [7292] = {.lex_state = 1290, .external_lex_state = 4},
  [7293] = {.lex_state = 264, .external_lex_state = 5},
  [7294] = {.lex_state = 265, .external_lex_state = 5},
  [7295] = {.lex_state = 230, .external_lex_state = 5},
  [7296] = {.lex_state = 1290, .external_lex_state = 4},
  [7297] = {.lex_state = 1290, .external_lex_state = 4},
  [7298] = {.lex_state = 1290, .external_lex_state = 4},
  [7299] = {.lex_state = 264, .external_lex_state = 5},
  [7300] = {.lex_state = 1290, .external_lex_state = 5},
  [7301] = {.lex_state = 1290, .external_lex_state = 4},
  [7302] = {.lex_state = 1290, .external_lex_state = 5},
  [7303] = {.lex_state = 265, .external_lex_state = 5},
  [7304] = {.lex_state = 230, .external_lex_state = 5},
  [7305] = {.lex_state = 1290, .external_lex_state = 4},
  [7306] = {.lex_state = 264, .external_lex_state = 5},
  [7307] = {.lex_state = 1290, .external_lex_state = 4},
  [7308] = {.lex_state = 265, .external_lex_state = 5},
  [7309] = {.lex_state = 1290, .external_lex_state = 4},
  [7310] = {.lex_state = 1290, .external_lex_state = 4},
  [7311] = {.lex_state = 1290, .external_lex_state = 4},
  [7312] = {.lex_state = 1290, .external_lex_state = 5},
  [7313] = {.lex_state = 1290, .external_lex_state = 5},
  [7314] = {.lex_state = 1290, .external_lex_state = 4},
  [7315] = {.lex_state = 1290, .external_lex_state = 4},
  [7316] = {.lex_state = 1290, .external_lex_state = 4},
  [7317] = {.lex_state = 1290, .external_lex_state = 4},
  [7318] = {.lex_state = 1290, .external_lex_state = 4},
  [7319] = {.lex_state = 111, .external_lex_state = 5},
  [7320] = {.lex_state = 1290, .external_lex_state = 4},
  [7321] = {.lex_state = 111, .external_lex_state = 5},
  [7322] = {.lex_state = 279, .external_lex_state = 5},
  [7323] = {.lex_state = 275, .external_lex_state = 5},
  [7324] = {.lex_state = 1290, .external_lex_state = 4},
  [7325] = {.lex_state = 1290, .external_lex_state = 4},
  [7326] = {.lex_state = 1290, .external_lex_state = 4},
  [7327] = {.lex_state = 1290, .external_lex_state = 4},
  [7328] = {.lex_state = 1290, .external_lex_state = 5},
  [7329] = {.lex_state = 1290, .external_lex_state = 5},
  [7330] = {.lex_state = 1290, .external_lex_state = 5},
  [7331] = {.lex_state = 1290, .external_lex_state = 4},
  [7332] = {.lex_state = 1290, .external_lex_state = 5},
  [7333] = {.lex_state = 1290, .external_lex_state = 4},
  [7334] = {.lex_state = 1290, .external_lex_state = 4},
  [7335] = {.lex_state = 279, .external_lex_state = 5},
  [7336] = {.lex_state = 1290, .external_lex_state = 4},
  [7337] = {.lex_state = 1290, .external_lex_state = 4},
  [7338] = {.lex_state = 231, .external_lex_state = 5},
  [7339] = {.lex_state = 1290, .external_lex_state = 5},
  [7340] = {.lex_state = 1290, .external_lex_state = 5},
  [7341] = {.lex_state = 1290, .external_lex_state = 5},
  [7342] = {.lex_state = 1290, .external_lex_state = 4},
  [7343] = {.lex_state = 1290, .external_lex_state = 4},
  [7344] = {.lex_state = 266, .external_lex_state = 5},
  [7345] = {.lex_state = 1290, .external_lex_state = 4},
  [7346] = {.lex_state = 1290, .external_lex_state = 4},
  [7347] = {.lex_state = 230, .external_lex_state = 5},
  [7348] = {.lex_state = 1290, .external_lex_state = 9},
  [7349] = {.lex_state = 1290, .external_lex_state = 4},
  [7350] = {.lex_state = 1290, .external_lex_state = 5},
  [7351] = {.lex_state = 1290, .external_lex_state = 4},
  [7352] = {.lex_state = 230, .external_lex_state = 5},
  [7353] = {.lex_state = 1290, .external_lex_state = 4},
  [7354] = {.lex_state = 1290, .external_lex_state = 4},
  [7355] = {.lex_state = 266, .external_lex_state = 5},
  [7356] = {.lex_state = 279, .external_lex_state = 5},
  [7357] = {.lex_state = 230, .external_lex_state = 5},
  [7358] = {.lex_state = 275, .external_lex_state = 5},
  [7359] = {.lex_state = 1290, .external_lex_state = 5},
  [7360] = {.lex_state = 1290, .external_lex_state = 4},
  [7361] = {.lex_state = 1290, .external_lex_state = 4},
  [7362] = {.lex_state = 1290, .external_lex_state = 4},
  [7363] = {.lex_state = 1290, .external_lex_state = 4},
  [7364] = {.lex_state = 1290, .external_lex_state = 5},
  [7365] = {.lex_state = 1290, .external_lex_state = 5},
  [7366] = {.lex_state = 1290, .external_lex_state = 4},
  [7367] = {.lex_state = 1290, .external_lex_state = 4},
  [7368] = {.lex_state = 266, .external_lex_state = 5},
  [7369] = {.lex_state = 1290, .external_lex_state = 5},
  [7370] = {.lex_state = 1290, .external_lex_state = 5},
  [7371] = {.lex_state = 266, .external_lex_state = 5},
  [7372] = {.lex_state = 1290, .external_lex_state = 4},
  [7373] = {.lex_state = 1290, .external_lex_state = 4},
  [7374] = {.lex_state = 1290, .external_lex_state = 4},
  [7375] = {.lex_state = 1290, .external_lex_state = 4},
  [7376] = {.lex_state = 1290, .external_lex_state = 5},
  [7377] = {.lex_state = 1290, .external_lex_state = 5},
  [7378] = {.lex_state = 1290, .external_lex_state = 5},
  [7379] = {.lex_state = 1290, .external_lex_state = 5},
  [7380] = {.lex_state = 264, .external_lex_state = 5},
  [7381] = {.lex_state = 265, .external_lex_state = 5},
  [7382] = {.lex_state = 262, .external_lex_state = 5},
  [7383] = {.lex_state = 1290, .external_lex_state = 4},
  [7384] = {.lex_state = 264, .external_lex_state = 5},
  [7385] = {.lex_state = 1290, .external_lex_state = 4},
  [7386] = {.lex_state = 265, .external_lex_state = 5},
  [7387] = {.lex_state = 1290, .external_lex_state = 4},
  [7388] = {.lex_state = 264, .external_lex_state = 5},
  [7389] = {.lex_state = 1290, .external_lex_state = 4},
  [7390] = {.lex_state = 265, .external_lex_state = 5},
  [7391] = {.lex_state = 262, .external_lex_state = 5},
  [7392] = {.lex_state = 262, .external_lex_state = 5},
  [7393] = {.lex_state = 1290, .external_lex_state = 4},
  [7394] = {.lex_state = 1290, .external_lex_state = 4},
  [7395] = {.lex_state = 1290, .external_lex_state = 4},
  [7396] = {.lex_state = 1290, .external_lex_state = 4},
  [7397] = {.lex_state = 1290, .external_lex_state = 4},
  [7398] = {.lex_state = 111, .external_lex_state = 5},
  [7399] = {.lex_state = 1290, .external_lex_state = 4},
  [7400] = {.lex_state = 1290, .external_lex_state = 5},
  [7401] = {.lex_state = 1290, .external_lex_state = 5},
  [7402] = {.lex_state = 279, .external_lex_state = 5},
  [7403] = {.lex_state = 1290, .external_lex_state = 4},
  [7404] = {.lex_state = 1290, .external_lex_state = 4},
  [7405] = {.lex_state = 1290, .external_lex_state = 4},
  [7406] = {.lex_state = 1290, .external_lex_state = 4},
  [7407] = {.lex_state = 230, .external_lex_state = 5},
  [7408] = {.lex_state = 1290, .external_lex_state = 5},
  [7409] = {.lex_state = 1290, .external_lex_state = 5},
  [7410] = {.lex_state = 1290, .external_lex_state = 4},
  [7411] = {.lex_state = 1290, .external_lex_state = 4},
  [7412] = {.lex_state = 1290, .external_lex_state = 4},
  [7413] = {.lex_state = 1290, .external_lex_state = 4},
  [7414] = {.lex_state = 279, .external_lex_state = 5},
  [7415] = {.lex_state = 1290, .external_lex_state = 4},
  [7416] = {.lex_state = 1290, .external_lex_state = 4},
  [7417] = {.lex_state = 1290, .external_lex_state = 4},
  [7418] = {.lex_state = 1290, .external_lex_state = 5},
  [7419] = {.lex_state = 1290, .external_lex_state = 5},
  [7420] = {.lex_state = 1290, .external_lex_state = 5},
  [7421] = {.lex_state = 1290, .external_lex_state = 5},
  [7422] = {.lex_state = 1290, .external_lex_state = 4},
  [7423] = {.lex_state = 266, .external_lex_state = 5},
  [7424] = {.lex_state = 1290, .external_lex_state = 4},
  [7425] = {.lex_state = 1290, .external_lex_state = 5},
  [7426] = {.lex_state = 1290, .external_lex_state = 5},
  [7427] = {.lex_state = 1290, .external_lex_state = 4},
  [7428] = {.lex_state = 1290, .external_lex_state = 5},
  [7429] = {.lex_state = 1290, .external_lex_state = 5},
  [7430] = {.lex_state = 1290, .external_lex_state = 5},
  [7431] = {.lex_state = 1290, .external_lex_state = 5},
  [7432] = {.lex_state = 1290, .external_lex_state = 4},
  [7433] = {.lex_state = 1290, .external_lex_state = 5},
  [7434] = {.lex_state = 266, .external_lex_state = 5},
  [7435] = {.lex_state = 1290, .external_lex_state = 5},
  [7436] = {.lex_state = 1290, .external_lex_state = 4},
  [7437] = {.lex_state = 268, .external_lex_state = 4},
  [7438] = {.lex_state = 1290, .external_lex_state = 4},
  [7439] = {.lex_state = 1290, .external_lex_state = 5},
  [7440] = {.lex_state = 1290, .external_lex_state = 5},
  [7441] = {.lex_state = 1290, .external_lex_state = 4},
  [7442] = {.lex_state = 1290, .external_lex_state = 4},
  [7443] = {.lex_state = 266, .external_lex_state = 5},
  [7444] = {.lex_state = 1290, .external_lex_state = 5},
  [7445] = {.lex_state = 1290, .external_lex_state = 4},
  [7446] = {.lex_state = 294, .external_lex_state = 4},
  [7447] = {.lex_state = 1290, .external_lex_state = 4},
  [7448] = {.lex_state = 1290, .external_lex_state = 5},
  [7449] = {.lex_state = 279, .external_lex_state = 5},
  [7450] = {.lex_state = 1290, .external_lex_state = 4},
  [7451] = {.lex_state = 1290, .external_lex_state = 4},
  [7452] = {.lex_state = 1290, .external_lex_state = 4},
  [7453] = {.lex_state = 294, .external_lex_state = 5},
  [7454] = {.lex_state = 264, .external_lex_state = 5},
  [7455] = {.lex_state = 267, .external_lex_state = 5},
  [7456] = {.lex_state = 264, .external_lex_state = 5},
  [7457] = {.lex_state = 1290, .external_lex_state = 4},
  [7458] = {.lex_state = 1290, .external_lex_state = 4},
  [7459] = {.lex_state = 1290, .external_lex_state = 4},
  [7460] = {.lex_state = 265, .external_lex_state = 5},
  [7461] = {.lex_state = 1290, .external_lex_state = 4},
  [7462] = {.lex_state = 264, .external_lex_state = 5},
  [7463] = {.lex_state = 1290, .external_lex_state = 4},
  [7464] = {.lex_state = 1290, .external_lex_state = 4},
  [7465] = {.lex_state = 1290, .external_lex_state = 5},
  [7466] = {.lex_state = 265, .external_lex_state = 5},
  [7467] = {.lex_state = 1290, .external_lex_state = 5},
  [7468] = {.lex_state = 1290, .external_lex_state = 4},
  [7469] = {.lex_state = 264, .external_lex_state = 5},
  [7470] = {.lex_state = 1290, .external_lex_state = 4},
  [7471] = {.lex_state = 265, .external_lex_state = 5},
  [7472] = {.lex_state = 1290, .external_lex_state = 4},
  [7473] = {.lex_state = 325, .external_lex_state = 5},
  [7474] = {.lex_state = 1290, .external_lex_state = 5},
  [7475] = {.lex_state = 1290, .external_lex_state = 4},
  [7476] = {.lex_state = 1290, .external_lex_state = 4},
  [7477] = {.lex_state = 1290, .external_lex_state = 4},
  [7478] = {.lex_state = 1290, .external_lex_state = 4},
  [7479] = {.lex_state = 111, .external_lex_state = 5},
  [7480] = {.lex_state = 264, .external_lex_state = 5},
  [7481] = {.lex_state = 279, .external_lex_state = 5},
  [7482] = {.lex_state = 1290, .external_lex_state = 4},
  [7483] = {.lex_state = 1290, .external_lex_state = 4},
  [7484] = {.lex_state = 1290, .external_lex_state = 4},
  [7485] = {.lex_state = 1290, .external_lex_state = 4},
  [7486] = {.lex_state = 1290, .external_lex_state = 4},
  [7487] = {.lex_state = 1290, .external_lex_state = 5},
  [7488] = {.lex_state = 1290, .external_lex_state = 4},
  [7489] = {.lex_state = 1290, .external_lex_state = 4},
  [7490] = {.lex_state = 279, .external_lex_state = 5},
  [7491] = {.lex_state = 1290, .external_lex_state = 4},
  [7492] = {.lex_state = 1290, .external_lex_state = 4},
  [7493] = {.lex_state = 1290, .external_lex_state = 4},
  [7494] = {.lex_state = 1290, .external_lex_state = 4},
  [7495] = {.lex_state = 1290, .external_lex_state = 5},
  [7496] = {.lex_state = 260, .external_lex_state = 5},
  [7497] = {.lex_state = 266, .external_lex_state = 5},
  [7498] = {.lex_state = 1290, .external_lex_state = 4},
  [7499] = {.lex_state = 1290, .external_lex_state = 4},
  [7500] = {.lex_state = 1290, .external_lex_state = 4},
  [7501] = {.lex_state = 1290, .external_lex_state = 4},
  [7502] = {.lex_state = 1290, .external_lex_state = 5},
  [7503] = {.lex_state = 266, .external_lex_state = 5},
  [7504] = {.lex_state = 1290, .external_lex_state = 5},
  [7505] = {.lex_state = 1290, .external_lex_state = 5},
  [7506] = {.lex_state = 265, .external_lex_state = 5},
  [7507] = {.lex_state = 1290, .external_lex_state = 4},
  [7508] = {.lex_state = 1290, .external_lex_state = 4},
  [7509] = {.lex_state = 1290, .external_lex_state = 4},
  [7510] = {.lex_state = 266, .external_lex_state = 5},
  [7511] = {.lex_state = 1290, .external_lex_state = 4},
  [7512] = {.lex_state = 260, .external_lex_state = 5},
  [7513] = {.lex_state = 1290, .external_lex_state = 4},
  [7514] = {.lex_state = 1290, .external_lex_state = 4},
  [7515] = {.lex_state = 1290, .external_lex_state = 4},
  [7516] = {.lex_state = 1290, .external_lex_state = 4},
  [7517] = {.lex_state = 1290, .external_lex_state = 4},
  [7518] = {.lex_state = 1290, .external_lex_state = 4},
  [7519] = {.lex_state = 264, .external_lex_state = 5},
  [7520] = {.lex_state = 1290, .external_lex_state = 4},
  [7521] = {.lex_state = 265, .external_lex_state = 5},
  [7522] = {.lex_state = 1290, .external_lex_state = 4},
  [7523] = {.lex_state = 264, .external_lex_state = 5},
  [7524] = {.lex_state = 1290, .external_lex_state = 4},
  [7525] = {.lex_state = 1290, .external_lex_state = 4},
  [7526] = {.lex_state = 265, .external_lex_state = 5},
  [7527] = {.lex_state = 266, .external_lex_state = 5},
  [7528] = {.lex_state = 1290, .external_lex_state = 4},
  [7529] = {.lex_state = 264, .external_lex_state = 5},
  [7530] = {.lex_state = 1290, .external_lex_state = 4},
  [7531] = {.lex_state = 265, .external_lex_state = 5},
  [7532] = {.lex_state = 294, .external_lex_state = 5},
  [7533] = {.lex_state = 1290, .external_lex_state = 4},
  [7534] = {.lex_state = 1290, .external_lex_state = 4},
  [7535] = {.lex_state = 1290, .external_lex_state = 4},
  [7536] = {.lex_state = 1290, .external_lex_state = 4},
  [7537] = {.lex_state = 1290, .external_lex_state = 4},
  [7538] = {.lex_state = 1290, .external_lex_state = 4},
  [7539] = {.lex_state = 111, .external_lex_state = 5},
  [7540] = {.lex_state = 1290, .external_lex_state = 5},
  [7541] = {.lex_state = 230, .external_lex_state = 5},
  [7542] = {.lex_state = 279, .external_lex_state = 5},
  [7543] = {.lex_state = 1290, .external_lex_state = 4},
  [7544] = {.lex_state = 1290, .external_lex_state = 4},
  [7545] = {.lex_state = 1290, .external_lex_state = 4},
  [7546] = {.lex_state = 1290, .external_lex_state = 4},
  [7547] = {.lex_state = 1290, .external_lex_state = 4},
  [7548] = {.lex_state = 1290, .external_lex_state = 4},
  [7549] = {.lex_state = 1290, .external_lex_state = 5},
  [7550] = {.lex_state = 1290, .external_lex_state = 4},
  [7551] = {.lex_state = 279, .external_lex_state = 5},
  [7552] = {.lex_state = 1290, .external_lex_state = 4},
  [7553] = {.lex_state = 1290, .external_lex_state = 4},
  [7554] = {.lex_state = 1290, .external_lex_state = 5},
  [7555] = {.lex_state = 1290, .external_lex_state = 4},
  [7556] = {.lex_state = 1290, .external_lex_state = 5},
  [7557] = {.lex_state = 1290, .external_lex_state = 5},
  [7558] = {.lex_state = 266, .external_lex_state = 5},
  [7559] = {.lex_state = 1290, .external_lex_state = 4},
  [7560] = {.lex_state = 325, .external_lex_state = 5},
  [7561] = {.lex_state = 1290, .external_lex_state = 4},
  [7562] = {.lex_state = 1290, .external_lex_state = 5},
  [7563] = {.lex_state = 1290, .external_lex_state = 4},
  [7564] = {.lex_state = 266, .external_lex_state = 5},
  [7565] = {.lex_state = 1290, .external_lex_state = 5},
  [7566] = {.lex_state = 1290, .external_lex_state = 4},
  [7567] = {.lex_state = 1290, .external_lex_state = 5},
  [7568] = {.lex_state = 1290, .external_lex_state = 4},
  [7569] = {.lex_state = 1290, .external_lex_state = 4},
  [7570] = {.lex_state = 266, .external_lex_state = 5},
  [7571] = {.lex_state = 1290, .external_lex_state = 5},
  [7572] = {.lex_state = 1290, .external_lex_state = 5},
  [7573] = {.lex_state = 1290, .external_lex_state = 4},
  [7574] = {.lex_state = 1290, .external_lex_state = 4},
  [7575] = {.lex_state = 1290, .external_lex_state = 4},
  [7576] = {.lex_state = 264, .external_lex_state = 5},
  [7577] = {.lex_state = 264, .external_lex_state = 5},
  [7578] = {.lex_state = 265, .external_lex_state = 5},
  [7579] = {.lex_state = 1290, .external_lex_state = 4},
  [7580] = {.lex_state = 264, .external_lex_state = 5},
  [7581] = {.lex_state = 1290, .external_lex_state = 4},
  [7582] = {.lex_state = 1290, .external_lex_state = 4},
  [7583] = {.lex_state = 1290, .external_lex_state = 4},
  [7584] = {.lex_state = 265, .external_lex_state = 5},
  [7585] = {.lex_state = 1290, .external_lex_state = 4},
  [7586] = {.lex_state = 1290, .external_lex_state = 4},
  [7587] = {.lex_state = 264, .external_lex_state = 5},
  [7588] = {.lex_state = 1290, .external_lex_state = 4},
  [7589] = {.lex_state = 265, .external_lex_state = 5},
  [7590] = {.lex_state = 1290, .external_lex_state = 4},
  [7591] = {.lex_state = 1290, .external_lex_state = 4},
  [7592] = {.lex_state = 1290, .external_lex_state = 4},
  [7593] = {.lex_state = 111, .external_lex_state = 5},
  [7594] = {.lex_state = 1290, .external_lex_state = 5},
  [7595] = {.lex_state = 279, .external_lex_state = 5},
  [7596] = {.lex_state = 1290, .external_lex_state = 4},
  [7597] = {.lex_state = 1290, .external_lex_state = 4},
  [7598] = {.lex_state = 1290, .external_lex_state = 4},
  [7599] = {.lex_state = 1290, .external_lex_state = 4},
  [7600] = {.lex_state = 1290, .external_lex_state = 4},
  [7601] = {.lex_state = 266, .external_lex_state = 5},
  [7602] = {.lex_state = 1290, .external_lex_state = 5},
  [7603] = {.lex_state = 1290, .external_lex_state = 4},
  [7604] = {.lex_state = 265, .external_lex_state = 5},
  [7605] = {.lex_state = 1290, .external_lex_state = 4},
  [7606] = {.lex_state = 279, .external_lex_state = 5},
  [7607] = {.lex_state = 1290, .external_lex_state = 4},
  [7608] = {.lex_state = 1290, .external_lex_state = 4},
  [7609] = {.lex_state = 1290, .external_lex_state = 4},
  [7610] = {.lex_state = 1290, .external_lex_state = 5},
  [7611] = {.lex_state = 1290, .external_lex_state = 5},
  [7612] = {.lex_state = 1290, .external_lex_state = 4},
  [7613] = {.lex_state = 1290, .external_lex_state = 5},
  [7614] = {.lex_state = 268, .external_lex_state = 4},
  [7615] = {.lex_state = 1290, .external_lex_state = 5},
  [7616] = {.lex_state = 1290, .external_lex_state = 5},
  [7617] = {.lex_state = 230, .external_lex_state = 5},
  [7618] = {.lex_state = 1290, .external_lex_state = 5},
  [7619] = {.lex_state = 1290, .external_lex_state = 5},
  [7620] = {.lex_state = 1290, .external_lex_state = 5},
  [7621] = {.lex_state = 1290, .external_lex_state = 4},
  [7622] = {.lex_state = 1290, .external_lex_state = 5},
  [7623] = {.lex_state = 1290, .external_lex_state = 5},
  [7624] = {.lex_state = 1290, .external_lex_state = 4},
  [7625] = {.lex_state = 1290, .external_lex_state = 4},
  [7626] = {.lex_state = 1290, .external_lex_state = 4},
  [7627] = {.lex_state = 1290, .external_lex_state = 4},
  [7628] = {.lex_state = 1290, .external_lex_state = 4},
  [7629] = {.lex_state = 264, .external_lex_state = 5},
  [7630] = {.lex_state = 1290, .external_lex_state = 4},
  [7631] = {.lex_state = 1290, .external_lex_state = 4},
  [7632] = {.lex_state = 265, .external_lex_state = 5},
  [7633] = {.lex_state = 1290, .external_lex_state = 4},
  [7634] = {.lex_state = 264, .external_lex_state = 5},
  [7635] = {.lex_state = 1290, .external_lex_state = 4},
  [7636] = {.lex_state = 265, .external_lex_state = 5},
  [7637] = {.lex_state = 1290, .external_lex_state = 4},
  [7638] = {.lex_state = 264, .external_lex_state = 5},
  [7639] = {.lex_state = 1290, .external_lex_state = 4},
  [7640] = {.lex_state = 265, .external_lex_state = 5},
  [7641] = {.lex_state = 1290, .external_lex_state = 4},
  [7642] = {.lex_state = 1290, .external_lex_state = 4},
  [7643] = {.lex_state = 1290, .external_lex_state = 4},
  [7644] = {.lex_state = 111, .external_lex_state = 5},
  [7645] = {.lex_state = 1290, .external_lex_state = 5},
  [7646] = {.lex_state = 1290, .external_lex_state = 4},
  [7647] = {.lex_state = 279, .external_lex_state = 5},
  [7648] = {.lex_state = 1290, .external_lex_state = 4},
  [7649] = {.lex_state = 1290, .external_lex_state = 4},
  [7650] = {.lex_state = 1290, .external_lex_state = 4},
  [7651] = {.lex_state = 267, .external_lex_state = 5},
  [7652] = {.lex_state = 1290, .external_lex_state = 4},
  [7653] = {.lex_state = 1290, .external_lex_state = 4},
  [7654] = {.lex_state = 279, .external_lex_state = 5},
  [7655] = {.lex_state = 1290, .external_lex_state = 4},
  [7656] = {.lex_state = 1290, .external_lex_state = 4},
  [7657] = {.lex_state = 1290, .external_lex_state = 4},
  [7658] = {.lex_state = 1290, .external_lex_state = 4},
  [7659] = {.lex_state = 1290, .external_lex_state = 4},
  [7660] = {.lex_state = 266, .external_lex_state = 5},
  [7661] = {.lex_state = 1290, .external_lex_state = 4},
  [7662] = {.lex_state = 294, .external_lex_state = 5},
  [7663] = {.lex_state = 1290, .external_lex_state = 5},
  [7664] = {.lex_state = 1290, .external_lex_state = 5},
  [7665] = {.lex_state = 268, .external_lex_state = 5},
  [7666] = {.lex_state = 1290, .external_lex_state = 4},
  [7667] = {.lex_state = 1290, .external_lex_state = 4},
  [7668] = {.lex_state = 1290, .external_lex_state = 4},
  [7669] = {.lex_state = 1290, .external_lex_state = 4},
  [7670] = {.lex_state = 1290, .external_lex_state = 4},
  [7671] = {.lex_state = 264, .external_lex_state = 5},
  [7672] = {.lex_state = 265, .external_lex_state = 5},
  [7673] = {.lex_state = 297, .external_lex_state = 5},
  [7674] = {.lex_state = 1290, .external_lex_state = 4},
  [7675] = {.lex_state = 264, .external_lex_state = 5},
  [7676] = {.lex_state = 264, .external_lex_state = 5},
  [7677] = {.lex_state = 1290, .external_lex_state = 4},
  [7678] = {.lex_state = 1290, .external_lex_state = 4},
  [7679] = {.lex_state = 265, .external_lex_state = 5},
  [7680] = {.lex_state = 1290, .external_lex_state = 4},
  [7681] = {.lex_state = 264, .external_lex_state = 5},
  [7682] = {.lex_state = 1290, .external_lex_state = 4},
  [7683] = {.lex_state = 265, .external_lex_state = 5},
  [7684] = {.lex_state = 1290, .external_lex_state = 4},
  [7685] = {.lex_state = 1290, .external_lex_state = 4},
  [7686] = {.lex_state = 1290, .external_lex_state = 4},
  [7687] = {.lex_state = 111, .external_lex_state = 5},
  [7688] = {.lex_state = 1290, .external_lex_state = 4},
  [7689] = {.lex_state = 1290, .external_lex_state = 4},
  [7690] = {.lex_state = 1290, .external_lex_state = 4},
  [7691] = {.lex_state = 279, .external_lex_state = 5},
  [7692] = {.lex_state = 1290, .external_lex_state = 4},
  [7693] = {.lex_state = 1290, .external_lex_state = 4},
  [7694] = {.lex_state = 1290, .external_lex_state = 4},
  [7695] = {.lex_state = 265, .external_lex_state = 5},
  [7696] = {.lex_state = 230, .external_lex_state = 5},
  [7697] = {.lex_state = 1290, .external_lex_state = 4},
  [7698] = {.lex_state = 279, .external_lex_state = 5},
  [7699] = {.lex_state = 1290, .external_lex_state = 4},
  [7700] = {.lex_state = 1290, .external_lex_state = 4},
  [7701] = {.lex_state = 1290, .external_lex_state = 4},
  [7702] = {.lex_state = 1290, .external_lex_state = 4},
  [7703] = {.lex_state = 264, .external_lex_state = 5},
  [7704] = {.lex_state = 1290, .external_lex_state = 4},
  [7705] = {.lex_state = 1290, .external_lex_state = 4},
  [7706] = {.lex_state = 1290, .external_lex_state = 5},
  [7707] = {.lex_state = 265, .external_lex_state = 5},
  [7708] = {.lex_state = 1290, .external_lex_state = 5},
  [7709] = {.lex_state = 1290, .external_lex_state = 4},
  [7710] = {.lex_state = 1290, .external_lex_state = 4},
  [7711] = {.lex_state = 294, .external_lex_state = 5},
  [7712] = {.lex_state = 267, .external_lex_state = 5},
  [7713] = {.lex_state = 260, .external_lex_state = 5},
  [7714] = {.lex_state = 1290, .external_lex_state = 4},
  [7715] = {.lex_state = 1290, .external_lex_state = 10},
  [7716] = {.lex_state = 1290, .external_lex_state = 4},
  [7717] = {.lex_state = 1290, .external_lex_state = 4},
  [7718] = {.lex_state = 1290, .external_lex_state = 5},
  [7719] = {.lex_state = 264, .external_lex_state = 5},
  [7720] = {.lex_state = 1290, .external_lex_state = 4},
  [7721] = {.lex_state = 265, .external_lex_state = 5},
  [7722] = {.lex_state = 1290, .external_lex_state = 5},
  [7723] = {.lex_state = 1290, .external_lex_state = 5},
  [7724] = {.lex_state = 1290, .external_lex_state = 4},
  [7725] = {.lex_state = 264, .external_lex_state = 5},
  [7726] = {.lex_state = 1290, .external_lex_state = 4},
  [7727] = {.lex_state = 1290, .external_lex_state = 4},
  [7728] = {.lex_state = 265, .external_lex_state = 5},
  [7729] = {.lex_state = 1290, .external_lex_state = 4},
  [7730] = {.lex_state = 264, .external_lex_state = 5},
  [7731] = {.lex_state = 1290, .external_lex_state = 4},
  [7732] = {.lex_state = 265, .external_lex_state = 5},
  [7733] = {.lex_state = 1290, .external_lex_state = 4},
  [7734] = {.lex_state = 1290, .external_lex_state = 4},
  [7735] = {.lex_state = 230, .external_lex_state = 5},
  [7736] = {.lex_state = 1290, .external_lex_state = 5},
  [7737] = {.lex_state = 1290, .external_lex_state = 4},
  [7738] = {.lex_state = 1290, .external_lex_state = 4},
  [7739] = {.lex_state = 1290, .external_lex_state = 4},
  [7740] = {.lex_state = 111, .external_lex_state = 5},
  [7741] = {.lex_state = 1290, .external_lex_state = 4},
  [7742] = {.lex_state = 267, .external_lex_state = 5},
  [7743] = {.lex_state = 1290, .external_lex_state = 4},
  [7744] = {.lex_state = 279, .external_lex_state = 5},
  [7745] = {.lex_state = 1290, .external_lex_state = 4},
  [7746] = {.lex_state = 1290, .external_lex_state = 4},
  [7747] = {.lex_state = 1290, .external_lex_state = 4},
  [7748] = {.lex_state = 260, .external_lex_state = 5},
  [7749] = {.lex_state = 1290, .external_lex_state = 4},
  [7750] = {.lex_state = 1290, .external_lex_state = 5},
  [7751] = {.lex_state = 1290, .external_lex_state = 4},
  [7752] = {.lex_state = 1290, .external_lex_state = 4},
  [7753] = {.lex_state = 279, .external_lex_state = 5},
  [7754] = {.lex_state = 1290, .external_lex_state = 4},
  [7755] = {.lex_state = 1290, .external_lex_state = 4},
  [7756] = {.lex_state = 1290, .external_lex_state = 4},
  [7757] = {.lex_state = 1290, .external_lex_state = 4},
  [7758] = {.lex_state = 230, .external_lex_state = 5},
  [7759] = {.lex_state = 1290, .external_lex_state = 4},
  [7760] = {.lex_state = 1290, .external_lex_state = 4},
  [7761] = {.lex_state = 1290, .external_lex_state = 4},
  [7762] = {.lex_state = 1290, .external_lex_state = 5},
  [7763] = {.lex_state = 1290, .external_lex_state = 4},
  [7764] = {.lex_state = 1290, .external_lex_state = 10},
  [7765] = {.lex_state = 1290, .external_lex_state = 5},
  [7766] = {.lex_state = 1290, .external_lex_state = 4},
  [7767] = {.lex_state = 1290, .external_lex_state = 4},
  [7768] = {.lex_state = 1290, .external_lex_state = 4},
  [7769] = {.lex_state = 1290, .external_lex_state = 9},
  [7770] = {.lex_state = 1290, .external_lex_state = 4},
  [7771] = {.lex_state = 1290, .external_lex_state = 4},
  [7772] = {.lex_state = 1290, .external_lex_state = 4},
  [7773] = {.lex_state = 1290, .external_lex_state = 4},
  [7774] = {.lex_state = 1290, .external_lex_state = 4},
  [7775] = {.lex_state = 1290, .external_lex_state = 4},
  [7776] = {.lex_state = 1290, .external_lex_state = 4},
  [7777] = {.lex_state = 1290, .external_lex_state = 4},
  [7778] = {.lex_state = 111, .external_lex_state = 5},
  [7779] = {.lex_state = 1290, .external_lex_state = 4},
  [7780] = {.lex_state = 264, .external_lex_state = 5},
  [7781] = {.lex_state = 1290, .external_lex_state = 4},
  [7782] = {.lex_state = 1290, .external_lex_state = 5},
  [7783] = {.lex_state = 265, .external_lex_state = 5},
  [7784] = {.lex_state = 1290, .external_lex_state = 4},
  [7785] = {.lex_state = 1290, .external_lex_state = 4},
  [7786] = {.lex_state = 264, .external_lex_state = 5},
  [7787] = {.lex_state = 1290, .external_lex_state = 4},
  [7788] = {.lex_state = 265, .external_lex_state = 5},
  [7789] = {.lex_state = 1290, .external_lex_state = 4},
  [7790] = {.lex_state = 1290, .external_lex_state = 4},
  [7791] = {.lex_state = 111, .external_lex_state = 5},
  [7792] = {.lex_state = 1290, .external_lex_state = 4},
  [7793] = {.lex_state = 264, .external_lex_state = 5},
  [7794] = {.lex_state = 1290, .external_lex_state = 4},
  [7795] = {.lex_state = 1290, .external_lex_state = 4},
  [7796] = {.lex_state = 265, .external_lex_state = 5},
  [7797] = {.lex_state = 1290, .external_lex_state = 4},
  [7798] = {.lex_state = 1290, .external_lex_state = 4},
  [7799] = {.lex_state = 1290, .external_lex_state = 5},
  [7800] = {.lex_state = 111, .external_lex_state = 5},
  [7801] = {.lex_state = 1290, .external_lex_state = 5},
  [7802] = {.lex_state = 275, .external_lex_state = 5},
  [7803] = {.lex_state = 1290, .external_lex_state = 4},
  [7804] = {.lex_state = 1290, .external_lex_state = 4},
  [7805] = {.lex_state = 111, .external_lex_state = 5},
  [7806] = {.lex_state = 1290, .external_lex_state = 4},
  [7807] = {.lex_state = 1290, .external_lex_state = 4},
  [7808] = {.lex_state = 264, .external_lex_state = 5},
  [7809] = {.lex_state = 275, .external_lex_state = 5},
  [7810] = {.lex_state = 230, .external_lex_state = 5},
  [7811] = {.lex_state = 1290, .external_lex_state = 4},
  [7812] = {.lex_state = 1290, .external_lex_state = 4},
  [7813] = {.lex_state = 1290, .external_lex_state = 5},
  [7814] = {.lex_state = 1290, .external_lex_state = 4},
  [7815] = {.lex_state = 1290, .external_lex_state = 4},
  [7816] = {.lex_state = 1290, .external_lex_state = 4},
  [7817] = {.lex_state = 1290, .external_lex_state = 4},
  [7818] = {.lex_state = 1290, .external_lex_state = 4},
  [7819] = {.lex_state = 111, .external_lex_state = 5},
  [7820] = {.lex_state = 1290, .external_lex_state = 4},
  [7821] = {.lex_state = 111, .external_lex_state = 5},
  [7822] = {.lex_state = 1290, .external_lex_state = 5},
  [7823] = {.lex_state = 1290, .external_lex_state = 4},
  [7824] = {.lex_state = 1290, .external_lex_state = 4},
  [7825] = {.lex_state = 111, .external_lex_state = 5},
  [7826] = {.lex_state = 1290, .external_lex_state = 5},
  [7827] = {.lex_state = 1290, .external_lex_state = 4},
  [7828] = {.lex_state = 325, .external_lex_state = 5},
  [7829] = {.lex_state = 1290, .external_lex_state = 4},
  [7830] = {.lex_state = 231, .external_lex_state = 5},
  [7831] = {.lex_state = 1290, .external_lex_state = 5},
  [7832] = {.lex_state = 230, .external_lex_state = 5},
  [7833] = {.lex_state = 1290, .external_lex_state = 4},
  [7834] = {.lex_state = 1290, .external_lex_state = 4},
  [7835] = {.lex_state = 1290, .external_lex_state = 4},
  [7836] = {.lex_state = 111, .external_lex_state = 5},
  [7837] = {.lex_state = 1290, .external_lex_state = 4},
  [7838] = {.lex_state = 1290, .external_lex_state = 4},
  [7839] = {.lex_state = 1290, .external_lex_state = 4},
  [7840] = {.lex_state = 279, .external_lex_state = 5},
  [7841] = {.lex_state = 1290, .external_lex_state = 10},
  [7842] = {.lex_state = 1290, .external_lex_state = 4},
  [7843] = {.lex_state = 1290, .external_lex_state = 4},
  [7844] = {.lex_state = 1290, .external_lex_state = 4},
  [7845] = {.lex_state = 1290, .external_lex_state = 4},
  [7846] = {.lex_state = 265, .external_lex_state = 5},
  [7847] = {.lex_state = 1290, .external_lex_state = 4},
  [7848] = {.lex_state = 1290, .external_lex_state = 4},
  [7849] = {.lex_state = 111, .external_lex_state = 5},
  [7850] = {.lex_state = 1290, .external_lex_state = 4},
  [7851] = {.lex_state = 1290, .external_lex_state = 4},
  [7852] = {.lex_state = 1290, .external_lex_state = 5},
  [7853] = {.lex_state = 1290, .external_lex_state = 4},
  [7854] = {.lex_state = 111, .external_lex_state = 5},
  [7855] = {.lex_state = 1290, .external_lex_state = 4},
  [7856] = {.lex_state = 111, .external_lex_state = 5},
  [7857] = {.lex_state = 1290, .external_lex_state = 4},
  [7858] = {.lex_state = 111, .external_lex_state = 5},
  [7859] = {.lex_state = 1290, .external_lex_state = 4},
  [7860] = {.lex_state = 111, .external_lex_state = 5},
  [7861] = {.lex_state = 1290, .external_lex_state = 4},
  [7862] = {.lex_state = 111, .external_lex_state = 5},
  [7863] = {.lex_state = 1290, .external_lex_state = 4},
  [7864] = {.lex_state = 111, .external_lex_state = 5},
  [7865] = {.lex_state = 1290, .external_lex_state = 4},
  [7866] = {.lex_state = 111, .external_lex_state = 5},
  [7867] = {.lex_state = 1290, .external_lex_state = 4},
  [7868] = {.lex_state = 1290, .external_lex_state = 4},
  [7869] = {.lex_state = 111, .external_lex_state = 5},
  [7870] = {.lex_state = 1290, .external_lex_state = 5},
  [7871] = {.lex_state = 1290, .external_lex_state = 4},
  [7872] = {.lex_state = 111, .external_lex_state = 5},
  [7873] = {.lex_state = 1290, .external_lex_state = 4},
  [7874] = {.lex_state = 111, .external_lex_state = 5},
  [7875] = {.lex_state = 1290, .external_lex_state = 4},
  [7876] = {.lex_state = 1290, .external_lex_state = 4},
  [7877] = {.lex_state = 111, .external_lex_state = 5},
  [7878] = {.lex_state = 268, .external_lex_state = 5},
  [7879] = {.lex_state = 1290, .external_lex_state = 4},
  [7880] = {.lex_state = 111, .external_lex_state = 5},
  [7881] = {.lex_state = 224, .external_lex_state = 5},
  [7882] = {.lex_state = 1290, .external_lex_state = 4},
  [7883] = {.lex_state = 111, .external_lex_state = 5},
  [7884] = {.lex_state = 1290, .external_lex_state = 4},
  [7885] = {.lex_state = 111, .external_lex_state = 5},
  [7886] = {.lex_state = 1290, .external_lex_state = 4},
  [7887] = {.lex_state = 111, .external_lex_state = 5},
  [7888] = {.lex_state = 1290, .external_lex_state = 4},
  [7889] = {.lex_state = 111, .external_lex_state = 5},
  [7890] = {.lex_state = 1290, .external_lex_state = 5},
  [7891] = {.lex_state = 1290, .external_lex_state = 4},
  [7892] = {.lex_state = 111, .external_lex_state = 5},
  [7893] = {.lex_state = 1290, .external_lex_state = 4},
  [7894] = {.lex_state = 111, .external_lex_state = 5},
  [7895] = {.lex_state = 1290, .external_lex_state = 4},
  [7896] = {.lex_state = 1290, .external_lex_state = 4},
  [7897] = {.lex_state = 111, .external_lex_state = 5},
  [7898] = {.lex_state = 1290, .external_lex_state = 4},
  [7899] = {.lex_state = 1290, .external_lex_state = 4},
  [7900] = {.lex_state = 111, .external_lex_state = 5},
  [7901] = {.lex_state = 1290, .external_lex_state = 4},
  [7902] = {.lex_state = 111, .external_lex_state = 5},
  [7903] = {.lex_state = 1290, .external_lex_state = 4},
  [7904] = {.lex_state = 111, .external_lex_state = 5},
  [7905] = {.lex_state = 1290, .external_lex_state = 4},
  [7906] = {.lex_state = 111, .external_lex_state = 5},
  [7907] = {.lex_state = 1290, .external_lex_state = 4},
  [7908] = {.lex_state = 111, .external_lex_state = 5},
  [7909] = {.lex_state = 1290, .external_lex_state = 4},
  [7910] = {.lex_state = 111, .external_lex_state = 5},
  [7911] = {.lex_state = 1290, .external_lex_state = 4},
  [7912] = {.lex_state = 111, .external_lex_state = 5},
  [7913] = {.lex_state = 111, .external_lex_state = 5},
  [7914] = {.lex_state = 1290, .external_lex_state = 5},
  [7915] = {.lex_state = 275, .external_lex_state = 5},
  [7916] = {.lex_state = 1290, .external_lex_state = 5},
  [7917] = {.lex_state = 1290, .external_lex_state = 5},
  [7918] = {.lex_state = 1290, .external_lex_state = 5},
  [7919] = {.lex_state = 1290, .external_lex_state = 5},
  [7920] = {.lex_state = 1290, .external_lex_state = 5},
  [7921] = {.lex_state = 1290, .external_lex_state = 5},
  [7922] = {.lex_state = 1290, .external_lex_state = 5},
  [7923] = {.lex_state = 1290, .external_lex_state = 5},
  [7924] = {.lex_state = 297, .external_lex_state = 5},
  [7925] = {.lex_state = 1290, .external_lex_state = 5},
  [7926] = {.lex_state = 1290, .external_lex_state = 4},
  [7927] = {.lex_state = 1290, .external_lex_state = 4},
  [7928] = {.lex_state = 268, .external_lex_state = 5},
  [7929] = {.lex_state = 1290, .external_lex_state = 4},
  [7930] = {.lex_state = 265, .external_lex_state = 5},
  [7931] = {.lex_state = 268, .external_lex_state = 4},
  [7932] = {.lex_state = 266, .external_lex_state = 5},
  [7933] = {.lex_state = 1290, .external_lex_state = 4},
  [7934] = {.lex_state = 224, .external_lex_state = 5},
  [7935] = {.lex_state = 1290, .external_lex_state = 4},
  [7936] = {.lex_state = 279, .external_lex_state = 5},
  [7937] = {.lex_state = 1290, .external_lex_state = 4},
  [7938] = {.lex_state = 1290, .external_lex_state = 4},
  [7939] = {.lex_state = 1290, .external_lex_state = 5},
  [7940] = {.lex_state = 102, .external_lex_state = 5},
  [7941] = {.lex_state = 102, .external_lex_state = 5},
  [7942] = {.lex_state = 102, .external_lex_state = 5},
  [7943] = {.lex_state = 1290, .external_lex_state = 5},
  [7944] = {.lex_state = 102, .external_lex_state = 5},
  [7945] = {.lex_state = 102, .external_lex_state = 5},
  [7946] = {.lex_state = 230, .external_lex_state = 5},
  [7947] = {.lex_state = 1290, .external_lex_state = 4},
  [7948] = {.lex_state = 275, .external_lex_state = 5},
  [7949] = {.lex_state = 1290, .external_lex_state = 4},
  [7950] = {.lex_state = 1290, .external_lex_state = 4},
  [7951] = {.lex_state = 1290, .external_lex_state = 4},
  [7952] = {.lex_state = 1290, .external_lex_state = 5},
  [7953] = {.lex_state = 1290, .external_lex_state = 5},
  [7954] = {.lex_state = 1290, .external_lex_state = 5},
  [7955] = {.lex_state = 1290, .external_lex_state = 9},
  [7956] = {.lex_state = 1290, .external_lex_state = 4},
  [7957] = {.lex_state = 1290, .external_lex_state = 4},
  [7958] = {.lex_state = 1290, .external_lex_state = 5},
  [7959] = {.lex_state = 1290, .external_lex_state = 4},
  [7960] = {.lex_state = 224, .external_lex_state = 5},
  [7961] = {.lex_state = 267, .external_lex_state = 5},
  [7962] = {.lex_state = 268, .external_lex_state = 5},
  [7963] = {.lex_state = 1290, .external_lex_state = 5},
  [7964] = {.lex_state = 1290, .external_lex_state = 4},
  [7965] = {.lex_state = 1290, .external_lex_state = 4},
  [7966] = {.lex_state = 1290, .external_lex_state = 4},
  [7967] = {.lex_state = 1290, .external_lex_state = 5},
  [7968] = {.lex_state = 1290, .external_lex_state = 5},
  [7969] = {.lex_state = 1290, .external_lex_state = 4},
  [7970] = {.lex_state = 260, .external_lex_state = 5},
  [7971] = {.lex_state = 1290, .external_lex_state = 4},
  [7972] = {.lex_state = 1290, .external_lex_state = 4},
  [7973] = {.lex_state = 1290, .external_lex_state = 9},
  [7974] = {.lex_state = 1290, .external_lex_state = 5},
  [7975] = {.lex_state = 1290, .external_lex_state = 4},
  [7976] = {.lex_state = 268, .external_lex_state = 5},
  [7977] = {.lex_state = 1290, .external_lex_state = 5},
  [7978] = {.lex_state = 1290, .external_lex_state = 4},
  [7979] = {.lex_state = 268, .external_lex_state = 5},
  [7980] = {.lex_state = 266, .external_lex_state = 5},
  [7981] = {.lex_state = 1290, .external_lex_state = 4},
  [7982] = {.lex_state = 264, .external_lex_state = 5},
  [7983] = {.lex_state = 1290, .external_lex_state = 5},
  [7984] = {.lex_state = 1290, .external_lex_state = 5},
  [7985] = {.lex_state = 1290, .external_lex_state = 5},
  [7986] = {.lex_state = 1290, .external_lex_state = 9},
  [7987] = {.lex_state = 265, .external_lex_state = 5},
  [7988] = {.lex_state = 279, .external_lex_state = 5},
  [7989] = {.lex_state = 1290, .external_lex_state = 5},
  [7990] = {.lex_state = 1290, .external_lex_state = 5},
  [7991] = {.lex_state = 1290, .external_lex_state = 4},
  [7992] = {.lex_state = 1290, .external_lex_state = 5},
  [7993] = {.lex_state = 1290, .external_lex_state = 4},
  [7994] = {.lex_state = 268, .external_lex_state = 5},
  [7995] = {.lex_state = 1290, .external_lex_state = 4},
  [7996] = {.lex_state = 266, .external_lex_state = 5},
  [7997] = {.lex_state = 1290, .external_lex_state = 4},
  [7998] = {.lex_state = 1290, .external_lex_state = 9},
  [7999] = {.lex_state = 294, .external_lex_state = 5},
  [8000] = {.lex_state = 1290, .external_lex_state = 5},
  [8001] = {.lex_state = 1290, .external_lex_state = 5},
  [8002] = {.lex_state = 1290, .external_lex_state = 4},
  [8003] = {.lex_state = 268, .external_lex_state = 5},
  [8004] = {.lex_state = 1290, .external_lex_state = 4},
  [8005] = {.lex_state = 1290, .external_lex_state = 5},
  [8006] = {.lex_state = 1290, .external_lex_state = 4},
  [8007] = {.lex_state = 1290, .external_lex_state = 5},
  [8008] = {.lex_state = 1290, .external_lex_state = 4},
  [8009] = {.lex_state = 1290, .external_lex_state = 9},
  [8010] = {.lex_state = 230, .external_lex_state = 5},
  [8011] = {.lex_state = 294, .external_lex_state = 4},
  [8012] = {.lex_state = 268, .external_lex_state = 5},
  [8013] = {.lex_state = 102, .external_lex_state = 5},
  [8014] = {.lex_state = 1290, .external_lex_state = 4},
  [8015] = {.lex_state = 1290, .external_lex_state = 9},
  [8016] = {.lex_state = 1290, .external_lex_state = 5},
  [8017] = {.lex_state = 294, .external_lex_state = 4},
  [8018] = {.lex_state = 1290, .external_lex_state = 5},
  [8019] = {.lex_state = 1290, .external_lex_state = 4},
  [8020] = {.lex_state = 266, .external_lex_state = 5},
  [8021] = {.lex_state = 268, .external_lex_state = 5},
  [8022] = {.lex_state = 1290, .external_lex_state = 5},
  [8023] = {.lex_state = 1290, .external_lex_state = 10},
  [8024] = {.lex_state = 294, .external_lex_state = 4},
  [8025] = {.lex_state = 1290, .external_lex_state = 9},
  [8026] = {.lex_state = 1290, .external_lex_state = 5},
  [8027] = {.lex_state = 1290, .external_lex_state = 5},
  [8028] = {.lex_state = 1290, .external_lex_state = 4},
  [8029] = {.lex_state = 268, .external_lex_state = 5},
  [8030] = {.lex_state = 1290, .external_lex_state = 9},
  [8031] = {.lex_state = 1290, .external_lex_state = 4},
  [8032] = {.lex_state = 1290, .external_lex_state = 5},
  [8033] = {.lex_state = 1290, .external_lex_state = 5},
  [8034] = {.lex_state = 1290, .external_lex_state = 5},
  [8035] = {.lex_state = 1290, .external_lex_state = 4},
  [8036] = {.lex_state = 268, .external_lex_state = 5},
  [8037] = {.lex_state = 1290, .external_lex_state = 4},
  [8038] = {.lex_state = 1290, .external_lex_state = 5},
  [8039] = {.lex_state = 1290, .external_lex_state = 9},
  [8040] = {.lex_state = 1290, .external_lex_state = 5},
  [8041] = {.lex_state = 1290, .external_lex_state = 5},
  [8042] = {.lex_state = 1290, .external_lex_state = 4},
  [8043] = {.lex_state = 1290, .external_lex_state = 4},
  [8044] = {.lex_state = 1290, .external_lex_state = 4},
  [8045] = {.lex_state = 266, .external_lex_state = 5},
  [8046] = {.lex_state = 1290, .external_lex_state = 4},
  [8047] = {.lex_state = 1290, .external_lex_state = 5},
  [8048] = {.lex_state = 1290, .external_lex_state = 5},
  [8049] = {.lex_state = 268, .external_lex_state = 5},
  [8050] = {.lex_state = 1290, .external_lex_state = 5},
  [8051] = {.lex_state = 1290, .external_lex_state = 5},
  [8052] = {.lex_state = 1290, .external_lex_state = 4},
  [8053] = {.lex_state = 1290, .external_lex_state = 5},
  [8054] = {.lex_state = 1290, .external_lex_state = 4},
  [8055] = {.lex_state = 262, .external_lex_state = 5},
  [8056] = {.lex_state = 1290, .external_lex_state = 4},
  [8057] = {.lex_state = 1290, .external_lex_state = 5},
  [8058] = {.lex_state = 1290, .external_lex_state = 4},
  [8059] = {.lex_state = 1290, .external_lex_state = 4},
  [8060] = {.lex_state = 230, .external_lex_state = 5},
  [8061] = {.lex_state = 1290, .external_lex_state = 4},
  [8062] = {.lex_state = 1290, .external_lex_state = 4},
  [8063] = {.lex_state = 267, .external_lex_state = 5},
  [8064] = {.lex_state = 1290, .external_lex_state = 4},
  [8065] = {.lex_state = 1290, .external_lex_state = 4},
  [8066] = {.lex_state = 260, .external_lex_state = 5},
  [8067] = {.lex_state = 1290, .external_lex_state = 4},
  [8068] = {.lex_state = 1290, .external_lex_state = 4},
  [8069] = {.lex_state = 1290, .external_lex_state = 4},
  [8070] = {.lex_state = 262, .external_lex_state = 5},
  [8071] = {.lex_state = 1290, .external_lex_state = 4},
  [8072] = {.lex_state = 1290, .external_lex_state = 5},
  [8073] = {.lex_state = 1290, .external_lex_state = 4},
  [8074] = {.lex_state = 264, .external_lex_state = 5},
  [8075] = {.lex_state = 1290, .external_lex_state = 4},
  [8076] = {.lex_state = 1290, .external_lex_state = 4},
  [8077] = {.lex_state = 1290, .external_lex_state = 4},
  [8078] = {.lex_state = 230, .external_lex_state = 5},
  [8079] = {.lex_state = 262, .external_lex_state = 5},
  [8080] = {.lex_state = 265, .external_lex_state = 5},
  [8081] = {.lex_state = 262, .external_lex_state = 5},
  [8082] = {.lex_state = 262, .external_lex_state = 5},
  [8083] = {.lex_state = 1290, .external_lex_state = 4},
  [8084] = {.lex_state = 262, .external_lex_state = 5},
  [8085] = {.lex_state = 1290, .external_lex_state = 4},
  [8086] = {.lex_state = 1290, .external_lex_state = 4},
  [8087] = {.lex_state = 1290, .external_lex_state = 4},
  [8088] = {.lex_state = 1290, .external_lex_state = 4},
  [8089] = {.lex_state = 1290, .external_lex_state = 4},
  [8090] = {.lex_state = 1290, .external_lex_state = 5},
  [8091] = {.lex_state = 262, .external_lex_state = 5},
  [8092] = {.lex_state = 1290, .external_lex_state = 5},
  [8093] = {.lex_state = 230, .external_lex_state = 5},
  [8094] = {.lex_state = 1290, .external_lex_state = 5},
  [8095] = {.lex_state = 1290, .external_lex_state = 4},
  [8096] = {.lex_state = 264, .external_lex_state = 5},
  [8097] = {.lex_state = 262, .external_lex_state = 5},
  [8098] = {.lex_state = 1290, .external_lex_state = 5},
  [8099] = {.lex_state = 265, .external_lex_state = 5},
  [8100] = {.lex_state = 1290, .external_lex_state = 4},
  [8101] = {.lex_state = 1290, .external_lex_state = 5},
  [8102] = {.lex_state = 1290, .external_lex_state = 4},
  [8103] = {.lex_state = 264, .external_lex_state = 5},
  [8104] = {.lex_state = 264, .external_lex_state = 5},
  [8105] = {.lex_state = 1290, .external_lex_state = 4},
  [8106] = {.lex_state = 265, .external_lex_state = 5},
  [8107] = {.lex_state = 1290, .external_lex_state = 4},
  [8108] = {.lex_state = 264, .external_lex_state = 5},
  [8109] = {.lex_state = 1290, .external_lex_state = 4},
  [8110] = {.lex_state = 265, .external_lex_state = 5},
  [8111] = {.lex_state = 1290, .external_lex_state = 4},
  [8112] = {.lex_state = 1290, .external_lex_state = 4},
  [8113] = {.lex_state = 1290, .external_lex_state = 4},
  [8114] = {.lex_state = 1290, .external_lex_state = 4},
  [8115] = {.lex_state = 1290, .external_lex_state = 5},
  [8116] = {.lex_state = 1290, .external_lex_state = 5},
  [8117] = {.lex_state = 1290, .external_lex_state = 4},
  [8118] = {.lex_state = 1290, .external_lex_state = 4},
  [8119] = {.lex_state = 1290, .external_lex_state = 5},
  [8120] = {.lex_state = 111, .external_lex_state = 5},
  [8121] = {.lex_state = 1290, .external_lex_state = 5},
  [8122] = {.lex_state = 231, .external_lex_state = 5},
  [8123] = {.lex_state = 1290, .external_lex_state = 5},
  [8124] = {.lex_state = 224, .external_lex_state = 5},
  [8125] = {.lex_state = 1290, .external_lex_state = 5},
  [8126] = {.lex_state = 1290, .external_lex_state = 4},
  [8127] = {.lex_state = 1290, .external_lex_state = 5},
  [8128] = {.lex_state = 1290, .external_lex_state = 5},
  [8129] = {.lex_state = 1290, .external_lex_state = 4},
  [8130] = {.lex_state = 1290, .external_lex_state = 4},
  [8131] = {.lex_state = 327, .external_lex_state = 5},
  [8132] = {.lex_state = 1290, .external_lex_state = 4},
  [8133] = {.lex_state = 1290, .external_lex_state = 4},
  [8134] = {.lex_state = 1290, .external_lex_state = 4},
  [8135] = {.lex_state = 103, .external_lex_state = 5},
  [8136] = {.lex_state = 1290, .external_lex_state = 4},
  [8137] = {.lex_state = 1290, .external_lex_state = 4},
  [8138] = {.lex_state = 103, .external_lex_state = 5},
  [8139] = {.lex_state = 1290, .external_lex_state = 4},
  [8140] = {.lex_state = 103, .external_lex_state = 5},
  [8141] = {.lex_state = 103, .external_lex_state = 5},
  [8142] = {.lex_state = 103, .external_lex_state = 5},
  [8143] = {.lex_state = 268, .external_lex_state = 5},
  [8144] = {.lex_state = 111, .external_lex_state = 5},
  [8145] = {.lex_state = 1290, .external_lex_state = 4},
  [8146] = {.lex_state = 1290, .external_lex_state = 4},
  [8147] = {.lex_state = 111, .external_lex_state = 5},
  [8148] = {.lex_state = 1290, .external_lex_state = 4},
  [8149] = {.lex_state = 1290, .external_lex_state = 4},
  [8150] = {.lex_state = 1290, .external_lex_state = 4},
  [8151] = {.lex_state = 1290, .external_lex_state = 4},
  [8152] = {.lex_state = 1290, .external_lex_state = 4},
  [8153] = {.lex_state = 1290, .external_lex_state = 4},
  [8154] = {.lex_state = 1290, .external_lex_state = 4},
  [8155] = {.lex_state = 1290, .external_lex_state = 4},
  [8156] = {.lex_state = 103, .external_lex_state = 5},
  [8157] = {.lex_state = 1290, .external_lex_state = 4},
  [8158] = {.lex_state = 1290, .external_lex_state = 4},
  [8159] = {.lex_state = 103, .external_lex_state = 5},
  [8160] = {.lex_state = 1290, .external_lex_state = 4},
  [8161] = {.lex_state = 268, .external_lex_state = 5},
  [8162] = {.lex_state = 1290, .external_lex_state = 4},
  [8163] = {.lex_state = 103, .external_lex_state = 5},
  [8164] = {.lex_state = 1290, .external_lex_state = 4},
  [8165] = {.lex_state = 1290, .external_lex_state = 4},
  [8166] = {.lex_state = 1290, .external_lex_state = 4},
  [8167] = {.lex_state = 1290, .external_lex_state = 4},
  [8168] = {.lex_state = 1290, .external_lex_state = 4},
  [8169] = {.lex_state = 1290, .external_lex_state = 4},
  [8170] = {.lex_state = 1290, .external_lex_state = 4},
  [8171] = {.lex_state = 1290, .external_lex_state = 4},
  [8172] = {.lex_state = 1290, .external_lex_state = 4},
  [8173] = {.lex_state = 1290, .external_lex_state = 4},
  [8174] = {.lex_state = 1290, .external_lex_state = 4},
  [8175] = {.lex_state = 1290, .external_lex_state = 4},
  [8176] = {.lex_state = 111, .external_lex_state = 5},
  [8177] = {.lex_state = 1290, .external_lex_state = 4},
  [8178] = {.lex_state = 111, .external_lex_state = 5},
  [8179] = {.lex_state = 1290, .external_lex_state = 4},
  [8180] = {.lex_state = 294, .external_lex_state = 5},
  [8181] = {.lex_state = 1290, .external_lex_state = 4},
  [8182] = {.lex_state = 327, .external_lex_state = 5},
  [8183] = {.lex_state = 1290, .external_lex_state = 4},
  [8184] = {.lex_state = 1290, .external_lex_state = 4},
  [8185] = {.lex_state = 103, .external_lex_state = 5},
  [8186] = {.lex_state = 1290, .external_lex_state = 4},
  [8187] = {.lex_state = 1290, .external_lex_state = 4},
  [8188] = {.lex_state = 103, .external_lex_state = 5},
  [8189] = {.lex_state = 294, .external_lex_state = 5},
  [8190] = {.lex_state = 1290, .external_lex_state = 4},
  [8191] = {.lex_state = 268, .external_lex_state = 5},
  [8192] = {.lex_state = 1290, .external_lex_state = 4},
  [8193] = {.lex_state = 1290, .external_lex_state = 4},
  [8194] = {.lex_state = 1290, .external_lex_state = 5},
  [8195] = {.lex_state = 103, .external_lex_state = 5},
  [8196] = {.lex_state = 1290, .external_lex_state = 4},
  [8197] = {.lex_state = 327, .external_lex_state = 5},
  [8198] = {.lex_state = 1290, .external_lex_state = 5},
  [8199] = {.lex_state = 1290, .external_lex_state = 4},
  [8200] = {.lex_state = 103, .external_lex_state = 5},
  [8201] = {.lex_state = 1290, .external_lex_state = 4},
  [8202] = {.lex_state = 1290, .external_lex_state = 4},
  [8203] = {.lex_state = 103, .external_lex_state = 5},
  [8204] = {.lex_state = 111, .external_lex_state = 5},
  [8205] = {.lex_state = 1290, .external_lex_state = 4},
  [8206] = {.lex_state = 1290, .external_lex_state = 4},
  [8207] = {.lex_state = 103, .external_lex_state = 5},
  [8208] = {.lex_state = 1290, .external_lex_state = 4},
  [8209] = {.lex_state = 268, .external_lex_state = 5},
  [8210] = {.lex_state = 1290, .external_lex_state = 4},
  [8211] = {.lex_state = 1290, .external_lex_state = 4},
  [8212] = {.lex_state = 268, .external_lex_state = 5},
  [8213] = {.lex_state = 103, .external_lex_state = 5},
  [8214] = {.lex_state = 103, .external_lex_state = 5},
  [8215] = {.lex_state = 1290, .external_lex_state = 4},
  [8216] = {.lex_state = 103, .external_lex_state = 5},
  [8217] = {.lex_state = 1290, .external_lex_state = 4},
  [8218] = {.lex_state = 1290, .external_lex_state = 4},
  [8219] = {.lex_state = 1290, .external_lex_state = 4},
  [8220] = {.lex_state = 1290, .external_lex_state = 4},
  [8221] = {.lex_state = 1290, .external_lex_state = 4},
  [8222] = {.lex_state = 268, .external_lex_state = 5},
  [8223] = {.lex_state = 1290, .external_lex_state = 4},
  [8224] = {.lex_state = 103, .external_lex_state = 5},
  [8225] = {.lex_state = 1290, .external_lex_state = 4},
  [8226] = {.lex_state = 1290, .external_lex_state = 4},
  [8227] = {.lex_state = 103, .external_lex_state = 5},
  [8228] = {.lex_state = 1290, .external_lex_state = 5},
  [8229] = {.lex_state = 1290, .external_lex_state = 5},
  [8230] = {.lex_state = 294, .external_lex_state = 5},
  [8231] = {.lex_state = 103, .external_lex_state = 5},
  [8232] = {.lex_state = 327, .external_lex_state = 5},
  [8233] = {.lex_state = 103, .external_lex_state = 5},
  [8234] = {.lex_state = 1290, .external_lex_state = 4},
  [8235] = {.lex_state = 1290, .external_lex_state = 4},
  [8236] = {.lex_state = 1290, .external_lex_state = 4},
  [8237] = {.lex_state = 268, .external_lex_state = 5},
  [8238] = {.lex_state = 1290, .external_lex_state = 4},
  [8239] = {.lex_state = 103, .external_lex_state = 5},
  [8240] = {.lex_state = 103, .external_lex_state = 5},
  [8241] = {.lex_state = 268, .external_lex_state = 5},
  [8242] = {.lex_state = 1290, .external_lex_state = 5},
  [8243] = {.lex_state = 1290, .external_lex_state = 4},
  [8244] = {.lex_state = 1290, .external_lex_state = 4},
  [8245] = {.lex_state = 103, .external_lex_state = 5},
  [8246] = {.lex_state = 1290, .external_lex_state = 4},
  [8247] = {.lex_state = 103, .external_lex_state = 5},
  [8248] = {.lex_state = 1290, .external_lex_state = 4},
  [8249] = {.lex_state = 268, .external_lex_state = 5},
  [8250] = {.lex_state = 103, .external_lex_state = 5},
  [8251] = {.lex_state = 103, .external_lex_state = 5},
  [8252] = {.lex_state = 1290, .external_lex_state = 4},
  [8253] = {.lex_state = 1290, .external_lex_state = 4},
  [8254] = {.lex_state = 103, .external_lex_state = 5},
  [8255] = {.lex_state = 103, .external_lex_state = 5},
  [8256] = {.lex_state = 1290, .external_lex_state = 5},
  [8257] = {.lex_state = 103, .external_lex_state = 5},
  [8258] = {.lex_state = 103, .external_lex_state = 5},
  [8259] = {.lex_state = 103, .external_lex_state = 5},
  [8260] = {.lex_state = 103, .external_lex_state = 5},
  [8261] = {.lex_state = 1290, .external_lex_state = 4},
  [8262] = {.lex_state = 103, .external_lex_state = 5},
  [8263] = {.lex_state = 103, .external_lex_state = 5},
  [8264] = {.lex_state = 1290, .external_lex_state = 5},
  [8265] = {.lex_state = 103, .external_lex_state = 5},
  [8266] = {.lex_state = 103, .external_lex_state = 5},
  [8267] = {.lex_state = 103, .external_lex_state = 5},
  [8268] = {.lex_state = 103, .external_lex_state = 5},
  [8269] = {.lex_state = 268, .external_lex_state = 5},
  [8270] = {.lex_state = 103, .external_lex_state = 5},
  [8271] = {.lex_state = 103, .external_lex_state = 5},
  [8272] = {.lex_state = 294, .external_lex_state = 5},
  [8273] = {.lex_state = 103, .external_lex_state = 5},
  [8274] = {.lex_state = 103, .external_lex_state = 5},
  [8275] = {.lex_state = 1290, .external_lex_state = 4},
  [8276] = {.lex_state = 103, .external_lex_state = 5},
  [8277] = {.lex_state = 103, .external_lex_state = 5},
  [8278] = {.lex_state = 103, .external_lex_state = 5},
  [8279] = {.lex_state = 1290, .external_lex_state = 4},
  [8280] = {.lex_state = 103, .external_lex_state = 5},
  [8281] = {.lex_state = 1290, .external_lex_state = 4},
  [8282] = {.lex_state = 103, .external_lex_state = 5},
  [8283] = {.lex_state = 103, .external_lex_state = 5},
  [8284] = {.lex_state = 103, .external_lex_state = 5},
  [8285] = {.lex_state = 1290, .external_lex_state = 4},
  [8286] = {.lex_state = 103, .external_lex_state = 5},
  [8287] = {.lex_state = 1290, .external_lex_state = 4},
  [8288] = {.lex_state = 103, .external_lex_state = 5},
  [8289] = {.lex_state = 1290, .external_lex_state = 4},
  [8290] = {.lex_state = 103, .external_lex_state = 5},
  [8291] = {.lex_state = 1290, .external_lex_state = 4},
  [8292] = {.lex_state = 103, .external_lex_state = 5},
  [8293] = {.lex_state = 1290, .external_lex_state = 4},
  [8294] = {.lex_state = 103, .external_lex_state = 5},
  [8295] = {.lex_state = 1290, .external_lex_state = 4},
  [8296] = {.lex_state = 103, .external_lex_state = 5},
  [8297] = {.lex_state = 1290, .external_lex_state = 4},
  [8298] = {.lex_state = 103, .external_lex_state = 5},
  [8299] = {.lex_state = 103, .external_lex_state = 5},
  [8300] = {.lex_state = 1290, .external_lex_state = 4},
  [8301] = {.lex_state = 103, .external_lex_state = 5},
  [8302] = {.lex_state = 103, .external_lex_state = 5},
  [8303] = {.lex_state = 103, .external_lex_state = 5},
  [8304] = {.lex_state = 103, .external_lex_state = 5},
  [8305] = {.lex_state = 103, .external_lex_state = 5},
  [8306] = {.lex_state = 103, .external_lex_state = 5},
  [8307] = {.lex_state = 103, .external_lex_state = 5},
  [8308] = {.lex_state = 103, .external_lex_state = 5},
  [8309] = {.lex_state = 103, .external_lex_state = 5},
  [8310] = {.lex_state = 1290, .external_lex_state = 4},
  [8311] = {.lex_state = 103, .external_lex_state = 5},
  [8312] = {.lex_state = 103, .external_lex_state = 5},
  [8313] = {.lex_state = 103, .external_lex_state = 5},
  [8314] = {.lex_state = 1290, .external_lex_state = 5},
  [8315] = {.lex_state = 103, .external_lex_state = 5},
  [8316] = {.lex_state = 268, .external_lex_state = 5},
  [8317] = {.lex_state = 103, .external_lex_state = 5},
  [8318] = {.lex_state = 1290, .external_lex_state = 4},
  [8319] = {.lex_state = 103, .external_lex_state = 5},
  [8320] = {.lex_state = 297, .external_lex_state = 5},
  [8321] = {.lex_state = 103, .external_lex_state = 5},
  [8322] = {.lex_state = 103, .external_lex_state = 5},
  [8323] = {.lex_state = 1290, .external_lex_state = 4},
  [8324] = {.lex_state = 103, .external_lex_state = 5},
  [8325] = {.lex_state = 103, .external_lex_state = 5},
  [8326] = {.lex_state = 103, .external_lex_state = 5},
  [8327] = {.lex_state = 1290, .external_lex_state = 4},
  [8328] = {.lex_state = 103, .external_lex_state = 5},
  [8329] = {.lex_state = 103, .external_lex_state = 5},
  [8330] = {.lex_state = 1290, .external_lex_state = 4},
  [8331] = {.lex_state = 103, .external_lex_state = 5},
  [8332] = {.lex_state = 103, .external_lex_state = 5},
  [8333] = {.lex_state = 1290, .external_lex_state = 4},
  [8334] = {.lex_state = 103, .external_lex_state = 5},
  [8335] = {.lex_state = 103, .external_lex_state = 5},
  [8336] = {.lex_state = 1290, .external_lex_state = 4},
  [8337] = {.lex_state = 103, .external_lex_state = 5},
  [8338] = {.lex_state = 1290, .external_lex_state = 4},
  [8339] = {.lex_state = 1290, .external_lex_state = 4},
  [8340] = {.lex_state = 231, .external_lex_state = 5},
  [8341] = {.lex_state = 103, .external_lex_state = 5},
  [8342] = {.lex_state = 1290, .external_lex_state = 4},
  [8343] = {.lex_state = 1290, .external_lex_state = 4},
  [8344] = {.lex_state = 111, .external_lex_state = 5},
  [8345] = {.lex_state = 268, .external_lex_state = 5},
  [8346] = {.lex_state = 1290, .external_lex_state = 5},
  [8347] = {.lex_state = 268, .external_lex_state = 5},
  [8348] = {.lex_state = 1290, .external_lex_state = 4},
  [8349] = {.lex_state = 1290, .external_lex_state = 5},
  [8350] = {.lex_state = 1290, .external_lex_state = 4},
  [8351] = {.lex_state = 1290, .external_lex_state = 4},
  [8352] = {.lex_state = 1290, .external_lex_state = 4},
  [8353] = {.lex_state = 268, .external_lex_state = 5},
  [8354] = {.lex_state = 268, .external_lex_state = 5},
  [8355] = {.lex_state = 1290, .external_lex_state = 4},
  [8356] = {.lex_state = 1290, .external_lex_state = 5},
  [8357] = {.lex_state = 294, .external_lex_state = 5},
  [8358] = {.lex_state = 1290, .external_lex_state = 5},
  [8359] = {.lex_state = 1290, .external_lex_state = 4},
  [8360] = {.lex_state = 268, .external_lex_state = 5},
  [8361] = {.lex_state = 268, .external_lex_state = 5},
  [8362] = {.lex_state = 1290, .external_lex_state = 4},
  [8363] = {.lex_state = 328, .external_lex_state = 5},
  [8364] = {.lex_state = 1290, .external_lex_state = 4},
  [8365] = {.lex_state = 1290, .external_lex_state = 4},
  [8366] = {.lex_state = 1290, .external_lex_state = 5},
  [8367] = {.lex_state = 224, .external_lex_state = 5},
  [8368] = {.lex_state = 1290, .external_lex_state = 4},
  [8369] = {.lex_state = 262, .external_lex_state = 5},
  [8370] = {.lex_state = 1290, .external_lex_state = 5},
  [8371] = {.lex_state = 1290, .external_lex_state = 5},
  [8372] = {.lex_state = 1290, .external_lex_state = 5},
  [8373] = {.lex_state = 1290, .external_lex_state = 5},
  [8374] = {.lex_state = 1290, .external_lex_state = 4},
  [8375] = {.lex_state = 1290, .external_lex_state = 4},
  [8376] = {.lex_state = 1290, .external_lex_state = 4},
  [8377] = {.lex_state = 294, .external_lex_state = 5},
  [8378] = {.lex_state = 268, .external_lex_state = 5},
  [8379] = {.lex_state = 268, .external_lex_state = 5},
  [8380] = {.lex_state = 224, .external_lex_state = 5},
  [8381] = {.lex_state = 1290, .external_lex_state = 5},
  [8382] = {.lex_state = 294, .external_lex_state = 5},
  [8383] = {.lex_state = 294, .external_lex_state = 5},
  [8384] = {.lex_state = 1290, .external_lex_state = 4},
  [8385] = {.lex_state = 1290, .external_lex_state = 4},
  [8386] = {.lex_state = 1290, .external_lex_state = 4},
  [8387] = {.lex_state = 103, .external_lex_state = 5},
  [8388] = {.lex_state = 268, .external_lex_state = 5},
  [8389] = {.lex_state = 268, .external_lex_state = 5},
  [8390] = {.lex_state = 294, .external_lex_state = 5},
  [8391] = {.lex_state = 268, .external_lex_state = 5},
  [8392] = {.lex_state = 1290, .external_lex_state = 5},
  [8393] = {.lex_state = 1290, .external_lex_state = 4},
  [8394] = {.lex_state = 1290, .external_lex_state = 4},
  [8395] = {.lex_state = 1290, .external_lex_state = 5},
  [8396] = {.lex_state = 268, .external_lex_state = 5},
  [8397] = {.lex_state = 268, .external_lex_state = 5},
  [8398] = {.lex_state = 1290, .external_lex_state = 5},
  [8399] = {.lex_state = 1290, .external_lex_state = 4},
  [8400] = {.lex_state = 103, .external_lex_state = 5},
  [8401] = {.lex_state = 328, .external_lex_state = 5},
  [8402] = {.lex_state = 1290, .external_lex_state = 4},
  [8403] = {.lex_state = 1290, .external_lex_state = 4},
  [8404] = {.lex_state = 1290, .external_lex_state = 5},
  [8405] = {.lex_state = 1290, .external_lex_state = 5},
  [8406] = {.lex_state = 1290, .external_lex_state = 4},
  [8407] = {.lex_state = 328, .external_lex_state = 5},
  [8408] = {.lex_state = 1290, .external_lex_state = 5},
  [8409] = {.lex_state = 1290, .external_lex_state = 4},
  [8410] = {.lex_state = 1290, .external_lex_state = 4},
  [8411] = {.lex_state = 1290, .external_lex_state = 4},
  [8412] = {.lex_state = 1290, .external_lex_state = 5},
  [8413] = {.lex_state = 1290, .external_lex_state = 4},
  [8414] = {.lex_state = 1290, .external_lex_state = 4},
  [8415] = {.lex_state = 1290, .external_lex_state = 4},
  [8416] = {.lex_state = 268, .external_lex_state = 5},
  [8417] = {.lex_state = 294, .external_lex_state = 5},
  [8418] = {.lex_state = 103, .external_lex_state = 5},
  [8419] = {.lex_state = 1290, .external_lex_state = 4},
  [8420] = {.lex_state = 327, .external_lex_state = 5},
  [8421] = {.lex_state = 1290, .external_lex_state = 4},
  [8422] = {.lex_state = 1290, .external_lex_state = 4},
  [8423] = {.lex_state = 294, .external_lex_state = 5},
  [8424] = {.lex_state = 1290, .external_lex_state = 4},
  [8425] = {.lex_state = 1290, .external_lex_state = 4},
  [8426] = {.lex_state = 1290, .external_lex_state = 5},
  [8427] = {.lex_state = 268, .external_lex_state = 5},
  [8428] = {.lex_state = 103, .external_lex_state = 5},
  [8429] = {.lex_state = 1290, .external_lex_state = 5},
  [8430] = {.lex_state = 1290, .external_lex_state = 4},
  [8431] = {.lex_state = 1290, .external_lex_state = 4},
  [8432] = {.lex_state = 1290, .external_lex_state = 4},
  [8433] = {.lex_state = 224, .external_lex_state = 5},
  [8434] = {.lex_state = 1290, .external_lex_state = 4},
  [8435] = {.lex_state = 325, .external_lex_state = 5},
  [8436] = {.lex_state = 294, .external_lex_state = 5},
  [8437] = {.lex_state = 1290, .external_lex_state = 4},
  [8438] = {.lex_state = 1290, .external_lex_state = 4},
  [8439] = {.lex_state = 1290, .external_lex_state = 4},
  [8440] = {.lex_state = 1290, .external_lex_state = 4},
  [8441] = {.lex_state = 294, .external_lex_state = 5},
  [8442] = {.lex_state = 1290, .external_lex_state = 4},
  [8443] = {.lex_state = 294, .external_lex_state = 5},
  [8444] = {.lex_state = 294, .external_lex_state = 5},
  [8445] = {.lex_state = 1290, .external_lex_state = 4},
  [8446] = {.lex_state = 294, .external_lex_state = 5},
  [8447] = {.lex_state = 1290, .external_lex_state = 4},
  [8448] = {.lex_state = 1290, .external_lex_state = 4},
  [8449] = {.lex_state = 1290, .external_lex_state = 4},
  [8450] = {.lex_state = 1290, .external_lex_state = 5},
  [8451] = {.lex_state = 1290, .external_lex_state = 5},
  [8452] = {.lex_state = 294, .external_lex_state = 5},
  [8453] = {.lex_state = 1290, .external_lex_state = 4},
  [8454] = {.lex_state = 103, .external_lex_state = 5},
  [8455] = {.lex_state = 1290, .external_lex_state = 4},
  [8456] = {.lex_state = 1290, .external_lex_state = 4},
  [8457] = {.lex_state = 1290, .external_lex_state = 4},
  [8458] = {.lex_state = 1290, .external_lex_state = 4},
  [8459] = {.lex_state = 103, .external_lex_state = 5},
  [8460] = {.lex_state = 1290, .external_lex_state = 4},
  [8461] = {.lex_state = 1290, .external_lex_state = 4},
  [8462] = {.lex_state = 1290, .external_lex_state = 4},
  [8463] = {.lex_state = 1290, .external_lex_state = 4},
  [8464] = {.lex_state = 1290, .external_lex_state = 4},
  [8465] = {.lex_state = 1290, .external_lex_state = 4},
  [8466] = {.lex_state = 1290, .external_lex_state = 4},
  [8467] = {.lex_state = 1290, .external_lex_state = 4},
  [8468] = {.lex_state = 268, .external_lex_state = 5},
  [8469] = {.lex_state = 1290, .external_lex_state = 4},
  [8470] = {.lex_state = 1290, .external_lex_state = 4},
  [8471] = {.lex_state = 268, .external_lex_state = 5},
  [8472] = {.lex_state = 1290, .external_lex_state = 5},
  [8473] = {.lex_state = 268, .external_lex_state = 5},
  [8474] = {.lex_state = 1290, .external_lex_state = 5},
  [8475] = {.lex_state = 268, .external_lex_state = 5},
  [8476] = {.lex_state = 1290, .external_lex_state = 4},
  [8477] = {.lex_state = 1290, .external_lex_state = 4},
  [8478] = {.lex_state = 268, .external_lex_state = 5},
  [8479] = {.lex_state = 1290, .external_lex_state = 5},
  [8480] = {.lex_state = 1290, .external_lex_state = 4},
  [8481] = {.lex_state = 1290, .external_lex_state = 4},
  [8482] = {.lex_state = 1290, .external_lex_state = 5},
  [8483] = {.lex_state = 103, .external_lex_state = 5},
  [8484] = {.lex_state = 224, .external_lex_state = 5},
  [8485] = {.lex_state = 224, .external_lex_state = 5},
  [8486] = {.lex_state = 327, .external_lex_state = 5},
  [8487] = {.lex_state = 1290, .external_lex_state = 4},
  [8488] = {.lex_state = 1290, .external_lex_state = 4},
  [8489] = {.lex_state = 1290, .external_lex_state = 4},
  [8490] = {.lex_state = 103, .external_lex_state = 5},
  [8491] = {.lex_state = 1290, .external_lex_state = 4},
  [8492] = {.lex_state = 1290, .external_lex_state = 4},
  [8493] = {.lex_state = 103, .external_lex_state = 5},
  [8494] = {.lex_state = 268, .external_lex_state = 5},
  [8495] = {.lex_state = 1290, .external_lex_state = 5},
  [8496] = {.lex_state = 1290, .external_lex_state = 4},
  [8497] = {.lex_state = 1290, .external_lex_state = 4},
  [8498] = {.lex_state = 268, .external_lex_state = 5},
  [8499] = {.lex_state = 268, .external_lex_state = 5},
  [8500] = {.lex_state = 1290, .external_lex_state = 4},
  [8501] = {.lex_state = 1290, .external_lex_state = 4},
  [8502] = {.lex_state = 1290, .external_lex_state = 5},
  [8503] = {.lex_state = 327, .external_lex_state = 5},
  [8504] = {.lex_state = 1290, .external_lex_state = 5},
  [8505] = {.lex_state = 1290, .external_lex_state = 4},
  [8506] = {.lex_state = 1290, .external_lex_state = 5},
  [8507] = {.lex_state = 1290, .external_lex_state = 4},
  [8508] = {.lex_state = 1290, .external_lex_state = 4},
  [8509] = {.lex_state = 1290, .external_lex_state = 4},
  [8510] = {.lex_state = 1290, .external_lex_state = 4},
  [8511] = {.lex_state = 1290, .external_lex_state = 4},
  [8512] = {.lex_state = 1290, .external_lex_state = 4},
  [8513] = {.lex_state = 294, .external_lex_state = 5},
  [8514] = {.lex_state = 268, .external_lex_state = 5},
  [8515] = {.lex_state = 231, .external_lex_state = 5},
  [8516] = {.lex_state = 1290, .external_lex_state = 5},
  [8517] = {.lex_state = 275, .external_lex_state = 5},
  [8518] = {.lex_state = 104, .external_lex_state = 5},
  [8519] = {.lex_state = 1290, .external_lex_state = 5},
  [8520] = {.lex_state = 275, .external_lex_state = 5},
  [8521] = {.lex_state = 111, .external_lex_state = 5},
  [8522] = {.lex_state = 275, .external_lex_state = 5},
  [8523] = {.lex_state = 275, .external_lex_state = 5},
  [8524] = {.lex_state = 104, .external_lex_state = 5},
  [8525] = {.lex_state = 275, .external_lex_state = 5},
  [8526] = {.lex_state = 275, .external_lex_state = 5},
  [8527] = {.lex_state = 1290, .external_lex_state = 5},
  [8528] = {.lex_state = 104, .external_lex_state = 5},
  [8529] = {.lex_state = 275, .external_lex_state = 5},
  [8530] = {.lex_state = 275, .external_lex_state = 5},
  [8531] = {.lex_state = 275, .external_lex_state = 5},
  [8532] = {.lex_state = 1290, .external_lex_state = 5},
  [8533] = {.lex_state = 275, .external_lex_state = 5},
  [8534] = {.lex_state = 275, .external_lex_state = 5},
  [8535] = {.lex_state = 268, .external_lex_state = 5},
  [8536] = {.lex_state = 104, .external_lex_state = 5},
  [8537] = {.lex_state = 275, .external_lex_state = 5},
  [8538] = {.lex_state = 275, .external_lex_state = 5},
  [8539] = {.lex_state = 275, .external_lex_state = 5},
  [8540] = {.lex_state = 275, .external_lex_state = 5},
  [8541] = {.lex_state = 275, .external_lex_state = 5},
  [8542] = {.lex_state = 275, .external_lex_state = 5},
  [8543] = {.lex_state = 275, .external_lex_state = 5},
  [8544] = {.lex_state = 275, .external_lex_state = 5},
  [8545] = {.lex_state = 275, .external_lex_state = 5},
  [8546] = {.lex_state = 275, .external_lex_state = 5},
  [8547] = {.lex_state = 1290, .external_lex_state = 5},
  [8548] = {.lex_state = 275, .external_lex_state = 5},
  [8549] = {.lex_state = 275, .external_lex_state = 5},
  [8550] = {.lex_state = 275, .external_lex_state = 5},
  [8551] = {.lex_state = 275, .external_lex_state = 5},
  [8552] = {.lex_state = 275, .external_lex_state = 5},
  [8553] = {.lex_state = 275, .external_lex_state = 5},
  [8554] = {.lex_state = 275, .external_lex_state = 5},
  [8555] = {.lex_state = 275, .external_lex_state = 5},
  [8556] = {.lex_state = 275, .external_lex_state = 5},
  [8557] = {.lex_state = 275, .external_lex_state = 5},
  [8558] = {.lex_state = 275, .external_lex_state = 5},
  [8559] = {.lex_state = 275, .external_lex_state = 5},
  [8560] = {.lex_state = 1290, .external_lex_state = 5},
  [8561] = {.lex_state = 275, .external_lex_state = 5},
  [8562] = {.lex_state = 111, .external_lex_state = 5},
  [8563] = {.lex_state = 275, .external_lex_state = 5},
  [8564] = {.lex_state = 275, .external_lex_state = 5},
  [8565] = {.lex_state = 104, .external_lex_state = 5},
  [8566] = {.lex_state = 275, .external_lex_state = 5},
  [8567] = {.lex_state = 104, .external_lex_state = 5},
  [8568] = {.lex_state = 275, .external_lex_state = 5},
  [8569] = {.lex_state = 275, .external_lex_state = 5},
  [8570] = {.lex_state = 275, .external_lex_state = 5},
  [8571] = {.lex_state = 104, .external_lex_state = 5},
  [8572] = {.lex_state = 275, .external_lex_state = 5},
  [8573] = {.lex_state = 275, .external_lex_state = 5},
  [8574] = {.lex_state = 275, .external_lex_state = 5},
  [8575] = {.lex_state = 275, .external_lex_state = 5},
  [8576] = {.lex_state = 275, .external_lex_state = 5},
  [8577] = {.lex_state = 1290, .external_lex_state = 5},
  [8578] = {.lex_state = 275, .external_lex_state = 5},
  [8579] = {.lex_state = 275, .external_lex_state = 5},
  [8580] = {.lex_state = 1290, .external_lex_state = 5},
  [8581] = {.lex_state = 1290, .external_lex_state = 5},
  [8582] = {.lex_state = 1290, .external_lex_state = 5},
  [8583] = {.lex_state = 1290, .external_lex_state = 5},
  [8584] = {.lex_state = 275, .external_lex_state = 5},
  [8585] = {.lex_state = 275, .external_lex_state = 5},
  [8586] = {.lex_state = 275, .external_lex_state = 5},
  [8587] = {.lex_state = 275, .external_lex_state = 5},
  [8588] = {.lex_state = 275, .external_lex_state = 5},
  [8589] = {.lex_state = 1290, .external_lex_state = 5},
  [8590] = {.lex_state = 275, .external_lex_state = 5},
  [8591] = {.lex_state = 275, .external_lex_state = 5},
  [8592] = {.lex_state = 1290, .external_lex_state = 5},
  [8593] = {.lex_state = 275, .external_lex_state = 5},
  [8594] = {.lex_state = 95, .external_lex_state = 5},
  [8595] = {.lex_state = 111, .external_lex_state = 5},
  [8596] = {.lex_state = 275, .external_lex_state = 5},
  [8597] = {.lex_state = 275, .external_lex_state = 5},
  [8598] = {.lex_state = 104, .external_lex_state = 5},
  [8599] = {.lex_state = 275, .external_lex_state = 5},
  [8600] = {.lex_state = 104, .external_lex_state = 5},
  [8601] = {.lex_state = 275, .external_lex_state = 5},
  [8602] = {.lex_state = 275, .external_lex_state = 5},
  [8603] = {.lex_state = 275, .external_lex_state = 5},
  [8604] = {.lex_state = 104, .external_lex_state = 5},
  [8605] = {.lex_state = 275, .external_lex_state = 5},
  [8606] = {.lex_state = 275, .external_lex_state = 5},
  [8607] = {.lex_state = 1290, .external_lex_state = 13},
  [8608] = {.lex_state = 111, .external_lex_state = 5},
  [8609] = {.lex_state = 1290, .external_lex_state = 5},
  [8610] = {.lex_state = 275, .external_lex_state = 5},
  [8611] = {.lex_state = 275, .external_lex_state = 5},
  [8612] = {.lex_state = 275, .external_lex_state = 5},
  [8613] = {.lex_state = 294, .external_lex_state = 5},
  [8614] = {.lex_state = 275, .external_lex_state = 5},
  [8615] = {.lex_state = 1290, .external_lex_state = 5},
  [8616] = {.lex_state = 275, .external_lex_state = 5},
  [8617] = {.lex_state = 275, .external_lex_state = 5},
  [8618] = {.lex_state = 275, .external_lex_state = 5},
  [8619] = {.lex_state = 275, .external_lex_state = 5},
  [8620] = {.lex_state = 104, .external_lex_state = 5},
  [8621] = {.lex_state = 275, .external_lex_state = 5},
  [8622] = {.lex_state = 1290, .external_lex_state = 5},
  [8623] = {.lex_state = 275, .external_lex_state = 5},
  [8624] = {.lex_state = 275, .external_lex_state = 5},
  [8625] = {.lex_state = 275, .external_lex_state = 5},
  [8626] = {.lex_state = 275, .external_lex_state = 5},
  [8627] = {.lex_state = 275, .external_lex_state = 5},
  [8628] = {.lex_state = 111, .external_lex_state = 5},
  [8629] = {.lex_state = 275, .external_lex_state = 5},
  [8630] = {.lex_state = 275, .external_lex_state = 5},
  [8631] = {.lex_state = 104, .external_lex_state = 5},
  [8632] = {.lex_state = 1290, .external_lex_state = 5},
  [8633] = {.lex_state = 104, .external_lex_state = 5},
  [8634] = {.lex_state = 268, .external_lex_state = 5},
  [8635] = {.lex_state = 275, .external_lex_state = 5},
  [8636] = {.lex_state = 275, .external_lex_state = 5},
  [8637] = {.lex_state = 104, .external_lex_state = 5},
  [8638] = {.lex_state = 275, .external_lex_state = 5},
  [8639] = {.lex_state = 275, .external_lex_state = 5},
  [8640] = {.lex_state = 1290, .external_lex_state = 5},
  [8641] = {.lex_state = 275, .external_lex_state = 5},
  [8642] = {.lex_state = 294, .external_lex_state = 5},
  [8643] = {.lex_state = 275, .external_lex_state = 5},
  [8644] = {.lex_state = 275, .external_lex_state = 5},
  [8645] = {.lex_state = 275, .external_lex_state = 5},
  [8646] = {.lex_state = 275, .external_lex_state = 5},
  [8647] = {.lex_state = 275, .external_lex_state = 5},
  [8648] = {.lex_state = 1290, .external_lex_state = 5},
  [8649] = {.lex_state = 1290, .external_lex_state = 5},
  [8650] = {.lex_state = 1290, .external_lex_state = 5},
  [8651] = {.lex_state = 275, .external_lex_state = 5},
  [8652] = {.lex_state = 275, .external_lex_state = 5},
  [8653] = {.lex_state = 1290, .external_lex_state = 5},
  [8654] = {.lex_state = 294, .external_lex_state = 5},
  [8655] = {.lex_state = 1290, .external_lex_state = 5},
  [8656] = {.lex_state = 275, .external_lex_state = 5},
  [8657] = {.lex_state = 275, .external_lex_state = 5},
  [8658] = {.lex_state = 275, .external_lex_state = 5},
  [8659] = {.lex_state = 275, .external_lex_state = 5},
  [8660] = {.lex_state = 275, .external_lex_state = 5},
  [8661] = {.lex_state = 111, .external_lex_state = 5},
  [8662] = {.lex_state = 275, .external_lex_state = 5},
  [8663] = {.lex_state = 268, .external_lex_state = 5},
  [8664] = {.lex_state = 104, .external_lex_state = 5},
  [8665] = {.lex_state = 275, .external_lex_state = 5},
  [8666] = {.lex_state = 104, .external_lex_state = 5},
  [8667] = {.lex_state = 275, .external_lex_state = 5},
  [8668] = {.lex_state = 275, .external_lex_state = 5},
  [8669] = {.lex_state = 95, .external_lex_state = 5},
  [8670] = {.lex_state = 104, .external_lex_state = 5},
  [8671] = {.lex_state = 275, .external_lex_state = 5},
  [8672] = {.lex_state = 275, .external_lex_state = 5},
  [8673] = {.lex_state = 275, .external_lex_state = 5},
  [8674] = {.lex_state = 95, .external_lex_state = 5},
  [8675] = {.lex_state = 294, .external_lex_state = 5},
  [8676] = {.lex_state = 275, .external_lex_state = 5},
  [8677] = {.lex_state = 275, .external_lex_state = 5},
  [8678] = {.lex_state = 275, .external_lex_state = 5},
  [8679] = {.lex_state = 95, .external_lex_state = 5},
  [8680] = {.lex_state = 1290, .external_lex_state = 5},
  [8681] = {.lex_state = 275, .external_lex_state = 5},
  [8682] = {.lex_state = 275, .external_lex_state = 5},
  [8683] = {.lex_state = 275, .external_lex_state = 5},
  [8684] = {.lex_state = 275, .external_lex_state = 5},
  [8685] = {.lex_state = 275, .external_lex_state = 5},
  [8686] = {.lex_state = 275, .external_lex_state = 5},
  [8687] = {.lex_state = 275, .external_lex_state = 5},
  [8688] = {.lex_state = 1290, .external_lex_state = 5},
  [8689] = {.lex_state = 275, .external_lex_state = 5},
  [8690] = {.lex_state = 275, .external_lex_state = 5},
  [8691] = {.lex_state = 275, .external_lex_state = 5},
  [8692] = {.lex_state = 294, .external_lex_state = 5},
  [8693] = {.lex_state = 275, .external_lex_state = 5},
  [8694] = {.lex_state = 111, .external_lex_state = 5},
  [8695] = {.lex_state = 275, .external_lex_state = 5},
  [8696] = {.lex_state = 268, .external_lex_state = 5},
  [8697] = {.lex_state = 104, .external_lex_state = 5},
  [8698] = {.lex_state = 275, .external_lex_state = 5},
  [8699] = {.lex_state = 104, .external_lex_state = 5},
  [8700] = {.lex_state = 275, .external_lex_state = 5},
  [8701] = {.lex_state = 275, .external_lex_state = 5},
  [8702] = {.lex_state = 1290, .external_lex_state = 5},
  [8703] = {.lex_state = 104, .external_lex_state = 5},
  [8704] = {.lex_state = 275, .external_lex_state = 5},
  [8705] = {.lex_state = 275, .external_lex_state = 5},
  [8706] = {.lex_state = 1290, .external_lex_state = 5},
  [8707] = {.lex_state = 1290, .external_lex_state = 5},
  [8708] = {.lex_state = 275, .external_lex_state = 5},
  [8709] = {.lex_state = 275, .external_lex_state = 5},
  [8710] = {.lex_state = 275, .external_lex_state = 5},
  [8711] = {.lex_state = 275, .external_lex_state = 5},
  [8712] = {.lex_state = 275, .external_lex_state = 5},
  [8713] = {.lex_state = 275, .external_lex_state = 5},
  [8714] = {.lex_state = 275, .external_lex_state = 5},
  [8715] = {.lex_state = 275, .external_lex_state = 5},
  [8716] = {.lex_state = 1290, .external_lex_state = 5},
  [8717] = {.lex_state = 275, .external_lex_state = 5},
  [8718] = {.lex_state = 275, .external_lex_state = 5},
  [8719] = {.lex_state = 275, .external_lex_state = 5},
  [8720] = {.lex_state = 104, .external_lex_state = 5},
  [8721] = {.lex_state = 1290, .external_lex_state = 5},
  [8722] = {.lex_state = 275, .external_lex_state = 5},
  [8723] = {.lex_state = 275, .external_lex_state = 5},
  [8724] = {.lex_state = 275, .external_lex_state = 5},
  [8725] = {.lex_state = 275, .external_lex_state = 5},
  [8726] = {.lex_state = 111, .external_lex_state = 5},
  [8727] = {.lex_state = 275, .external_lex_state = 5},
  [8728] = {.lex_state = 275, .external_lex_state = 5},
  [8729] = {.lex_state = 104, .external_lex_state = 5},
  [8730] = {.lex_state = 104, .external_lex_state = 5},
  [8731] = {.lex_state = 1290, .external_lex_state = 5},
  [8732] = {.lex_state = 275, .external_lex_state = 5},
  [8733] = {.lex_state = 104, .external_lex_state = 5},
  [8734] = {.lex_state = 275, .external_lex_state = 5},
  [8735] = {.lex_state = 275, .external_lex_state = 5},
  [8736] = {.lex_state = 275, .external_lex_state = 5},
  [8737] = {.lex_state = 275, .external_lex_state = 5},
  [8738] = {.lex_state = 275, .external_lex_state = 5},
  [8739] = {.lex_state = 275, .external_lex_state = 5},
  [8740] = {.lex_state = 275, .external_lex_state = 5},
  [8741] = {.lex_state = 275, .external_lex_state = 5},
  [8742] = {.lex_state = 275, .external_lex_state = 5},
  [8743] = {.lex_state = 111, .external_lex_state = 5},
  [8744] = {.lex_state = 275, .external_lex_state = 5},
  [8745] = {.lex_state = 275, .external_lex_state = 5},
  [8746] = {.lex_state = 104, .external_lex_state = 5},
  [8747] = {.lex_state = 104, .external_lex_state = 5},
  [8748] = {.lex_state = 268, .external_lex_state = 5},
  [8749] = {.lex_state = 275, .external_lex_state = 5},
  [8750] = {.lex_state = 104, .external_lex_state = 5},
  [8751] = {.lex_state = 275, .external_lex_state = 5},
  [8752] = {.lex_state = 275, .external_lex_state = 5},
  [8753] = {.lex_state = 275, .external_lex_state = 5},
  [8754] = {.lex_state = 275, .external_lex_state = 5},
  [8755] = {.lex_state = 275, .external_lex_state = 5},
  [8756] = {.lex_state = 275, .external_lex_state = 5},
  [8757] = {.lex_state = 275, .external_lex_state = 5},
  [8758] = {.lex_state = 275, .external_lex_state = 5},
  [8759] = {.lex_state = 294, .external_lex_state = 5},
  [8760] = {.lex_state = 111, .external_lex_state = 5},
  [8761] = {.lex_state = 275, .external_lex_state = 5},
  [8762] = {.lex_state = 275, .external_lex_state = 5},
  [8763] = {.lex_state = 104, .external_lex_state = 5},
  [8764] = {.lex_state = 104, .external_lex_state = 5},
  [8765] = {.lex_state = 275, .external_lex_state = 5},
  [8766] = {.lex_state = 275, .external_lex_state = 5},
  [8767] = {.lex_state = 104, .external_lex_state = 5},
  [8768] = {.lex_state = 275, .external_lex_state = 5},
  [8769] = {.lex_state = 275, .external_lex_state = 5},
  [8770] = {.lex_state = 275, .external_lex_state = 5},
  [8771] = {.lex_state = 275, .external_lex_state = 5},
  [8772] = {.lex_state = 275, .external_lex_state = 5},
  [8773] = {.lex_state = 275, .external_lex_state = 5},
  [8774] = {.lex_state = 275, .external_lex_state = 5},
  [8775] = {.lex_state = 275, .external_lex_state = 5},
  [8776] = {.lex_state = 275, .external_lex_state = 5},
  [8777] = {.lex_state = 111, .external_lex_state = 5},
  [8778] = {.lex_state = 275, .external_lex_state = 5},
  [8779] = {.lex_state = 1290, .external_lex_state = 13},
  [8780] = {.lex_state = 104, .external_lex_state = 5},
  [8781] = {.lex_state = 104, .external_lex_state = 5},
  [8782] = {.lex_state = 257, .external_lex_state = 5},
  [8783] = {.lex_state = 104, .external_lex_state = 5},
  [8784] = {.lex_state = 275, .external_lex_state = 5},
  [8785] = {.lex_state = 95, .external_lex_state = 5},
  [8786] = {.lex_state = 111, .external_lex_state = 5},
  [8787] = {.lex_state = 275, .external_lex_state = 5},
  [8788] = {.lex_state = 275, .external_lex_state = 5},
  [8789] = {.lex_state = 104, .external_lex_state = 5},
  [8790] = {.lex_state = 104, .external_lex_state = 5},
  [8791] = {.lex_state = 275, .external_lex_state = 5},
  [8792] = {.lex_state = 104, .external_lex_state = 5},
  [8793] = {.lex_state = 275, .external_lex_state = 5},
  [8794] = {.lex_state = 275, .external_lex_state = 5},
  [8795] = {.lex_state = 111, .external_lex_state = 5},
  [8796] = {.lex_state = 275, .external_lex_state = 5},
  [8797] = {.lex_state = 275, .external_lex_state = 5},
  [8798] = {.lex_state = 104, .external_lex_state = 5},
  [8799] = {.lex_state = 104, .external_lex_state = 5},
  [8800] = {.lex_state = 275, .external_lex_state = 5},
  [8801] = {.lex_state = 104, .external_lex_state = 5},
  [8802] = {.lex_state = 275, .external_lex_state = 5},
  [8803] = {.lex_state = 111, .external_lex_state = 5},
  [8804] = {.lex_state = 111, .external_lex_state = 5},
  [8805] = {.lex_state = 275, .external_lex_state = 5},
  [8806] = {.lex_state = 275, .external_lex_state = 5},
  [8807] = {.lex_state = 104, .external_lex_state = 5},
  [8808] = {.lex_state = 104, .external_lex_state = 5},
  [8809] = {.lex_state = 275, .external_lex_state = 5},
  [8810] = {.lex_state = 104, .external_lex_state = 5},
  [8811] = {.lex_state = 275, .external_lex_state = 5},
  [8812] = {.lex_state = 104, .external_lex_state = 5},
  [8813] = {.lex_state = 111, .external_lex_state = 5},
  [8814] = {.lex_state = 275, .external_lex_state = 5},
  [8815] = {.lex_state = 275, .external_lex_state = 5},
  [8816] = {.lex_state = 104, .external_lex_state = 5},
  [8817] = {.lex_state = 104, .external_lex_state = 5},
  [8818] = {.lex_state = 275, .external_lex_state = 5},
  [8819] = {.lex_state = 104, .external_lex_state = 5},
  [8820] = {.lex_state = 275, .external_lex_state = 5},
  [8821] = {.lex_state = 275, .external_lex_state = 5},
  [8822] = {.lex_state = 111, .external_lex_state = 5},
  [8823] = {.lex_state = 275, .external_lex_state = 5},
  [8824] = {.lex_state = 268, .external_lex_state = 5},
  [8825] = {.lex_state = 104, .external_lex_state = 5},
  [8826] = {.lex_state = 104, .external_lex_state = 5},
  [8827] = {.lex_state = 275, .external_lex_state = 5},
  [8828] = {.lex_state = 104, .external_lex_state = 5},
  [8829] = {.lex_state = 275, .external_lex_state = 5},
  [8830] = {.lex_state = 275, .external_lex_state = 5},
  [8831] = {.lex_state = 111, .external_lex_state = 5},
  [8832] = {.lex_state = 294, .external_lex_state = 5},
  [8833] = {.lex_state = 294, .external_lex_state = 5},
  [8834] = {.lex_state = 104, .external_lex_state = 5},
  [8835] = {.lex_state = 104, .external_lex_state = 5},
  [8836] = {.lex_state = 275, .external_lex_state = 5},
  [8837] = {.lex_state = 104, .external_lex_state = 5},
  [8838] = {.lex_state = 294, .external_lex_state = 5},
  [8839] = {.lex_state = 268, .external_lex_state = 5},
  [8840] = {.lex_state = 111, .external_lex_state = 5},
  [8841] = {.lex_state = 275, .external_lex_state = 5},
  [8842] = {.lex_state = 275, .external_lex_state = 5},
  [8843] = {.lex_state = 104, .external_lex_state = 5},
  [8844] = {.lex_state = 104, .external_lex_state = 5},
  [8845] = {.lex_state = 111, .external_lex_state = 5},
  [8846] = {.lex_state = 104, .external_lex_state = 5},
  [8847] = {.lex_state = 294, .external_lex_state = 5},
  [8848] = {.lex_state = 1290, .external_lex_state = 5},
  [8849] = {.lex_state = 111, .external_lex_state = 5},
  [8850] = {.lex_state = 95, .external_lex_state = 5},
  [8851] = {.lex_state = 104, .external_lex_state = 5},
  [8852] = {.lex_state = 104, .external_lex_state = 5},
  [8853] = {.lex_state = 104, .external_lex_state = 5},
  [8854] = {.lex_state = 275, .external_lex_state = 5},
  [8855] = {.lex_state = 104, .external_lex_state = 5},
  [8856] = {.lex_state = 1290, .external_lex_state = 5},
  [8857] = {.lex_state = 268, .external_lex_state = 5},
  [8858] = {.lex_state = 111, .external_lex_state = 5},
  [8859] = {.lex_state = 275, .external_lex_state = 5},
  [8860] = {.lex_state = 275, .external_lex_state = 5},
  [8861] = {.lex_state = 104, .external_lex_state = 5},
  [8862] = {.lex_state = 104, .external_lex_state = 5},
  [8863] = {.lex_state = 95, .external_lex_state = 5},
  [8864] = {.lex_state = 104, .external_lex_state = 5},
  [8865] = {.lex_state = 1290, .external_lex_state = 5},
  [8866] = {.lex_state = 275, .external_lex_state = 5},
  [8867] = {.lex_state = 111, .external_lex_state = 5},
  [8868] = {.lex_state = 275, .external_lex_state = 5},
  [8869] = {.lex_state = 275, .external_lex_state = 5},
  [8870] = {.lex_state = 104, .external_lex_state = 5},
  [8871] = {.lex_state = 104, .external_lex_state = 5},
  [8872] = {.lex_state = 224, .external_lex_state = 5},
  [8873] = {.lex_state = 104, .external_lex_state = 5},
  [8874] = {.lex_state = 95, .external_lex_state = 5},
  [8875] = {.lex_state = 275, .external_lex_state = 5},
  [8876] = {.lex_state = 111, .external_lex_state = 5},
  [8877] = {.lex_state = 104, .external_lex_state = 5},
  [8878] = {.lex_state = 275, .external_lex_state = 5},
  [8879] = {.lex_state = 104, .external_lex_state = 5},
  [8880] = {.lex_state = 104, .external_lex_state = 5},
  [8881] = {.lex_state = 275, .external_lex_state = 5},
  [8882] = {.lex_state = 104, .external_lex_state = 5},
  [8883] = {.lex_state = 275, .external_lex_state = 5},
  [8884] = {.lex_state = 275, .external_lex_state = 5},
  [8885] = {.lex_state = 111, .external_lex_state = 5},
  [8886] = {.lex_state = 275, .external_lex_state = 5},
  [8887] = {.lex_state = 1290, .external_lex_state = 5},
  [8888] = {.lex_state = 104, .external_lex_state = 5},
  [8889] = {.lex_state = 104, .external_lex_state = 5},
  [8890] = {.lex_state = 275, .external_lex_state = 5},
  [8891] = {.lex_state = 104, .external_lex_state = 5},
  [8892] = {.lex_state = 275, .external_lex_state = 5},
  [8893] = {.lex_state = 294, .external_lex_state = 5},
  [8894] = {.lex_state = 111, .external_lex_state = 5},
  [8895] = {.lex_state = 275, .external_lex_state = 5},
  [8896] = {.lex_state = 275, .external_lex_state = 5},
  [8897] = {.lex_state = 104, .external_lex_state = 5},
  [8898] = {.lex_state = 104, .external_lex_state = 5},
  [8899] = {.lex_state = 275, .external_lex_state = 5},
  [8900] = {.lex_state = 104, .external_lex_state = 5},
  [8901] = {.lex_state = 104, .external_lex_state = 5},
  [8902] = {.lex_state = 275, .external_lex_state = 5},
  [8903] = {.lex_state = 111, .external_lex_state = 5},
  [8904] = {.lex_state = 275, .external_lex_state = 5},
  [8905] = {.lex_state = 275, .external_lex_state = 5},
  [8906] = {.lex_state = 104, .external_lex_state = 5},
  [8907] = {.lex_state = 104, .external_lex_state = 5},
  [8908] = {.lex_state = 275, .external_lex_state = 5},
  [8909] = {.lex_state = 104, .external_lex_state = 5},
  [8910] = {.lex_state = 275, .external_lex_state = 5},
  [8911] = {.lex_state = 275, .external_lex_state = 5},
  [8912] = {.lex_state = 111, .external_lex_state = 5},
  [8913] = {.lex_state = 275, .external_lex_state = 5},
  [8914] = {.lex_state = 275, .external_lex_state = 5},
  [8915] = {.lex_state = 104, .external_lex_state = 5},
  [8916] = {.lex_state = 104, .external_lex_state = 5},
  [8917] = {.lex_state = 275, .external_lex_state = 5},
  [8918] = {.lex_state = 104, .external_lex_state = 5},
  [8919] = {.lex_state = 275, .external_lex_state = 5},
  [8920] = {.lex_state = 275, .external_lex_state = 5},
  [8921] = {.lex_state = 111, .external_lex_state = 5},
  [8922] = {.lex_state = 275, .external_lex_state = 5},
  [8923] = {.lex_state = 104, .external_lex_state = 5},
  [8924] = {.lex_state = 104, .external_lex_state = 5},
  [8925] = {.lex_state = 104, .external_lex_state = 5},
  [8926] = {.lex_state = 275, .external_lex_state = 5},
  [8927] = {.lex_state = 104, .external_lex_state = 5},
  [8928] = {.lex_state = 275, .external_lex_state = 5},
  [8929] = {.lex_state = 275, .external_lex_state = 5},
  [8930] = {.lex_state = 111, .external_lex_state = 5},
  [8931] = {.lex_state = 275, .external_lex_state = 5},
  [8932] = {.lex_state = 275, .external_lex_state = 5},
  [8933] = {.lex_state = 104, .external_lex_state = 5},
  [8934] = {.lex_state = 104, .external_lex_state = 5},
  [8935] = {.lex_state = 275, .external_lex_state = 5},
  [8936] = {.lex_state = 104, .external_lex_state = 5},
  [8937] = {.lex_state = 275, .external_lex_state = 5},
  [8938] = {.lex_state = 275, .external_lex_state = 5},
  [8939] = {.lex_state = 111, .external_lex_state = 5},
  [8940] = {.lex_state = 275, .external_lex_state = 5},
  [8941] = {.lex_state = 275, .external_lex_state = 5},
  [8942] = {.lex_state = 104, .external_lex_state = 5},
  [8943] = {.lex_state = 104, .external_lex_state = 5},
  [8944] = {.lex_state = 275, .external_lex_state = 5},
  [8945] = {.lex_state = 104, .external_lex_state = 5},
  [8946] = {.lex_state = 275, .external_lex_state = 5},
  [8947] = {.lex_state = 275, .external_lex_state = 5},
  [8948] = {.lex_state = 111, .external_lex_state = 5},
  [8949] = {.lex_state = 275, .external_lex_state = 5},
  [8950] = {.lex_state = 1290, .external_lex_state = 5},
  [8951] = {.lex_state = 104, .external_lex_state = 5},
  [8952] = {.lex_state = 104, .external_lex_state = 5},
  [8953] = {.lex_state = 275, .external_lex_state = 5},
  [8954] = {.lex_state = 104, .external_lex_state = 5},
  [8955] = {.lex_state = 275, .external_lex_state = 5},
  [8956] = {.lex_state = 275, .external_lex_state = 5},
  [8957] = {.lex_state = 111, .external_lex_state = 5},
  [8958] = {.lex_state = 275, .external_lex_state = 5},
  [8959] = {.lex_state = 275, .external_lex_state = 5},
  [8960] = {.lex_state = 104, .external_lex_state = 5},
  [8961] = {.lex_state = 104, .external_lex_state = 5},
  [8962] = {.lex_state = 275, .external_lex_state = 5},
  [8963] = {.lex_state = 104, .external_lex_state = 5},
  [8964] = {.lex_state = 1290, .external_lex_state = 13},
  [8965] = {.lex_state = 275, .external_lex_state = 5},
  [8966] = {.lex_state = 111, .external_lex_state = 5},
  [8967] = {.lex_state = 111, .external_lex_state = 5},
  [8968] = {.lex_state = 294, .external_lex_state = 5},
  [8969] = {.lex_state = 104, .external_lex_state = 5},
  [8970] = {.lex_state = 104, .external_lex_state = 5},
  [8971] = {.lex_state = 275, .external_lex_state = 5},
  [8972] = {.lex_state = 104, .external_lex_state = 5},
  [8973] = {.lex_state = 275, .external_lex_state = 5},
  [8974] = {.lex_state = 275, .external_lex_state = 5},
  [8975] = {.lex_state = 111, .external_lex_state = 5},
  [8976] = {.lex_state = 275, .external_lex_state = 5},
  [8977] = {.lex_state = 95, .external_lex_state = 5},
  [8978] = {.lex_state = 104, .external_lex_state = 5},
  [8979] = {.lex_state = 104, .external_lex_state = 5},
  [8980] = {.lex_state = 275, .external_lex_state = 5},
  [8981] = {.lex_state = 104, .external_lex_state = 5},
  [8982] = {.lex_state = 275, .external_lex_state = 5},
  [8983] = {.lex_state = 111, .external_lex_state = 5},
  [8984] = {.lex_state = 104, .external_lex_state = 5},
  [8985] = {.lex_state = 275, .external_lex_state = 5},
  [8986] = {.lex_state = 104, .external_lex_state = 5},
  [8987] = {.lex_state = 104, .external_lex_state = 5},
  [8988] = {.lex_state = 275, .external_lex_state = 5},
  [8989] = {.lex_state = 104, .external_lex_state = 5},
  [8990] = {.lex_state = 268, .external_lex_state = 5},
  [8991] = {.lex_state = 275, .external_lex_state = 5},
  [8992] = {.lex_state = 294, .external_lex_state = 5},
  [8993] = {.lex_state = 275, .external_lex_state = 5},
  [8994] = {.lex_state = 275, .external_lex_state = 5},
  [8995] = {.lex_state = 268, .external_lex_state = 5},
  [8996] = {.lex_state = 1290, .external_lex_state = 5},
  [8997] = {.lex_state = 275, .external_lex_state = 5},
  [8998] = {.lex_state = 275, .external_lex_state = 5},
  [8999] = {.lex_state = 275, .external_lex_state = 5},
  [9000] = {.lex_state = 275, .external_lex_state = 5},
  [9001] = {.lex_state = 275, .external_lex_state = 5},
  [9002] = {.lex_state = 224, .external_lex_state = 5},
  [9003] = {.lex_state = 1290, .external_lex_state = 5},
  [9004] = {.lex_state = 275, .external_lex_state = 5},
  [9005] = {.lex_state = 275, .external_lex_state = 5},
  [9006] = {.lex_state = 275, .external_lex_state = 5},
  [9007] = {.lex_state = 268, .external_lex_state = 5},
  [9008] = {.lex_state = 275, .external_lex_state = 5},
  [9009] = {.lex_state = 1290, .external_lex_state = 5},
  [9010] = {.lex_state = 275, .external_lex_state = 5},
  [9011] = {.lex_state = 111, .external_lex_state = 5},
  [9012] = {.lex_state = 294, .external_lex_state = 5},
  [9013] = {.lex_state = 104, .external_lex_state = 5},
  [9014] = {.lex_state = 275, .external_lex_state = 5},
  [9015] = {.lex_state = 275, .external_lex_state = 5},
  [9016] = {.lex_state = 275, .external_lex_state = 5},
  [9017] = {.lex_state = 275, .external_lex_state = 5},
  [9018] = {.lex_state = 275, .external_lex_state = 5},
  [9019] = {.lex_state = 294, .external_lex_state = 5},
  [9020] = {.lex_state = 294, .external_lex_state = 5},
  [9021] = {.lex_state = 275, .external_lex_state = 5},
  [9022] = {.lex_state = 275, .external_lex_state = 5},
  [9023] = {.lex_state = 275, .external_lex_state = 5},
  [9024] = {.lex_state = 1290, .external_lex_state = 5},
  [9025] = {.lex_state = 275, .external_lex_state = 5},
  [9026] = {.lex_state = 95, .external_lex_state = 5},
  [9027] = {.lex_state = 275, .external_lex_state = 5},
  [9028] = {.lex_state = 1290, .external_lex_state = 5},
  [9029] = {.lex_state = 1290, .external_lex_state = 5},
  [9030] = {.lex_state = 332, .external_lex_state = 5},
  [9031] = {.lex_state = 275, .external_lex_state = 5},
  [9032] = {.lex_state = 1290, .external_lex_state = 5},
  [9033] = {.lex_state = 275, .external_lex_state = 5},
  [9034] = {.lex_state = 268, .external_lex_state = 5},
  [9035] = {.lex_state = 275, .external_lex_state = 5},
  [9036] = {.lex_state = 275, .external_lex_state = 5},
  [9037] = {.lex_state = 275, .external_lex_state = 5},
  [9038] = {.lex_state = 1290, .external_lex_state = 5},
  [9039] = {.lex_state = 275, .external_lex_state = 5},
  [9040] = {.lex_state = 275, .external_lex_state = 5},
  [9041] = {.lex_state = 1290, .external_lex_state = 5},
  [9042] = {.lex_state = 104, .external_lex_state = 5},
  [9043] = {.lex_state = 294, .external_lex_state = 5},
  [9044] = {.lex_state = 275, .external_lex_state = 5},
  [9045] = {.lex_state = 1290, .external_lex_state = 5},
  [9046] = {.lex_state = 1290, .external_lex_state = 5},
  [9047] = {.lex_state = 275, .external_lex_state = 5},
  [9048] = {.lex_state = 1290, .external_lex_state = 5},
  [9049] = {.lex_state = 275, .external_lex_state = 5},
  [9050] = {.lex_state = 104, .external_lex_state = 5},
  [9051] = {.lex_state = 275, .external_lex_state = 5},
  [9052] = {.lex_state = 275, .external_lex_state = 5},
  [9053] = {.lex_state = 95, .external_lex_state = 5},
  [9054] = {.lex_state = 275, .external_lex_state = 5},
  [9055] = {.lex_state = 95, .external_lex_state = 5},
  [9056] = {.lex_state = 294, .external_lex_state = 5},
  [9057] = {.lex_state = 95, .external_lex_state = 5},
  [9058] = {.lex_state = 95, .external_lex_state = 5},
  [9059] = {.lex_state = 275, .external_lex_state = 5},
  [9060] = {.lex_state = 1290, .external_lex_state = 5},
  [9061] = {.lex_state = 275, .external_lex_state = 5},
  [9062] = {.lex_state = 275, .external_lex_state = 5},
  [9063] = {.lex_state = 275, .external_lex_state = 5},
  [9064] = {.lex_state = 1290, .external_lex_state = 5},
  [9065] = {.lex_state = 275, .external_lex_state = 5},
  [9066] = {.lex_state = 95, .external_lex_state = 5},
  [9067] = {.lex_state = 95, .external_lex_state = 5},
  [9068] = {.lex_state = 1290, .external_lex_state = 5},
  [9069] = {.lex_state = 1290, .external_lex_state = 5},
  [9070] = {.lex_state = 1290, .external_lex_state = 5},
  [9071] = {.lex_state = 1290, .external_lex_state = 5},
  [9072] = {.lex_state = 275, .external_lex_state = 5},
  [9073] = {.lex_state = 294, .external_lex_state = 5},
  [9074] = {.lex_state = 1290, .external_lex_state = 5},
  [9075] = {.lex_state = 1290, .external_lex_state = 5},
  [9076] = {.lex_state = 275, .external_lex_state = 5},
  [9077] = {.lex_state = 95, .external_lex_state = 5},
  [9078] = {.lex_state = 275, .external_lex_state = 5},
  [9079] = {.lex_state = 111, .external_lex_state = 5},
  [9080] = {.lex_state = 275, .external_lex_state = 5},
  [9081] = {.lex_state = 104, .external_lex_state = 5},
  [9082] = {.lex_state = 1290, .external_lex_state = 5},
  [9083] = {.lex_state = 275, .external_lex_state = 5},
  [9084] = {.lex_state = 1290, .external_lex_state = 5},
  [9085] = {.lex_state = 1290, .external_lex_state = 5},
  [9086] = {.lex_state = 275, .external_lex_state = 5},
  [9087] = {.lex_state = 1290, .external_lex_state = 5},
  [9088] = {.lex_state = 275, .external_lex_state = 5},
  [9089] = {.lex_state = 328, .external_lex_state = 5},
  [9090] = {.lex_state = 104, .external_lex_state = 5},
  [9091] = {.lex_state = 275, .external_lex_state = 5},
  [9092] = {.lex_state = 275, .external_lex_state = 5},
  [9093] = {.lex_state = 275, .external_lex_state = 5},
  [9094] = {.lex_state = 1290, .external_lex_state = 5},
  [9095] = {.lex_state = 294, .external_lex_state = 5},
  [9096] = {.lex_state = 275, .external_lex_state = 5},
  [9097] = {.lex_state = 111, .external_lex_state = 5},
  [9098] = {.lex_state = 268, .external_lex_state = 5},
  [9099] = {.lex_state = 104, .external_lex_state = 5},
  [9100] = {.lex_state = 275, .external_lex_state = 5},
  [9101] = {.lex_state = 1290, .external_lex_state = 5},
  [9102] = {.lex_state = 275, .external_lex_state = 5},
  [9103] = {.lex_state = 275, .external_lex_state = 5},
  [9104] = {.lex_state = 275, .external_lex_state = 5},
  [9105] = {.lex_state = 275, .external_lex_state = 5},
  [9106] = {.lex_state = 275, .external_lex_state = 5},
  [9107] = {.lex_state = 275, .external_lex_state = 5},
  [9108] = {.lex_state = 275, .external_lex_state = 5},
  [9109] = {.lex_state = 275, .external_lex_state = 5},
  [9110] = {.lex_state = 1290, .external_lex_state = 5},
  [9111] = {.lex_state = 224, .external_lex_state = 5},
  [9112] = {.lex_state = 294, .external_lex_state = 5},
  [9113] = {.lex_state = 104, .external_lex_state = 5},
  [9114] = {.lex_state = 1290, .external_lex_state = 5},
  [9115] = {.lex_state = 275, .external_lex_state = 5},
  [9116] = {.lex_state = 1290, .external_lex_state = 5},
  [9117] = {.lex_state = 1290, .external_lex_state = 5},
  [9118] = {.lex_state = 275, .external_lex_state = 5},
  [9119] = {.lex_state = 104, .external_lex_state = 5},
  [9120] = {.lex_state = 95, .external_lex_state = 5},
  [9121] = {.lex_state = 1290, .external_lex_state = 5},
  [9122] = {.lex_state = 1290, .external_lex_state = 5},
  [9123] = {.lex_state = 1290, .external_lex_state = 5},
  [9124] = {.lex_state = 1290, .external_lex_state = 5},
  [9125] = {.lex_state = 275, .external_lex_state = 5},
  [9126] = {.lex_state = 275, .external_lex_state = 5},
  [9127] = {.lex_state = 95, .external_lex_state = 5},
  [9128] = {.lex_state = 1290, .external_lex_state = 5},
  [9129] = {.lex_state = 275, .external_lex_state = 5},
  [9130] = {.lex_state = 1290, .external_lex_state = 5},
  [9131] = {.lex_state = 275, .external_lex_state = 5},
  [9132] = {.lex_state = 275, .external_lex_state = 5},
  [9133] = {.lex_state = 1290, .external_lex_state = 13},
  [9134] = {.lex_state = 1290, .external_lex_state = 5},
  [9135] = {.lex_state = 1290, .external_lex_state = 5},
  [9136] = {.lex_state = 1290, .external_lex_state = 5},
  [9137] = {.lex_state = 95, .external_lex_state = 5},
  [9138] = {.lex_state = 275, .external_lex_state = 5},
  [9139] = {.lex_state = 1290, .external_lex_state = 5},
  [9140] = {.lex_state = 275, .external_lex_state = 5},
  [9141] = {.lex_state = 1290, .external_lex_state = 5},
  [9142] = {.lex_state = 268, .external_lex_state = 5},
  [9143] = {.lex_state = 275, .external_lex_state = 5},
  [9144] = {.lex_state = 95, .external_lex_state = 5},
  [9145] = {.lex_state = 95, .external_lex_state = 5},
  [9146] = {.lex_state = 275, .external_lex_state = 5},
  [9147] = {.lex_state = 275, .external_lex_state = 5},
  [9148] = {.lex_state = 95, .external_lex_state = 5},
  [9149] = {.lex_state = 275, .external_lex_state = 5},
  [9150] = {.lex_state = 275, .external_lex_state = 5},
  [9151] = {.lex_state = 95, .external_lex_state = 5},
  [9152] = {.lex_state = 95, .external_lex_state = 5},
  [9153] = {.lex_state = 1290, .external_lex_state = 5},
  [9154] = {.lex_state = 1290, .external_lex_state = 5},
  [9155] = {.lex_state = 1290, .external_lex_state = 5},
  [9156] = {.lex_state = 1290, .external_lex_state = 5},
  [9157] = {.lex_state = 1290, .external_lex_state = 5},
  [9158] = {.lex_state = 1290, .external_lex_state = 5},
  [9159] = {.lex_state = 1290, .external_lex_state = 5},
  [9160] = {.lex_state = 275, .external_lex_state = 5},
  [9161] = {.lex_state = 275, .external_lex_state = 5},
  [9162] = {.lex_state = 268, .external_lex_state = 5},
  [9163] = {.lex_state = 275, .external_lex_state = 5},
  [9164] = {.lex_state = 1290, .external_lex_state = 5},
  [9165] = {.lex_state = 275, .external_lex_state = 5},
  [9166] = {.lex_state = 275, .external_lex_state = 5},
  [9167] = {.lex_state = 275, .external_lex_state = 5},
  [9168] = {.lex_state = 275, .external_lex_state = 5},
  [9169] = {.lex_state = 275, .external_lex_state = 5},
  [9170] = {.lex_state = 275, .external_lex_state = 5},
  [9171] = {.lex_state = 275, .external_lex_state = 5},
  [9172] = {.lex_state = 268, .external_lex_state = 5},
  [9173] = {.lex_state = 104, .external_lex_state = 5},
  [9174] = {.lex_state = 1290, .external_lex_state = 5},
  [9175] = {.lex_state = 1290, .external_lex_state = 5},
  [9176] = {.lex_state = 1290, .external_lex_state = 5},
  [9177] = {.lex_state = 275, .external_lex_state = 5},
  [9178] = {.lex_state = 275, .external_lex_state = 5},
  [9179] = {.lex_state = 275, .external_lex_state = 5},
  [9180] = {.lex_state = 95, .external_lex_state = 5},
  [9181] = {.lex_state = 1290, .external_lex_state = 5},
  [9182] = {.lex_state = 95, .external_lex_state = 5},
  [9183] = {.lex_state = 1290, .external_lex_state = 5},
  [9184] = {.lex_state = 1290, .external_lex_state = 5},
  [9185] = {.lex_state = 275, .external_lex_state = 5},
  [9186] = {.lex_state = 268, .external_lex_state = 5},
  [9187] = {.lex_state = 275, .external_lex_state = 5},
  [9188] = {.lex_state = 275, .external_lex_state = 5},
  [9189] = {.lex_state = 1290, .external_lex_state = 5},
  [9190] = {.lex_state = 275, .external_lex_state = 5},
  [9191] = {.lex_state = 1290, .external_lex_state = 5},
  [9192] = {.lex_state = 95, .external_lex_state = 5},
  [9193] = {.lex_state = 275, .external_lex_state = 5},
  [9194] = {.lex_state = 275, .external_lex_state = 5},
  [9195] = {.lex_state = 95, .external_lex_state = 5},
  [9196] = {.lex_state = 1290, .external_lex_state = 5},
  [9197] = {.lex_state = 275, .external_lex_state = 5},
  [9198] = {.lex_state = 275, .external_lex_state = 5},
  [9199] = {.lex_state = 268, .external_lex_state = 5},
  [9200] = {.lex_state = 275, .external_lex_state = 5},
  [9201] = {.lex_state = 294, .external_lex_state = 5},
  [9202] = {.lex_state = 275, .external_lex_state = 5},
  [9203] = {.lex_state = 268, .external_lex_state = 5},
  [9204] = {.lex_state = 268, .external_lex_state = 5},
  [9205] = {.lex_state = 275, .external_lex_state = 5},
  [9206] = {.lex_state = 1290, .external_lex_state = 5},
  [9207] = {.lex_state = 275, .external_lex_state = 5},
  [9208] = {.lex_state = 275, .external_lex_state = 5},
  [9209] = {.lex_state = 275, .external_lex_state = 5},
  [9210] = {.lex_state = 275, .external_lex_state = 5},
  [9211] = {.lex_state = 275, .external_lex_state = 5},
  [9212] = {.lex_state = 275, .external_lex_state = 5},
  [9213] = {.lex_state = 275, .external_lex_state = 5},
  [9214] = {.lex_state = 268, .external_lex_state = 5},
  [9215] = {.lex_state = 275, .external_lex_state = 5},
  [9216] = {.lex_state = 95, .external_lex_state = 5},
  [9217] = {.lex_state = 275, .external_lex_state = 5},
  [9218] = {.lex_state = 95, .external_lex_state = 5},
  [9219] = {.lex_state = 275, .external_lex_state = 5},
  [9220] = {.lex_state = 275, .external_lex_state = 5},
  [9221] = {.lex_state = 275, .external_lex_state = 5},
  [9222] = {.lex_state = 95, .external_lex_state = 5},
  [9223] = {.lex_state = 275, .external_lex_state = 5},
  [9224] = {.lex_state = 111, .external_lex_state = 5},
  [9225] = {.lex_state = 95, .external_lex_state = 5},
  [9226] = {.lex_state = 275, .external_lex_state = 5},
  [9227] = {.lex_state = 275, .external_lex_state = 5},
  [9228] = {.lex_state = 1290, .external_lex_state = 5},
  [9229] = {.lex_state = 268, .external_lex_state = 5},
  [9230] = {.lex_state = 275, .external_lex_state = 5},
  [9231] = {.lex_state = 275, .external_lex_state = 5},
  [9232] = {.lex_state = 104, .external_lex_state = 5},
  [9233] = {.lex_state = 1290, .external_lex_state = 5},
  [9234] = {.lex_state = 268, .external_lex_state = 5},
  [9235] = {.lex_state = 1290, .external_lex_state = 5},
  [9236] = {.lex_state = 275, .external_lex_state = 5},
  [9237] = {.lex_state = 275, .external_lex_state = 5},
  [9238] = {.lex_state = 275, .external_lex_state = 5},
  [9239] = {.lex_state = 332, .external_lex_state = 5},
  [9240] = {.lex_state = 275, .external_lex_state = 5},
  [9241] = {.lex_state = 275, .external_lex_state = 5},
  [9242] = {.lex_state = 104, .external_lex_state = 5},
  [9243] = {.lex_state = 268, .external_lex_state = 5},
  [9244] = {.lex_state = 275, .external_lex_state = 5},
  [9245] = {.lex_state = 275, .external_lex_state = 5},
  [9246] = {.lex_state = 275, .external_lex_state = 5},
  [9247] = {.lex_state = 95, .external_lex_state = 5},
  [9248] = {.lex_state = 268, .external_lex_state = 5},
  [9249] = {.lex_state = 275, .external_lex_state = 5},
  [9250] = {.lex_state = 95, .external_lex_state = 5},
  [9251] = {.lex_state = 275, .external_lex_state = 5},
  [9252] = {.lex_state = 275, .external_lex_state = 5},
  [9253] = {.lex_state = 275, .external_lex_state = 5},
  [9254] = {.lex_state = 268, .external_lex_state = 5},
  [9255] = {.lex_state = 275, .external_lex_state = 5},
  [9256] = {.lex_state = 275, .external_lex_state = 5},
  [9257] = {.lex_state = 275, .external_lex_state = 5},
  [9258] = {.lex_state = 275, .external_lex_state = 5},
  [9259] = {.lex_state = 1290, .external_lex_state = 5},
  [9260] = {.lex_state = 1290, .external_lex_state = 5},
  [9261] = {.lex_state = 275, .external_lex_state = 5},
  [9262] = {.lex_state = 275, .external_lex_state = 5},
  [9263] = {.lex_state = 275, .external_lex_state = 5},
  [9264] = {.lex_state = 275, .external_lex_state = 5},
  [9265] = {.lex_state = 1290, .external_lex_state = 5},
  [9266] = {.lex_state = 275, .external_lex_state = 5},
  [9267] = {.lex_state = 275, .external_lex_state = 5},
  [9268] = {.lex_state = 275, .external_lex_state = 5},
  [9269] = {.lex_state = 95, .external_lex_state = 5},
  [9270] = {.lex_state = 275, .external_lex_state = 5},
  [9271] = {.lex_state = 95, .external_lex_state = 5},
  [9272] = {.lex_state = 275, .external_lex_state = 5},
  [9273] = {.lex_state = 294, .external_lex_state = 5},
  [9274] = {.lex_state = 275, .external_lex_state = 5},
  [9275] = {.lex_state = 268, .external_lex_state = 5},
  [9276] = {.lex_state = 275, .external_lex_state = 5},
  [9277] = {.lex_state = 275, .external_lex_state = 5},
  [9278] = {.lex_state = 111, .external_lex_state = 5},
  [9279] = {.lex_state = 275, .external_lex_state = 5},
  [9280] = {.lex_state = 275, .external_lex_state = 5},
  [9281] = {.lex_state = 104, .external_lex_state = 5},
  [9282] = {.lex_state = 104, .external_lex_state = 5},
  [9283] = {.lex_state = 275, .external_lex_state = 5},
  [9284] = {.lex_state = 1290, .external_lex_state = 5},
  [9285] = {.lex_state = 275, .external_lex_state = 5},
  [9286] = {.lex_state = 275, .external_lex_state = 5},
  [9287] = {.lex_state = 275, .external_lex_state = 5},
  [9288] = {.lex_state = 275, .external_lex_state = 5},
  [9289] = {.lex_state = 95, .external_lex_state = 5},
  [9290] = {.lex_state = 95, .external_lex_state = 5},
  [9291] = {.lex_state = 1290, .external_lex_state = 5},
  [9292] = {.lex_state = 275, .external_lex_state = 5},
  [9293] = {.lex_state = 275, .external_lex_state = 5},
  [9294] = {.lex_state = 268, .external_lex_state = 5},
  [9295] = {.lex_state = 275, .external_lex_state = 5},
  [9296] = {.lex_state = 275, .external_lex_state = 5},
  [9297] = {.lex_state = 95, .external_lex_state = 5},
  [9298] = {.lex_state = 275, .external_lex_state = 5},
  [9299] = {.lex_state = 275, .external_lex_state = 5},
  [9300] = {.lex_state = 275, .external_lex_state = 5},
  [9301] = {.lex_state = 275, .external_lex_state = 5},
  [9302] = {.lex_state = 275, .external_lex_state = 5},
  [9303] = {.lex_state = 275, .external_lex_state = 5},
  [9304] = {.lex_state = 275, .external_lex_state = 5},
  [9305] = {.lex_state = 1290, .external_lex_state = 5},
  [9306] = {.lex_state = 95, .external_lex_state = 5},
  [9307] = {.lex_state = 1290, .external_lex_state = 5},
  [9308] = {.lex_state = 275, .external_lex_state = 5},
  [9309] = {.lex_state = 1290, .external_lex_state = 5},
  [9310] = {.lex_state = 275, .external_lex_state = 5},
  [9311] = {.lex_state = 1290, .external_lex_state = 5},
  [9312] = {.lex_state = 275, .external_lex_state = 5},
  [9313] = {.lex_state = 275, .external_lex_state = 5},
  [9314] = {.lex_state = 275, .external_lex_state = 5},
  [9315] = {.lex_state = 268, .external_lex_state = 5},
  [9316] = {.lex_state = 294, .external_lex_state = 5},
  [9317] = {.lex_state = 1290, .external_lex_state = 5},
  [9318] = {.lex_state = 275, .external_lex_state = 5},
  [9319] = {.lex_state = 275, .external_lex_state = 5},
  [9320] = {.lex_state = 1290, .external_lex_state = 5},
  [9321] = {.lex_state = 95, .external_lex_state = 5},
  [9322] = {.lex_state = 275, .external_lex_state = 5},
  [9323] = {.lex_state = 275, .external_lex_state = 5},
  [9324] = {.lex_state = 275, .external_lex_state = 5},
  [9325] = {.lex_state = 111, .external_lex_state = 5},
  [9326] = {.lex_state = 1290, .external_lex_state = 13},
  [9327] = {.lex_state = 1290, .external_lex_state = 13},
  [9328] = {.lex_state = 275, .external_lex_state = 5},
  [9329] = {.lex_state = 111, .external_lex_state = 5},
  [9330] = {.lex_state = 268, .external_lex_state = 5},
  [9331] = {.lex_state = 275, .external_lex_state = 5},
  [9332] = {.lex_state = 268, .external_lex_state = 5},
  [9333] = {.lex_state = 111, .external_lex_state = 5},
  [9334] = {.lex_state = 1290, .external_lex_state = 5},
  [9335] = {.lex_state = 95, .external_lex_state = 5},
  [9336] = {.lex_state = 1290, .external_lex_state = 5},
  [9337] = {.lex_state = 275, .external_lex_state = 5},
  [9338] = {.lex_state = 104, .external_lex_state = 5},
  [9339] = {.lex_state = 275, .external_lex_state = 5},
  [9340] = {.lex_state = 275, .external_lex_state = 5},
  [9341] = {.lex_state = 275, .external_lex_state = 5},
  [9342] = {.lex_state = 275, .external_lex_state = 5},
  [9343] = {.lex_state = 275, .external_lex_state = 5},
  [9344] = {.lex_state = 275, .external_lex_state = 5},
  [9345] = {.lex_state = 95, .external_lex_state = 5},
  [9346] = {.lex_state = 104, .external_lex_state = 5},
  [9347] = {.lex_state = 95, .external_lex_state = 5},
  [9348] = {.lex_state = 95, .external_lex_state = 5},
  [9349] = {.lex_state = 275, .external_lex_state = 5},
  [9350] = {.lex_state = 275, .external_lex_state = 5},
  [9351] = {.lex_state = 1290, .external_lex_state = 5},
  [9352] = {.lex_state = 275, .external_lex_state = 5},
  [9353] = {.lex_state = 1290, .external_lex_state = 5},
  [9354] = {.lex_state = 275, .external_lex_state = 5},
  [9355] = {.lex_state = 275, .external_lex_state = 5},
  [9356] = {.lex_state = 1290, .external_lex_state = 5},
  [9357] = {.lex_state = 95, .external_lex_state = 5},
  [9358] = {.lex_state = 1290, .external_lex_state = 5},
  [9359] = {.lex_state = 275, .external_lex_state = 5},
  [9360] = {.lex_state = 275, .external_lex_state = 5},
  [9361] = {.lex_state = 111, .external_lex_state = 5},
  [9362] = {.lex_state = 1290, .external_lex_state = 5},
  [9363] = {.lex_state = 275, .external_lex_state = 5},
  [9364] = {.lex_state = 275, .external_lex_state = 5},
  [9365] = {.lex_state = 275, .external_lex_state = 5},
  [9366] = {.lex_state = 95, .external_lex_state = 5},
  [9367] = {.lex_state = 1290, .external_lex_state = 5},
  [9368] = {.lex_state = 275, .external_lex_state = 5},
  [9369] = {.lex_state = 275, .external_lex_state = 5},
  [9370] = {.lex_state = 275, .external_lex_state = 5},
  [9371] = {.lex_state = 104, .external_lex_state = 5},
  [9372] = {.lex_state = 275, .external_lex_state = 5},
  [9373] = {.lex_state = 95, .external_lex_state = 5},
  [9374] = {.lex_state = 1290, .external_lex_state = 5},
  [9375] = {.lex_state = 1290, .external_lex_state = 5},
  [9376] = {.lex_state = 275, .external_lex_state = 5},
  [9377] = {.lex_state = 95, .external_lex_state = 5},
  [9378] = {.lex_state = 1290, .external_lex_state = 5},
  [9379] = {.lex_state = 268, .external_lex_state = 5},
  [9380] = {.lex_state = 95, .external_lex_state = 5},
  [9381] = {.lex_state = 1290, .external_lex_state = 5},
  [9382] = {.lex_state = 104, .external_lex_state = 5},
  [9383] = {.lex_state = 275, .external_lex_state = 5},
  [9384] = {.lex_state = 275, .external_lex_state = 5},
  [9385] = {.lex_state = 111, .external_lex_state = 5},
  [9386] = {.lex_state = 275, .external_lex_state = 5},
  [9387] = {.lex_state = 95, .external_lex_state = 5},
  [9388] = {.lex_state = 275, .external_lex_state = 5},
  [9389] = {.lex_state = 275, .external_lex_state = 5},
  [9390] = {.lex_state = 1290, .external_lex_state = 13},
  [9391] = {.lex_state = 111, .external_lex_state = 5},
  [9392] = {.lex_state = 104, .external_lex_state = 5},
  [9393] = {.lex_state = 275, .external_lex_state = 5},
  [9394] = {.lex_state = 95, .external_lex_state = 5},
  [9395] = {.lex_state = 297, .external_lex_state = 5},
  [9396] = {.lex_state = 268, .external_lex_state = 5},
  [9397] = {.lex_state = 268, .external_lex_state = 5},
  [9398] = {.lex_state = 1290, .external_lex_state = 5},
  [9399] = {.lex_state = 275, .external_lex_state = 5},
  [9400] = {.lex_state = 95, .external_lex_state = 5},
  [9401] = {.lex_state = 104, .external_lex_state = 5},
  [9402] = {.lex_state = 275, .external_lex_state = 5},
  [9403] = {.lex_state = 1290, .external_lex_state = 5},
  [9404] = {.lex_state = 1290, .external_lex_state = 5},
  [9405] = {.lex_state = 275, .external_lex_state = 5},
  [9406] = {.lex_state = 275, .external_lex_state = 5},
  [9407] = {.lex_state = 268, .external_lex_state = 5},
  [9408] = {.lex_state = 275, .external_lex_state = 5},
  [9409] = {.lex_state = 275, .external_lex_state = 5},
  [9410] = {.lex_state = 275, .external_lex_state = 5},
  [9411] = {.lex_state = 275, .external_lex_state = 5},
  [9412] = {.lex_state = 294, .external_lex_state = 5},
  [9413] = {.lex_state = 275, .external_lex_state = 5},
  [9414] = {.lex_state = 275, .external_lex_state = 5},
  [9415] = {.lex_state = 275, .external_lex_state = 5},
  [9416] = {.lex_state = 275, .external_lex_state = 5},
  [9417] = {.lex_state = 268, .external_lex_state = 5},
  [9418] = {.lex_state = 275, .external_lex_state = 5},
  [9419] = {.lex_state = 275, .external_lex_state = 5},
  [9420] = {.lex_state = 275, .external_lex_state = 5},
  [9421] = {.lex_state = 275, .external_lex_state = 5},
  [9422] = {.lex_state = 275, .external_lex_state = 5},
  [9423] = {.lex_state = 111, .external_lex_state = 5},
  [9424] = {.lex_state = 1290, .external_lex_state = 5},
  [9425] = {.lex_state = 275, .external_lex_state = 5},
  [9426] = {.lex_state = 104, .external_lex_state = 5},
  [9427] = {.lex_state = 275, .external_lex_state = 5},
  [9428] = {.lex_state = 275, .external_lex_state = 5},
  [9429] = {.lex_state = 275, .external_lex_state = 5},
  [9430] = {.lex_state = 275, .external_lex_state = 5},
  [9431] = {.lex_state = 1290, .external_lex_state = 5},
  [9432] = {.lex_state = 275, .external_lex_state = 5},
  [9433] = {.lex_state = 275, .external_lex_state = 5},
  [9434] = {.lex_state = 275, .external_lex_state = 5},
  [9435] = {.lex_state = 1290, .external_lex_state = 5},
  [9436] = {.lex_state = 275, .external_lex_state = 5},
  [9437] = {.lex_state = 104, .external_lex_state = 5},
  [9438] = {.lex_state = 268, .external_lex_state = 5},
  [9439] = {.lex_state = 275, .external_lex_state = 5},
  [9440] = {.lex_state = 104, .external_lex_state = 5},
  [9441] = {.lex_state = 275, .external_lex_state = 5},
  [9442] = {.lex_state = 275, .external_lex_state = 5},
  [9443] = {.lex_state = 275, .external_lex_state = 5},
  [9444] = {.lex_state = 275, .external_lex_state = 5},
  [9445] = {.lex_state = 275, .external_lex_state = 5},
  [9446] = {.lex_state = 275, .external_lex_state = 5},
  [9447] = {.lex_state = 275, .external_lex_state = 5},
  [9448] = {.lex_state = 275, .external_lex_state = 5},
  [9449] = {.lex_state = 294, .external_lex_state = 5},
  [9450] = {.lex_state = 275, .external_lex_state = 5},
  [9451] = {.lex_state = 294, .external_lex_state = 5},
  [9452] = {.lex_state = 104, .external_lex_state = 5},
  [9453] = {.lex_state = 275, .external_lex_state = 5},
  [9454] = {.lex_state = 275, .external_lex_state = 5},
  [9455] = {.lex_state = 268, .external_lex_state = 5},
  [9456] = {.lex_state = 275, .external_lex_state = 5},
  [9457] = {.lex_state = 294, .external_lex_state = 5},
  [9458] = {.lex_state = 275, .external_lex_state = 5},
  [9459] = {.lex_state = 275, .external_lex_state = 5},
  [9460] = {.lex_state = 275, .external_lex_state = 5},
  [9461] = {.lex_state = 275, .external_lex_state = 5},
  [9462] = {.lex_state = 275, .external_lex_state = 5},
  [9463] = {.lex_state = 275, .external_lex_state = 5},
  [9464] = {.lex_state = 275, .external_lex_state = 5},
  [9465] = {.lex_state = 294, .external_lex_state = 5},
  [9466] = {.lex_state = 294, .external_lex_state = 5},
  [9467] = {.lex_state = 275, .external_lex_state = 5},
  [9468] = {.lex_state = 294, .external_lex_state = 5},
  [9469] = {.lex_state = 294, .external_lex_state = 5},
  [9470] = {.lex_state = 294, .external_lex_state = 5},
  [9471] = {.lex_state = 275, .external_lex_state = 5},
  [9472] = {.lex_state = 294, .external_lex_state = 5},
  [9473] = {.lex_state = 294, .external_lex_state = 5},
  [9474] = {.lex_state = 268, .external_lex_state = 5},
  [9475] = {.lex_state = 275, .external_lex_state = 5},
  [9476] = {.lex_state = 275, .external_lex_state = 5},
  [9477] = {.lex_state = 294, .external_lex_state = 5},
  [9478] = {.lex_state = 104, .external_lex_state = 5},
  [9479] = {.lex_state = 104, .external_lex_state = 5},
  [9480] = {.lex_state = 275, .external_lex_state = 5},
  [9481] = {.lex_state = 1290, .external_lex_state = 5},
  [9482] = {.lex_state = 104, .external_lex_state = 5},
  [9483] = {.lex_state = 275, .external_lex_state = 5},
  [9484] = {.lex_state = 268, .external_lex_state = 5},
  [9485] = {.lex_state = 111, .external_lex_state = 5},
  [9486] = {.lex_state = 1290, .external_lex_state = 5},
  [9487] = {.lex_state = 275, .external_lex_state = 5},
  [9488] = {.lex_state = 275, .external_lex_state = 5},
  [9489] = {.lex_state = 224, .external_lex_state = 5},
  [9490] = {.lex_state = 104, .external_lex_state = 5},
  [9491] = {.lex_state = 275, .external_lex_state = 5},
  [9492] = {.lex_state = 275, .external_lex_state = 5},
  [9493] = {.lex_state = 294, .external_lex_state = 5},
  [9494] = {.lex_state = 275, .external_lex_state = 5},
  [9495] = {.lex_state = 1290, .external_lex_state = 5},
  [9496] = {.lex_state = 268, .external_lex_state = 5},
  [9497] = {.lex_state = 275, .external_lex_state = 5},
  [9498] = {.lex_state = 104, .external_lex_state = 5},
  [9499] = {.lex_state = 95, .external_lex_state = 5},
  [9500] = {.lex_state = 275, .external_lex_state = 5},
  [9501] = {.lex_state = 275, .external_lex_state = 5},
  [9502] = {.lex_state = 275, .external_lex_state = 5},
  [9503] = {.lex_state = 275, .external_lex_state = 5},
  [9504] = {.lex_state = 275, .external_lex_state = 5},
  [9505] = {.lex_state = 275, .external_lex_state = 5},
  [9506] = {.lex_state = 275, .external_lex_state = 5},
  [9507] = {.lex_state = 95, .external_lex_state = 5},
  [9508] = {.lex_state = 275, .external_lex_state = 5},
  [9509] = {.lex_state = 1290, .external_lex_state = 5},
  [9510] = {.lex_state = 275, .external_lex_state = 5},
  [9511] = {.lex_state = 275, .external_lex_state = 5},
  [9512] = {.lex_state = 275, .external_lex_state = 5},
  [9513] = {.lex_state = 294, .external_lex_state = 5},
  [9514] = {.lex_state = 294, .external_lex_state = 5},
  [9515] = {.lex_state = 294, .external_lex_state = 5},
  [9516] = {.lex_state = 104, .external_lex_state = 5},
  [9517] = {.lex_state = 275, .external_lex_state = 5},
  [9518] = {.lex_state = 1290, .external_lex_state = 13},
  [9519] = {.lex_state = 329, .external_lex_state = 5},
  [9520] = {.lex_state = 1290, .external_lex_state = 5},
  [9521] = {.lex_state = 275, .external_lex_state = 5},
  [9522] = {.lex_state = 275, .external_lex_state = 5},
  [9523] = {.lex_state = 275, .external_lex_state = 5},
  [9524] = {.lex_state = 275, .external_lex_state = 5},
  [9525] = {.lex_state = 275, .external_lex_state = 5},
  [9526] = {.lex_state = 275, .external_lex_state = 5},
  [9527] = {.lex_state = 275, .external_lex_state = 5},
  [9528] = {.lex_state = 275, .external_lex_state = 5},
  [9529] = {.lex_state = 111, .external_lex_state = 5},
  [9530] = {.lex_state = 1290, .external_lex_state = 5},
  [9531] = {.lex_state = 1290, .external_lex_state = 5},
  [9532] = {.lex_state = 275, .external_lex_state = 5},
  [9533] = {.lex_state = 275, .external_lex_state = 5},
  [9534] = {.lex_state = 1290, .external_lex_state = 13},
  [9535] = {.lex_state = 275, .external_lex_state = 5},
  [9536] = {.lex_state = 275, .external_lex_state = 5},
  [9537] = {.lex_state = 111, .external_lex_state = 5},
  [9538] = {.lex_state = 275, .external_lex_state = 5},
  [9539] = {.lex_state = 275, .external_lex_state = 5},
  [9540] = {.lex_state = 275, .external_lex_state = 5},
  [9541] = {.lex_state = 104, .external_lex_state = 5},
  [9542] = {.lex_state = 275, .external_lex_state = 5},
  [9543] = {.lex_state = 275, .external_lex_state = 5},
  [9544] = {.lex_state = 1290, .external_lex_state = 5},
  [9545] = {.lex_state = 1290, .external_lex_state = 5},
  [9546] = {.lex_state = 275, .external_lex_state = 5},
  [9547] = {.lex_state = 275, .external_lex_state = 5},
  [9548] = {.lex_state = 95, .external_lex_state = 5},
  [9549] = {.lex_state = 1290, .external_lex_state = 5},
  [9550] = {.lex_state = 275, .external_lex_state = 5},
  [9551] = {.lex_state = 1290, .external_lex_state = 5},
  [9552] = {.lex_state = 1290, .external_lex_state = 5},
  [9553] = {.lex_state = 1290, .external_lex_state = 5},
  [9554] = {.lex_state = 275, .external_lex_state = 5},
  [9555] = {.lex_state = 268, .external_lex_state = 5},
  [9556] = {.lex_state = 268, .external_lex_state = 5},
  [9557] = {.lex_state = 275, .external_lex_state = 5},
  [9558] = {.lex_state = 275, .external_lex_state = 5},
  [9559] = {.lex_state = 95, .external_lex_state = 5},
  [9560] = {.lex_state = 275, .external_lex_state = 5},
  [9561] = {.lex_state = 275, .external_lex_state = 5},
  [9562] = {.lex_state = 294, .external_lex_state = 5},
  [9563] = {.lex_state = 294, .external_lex_state = 5},
  [9564] = {.lex_state = 294, .external_lex_state = 5},
  [9565] = {.lex_state = 294, .external_lex_state = 5},
  [9566] = {.lex_state = 294, .external_lex_state = 5},
  [9567] = {.lex_state = 294, .external_lex_state = 5},
  [9568] = {.lex_state = 294, .external_lex_state = 5},
  [9569] = {.lex_state = 294, .external_lex_state = 5},
  [9570] = {.lex_state = 268, .external_lex_state = 5},
  [9571] = {.lex_state = 275, .external_lex_state = 5},
  [9572] = {.lex_state = 268, .external_lex_state = 5},
  [9573] = {.lex_state = 275, .external_lex_state = 5},
  [9574] = {.lex_state = 275, .external_lex_state = 5},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [sym_preproc_comment] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [aux_sym_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token2] = ACTIONS(1),
    [aux_sym_module_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_statement_token1] = ACTIONS(1),
    [aux_sym_submodule_statement_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_interface_statement_token1] = ACTIONS(1),
    [aux_sym_end_interface_statement_token1] = ACTIONS(1),
    [aux_sym_block_data_statement_token1] = ACTIONS(1),
    [aux_sym_block_data_statement_token2] = ACTIONS(1),
    [aux_sym_block_data_statement_token3] = ACTIONS(1),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(1),
    [aux_sym_assignment_token1] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_operator_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token4] = ACTIONS(1),
    [aux_sym_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_function_statement_token1] = ACTIONS(1),
    [aux_sym_language_binding_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token2] = ACTIONS(1),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1),
    [aux_sym_procedure_attributes_token4] = ACTIONS(1),
    [aux_sym_procedure_attributes_token5] = ACTIONS(1),
    [aux_sym_end_function_statement_token1] = ACTIONS(1),
    [aux_sym_function_result_token1] = ACTIONS(1),
    [aux_sym_contains_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token2] = ACTIONS(1),
    [aux_sym_use_statement_token3] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_included_items_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_implicit_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_statement_token2] = ACTIONS(1),
    [aux_sym_implicit_statement_token3] = ACTIONS(1),
    [aux_sym_implicit_statement_token4] = ACTIONS(1),
    [aux_sym_save_statement_token1] = ACTIONS(1),
    [aux_sym_private_statement_token1] = ACTIONS(1),
    [aux_sym_public_statement_token1] = ACTIONS(1),
    [aux_sym_namelist_statement_token1] = ACTIONS(1),
    [aux_sym_common_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_range_token1] = ACTIONS(1),
    [aux_sym_import_statement_token1] = ACTIONS(1),
    [aux_sym__import_names_token1] = ACTIONS(1),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1),
    [aux_sym_base_type_specifier_token1] = ACTIONS(1),
    [aux_sym_end_type_statement_token1] = ACTIONS(1),
    [aux_sym_procedure_kind_token1] = ACTIONS(1),
    [aux_sym_procedure_kind_token2] = ACTIONS(1),
    [aux_sym_procedure_kind_token3] = ACTIONS(1),
    [aux_sym_procedure_kind_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token1] = ACTIONS(1),
    [aux_sym_procedure_attribute_token2] = ACTIONS(1),
    [aux_sym_procedure_attribute_token3] = ACTIONS(1),
    [aux_sym_procedure_attribute_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token5] = ACTIONS(1),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1),
    [aux_sym_variable_attributes_token1] = ACTIONS(1),
    [aux_sym_variable_attributes_token2] = ACTIONS(1),
    [aux_sym_variable_attributes_token3] = ACTIONS(1),
    [aux_sym_variable_attributes_token4] = ACTIONS(1),
    [aux_sym_variable_attributes_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1),
    [aux_sym__intrinsic_type_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1),
    [aux_sym_derived_type_token1] = ACTIONS(1),
    [aux_sym_declared_type_token1] = ACTIONS(1),
    [aux_sym_declared_type_token2] = ACTIONS(1),
    [aux_sym_kind_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token7] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token8] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1),
    [aux_sym_type_qualifier_token1] = ACTIONS(1),
    [aux_sym_type_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(1),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token2] = ACTIONS(1),
    [aux_sym_stop_statement_token3] = ACTIONS(1),
    [aux_sym_subroutine_call_token1] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [aux_sym_keyword_statement_token1] = ACTIONS(1),
    [aux_sym_keyword_statement_token2] = ACTIONS(1),
    [aux_sym_keyword_statement_token3] = ACTIONS(1),
    [aux_sym_keyword_statement_token4] = ACTIONS(1),
    [aux_sym_keyword_statement_token5] = ACTIONS(1),
    [aux_sym_keyword_statement_token6] = ACTIONS(1),
    [aux_sym_keyword_statement_token7] = ACTIONS(1),
    [aux_sym_include_statement_token1] = ACTIONS(1),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_concurrent_header_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token2] = ACTIONS(1),
    [aux_sym_concurrent_locality_token3] = ACTIONS(1),
    [aux_sym_concurrent_locality_token4] = ACTIONS(1),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1),
    [aux_sym__block_if_statement_token1] = ACTIONS(1),
    [aux_sym_end_if_statement_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token2] = ACTIONS(1),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1),
    [aux_sym_end_where_statement_token1] = ACTIONS(1),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1),
    [aux_sym_end_forall_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token2] = ACTIONS(1),
    [aux_sym_select_case_statement_token3] = ACTIONS(1),
    [aux_sym_select_type_statement_token1] = ACTIONS(1),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1),
    [aux_sym_end_select_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token2] = ACTIONS(1),
    [aux_sym_type_statement_token3] = ACTIONS(1),
    [aux_sym__class_default_token1] = ACTIONS(1),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1),
    [aux_sym_associate_statement_token1] = ACTIONS(1),
    [aux_sym_end_associate_statement_token1] = ACTIONS(1),
    [aux_sym_format_statement_token1] = ACTIONS(1),
    [aux_sym_print_statement_token1] = ACTIONS(1),
    [aux_sym_open_statement_token1] = ACTIONS(1),
    [aux_sym_close_statement_token1] = ACTIONS(1),
    [aux_sym_inquire_statement_token1] = ACTIONS(1),
    [aux_sym_enum_statement_token1] = ACTIONS(1),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1),
    [aux_sym_enumerator_statement_token1] = ACTIONS(1),
    [aux_sym_end_enum_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token2] = ACTIONS(1),
    [aux_sym_file_position_statement_token3] = ACTIONS(1),
    [aux_sym_file_position_statement_token4] = ACTIONS(1),
    [aux_sym_allocate_statement_token1] = ACTIONS(1),
    [aux_sym_entry_statement_token1] = ACTIONS(1),
    [aux_sym_assign_statement_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token2] = ACTIONS(1),
    [aux_sym_logical_expression_token3] = ACTIONS(1),
    [aux_sym_logical_expression_token4] = ACTIONS(1),
    [aux_sym_logical_expression_token5] = ACTIONS(1),
    [aux_sym_relational_expression_token1] = ACTIONS(1),
    [aux_sym_relational_expression_token2] = ACTIONS(1),
    [aux_sym_relational_expression_token3] = ACTIONS(1),
    [aux_sym_relational_expression_token4] = ACTIONS(1),
    [aux_sym_relational_expression_token5] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [aux_sym_relational_expression_token6] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_assumed_rank] = ACTIONS(1),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1),
    [anon_sym_SLASH_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_boolean_literal_token1] = ACTIONS(1),
    [aux_sym_boolean_literal_token2] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [aux_sym__kind_token2] = ACTIONS(1),
    [aux_sym_null_literal_token1] = ACTIONS(1),
    [aux_sym_coarray_statement_token1] = ACTIONS(1),
    [aux_sym_coarray_statement_token2] = ACTIONS(1),
    [aux_sym_coarray_statement_token3] = ACTIONS(1),
    [aux_sym_coarray_statement_token4] = ACTIONS(1),
    [aux_sym_coarray_statement_token5] = ACTIONS(1),
    [aux_sym_coarray_statement_token6] = ACTIONS(1),
    [aux_sym_coarray_statement_token7] = ACTIONS(1),
    [aux_sym_coarray_statement_token8] = ACTIONS(1),
    [aux_sym_coarray_statement_token9] = ACTIONS(1),
    [aux_sym_coarray_statement_token10] = ACTIONS(1),
    [aux_sym_coarray_statement_token11] = ACTIONS(1),
    [aux_sym_coarray_statement_token12] = ACTIONS(1),
    [aux_sym_coarray_statement_token13] = ACTIONS(1),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(1),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [aux_sym_nil_literal_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__integer_literal] = ACTIONS(1),
    [sym__float_literal] = ACTIONS(1),
    [sym__boz_literal] = ACTIONS(1),
    [sym__string_literal] = ACTIONS(1),
    [sym__string_literal_kind] = ACTIONS(1),
    [sym__external_end_of_statement] = ACTIONS(1),
    [sym__preproc_unary_operator] = ACTIONS(1),
    [sym_hollerith_constant] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9378),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_preproc_if_in_specification_part] = STATE(267),
    [sym_preproc_ifdef_in_specification_part] = STATE(267),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym_program] = STATE(52),
    [sym_program_statement] = STATE(271),
    [sym_end_program_statement] = STATE(1163),
    [sym_module] = STATE(52),
    [sym_module_statement] = STATE(622),
    [sym_submodule] = STATE(52),
    [sym_submodule_statement] = STATE(623),
    [sym_interface] = STATE(52),
    [sym_interface_statement] = STATE(4688),
    [sym_block_data] = STATE(52),
    [sym_block_data_statement] = STATE(705),
    [sym_subroutine] = STATE(52),
    [sym_subroutine_statement] = STATE(238),
    [sym_function] = STATE(52),
    [sym_function_statement] = STATE(205),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7946),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(267),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(267),
    [sym_public_statement] = STATE(267),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(267),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(52),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(267),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(267),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_program_repeat1] = STATE(267),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(9236),
    [sym_preproc_elif] = STATE(9236),
    [sym_preproc_elifdef] = STATE(9236),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8991),
    [sym_preproc_elif_in_specification_part] = STATE(8991),
    [sym_preproc_elifdef_in_specification_part] = STATE(8991),
    [sym_preproc_if_in_statements] = STATE(318),
    [sym_preproc_ifdef_in_statements] = STATE(318),
    [sym_preproc_else_in_statements] = STATE(9146),
    [sym_preproc_elif_in_statements] = STATE(9146),
    [sym_preproc_elifdef_in_statements] = STATE(9146),
    [sym_program] = STATE(39),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(39),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(39),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(39),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(39),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(39),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(39),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6313),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(39),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(39),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(318),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(223),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_preproc_else] = STATE(8997),
    [sym_preproc_elif] = STATE(8997),
    [sym_preproc_elifdef] = STATE(8997),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8998),
    [sym_preproc_elif_in_specification_part] = STATE(8998),
    [sym_preproc_elifdef_in_specification_part] = STATE(8998),
    [sym_preproc_if_in_statements] = STATE(326),
    [sym_preproc_ifdef_in_statements] = STATE(326),
    [sym_preproc_else_in_statements] = STATE(9000),
    [sym_preproc_elif_in_statements] = STATE(9000),
    [sym_preproc_elifdef_in_statements] = STATE(9000),
    [sym_program] = STATE(40),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(40),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(40),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(40),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(40),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(40),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(40),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6353),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(40),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(40),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(133),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(326),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(239),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [4] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_preproc_else] = STATE(9446),
    [sym_preproc_elif] = STATE(9446),
    [sym_preproc_elifdef] = STATE(9446),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9461),
    [sym_preproc_elif_in_specification_part] = STATE(9461),
    [sym_preproc_elifdef_in_specification_part] = STATE(9461),
    [sym_preproc_if_in_statements] = STATE(319),
    [sym_preproc_ifdef_in_statements] = STATE(319),
    [sym_preproc_else_in_statements] = STATE(9237),
    [sym_preproc_elif_in_statements] = STATE(9237),
    [sym_preproc_elifdef_in_statements] = STATE(9237),
    [sym_program] = STATE(44),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(44),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(44),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(44),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(44),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(44),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(44),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6318),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(44),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(159),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(319),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [5] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8860),
    [sym_preproc_elif] = STATE(8860),
    [sym_preproc_elifdef] = STATE(8860),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9429),
    [sym_preproc_elif_in_specification_part] = STATE(9429),
    [sym_preproc_elifdef_in_specification_part] = STATE(9429),
    [sym_preproc_if_in_statements] = STATE(325),
    [sym_preproc_ifdef_in_statements] = STATE(325),
    [sym_preproc_else_in_statements] = STATE(9430),
    [sym_preproc_elif_in_statements] = STATE(9430),
    [sym_preproc_elifdef_in_statements] = STATE(9430),
    [sym_program] = STATE(34),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(34),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(34),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(34),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(34),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(34),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(34),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6331),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(34),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(34),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(177),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(325),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(247),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [6] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_preproc_else] = STATE(9446),
    [sym_preproc_elif] = STATE(9446),
    [sym_preproc_elifdef] = STATE(9446),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8991),
    [sym_preproc_elif_in_specification_part] = STATE(8991),
    [sym_preproc_elifdef_in_specification_part] = STATE(8991),
    [sym_preproc_if_in_statements] = STATE(318),
    [sym_preproc_ifdef_in_statements] = STATE(318),
    [sym_preproc_else_in_statements] = STATE(9146),
    [sym_preproc_elif_in_statements] = STATE(9146),
    [sym_preproc_elifdef_in_statements] = STATE(9146),
    [sym_program] = STATE(44),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(44),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(44),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(44),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(44),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(44),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(44),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6313),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(44),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(318),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [7] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8860),
    [sym_preproc_elif] = STATE(8860),
    [sym_preproc_elifdef] = STATE(8860),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8991),
    [sym_preproc_elif_in_specification_part] = STATE(8991),
    [sym_preproc_elifdef_in_specification_part] = STATE(8991),
    [sym_preproc_if_in_statements] = STATE(318),
    [sym_preproc_ifdef_in_statements] = STATE(318),
    [sym_preproc_else_in_statements] = STATE(9146),
    [sym_preproc_elif_in_statements] = STATE(9146),
    [sym_preproc_elifdef_in_statements] = STATE(9146),
    [sym_program] = STATE(34),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(34),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(34),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(34),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(34),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(34),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(34),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6313),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(34),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(34),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(318),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [8] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(9078),
    [sym_preproc_elif] = STATE(9078),
    [sym_preproc_elifdef] = STATE(9078),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(315),
    [sym_preproc_ifdef_in_statements] = STATE(315),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(30),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6322),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(30),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(315),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [9] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_preproc_else] = STATE(8523),
    [sym_preproc_elif] = STATE(8523),
    [sym_preproc_elifdef] = STATE(8523),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8761),
    [sym_preproc_elif_in_specification_part] = STATE(8761),
    [sym_preproc_elifdef_in_specification_part] = STATE(8761),
    [sym_preproc_if_in_statements] = STATE(316),
    [sym_preproc_ifdef_in_statements] = STATE(316),
    [sym_preproc_else_in_statements] = STATE(9022),
    [sym_preproc_elif_in_statements] = STATE(9022),
    [sym_preproc_elifdef_in_statements] = STATE(9022),
    [sym_program] = STATE(42),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(42),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(42),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(42),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(42),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(42),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(42),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6346),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(42),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(42),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(195),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(316),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [10] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_else] = STATE(8597),
    [sym_preproc_elif] = STATE(8597),
    [sym_preproc_elifdef] = STATE(8597),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8911),
    [sym_preproc_elif_in_specification_part] = STATE(8911),
    [sym_preproc_elifdef_in_specification_part] = STATE(8911),
    [sym_preproc_if_in_statements] = STATE(317),
    [sym_preproc_ifdef_in_statements] = STATE(317),
    [sym_preproc_else_in_statements] = STATE(9165),
    [sym_preproc_elif_in_statements] = STATE(9165),
    [sym_preproc_elifdef_in_statements] = STATE(9165),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(43),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6324),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(43),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(147),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(317),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [11] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_else] = STATE(9363),
    [sym_preproc_elif] = STATE(9363),
    [sym_preproc_elifdef] = STATE(9363),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(327),
    [sym_preproc_ifdef_in_statements] = STATE(327),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(45),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6358),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(45),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(327),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [12] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(9140),
    [sym_preproc_elif] = STATE(9140),
    [sym_preproc_elifdef] = STATE(9140),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(323),
    [sym_preproc_ifdef_in_statements] = STATE(323),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_program] = STATE(37),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(37),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(37),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(37),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(37),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(37),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(37),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6360),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(37),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(37),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(323),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [13] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8958),
    [sym_preproc_elif] = STATE(8958),
    [sym_preproc_elifdef] = STATE(8958),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8973),
    [sym_preproc_elif_in_specification_part] = STATE(8973),
    [sym_preproc_elifdef_in_specification_part] = STATE(8973),
    [sym_preproc_if_in_statements] = STATE(322),
    [sym_preproc_ifdef_in_statements] = STATE(322),
    [sym_preproc_else_in_statements] = STATE(9001),
    [sym_preproc_elif_in_statements] = STATE(9001),
    [sym_preproc_elifdef_in_statements] = STATE(9001),
    [sym_program] = STATE(33),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(33),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(33),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(33),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(33),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(33),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(33),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6357),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(33),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(33),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(162),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(322),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [14] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9406),
    [sym_preproc_elif] = STATE(9406),
    [sym_preproc_elifdef] = STATE(9406),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8520),
    [sym_preproc_elif_in_specification_part] = STATE(8520),
    [sym_preproc_elifdef_in_specification_part] = STATE(8520),
    [sym_preproc_if_in_statements] = STATE(314),
    [sym_preproc_ifdef_in_statements] = STATE(314),
    [sym_preproc_else_in_statements] = STATE(8762),
    [sym_preproc_elif_in_statements] = STATE(8762),
    [sym_preproc_elifdef_in_statements] = STATE(8762),
    [sym_program] = STATE(41),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(41),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(41),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(41),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(41),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(41),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(41),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6332),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(41),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(41),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(161),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(314),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [15] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(9512),
    [sym_preproc_elif] = STATE(9512),
    [sym_preproc_elifdef] = STATE(9512),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8525),
    [sym_preproc_elif_in_specification_part] = STATE(8525),
    [sym_preproc_elifdef_in_specification_part] = STATE(8525),
    [sym_preproc_if_in_statements] = STATE(313),
    [sym_preproc_ifdef_in_statements] = STATE(313),
    [sym_preproc_else_in_statements] = STATE(9194),
    [sym_preproc_elif_in_statements] = STATE(9194),
    [sym_preproc_elifdef_in_statements] = STATE(9194),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(29),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6333),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(29),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(163),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(313),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [16] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(9078),
    [sym_preproc_elif] = STATE(9078),
    [sym_preproc_elifdef] = STATE(9078),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8584),
    [sym_preproc_elif_in_specification_part] = STATE(8584),
    [sym_preproc_elifdef_in_specification_part] = STATE(8584),
    [sym_preproc_if_in_statements] = STATE(312),
    [sym_preproc_ifdef_in_statements] = STATE(312),
    [sym_preproc_else_in_statements] = STATE(9313),
    [sym_preproc_elif_in_statements] = STATE(9313),
    [sym_preproc_elifdef_in_statements] = STATE(9313),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(30),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6355),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(30),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(165),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(312),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [17] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(9083),
    [sym_preproc_elif] = STATE(9083),
    [sym_preproc_elifdef] = STATE(9083),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9454),
    [sym_preproc_elif_in_specification_part] = STATE(9454),
    [sym_preproc_elifdef_in_specification_part] = STATE(9454),
    [sym_preproc_if_in_statements] = STATE(321),
    [sym_preproc_ifdef_in_statements] = STATE(321),
    [sym_preproc_else_in_statements] = STATE(9459),
    [sym_preproc_elif_in_statements] = STATE(9459),
    [sym_preproc_elifdef_in_statements] = STATE(9459),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(35),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6347),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(35),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(178),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(321),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [18] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(9106),
    [sym_preproc_elif] = STATE(9106),
    [sym_preproc_elifdef] = STATE(9106),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9471),
    [sym_preproc_elif_in_specification_part] = STATE(9471),
    [sym_preproc_elifdef_in_specification_part] = STATE(9471),
    [sym_preproc_if_in_statements] = STATE(324),
    [sym_preproc_ifdef_in_statements] = STATE(324),
    [sym_preproc_else_in_statements] = STATE(9475),
    [sym_preproc_elif_in_statements] = STATE(9475),
    [sym_preproc_elifdef_in_statements] = STATE(9475),
    [sym_program] = STATE(27),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(27),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(27),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(27),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(27),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(27),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(27),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6323),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(27),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(27),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(179),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(324),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [19] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9209),
    [sym_preproc_elif] = STATE(9209),
    [sym_preproc_elifdef] = STATE(9209),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9503),
    [sym_preproc_elif_in_specification_part] = STATE(9503),
    [sym_preproc_elifdef_in_specification_part] = STATE(9503),
    [sym_preproc_if_in_statements] = STATE(320),
    [sym_preproc_ifdef_in_statements] = STATE(320),
    [sym_preproc_else_in_statements] = STATE(9505),
    [sym_preproc_elif_in_statements] = STATE(9505),
    [sym_preproc_elifdef_in_statements] = STATE(9505),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(38),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6391),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(38),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(180),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(320),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [20] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9406),
    [sym_preproc_elif] = STATE(9406),
    [sym_preproc_elifdef] = STATE(9406),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8761),
    [sym_preproc_elif_in_specification_part] = STATE(8761),
    [sym_preproc_elifdef_in_specification_part] = STATE(8761),
    [sym_preproc_if_in_statements] = STATE(316),
    [sym_preproc_ifdef_in_statements] = STATE(316),
    [sym_preproc_else_in_statements] = STATE(9022),
    [sym_preproc_elif_in_statements] = STATE(9022),
    [sym_preproc_elifdef_in_statements] = STATE(9022),
    [sym_program] = STATE(41),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(41),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(41),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(41),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(41),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(41),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(41),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6346),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(41),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(41),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(195),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(316),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [21] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(9512),
    [sym_preproc_elif] = STATE(9512),
    [sym_preproc_elifdef] = STATE(9512),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(323),
    [sym_preproc_ifdef_in_statements] = STATE(323),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(29),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6360),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(29),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(323),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [22] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9143),
    [sym_preproc_elif] = STATE(9143),
    [sym_preproc_elifdef] = STATE(9143),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(315),
    [sym_preproc_ifdef_in_statements] = STATE(315),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_program] = STATE(28),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(28),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(28),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(28),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(28),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(28),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(28),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6322),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(28),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(28),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(315),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [23] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(9083),
    [sym_preproc_elif] = STATE(9083),
    [sym_preproc_elifdef] = STATE(9083),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8761),
    [sym_preproc_elif_in_specification_part] = STATE(8761),
    [sym_preproc_elifdef_in_specification_part] = STATE(8761),
    [sym_preproc_if_in_statements] = STATE(316),
    [sym_preproc_ifdef_in_statements] = STATE(316),
    [sym_preproc_else_in_statements] = STATE(9022),
    [sym_preproc_elif_in_statements] = STATE(9022),
    [sym_preproc_elifdef_in_statements] = STATE(9022),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(35),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6346),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(35),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(195),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(316),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [24] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(9106),
    [sym_preproc_elif] = STATE(9106),
    [sym_preproc_elifdef] = STATE(9106),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(323),
    [sym_preproc_ifdef_in_statements] = STATE(323),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_program] = STATE(27),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(27),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(27),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(27),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(27),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(27),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(27),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6360),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(27),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(27),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(323),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [25] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9209),
    [sym_preproc_elif] = STATE(9209),
    [sym_preproc_elifdef] = STATE(9209),
    [sym_preproc_if_in_specification_part] = STATE(1331),
    [sym_preproc_ifdef_in_specification_part] = STATE(1331),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(315),
    [sym_preproc_ifdef_in_statements] = STATE(315),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(38),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(6322),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(1331),
    [sym_use_statement] = STATE(7476),
    [sym_implicit_statement] = STATE(7476),
    [sym_save_statement] = STATE(7476),
    [sym_private_statement] = STATE(1331),
    [sym_public_statement] = STATE(1331),
    [sym_namelist_statement] = STATE(7476),
    [sym_common_statement] = STATE(7476),
    [sym_import_statement] = STATE(7476),
    [sym_derived_type_definition] = STATE(1331),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4891),
    [sym_variable_declaration] = STATE(7476),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7476),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7476),
    [sym_equivalence_statement] = STATE(7476),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(951),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(8118),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(38),
    [sym_data_statement] = STATE(7476),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_enum] = STATE(1331),
    [sym_enum_statement] = STATE(6870),
    [sym_enumeration_type] = STATE(1331),
    [sym_enumeration_type_statement] = STATE(6983),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(315),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token2] = ACTIONS(291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(213),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(219),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(229),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(231),
    [aux_sym_public_statement_token1] = ACTIONS(233),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [26] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_preproc_else] = STATE(8997),
    [sym_preproc_elif] = STATE(8997),
    [sym_preproc_elifdef] = STATE(8997),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(40),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(40),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(40),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(40),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(40),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(40),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(40),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(40),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(40),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [27] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9221),
    [sym_preproc_elif] = STATE(9221),
    [sym_preproc_elifdef] = STATE(9221),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [28] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8892),
    [sym_preproc_elif] = STATE(8892),
    [sym_preproc_elifdef] = STATE(8892),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [29] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9163),
    [sym_preproc_elif] = STATE(9163),
    [sym_preproc_elifdef] = STATE(9163),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [30] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9525),
    [sym_preproc_elif] = STATE(9525),
    [sym_preproc_elifdef] = STATE(9525),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [31] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_else] = STATE(8597),
    [sym_preproc_elif] = STATE(8597),
    [sym_preproc_elifdef] = STATE(8597),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(43),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(43),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [32] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_else] = STATE(9363),
    [sym_preproc_elif] = STATE(9363),
    [sym_preproc_elifdef] = STATE(9363),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(45),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(45),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [33] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9017),
    [sym_preproc_elif] = STATE(9017),
    [sym_preproc_elifdef] = STATE(9017),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [34] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9106),
    [sym_preproc_elif] = STATE(9106),
    [sym_preproc_elifdef] = STATE(9106),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [35] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9209),
    [sym_preproc_elif] = STATE(9209),
    [sym_preproc_elifdef] = STATE(9209),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [36] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8958),
    [sym_preproc_elif] = STATE(8958),
    [sym_preproc_elifdef] = STATE(8958),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(33),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(33),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(33),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(33),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(33),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(33),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(33),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(33),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(33),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [37] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9350),
    [sym_preproc_elif] = STATE(9350),
    [sym_preproc_elifdef] = STATE(9350),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [38] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9303),
    [sym_preproc_elif] = STATE(9303),
    [sym_preproc_elifdef] = STATE(9303),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [39] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9140),
    [sym_preproc_elif] = STATE(9140),
    [sym_preproc_elifdef] = STATE(9140),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [40] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9363),
    [sym_preproc_elif] = STATE(9363),
    [sym_preproc_elifdef] = STATE(9363),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [41] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9078),
    [sym_preproc_elif] = STATE(9078),
    [sym_preproc_elifdef] = STATE(9078),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [42] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9143),
    [sym_preproc_elif] = STATE(9143),
    [sym_preproc_elifdef] = STATE(9143),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [43] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9093),
    [sym_preproc_elif] = STATE(9093),
    [sym_preproc_elifdef] = STATE(9093),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [44] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(9512),
    [sym_preproc_elif] = STATE(9512),
    [sym_preproc_elifdef] = STATE(9512),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [45] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8910),
    [sym_preproc_elif] = STATE(8910),
    [sym_preproc_elifdef] = STATE(8910),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(205),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(293),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(297),
    [aux_sym_preproc_else_token1] = ACTIONS(299),
    [aux_sym_preproc_elif_token1] = ACTIONS(301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(303),
    [sym_preproc_directive] = ACTIONS(221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(307),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(235),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [46] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_if_in_specification_part] = STATE(276),
    [sym_preproc_ifdef_in_specification_part] = STATE(276),
    [sym_preproc_if_in_statements] = STATE(779),
    [sym_preproc_ifdef_in_statements] = STATE(779),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(275),
    [sym_end_program_statement] = STATE(1057),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(626),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(615),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(4698),
    [sym_block_data] = STATE(46),
    [sym_block_data_statement] = STATE(708),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(202),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(203),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7295),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(276),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(276),
    [sym_public_statement] = STATE(276),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(276),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(46),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(276),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(276),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(779),
    [aux_sym_program_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(345),
    [aux_sym_preproc_def_token1] = ACTIONS(348),
    [aux_sym_preproc_if_token1] = ACTIONS(351),
    [aux_sym_preproc_if_token2] = ACTIONS(354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(356),
    [aux_sym_preproc_else_token1] = ACTIONS(354),
    [aux_sym_preproc_elif_token1] = ACTIONS(354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(354),
    [sym_preproc_directive] = ACTIONS(359),
    [anon_sym_LPAREN2] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(365),
    [anon_sym_DASH] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(368),
    [aux_sym_end_program_statement_token1] = ACTIONS(371),
    [aux_sym_end_program_statement_token2] = ACTIONS(374),
    [aux_sym_module_statement_token1] = ACTIONS(377),
    [aux_sym_submodule_statement_token1] = ACTIONS(380),
    [anon_sym_SEMI] = ACTIONS(383),
    [aux_sym_interface_statement_token1] = ACTIONS(386),
    [aux_sym_block_data_statement_token1] = ACTIONS(389),
    [aux_sym_block_data_statement_token2] = ACTIONS(392),
    [aux_sym_block_data_statement_token3] = ACTIONS(395),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(401),
    [aux_sym_subroutine_statement_token1] = ACTIONS(404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(407),
    [aux_sym_function_statement_token1] = ACTIONS(410),
    [aux_sym_language_binding_token1] = ACTIONS(413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(419),
    [aux_sym_contains_statement_token1] = ACTIONS(422),
    [aux_sym_use_statement_token1] = ACTIONS(425),
    [aux_sym_use_statement_token2] = ACTIONS(419),
    [aux_sym_implicit_statement_token1] = ACTIONS(428),
    [aux_sym_implicit_statement_token3] = ACTIONS(431),
    [aux_sym_implicit_statement_token4] = ACTIONS(419),
    [aux_sym_save_statement_token1] = ACTIONS(434),
    [aux_sym_private_statement_token1] = ACTIONS(437),
    [aux_sym_public_statement_token1] = ACTIONS(440),
    [aux_sym_namelist_statement_token1] = ACTIONS(443),
    [aux_sym_common_statement_token1] = ACTIONS(446),
    [aux_sym_import_statement_token1] = ACTIONS(449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(419),
    [aux_sym_abstract_specifier_token1] = ACTIONS(452),
    [aux_sym_procedure_attribute_token6] = ACTIONS(419),
    [aux_sym_variable_attributes_token1] = ACTIONS(455),
    [aux_sym_variable_attributes_token2] = ACTIONS(419),
    [aux_sym_variable_attributes_token3] = ACTIONS(419),
    [aux_sym_variable_attributes_token4] = ACTIONS(455),
    [aux_sym_variable_attributes_token5] = ACTIONS(419),
    [aux_sym__intrinsic_type_token1] = ACTIONS(458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(464),
    [aux_sym__intrinsic_type_token6] = ACTIONS(461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(467),
    [aux_sym__intrinsic_type_token9] = ACTIONS(461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(461),
    [aux_sym_derived_type_token1] = ACTIONS(470),
    [aux_sym_declared_type_token1] = ACTIONS(473),
    [aux_sym_declared_type_token2] = ACTIONS(473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(476),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(479),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(482),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(455),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(488),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(455),
    [aux_sym_type_qualifier_token1] = ACTIONS(491),
    [aux_sym_type_qualifier_token2] = ACTIONS(491),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(494),
    [aux_sym_equivalence_statement_token1] = ACTIONS(497),
    [aux_sym_stop_statement_token1] = ACTIONS(500),
    [aux_sym_stop_statement_token2] = ACTIONS(503),
    [aux_sym_subroutine_call_token1] = ACTIONS(506),
    [aux_sym_keyword_statement_token1] = ACTIONS(509),
    [aux_sym_keyword_statement_token2] = ACTIONS(512),
    [aux_sym_keyword_statement_token3] = ACTIONS(512),
    [aux_sym_keyword_statement_token4] = ACTIONS(515),
    [aux_sym_keyword_statement_token6] = ACTIONS(518),
    [aux_sym_keyword_statement_token7] = ACTIONS(521),
    [aux_sym_include_statement_token1] = ACTIONS(524),
    [aux_sym_do_loop_statement_token1] = ACTIONS(527),
    [aux_sym__inline_if_statement_token1] = ACTIONS(530),
    [aux_sym_end_if_statement_token1] = ACTIONS(491),
    [aux_sym_elseif_clause_token2] = ACTIONS(491),
    [aux_sym__inline_where_statement_token1] = ACTIONS(533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(536),
    [aux_sym_select_case_statement_token1] = ACTIONS(539),
    [aux_sym_select_case_statement_token3] = ACTIONS(542),
    [aux_sym_select_type_statement_token1] = ACTIONS(545),
    [aux_sym_select_rank_statement_token1] = ACTIONS(548),
    [aux_sym_associate_statement_token1] = ACTIONS(551),
    [aux_sym_format_statement_token1] = ACTIONS(554),
    [aux_sym_print_statement_token1] = ACTIONS(557),
    [aux_sym_open_statement_token1] = ACTIONS(560),
    [aux_sym_close_statement_token1] = ACTIONS(563),
    [aux_sym_inquire_statement_token1] = ACTIONS(566),
    [aux_sym_enum_statement_token1] = ACTIONS(569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(572),
    [aux_sym_file_position_statement_token1] = ACTIONS(575),
    [aux_sym_file_position_statement_token2] = ACTIONS(575),
    [aux_sym_file_position_statement_token3] = ACTIONS(575),
    [aux_sym_file_position_statement_token4] = ACTIONS(578),
    [aux_sym_allocate_statement_token1] = ACTIONS(581),
    [aux_sym_entry_statement_token1] = ACTIONS(584),
    [aux_sym_assign_statement_token1] = ACTIONS(587),
    [aux_sym_logical_expression_token5] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(599),
    [aux_sym_boolean_literal_token1] = ACTIONS(602),
    [aux_sym_boolean_literal_token2] = ACTIONS(602),
    [aux_sym_null_literal_token1] = ACTIONS(605),
    [aux_sym_coarray_statement_token1] = ACTIONS(608),
    [aux_sym_coarray_statement_token2] = ACTIONS(608),
    [aux_sym_coarray_statement_token6] = ACTIONS(611),
    [aux_sym_coarray_statement_token8] = ACTIONS(614),
    [aux_sym_coarray_statement_token11] = ACTIONS(617),
    [aux_sym_coarray_statement_token12] = ACTIONS(617),
    [aux_sym_coarray_statement_token13] = ACTIONS(620),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(623),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(626),
    [aux_sym_identifier_token1] = ACTIONS(491),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(629),
    [sym__float_literal] = ACTIONS(632),
    [sym__boz_literal] = ACTIONS(632),
    [sym__string_literal] = ACTIONS(635),
    [sym__string_literal_kind] = ACTIONS(638),
  },
  [47] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_preproc_if_in_specification_part] = STATE(1615),
    [sym_preproc_ifdef_in_specification_part] = STATE(1615),
    [sym_preproc_if_in_statements] = STATE(698),
    [sym_preproc_ifdef_in_statements] = STATE(698),
    [sym_program] = STATE(55),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(55),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(55),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(55),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(55),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(55),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(55),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7215),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(1615),
    [sym_use_statement] = STATE(7590),
    [sym_implicit_statement] = STATE(7590),
    [sym_save_statement] = STATE(7590),
    [sym_private_statement] = STATE(1615),
    [sym_public_statement] = STATE(1615),
    [sym_namelist_statement] = STATE(7590),
    [sym_common_statement] = STATE(7590),
    [sym_import_statement] = STATE(7590),
    [sym_derived_type_definition] = STATE(1615),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4896),
    [sym_variable_declaration] = STATE(7590),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7590),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7590),
    [sym_equivalence_statement] = STATE(7590),
    [sym__statements] = STATE(7477),
    [sym_statement_label] = STATE(957),
    [sym_stop_statement] = STATE(7477),
    [sym_assignment_statement] = STATE(7397),
    [sym_pointer_association_statement] = STATE(7477),
    [sym_subroutine_call] = STATE(7477),
    [sym_keyword_statement] = STATE(7477),
    [sym_include_statement] = STATE(55),
    [sym_data_statement] = STATE(7590),
    [sym_do_loop_statement] = STATE(7477),
    [sym_do_label_statement] = STATE(7477),
    [sym_end_do_label_statement] = STATE(7477),
    [sym_if_statement] = STATE(7477),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7477),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7477),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7477),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7477),
    [sym_select_type_statement] = STATE(7477),
    [sym_select_rank_statement] = STATE(7477),
    [sym_block_construct] = STATE(7477),
    [sym_associate_statement] = STATE(7477),
    [sym_format_statement] = STATE(7477),
    [sym_read_statement] = STATE(7477),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7477),
    [sym_open_statement] = STATE(7477),
    [sym_close_statement] = STATE(7477),
    [sym_write_statement] = STATE(7477),
    [sym_inquire_statement] = STATE(7477),
    [sym_enum] = STATE(1615),
    [sym_enum_statement] = STATE(6881),
    [sym_enumeration_type] = STATE(1615),
    [sym_enumeration_type_statement] = STATE(7003),
    [sym_file_position_statement] = STATE(7477),
    [sym_allocate_statement] = STATE(7477),
    [sym_entry_statement] = STATE(7477),
    [sym_assign_statement] = STATE(7477),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7477),
    [sym_coarray_team_statement] = STATE(7477),
    [sym_coarray_critical_statement] = STATE(7477),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(55),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(283),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(698),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token1] = ACTIONS(645),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(649),
    [sym_preproc_directive] = ACTIONS(651),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(659),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(661),
    [aux_sym_public_statement_token1] = ACTIONS(663),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(665),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [48] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_preproc_if_in_specification_part] = STATE(1615),
    [sym_preproc_ifdef_in_specification_part] = STATE(1615),
    [sym_preproc_if_in_statements] = STATE(700),
    [sym_preproc_ifdef_in_statements] = STATE(700),
    [sym_program] = STATE(51),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(51),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(51),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(51),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(51),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(51),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(51),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7178),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(1615),
    [sym_use_statement] = STATE(7590),
    [sym_implicit_statement] = STATE(7590),
    [sym_save_statement] = STATE(7590),
    [sym_private_statement] = STATE(1615),
    [sym_public_statement] = STATE(1615),
    [sym_namelist_statement] = STATE(7590),
    [sym_common_statement] = STATE(7590),
    [sym_import_statement] = STATE(7590),
    [sym_derived_type_definition] = STATE(1615),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4896),
    [sym_variable_declaration] = STATE(7590),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7590),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7590),
    [sym_equivalence_statement] = STATE(7590),
    [sym__statements] = STATE(7477),
    [sym_statement_label] = STATE(957),
    [sym_stop_statement] = STATE(7477),
    [sym_assignment_statement] = STATE(7397),
    [sym_pointer_association_statement] = STATE(7477),
    [sym_subroutine_call] = STATE(7477),
    [sym_keyword_statement] = STATE(7477),
    [sym_include_statement] = STATE(51),
    [sym_data_statement] = STATE(7590),
    [sym_do_loop_statement] = STATE(7477),
    [sym_do_label_statement] = STATE(7477),
    [sym_end_do_label_statement] = STATE(7477),
    [sym_if_statement] = STATE(7477),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7477),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7477),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7477),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7477),
    [sym_select_type_statement] = STATE(7477),
    [sym_select_rank_statement] = STATE(7477),
    [sym_block_construct] = STATE(7477),
    [sym_associate_statement] = STATE(7477),
    [sym_format_statement] = STATE(7477),
    [sym_read_statement] = STATE(7477),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7477),
    [sym_open_statement] = STATE(7477),
    [sym_close_statement] = STATE(7477),
    [sym_write_statement] = STATE(7477),
    [sym_inquire_statement] = STATE(7477),
    [sym_enum] = STATE(1615),
    [sym_enum_statement] = STATE(6881),
    [sym_enumeration_type] = STATE(1615),
    [sym_enumeration_type_statement] = STATE(7003),
    [sym_file_position_statement] = STATE(7477),
    [sym_allocate_statement] = STATE(7477),
    [sym_entry_statement] = STATE(7477),
    [sym_assign_statement] = STATE(7477),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7477),
    [sym_coarray_team_statement] = STATE(7477),
    [sym_coarray_critical_statement] = STATE(7477),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(51),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(281),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(700),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token1] = ACTIONS(645),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(649),
    [sym_preproc_directive] = ACTIONS(651),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(659),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(661),
    [aux_sym_public_statement_token1] = ACTIONS(663),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(665),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [49] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_preproc_if_in_specification_part] = STATE(272),
    [sym_preproc_ifdef_in_specification_part] = STATE(272),
    [sym_preproc_if_in_statements] = STATE(719),
    [sym_preproc_ifdef_in_statements] = STATE(719),
    [sym_program] = STATE(55),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(55),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(55),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(55),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(55),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(55),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(55),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7810),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(272),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(272),
    [sym_public_statement] = STATE(272),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(272),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(55),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(272),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(272),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(55),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(719),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token1] = ACTIONS(669),
    [aux_sym_preproc_if_token2] = ACTIONS(671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(651),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(677),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(665),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [50] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(272),
    [sym_preproc_ifdef_in_specification_part] = STATE(272),
    [sym_preproc_if_in_statements] = STATE(719),
    [sym_preproc_ifdef_in_statements] = STATE(719),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(50),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7810),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(272),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(272),
    [sym_public_statement] = STATE(272),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(272),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(50),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(272),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(272),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(719),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(679),
    [aux_sym_preproc_def_token1] = ACTIONS(682),
    [aux_sym_preproc_if_token1] = ACTIONS(685),
    [aux_sym_preproc_if_token2] = ACTIONS(354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(688),
    [sym_preproc_directive] = ACTIONS(691),
    [anon_sym_LPAREN2] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(365),
    [anon_sym_DASH] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(368),
    [aux_sym_end_program_statement_token1] = ACTIONS(694),
    [aux_sym_end_program_statement_token2] = ACTIONS(697),
    [aux_sym_module_statement_token1] = ACTIONS(377),
    [aux_sym_submodule_statement_token1] = ACTIONS(380),
    [anon_sym_SEMI] = ACTIONS(700),
    [aux_sym_interface_statement_token1] = ACTIONS(386),
    [aux_sym_block_data_statement_token1] = ACTIONS(389),
    [aux_sym_block_data_statement_token2] = ACTIONS(392),
    [aux_sym_block_data_statement_token3] = ACTIONS(395),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(401),
    [aux_sym_subroutine_statement_token1] = ACTIONS(404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(407),
    [aux_sym_function_statement_token1] = ACTIONS(410),
    [aux_sym_language_binding_token1] = ACTIONS(413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(419),
    [aux_sym_contains_statement_token1] = ACTIONS(422),
    [aux_sym_use_statement_token1] = ACTIONS(425),
    [aux_sym_use_statement_token2] = ACTIONS(419),
    [aux_sym_implicit_statement_token1] = ACTIONS(428),
    [aux_sym_implicit_statement_token3] = ACTIONS(431),
    [aux_sym_implicit_statement_token4] = ACTIONS(419),
    [aux_sym_save_statement_token1] = ACTIONS(434),
    [aux_sym_private_statement_token1] = ACTIONS(437),
    [aux_sym_public_statement_token1] = ACTIONS(440),
    [aux_sym_namelist_statement_token1] = ACTIONS(443),
    [aux_sym_common_statement_token1] = ACTIONS(446),
    [aux_sym_import_statement_token1] = ACTIONS(449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(419),
    [aux_sym_abstract_specifier_token1] = ACTIONS(452),
    [aux_sym_procedure_attribute_token6] = ACTIONS(419),
    [aux_sym_variable_attributes_token1] = ACTIONS(455),
    [aux_sym_variable_attributes_token2] = ACTIONS(419),
    [aux_sym_variable_attributes_token3] = ACTIONS(419),
    [aux_sym_variable_attributes_token4] = ACTIONS(455),
    [aux_sym_variable_attributes_token5] = ACTIONS(419),
    [aux_sym__intrinsic_type_token1] = ACTIONS(458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(464),
    [aux_sym__intrinsic_type_token6] = ACTIONS(461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(467),
    [aux_sym__intrinsic_type_token9] = ACTIONS(461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(461),
    [aux_sym_derived_type_token1] = ACTIONS(470),
    [aux_sym_declared_type_token1] = ACTIONS(473),
    [aux_sym_declared_type_token2] = ACTIONS(473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(476),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(479),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(482),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(455),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(488),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(455),
    [aux_sym_type_qualifier_token1] = ACTIONS(491),
    [aux_sym_type_qualifier_token2] = ACTIONS(491),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(494),
    [aux_sym_equivalence_statement_token1] = ACTIONS(497),
    [aux_sym_stop_statement_token1] = ACTIONS(500),
    [aux_sym_stop_statement_token2] = ACTIONS(503),
    [aux_sym_subroutine_call_token1] = ACTIONS(506),
    [aux_sym_keyword_statement_token1] = ACTIONS(509),
    [aux_sym_keyword_statement_token2] = ACTIONS(512),
    [aux_sym_keyword_statement_token3] = ACTIONS(512),
    [aux_sym_keyword_statement_token4] = ACTIONS(515),
    [aux_sym_keyword_statement_token6] = ACTIONS(518),
    [aux_sym_keyword_statement_token7] = ACTIONS(521),
    [aux_sym_include_statement_token1] = ACTIONS(703),
    [aux_sym_do_loop_statement_token1] = ACTIONS(527),
    [aux_sym__inline_if_statement_token1] = ACTIONS(530),
    [aux_sym_end_if_statement_token1] = ACTIONS(491),
    [aux_sym_elseif_clause_token2] = ACTIONS(491),
    [aux_sym__inline_where_statement_token1] = ACTIONS(533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(536),
    [aux_sym_select_case_statement_token1] = ACTIONS(539),
    [aux_sym_select_case_statement_token3] = ACTIONS(542),
    [aux_sym_select_type_statement_token1] = ACTIONS(545),
    [aux_sym_select_rank_statement_token1] = ACTIONS(548),
    [aux_sym_associate_statement_token1] = ACTIONS(551),
    [aux_sym_format_statement_token1] = ACTIONS(554),
    [aux_sym_print_statement_token1] = ACTIONS(557),
    [aux_sym_open_statement_token1] = ACTIONS(560),
    [aux_sym_close_statement_token1] = ACTIONS(563),
    [aux_sym_inquire_statement_token1] = ACTIONS(566),
    [aux_sym_enum_statement_token1] = ACTIONS(569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(572),
    [aux_sym_file_position_statement_token1] = ACTIONS(575),
    [aux_sym_file_position_statement_token2] = ACTIONS(575),
    [aux_sym_file_position_statement_token3] = ACTIONS(575),
    [aux_sym_file_position_statement_token4] = ACTIONS(578),
    [aux_sym_allocate_statement_token1] = ACTIONS(581),
    [aux_sym_entry_statement_token1] = ACTIONS(584),
    [aux_sym_assign_statement_token1] = ACTIONS(587),
    [aux_sym_logical_expression_token5] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(599),
    [aux_sym_boolean_literal_token1] = ACTIONS(602),
    [aux_sym_boolean_literal_token2] = ACTIONS(602),
    [aux_sym_null_literal_token1] = ACTIONS(605),
    [aux_sym_coarray_statement_token1] = ACTIONS(608),
    [aux_sym_coarray_statement_token2] = ACTIONS(608),
    [aux_sym_coarray_statement_token6] = ACTIONS(611),
    [aux_sym_coarray_statement_token8] = ACTIONS(614),
    [aux_sym_coarray_statement_token11] = ACTIONS(617),
    [aux_sym_coarray_statement_token12] = ACTIONS(617),
    [aux_sym_coarray_statement_token13] = ACTIONS(620),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(623),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(626),
    [aux_sym_identifier_token1] = ACTIONS(491),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(629),
    [sym__float_literal] = ACTIONS(632),
    [sym__boz_literal] = ACTIONS(632),
    [sym__string_literal] = ACTIONS(635),
    [sym__string_literal_kind] = ACTIONS(638),
  },
  [51] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(272),
    [sym_preproc_ifdef_in_specification_part] = STATE(272),
    [sym_preproc_if_in_statements] = STATE(719),
    [sym_preproc_ifdef_in_statements] = STATE(719),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(50),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7810),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(272),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(272),
    [sym_public_statement] = STATE(272),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(272),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(50),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(272),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(272),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(719),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token1] = ACTIONS(669),
    [aux_sym_preproc_if_token2] = ACTIONS(706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(651),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(677),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(665),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(267),
    [sym_preproc_ifdef_in_specification_part] = STATE(267),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(271),
    [sym_end_program_statement] = STATE(1163),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(622),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(623),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(4688),
    [sym_block_data] = STATE(53),
    [sym_block_data_statement] = STATE(705),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(238),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(205),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7946),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(267),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(267),
    [sym_public_statement] = STATE(267),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(267),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(53),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(267),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(267),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_program_repeat1] = STATE(267),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [ts_builtin_sym_end] = ACTIONS(708),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(33),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(127),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(267),
    [sym_preproc_ifdef_in_specification_part] = STATE(267),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(271),
    [sym_end_program_statement] = STATE(1163),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(622),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(623),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(4688),
    [sym_block_data] = STATE(53),
    [sym_block_data_statement] = STATE(705),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(238),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(205),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7946),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(267),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(267),
    [sym_public_statement] = STATE(267),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(267),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(53),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(267),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(267),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_program_repeat1] = STATE(267),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [ts_builtin_sym_end] = ACTIONS(710),
    [aux_sym_preproc_include_token1] = ACTIONS(712),
    [aux_sym_preproc_def_token1] = ACTIONS(715),
    [aux_sym_preproc_if_token1] = ACTIONS(718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(721),
    [sym_preproc_directive] = ACTIONS(724),
    [anon_sym_LPAREN2] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(365),
    [anon_sym_DASH] = ACTIONS(365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(368),
    [aux_sym_end_program_statement_token1] = ACTIONS(727),
    [aux_sym_end_program_statement_token2] = ACTIONS(730),
    [aux_sym_module_statement_token1] = ACTIONS(377),
    [aux_sym_submodule_statement_token1] = ACTIONS(380),
    [anon_sym_SEMI] = ACTIONS(733),
    [aux_sym_interface_statement_token1] = ACTIONS(386),
    [aux_sym_block_data_statement_token1] = ACTIONS(389),
    [aux_sym_block_data_statement_token2] = ACTIONS(392),
    [aux_sym_block_data_statement_token3] = ACTIONS(395),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(398),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(401),
    [aux_sym_subroutine_statement_token1] = ACTIONS(404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(407),
    [aux_sym_function_statement_token1] = ACTIONS(410),
    [aux_sym_language_binding_token1] = ACTIONS(413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(419),
    [aux_sym_contains_statement_token1] = ACTIONS(422),
    [aux_sym_use_statement_token1] = ACTIONS(425),
    [aux_sym_use_statement_token2] = ACTIONS(419),
    [aux_sym_implicit_statement_token1] = ACTIONS(428),
    [aux_sym_implicit_statement_token3] = ACTIONS(431),
    [aux_sym_implicit_statement_token4] = ACTIONS(419),
    [aux_sym_save_statement_token1] = ACTIONS(434),
    [aux_sym_private_statement_token1] = ACTIONS(437),
    [aux_sym_public_statement_token1] = ACTIONS(440),
    [aux_sym_namelist_statement_token1] = ACTIONS(443),
    [aux_sym_common_statement_token1] = ACTIONS(446),
    [aux_sym_import_statement_token1] = ACTIONS(449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(419),
    [aux_sym_abstract_specifier_token1] = ACTIONS(452),
    [aux_sym_procedure_attribute_token6] = ACTIONS(419),
    [aux_sym_variable_attributes_token1] = ACTIONS(455),
    [aux_sym_variable_attributes_token2] = ACTIONS(419),
    [aux_sym_variable_attributes_token3] = ACTIONS(419),
    [aux_sym_variable_attributes_token4] = ACTIONS(455),
    [aux_sym_variable_attributes_token5] = ACTIONS(419),
    [aux_sym__intrinsic_type_token1] = ACTIONS(458),
    [aux_sym__intrinsic_type_token2] = ACTIONS(461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(464),
    [aux_sym__intrinsic_type_token6] = ACTIONS(461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(467),
    [aux_sym__intrinsic_type_token9] = ACTIONS(461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(461),
    [aux_sym_derived_type_token1] = ACTIONS(470),
    [aux_sym_declared_type_token1] = ACTIONS(473),
    [aux_sym_declared_type_token2] = ACTIONS(473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(476),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(479),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(482),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(455),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(488),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(419),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(455),
    [aux_sym_type_qualifier_token1] = ACTIONS(491),
    [aux_sym_type_qualifier_token2] = ACTIONS(491),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(494),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(494),
    [aux_sym_equivalence_statement_token1] = ACTIONS(497),
    [aux_sym_stop_statement_token1] = ACTIONS(500),
    [aux_sym_stop_statement_token2] = ACTIONS(503),
    [aux_sym_subroutine_call_token1] = ACTIONS(506),
    [aux_sym_keyword_statement_token1] = ACTIONS(509),
    [aux_sym_keyword_statement_token2] = ACTIONS(512),
    [aux_sym_keyword_statement_token3] = ACTIONS(512),
    [aux_sym_keyword_statement_token4] = ACTIONS(515),
    [aux_sym_keyword_statement_token6] = ACTIONS(518),
    [aux_sym_keyword_statement_token7] = ACTIONS(521),
    [aux_sym_include_statement_token1] = ACTIONS(736),
    [aux_sym_do_loop_statement_token1] = ACTIONS(527),
    [aux_sym__inline_if_statement_token1] = ACTIONS(530),
    [aux_sym_end_if_statement_token1] = ACTIONS(491),
    [aux_sym_elseif_clause_token2] = ACTIONS(491),
    [aux_sym__inline_where_statement_token1] = ACTIONS(533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(536),
    [aux_sym_select_case_statement_token1] = ACTIONS(539),
    [aux_sym_select_case_statement_token3] = ACTIONS(542),
    [aux_sym_select_type_statement_token1] = ACTIONS(545),
    [aux_sym_select_rank_statement_token1] = ACTIONS(548),
    [aux_sym_associate_statement_token1] = ACTIONS(551),
    [aux_sym_format_statement_token1] = ACTIONS(554),
    [aux_sym_print_statement_token1] = ACTIONS(557),
    [aux_sym_open_statement_token1] = ACTIONS(560),
    [aux_sym_close_statement_token1] = ACTIONS(563),
    [aux_sym_inquire_statement_token1] = ACTIONS(566),
    [aux_sym_enum_statement_token1] = ACTIONS(569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(572),
    [aux_sym_file_position_statement_token1] = ACTIONS(575),
    [aux_sym_file_position_statement_token2] = ACTIONS(575),
    [aux_sym_file_position_statement_token3] = ACTIONS(575),
    [aux_sym_file_position_statement_token4] = ACTIONS(578),
    [aux_sym_allocate_statement_token1] = ACTIONS(581),
    [aux_sym_entry_statement_token1] = ACTIONS(584),
    [aux_sym_assign_statement_token1] = ACTIONS(587),
    [aux_sym_logical_expression_token5] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(599),
    [aux_sym_boolean_literal_token1] = ACTIONS(602),
    [aux_sym_boolean_literal_token2] = ACTIONS(602),
    [aux_sym_null_literal_token1] = ACTIONS(605),
    [aux_sym_coarray_statement_token1] = ACTIONS(608),
    [aux_sym_coarray_statement_token2] = ACTIONS(608),
    [aux_sym_coarray_statement_token6] = ACTIONS(611),
    [aux_sym_coarray_statement_token8] = ACTIONS(614),
    [aux_sym_coarray_statement_token11] = ACTIONS(617),
    [aux_sym_coarray_statement_token12] = ACTIONS(617),
    [aux_sym_coarray_statement_token13] = ACTIONS(620),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(623),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(626),
    [aux_sym_identifier_token1] = ACTIONS(491),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(629),
    [sym__float_literal] = ACTIONS(632),
    [sym__boz_literal] = ACTIONS(632),
    [sym__string_literal] = ACTIONS(635),
    [sym__string_literal_kind] = ACTIONS(638),
  },
  [54] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_preproc_if_in_specification_part] = STATE(272),
    [sym_preproc_ifdef_in_specification_part] = STATE(272),
    [sym_preproc_if_in_statements] = STATE(719),
    [sym_preproc_ifdef_in_statements] = STATE(719),
    [sym_program] = STATE(51),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(51),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(51),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(51),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(51),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(51),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(51),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7810),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(272),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(272),
    [sym_public_statement] = STATE(272),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(272),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(51),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(272),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(272),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(51),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(719),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token1] = ACTIONS(669),
    [aux_sym_preproc_if_token2] = ACTIONS(739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(651),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(677),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(665),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [55] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(272),
    [sym_preproc_ifdef_in_specification_part] = STATE(272),
    [sym_preproc_if_in_statements] = STATE(719),
    [sym_preproc_ifdef_in_statements] = STATE(719),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(265),
    [sym_end_program_statement] = STATE(1107),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(620),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(621),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(4679),
    [sym_block_data] = STATE(50),
    [sym_block_data_statement] = STATE(697),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(221),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(222),
    [sym_language_binding] = STATE(3784),
    [aux_sym__callable_interface_qualifers] = STATE(5987),
    [sym_procedure_attributes] = STATE(5987),
    [sym_internal_procedures] = STATE(7810),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(272),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(272),
    [sym_public_statement] = STATE(272),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(272),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(3749),
    [sym_intrinsic_type] = STATE(3748),
    [sym_derived_type] = STATE(3748),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_procedure_qualifier] = STATE(5987),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(50),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(272),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(272),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(719),
    [aux_sym_program_repeat1] = STATE(272),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(643),
    [aux_sym_preproc_if_token1] = ACTIONS(669),
    [aux_sym_preproc_if_token2] = ACTIONS(739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(651),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(677),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(37),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_block_data_statement_token3] = ACTIONS(41),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_subroutine_statement_token1] = ACTIONS(47),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_function_statement_token1] = ACTIONS(51),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(55),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(65),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(107),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(107),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(665),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [56] = {
    [sym_preproc_include] = STATE(138),
    [sym_preproc_def] = STATE(138),
    [sym_preproc_function_def] = STATE(138),
    [sym_preproc_call] = STATE(138),
    [sym_preproc_if_in_specification_part] = STATE(138),
    [sym_preproc_ifdef_in_specification_part] = STATE(138),
    [sym_preproc_else_in_specification_part] = STATE(8667),
    [sym_preproc_elif_in_specification_part] = STATE(8667),
    [sym_preproc_elifdef_in_specification_part] = STATE(8667),
    [sym_preproc_if_in_statements] = STATE(308),
    [sym_preproc_ifdef_in_statements] = STATE(308),
    [sym_preproc_else_in_statements] = STATE(9448),
    [sym_preproc_elif_in_statements] = STATE(9448),
    [sym_preproc_elifdef_in_statements] = STATE(9448),
    [sym_preproc_else_in_procedure_statements] = STATE(9571),
    [sym_preproc_elif_in_procedure_statements] = STATE(9571),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9571),
    [sym_interface] = STATE(138),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6389),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(138),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(138),
    [sym_public_statement] = STATE(138),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(138),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(138),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(138),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(138),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(138),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(308),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(763),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [57] = {
    [sym_preproc_include] = STATE(148),
    [sym_preproc_def] = STATE(148),
    [sym_preproc_function_def] = STATE(148),
    [sym_preproc_call] = STATE(148),
    [sym_preproc_if_in_specification_part] = STATE(148),
    [sym_preproc_ifdef_in_specification_part] = STATE(148),
    [sym_preproc_else_in_specification_part] = STATE(9442),
    [sym_preproc_elif_in_specification_part] = STATE(9442),
    [sym_preproc_elifdef_in_specification_part] = STATE(9442),
    [sym_preproc_if_in_statements] = STATE(306),
    [sym_preproc_ifdef_in_statements] = STATE(306),
    [sym_preproc_else_in_statements] = STATE(8878),
    [sym_preproc_elif_in_statements] = STATE(8878),
    [sym_preproc_elifdef_in_statements] = STATE(8878),
    [sym_preproc_else_in_procedure_statements] = STATE(8814),
    [sym_preproc_elif_in_procedure_statements] = STATE(8814),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8814),
    [sym_interface] = STATE(148),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6345),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(148),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(148),
    [sym_public_statement] = STATE(148),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(148),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(148),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(148),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(148),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(148),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(306),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(789),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(791),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [58] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_else_in_specification_part] = STATE(8884),
    [sym_preproc_elif_in_specification_part] = STATE(8884),
    [sym_preproc_elifdef_in_specification_part] = STATE(8884),
    [sym_preproc_if_in_statements] = STATE(301),
    [sym_preproc_ifdef_in_statements] = STATE(301),
    [sym_preproc_else_in_statements] = STATE(9301),
    [sym_preproc_elif_in_statements] = STATE(9301),
    [sym_preproc_elifdef_in_statements] = STATE(9301),
    [sym_preproc_else_in_procedure_statements] = STATE(9171),
    [sym_preproc_elif_in_procedure_statements] = STATE(9171),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9171),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6372),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(188),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(188),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(301),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(797),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [59] = {
    [sym_preproc_include] = STATE(133),
    [sym_preproc_def] = STATE(133),
    [sym_preproc_function_def] = STATE(133),
    [sym_preproc_call] = STATE(133),
    [sym_preproc_if_in_specification_part] = STATE(133),
    [sym_preproc_ifdef_in_specification_part] = STATE(133),
    [sym_preproc_else_in_specification_part] = STATE(8998),
    [sym_preproc_elif_in_specification_part] = STATE(8998),
    [sym_preproc_elifdef_in_specification_part] = STATE(8998),
    [sym_preproc_if_in_statements] = STATE(300),
    [sym_preproc_ifdef_in_statements] = STATE(300),
    [sym_preproc_else_in_statements] = STATE(9000),
    [sym_preproc_elif_in_statements] = STATE(9000),
    [sym_preproc_elifdef_in_statements] = STATE(9000),
    [sym_preproc_else_in_procedure_statements] = STATE(8616),
    [sym_preproc_elif_in_procedure_statements] = STATE(8616),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8616),
    [sym_interface] = STATE(133),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6311),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(133),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(133),
    [sym_public_statement] = STATE(133),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(133),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(133),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(133),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(133),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(133),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(300),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(799),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [60] = {
    [sym_preproc_include] = STATE(149),
    [sym_preproc_def] = STATE(149),
    [sym_preproc_function_def] = STATE(149),
    [sym_preproc_call] = STATE(149),
    [sym_preproc_if_in_specification_part] = STATE(149),
    [sym_preproc_ifdef_in_specification_part] = STATE(149),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(305),
    [sym_preproc_ifdef_in_statements] = STATE(305),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_preproc_else_in_procedure_statements] = STATE(8788),
    [sym_preproc_elif_in_procedure_statements] = STATE(8788),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8788),
    [sym_interface] = STATE(149),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6337),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(149),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(149),
    [sym_public_statement] = STATE(149),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(149),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(149),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(149),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(149),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(305),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(803),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [61] = {
    [sym_preproc_include] = STATE(139),
    [sym_preproc_def] = STATE(139),
    [sym_preproc_function_def] = STATE(139),
    [sym_preproc_call] = STATE(139),
    [sym_preproc_if_in_specification_part] = STATE(139),
    [sym_preproc_ifdef_in_specification_part] = STATE(139),
    [sym_preproc_else_in_specification_part] = STATE(9080),
    [sym_preproc_elif_in_specification_part] = STATE(9080),
    [sym_preproc_elifdef_in_specification_part] = STATE(9080),
    [sym_preproc_if_in_statements] = STATE(303),
    [sym_preproc_ifdef_in_statements] = STATE(303),
    [sym_preproc_else_in_statements] = STATE(9467),
    [sym_preproc_elif_in_statements] = STATE(9467),
    [sym_preproc_elifdef_in_statements] = STATE(9467),
    [sym_preproc_else_in_procedure_statements] = STATE(9310),
    [sym_preproc_elif_in_procedure_statements] = STATE(9310),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9310),
    [sym_interface] = STATE(139),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6352),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(139),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(139),
    [sym_public_statement] = STATE(139),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(139),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(139),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(139),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(139),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(139),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(303),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(805),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [62] = {
    [sym_preproc_include] = STATE(140),
    [sym_preproc_def] = STATE(140),
    [sym_preproc_function_def] = STATE(140),
    [sym_preproc_call] = STATE(140),
    [sym_preproc_if_in_specification_part] = STATE(140),
    [sym_preproc_ifdef_in_specification_part] = STATE(140),
    [sym_preproc_else_in_specification_part] = STATE(9104),
    [sym_preproc_elif_in_specification_part] = STATE(9104),
    [sym_preproc_elifdef_in_specification_part] = STATE(9104),
    [sym_preproc_if_in_statements] = STATE(296),
    [sym_preproc_ifdef_in_statements] = STATE(296),
    [sym_preproc_else_in_statements] = STATE(9560),
    [sym_preproc_elif_in_statements] = STATE(9560),
    [sym_preproc_elifdef_in_statements] = STATE(9560),
    [sym_preproc_else_in_procedure_statements] = STATE(8614),
    [sym_preproc_elif_in_procedure_statements] = STATE(8614),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8614),
    [sym_interface] = STATE(140),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6326),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(140),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(140),
    [sym_public_statement] = STATE(140),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(140),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(140),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(140),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(140),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(140),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(296),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(811),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [63] = {
    [sym_preproc_include] = STATE(147),
    [sym_preproc_def] = STATE(147),
    [sym_preproc_function_def] = STATE(147),
    [sym_preproc_call] = STATE(147),
    [sym_preproc_if_in_specification_part] = STATE(147),
    [sym_preproc_ifdef_in_specification_part] = STATE(147),
    [sym_preproc_else_in_specification_part] = STATE(8911),
    [sym_preproc_elif_in_specification_part] = STATE(8911),
    [sym_preproc_elifdef_in_specification_part] = STATE(8911),
    [sym_preproc_if_in_statements] = STATE(307),
    [sym_preproc_ifdef_in_statements] = STATE(307),
    [sym_preproc_else_in_statements] = STATE(9165),
    [sym_preproc_elif_in_statements] = STATE(9165),
    [sym_preproc_elifdef_in_statements] = STATE(9165),
    [sym_preproc_else_in_procedure_statements] = STATE(8745),
    [sym_preproc_elif_in_procedure_statements] = STATE(8745),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8745),
    [sym_interface] = STATE(147),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6344),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(147),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(147),
    [sym_public_statement] = STATE(147),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(147),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(147),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(147),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(147),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(147),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(307),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(813),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [64] = {
    [sym_preproc_include] = STATE(162),
    [sym_preproc_def] = STATE(162),
    [sym_preproc_function_def] = STATE(162),
    [sym_preproc_call] = STATE(162),
    [sym_preproc_if_in_specification_part] = STATE(162),
    [sym_preproc_ifdef_in_specification_part] = STATE(162),
    [sym_preproc_else_in_specification_part] = STATE(8973),
    [sym_preproc_elif_in_specification_part] = STATE(8973),
    [sym_preproc_elifdef_in_specification_part] = STATE(8973),
    [sym_preproc_if_in_statements] = STATE(311),
    [sym_preproc_ifdef_in_statements] = STATE(311),
    [sym_preproc_else_in_statements] = STATE(9001),
    [sym_preproc_elif_in_statements] = STATE(9001),
    [sym_preproc_elifdef_in_statements] = STATE(9001),
    [sym_preproc_else_in_procedure_statements] = STATE(8988),
    [sym_preproc_elif_in_procedure_statements] = STATE(8988),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8988),
    [sym_interface] = STATE(162),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6348),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(162),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(162),
    [sym_public_statement] = STATE(162),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(162),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(162),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(162),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(162),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(162),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(311),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(815),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [65] = {
    [sym_preproc_include] = STATE(150),
    [sym_preproc_def] = STATE(150),
    [sym_preproc_function_def] = STATE(150),
    [sym_preproc_call] = STATE(150),
    [sym_preproc_if_in_specification_part] = STATE(150),
    [sym_preproc_ifdef_in_specification_part] = STATE(150),
    [sym_preproc_else_in_specification_part] = STATE(9177),
    [sym_preproc_elif_in_specification_part] = STATE(9177),
    [sym_preproc_elifdef_in_specification_part] = STATE(9177),
    [sym_preproc_if_in_statements] = STATE(304),
    [sym_preproc_ifdef_in_statements] = STATE(304),
    [sym_preproc_else_in_statements] = STATE(9091),
    [sym_preproc_elif_in_statements] = STATE(9091),
    [sym_preproc_elifdef_in_statements] = STATE(9091),
    [sym_preproc_else_in_procedure_statements] = STATE(9295),
    [sym_preproc_elif_in_procedure_statements] = STATE(9295),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9295),
    [sym_interface] = STATE(150),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6361),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(150),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(150),
    [sym_public_statement] = STATE(150),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(150),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(150),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(150),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(150),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(150),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(304),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(819),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [66] = {
    [sym_preproc_include] = STATE(154),
    [sym_preproc_def] = STATE(154),
    [sym_preproc_function_def] = STATE(154),
    [sym_preproc_call] = STATE(154),
    [sym_preproc_if_in_specification_part] = STATE(154),
    [sym_preproc_ifdef_in_specification_part] = STATE(154),
    [sym_preproc_else_in_specification_part] = STATE(9215),
    [sym_preproc_elif_in_specification_part] = STATE(9215),
    [sym_preproc_elifdef_in_specification_part] = STATE(9215),
    [sym_preproc_if_in_statements] = STATE(309),
    [sym_preproc_ifdef_in_statements] = STATE(309),
    [sym_preproc_else_in_statements] = STATE(9208),
    [sym_preproc_elif_in_statements] = STATE(9208),
    [sym_preproc_elifdef_in_statements] = STATE(9208),
    [sym_preproc_else_in_procedure_statements] = STATE(9039),
    [sym_preproc_elif_in_procedure_statements] = STATE(9039),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9039),
    [sym_interface] = STATE(154),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6385),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(154),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(154),
    [sym_public_statement] = STATE(154),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(154),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(154),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(154),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(154),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(154),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(309),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(823),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [67] = {
    [sym_preproc_include] = STATE(151),
    [sym_preproc_def] = STATE(151),
    [sym_preproc_function_def] = STATE(151),
    [sym_preproc_call] = STATE(151),
    [sym_preproc_if_in_specification_part] = STATE(151),
    [sym_preproc_ifdef_in_specification_part] = STATE(151),
    [sym_preproc_else_in_specification_part] = STATE(9532),
    [sym_preproc_elif_in_specification_part] = STATE(9532),
    [sym_preproc_elifdef_in_specification_part] = STATE(9532),
    [sym_preproc_if_in_statements] = STATE(310),
    [sym_preproc_ifdef_in_statements] = STATE(310),
    [sym_preproc_else_in_statements] = STATE(9108),
    [sym_preproc_elif_in_statements] = STATE(9108),
    [sym_preproc_elifdef_in_statements] = STATE(9108),
    [sym_preproc_else_in_procedure_statements] = STATE(9314),
    [sym_preproc_elif_in_procedure_statements] = STATE(9314),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9314),
    [sym_interface] = STATE(151),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6364),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(151),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(151),
    [sym_public_statement] = STATE(151),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(151),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(151),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(151),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(151),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(151),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(310),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(827),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [68] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_else_in_specification_part] = STATE(8926),
    [sym_preproc_elif_in_specification_part] = STATE(8926),
    [sym_preproc_elifdef_in_specification_part] = STATE(8926),
    [sym_preproc_if_in_statements] = STATE(298),
    [sym_preproc_ifdef_in_statements] = STATE(298),
    [sym_preproc_else_in_statements] = STATE(9342),
    [sym_preproc_elif_in_statements] = STATE(9342),
    [sym_preproc_elifdef_in_statements] = STATE(9342),
    [sym_preproc_else_in_procedure_statements] = STATE(9252),
    [sym_preproc_elif_in_procedure_statements] = STATE(9252),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9252),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6310),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(189),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(189),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(189),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(298),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(831),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [69] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8929),
    [sym_preproc_elif_in_specification_part] = STATE(8929),
    [sym_preproc_elifdef_in_specification_part] = STATE(8929),
    [sym_preproc_if_in_statements] = STATE(299),
    [sym_preproc_ifdef_in_statements] = STATE(299),
    [sym_preproc_else_in_statements] = STATE(9349),
    [sym_preproc_elif_in_statements] = STATE(9349),
    [sym_preproc_elifdef_in_statements] = STATE(9349),
    [sym_preproc_else_in_procedure_statements] = STATE(9257),
    [sym_preproc_elif_in_procedure_statements] = STATE(9257),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9257),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6316),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(190),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(190),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(299),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(835),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [70] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_if_in_specification_part] = STATE(191),
    [sym_preproc_ifdef_in_specification_part] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(8962),
    [sym_preproc_elif_in_specification_part] = STATE(8962),
    [sym_preproc_elifdef_in_specification_part] = STATE(8962),
    [sym_preproc_if_in_statements] = STATE(302),
    [sym_preproc_ifdef_in_statements] = STATE(302),
    [sym_preproc_else_in_statements] = STATE(9393),
    [sym_preproc_elif_in_statements] = STATE(9393),
    [sym_preproc_elifdef_in_statements] = STATE(9393),
    [sym_preproc_else_in_procedure_statements] = STATE(9328),
    [sym_preproc_elif_in_procedure_statements] = STATE(9328),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9328),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6328),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(191),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(191),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(302),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(839),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [71] = {
    [sym_preproc_include] = STATE(141),
    [sym_preproc_def] = STATE(141),
    [sym_preproc_function_def] = STATE(141),
    [sym_preproc_call] = STATE(141),
    [sym_preproc_if_in_specification_part] = STATE(141),
    [sym_preproc_ifdef_in_specification_part] = STATE(141),
    [sym_preproc_else_in_specification_part] = STATE(9408),
    [sym_preproc_elif_in_specification_part] = STATE(9408),
    [sym_preproc_elifdef_in_specification_part] = STATE(9408),
    [sym_preproc_if_in_statements] = STATE(297),
    [sym_preproc_ifdef_in_statements] = STATE(297),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8517),
    [sym_preproc_elif_in_procedure_statements] = STATE(8517),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8517),
    [sym_interface] = STATE(141),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6387),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(141),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(141),
    [sym_public_statement] = STATE(141),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(141),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(141),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(141),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(141),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(141),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(297),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(843),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [72] = {
    [sym_preproc_include] = STATE(133),
    [sym_preproc_def] = STATE(133),
    [sym_preproc_function_def] = STATE(133),
    [sym_preproc_call] = STATE(133),
    [sym_preproc_if_in_specification_part] = STATE(133),
    [sym_preproc_ifdef_in_specification_part] = STATE(133),
    [sym_preproc_else_in_specification_part] = STATE(8998),
    [sym_preproc_elif_in_specification_part] = STATE(8998),
    [sym_preproc_elifdef_in_specification_part] = STATE(8998),
    [sym_preproc_if_in_statements] = STATE(341),
    [sym_preproc_ifdef_in_statements] = STATE(341),
    [sym_preproc_else_in_statements] = STATE(9000),
    [sym_preproc_elif_in_statements] = STATE(9000),
    [sym_preproc_elifdef_in_statements] = STATE(9000),
    [sym_interface] = STATE(133),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6414),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(133),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(133),
    [sym_public_statement] = STATE(133),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(133),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(133),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(133),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(133),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(133),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(341),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(851),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [73] = {
    [sym_preproc_include] = STATE(118),
    [sym_preproc_def] = STATE(118),
    [sym_preproc_function_def] = STATE(118),
    [sym_preproc_call] = STATE(118),
    [sym_preproc_else_in_module] = STATE(8686),
    [sym_preproc_elif_in_module] = STATE(8686),
    [sym_preproc_elifdef_in_module] = STATE(8686),
    [sym_preproc_if_in_specification_part] = STATE(118),
    [sym_preproc_ifdef_in_specification_part] = STATE(118),
    [sym_preproc_else_in_specification_part] = STATE(8869),
    [sym_preproc_elif_in_specification_part] = STATE(8869),
    [sym_preproc_elifdef_in_specification_part] = STATE(8869),
    [sym_preproc_if_in_statements] = STATE(410),
    [sym_preproc_ifdef_in_statements] = STATE(410),
    [sym_interface] = STATE(118),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6489),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(118),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(118),
    [sym_public_statement] = STATE(118),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(118),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(118),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(118),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(118),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(118),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(410),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(863),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [74] = {
    [sym_preproc_include] = STATE(184),
    [sym_preproc_def] = STATE(184),
    [sym_preproc_function_def] = STATE(184),
    [sym_preproc_call] = STATE(184),
    [sym_preproc_if_in_specification_part] = STATE(184),
    [sym_preproc_ifdef_in_specification_part] = STATE(184),
    [sym_preproc_else_in_specification_part] = STATE(9266),
    [sym_preproc_elif_in_specification_part] = STATE(9266),
    [sym_preproc_elifdef_in_specification_part] = STATE(9266),
    [sym_preproc_if_in_statements] = STATE(358),
    [sym_preproc_ifdef_in_statements] = STATE(358),
    [sym_preproc_else_in_statements] = STATE(9270),
    [sym_preproc_elif_in_statements] = STATE(9270),
    [sym_preproc_elifdef_in_statements] = STATE(9270),
    [sym_interface] = STATE(184),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6464),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(184),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(184),
    [sym_public_statement] = STATE(184),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(184),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(184),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(184),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(184),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(184),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(358),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(869),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [75] = {
    [sym_preproc_include] = STATE(102),
    [sym_preproc_def] = STATE(102),
    [sym_preproc_function_def] = STATE(102),
    [sym_preproc_call] = STATE(102),
    [sym_preproc_else_in_module] = STATE(9147),
    [sym_preproc_elif_in_module] = STATE(9147),
    [sym_preproc_elifdef_in_module] = STATE(9147),
    [sym_preproc_if_in_specification_part] = STATE(102),
    [sym_preproc_ifdef_in_specification_part] = STATE(102),
    [sym_preproc_else_in_specification_part] = STATE(9125),
    [sym_preproc_elif_in_specification_part] = STATE(9125),
    [sym_preproc_elifdef_in_specification_part] = STATE(9125),
    [sym_preproc_if_in_statements] = STATE(435),
    [sym_preproc_ifdef_in_statements] = STATE(435),
    [sym_interface] = STATE(102),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6424),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(102),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(102),
    [sym_public_statement] = STATE(102),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(102),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(102),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(102),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(102),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(102),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(435),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(873),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(875),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [76] = {
    [sym_preproc_include] = STATE(119),
    [sym_preproc_def] = STATE(119),
    [sym_preproc_function_def] = STATE(119),
    [sym_preproc_call] = STATE(119),
    [sym_preproc_else_in_module] = STATE(8659),
    [sym_preproc_elif_in_module] = STATE(8659),
    [sym_preproc_elifdef_in_module] = STATE(8659),
    [sym_preproc_if_in_specification_part] = STATE(119),
    [sym_preproc_ifdef_in_specification_part] = STATE(119),
    [sym_preproc_else_in_specification_part] = STATE(8998),
    [sym_preproc_elif_in_specification_part] = STATE(8998),
    [sym_preproc_elifdef_in_specification_part] = STATE(8998),
    [sym_preproc_if_in_statements] = STATE(419),
    [sym_preproc_ifdef_in_statements] = STATE(419),
    [sym_interface] = STATE(119),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6418),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(119),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(119),
    [sym_public_statement] = STATE(119),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(119),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(119),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(119),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(119),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(119),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [77] = {
    [sym_preproc_include] = STATE(169),
    [sym_preproc_def] = STATE(169),
    [sym_preproc_function_def] = STATE(169),
    [sym_preproc_call] = STATE(169),
    [sym_preproc_if_in_specification_part] = STATE(169),
    [sym_preproc_ifdef_in_specification_part] = STATE(169),
    [sym_preproc_else_in_specification_part] = STATE(9015),
    [sym_preproc_elif_in_specification_part] = STATE(9015),
    [sym_preproc_elifdef_in_specification_part] = STATE(9015),
    [sym_preproc_if_in_statements] = STATE(343),
    [sym_preproc_ifdef_in_statements] = STATE(343),
    [sym_preproc_else_in_statements] = STATE(8682),
    [sym_preproc_elif_in_statements] = STATE(8682),
    [sym_preproc_elifdef_in_statements] = STATE(8682),
    [sym_interface] = STATE(169),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6435),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(169),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(169),
    [sym_public_statement] = STATE(169),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(169),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(169),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(169),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(169),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(169),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(343),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [78] = {
    [sym_preproc_include] = STATE(192),
    [sym_preproc_def] = STATE(192),
    [sym_preproc_function_def] = STATE(192),
    [sym_preproc_call] = STATE(192),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_else_in_specification_part] = STATE(9300),
    [sym_preproc_elif_in_specification_part] = STATE(9300),
    [sym_preproc_elifdef_in_specification_part] = STATE(9300),
    [sym_preproc_if_in_statements] = STATE(335),
    [sym_preproc_ifdef_in_statements] = STATE(335),
    [sym_preproc_else_in_statements] = STATE(9501),
    [sym_preproc_elif_in_statements] = STATE(9501),
    [sym_preproc_elifdef_in_statements] = STATE(9501),
    [sym_interface] = STATE(192),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6475),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(192),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(192),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(335),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [79] = {
    [sym_preproc_include] = STATE(136),
    [sym_preproc_def] = STATE(136),
    [sym_preproc_function_def] = STATE(136),
    [sym_preproc_call] = STATE(136),
    [sym_preproc_if_in_specification_part] = STATE(136),
    [sym_preproc_ifdef_in_specification_part] = STATE(136),
    [sym_preproc_else_in_specification_part] = STATE(8991),
    [sym_preproc_elif_in_specification_part] = STATE(8991),
    [sym_preproc_elifdef_in_specification_part] = STATE(8991),
    [sym_preproc_if_in_statements] = STATE(360),
    [sym_preproc_ifdef_in_statements] = STATE(360),
    [sym_preproc_else_in_statements] = STATE(9146),
    [sym_preproc_elif_in_statements] = STATE(9146),
    [sym_preproc_elifdef_in_statements] = STATE(9146),
    [sym_interface] = STATE(136),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6484),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(136),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(136),
    [sym_public_statement] = STATE(136),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(136),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(136),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(136),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(136),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(360),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [80] = {
    [sym_preproc_include] = STATE(86),
    [sym_preproc_def] = STATE(86),
    [sym_preproc_function_def] = STATE(86),
    [sym_preproc_call] = STATE(86),
    [sym_preproc_else_in_module] = STATE(9262),
    [sym_preproc_elif_in_module] = STATE(9262),
    [sym_preproc_elifdef_in_module] = STATE(9262),
    [sym_preproc_if_in_specification_part] = STATE(86),
    [sym_preproc_ifdef_in_specification_part] = STATE(86),
    [sym_preproc_else_in_specification_part] = STATE(9447),
    [sym_preproc_elif_in_specification_part] = STATE(9447),
    [sym_preproc_elifdef_in_specification_part] = STATE(9447),
    [sym_preproc_if_in_statements] = STATE(418),
    [sym_preproc_ifdef_in_statements] = STATE(418),
    [sym_interface] = STATE(86),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6485),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(86),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(86),
    [sym_public_statement] = STATE(86),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(86),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(86),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(86),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(86),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(418),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [81] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9527),
    [sym_preproc_elif_in_module] = STATE(9527),
    [sym_preproc_elifdef_in_module] = STATE(9527),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9072),
    [sym_preproc_elif_in_specification_part] = STATE(9072),
    [sym_preproc_elifdef_in_specification_part] = STATE(9072),
    [sym_preproc_if_in_statements] = STATE(414),
    [sym_preproc_ifdef_in_statements] = STATE(414),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6415),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(414),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [82] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(8625),
    [sym_preproc_elif_in_module] = STATE(8625),
    [sym_preproc_elifdef_in_module] = STATE(8625),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9542),
    [sym_preproc_elif_in_specification_part] = STATE(9542),
    [sym_preproc_elifdef_in_specification_part] = STATE(9542),
    [sym_preproc_if_in_statements] = STATE(453),
    [sym_preproc_ifdef_in_statements] = STATE(453),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6452),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(453),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [83] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(8533),
    [sym_preproc_elif_in_module] = STATE(8533),
    [sym_preproc_elifdef_in_module] = STATE(8533),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9207),
    [sym_preproc_elif_in_specification_part] = STATE(9207),
    [sym_preproc_elifdef_in_specification_part] = STATE(9207),
    [sym_preproc_if_in_statements] = STATE(440),
    [sym_preproc_ifdef_in_statements] = STATE(440),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6502),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(440),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [84] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_else_in_module] = STATE(8533),
    [sym_preproc_elif_in_module] = STATE(8533),
    [sym_preproc_elifdef_in_module] = STATE(8533),
    [sym_preproc_if_in_specification_part] = STATE(87),
    [sym_preproc_ifdef_in_specification_part] = STATE(87),
    [sym_preproc_else_in_specification_part] = STATE(9207),
    [sym_preproc_elif_in_specification_part] = STATE(9207),
    [sym_preproc_elifdef_in_specification_part] = STATE(9207),
    [sym_preproc_if_in_statements] = STATE(440),
    [sym_preproc_ifdef_in_statements] = STATE(440),
    [sym_interface] = STATE(87),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6502),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(87),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(87),
    [sym_public_statement] = STATE(87),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(87),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(87),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(87),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(87),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(87),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(440),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [85] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(8725),
    [sym_preproc_elif_in_module] = STATE(8725),
    [sym_preproc_elifdef_in_module] = STATE(8725),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9219),
    [sym_preproc_elif_in_specification_part] = STATE(9219),
    [sym_preproc_elifdef_in_specification_part] = STATE(9219),
    [sym_preproc_if_in_statements] = STATE(442),
    [sym_preproc_ifdef_in_statements] = STATE(442),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6503),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(442),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [86] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(8980),
    [sym_preproc_elif_in_module] = STATE(8980),
    [sym_preproc_elifdef_in_module] = STATE(8980),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9526),
    [sym_preproc_elif_in_specification_part] = STATE(9526),
    [sym_preproc_elifdef_in_specification_part] = STATE(9526),
    [sym_preproc_if_in_statements] = STATE(408),
    [sym_preproc_ifdef_in_statements] = STATE(408),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6507),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(408),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [87] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(8626),
    [sym_preproc_elif_in_module] = STATE(8626),
    [sym_preproc_elifdef_in_module] = STATE(8626),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9298),
    [sym_preproc_elif_in_specification_part] = STATE(9298),
    [sym_preproc_elifdef_in_specification_part] = STATE(9298),
    [sym_preproc_if_in_statements] = STATE(447),
    [sym_preproc_ifdef_in_statements] = STATE(447),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6429),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(447),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [88] = {
    [sym_preproc_include] = STATE(185),
    [sym_preproc_def] = STATE(185),
    [sym_preproc_function_def] = STATE(185),
    [sym_preproc_call] = STATE(185),
    [sym_preproc_if_in_specification_part] = STATE(185),
    [sym_preproc_ifdef_in_specification_part] = STATE(185),
    [sym_preproc_else_in_specification_part] = STATE(9500),
    [sym_preproc_elif_in_specification_part] = STATE(9500),
    [sym_preproc_elifdef_in_specification_part] = STATE(9500),
    [sym_preproc_if_in_statements] = STATE(361),
    [sym_preproc_ifdef_in_statements] = STATE(361),
    [sym_preproc_else_in_statements] = STATE(9502),
    [sym_preproc_elif_in_statements] = STATE(9502),
    [sym_preproc_elifdef_in_statements] = STATE(9502),
    [sym_interface] = STATE(185),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6483),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(185),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(185),
    [sym_public_statement] = STATE(185),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(185),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(185),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(185),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(185),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(185),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [89] = {
    [sym_preproc_include] = STATE(186),
    [sym_preproc_def] = STATE(186),
    [sym_preproc_function_def] = STATE(186),
    [sym_preproc_call] = STATE(186),
    [sym_preproc_if_in_specification_part] = STATE(186),
    [sym_preproc_ifdef_in_specification_part] = STATE(186),
    [sym_preproc_else_in_specification_part] = STATE(8541),
    [sym_preproc_elif_in_specification_part] = STATE(8541),
    [sym_preproc_elifdef_in_specification_part] = STATE(8541),
    [sym_preproc_if_in_statements] = STATE(371),
    [sym_preproc_ifdef_in_statements] = STATE(371),
    [sym_preproc_else_in_statements] = STATE(8548),
    [sym_preproc_elif_in_statements] = STATE(8548),
    [sym_preproc_elifdef_in_statements] = STATE(8548),
    [sym_interface] = STATE(186),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6416),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(186),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(186),
    [sym_public_statement] = STATE(186),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(186),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(186),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(186),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(186),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(186),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(371),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [90] = {
    [sym_preproc_include] = STATE(137),
    [sym_preproc_def] = STATE(137),
    [sym_preproc_function_def] = STATE(137),
    [sym_preproc_call] = STATE(137),
    [sym_preproc_if_in_specification_part] = STATE(137),
    [sym_preproc_ifdef_in_specification_part] = STATE(137),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(333),
    [sym_preproc_ifdef_in_statements] = STATE(333),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_interface] = STATE(137),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6487),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(137),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(137),
    [sym_public_statement] = STATE(137),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(137),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(137),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(137),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(137),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(333),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [91] = {
    [sym_preproc_include] = STATE(172),
    [sym_preproc_def] = STATE(172),
    [sym_preproc_function_def] = STATE(172),
    [sym_preproc_call] = STATE(172),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_preproc_else_in_specification_part] = STATE(9063),
    [sym_preproc_elif_in_specification_part] = STATE(9063),
    [sym_preproc_elifdef_in_specification_part] = STATE(9063),
    [sym_preproc_if_in_statements] = STATE(356),
    [sym_preproc_ifdef_in_statements] = STATE(356),
    [sym_preproc_else_in_statements] = STATE(9109),
    [sym_preproc_elif_in_statements] = STATE(9109),
    [sym_preproc_elifdef_in_statements] = STATE(9109),
    [sym_interface] = STATE(172),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6455),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(172),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(172),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(172),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(356),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [92] = {
    [sym_preproc_include] = STATE(173),
    [sym_preproc_def] = STATE(173),
    [sym_preproc_function_def] = STATE(173),
    [sym_preproc_call] = STATE(173),
    [sym_preproc_if_in_specification_part] = STATE(173),
    [sym_preproc_ifdef_in_specification_part] = STATE(173),
    [sym_preproc_else_in_specification_part] = STATE(9126),
    [sym_preproc_elif_in_specification_part] = STATE(9126),
    [sym_preproc_elifdef_in_specification_part] = STATE(9126),
    [sym_preproc_if_in_statements] = STATE(337),
    [sym_preproc_ifdef_in_statements] = STATE(337),
    [sym_preproc_else_in_statements] = STATE(9413),
    [sym_preproc_elif_in_statements] = STATE(9413),
    [sym_preproc_elifdef_in_statements] = STATE(9413),
    [sym_interface] = STATE(173),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6427),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(173),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(173),
    [sym_public_statement] = STATE(173),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(173),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(173),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(173),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(173),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(173),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(337),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [93] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_else_in_module] = STATE(9197),
    [sym_preproc_elif_in_module] = STATE(9197),
    [sym_preproc_elifdef_in_module] = STATE(9197),
    [sym_preproc_if_in_specification_part] = STATE(82),
    [sym_preproc_ifdef_in_specification_part] = STATE(82),
    [sym_preproc_else_in_specification_part] = STATE(8973),
    [sym_preproc_elif_in_specification_part] = STATE(8973),
    [sym_preproc_elifdef_in_specification_part] = STATE(8973),
    [sym_preproc_if_in_statements] = STATE(454),
    [sym_preproc_ifdef_in_statements] = STATE(454),
    [sym_interface] = STATE(82),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6419),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(82),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(82),
    [sym_public_statement] = STATE(82),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(82),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(82),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(82),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(82),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(82),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(454),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(941),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [94] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9411),
    [sym_preproc_elif_in_module] = STATE(9411),
    [sym_preproc_elifdef_in_module] = STATE(9411),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8797),
    [sym_preproc_elif_in_specification_part] = STATE(8797),
    [sym_preproc_elifdef_in_specification_part] = STATE(8797),
    [sym_preproc_if_in_statements] = STATE(434),
    [sym_preproc_ifdef_in_statements] = STATE(434),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6420),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(434),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [95] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_else_in_module] = STATE(9508),
    [sym_preproc_elif_in_module] = STATE(9508),
    [sym_preproc_elifdef_in_module] = STATE(9508),
    [sym_preproc_if_in_specification_part] = STATE(94),
    [sym_preproc_ifdef_in_specification_part] = STATE(94),
    [sym_preproc_else_in_specification_part] = STATE(8911),
    [sym_preproc_elif_in_specification_part] = STATE(8911),
    [sym_preproc_elifdef_in_specification_part] = STATE(8911),
    [sym_preproc_if_in_statements] = STATE(441),
    [sym_preproc_ifdef_in_statements] = STATE(441),
    [sym_interface] = STATE(94),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6428),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(94),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(94),
    [sym_public_statement] = STATE(94),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(94),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(94),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(94),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(94),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(94),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(441),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(945),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [96] = {
    [sym_preproc_include] = STATE(164),
    [sym_preproc_def] = STATE(164),
    [sym_preproc_function_def] = STATE(164),
    [sym_preproc_call] = STATE(164),
    [sym_preproc_if_in_specification_part] = STATE(164),
    [sym_preproc_ifdef_in_specification_part] = STATE(164),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(349),
    [sym_preproc_ifdef_in_statements] = STATE(349),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_interface] = STATE(164),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6501),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(164),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(164),
    [sym_public_statement] = STATE(164),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(164),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(164),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(164),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(164),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(349),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(949),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [97] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9491),
    [sym_preproc_elif_in_module] = STATE(9491),
    [sym_preproc_elifdef_in_module] = STATE(9491),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9510),
    [sym_preproc_elif_in_specification_part] = STATE(9510),
    [sym_preproc_elifdef_in_specification_part] = STATE(9510),
    [sym_preproc_if_in_statements] = STATE(423),
    [sym_preproc_ifdef_in_statements] = STATE(423),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6426),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(423),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [98] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_else_in_module] = STATE(9527),
    [sym_preproc_elif_in_module] = STATE(9527),
    [sym_preproc_elifdef_in_module] = STATE(9527),
    [sym_preproc_if_in_specification_part] = STATE(97),
    [sym_preproc_ifdef_in_specification_part] = STATE(97),
    [sym_preproc_else_in_specification_part] = STATE(9072),
    [sym_preproc_elif_in_specification_part] = STATE(9072),
    [sym_preproc_elifdef_in_specification_part] = STATE(9072),
    [sym_preproc_if_in_statements] = STATE(414),
    [sym_preproc_ifdef_in_statements] = STATE(414),
    [sym_interface] = STATE(97),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6415),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(97),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(97),
    [sym_public_statement] = STATE(97),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(97),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(97),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(97),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(97),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(97),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(414),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [99] = {
    [sym_preproc_include] = STATE(132),
    [sym_preproc_def] = STATE(132),
    [sym_preproc_function_def] = STATE(132),
    [sym_preproc_call] = STATE(132),
    [sym_preproc_if_in_specification_part] = STATE(132),
    [sym_preproc_ifdef_in_specification_part] = STATE(132),
    [sym_preproc_else_in_specification_part] = STATE(9483),
    [sym_preproc_elif_in_specification_part] = STATE(9483),
    [sym_preproc_elifdef_in_specification_part] = STATE(9483),
    [sym_preproc_if_in_statements] = STATE(359),
    [sym_preproc_ifdef_in_statements] = STATE(359),
    [sym_preproc_else_in_statements] = STATE(9492),
    [sym_preproc_elif_in_statements] = STATE(9492),
    [sym_preproc_elifdef_in_statements] = STATE(9492),
    [sym_interface] = STATE(132),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6471),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(132),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(132),
    [sym_public_statement] = STATE(132),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(132),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(132),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(132),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(132),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(132),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(359),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(957),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [100] = {
    [sym_preproc_include] = STATE(106),
    [sym_preproc_def] = STATE(106),
    [sym_preproc_function_def] = STATE(106),
    [sym_preproc_call] = STATE(106),
    [sym_preproc_else_in_module] = STATE(9240),
    [sym_preproc_elif_in_module] = STATE(9240),
    [sym_preproc_elifdef_in_module] = STATE(9240),
    [sym_preproc_if_in_specification_part] = STATE(106),
    [sym_preproc_ifdef_in_specification_part] = STATE(106),
    [sym_preproc_else_in_specification_part] = STATE(9464),
    [sym_preproc_elif_in_specification_part] = STATE(9464),
    [sym_preproc_elifdef_in_specification_part] = STATE(9464),
    [sym_preproc_if_in_statements] = STATE(443),
    [sym_preproc_ifdef_in_statements] = STATE(443),
    [sym_interface] = STATE(106),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6438),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(106),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(106),
    [sym_public_statement] = STATE(106),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(106),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(106),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(106),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(106),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(106),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(443),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(961),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [101] = {
    [sym_preproc_include] = STATE(108),
    [sym_preproc_def] = STATE(108),
    [sym_preproc_function_def] = STATE(108),
    [sym_preproc_call] = STATE(108),
    [sym_preproc_else_in_module] = STATE(9245),
    [sym_preproc_elif_in_module] = STATE(9245),
    [sym_preproc_elifdef_in_module] = STATE(9245),
    [sym_preproc_if_in_specification_part] = STATE(108),
    [sym_preproc_ifdef_in_specification_part] = STATE(108),
    [sym_preproc_else_in_specification_part] = STATE(9185),
    [sym_preproc_elif_in_specification_part] = STATE(9185),
    [sym_preproc_elifdef_in_specification_part] = STATE(9185),
    [sym_preproc_if_in_statements] = STATE(455),
    [sym_preproc_ifdef_in_statements] = STATE(455),
    [sym_interface] = STATE(108),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6439),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(108),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(108),
    [sym_public_statement] = STATE(108),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(108),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(108),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(108),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(108),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(108),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(455),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(965),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [102] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9245),
    [sym_preproc_elif_in_module] = STATE(9245),
    [sym_preproc_elifdef_in_module] = STATE(9245),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9185),
    [sym_preproc_elif_in_specification_part] = STATE(9185),
    [sym_preproc_elifdef_in_specification_part] = STATE(9185),
    [sym_preproc_if_in_statements] = STATE(455),
    [sym_preproc_ifdef_in_statements] = STATE(455),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6439),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(455),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [103] = {
    [sym_preproc_include] = STATE(105),
    [sym_preproc_def] = STATE(105),
    [sym_preproc_function_def] = STATE(105),
    [sym_preproc_call] = STATE(105),
    [sym_preproc_else_in_module] = STATE(9528),
    [sym_preproc_elif_in_module] = STATE(9528),
    [sym_preproc_elifdef_in_module] = STATE(9528),
    [sym_preproc_if_in_specification_part] = STATE(105),
    [sym_preproc_ifdef_in_specification_part] = STATE(105),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(415),
    [sym_preproc_ifdef_in_statements] = STATE(415),
    [sym_interface] = STATE(105),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6433),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(105),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(105),
    [sym_public_statement] = STATE(105),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(105),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(105),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(105),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(105),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(105),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(415),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [104] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_else_in_module] = STATE(9118),
    [sym_preproc_elif_in_module] = STATE(9118),
    [sym_preproc_elifdef_in_module] = STATE(9118),
    [sym_preproc_if_in_specification_part] = STATE(81),
    [sym_preproc_ifdef_in_specification_part] = STATE(81),
    [sym_preproc_else_in_specification_part] = STATE(9409),
    [sym_preproc_elif_in_specification_part] = STATE(9409),
    [sym_preproc_elifdef_in_specification_part] = STATE(9409),
    [sym_preproc_if_in_statements] = STATE(403),
    [sym_preproc_ifdef_in_statements] = STATE(403),
    [sym_interface] = STATE(81),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6468),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(81),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(81),
    [sym_public_statement] = STATE(81),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(81),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(81),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(81),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(81),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(81),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(403),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [105] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9420),
    [sym_preproc_elif_in_module] = STATE(9420),
    [sym_preproc_elifdef_in_module] = STATE(9420),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8563),
    [sym_preproc_elif_in_specification_part] = STATE(8563),
    [sym_preproc_elifdef_in_specification_part] = STATE(8563),
    [sym_preproc_if_in_statements] = STATE(436),
    [sym_preproc_ifdef_in_statements] = STATE(436),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6421),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(436),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [106] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9318),
    [sym_preproc_elif_in_module] = STATE(9318),
    [sym_preproc_elifdef_in_module] = STATE(9318),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9287),
    [sym_preproc_elif_in_specification_part] = STATE(9287),
    [sym_preproc_elifdef_in_specification_part] = STATE(9287),
    [sym_preproc_if_in_statements] = STATE(460),
    [sym_preproc_ifdef_in_statements] = STATE(460),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6454),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [107] = {
    [sym_preproc_include] = STATE(109),
    [sym_preproc_def] = STATE(109),
    [sym_preproc_function_def] = STATE(109),
    [sym_preproc_call] = STATE(109),
    [sym_preproc_else_in_module] = STATE(9318),
    [sym_preproc_elif_in_module] = STATE(9318),
    [sym_preproc_elifdef_in_module] = STATE(9318),
    [sym_preproc_if_in_specification_part] = STATE(109),
    [sym_preproc_ifdef_in_specification_part] = STATE(109),
    [sym_preproc_else_in_specification_part] = STATE(9287),
    [sym_preproc_elif_in_specification_part] = STATE(9287),
    [sym_preproc_elifdef_in_specification_part] = STATE(9287),
    [sym_preproc_if_in_statements] = STATE(460),
    [sym_preproc_ifdef_in_statements] = STATE(460),
    [sym_interface] = STATE(109),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6454),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(109),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(109),
    [sym_public_statement] = STATE(109),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(109),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(109),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(109),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(109),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(109),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(977),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [108] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9324),
    [sym_preproc_elif_in_module] = STATE(9324),
    [sym_preproc_elifdef_in_module] = STATE(9324),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9364),
    [sym_preproc_elif_in_specification_part] = STATE(9364),
    [sym_preproc_elifdef_in_specification_part] = STATE(9364),
    [sym_preproc_if_in_statements] = STATE(461),
    [sym_preproc_ifdef_in_statements] = STATE(461),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6458),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(461),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [109] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9365),
    [sym_preproc_elif_in_module] = STATE(9365),
    [sym_preproc_elifdef_in_module] = STATE(9365),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8868),
    [sym_preproc_elif_in_specification_part] = STATE(8868),
    [sym_preproc_elifdef_in_specification_part] = STATE(8868),
    [sym_preproc_if_in_statements] = STATE(465),
    [sym_preproc_ifdef_in_statements] = STATE(465),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6465),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(465),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [110] = {
    [sym_preproc_include] = STATE(194),
    [sym_preproc_def] = STATE(194),
    [sym_preproc_function_def] = STATE(194),
    [sym_preproc_call] = STATE(194),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(9344),
    [sym_preproc_elif_in_specification_part] = STATE(9344),
    [sym_preproc_elifdef_in_specification_part] = STATE(9344),
    [sym_preproc_if_in_statements] = STATE(336),
    [sym_preproc_ifdef_in_statements] = STATE(336),
    [sym_preproc_else_in_statements] = STATE(9523),
    [sym_preproc_elif_in_statements] = STATE(9523),
    [sym_preproc_elifdef_in_statements] = STATE(9523),
    [sym_interface] = STATE(194),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6478),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(194),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(194),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(336),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(985),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [111] = {
    [sym_preproc_include] = STATE(160),
    [sym_preproc_def] = STATE(160),
    [sym_preproc_function_def] = STATE(160),
    [sym_preproc_call] = STATE(160),
    [sym_preproc_if_in_specification_part] = STATE(160),
    [sym_preproc_ifdef_in_specification_part] = STATE(160),
    [sym_preproc_else_in_specification_part] = STATE(9388),
    [sym_preproc_elif_in_specification_part] = STATE(9388),
    [sym_preproc_elifdef_in_specification_part] = STATE(9388),
    [sym_preproc_if_in_statements] = STATE(338),
    [sym_preproc_ifdef_in_statements] = STATE(338),
    [sym_preproc_else_in_statements] = STATE(9533),
    [sym_preproc_elif_in_statements] = STATE(9533),
    [sym_preproc_elifdef_in_statements] = STATE(9533),
    [sym_interface] = STATE(160),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6479),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(160),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(160),
    [sym_public_statement] = STATE(160),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(160),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(160),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(160),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(160),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(160),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(338),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [112] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(8765),
    [sym_preproc_elif_in_module] = STATE(8765),
    [sym_preproc_elifdef_in_module] = STATE(8765),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9131),
    [sym_preproc_elif_in_specification_part] = STATE(9131),
    [sym_preproc_elifdef_in_specification_part] = STATE(9131),
    [sym_preproc_if_in_statements] = STATE(416),
    [sym_preproc_ifdef_in_statements] = STATE(416),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6422),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(416),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [113] = {
    [sym_preproc_include] = STATE(162),
    [sym_preproc_def] = STATE(162),
    [sym_preproc_function_def] = STATE(162),
    [sym_preproc_call] = STATE(162),
    [sym_preproc_if_in_specification_part] = STATE(162),
    [sym_preproc_ifdef_in_specification_part] = STATE(162),
    [sym_preproc_else_in_specification_part] = STATE(8973),
    [sym_preproc_elif_in_specification_part] = STATE(8973),
    [sym_preproc_elifdef_in_specification_part] = STATE(8973),
    [sym_preproc_if_in_statements] = STATE(372),
    [sym_preproc_ifdef_in_statements] = STATE(372),
    [sym_preproc_else_in_statements] = STATE(9001),
    [sym_preproc_elif_in_statements] = STATE(9001),
    [sym_preproc_elifdef_in_statements] = STATE(9001),
    [sym_interface] = STATE(162),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6486),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(162),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(162),
    [sym_public_statement] = STATE(162),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(162),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(162),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(162),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(162),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(162),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(372),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(815),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [114] = {
    [sym_preproc_include] = STATE(170),
    [sym_preproc_def] = STATE(170),
    [sym_preproc_function_def] = STATE(170),
    [sym_preproc_call] = STATE(170),
    [sym_preproc_if_in_specification_part] = STATE(170),
    [sym_preproc_ifdef_in_specification_part] = STATE(170),
    [sym_preproc_else_in_specification_part] = STATE(9054),
    [sym_preproc_elif_in_specification_part] = STATE(9054),
    [sym_preproc_elifdef_in_specification_part] = STATE(9054),
    [sym_preproc_if_in_statements] = STATE(347),
    [sym_preproc_ifdef_in_statements] = STATE(347),
    [sym_preproc_else_in_statements] = STATE(9092),
    [sym_preproc_elif_in_statements] = STATE(9092),
    [sym_preproc_elifdef_in_statements] = STATE(9092),
    [sym_interface] = STATE(170),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6434),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(170),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(170),
    [sym_public_statement] = STATE(170),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(170),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(170),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(170),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(170),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(170),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [115] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_else_in_module] = STATE(9238),
    [sym_preproc_elif_in_module] = STATE(9238),
    [sym_preproc_elifdef_in_module] = STATE(9238),
    [sym_preproc_if_in_specification_part] = STATE(83),
    [sym_preproc_ifdef_in_specification_part] = STATE(83),
    [sym_preproc_else_in_specification_part] = STATE(9086),
    [sym_preproc_elif_in_specification_part] = STATE(9086),
    [sym_preproc_elifdef_in_specification_part] = STATE(9086),
    [sym_preproc_if_in_statements] = STATE(417),
    [sym_preproc_ifdef_in_statements] = STATE(417),
    [sym_interface] = STATE(83),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6493),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(83),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(83),
    [sym_public_statement] = STATE(83),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(83),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(83),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(83),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(83),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(83),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(417),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [116] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_else_in_module] = STATE(9276),
    [sym_preproc_elif_in_module] = STATE(9276),
    [sym_preproc_elifdef_in_module] = STATE(9276),
    [sym_preproc_if_in_specification_part] = STATE(85),
    [sym_preproc_ifdef_in_specification_part] = STATE(85),
    [sym_preproc_else_in_specification_part] = STATE(9107),
    [sym_preproc_elif_in_specification_part] = STATE(9107),
    [sym_preproc_elifdef_in_specification_part] = STATE(9107),
    [sym_preproc_if_in_statements] = STATE(433),
    [sym_preproc_ifdef_in_statements] = STATE(433),
    [sym_interface] = STATE(85),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6494),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(85),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(85),
    [sym_public_statement] = STATE(85),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(85),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(85),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(85),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(85),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(433),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1003),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [117] = {
    [sym_preproc_include] = STATE(193),
    [sym_preproc_def] = STATE(193),
    [sym_preproc_function_def] = STATE(193),
    [sym_preproc_call] = STATE(193),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_else_in_specification_part] = STATE(9339),
    [sym_preproc_elif_in_specification_part] = STATE(9339),
    [sym_preproc_elifdef_in_specification_part] = STATE(9339),
    [sym_preproc_if_in_statements] = STATE(334),
    [sym_preproc_ifdef_in_statements] = STATE(334),
    [sym_preproc_else_in_statements] = STATE(9521),
    [sym_preproc_elif_in_statements] = STATE(9521),
    [sym_preproc_elifdef_in_statements] = STATE(9521),
    [sym_interface] = STATE(193),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6477),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(193),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(193),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(334),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1007),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [118] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9276),
    [sym_preproc_elif_in_module] = STATE(9276),
    [sym_preproc_elifdef_in_module] = STATE(9276),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9107),
    [sym_preproc_elif_in_specification_part] = STATE(9107),
    [sym_preproc_elifdef_in_specification_part] = STATE(9107),
    [sym_preproc_if_in_statements] = STATE(433),
    [sym_preproc_ifdef_in_statements] = STATE(433),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6494),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(433),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [119] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_else_in_module] = STATE(9528),
    [sym_preproc_elif_in_module] = STATE(9528),
    [sym_preproc_elifdef_in_module] = STATE(9528),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(415),
    [sym_preproc_ifdef_in_statements] = STATE(415),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6433),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(415),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [120] = {
    [sym_preproc_include] = STATE(147),
    [sym_preproc_def] = STATE(147),
    [sym_preproc_function_def] = STATE(147),
    [sym_preproc_call] = STATE(147),
    [sym_preproc_if_in_specification_part] = STATE(147),
    [sym_preproc_ifdef_in_specification_part] = STATE(147),
    [sym_preproc_else_in_specification_part] = STATE(8911),
    [sym_preproc_elif_in_specification_part] = STATE(8911),
    [sym_preproc_elifdef_in_specification_part] = STATE(8911),
    [sym_preproc_if_in_statements] = STATE(363),
    [sym_preproc_ifdef_in_statements] = STATE(363),
    [sym_preproc_else_in_statements] = STATE(9165),
    [sym_preproc_elif_in_statements] = STATE(9165),
    [sym_preproc_elifdef_in_statements] = STATE(9165),
    [sym_interface] = STATE(147),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6473),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(147),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(147),
    [sym_public_statement] = STATE(147),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(147),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(147),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(147),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(147),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(147),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(363),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(813),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [121] = {
    [sym_preproc_include] = STATE(149),
    [sym_preproc_def] = STATE(149),
    [sym_preproc_function_def] = STATE(149),
    [sym_preproc_call] = STATE(149),
    [sym_preproc_if_in_specification_part] = STATE(149),
    [sym_preproc_ifdef_in_specification_part] = STATE(149),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(364),
    [sym_preproc_ifdef_in_statements] = STATE(364),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_interface] = STATE(149),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6481),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(149),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(149),
    [sym_public_statement] = STATE(149),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(149),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(149),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(149),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(149),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(364),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(803),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [122] = {
    [sym_preproc_include] = STATE(195),
    [sym_preproc_def] = STATE(195),
    [sym_preproc_function_def] = STATE(195),
    [sym_preproc_call] = STATE(195),
    [sym_preproc_if_in_specification_part] = STATE(195),
    [sym_preproc_ifdef_in_specification_part] = STATE(195),
    [sym_preproc_else_in_specification_part] = STATE(8761),
    [sym_preproc_elif_in_specification_part] = STATE(8761),
    [sym_preproc_elifdef_in_specification_part] = STATE(8761),
    [sym_preproc_if_in_statements] = STATE(373),
    [sym_preproc_ifdef_in_statements] = STATE(373),
    [sym_preproc_else_in_statements] = STATE(9022),
    [sym_preproc_elif_in_statements] = STATE(9022),
    [sym_preproc_elifdef_in_statements] = STATE(9022),
    [sym_interface] = STATE(195),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6467),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(195),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(195),
    [sym_public_statement] = STATE(195),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(195),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(195),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(195),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(195),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(195),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(373),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [123] = {
    [sym_preproc_include] = STATE(112),
    [sym_preproc_def] = STATE(112),
    [sym_preproc_function_def] = STATE(112),
    [sym_preproc_call] = STATE(112),
    [sym_preproc_else_in_module] = STATE(8980),
    [sym_preproc_elif_in_module] = STATE(8980),
    [sym_preproc_elifdef_in_module] = STATE(8980),
    [sym_preproc_if_in_specification_part] = STATE(112),
    [sym_preproc_ifdef_in_specification_part] = STATE(112),
    [sym_preproc_else_in_specification_part] = STATE(9526),
    [sym_preproc_elif_in_specification_part] = STATE(9526),
    [sym_preproc_elifdef_in_specification_part] = STATE(9526),
    [sym_preproc_if_in_statements] = STATE(408),
    [sym_preproc_ifdef_in_statements] = STATE(408),
    [sym_interface] = STATE(112),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6507),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(112),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(112),
    [sym_public_statement] = STATE(112),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(112),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(112),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(112),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(112),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(112),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(408),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(855),
    [aux_sym_preproc_elif_token1] = ACTIONS(857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(859),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [124] = {
    [sym_preproc_include] = STATE(184),
    [sym_preproc_def] = STATE(184),
    [sym_preproc_function_def] = STATE(184),
    [sym_preproc_call] = STATE(184),
    [sym_preproc_if_in_specification_part] = STATE(184),
    [sym_preproc_ifdef_in_specification_part] = STATE(184),
    [sym_preproc_else_in_specification_part] = STATE(9266),
    [sym_preproc_elif_in_specification_part] = STATE(9266),
    [sym_preproc_elifdef_in_specification_part] = STATE(9266),
    [sym_preproc_if_in_statements] = STATE(482),
    [sym_preproc_ifdef_in_statements] = STATE(482),
    [sym_interface] = STATE(184),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6736),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(184),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(184),
    [sym_public_statement] = STATE(184),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(184),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(184),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(184),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(184),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(184),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(482),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(869),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [125] = {
    [sym_preproc_include] = STATE(136),
    [sym_preproc_def] = STATE(136),
    [sym_preproc_function_def] = STATE(136),
    [sym_preproc_call] = STATE(136),
    [sym_preproc_if_in_specification_part] = STATE(136),
    [sym_preproc_ifdef_in_specification_part] = STATE(136),
    [sym_preproc_else_in_specification_part] = STATE(8991),
    [sym_preproc_elif_in_specification_part] = STATE(8991),
    [sym_preproc_elifdef_in_specification_part] = STATE(8991),
    [sym_preproc_if_in_statements] = STATE(543),
    [sym_preproc_ifdef_in_statements] = STATE(543),
    [sym_interface] = STATE(136),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6759),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(136),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(136),
    [sym_public_statement] = STATE(136),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(136),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(136),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(136),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(136),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(136),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(543),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [126] = {
    [sym_preproc_include] = STATE(138),
    [sym_preproc_def] = STATE(138),
    [sym_preproc_function_def] = STATE(138),
    [sym_preproc_call] = STATE(138),
    [sym_preproc_if_in_specification_part] = STATE(138),
    [sym_preproc_ifdef_in_specification_part] = STATE(138),
    [sym_preproc_else_in_specification_part] = STATE(8667),
    [sym_preproc_elif_in_specification_part] = STATE(8667),
    [sym_preproc_elifdef_in_specification_part] = STATE(8667),
    [sym_preproc_if_in_statements] = STATE(456),
    [sym_preproc_ifdef_in_statements] = STATE(456),
    [sym_interface] = STATE(138),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6807),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(138),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(138),
    [sym_public_statement] = STATE(138),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(138),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(138),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(138),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(138),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(138),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(456),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(763),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [127] = {
    [sym_preproc_include] = STATE(188),
    [sym_preproc_def] = STATE(188),
    [sym_preproc_function_def] = STATE(188),
    [sym_preproc_call] = STATE(188),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_else_in_specification_part] = STATE(8884),
    [sym_preproc_elif_in_specification_part] = STATE(8884),
    [sym_preproc_elifdef_in_specification_part] = STATE(8884),
    [sym_preproc_if_in_statements] = STATE(521),
    [sym_preproc_ifdef_in_statements] = STATE(521),
    [sym_interface] = STATE(188),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6727),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(188),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(188),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(521),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(797),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [128] = {
    [sym_preproc_include] = STATE(133),
    [sym_preproc_def] = STATE(133),
    [sym_preproc_function_def] = STATE(133),
    [sym_preproc_call] = STATE(133),
    [sym_preproc_if_in_specification_part] = STATE(133),
    [sym_preproc_ifdef_in_specification_part] = STATE(133),
    [sym_preproc_else_in_specification_part] = STATE(8998),
    [sym_preproc_elif_in_specification_part] = STATE(8998),
    [sym_preproc_elifdef_in_specification_part] = STATE(8998),
    [sym_preproc_if_in_statements] = STATE(419),
    [sym_preproc_ifdef_in_statements] = STATE(419),
    [sym_interface] = STATE(133),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6589),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(133),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(133),
    [sym_public_statement] = STATE(133),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(133),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(133),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(133),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(133),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(133),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(419),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(801),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [129] = {
    [sym_preproc_include] = STATE(169),
    [sym_preproc_def] = STATE(169),
    [sym_preproc_function_def] = STATE(169),
    [sym_preproc_call] = STATE(169),
    [sym_preproc_if_in_specification_part] = STATE(169),
    [sym_preproc_ifdef_in_specification_part] = STATE(169),
    [sym_preproc_else_in_specification_part] = STATE(9015),
    [sym_preproc_elif_in_specification_part] = STATE(9015),
    [sym_preproc_elifdef_in_specification_part] = STATE(9015),
    [sym_preproc_if_in_statements] = STATE(495),
    [sym_preproc_ifdef_in_statements] = STATE(495),
    [sym_interface] = STATE(169),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6779),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(169),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(169),
    [sym_public_statement] = STATE(169),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(169),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(169),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(169),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(169),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(169),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(495),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1041),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [130] = {
    [sym_preproc_include] = STATE(192),
    [sym_preproc_def] = STATE(192),
    [sym_preproc_function_def] = STATE(192),
    [sym_preproc_call] = STATE(192),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_else_in_specification_part] = STATE(9300),
    [sym_preproc_elif_in_specification_part] = STATE(9300),
    [sym_preproc_elifdef_in_specification_part] = STATE(9300),
    [sym_preproc_if_in_statements] = STATE(508),
    [sym_preproc_ifdef_in_statements] = STATE(508),
    [sym_interface] = STATE(192),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6755),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(192),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(192),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(508),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [131] = {
    [sym_preproc_include] = STATE(148),
    [sym_preproc_def] = STATE(148),
    [sym_preproc_function_def] = STATE(148),
    [sym_preproc_call] = STATE(148),
    [sym_preproc_if_in_specification_part] = STATE(148),
    [sym_preproc_ifdef_in_specification_part] = STATE(148),
    [sym_preproc_else_in_specification_part] = STATE(9442),
    [sym_preproc_elif_in_specification_part] = STATE(9442),
    [sym_preproc_elifdef_in_specification_part] = STATE(9442),
    [sym_preproc_if_in_statements] = STATE(469),
    [sym_preproc_ifdef_in_statements] = STATE(469),
    [sym_interface] = STATE(148),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6803),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(148),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(148),
    [sym_public_statement] = STATE(148),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(148),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(148),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(148),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(148),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(148),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(469),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(791),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [132] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8541),
    [sym_preproc_elif_in_specification_part] = STATE(8541),
    [sym_preproc_elifdef_in_specification_part] = STATE(8541),
    [sym_preproc_if_in_statements] = STATE(536),
    [sym_preproc_ifdef_in_statements] = STATE(536),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6611),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(536),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [133] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(415),
    [sym_preproc_ifdef_in_statements] = STATE(415),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6804),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(415),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [134] = {
    [sym_preproc_include] = STATE(140),
    [sym_preproc_def] = STATE(140),
    [sym_preproc_function_def] = STATE(140),
    [sym_preproc_call] = STATE(140),
    [sym_preproc_if_in_specification_part] = STATE(140),
    [sym_preproc_ifdef_in_specification_part] = STATE(140),
    [sym_preproc_else_in_specification_part] = STATE(9104),
    [sym_preproc_elif_in_specification_part] = STATE(9104),
    [sym_preproc_elifdef_in_specification_part] = STATE(9104),
    [sym_preproc_if_in_statements] = STATE(468),
    [sym_preproc_ifdef_in_statements] = STATE(468),
    [sym_interface] = STATE(140),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6805),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(140),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(140),
    [sym_public_statement] = STATE(140),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(140),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(140),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(140),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(140),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(140),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(811),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [135] = {
    [sym_preproc_include] = STATE(141),
    [sym_preproc_def] = STATE(141),
    [sym_preproc_function_def] = STATE(141),
    [sym_preproc_call] = STATE(141),
    [sym_preproc_if_in_specification_part] = STATE(141),
    [sym_preproc_ifdef_in_specification_part] = STATE(141),
    [sym_preproc_else_in_specification_part] = STATE(9408),
    [sym_preproc_elif_in_specification_part] = STATE(9408),
    [sym_preproc_elifdef_in_specification_part] = STATE(9408),
    [sym_preproc_if_in_statements] = STATE(473),
    [sym_preproc_ifdef_in_statements] = STATE(473),
    [sym_interface] = STATE(141),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6754),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(141),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(141),
    [sym_public_statement] = STATE(141),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(141),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(141),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(141),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(141),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(141),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(473),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(843),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [136] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(404),
    [sym_preproc_ifdef_in_statements] = STATE(404),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6608),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(404),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [137] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9258),
    [sym_preproc_elif_in_specification_part] = STATE(9258),
    [sym_preproc_elifdef_in_specification_part] = STATE(9258),
    [sym_preproc_if_in_statements] = STATE(449),
    [sym_preproc_ifdef_in_statements] = STATE(449),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6587),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(449),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [138] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9104),
    [sym_preproc_elif_in_specification_part] = STATE(9104),
    [sym_preproc_elifdef_in_specification_part] = STATE(9104),
    [sym_preproc_if_in_statements] = STATE(468),
    [sym_preproc_ifdef_in_statements] = STATE(468),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6805),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [139] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9408),
    [sym_preproc_elif_in_specification_part] = STATE(9408),
    [sym_preproc_elifdef_in_specification_part] = STATE(9408),
    [sym_preproc_if_in_statements] = STATE(473),
    [sym_preproc_ifdef_in_statements] = STATE(473),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6754),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(473),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [140] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9488),
    [sym_preproc_elif_in_specification_part] = STATE(9488),
    [sym_preproc_elifdef_in_specification_part] = STATE(9488),
    [sym_preproc_if_in_statements] = STATE(474),
    [sym_preproc_ifdef_in_statements] = STATE(474),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6556),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(474),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [141] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8693),
    [sym_preproc_elif_in_specification_part] = STATE(8693),
    [sym_preproc_elifdef_in_specification_part] = STATE(8693),
    [sym_preproc_if_in_statements] = STATE(479),
    [sym_preproc_ifdef_in_statements] = STATE(479),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6670),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(479),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [142] = {
    [sym_preproc_include] = STATE(139),
    [sym_preproc_def] = STATE(139),
    [sym_preproc_function_def] = STATE(139),
    [sym_preproc_call] = STATE(139),
    [sym_preproc_if_in_specification_part] = STATE(139),
    [sym_preproc_ifdef_in_specification_part] = STATE(139),
    [sym_preproc_else_in_specification_part] = STATE(9080),
    [sym_preproc_elif_in_specification_part] = STATE(9080),
    [sym_preproc_elifdef_in_specification_part] = STATE(9080),
    [sym_preproc_if_in_statements] = STATE(462),
    [sym_preproc_ifdef_in_statements] = STATE(462),
    [sym_interface] = STATE(139),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6745),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(139),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(139),
    [sym_public_statement] = STATE(139),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(139),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(139),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(139),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(139),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(139),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(462),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [143] = {
    [sym_preproc_include] = STATE(195),
    [sym_preproc_def] = STATE(195),
    [sym_preproc_function_def] = STATE(195),
    [sym_preproc_call] = STATE(195),
    [sym_preproc_if_in_specification_part] = STATE(195),
    [sym_preproc_ifdef_in_specification_part] = STATE(195),
    [sym_preproc_else_in_specification_part] = STATE(8761),
    [sym_preproc_elif_in_specification_part] = STATE(8761),
    [sym_preproc_elifdef_in_specification_part] = STATE(8761),
    [sym_preproc_if_in_statements] = STATE(402),
    [sym_preproc_ifdef_in_statements] = STATE(402),
    [sym_interface] = STATE(195),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6640),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(195),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(195),
    [sym_public_statement] = STATE(195),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(195),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(195),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(195),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(195),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(195),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(402),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1067),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [144] = {
    [sym_preproc_include] = STATE(137),
    [sym_preproc_def] = STATE(137),
    [sym_preproc_function_def] = STATE(137),
    [sym_preproc_call] = STATE(137),
    [sym_preproc_if_in_specification_part] = STATE(137),
    [sym_preproc_ifdef_in_specification_part] = STATE(137),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(404),
    [sym_preproc_ifdef_in_statements] = STATE(404),
    [sym_interface] = STATE(137),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6608),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(137),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(137),
    [sym_public_statement] = STATE(137),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(137),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(137),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(137),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(137),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(137),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(404),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [145] = {
    [sym_preproc_include] = STATE(151),
    [sym_preproc_def] = STATE(151),
    [sym_preproc_function_def] = STATE(151),
    [sym_preproc_call] = STATE(151),
    [sym_preproc_if_in_specification_part] = STATE(151),
    [sym_preproc_ifdef_in_specification_part] = STATE(151),
    [sym_preproc_else_in_specification_part] = STATE(9532),
    [sym_preproc_elif_in_specification_part] = STATE(9532),
    [sym_preproc_elifdef_in_specification_part] = STATE(9532),
    [sym_preproc_if_in_statements] = STATE(481),
    [sym_preproc_ifdef_in_statements] = STATE(481),
    [sym_interface] = STATE(151),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6592),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(151),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(151),
    [sym_public_statement] = STATE(151),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(151),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(151),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(151),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(151),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(151),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(481),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(827),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [146] = {
    [sym_preproc_include] = STATE(154),
    [sym_preproc_def] = STATE(154),
    [sym_preproc_function_def] = STATE(154),
    [sym_preproc_call] = STATE(154),
    [sym_preproc_if_in_specification_part] = STATE(154),
    [sym_preproc_ifdef_in_specification_part] = STATE(154),
    [sym_preproc_else_in_specification_part] = STATE(9215),
    [sym_preproc_elif_in_specification_part] = STATE(9215),
    [sym_preproc_elifdef_in_specification_part] = STATE(9215),
    [sym_preproc_if_in_statements] = STATE(486),
    [sym_preproc_ifdef_in_statements] = STATE(486),
    [sym_interface] = STATE(154),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6626),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(154),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(154),
    [sym_public_statement] = STATE(154),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(154),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(154),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(154),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(154),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(154),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(486),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(823),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [147] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8797),
    [sym_preproc_elif_in_specification_part] = STATE(8797),
    [sym_preproc_elifdef_in_specification_part] = STATE(8797),
    [sym_preproc_if_in_statements] = STATE(434),
    [sym_preproc_ifdef_in_statements] = STATE(434),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6812),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(434),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [148] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9532),
    [sym_preproc_elif_in_specification_part] = STATE(9532),
    [sym_preproc_elifdef_in_specification_part] = STATE(9532),
    [sym_preproc_if_in_statements] = STATE(481),
    [sym_preproc_ifdef_in_statements] = STATE(481),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6592),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(481),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [149] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8563),
    [sym_preproc_elif_in_specification_part] = STATE(8563),
    [sym_preproc_elifdef_in_specification_part] = STATE(8563),
    [sym_preproc_if_in_statements] = STATE(436),
    [sym_preproc_ifdef_in_statements] = STATE(436),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6703),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(436),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [150] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9215),
    [sym_preproc_elif_in_specification_part] = STATE(9215),
    [sym_preproc_elifdef_in_specification_part] = STATE(9215),
    [sym_preproc_if_in_statements] = STATE(486),
    [sym_preproc_ifdef_in_statements] = STATE(486),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6626),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(486),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [151] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9458),
    [sym_preproc_elif_in_specification_part] = STATE(9458),
    [sym_preproc_elifdef_in_specification_part] = STATE(9458),
    [sym_preproc_if_in_statements] = STATE(487),
    [sym_preproc_ifdef_in_statements] = STATE(487),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6628),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(487),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [152] = {
    [sym_preproc_include] = STATE(147),
    [sym_preproc_def] = STATE(147),
    [sym_preproc_function_def] = STATE(147),
    [sym_preproc_call] = STATE(147),
    [sym_preproc_if_in_specification_part] = STATE(147),
    [sym_preproc_ifdef_in_specification_part] = STATE(147),
    [sym_preproc_else_in_specification_part] = STATE(8911),
    [sym_preproc_elif_in_specification_part] = STATE(8911),
    [sym_preproc_elifdef_in_specification_part] = STATE(8911),
    [sym_preproc_if_in_statements] = STATE(441),
    [sym_preproc_ifdef_in_statements] = STATE(441),
    [sym_interface] = STATE(147),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6740),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(147),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(147),
    [sym_public_statement] = STATE(147),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(147),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(147),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(147),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(147),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(147),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(441),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(813),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [153] = {
    [sym_preproc_include] = STATE(149),
    [sym_preproc_def] = STATE(149),
    [sym_preproc_function_def] = STATE(149),
    [sym_preproc_call] = STATE(149),
    [sym_preproc_if_in_specification_part] = STATE(149),
    [sym_preproc_ifdef_in_specification_part] = STATE(149),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(415),
    [sym_preproc_ifdef_in_statements] = STATE(415),
    [sym_interface] = STATE(149),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6804),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(149),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(149),
    [sym_public_statement] = STATE(149),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(149),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(149),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(149),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(149),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(149),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(415),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(803),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [154] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8791),
    [sym_preproc_elif_in_specification_part] = STATE(8791),
    [sym_preproc_elifdef_in_specification_part] = STATE(8791),
    [sym_preproc_if_in_statements] = STATE(492),
    [sym_preproc_ifdef_in_statements] = STATE(492),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6674),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(492),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [155] = {
    [sym_preproc_include] = STATE(150),
    [sym_preproc_def] = STATE(150),
    [sym_preproc_function_def] = STATE(150),
    [sym_preproc_call] = STATE(150),
    [sym_preproc_if_in_specification_part] = STATE(150),
    [sym_preproc_ifdef_in_specification_part] = STATE(150),
    [sym_preproc_else_in_specification_part] = STATE(9177),
    [sym_preproc_elif_in_specification_part] = STATE(9177),
    [sym_preproc_elifdef_in_specification_part] = STATE(9177),
    [sym_preproc_if_in_statements] = STATE(475),
    [sym_preproc_ifdef_in_statements] = STATE(475),
    [sym_interface] = STATE(150),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6622),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(150),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(150),
    [sym_public_statement] = STATE(150),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(150),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(150),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(150),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(150),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(150),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(475),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(819),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [156] = {
    [sym_preproc_include] = STATE(185),
    [sym_preproc_def] = STATE(185),
    [sym_preproc_function_def] = STATE(185),
    [sym_preproc_call] = STATE(185),
    [sym_preproc_if_in_specification_part] = STATE(185),
    [sym_preproc_ifdef_in_specification_part] = STATE(185),
    [sym_preproc_else_in_specification_part] = STATE(9500),
    [sym_preproc_elif_in_specification_part] = STATE(9500),
    [sym_preproc_elifdef_in_specification_part] = STATE(9500),
    [sym_preproc_if_in_statements] = STATE(400),
    [sym_preproc_ifdef_in_statements] = STATE(400),
    [sym_interface] = STATE(185),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6609),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(185),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(185),
    [sym_public_statement] = STATE(185),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(185),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(185),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(185),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(185),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(185),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(400),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [157] = {
    [sym_preproc_include] = STATE(186),
    [sym_preproc_def] = STATE(186),
    [sym_preproc_function_def] = STATE(186),
    [sym_preproc_call] = STATE(186),
    [sym_preproc_if_in_specification_part] = STATE(186),
    [sym_preproc_ifdef_in_specification_part] = STATE(186),
    [sym_preproc_else_in_specification_part] = STATE(8541),
    [sym_preproc_elif_in_specification_part] = STATE(8541),
    [sym_preproc_elifdef_in_specification_part] = STATE(8541),
    [sym_preproc_if_in_statements] = STATE(536),
    [sym_preproc_ifdef_in_statements] = STATE(536),
    [sym_interface] = STATE(186),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6611),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(186),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(186),
    [sym_public_statement] = STATE(186),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(186),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(186),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(186),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(186),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(186),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(536),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [158] = {
    [sym_preproc_include] = STATE(164),
    [sym_preproc_def] = STATE(164),
    [sym_preproc_function_def] = STATE(164),
    [sym_preproc_call] = STATE(164),
    [sym_preproc_if_in_specification_part] = STATE(164),
    [sym_preproc_ifdef_in_specification_part] = STATE(164),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(428),
    [sym_preproc_ifdef_in_statements] = STATE(428),
    [sym_interface] = STATE(164),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6737),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(164),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(164),
    [sym_public_statement] = STATE(164),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(164),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(164),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(164),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(164),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(164),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(428),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(949),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [159] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8525),
    [sym_preproc_elif_in_specification_part] = STATE(8525),
    [sym_preproc_elifdef_in_specification_part] = STATE(8525),
    [sym_preproc_if_in_statements] = STATE(494),
    [sym_preproc_ifdef_in_statements] = STATE(494),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6785),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(494),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1083),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [160] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9419),
    [sym_preproc_elif_in_specification_part] = STATE(9419),
    [sym_preproc_elifdef_in_specification_part] = STATE(9419),
    [sym_preproc_if_in_statements] = STATE(564),
    [sym_preproc_ifdef_in_statements] = STATE(564),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6663),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(564),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [161] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8584),
    [sym_preproc_elif_in_specification_part] = STATE(8584),
    [sym_preproc_elifdef_in_specification_part] = STATE(8584),
    [sym_preproc_if_in_statements] = STATE(499),
    [sym_preproc_ifdef_in_statements] = STATE(499),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(499),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1087),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [162] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9542),
    [sym_preproc_elif_in_specification_part] = STATE(9542),
    [sym_preproc_elifdef_in_specification_part] = STATE(9542),
    [sym_preproc_if_in_statements] = STATE(453),
    [sym_preproc_ifdef_in_statements] = STATE(453),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6748),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(453),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [163] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8596),
    [sym_preproc_elif_in_specification_part] = STATE(8596),
    [sym_preproc_elifdef_in_specification_part] = STATE(8596),
    [sym_preproc_if_in_statements] = STATE(500),
    [sym_preproc_ifdef_in_statements] = STATE(500),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6802),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(500),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [164] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9027),
    [sym_preproc_elif_in_specification_part] = STATE(9027),
    [sym_preproc_elifdef_in_specification_part] = STATE(9027),
    [sym_preproc_if_in_statements] = STATE(409),
    [sym_preproc_ifdef_in_statements] = STATE(409),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6744),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1091),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [165] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(505),
    [sym_preproc_ifdef_in_statements] = STATE(505),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6558),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(505),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [166] = {
    [sym_preproc_include] = STATE(132),
    [sym_preproc_def] = STATE(132),
    [sym_preproc_function_def] = STATE(132),
    [sym_preproc_call] = STATE(132),
    [sym_preproc_if_in_specification_part] = STATE(132),
    [sym_preproc_ifdef_in_specification_part] = STATE(132),
    [sym_preproc_else_in_specification_part] = STATE(9483),
    [sym_preproc_elif_in_specification_part] = STATE(9483),
    [sym_preproc_elifdef_in_specification_part] = STATE(9483),
    [sym_preproc_if_in_statements] = STATE(488),
    [sym_preproc_ifdef_in_statements] = STATE(488),
    [sym_interface] = STATE(132),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6739),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(132),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(132),
    [sym_public_statement] = STATE(132),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(132),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(132),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(132),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(132),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(132),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(488),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(957),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [167] = {
    [sym_preproc_include] = STATE(172),
    [sym_preproc_def] = STATE(172),
    [sym_preproc_function_def] = STATE(172),
    [sym_preproc_call] = STATE(172),
    [sym_preproc_if_in_specification_part] = STATE(172),
    [sym_preproc_ifdef_in_specification_part] = STATE(172),
    [sym_preproc_else_in_specification_part] = STATE(9063),
    [sym_preproc_elif_in_specification_part] = STATE(9063),
    [sym_preproc_elifdef_in_specification_part] = STATE(9063),
    [sym_preproc_if_in_statements] = STATE(507),
    [sym_preproc_ifdef_in_statements] = STATE(507),
    [sym_interface] = STATE(172),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6571),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(172),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(172),
    [sym_public_statement] = STATE(172),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(172),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(172),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(172),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(172),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(172),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(507),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [168] = {
    [sym_preproc_include] = STATE(173),
    [sym_preproc_def] = STATE(173),
    [sym_preproc_function_def] = STATE(173),
    [sym_preproc_call] = STATE(173),
    [sym_preproc_if_in_specification_part] = STATE(173),
    [sym_preproc_ifdef_in_specification_part] = STATE(173),
    [sym_preproc_else_in_specification_part] = STATE(9126),
    [sym_preproc_elif_in_specification_part] = STATE(9126),
    [sym_preproc_elifdef_in_specification_part] = STATE(9126),
    [sym_preproc_if_in_statements] = STATE(512),
    [sym_preproc_ifdef_in_statements] = STATE(512),
    [sym_interface] = STATE(173),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6573),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(173),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(173),
    [sym_public_statement] = STATE(173),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(173),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(173),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(173),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(173),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(173),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(512),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [169] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9063),
    [sym_preproc_elif_in_specification_part] = STATE(9063),
    [sym_preproc_elifdef_in_specification_part] = STATE(9063),
    [sym_preproc_if_in_statements] = STATE(507),
    [sym_preproc_ifdef_in_statements] = STATE(507),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6571),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(507),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [170] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9126),
    [sym_preproc_elif_in_specification_part] = STATE(9126),
    [sym_preproc_elifdef_in_specification_part] = STATE(9126),
    [sym_preproc_if_in_statements] = STATE(512),
    [sym_preproc_ifdef_in_statements] = STATE(512),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6573),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(512),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [171] = {
    [sym_preproc_include] = STATE(162),
    [sym_preproc_def] = STATE(162),
    [sym_preproc_function_def] = STATE(162),
    [sym_preproc_call] = STATE(162),
    [sym_preproc_if_in_specification_part] = STATE(162),
    [sym_preproc_ifdef_in_specification_part] = STATE(162),
    [sym_preproc_else_in_specification_part] = STATE(8973),
    [sym_preproc_elif_in_specification_part] = STATE(8973),
    [sym_preproc_elifdef_in_specification_part] = STATE(8973),
    [sym_preproc_if_in_statements] = STATE(454),
    [sym_preproc_ifdef_in_statements] = STATE(454),
    [sym_interface] = STATE(162),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6758),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(162),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(162),
    [sym_public_statement] = STATE(162),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(162),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(162),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(162),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(162),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(162),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(454),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(815),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [172] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9138),
    [sym_preproc_elif_in_specification_part] = STATE(9138),
    [sym_preproc_elifdef_in_specification_part] = STATE(9138),
    [sym_preproc_if_in_statements] = STATE(513),
    [sym_preproc_ifdef_in_statements] = STATE(513),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6574),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(513),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [173] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9202),
    [sym_preproc_elif_in_specification_part] = STATE(9202),
    [sym_preproc_elifdef_in_specification_part] = STATE(9202),
    [sym_preproc_if_in_statements] = STATE(518),
    [sym_preproc_ifdef_in_statements] = STATE(518),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6579),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(518),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [174] = {
    [sym_preproc_include] = STATE(170),
    [sym_preproc_def] = STATE(170),
    [sym_preproc_function_def] = STATE(170),
    [sym_preproc_call] = STATE(170),
    [sym_preproc_if_in_specification_part] = STATE(170),
    [sym_preproc_ifdef_in_specification_part] = STATE(170),
    [sym_preproc_else_in_specification_part] = STATE(9054),
    [sym_preproc_elif_in_specification_part] = STATE(9054),
    [sym_preproc_elifdef_in_specification_part] = STATE(9054),
    [sym_preproc_if_in_statements] = STATE(501),
    [sym_preproc_ifdef_in_statements] = STATE(501),
    [sym_interface] = STATE(170),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6780),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(170),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(170),
    [sym_public_statement] = STATE(170),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(170),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(170),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(170),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(170),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(170),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(501),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [175] = {
    [sym_preproc_include] = STATE(194),
    [sym_preproc_def] = STATE(194),
    [sym_preproc_function_def] = STATE(194),
    [sym_preproc_call] = STATE(194),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_else_in_specification_part] = STATE(9344),
    [sym_preproc_elif_in_specification_part] = STATE(9344),
    [sym_preproc_elifdef_in_specification_part] = STATE(9344),
    [sym_preproc_if_in_statements] = STATE(555),
    [sym_preproc_ifdef_in_statements] = STATE(555),
    [sym_interface] = STATE(194),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6652),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(194),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(194),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(555),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(985),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [176] = {
    [sym_preproc_include] = STATE(160),
    [sym_preproc_def] = STATE(160),
    [sym_preproc_function_def] = STATE(160),
    [sym_preproc_call] = STATE(160),
    [sym_preproc_if_in_specification_part] = STATE(160),
    [sym_preproc_ifdef_in_specification_part] = STATE(160),
    [sym_preproc_else_in_specification_part] = STATE(9388),
    [sym_preproc_elif_in_specification_part] = STATE(9388),
    [sym_preproc_elifdef_in_specification_part] = STATE(9388),
    [sym_preproc_if_in_statements] = STATE(559),
    [sym_preproc_ifdef_in_statements] = STATE(559),
    [sym_interface] = STATE(160),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6657),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(160),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(160),
    [sym_public_statement] = STATE(160),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(160),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(160),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(160),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(160),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(160),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(559),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [177] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9471),
    [sym_preproc_elif_in_specification_part] = STATE(9471),
    [sym_preproc_elifdef_in_specification_part] = STATE(9471),
    [sym_preproc_if_in_statements] = STATE(520),
    [sym_preproc_ifdef_in_statements] = STATE(520),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6590),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(520),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [178] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9503),
    [sym_preproc_elif_in_specification_part] = STATE(9503),
    [sym_preproc_elifdef_in_specification_part] = STATE(9503),
    [sym_preproc_if_in_statements] = STATE(525),
    [sym_preproc_ifdef_in_statements] = STATE(525),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6594),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(525),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [179] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9511),
    [sym_preproc_elif_in_specification_part] = STATE(9511),
    [sym_preproc_elifdef_in_specification_part] = STATE(9511),
    [sym_preproc_if_in_statements] = STATE(526),
    [sym_preproc_ifdef_in_statements] = STATE(526),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6596),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(526),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [180] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9538),
    [sym_preproc_elif_in_specification_part] = STATE(9538),
    [sym_preproc_elifdef_in_specification_part] = STATE(9538),
    [sym_preproc_if_in_statements] = STATE(531),
    [sym_preproc_ifdef_in_statements] = STATE(531),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6599),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(531),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [181] = {
    [sym_preproc_include] = STATE(193),
    [sym_preproc_def] = STATE(193),
    [sym_preproc_function_def] = STATE(193),
    [sym_preproc_call] = STATE(193),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_else_in_specification_part] = STATE(9339),
    [sym_preproc_elif_in_specification_part] = STATE(9339),
    [sym_preproc_elifdef_in_specification_part] = STATE(9339),
    [sym_preproc_if_in_statements] = STATE(514),
    [sym_preproc_ifdef_in_statements] = STATE(514),
    [sym_interface] = STATE(193),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6773),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(193),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(193),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(514),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1007),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [182] = {
    [sym_preproc_include] = STATE(190),
    [sym_preproc_def] = STATE(190),
    [sym_preproc_function_def] = STATE(190),
    [sym_preproc_call] = STATE(190),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8929),
    [sym_preproc_elif_in_specification_part] = STATE(8929),
    [sym_preproc_elifdef_in_specification_part] = STATE(8929),
    [sym_preproc_if_in_statements] = STATE(544),
    [sym_preproc_ifdef_in_statements] = STATE(544),
    [sym_interface] = STATE(190),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6627),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(190),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(190),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(544),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1121),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(835),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [183] = {
    [sym_preproc_include] = STATE(191),
    [sym_preproc_def] = STATE(191),
    [sym_preproc_function_def] = STATE(191),
    [sym_preproc_call] = STATE(191),
    [sym_preproc_if_in_specification_part] = STATE(191),
    [sym_preproc_ifdef_in_specification_part] = STATE(191),
    [sym_preproc_else_in_specification_part] = STATE(8962),
    [sym_preproc_elif_in_specification_part] = STATE(8962),
    [sym_preproc_elifdef_in_specification_part] = STATE(8962),
    [sym_preproc_if_in_statements] = STATE(548),
    [sym_preproc_ifdef_in_statements] = STATE(548),
    [sym_interface] = STATE(191),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6630),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(191),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(191),
    [sym_public_statement] = STATE(191),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(191),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(191),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(191),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(191),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(191),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(548),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(839),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [184] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9500),
    [sym_preproc_elif_in_specification_part] = STATE(9500),
    [sym_preproc_elifdef_in_specification_part] = STATE(9500),
    [sym_preproc_if_in_statements] = STATE(400),
    [sym_preproc_ifdef_in_statements] = STATE(400),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6609),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(400),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [185] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8555),
    [sym_preproc_elif_in_specification_part] = STATE(8555),
    [sym_preproc_elifdef_in_specification_part] = STATE(8555),
    [sym_preproc_if_in_statements] = STATE(537),
    [sym_preproc_ifdef_in_statements] = STATE(537),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6612),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(537),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [186] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8593),
    [sym_preproc_elif_in_specification_part] = STATE(8593),
    [sym_preproc_elifdef_in_specification_part] = STATE(8593),
    [sym_preproc_if_in_statements] = STATE(541),
    [sym_preproc_ifdef_in_statements] = STATE(541),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6615),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(541),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [187] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_else_in_specification_part] = STATE(8926),
    [sym_preproc_elif_in_specification_part] = STATE(8926),
    [sym_preproc_elifdef_in_specification_part] = STATE(8926),
    [sym_preproc_if_in_statements] = STATE(527),
    [sym_preproc_ifdef_in_statements] = STATE(527),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6731),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(189),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(189),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(189),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(527),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(831),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [188] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8929),
    [sym_preproc_elif_in_specification_part] = STATE(8929),
    [sym_preproc_elifdef_in_specification_part] = STATE(8929),
    [sym_preproc_if_in_statements] = STATE(544),
    [sym_preproc_ifdef_in_statements] = STATE(544),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6627),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(544),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1121),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [189] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8962),
    [sym_preproc_elif_in_specification_part] = STATE(8962),
    [sym_preproc_elifdef_in_specification_part] = STATE(8962),
    [sym_preproc_if_in_statements] = STATE(548),
    [sym_preproc_ifdef_in_statements] = STATE(548),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6630),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(548),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [190] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8974),
    [sym_preproc_elif_in_specification_part] = STATE(8974),
    [sym_preproc_elifdef_in_specification_part] = STATE(8974),
    [sym_preproc_if_in_statements] = STATE(549),
    [sym_preproc_ifdef_in_statements] = STATE(549),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6631),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(549),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [191] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9014),
    [sym_preproc_elif_in_specification_part] = STATE(9014),
    [sym_preproc_elifdef_in_specification_part] = STATE(9014),
    [sym_preproc_if_in_statements] = STATE(553),
    [sym_preproc_ifdef_in_statements] = STATE(553),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6636),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(553),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [192] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9344),
    [sym_preproc_elif_in_specification_part] = STATE(9344),
    [sym_preproc_elifdef_in_specification_part] = STATE(9344),
    [sym_preproc_if_in_statements] = STATE(555),
    [sym_preproc_ifdef_in_statements] = STATE(555),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6652),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(555),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [193] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9388),
    [sym_preproc_elif_in_specification_part] = STATE(9388),
    [sym_preproc_elifdef_in_specification_part] = STATE(9388),
    [sym_preproc_if_in_statements] = STATE(559),
    [sym_preproc_ifdef_in_statements] = STATE(559),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6657),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(559),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [194] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(9399),
    [sym_preproc_elif_in_specification_part] = STATE(9399),
    [sym_preproc_elifdef_in_specification_part] = STATE(9399),
    [sym_preproc_if_in_statements] = STATE(560),
    [sym_preproc_ifdef_in_statements] = STATE(560),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6658),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(560),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [195] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(428),
    [sym_preproc_ifdef_in_statements] = STATE(428),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(6737),
    [sym_contains_statement] = STATE(7394),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(959),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7478),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(428),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(741),
    [aux_sym_preproc_def_token1] = ACTIONS(743),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(1081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(749),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(749),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(771),
    [aux_sym_public_statement_token1] = ACTIONS(773),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(785),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [196] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(651),
    [sym_preproc_ifdef_in_statements] = STATE(651),
    [sym_preproc_if_in_procedure_statements] = STATE(651),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(651),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(1072),
    [sym_internal_procedures] = STATE(7506),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(651),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1151),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [197] = {
    [sym_preproc_include] = STATE(259),
    [sym_preproc_def] = STATE(259),
    [sym_preproc_function_def] = STATE(259),
    [sym_preproc_call] = STATE(259),
    [sym_preproc_if_in_specification_part] = STATE(259),
    [sym_preproc_ifdef_in_specification_part] = STATE(259),
    [sym_preproc_if_in_statements] = STATE(690),
    [sym_preproc_ifdef_in_statements] = STATE(690),
    [sym_preproc_if_in_procedure_statements] = STATE(690),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(690),
    [sym_interface] = STATE(259),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5703),
    [sym_internal_procedures] = STATE(7721),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(259),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(259),
    [sym_public_statement] = STATE(259),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(259),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(259),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(259),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(259),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(259),
    [aux_sym_subroutine_repeat1] = STATE(690),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1161),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1163),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [198] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(679),
    [sym_preproc_ifdef_in_statements] = STATE(679),
    [sym_preproc_if_in_procedure_statements] = STATE(679),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(679),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(4980),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8074),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(679),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1179),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [199] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(680),
    [sym_preproc_ifdef_in_statements] = STATE(680),
    [sym_preproc_if_in_procedure_statements] = STATE(680),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(680),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(4995),
    [sym_internal_procedures] = STATE(8080),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(680),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1189),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [200] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(695),
    [sym_preproc_ifdef_in_statements] = STATE(695),
    [sym_preproc_if_in_procedure_statements] = STATE(695),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(695),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5691),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7786),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(695),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1193),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [201] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(693),
    [sym_preproc_ifdef_in_statements] = STATE(693),
    [sym_preproc_if_in_procedure_statements] = STATE(693),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(693),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5693),
    [sym_internal_procedures] = STATE(7788),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(693),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1197),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [202] = {
    [sym_preproc_include] = STATE(214),
    [sym_preproc_def] = STATE(214),
    [sym_preproc_function_def] = STATE(214),
    [sym_preproc_call] = STATE(214),
    [sym_preproc_if_in_specification_part] = STATE(214),
    [sym_preproc_ifdef_in_specification_part] = STATE(214),
    [sym_preproc_if_in_statements] = STATE(642),
    [sym_preproc_ifdef_in_statements] = STATE(642),
    [sym_preproc_if_in_procedure_statements] = STATE(642),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(642),
    [sym_interface] = STATE(214),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(1058),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8103),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(214),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(214),
    [sym_public_statement] = STATE(214),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(214),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(214),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(214),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(214),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(214),
    [aux_sym_subroutine_repeat1] = STATE(642),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1201),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1203),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [203] = {
    [sym_preproc_include] = STATE(196),
    [sym_preproc_def] = STATE(196),
    [sym_preproc_function_def] = STATE(196),
    [sym_preproc_call] = STATE(196),
    [sym_preproc_if_in_specification_part] = STATE(196),
    [sym_preproc_ifdef_in_specification_part] = STATE(196),
    [sym_preproc_if_in_statements] = STATE(647),
    [sym_preproc_ifdef_in_statements] = STATE(647),
    [sym_preproc_if_in_procedure_statements] = STATE(647),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(647),
    [sym_interface] = STATE(196),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(999),
    [sym_internal_procedures] = STATE(7238),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(196),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(196),
    [sym_public_statement] = STATE(196),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(196),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(196),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(196),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(196),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(196),
    [aux_sym_subroutine_repeat1] = STATE(647),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(1205),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1151),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [204] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(629),
    [sym_preproc_ifdef_in_statements] = STATE(629),
    [sym_preproc_if_in_procedure_statements] = STATE(629),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(629),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(1125),
    [sym_internal_procedures] = STATE(7930),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(629),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1209),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [205] = {
    [sym_preproc_include] = STATE(204),
    [sym_preproc_def] = STATE(204),
    [sym_preproc_function_def] = STATE(204),
    [sym_preproc_call] = STATE(204),
    [sym_preproc_if_in_specification_part] = STATE(204),
    [sym_preproc_ifdef_in_specification_part] = STATE(204),
    [sym_preproc_if_in_statements] = STATE(634),
    [sym_preproc_ifdef_in_statements] = STATE(634),
    [sym_preproc_if_in_procedure_statements] = STATE(634),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(634),
    [sym_interface] = STATE(204),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(1193),
    [sym_internal_procedures] = STATE(7604),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(204),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(204),
    [sym_public_statement] = STATE(204),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(204),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(204),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(204),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(204),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(204),
    [aux_sym_subroutine_repeat1] = STATE(634),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1211),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1209),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [206] = {
    [sym_preproc_include] = STATE(208),
    [sym_preproc_def] = STATE(208),
    [sym_preproc_function_def] = STATE(208),
    [sym_preproc_call] = STATE(208),
    [sym_preproc_if_in_specification_part] = STATE(208),
    [sym_preproc_ifdef_in_specification_part] = STATE(208),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_interface] = STATE(208),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5595),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7980),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(208),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(208),
    [sym_public_statement] = STATE(208),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(208),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(208),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(208),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(208),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(208),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1227),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [207] = {
    [sym_preproc_include] = STATE(209),
    [sym_preproc_def] = STATE(209),
    [sym_preproc_function_def] = STATE(209),
    [sym_preproc_call] = STATE(209),
    [sym_preproc_if_in_specification_part] = STATE(209),
    [sym_preproc_ifdef_in_specification_part] = STATE(209),
    [sym_preproc_if_in_statements] = STATE(630),
    [sym_preproc_ifdef_in_statements] = STATE(630),
    [sym_preproc_if_in_procedure_statements] = STATE(630),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(630),
    [sym_interface] = STATE(209),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5712),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7932),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(209),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(209),
    [sym_public_statement] = STATE(209),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(209),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(209),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(209),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(209),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(209),
    [aux_sym_subroutine_repeat1] = STATE(630),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1237),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1239),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [208] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(632),
    [sym_preproc_ifdef_in_statements] = STATE(632),
    [sym_preproc_if_in_procedure_statements] = STATE(632),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(632),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5632),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8020),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(632),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1227),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [209] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(658),
    [sym_preproc_ifdef_in_statements] = STATE(658),
    [sym_preproc_if_in_procedure_statements] = STATE(658),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(658),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5652),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7371),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(658),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1239),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [210] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(638),
    [sym_preproc_ifdef_in_statements] = STATE(638),
    [sym_preproc_if_in_procedure_statements] = STATE(638),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(638),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(1170),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8104),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(638),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1245),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [211] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(639),
    [sym_preproc_ifdef_in_statements] = STATE(639),
    [sym_preproc_if_in_procedure_statements] = STATE(639),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(639),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(1172),
    [sym_internal_procedures] = STATE(8106),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(639),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1249),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [212] = {
    [sym_preproc_include] = STATE(200),
    [sym_preproc_def] = STATE(200),
    [sym_preproc_function_def] = STATE(200),
    [sym_preproc_call] = STATE(200),
    [sym_preproc_if_in_specification_part] = STATE(200),
    [sym_preproc_ifdef_in_specification_part] = STATE(200),
    [sym_preproc_if_in_statements] = STATE(635),
    [sym_preproc_ifdef_in_statements] = STATE(635),
    [sym_preproc_if_in_procedure_statements] = STATE(635),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(635),
    [sym_interface] = STATE(200),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5686),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7780),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(200),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(200),
    [sym_public_statement] = STATE(200),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(200),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(200),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(200),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(200),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(200),
    [aux_sym_subroutine_repeat1] = STATE(635),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1251),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1193),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [213] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_specification_part] = STATE(201),
    [sym_preproc_ifdef_in_specification_part] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(662),
    [sym_preproc_ifdef_in_statements] = STATE(662),
    [sym_preproc_if_in_procedure_statements] = STATE(662),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(662),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5687),
    [sym_internal_procedures] = STATE(7783),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(201),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(201),
    [aux_sym_subroutine_repeat1] = STATE(662),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1253),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1197),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [214] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(649),
    [sym_preproc_ifdef_in_statements] = STATE(649),
    [sym_preproc_if_in_procedure_statements] = STATE(649),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(649),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(1044),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7480),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(649),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1203),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [215] = {
    [sym_preproc_include] = STATE(216),
    [sym_preproc_def] = STATE(216),
    [sym_preproc_function_def] = STATE(216),
    [sym_preproc_call] = STATE(216),
    [sym_preproc_if_in_specification_part] = STATE(216),
    [sym_preproc_ifdef_in_specification_part] = STATE(216),
    [sym_preproc_if_in_statements] = STATE(640),
    [sym_preproc_ifdef_in_statements] = STATE(640),
    [sym_preproc_if_in_procedure_statements] = STATE(640),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(640),
    [sym_interface] = STATE(216),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5701),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7259),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(216),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(216),
    [sym_public_statement] = STATE(216),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(216),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(216),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(216),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(216),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(216),
    [aux_sym_subroutine_repeat1] = STATE(640),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(1257),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1259),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [216] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(641),
    [sym_preproc_ifdef_in_statements] = STATE(641),
    [sym_preproc_if_in_procedure_statements] = STATE(641),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(641),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5710),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7272),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(641),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1259),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [217] = {
    [sym_preproc_include] = STATE(198),
    [sym_preproc_def] = STATE(198),
    [sym_preproc_function_def] = STATE(198),
    [sym_preproc_call] = STATE(198),
    [sym_preproc_if_in_specification_part] = STATE(198),
    [sym_preproc_ifdef_in_specification_part] = STATE(198),
    [sym_preproc_if_in_statements] = STATE(665),
    [sym_preproc_ifdef_in_statements] = STATE(665),
    [sym_preproc_if_in_procedure_statements] = STATE(665),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(665),
    [sym_interface] = STATE(198),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(4993),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7982),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(198),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(198),
    [sym_public_statement] = STATE(198),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(198),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(198),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(198),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(198),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(198),
    [aux_sym_subroutine_repeat1] = STATE(665),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1261),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1179),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [218] = {
    [sym_preproc_include] = STATE(199),
    [sym_preproc_def] = STATE(199),
    [sym_preproc_function_def] = STATE(199),
    [sym_preproc_call] = STATE(199),
    [sym_preproc_if_in_specification_part] = STATE(199),
    [sym_preproc_ifdef_in_specification_part] = STATE(199),
    [sym_preproc_if_in_statements] = STATE(667),
    [sym_preproc_ifdef_in_statements] = STATE(667),
    [sym_preproc_if_in_procedure_statements] = STATE(667),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(667),
    [sym_interface] = STATE(199),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(4999),
    [sym_internal_procedures] = STATE(7987),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(199),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(199),
    [sym_public_statement] = STATE(199),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(199),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(199),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(199),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(199),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(199),
    [aux_sym_subroutine_repeat1] = STATE(667),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1263),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1189),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [219] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(645),
    [sym_preproc_ifdef_in_statements] = STATE(645),
    [sym_preproc_if_in_procedure_statements] = STATE(645),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(645),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5788),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7299),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(645),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1267),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [220] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(646),
    [sym_preproc_ifdef_in_statements] = STATE(646),
    [sym_preproc_if_in_procedure_statements] = STATE(646),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(646),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5790),
    [sym_internal_procedures] = STATE(7303),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(646),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1271),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [221] = {
    [sym_preproc_include] = STATE(210),
    [sym_preproc_def] = STATE(210),
    [sym_preproc_function_def] = STATE(210),
    [sym_preproc_call] = STATE(210),
    [sym_preproc_if_in_specification_part] = STATE(210),
    [sym_preproc_ifdef_in_specification_part] = STATE(210),
    [sym_preproc_if_in_statements] = STATE(636),
    [sym_preproc_ifdef_in_statements] = STATE(636),
    [sym_preproc_if_in_procedure_statements] = STATE(636),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(636),
    [sym_interface] = STATE(210),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(1167),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8096),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(210),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(210),
    [sym_public_statement] = STATE(210),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(210),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(210),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(210),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(210),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(210),
    [aux_sym_subroutine_repeat1] = STATE(636),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(1273),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1245),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [222] = {
    [sym_preproc_include] = STATE(211),
    [sym_preproc_def] = STATE(211),
    [sym_preproc_function_def] = STATE(211),
    [sym_preproc_call] = STATE(211),
    [sym_preproc_if_in_specification_part] = STATE(211),
    [sym_preproc_ifdef_in_specification_part] = STATE(211),
    [sym_preproc_if_in_statements] = STATE(637),
    [sym_preproc_ifdef_in_statements] = STATE(637),
    [sym_preproc_if_in_procedure_statements] = STATE(637),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(637),
    [sym_interface] = STATE(211),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(1168),
    [sym_internal_procedures] = STATE(8099),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(211),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(211),
    [sym_public_statement] = STATE(211),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(211),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(211),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(211),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(211),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(211),
    [aux_sym_subroutine_repeat1] = STATE(637),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(1275),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1249),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [223] = {
    [sym_preproc_include] = STATE(224),
    [sym_preproc_def] = STATE(224),
    [sym_preproc_function_def] = STATE(224),
    [sym_preproc_call] = STATE(224),
    [sym_preproc_if_in_specification_part] = STATE(224),
    [sym_preproc_ifdef_in_specification_part] = STATE(224),
    [sym_preproc_if_in_statements] = STATE(648),
    [sym_preproc_ifdef_in_statements] = STATE(648),
    [sym_preproc_if_in_procedure_statements] = STATE(648),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(648),
    [sym_interface] = STATE(224),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5758),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7344),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(224),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(224),
    [sym_public_statement] = STATE(224),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(224),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(224),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(224),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(224),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(224),
    [aux_sym_subroutine_repeat1] = STATE(648),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1279),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1281),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [224] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(650),
    [sym_preproc_ifdef_in_statements] = STATE(650),
    [sym_preproc_if_in_procedure_statements] = STATE(650),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(650),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5761),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7355),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(650),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1281),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [225] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(654),
    [sym_preproc_ifdef_in_statements] = STATE(654),
    [sym_preproc_if_in_procedure_statements] = STATE(654),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(654),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5813),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7384),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(654),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1283),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [226] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym_preproc_if_in_procedure_statements] = STATE(655),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(655),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5815),
    [sym_internal_procedures] = STATE(7386),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(655),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1289),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [227] = {
    [sym_preproc_include] = STATE(219),
    [sym_preproc_def] = STATE(219),
    [sym_preproc_function_def] = STATE(219),
    [sym_preproc_call] = STATE(219),
    [sym_preproc_if_in_specification_part] = STATE(219),
    [sym_preproc_ifdef_in_specification_part] = STATE(219),
    [sym_preproc_if_in_statements] = STATE(643),
    [sym_preproc_ifdef_in_statements] = STATE(643),
    [sym_preproc_if_in_procedure_statements] = STATE(643),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(643),
    [sym_interface] = STATE(219),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5785),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7293),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(219),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(219),
    [sym_public_statement] = STATE(219),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(219),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(219),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(219),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(219),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(219),
    [aux_sym_subroutine_repeat1] = STATE(643),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1291),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1267),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [228] = {
    [sym_preproc_include] = STATE(220),
    [sym_preproc_def] = STATE(220),
    [sym_preproc_function_def] = STATE(220),
    [sym_preproc_call] = STATE(220),
    [sym_preproc_if_in_specification_part] = STATE(220),
    [sym_preproc_ifdef_in_specification_part] = STATE(220),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym_preproc_if_in_procedure_statements] = STATE(644),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(644),
    [sym_interface] = STATE(220),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5786),
    [sym_internal_procedures] = STATE(7294),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(220),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(220),
    [sym_public_statement] = STATE(220),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(220),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(220),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(220),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(220),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(220),
    [aux_sym_subroutine_repeat1] = STATE(644),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1293),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1271),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [229] = {
    [sym_preproc_include] = STATE(231),
    [sym_preproc_def] = STATE(231),
    [sym_preproc_function_def] = STATE(231),
    [sym_preproc_call] = STATE(231),
    [sym_preproc_if_in_specification_part] = STATE(231),
    [sym_preproc_ifdef_in_specification_part] = STATE(231),
    [sym_preproc_if_in_statements] = STATE(656),
    [sym_preproc_ifdef_in_statements] = STATE(656),
    [sym_preproc_if_in_procedure_statements] = STATE(656),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(656),
    [sym_interface] = STATE(231),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5248),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7423),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(231),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(231),
    [sym_public_statement] = STATE(231),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(231),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(231),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(231),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(231),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(231),
    [aux_sym_subroutine_repeat1] = STATE(656),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1297),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1299),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [230] = {
    [sym_preproc_include] = STATE(249),
    [sym_preproc_def] = STATE(249),
    [sym_preproc_function_def] = STATE(249),
    [sym_preproc_call] = STATE(249),
    [sym_preproc_if_in_specification_part] = STATE(249),
    [sym_preproc_ifdef_in_specification_part] = STATE(249),
    [sym_preproc_if_in_statements] = STATE(663),
    [sym_preproc_ifdef_in_statements] = STATE(663),
    [sym_preproc_if_in_procedure_statements] = STATE(663),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(663),
    [sym_interface] = STATE(249),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5635),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7527),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(249),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(249),
    [sym_public_statement] = STATE(249),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(249),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(249),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(249),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(249),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(249),
    [aux_sym_subroutine_repeat1] = STATE(663),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1303),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1305),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [231] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_preproc_if_in_procedure_statements] = STATE(657),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(657),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5239),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7434),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(657),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1299),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [232] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(660),
    [sym_preproc_ifdef_in_statements] = STATE(660),
    [sym_preproc_if_in_procedure_statements] = STATE(660),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(660),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5359),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7462),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(660),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1309),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [233] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(661),
    [sym_preproc_ifdef_in_statements] = STATE(661),
    [sym_preproc_if_in_procedure_statements] = STATE(661),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(661),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5364),
    [sym_internal_procedures] = STATE(7466),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(661),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1313),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [234] = {
    [sym_preproc_include] = STATE(225),
    [sym_preproc_def] = STATE(225),
    [sym_preproc_function_def] = STATE(225),
    [sym_preproc_call] = STATE(225),
    [sym_preproc_if_in_specification_part] = STATE(225),
    [sym_preproc_ifdef_in_specification_part] = STATE(225),
    [sym_preproc_if_in_statements] = STATE(652),
    [sym_preproc_ifdef_in_statements] = STATE(652),
    [sym_preproc_if_in_procedure_statements] = STATE(652),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(652),
    [sym_interface] = STATE(225),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5810),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7380),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(225),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(225),
    [sym_public_statement] = STATE(225),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(225),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(225),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(225),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(225),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(225),
    [aux_sym_subroutine_repeat1] = STATE(652),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1283),
    [anon_sym_SEMI] = ACTIONS(1315),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [235] = {
    [sym_preproc_include] = STATE(226),
    [sym_preproc_def] = STATE(226),
    [sym_preproc_function_def] = STATE(226),
    [sym_preproc_call] = STATE(226),
    [sym_preproc_if_in_specification_part] = STATE(226),
    [sym_preproc_ifdef_in_specification_part] = STATE(226),
    [sym_preproc_if_in_statements] = STATE(653),
    [sym_preproc_ifdef_in_statements] = STATE(653),
    [sym_preproc_if_in_procedure_statements] = STATE(653),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(653),
    [sym_interface] = STATE(226),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5811),
    [sym_internal_procedures] = STATE(7381),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(226),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(226),
    [sym_public_statement] = STATE(226),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(226),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(226),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(226),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(226),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(226),
    [aux_sym_subroutine_repeat1] = STATE(653),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(1317),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1289),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [236] = {
    [sym_preproc_include] = STATE(237),
    [sym_preproc_def] = STATE(237),
    [sym_preproc_function_def] = STATE(237),
    [sym_preproc_call] = STATE(237),
    [sym_preproc_if_in_specification_part] = STATE(237),
    [sym_preproc_ifdef_in_specification_part] = STATE(237),
    [sym_preproc_if_in_statements] = STATE(664),
    [sym_preproc_ifdef_in_statements] = STATE(664),
    [sym_preproc_if_in_procedure_statements] = STATE(664),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(664),
    [sym_interface] = STATE(237),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5551),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7497),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(237),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(237),
    [sym_public_statement] = STATE(237),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(237),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(237),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(237),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(237),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(237),
    [aux_sym_subroutine_repeat1] = STATE(664),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(1321),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1323),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [237] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(666),
    [sym_preproc_ifdef_in_statements] = STATE(666),
    [sym_preproc_if_in_procedure_statements] = STATE(666),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(666),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5554),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7503),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(666),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1323),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [238] = {
    [sym_preproc_include] = STATE(263),
    [sym_preproc_def] = STATE(263),
    [sym_preproc_function_def] = STATE(263),
    [sym_preproc_call] = STATE(263),
    [sym_preproc_if_in_specification_part] = STATE(263),
    [sym_preproc_ifdef_in_specification_part] = STATE(263),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_interface] = STATE(263),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(1164),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7454),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(263),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(263),
    [sym_public_statement] = STATE(263),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(263),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(263),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(263),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(263),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(263),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1327),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [239] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(671),
    [sym_preproc_ifdef_in_statements] = STATE(671),
    [sym_preproc_if_in_procedure_statements] = STATE(671),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(671),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5883),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7523),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1333),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [240] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(672),
    [sym_preproc_ifdef_in_statements] = STATE(672),
    [sym_preproc_if_in_procedure_statements] = STATE(672),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(672),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5885),
    [sym_internal_procedures] = STATE(7526),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(672),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1337),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [241] = {
    [sym_preproc_include] = STATE(232),
    [sym_preproc_def] = STATE(232),
    [sym_preproc_function_def] = STATE(232),
    [sym_preproc_call] = STATE(232),
    [sym_preproc_if_in_specification_part] = STATE(232),
    [sym_preproc_ifdef_in_specification_part] = STATE(232),
    [sym_preproc_if_in_statements] = STATE(627),
    [sym_preproc_ifdef_in_statements] = STATE(627),
    [sym_preproc_if_in_procedure_statements] = STATE(627),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(627),
    [sym_interface] = STATE(232),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5354),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7456),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(232),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(232),
    [sym_public_statement] = STATE(232),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(232),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(232),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(232),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(232),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(232),
    [aux_sym_subroutine_repeat1] = STATE(627),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1339),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1309),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [242] = {
    [sym_preproc_include] = STATE(233),
    [sym_preproc_def] = STATE(233),
    [sym_preproc_function_def] = STATE(233),
    [sym_preproc_call] = STATE(233),
    [sym_preproc_if_in_specification_part] = STATE(233),
    [sym_preproc_ifdef_in_specification_part] = STATE(233),
    [sym_preproc_if_in_statements] = STATE(659),
    [sym_preproc_ifdef_in_statements] = STATE(659),
    [sym_preproc_if_in_procedure_statements] = STATE(659),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(659),
    [sym_interface] = STATE(233),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5360),
    [sym_internal_procedures] = STATE(7460),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(233),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(233),
    [sym_public_statement] = STATE(233),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(233),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(233),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(233),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(233),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(233),
    [aux_sym_subroutine_repeat1] = STATE(659),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1341),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1313),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [243] = {
    [sym_preproc_include] = STATE(244),
    [sym_preproc_def] = STATE(244),
    [sym_preproc_function_def] = STATE(244),
    [sym_preproc_call] = STATE(244),
    [sym_preproc_if_in_specification_part] = STATE(244),
    [sym_preproc_ifdef_in_specification_part] = STATE(244),
    [sym_preproc_if_in_statements] = STATE(673),
    [sym_preproc_ifdef_in_statements] = STATE(673),
    [sym_preproc_if_in_procedure_statements] = STATE(673),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(673),
    [sym_interface] = STATE(244),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5843),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7558),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(244),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(244),
    [sym_public_statement] = STATE(244),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(244),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(244),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(244),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(244),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(244),
    [aux_sym_subroutine_repeat1] = STATE(673),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1345),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1347),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [244] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(674),
    [sym_preproc_ifdef_in_statements] = STATE(674),
    [sym_preproc_if_in_procedure_statements] = STATE(674),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(674),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5848),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7564),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(674),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1347),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [245] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(677),
    [sym_preproc_ifdef_in_statements] = STATE(677),
    [sym_preproc_if_in_procedure_statements] = STATE(677),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(677),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5902),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7580),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(677),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [246] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(678),
    [sym_preproc_ifdef_in_statements] = STATE(678),
    [sym_preproc_if_in_procedure_statements] = STATE(678),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(678),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5904),
    [sym_internal_procedures] = STATE(7584),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(678),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1355),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [247] = {
    [sym_preproc_include] = STATE(239),
    [sym_preproc_def] = STATE(239),
    [sym_preproc_function_def] = STATE(239),
    [sym_preproc_call] = STATE(239),
    [sym_preproc_if_in_specification_part] = STATE(239),
    [sym_preproc_ifdef_in_specification_part] = STATE(239),
    [sym_preproc_if_in_statements] = STATE(668),
    [sym_preproc_ifdef_in_statements] = STATE(668),
    [sym_preproc_if_in_procedure_statements] = STATE(668),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(668),
    [sym_interface] = STATE(239),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5880),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7519),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(239),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(239),
    [sym_public_statement] = STATE(239),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(239),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(239),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(239),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(239),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(239),
    [aux_sym_subroutine_repeat1] = STATE(668),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1357),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1333),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [248] = {
    [sym_preproc_include] = STATE(240),
    [sym_preproc_def] = STATE(240),
    [sym_preproc_function_def] = STATE(240),
    [sym_preproc_call] = STATE(240),
    [sym_preproc_if_in_specification_part] = STATE(240),
    [sym_preproc_ifdef_in_specification_part] = STATE(240),
    [sym_preproc_if_in_statements] = STATE(670),
    [sym_preproc_ifdef_in_statements] = STATE(670),
    [sym_preproc_if_in_procedure_statements] = STATE(670),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(670),
    [sym_interface] = STATE(240),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5881),
    [sym_internal_procedures] = STATE(7521),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(240),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(240),
    [sym_public_statement] = STATE(240),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(240),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(240),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(240),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(240),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(240),
    [aux_sym_subroutine_repeat1] = STATE(670),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1359),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1337),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [249] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_preproc_if_in_statements] = STATE(628),
    [sym_preproc_ifdef_in_statements] = STATE(628),
    [sym_preproc_if_in_procedure_statements] = STATE(628),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(628),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_end_module_procedure_statement] = STATE(5647),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7601),
    [sym_contains_statement] = STATE(7534),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(955),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7538),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_subroutine_repeat1] = STATE(628),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1213),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1221),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1305),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1229),
    [aux_sym_public_statement_token1] = ACTIONS(1231),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1233),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [250] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(683),
    [sym_preproc_ifdef_in_statements] = STATE(683),
    [sym_preproc_if_in_procedure_statements] = STATE(683),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(683),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5193),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7634),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(683),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1363),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [251] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(684),
    [sym_preproc_ifdef_in_statements] = STATE(684),
    [sym_preproc_if_in_procedure_statements] = STATE(684),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(684),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5195),
    [sym_internal_procedures] = STATE(7636),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(684),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1365),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1367),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [252] = {
    [sym_preproc_include] = STATE(245),
    [sym_preproc_def] = STATE(245),
    [sym_preproc_function_def] = STATE(245),
    [sym_preproc_call] = STATE(245),
    [sym_preproc_if_in_specification_part] = STATE(245),
    [sym_preproc_ifdef_in_specification_part] = STATE(245),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_preproc_if_in_procedure_statements] = STATE(675),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(675),
    [sym_interface] = STATE(245),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5898),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7577),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(245),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(245),
    [sym_public_statement] = STATE(245),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(245),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(245),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(245),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(245),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(245),
    [aux_sym_subroutine_repeat1] = STATE(675),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(1369),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1351),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [253] = {
    [sym_preproc_include] = STATE(246),
    [sym_preproc_def] = STATE(246),
    [sym_preproc_function_def] = STATE(246),
    [sym_preproc_call] = STATE(246),
    [sym_preproc_if_in_specification_part] = STATE(246),
    [sym_preproc_ifdef_in_specification_part] = STATE(246),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym_preproc_if_in_procedure_statements] = STATE(676),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(676),
    [sym_interface] = STATE(246),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5899),
    [sym_internal_procedures] = STATE(7578),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(246),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(246),
    [sym_public_statement] = STATE(246),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(246),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(246),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(246),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(246),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(246),
    [aux_sym_subroutine_repeat1] = STATE(676),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1355),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [254] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(687),
    [sym_preproc_ifdef_in_statements] = STATE(687),
    [sym_preproc_if_in_procedure_statements] = STATE(687),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(687),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5439),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7675),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(687),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1375),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [255] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(688),
    [sym_preproc_ifdef_in_statements] = STATE(688),
    [sym_preproc_if_in_procedure_statements] = STATE(688),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(688),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5441),
    [sym_internal_procedures] = STATE(7679),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(688),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1379),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [256] = {
    [sym_preproc_include] = STATE(250),
    [sym_preproc_def] = STATE(250),
    [sym_preproc_function_def] = STATE(250),
    [sym_preproc_call] = STATE(250),
    [sym_preproc_if_in_specification_part] = STATE(250),
    [sym_preproc_ifdef_in_specification_part] = STATE(250),
    [sym_preproc_if_in_statements] = STATE(681),
    [sym_preproc_ifdef_in_statements] = STATE(681),
    [sym_preproc_if_in_procedure_statements] = STATE(681),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(681),
    [sym_interface] = STATE(250),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5178),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7629),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(250),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(250),
    [sym_public_statement] = STATE(250),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(250),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(250),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(250),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(250),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(250),
    [aux_sym_subroutine_repeat1] = STATE(681),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1381),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1363),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [257] = {
    [sym_preproc_include] = STATE(251),
    [sym_preproc_def] = STATE(251),
    [sym_preproc_function_def] = STATE(251),
    [sym_preproc_call] = STATE(251),
    [sym_preproc_if_in_specification_part] = STATE(251),
    [sym_preproc_ifdef_in_specification_part] = STATE(251),
    [sym_preproc_if_in_statements] = STATE(682),
    [sym_preproc_ifdef_in_statements] = STATE(682),
    [sym_preproc_if_in_procedure_statements] = STATE(682),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(682),
    [sym_interface] = STATE(251),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5179),
    [sym_internal_procedures] = STATE(7632),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(251),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(251),
    [sym_public_statement] = STATE(251),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(251),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(251),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(251),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(251),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(251),
    [aux_sym_subroutine_repeat1] = STATE(682),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1365),
    [anon_sym_SEMI] = ACTIONS(1383),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1367),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [258] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(691),
    [sym_preproc_ifdef_in_statements] = STATE(691),
    [sym_preproc_if_in_procedure_statements] = STATE(691),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(691),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5715),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7725),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(691),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1387),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [259] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_preproc_if_in_statements] = STATE(692),
    [sym_preproc_ifdef_in_statements] = STATE(692),
    [sym_preproc_if_in_procedure_statements] = STATE(692),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(692),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5722),
    [sym_internal_procedures] = STATE(7728),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_subroutine_repeat1] = STATE(692),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1149),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1163),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [260] = {
    [sym_preproc_include] = STATE(254),
    [sym_preproc_def] = STATE(254),
    [sym_preproc_function_def] = STATE(254),
    [sym_preproc_call] = STATE(254),
    [sym_preproc_if_in_specification_part] = STATE(254),
    [sym_preproc_ifdef_in_specification_part] = STATE(254),
    [sym_preproc_if_in_statements] = STATE(685),
    [sym_preproc_ifdef_in_statements] = STATE(685),
    [sym_preproc_if_in_procedure_statements] = STATE(685),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(685),
    [sym_interface] = STATE(254),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5435),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7671),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(254),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(254),
    [sym_public_statement] = STATE(254),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(254),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(254),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(254),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(254),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(254),
    [aux_sym_subroutine_repeat1] = STATE(685),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(1389),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1375),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [261] = {
    [sym_preproc_include] = STATE(255),
    [sym_preproc_def] = STATE(255),
    [sym_preproc_function_def] = STATE(255),
    [sym_preproc_call] = STATE(255),
    [sym_preproc_if_in_specification_part] = STATE(255),
    [sym_preproc_ifdef_in_specification_part] = STATE(255),
    [sym_preproc_if_in_statements] = STATE(686),
    [sym_preproc_ifdef_in_statements] = STATE(686),
    [sym_preproc_if_in_procedure_statements] = STATE(686),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(686),
    [sym_interface] = STATE(255),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym_end_function_statement] = STATE(5436),
    [sym_internal_procedures] = STATE(7672),
    [sym_contains_statement] = STATE(7315),
    [sym__specification_part] = STATE(255),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(255),
    [sym_public_statement] = STATE(255),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(255),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(952),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7815),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(255),
    [sym_data_statement] = STATE(7395),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_enum] = STATE(255),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(255),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(255),
    [aux_sym_subroutine_repeat1] = STATE(686),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1137),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1141),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1145),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1391),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_end_function_statement_token1] = ACTIONS(1379),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1153),
    [aux_sym_public_statement_token1] = ACTIONS(1155),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1157),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [262] = {
    [sym_preproc_include] = STATE(258),
    [sym_preproc_def] = STATE(258),
    [sym_preproc_function_def] = STATE(258),
    [sym_preproc_call] = STATE(258),
    [sym_preproc_if_in_specification_part] = STATE(258),
    [sym_preproc_ifdef_in_specification_part] = STATE(258),
    [sym_preproc_if_in_statements] = STATE(689),
    [sym_preproc_ifdef_in_statements] = STATE(689),
    [sym_preproc_if_in_procedure_statements] = STATE(689),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(689),
    [sym_interface] = STATE(258),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(5702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7719),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(258),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(258),
    [sym_public_statement] = STATE(258),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(258),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(258),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(258),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(258),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(258),
    [aux_sym_subroutine_repeat1] = STATE(689),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1393),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1387),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [263] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_preproc_if_in_statements] = STATE(694),
    [sym_preproc_ifdef_in_statements] = STATE(694),
    [sym_preproc_if_in_procedure_statements] = STATE(694),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(694),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_end_subroutine_statement] = STATE(1253),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7676),
    [sym_contains_statement] = STATE(8113),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(942),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7311),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_subroutine_repeat1] = STATE(694),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1165),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1173),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1177),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1329),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1181),
    [aux_sym_public_statement_token1] = ACTIONS(1183),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1185),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [264] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_preproc_if_in_statements] = STATE(716),
    [sym_preproc_ifdef_in_statements] = STATE(716),
    [sym_end_program_statement] = STATE(1236),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7357),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(716),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [265] = {
    [sym_preproc_include] = STATE(273),
    [sym_preproc_def] = STATE(273),
    [sym_preproc_function_def] = STATE(273),
    [sym_preproc_call] = STATE(273),
    [sym_preproc_if_in_specification_part] = STATE(273),
    [sym_preproc_ifdef_in_specification_part] = STATE(273),
    [sym_preproc_if_in_statements] = STATE(749),
    [sym_preproc_ifdef_in_statements] = STATE(749),
    [sym_end_program_statement] = STATE(1109),
    [sym_interface] = STATE(273),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7832),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(273),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(273),
    [sym_public_statement] = STATE(273),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(273),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(273),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(273),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(273),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(749),
    [aux_sym_program_repeat1] = STATE(273),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1409),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [266] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_preproc_if_in_statements] = STATE(785),
    [sym_preproc_ifdef_in_statements] = STATE(785),
    [sym_end_program_statement] = STATE(1047),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8060),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(785),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [267] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_end_program_statement] = STATE(1256),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8010),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [268] = {
    [sym_preproc_include] = STATE(283),
    [sym_preproc_def] = STATE(283),
    [sym_preproc_function_def] = STATE(283),
    [sym_preproc_call] = STATE(283),
    [sym_preproc_if_in_specification_part] = STATE(283),
    [sym_preproc_ifdef_in_specification_part] = STATE(283),
    [sym_preproc_if_in_statements] = STATE(789),
    [sym_preproc_ifdef_in_statements] = STATE(789),
    [sym_interface] = STATE(283),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8830),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(283),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(283),
    [sym_public_statement] = STATE(283),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(283),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(283),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(283),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(283),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(283),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(789),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1423),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [269] = {
    [sym_preproc_include] = STATE(283),
    [sym_preproc_def] = STATE(283),
    [sym_preproc_function_def] = STATE(283),
    [sym_preproc_call] = STATE(283),
    [sym_preproc_if_in_specification_part] = STATE(283),
    [sym_preproc_ifdef_in_specification_part] = STATE(283),
    [sym_preproc_if_in_statements] = STATE(795),
    [sym_preproc_ifdef_in_statements] = STATE(795),
    [sym_interface] = STATE(283),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(9132),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(283),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(283),
    [sym_public_statement] = STATE(283),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(283),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(283),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(283),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(283),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(283),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(795),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1431),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1423),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [270] = {
    [sym_preproc_include] = STATE(283),
    [sym_preproc_def] = STATE(283),
    [sym_preproc_function_def] = STATE(283),
    [sym_preproc_call] = STATE(283),
    [sym_preproc_if_in_specification_part] = STATE(283),
    [sym_preproc_ifdef_in_specification_part] = STATE(283),
    [sym_preproc_if_in_statements] = STATE(798),
    [sym_preproc_ifdef_in_statements] = STATE(798),
    [sym_interface] = STATE(283),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8715),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(283),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(283),
    [sym_public_statement] = STATE(283),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(283),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(283),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(283),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(283),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(283),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1423),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [271] = {
    [sym_preproc_include] = STATE(264),
    [sym_preproc_def] = STATE(264),
    [sym_preproc_function_def] = STATE(264),
    [sym_preproc_call] = STATE(264),
    [sym_preproc_if_in_specification_part] = STATE(264),
    [sym_preproc_ifdef_in_specification_part] = STATE(264),
    [sym_preproc_if_in_statements] = STATE(727),
    [sym_preproc_ifdef_in_statements] = STATE(727),
    [sym_end_program_statement] = STATE(1256),
    [sym_interface] = STATE(264),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8010),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(264),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(264),
    [sym_public_statement] = STATE(264),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(264),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(264),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(264),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(264),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(727),
    [aux_sym_program_repeat1] = STATE(264),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1435),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [272] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_preproc_if_in_statements] = STATE(749),
    [sym_preproc_ifdef_in_statements] = STATE(749),
    [sym_end_program_statement] = STATE(1109),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7832),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(749),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [273] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_preproc_if_in_statements] = STATE(750),
    [sym_preproc_ifdef_in_statements] = STATE(750),
    [sym_end_program_statement] = STATE(1116),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7735),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(750),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [274] = {
    [sym_preproc_include] = STATE(282),
    [sym_preproc_def] = STATE(282),
    [sym_preproc_function_def] = STATE(282),
    [sym_preproc_call] = STATE(282),
    [sym_preproc_if_in_specification_part] = STATE(282),
    [sym_preproc_ifdef_in_specification_part] = STATE(282),
    [sym_preproc_if_in_statements] = STATE(798),
    [sym_preproc_ifdef_in_statements] = STATE(798),
    [sym_interface] = STATE(282),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(9494),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(282),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(282),
    [sym_public_statement] = STATE(282),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(282),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(282),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(282),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(282),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(282),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(798),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1439),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [275] = {
    [sym_preproc_include] = STATE(266),
    [sym_preproc_def] = STATE(266),
    [sym_preproc_function_def] = STATE(266),
    [sym_preproc_call] = STATE(266),
    [sym_preproc_if_in_specification_part] = STATE(266),
    [sym_preproc_ifdef_in_specification_part] = STATE(266),
    [sym_preproc_if_in_statements] = STATE(711),
    [sym_preproc_ifdef_in_statements] = STATE(711),
    [sym_end_program_statement] = STATE(1065),
    [sym_interface] = STATE(266),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7347),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(266),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(266),
    [sym_public_statement] = STATE(266),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(266),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(266),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(266),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(266),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(711),
    [aux_sym_program_repeat1] = STATE(266),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1441),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [276] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_preproc_if_in_statements] = STATE(711),
    [sym_preproc_ifdef_in_statements] = STATE(711),
    [sym_end_program_statement] = STATE(1065),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7347),
    [sym_contains_statement] = STATE(8043),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(944),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7399),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(711),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1395),
    [aux_sym_preproc_def_token1] = ACTIONS(1397),
    [aux_sym_preproc_if_token1] = ACTIONS(1399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1401),
    [sym_preproc_directive] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1405),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(69),
    [aux_sym_public_statement_token1] = ACTIONS(71),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [277] = {
    [sym_preproc_include] = STATE(281),
    [sym_preproc_def] = STATE(281),
    [sym_preproc_function_def] = STATE(281),
    [sym_preproc_call] = STATE(281),
    [sym_preproc_if_in_specification_part] = STATE(281),
    [sym_preproc_ifdef_in_specification_part] = STATE(281),
    [sym_preproc_if_in_statements] = STATE(790),
    [sym_preproc_ifdef_in_statements] = STATE(790),
    [sym_interface] = STATE(281),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(9441),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(281),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(281),
    [sym_public_statement] = STATE(281),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(281),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(281),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(281),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(281),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(281),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(790),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1443),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [278] = {
    [sym_preproc_include] = STATE(280),
    [sym_preproc_def] = STATE(280),
    [sym_preproc_function_def] = STATE(280),
    [sym_preproc_call] = STATE(280),
    [sym_preproc_if_in_specification_part] = STATE(280),
    [sym_preproc_ifdef_in_specification_part] = STATE(280),
    [sym_preproc_if_in_statements] = STATE(793),
    [sym_preproc_ifdef_in_statements] = STATE(793),
    [sym_interface] = STATE(280),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8539),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(280),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(280),
    [sym_public_statement] = STATE(280),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(280),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(280),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(280),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(280),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(280),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(793),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1445),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [279] = {
    [sym_preproc_include] = STATE(281),
    [sym_preproc_def] = STATE(281),
    [sym_preproc_function_def] = STATE(281),
    [sym_preproc_call] = STATE(281),
    [sym_preproc_if_in_specification_part] = STATE(281),
    [sym_preproc_ifdef_in_specification_part] = STATE(281),
    [sym_preproc_if_in_statements] = STATE(793),
    [sym_preproc_ifdef_in_statements] = STATE(793),
    [sym_interface] = STATE(281),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8883),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(281),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(281),
    [sym_public_statement] = STATE(281),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(281),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(281),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(281),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(281),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(281),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(793),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1443),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [280] = {
    [sym_preproc_include] = STATE(292),
    [sym_preproc_def] = STATE(292),
    [sym_preproc_function_def] = STATE(292),
    [sym_preproc_call] = STATE(292),
    [sym_preproc_if_in_specification_part] = STATE(292),
    [sym_preproc_ifdef_in_specification_part] = STATE(292),
    [sym_preproc_if_in_statements] = STATE(792),
    [sym_preproc_ifdef_in_statements] = STATE(792),
    [sym_interface] = STATE(292),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(9504),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(292),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(292),
    [sym_public_statement] = STATE(292),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(292),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(292),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(292),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(292),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(292),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(792),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(1447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [281] = {
    [sym_preproc_include] = STATE(292),
    [sym_preproc_def] = STATE(292),
    [sym_preproc_function_def] = STATE(292),
    [sym_preproc_call] = STATE(292),
    [sym_preproc_if_in_specification_part] = STATE(292),
    [sym_preproc_ifdef_in_specification_part] = STATE(292),
    [sym_preproc_if_in_statements] = STATE(792),
    [sym_preproc_ifdef_in_statements] = STATE(792),
    [sym_interface] = STATE(292),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(9010),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(292),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(292),
    [sym_public_statement] = STATE(292),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(292),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(292),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(292),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(292),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(292),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(792),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(1447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [282] = {
    [sym_preproc_include] = STATE(292),
    [sym_preproc_def] = STATE(292),
    [sym_preproc_function_def] = STATE(292),
    [sym_preproc_call] = STATE(292),
    [sym_preproc_if_in_specification_part] = STATE(292),
    [sym_preproc_ifdef_in_specification_part] = STATE(292),
    [sym_preproc_if_in_statements] = STATE(793),
    [sym_preproc_ifdef_in_statements] = STATE(793),
    [sym_interface] = STATE(292),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8539),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(292),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(292),
    [sym_public_statement] = STATE(292),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(292),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(292),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(292),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(292),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(292),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(793),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [283] = {
    [sym_preproc_include] = STATE(292),
    [sym_preproc_def] = STATE(292),
    [sym_preproc_function_def] = STATE(292),
    [sym_preproc_call] = STATE(292),
    [sym_preproc_if_in_specification_part] = STATE(292),
    [sym_preproc_ifdef_in_specification_part] = STATE(292),
    [sym_preproc_if_in_statements] = STATE(793),
    [sym_preproc_ifdef_in_statements] = STATE(793),
    [sym_interface] = STATE(292),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8883),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(292),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(292),
    [sym_public_statement] = STATE(292),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(292),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(292),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(292),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(292),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(292),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(793),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [284] = {
    [sym_preproc_include] = STATE(281),
    [sym_preproc_def] = STATE(281),
    [sym_preproc_function_def] = STATE(281),
    [sym_preproc_call] = STATE(281),
    [sym_preproc_if_in_specification_part] = STATE(281),
    [sym_preproc_ifdef_in_specification_part] = STATE(281),
    [sym_preproc_if_in_statements] = STATE(794),
    [sym_preproc_ifdef_in_statements] = STATE(794),
    [sym_interface] = STATE(281),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8540),
    [sym_contains_statement] = STATE(7475),
    [sym__specification_part] = STATE(281),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(281),
    [sym_public_statement] = STATE(281),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(281),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(961),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7592),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(281),
    [sym_data_statement] = STATE(7737),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_enum] = STATE(281),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(281),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(281),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(794),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1411),
    [aux_sym_preproc_def_token1] = ACTIONS(1413),
    [aux_sym_preproc_if_token1] = ACTIONS(1415),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1417),
    [sym_preproc_directive] = ACTIONS(1419),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1443),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1425),
    [aux_sym_public_statement_token1] = ACTIONS(1427),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [285] = {
    [sym_preproc_include] = STATE(288),
    [sym_preproc_def] = STATE(288),
    [sym_preproc_function_def] = STATE(288),
    [sym_preproc_call] = STATE(288),
    [sym_preproc_if_in_specification_part] = STATE(288),
    [sym_preproc_ifdef_in_specification_part] = STATE(288),
    [sym_preproc_if_in_statements] = STATE(821),
    [sym_preproc_ifdef_in_statements] = STATE(821),
    [sym_interface] = STATE(288),
    [sym_interface_statement] = STATE(4697),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(288),
    [sym_use_statement] = STATE(7535),
    [sym_implicit_statement] = STATE(7535),
    [sym_save_statement] = STATE(7535),
    [sym_private_statement] = STATE(288),
    [sym_public_statement] = STATE(288),
    [sym_namelist_statement] = STATE(7535),
    [sym_common_statement] = STATE(7535),
    [sym_import_statement] = STATE(7535),
    [sym_derived_type_definition] = STATE(288),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4893),
    [sym_variable_declaration] = STATE(7535),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7535),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7535),
    [sym_equivalence_statement] = STATE(7535),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(954),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7318),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(288),
    [sym_data_statement] = STATE(7535),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8148),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_enum] = STATE(288),
    [sym_enum_statement] = STATE(6877),
    [sym_enumeration_type] = STATE(288),
    [sym_enumeration_type_statement] = STATE(6995),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(288),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(821),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1451),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1459),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1463),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1465),
    [aux_sym_public_statement_token1] = ACTIONS(1467),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [286] = {
    [sym_preproc_include] = STATE(287),
    [sym_preproc_def] = STATE(287),
    [sym_preproc_function_def] = STATE(287),
    [sym_preproc_call] = STATE(287),
    [sym_preproc_if_in_specification_part] = STATE(287),
    [sym_preproc_ifdef_in_specification_part] = STATE(287),
    [sym_preproc_if_in_statements] = STATE(846),
    [sym_preproc_ifdef_in_statements] = STATE(846),
    [sym_interface] = STATE(287),
    [sym_interface_statement] = STATE(4697),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(287),
    [sym_use_statement] = STATE(7535),
    [sym_implicit_statement] = STATE(7535),
    [sym_save_statement] = STATE(7535),
    [sym_private_statement] = STATE(287),
    [sym_public_statement] = STATE(287),
    [sym_namelist_statement] = STATE(7535),
    [sym_common_statement] = STATE(7535),
    [sym_import_statement] = STATE(7535),
    [sym_derived_type_definition] = STATE(287),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4893),
    [sym_variable_declaration] = STATE(7535),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7535),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7535),
    [sym_equivalence_statement] = STATE(7535),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(954),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7318),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(287),
    [sym_data_statement] = STATE(7535),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8457),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_enum] = STATE(287),
    [sym_enum_statement] = STATE(6877),
    [sym_enumeration_type] = STATE(287),
    [sym_enumeration_type_statement] = STATE(6995),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(287),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(846),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1451),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1459),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1473),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1465),
    [aux_sym_public_statement_token1] = ACTIONS(1467),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [287] = {
    [sym_preproc_include] = STATE(295),
    [sym_preproc_def] = STATE(295),
    [sym_preproc_function_def] = STATE(295),
    [sym_preproc_call] = STATE(295),
    [sym_preproc_if_in_specification_part] = STATE(295),
    [sym_preproc_ifdef_in_specification_part] = STATE(295),
    [sym_preproc_if_in_statements] = STATE(853),
    [sym_preproc_ifdef_in_statements] = STATE(853),
    [sym_interface] = STATE(295),
    [sym_interface_statement] = STATE(4697),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(295),
    [sym_use_statement] = STATE(7535),
    [sym_implicit_statement] = STATE(7535),
    [sym_save_statement] = STATE(7535),
    [sym_private_statement] = STATE(295),
    [sym_public_statement] = STATE(295),
    [sym_namelist_statement] = STATE(7535),
    [sym_common_statement] = STATE(7535),
    [sym_import_statement] = STATE(7535),
    [sym_derived_type_definition] = STATE(295),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4893),
    [sym_variable_declaration] = STATE(7535),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7535),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7535),
    [sym_equivalence_statement] = STATE(7535),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(954),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7318),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(295),
    [sym_data_statement] = STATE(7535),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8202),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_enum] = STATE(295),
    [sym_enum_statement] = STATE(6877),
    [sym_enumeration_type] = STATE(295),
    [sym_enumeration_type_statement] = STATE(6995),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(295),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(853),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1451),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1459),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1465),
    [aux_sym_public_statement_token1] = ACTIONS(1467),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [288] = {
    [sym_preproc_include] = STATE(295),
    [sym_preproc_def] = STATE(295),
    [sym_preproc_function_def] = STATE(295),
    [sym_preproc_call] = STATE(295),
    [sym_preproc_if_in_specification_part] = STATE(295),
    [sym_preproc_ifdef_in_specification_part] = STATE(295),
    [sym_preproc_if_in_statements] = STATE(846),
    [sym_preproc_ifdef_in_statements] = STATE(846),
    [sym_interface] = STATE(295),
    [sym_interface_statement] = STATE(4697),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(295),
    [sym_use_statement] = STATE(7535),
    [sym_implicit_statement] = STATE(7535),
    [sym_save_statement] = STATE(7535),
    [sym_private_statement] = STATE(295),
    [sym_public_statement] = STATE(295),
    [sym_namelist_statement] = STATE(7535),
    [sym_common_statement] = STATE(7535),
    [sym_import_statement] = STATE(7535),
    [sym_derived_type_definition] = STATE(295),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4893),
    [sym_variable_declaration] = STATE(7535),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7535),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7535),
    [sym_equivalence_statement] = STATE(7535),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(954),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7318),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(295),
    [sym_data_statement] = STATE(7535),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8457),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_enum] = STATE(295),
    [sym_enum_statement] = STATE(6877),
    [sym_enumeration_type] = STATE(295),
    [sym_enumeration_type_statement] = STATE(6995),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(295),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(846),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1451),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1459),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1475),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(1465),
    [aux_sym_public_statement_token1] = ACTIONS(1467),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [289] = {
    [sym_preproc_include] = STATE(289),
    [sym_preproc_def] = STATE(289),
    [sym_preproc_function_def] = STATE(289),
    [sym_preproc_call] = STATE(289),
    [sym_preproc_if_in_specification_part] = STATE(289),
    [sym_preproc_ifdef_in_specification_part] = STATE(289),
    [sym_interface] = STATE(289),
    [sym_interface_statement] = STATE(4682),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(289),
    [sym_use_statement] = STATE(7641),
    [sym_implicit_statement] = STATE(7641),
    [sym_save_statement] = STATE(7641),
    [sym_private_statement] = STATE(289),
    [sym_public_statement] = STATE(289),
    [sym_namelist_statement] = STATE(7641),
    [sym_common_statement] = STATE(7641),
    [sym_import_statement] = STATE(7641),
    [sym_derived_type_definition] = STATE(289),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4882),
    [sym_variable_declaration] = STATE(7641),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7641),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7641),
    [sym_equivalence_statement] = STATE(7641),
    [sym_statement_label] = STATE(8012),
    [sym_assignment_statement] = STATE(7641),
    [sym_include_statement] = STATE(289),
    [sym_data_statement] = STATE(7641),
    [sym_enum] = STATE(289),
    [sym_enum_statement] = STATE(6876),
    [sym_enumeration_type] = STATE(289),
    [sym_enumeration_type_statement] = STATE(7010),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(289),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1483),
    [aux_sym_preproc_if_token2] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1486),
    [aux_sym_preproc_elif_token1] = ACTIONS(1486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1486),
    [sym_preproc_directive] = ACTIONS(1491),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1503),
    [aux_sym_interface_statement_token1] = ACTIONS(1506),
    [aux_sym_block_data_statement_token1] = ACTIONS(1509),
    [aux_sym_block_data_statement_token2] = ACTIONS(1512),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1509),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1515),
    [aux_sym_language_binding_token1] = ACTIONS(1518),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1524),
    [aux_sym_contains_statement_token1] = ACTIONS(1486),
    [aux_sym_use_statement_token1] = ACTIONS(1527),
    [aux_sym_use_statement_token2] = ACTIONS(1524),
    [aux_sym_implicit_statement_token1] = ACTIONS(1530),
    [aux_sym_implicit_statement_token3] = ACTIONS(1533),
    [aux_sym_implicit_statement_token4] = ACTIONS(1524),
    [aux_sym_save_statement_token1] = ACTIONS(1536),
    [aux_sym_private_statement_token1] = ACTIONS(1539),
    [aux_sym_public_statement_token1] = ACTIONS(1542),
    [aux_sym_namelist_statement_token1] = ACTIONS(1545),
    [aux_sym_common_statement_token1] = ACTIONS(1548),
    [aux_sym_import_statement_token1] = ACTIONS(1551),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1524),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1554),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1524),
    [aux_sym_variable_attributes_token1] = ACTIONS(1557),
    [aux_sym_variable_attributes_token2] = ACTIONS(1524),
    [aux_sym_variable_attributes_token3] = ACTIONS(1524),
    [aux_sym_variable_attributes_token4] = ACTIONS(1557),
    [aux_sym_variable_attributes_token5] = ACTIONS(1524),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1560),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1560),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1566),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1563),
    [aux_sym_derived_type_token1] = ACTIONS(1572),
    [aux_sym_declared_type_token1] = ACTIONS(1575),
    [aux_sym_declared_type_token2] = ACTIONS(1575),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1590),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1557),
    [aux_sym_type_qualifier_token1] = ACTIONS(1509),
    [aux_sym_type_qualifier_token2] = ACTIONS(1509),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1593),
    [aux_sym_stop_statement_token1] = ACTIONS(1509),
    [aux_sym_stop_statement_token2] = ACTIONS(1509),
    [aux_sym_subroutine_call_token1] = ACTIONS(1596),
    [aux_sym_keyword_statement_token1] = ACTIONS(1486),
    [aux_sym_keyword_statement_token2] = ACTIONS(1509),
    [aux_sym_keyword_statement_token3] = ACTIONS(1509),
    [aux_sym_keyword_statement_token4] = ACTIONS(1599),
    [aux_sym_keyword_statement_token6] = ACTIONS(1486),
    [aux_sym_keyword_statement_token7] = ACTIONS(1486),
    [aux_sym_include_statement_token1] = ACTIONS(1602),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1486),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1509),
    [aux_sym_end_if_statement_token1] = ACTIONS(1509),
    [aux_sym_elseif_clause_token2] = ACTIONS(1509),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1596),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1486),
    [aux_sym_select_case_statement_token1] = ACTIONS(1605),
    [aux_sym_select_case_statement_token3] = ACTIONS(1486),
    [aux_sym_select_type_statement_token1] = ACTIONS(1486),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1486),
    [aux_sym_associate_statement_token1] = ACTIONS(1486),
    [aux_sym_format_statement_token1] = ACTIONS(1509),
    [aux_sym_print_statement_token1] = ACTIONS(1596),
    [aux_sym_open_statement_token1] = ACTIONS(1596),
    [aux_sym_close_statement_token1] = ACTIONS(1486),
    [aux_sym_inquire_statement_token1] = ACTIONS(1509),
    [aux_sym_enum_statement_token1] = ACTIONS(1608),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1611),
    [aux_sym_file_position_statement_token1] = ACTIONS(1486),
    [aux_sym_file_position_statement_token2] = ACTIONS(1486),
    [aux_sym_file_position_statement_token3] = ACTIONS(1486),
    [aux_sym_file_position_statement_token4] = ACTIONS(1486),
    [aux_sym_allocate_statement_token1] = ACTIONS(1486),
    [aux_sym_entry_statement_token1] = ACTIONS(1509),
    [aux_sym_assign_statement_token1] = ACTIONS(1486),
    [aux_sym_logical_expression_token5] = ACTIONS(1614),
    [anon_sym_DOT] = ACTIONS(1617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1623),
    [aux_sym_boolean_literal_token1] = ACTIONS(1626),
    [aux_sym_boolean_literal_token2] = ACTIONS(1626),
    [aux_sym_null_literal_token1] = ACTIONS(1629),
    [aux_sym_coarray_statement_token1] = ACTIONS(1509),
    [aux_sym_coarray_statement_token2] = ACTIONS(1509),
    [aux_sym_coarray_statement_token6] = ACTIONS(1509),
    [aux_sym_coarray_statement_token8] = ACTIONS(1509),
    [aux_sym_coarray_statement_token11] = ACTIONS(1509),
    [aux_sym_coarray_statement_token12] = ACTIONS(1509),
    [aux_sym_coarray_statement_token13] = ACTIONS(1486),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1509),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1509),
    [aux_sym_identifier_token1] = ACTIONS(1509),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1632),
    [sym__float_literal] = ACTIONS(1635),
    [sym__boz_literal] = ACTIONS(1635),
    [sym__string_literal] = ACTIONS(1638),
    [sym__string_literal_kind] = ACTIONS(1641),
  },
  [290] = {
    [sym_preproc_include] = STATE(290),
    [sym_preproc_def] = STATE(290),
    [sym_preproc_function_def] = STATE(290),
    [sym_preproc_call] = STATE(290),
    [sym_preproc_if_in_specification_part] = STATE(290),
    [sym_preproc_ifdef_in_specification_part] = STATE(290),
    [sym_interface] = STATE(290),
    [sym_interface_statement] = STATE(4702),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(290),
    [sym_use_statement] = STATE(7331),
    [sym_implicit_statement] = STATE(7331),
    [sym_save_statement] = STATE(7331),
    [sym_private_statement] = STATE(290),
    [sym_public_statement] = STATE(290),
    [sym_namelist_statement] = STATE(7331),
    [sym_common_statement] = STATE(7331),
    [sym_import_statement] = STATE(7331),
    [sym_derived_type_definition] = STATE(290),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4888),
    [sym_variable_declaration] = STATE(7331),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7331),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7331),
    [sym_equivalence_statement] = STATE(7331),
    [sym_statement_label] = STATE(7979),
    [sym_assignment_statement] = STATE(7331),
    [sym_include_statement] = STATE(290),
    [sym_data_statement] = STATE(7331),
    [sym_enum] = STATE(290),
    [sym_enum_statement] = STATE(6851),
    [sym_enumeration_type] = STATE(290),
    [sym_enumeration_type_statement] = STATE(6987),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_program_repeat1] = STATE(290),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1644),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1653),
    [sym_preproc_directive] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1665),
    [aux_sym_end_program_statement_token2] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1670),
    [aux_sym_interface_statement_token1] = ACTIONS(1673),
    [aux_sym_block_data_statement_token1] = ACTIONS(1676),
    [aux_sym_block_data_statement_token2] = ACTIONS(1679),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1682),
    [aux_sym_language_binding_token1] = ACTIONS(1685),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1691),
    [aux_sym_contains_statement_token1] = ACTIONS(1668),
    [aux_sym_use_statement_token1] = ACTIONS(1694),
    [aux_sym_use_statement_token2] = ACTIONS(1691),
    [aux_sym_implicit_statement_token1] = ACTIONS(1697),
    [aux_sym_implicit_statement_token3] = ACTIONS(1700),
    [aux_sym_implicit_statement_token4] = ACTIONS(1691),
    [aux_sym_save_statement_token1] = ACTIONS(1703),
    [aux_sym_private_statement_token1] = ACTIONS(1706),
    [aux_sym_public_statement_token1] = ACTIONS(1709),
    [aux_sym_namelist_statement_token1] = ACTIONS(1712),
    [aux_sym_common_statement_token1] = ACTIONS(1715),
    [aux_sym_import_statement_token1] = ACTIONS(1718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1691),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1721),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1691),
    [aux_sym_variable_attributes_token1] = ACTIONS(1724),
    [aux_sym_variable_attributes_token2] = ACTIONS(1691),
    [aux_sym_variable_attributes_token3] = ACTIONS(1691),
    [aux_sym_variable_attributes_token4] = ACTIONS(1724),
    [aux_sym_variable_attributes_token5] = ACTIONS(1691),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1733),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1730),
    [aux_sym_derived_type_token1] = ACTIONS(1739),
    [aux_sym_declared_type_token1] = ACTIONS(1742),
    [aux_sym_declared_type_token2] = ACTIONS(1742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1745),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1724),
    [aux_sym_type_qualifier_token1] = ACTIONS(1676),
    [aux_sym_type_qualifier_token2] = ACTIONS(1676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1760),
    [aux_sym_stop_statement_token1] = ACTIONS(1676),
    [aux_sym_stop_statement_token2] = ACTIONS(1676),
    [aux_sym_subroutine_call_token1] = ACTIONS(1763),
    [aux_sym_keyword_statement_token1] = ACTIONS(1668),
    [aux_sym_keyword_statement_token2] = ACTIONS(1676),
    [aux_sym_keyword_statement_token3] = ACTIONS(1676),
    [aux_sym_keyword_statement_token4] = ACTIONS(1766),
    [aux_sym_keyword_statement_token6] = ACTIONS(1668),
    [aux_sym_keyword_statement_token7] = ACTIONS(1668),
    [aux_sym_include_statement_token1] = ACTIONS(1769),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1668),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1676),
    [aux_sym_end_if_statement_token1] = ACTIONS(1676),
    [aux_sym_elseif_clause_token2] = ACTIONS(1676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1763),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1668),
    [aux_sym_select_case_statement_token1] = ACTIONS(1772),
    [aux_sym_select_case_statement_token3] = ACTIONS(1668),
    [aux_sym_select_type_statement_token1] = ACTIONS(1668),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1668),
    [aux_sym_associate_statement_token1] = ACTIONS(1668),
    [aux_sym_format_statement_token1] = ACTIONS(1676),
    [aux_sym_print_statement_token1] = ACTIONS(1763),
    [aux_sym_open_statement_token1] = ACTIONS(1763),
    [aux_sym_close_statement_token1] = ACTIONS(1668),
    [aux_sym_inquire_statement_token1] = ACTIONS(1676),
    [aux_sym_enum_statement_token1] = ACTIONS(1775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1778),
    [aux_sym_file_position_statement_token1] = ACTIONS(1668),
    [aux_sym_file_position_statement_token2] = ACTIONS(1668),
    [aux_sym_file_position_statement_token3] = ACTIONS(1668),
    [aux_sym_file_position_statement_token4] = ACTIONS(1668),
    [aux_sym_allocate_statement_token1] = ACTIONS(1668),
    [aux_sym_entry_statement_token1] = ACTIONS(1676),
    [aux_sym_assign_statement_token1] = ACTIONS(1668),
    [aux_sym_logical_expression_token5] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [aux_sym_boolean_literal_token1] = ACTIONS(1793),
    [aux_sym_boolean_literal_token2] = ACTIONS(1793),
    [aux_sym_null_literal_token1] = ACTIONS(1796),
    [aux_sym_coarray_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_statement_token2] = ACTIONS(1676),
    [aux_sym_coarray_statement_token6] = ACTIONS(1676),
    [aux_sym_coarray_statement_token8] = ACTIONS(1676),
    [aux_sym_coarray_statement_token11] = ACTIONS(1676),
    [aux_sym_coarray_statement_token12] = ACTIONS(1676),
    [aux_sym_coarray_statement_token13] = ACTIONS(1668),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1676),
    [aux_sym_identifier_token1] = ACTIONS(1676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1799),
    [sym__float_literal] = ACTIONS(1802),
    [sym__boz_literal] = ACTIONS(1802),
    [sym__string_literal] = ACTIONS(1805),
    [sym__string_literal_kind] = ACTIONS(1808),
  },
  [291] = {
    [sym_preproc_include] = STATE(291),
    [sym_preproc_def] = STATE(291),
    [sym_preproc_function_def] = STATE(291),
    [sym_preproc_call] = STATE(291),
    [sym_preproc_if_in_specification_part] = STATE(291),
    [sym_preproc_ifdef_in_specification_part] = STATE(291),
    [sym_interface] = STATE(291),
    [sym_interface_statement] = STATE(4701),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(291),
    [sym_use_statement] = STATE(7395),
    [sym_implicit_statement] = STATE(7395),
    [sym_save_statement] = STATE(7395),
    [sym_private_statement] = STATE(291),
    [sym_public_statement] = STATE(291),
    [sym_namelist_statement] = STATE(7395),
    [sym_common_statement] = STATE(7395),
    [sym_import_statement] = STATE(7395),
    [sym_derived_type_definition] = STATE(291),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4889),
    [sym_variable_declaration] = STATE(7395),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7395),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7395),
    [sym_equivalence_statement] = STATE(7395),
    [sym_statement_label] = STATE(8003),
    [sym_assignment_statement] = STATE(7395),
    [sym_include_statement] = STATE(291),
    [sym_data_statement] = STATE(7395),
    [sym_enum] = STATE(291),
    [sym_enum_statement] = STATE(6860),
    [sym_enumeration_type] = STATE(291),
    [sym_enumeration_type_statement] = STATE(6971),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_program_repeat1] = STATE(291),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1811),
    [aux_sym_preproc_def_token1] = ACTIONS(1814),
    [aux_sym_preproc_if_token1] = ACTIONS(1817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1820),
    [sym_preproc_directive] = ACTIONS(1823),
    [anon_sym_LPAREN2] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_interface_statement_token1] = ACTIONS(1673),
    [aux_sym_block_data_statement_token1] = ACTIONS(1676),
    [aux_sym_block_data_statement_token2] = ACTIONS(1679),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1682),
    [aux_sym_language_binding_token1] = ACTIONS(1685),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1691),
    [aux_sym_end_function_statement_token1] = ACTIONS(1668),
    [aux_sym_contains_statement_token1] = ACTIONS(1668),
    [aux_sym_use_statement_token1] = ACTIONS(1694),
    [aux_sym_use_statement_token2] = ACTIONS(1691),
    [aux_sym_implicit_statement_token1] = ACTIONS(1697),
    [aux_sym_implicit_statement_token3] = ACTIONS(1700),
    [aux_sym_implicit_statement_token4] = ACTIONS(1691),
    [aux_sym_save_statement_token1] = ACTIONS(1703),
    [aux_sym_private_statement_token1] = ACTIONS(1829),
    [aux_sym_public_statement_token1] = ACTIONS(1832),
    [aux_sym_namelist_statement_token1] = ACTIONS(1712),
    [aux_sym_common_statement_token1] = ACTIONS(1715),
    [aux_sym_import_statement_token1] = ACTIONS(1718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1691),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1721),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1691),
    [aux_sym_variable_attributes_token1] = ACTIONS(1724),
    [aux_sym_variable_attributes_token2] = ACTIONS(1691),
    [aux_sym_variable_attributes_token3] = ACTIONS(1691),
    [aux_sym_variable_attributes_token4] = ACTIONS(1724),
    [aux_sym_variable_attributes_token5] = ACTIONS(1691),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1733),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1730),
    [aux_sym_derived_type_token1] = ACTIONS(1739),
    [aux_sym_declared_type_token1] = ACTIONS(1742),
    [aux_sym_declared_type_token2] = ACTIONS(1742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1745),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1724),
    [aux_sym_type_qualifier_token1] = ACTIONS(1676),
    [aux_sym_type_qualifier_token2] = ACTIONS(1676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1760),
    [aux_sym_stop_statement_token1] = ACTIONS(1676),
    [aux_sym_stop_statement_token2] = ACTIONS(1676),
    [aux_sym_subroutine_call_token1] = ACTIONS(1763),
    [aux_sym_keyword_statement_token1] = ACTIONS(1668),
    [aux_sym_keyword_statement_token2] = ACTIONS(1676),
    [aux_sym_keyword_statement_token3] = ACTIONS(1676),
    [aux_sym_keyword_statement_token4] = ACTIONS(1766),
    [aux_sym_keyword_statement_token6] = ACTIONS(1668),
    [aux_sym_keyword_statement_token7] = ACTIONS(1668),
    [aux_sym_include_statement_token1] = ACTIONS(1835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1668),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1676),
    [aux_sym_end_if_statement_token1] = ACTIONS(1676),
    [aux_sym_elseif_clause_token2] = ACTIONS(1676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1763),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1668),
    [aux_sym_select_case_statement_token1] = ACTIONS(1772),
    [aux_sym_select_case_statement_token3] = ACTIONS(1668),
    [aux_sym_select_type_statement_token1] = ACTIONS(1668),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1668),
    [aux_sym_associate_statement_token1] = ACTIONS(1668),
    [aux_sym_format_statement_token1] = ACTIONS(1676),
    [aux_sym_print_statement_token1] = ACTIONS(1763),
    [aux_sym_open_statement_token1] = ACTIONS(1763),
    [aux_sym_close_statement_token1] = ACTIONS(1668),
    [aux_sym_inquire_statement_token1] = ACTIONS(1676),
    [aux_sym_enum_statement_token1] = ACTIONS(1775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1778),
    [aux_sym_file_position_statement_token1] = ACTIONS(1668),
    [aux_sym_file_position_statement_token2] = ACTIONS(1668),
    [aux_sym_file_position_statement_token3] = ACTIONS(1668),
    [aux_sym_file_position_statement_token4] = ACTIONS(1668),
    [aux_sym_allocate_statement_token1] = ACTIONS(1668),
    [aux_sym_entry_statement_token1] = ACTIONS(1676),
    [aux_sym_assign_statement_token1] = ACTIONS(1668),
    [aux_sym_logical_expression_token5] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [aux_sym_boolean_literal_token1] = ACTIONS(1793),
    [aux_sym_boolean_literal_token2] = ACTIONS(1793),
    [aux_sym_null_literal_token1] = ACTIONS(1796),
    [aux_sym_coarray_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_statement_token2] = ACTIONS(1676),
    [aux_sym_coarray_statement_token6] = ACTIONS(1676),
    [aux_sym_coarray_statement_token8] = ACTIONS(1676),
    [aux_sym_coarray_statement_token11] = ACTIONS(1676),
    [aux_sym_coarray_statement_token12] = ACTIONS(1676),
    [aux_sym_coarray_statement_token13] = ACTIONS(1668),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1676),
    [aux_sym_identifier_token1] = ACTIONS(1676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1799),
    [sym__float_literal] = ACTIONS(1802),
    [sym__boz_literal] = ACTIONS(1802),
    [sym__string_literal] = ACTIONS(1805),
    [sym__string_literal_kind] = ACTIONS(1808),
  },
  [292] = {
    [sym_preproc_include] = STATE(292),
    [sym_preproc_def] = STATE(292),
    [sym_preproc_function_def] = STATE(292),
    [sym_preproc_call] = STATE(292),
    [sym_preproc_if_in_specification_part] = STATE(292),
    [sym_preproc_ifdef_in_specification_part] = STATE(292),
    [sym_interface] = STATE(292),
    [sym_interface_statement] = STATE(4689),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(292),
    [sym_use_statement] = STATE(7737),
    [sym_implicit_statement] = STATE(7737),
    [sym_save_statement] = STATE(7737),
    [sym_private_statement] = STATE(292),
    [sym_public_statement] = STATE(292),
    [sym_namelist_statement] = STATE(7737),
    [sym_common_statement] = STATE(7737),
    [sym_import_statement] = STATE(7737),
    [sym_derived_type_definition] = STATE(292),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4901),
    [sym_variable_declaration] = STATE(7737),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7737),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7737),
    [sym_equivalence_statement] = STATE(7737),
    [sym_statement_label] = STATE(8029),
    [sym_assignment_statement] = STATE(7737),
    [sym_include_statement] = STATE(292),
    [sym_data_statement] = STATE(7737),
    [sym_enum] = STATE(292),
    [sym_enum_statement] = STATE(6852),
    [sym_enumeration_type] = STATE(292),
    [sym_enumeration_type_statement] = STATE(7029),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(292),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1838),
    [aux_sym_preproc_def_token1] = ACTIONS(1841),
    [aux_sym_preproc_if_token1] = ACTIONS(1844),
    [aux_sym_preproc_if_token2] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1847),
    [sym_preproc_directive] = ACTIONS(1850),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1853),
    [aux_sym_interface_statement_token1] = ACTIONS(1506),
    [aux_sym_block_data_statement_token1] = ACTIONS(1509),
    [aux_sym_block_data_statement_token2] = ACTIONS(1512),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1509),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1515),
    [aux_sym_language_binding_token1] = ACTIONS(1518),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1524),
    [aux_sym_contains_statement_token1] = ACTIONS(1486),
    [aux_sym_use_statement_token1] = ACTIONS(1527),
    [aux_sym_use_statement_token2] = ACTIONS(1524),
    [aux_sym_implicit_statement_token1] = ACTIONS(1530),
    [aux_sym_implicit_statement_token3] = ACTIONS(1533),
    [aux_sym_implicit_statement_token4] = ACTIONS(1524),
    [aux_sym_save_statement_token1] = ACTIONS(1536),
    [aux_sym_private_statement_token1] = ACTIONS(1856),
    [aux_sym_public_statement_token1] = ACTIONS(1859),
    [aux_sym_namelist_statement_token1] = ACTIONS(1545),
    [aux_sym_common_statement_token1] = ACTIONS(1548),
    [aux_sym_import_statement_token1] = ACTIONS(1551),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1524),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1554),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1524),
    [aux_sym_variable_attributes_token1] = ACTIONS(1557),
    [aux_sym_variable_attributes_token2] = ACTIONS(1524),
    [aux_sym_variable_attributes_token3] = ACTIONS(1524),
    [aux_sym_variable_attributes_token4] = ACTIONS(1557),
    [aux_sym_variable_attributes_token5] = ACTIONS(1524),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1560),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1560),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1566),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1563),
    [aux_sym_derived_type_token1] = ACTIONS(1572),
    [aux_sym_declared_type_token1] = ACTIONS(1575),
    [aux_sym_declared_type_token2] = ACTIONS(1575),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1590),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1557),
    [aux_sym_type_qualifier_token1] = ACTIONS(1509),
    [aux_sym_type_qualifier_token2] = ACTIONS(1509),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1593),
    [aux_sym_stop_statement_token1] = ACTIONS(1509),
    [aux_sym_stop_statement_token2] = ACTIONS(1509),
    [aux_sym_subroutine_call_token1] = ACTIONS(1596),
    [aux_sym_keyword_statement_token1] = ACTIONS(1486),
    [aux_sym_keyword_statement_token2] = ACTIONS(1509),
    [aux_sym_keyword_statement_token3] = ACTIONS(1509),
    [aux_sym_keyword_statement_token4] = ACTIONS(1599),
    [aux_sym_keyword_statement_token6] = ACTIONS(1486),
    [aux_sym_keyword_statement_token7] = ACTIONS(1486),
    [aux_sym_include_statement_token1] = ACTIONS(1862),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1486),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1509),
    [aux_sym_end_if_statement_token1] = ACTIONS(1509),
    [aux_sym_elseif_clause_token2] = ACTIONS(1509),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1596),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1486),
    [aux_sym_select_case_statement_token1] = ACTIONS(1605),
    [aux_sym_select_case_statement_token3] = ACTIONS(1486),
    [aux_sym_select_type_statement_token1] = ACTIONS(1486),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1486),
    [aux_sym_associate_statement_token1] = ACTIONS(1486),
    [aux_sym_format_statement_token1] = ACTIONS(1509),
    [aux_sym_print_statement_token1] = ACTIONS(1596),
    [aux_sym_open_statement_token1] = ACTIONS(1596),
    [aux_sym_close_statement_token1] = ACTIONS(1486),
    [aux_sym_inquire_statement_token1] = ACTIONS(1509),
    [aux_sym_enum_statement_token1] = ACTIONS(1608),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1611),
    [aux_sym_file_position_statement_token1] = ACTIONS(1486),
    [aux_sym_file_position_statement_token2] = ACTIONS(1486),
    [aux_sym_file_position_statement_token3] = ACTIONS(1486),
    [aux_sym_file_position_statement_token4] = ACTIONS(1486),
    [aux_sym_allocate_statement_token1] = ACTIONS(1486),
    [aux_sym_entry_statement_token1] = ACTIONS(1509),
    [aux_sym_assign_statement_token1] = ACTIONS(1486),
    [aux_sym_logical_expression_token5] = ACTIONS(1614),
    [anon_sym_DOT] = ACTIONS(1617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1623),
    [aux_sym_boolean_literal_token1] = ACTIONS(1626),
    [aux_sym_boolean_literal_token2] = ACTIONS(1626),
    [aux_sym_null_literal_token1] = ACTIONS(1629),
    [aux_sym_coarray_statement_token1] = ACTIONS(1509),
    [aux_sym_coarray_statement_token2] = ACTIONS(1509),
    [aux_sym_coarray_statement_token6] = ACTIONS(1509),
    [aux_sym_coarray_statement_token8] = ACTIONS(1509),
    [aux_sym_coarray_statement_token11] = ACTIONS(1509),
    [aux_sym_coarray_statement_token12] = ACTIONS(1509),
    [aux_sym_coarray_statement_token13] = ACTIONS(1486),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1509),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1509),
    [aux_sym_identifier_token1] = ACTIONS(1509),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1632),
    [sym__float_literal] = ACTIONS(1635),
    [sym__boz_literal] = ACTIONS(1635),
    [sym__string_literal] = ACTIONS(1638),
    [sym__string_literal_kind] = ACTIONS(1641),
  },
  [293] = {
    [sym_preproc_include] = STATE(293),
    [sym_preproc_def] = STATE(293),
    [sym_preproc_function_def] = STATE(293),
    [sym_preproc_call] = STATE(293),
    [sym_preproc_if_in_specification_part] = STATE(293),
    [sym_preproc_ifdef_in_specification_part] = STATE(293),
    [sym_interface] = STATE(293),
    [sym_interface_statement] = STATE(4685),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(293),
    [sym_use_statement] = STATE(7685),
    [sym_implicit_statement] = STATE(7685),
    [sym_save_statement] = STATE(7685),
    [sym_private_statement] = STATE(293),
    [sym_public_statement] = STATE(293),
    [sym_namelist_statement] = STATE(7685),
    [sym_common_statement] = STATE(7685),
    [sym_import_statement] = STATE(7685),
    [sym_derived_type_definition] = STATE(293),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4899),
    [sym_variable_declaration] = STATE(7685),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7685),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7685),
    [sym_equivalence_statement] = STATE(7685),
    [sym_statement_label] = STATE(8036),
    [sym_assignment_statement] = STATE(7685),
    [sym_include_statement] = STATE(293),
    [sym_data_statement] = STATE(7685),
    [sym_enum] = STATE(293),
    [sym_enum_statement] = STATE(6843),
    [sym_enumeration_type] = STATE(293),
    [sym_enumeration_type_statement] = STATE(7018),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_program_repeat1] = STATE(293),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1865),
    [aux_sym_preproc_def_token1] = ACTIONS(1868),
    [aux_sym_preproc_if_token1] = ACTIONS(1871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1874),
    [sym_preproc_directive] = ACTIONS(1877),
    [anon_sym_LPAREN2] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1880),
    [aux_sym_interface_statement_token1] = ACTIONS(1673),
    [aux_sym_block_data_statement_token1] = ACTIONS(1676),
    [aux_sym_block_data_statement_token2] = ACTIONS(1679),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1682),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1668),
    [aux_sym_language_binding_token1] = ACTIONS(1685),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1691),
    [aux_sym_contains_statement_token1] = ACTIONS(1668),
    [aux_sym_use_statement_token1] = ACTIONS(1694),
    [aux_sym_use_statement_token2] = ACTIONS(1691),
    [aux_sym_implicit_statement_token1] = ACTIONS(1697),
    [aux_sym_implicit_statement_token3] = ACTIONS(1700),
    [aux_sym_implicit_statement_token4] = ACTIONS(1691),
    [aux_sym_save_statement_token1] = ACTIONS(1703),
    [aux_sym_private_statement_token1] = ACTIONS(1883),
    [aux_sym_public_statement_token1] = ACTIONS(1886),
    [aux_sym_namelist_statement_token1] = ACTIONS(1712),
    [aux_sym_common_statement_token1] = ACTIONS(1715),
    [aux_sym_import_statement_token1] = ACTIONS(1718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1691),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1721),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1691),
    [aux_sym_variable_attributes_token1] = ACTIONS(1724),
    [aux_sym_variable_attributes_token2] = ACTIONS(1691),
    [aux_sym_variable_attributes_token3] = ACTIONS(1691),
    [aux_sym_variable_attributes_token4] = ACTIONS(1724),
    [aux_sym_variable_attributes_token5] = ACTIONS(1691),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1733),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1730),
    [aux_sym_derived_type_token1] = ACTIONS(1739),
    [aux_sym_declared_type_token1] = ACTIONS(1742),
    [aux_sym_declared_type_token2] = ACTIONS(1742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1745),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1724),
    [aux_sym_type_qualifier_token1] = ACTIONS(1676),
    [aux_sym_type_qualifier_token2] = ACTIONS(1676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1760),
    [aux_sym_stop_statement_token1] = ACTIONS(1676),
    [aux_sym_stop_statement_token2] = ACTIONS(1676),
    [aux_sym_subroutine_call_token1] = ACTIONS(1763),
    [aux_sym_keyword_statement_token1] = ACTIONS(1668),
    [aux_sym_keyword_statement_token2] = ACTIONS(1676),
    [aux_sym_keyword_statement_token3] = ACTIONS(1676),
    [aux_sym_keyword_statement_token4] = ACTIONS(1766),
    [aux_sym_keyword_statement_token6] = ACTIONS(1668),
    [aux_sym_keyword_statement_token7] = ACTIONS(1668),
    [aux_sym_include_statement_token1] = ACTIONS(1889),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1668),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1676),
    [aux_sym_end_if_statement_token1] = ACTIONS(1676),
    [aux_sym_elseif_clause_token2] = ACTIONS(1676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1763),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1668),
    [aux_sym_select_case_statement_token1] = ACTIONS(1772),
    [aux_sym_select_case_statement_token3] = ACTIONS(1668),
    [aux_sym_select_type_statement_token1] = ACTIONS(1668),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1668),
    [aux_sym_associate_statement_token1] = ACTIONS(1668),
    [aux_sym_format_statement_token1] = ACTIONS(1676),
    [aux_sym_print_statement_token1] = ACTIONS(1763),
    [aux_sym_open_statement_token1] = ACTIONS(1763),
    [aux_sym_close_statement_token1] = ACTIONS(1668),
    [aux_sym_inquire_statement_token1] = ACTIONS(1676),
    [aux_sym_enum_statement_token1] = ACTIONS(1775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1778),
    [aux_sym_file_position_statement_token1] = ACTIONS(1668),
    [aux_sym_file_position_statement_token2] = ACTIONS(1668),
    [aux_sym_file_position_statement_token3] = ACTIONS(1668),
    [aux_sym_file_position_statement_token4] = ACTIONS(1668),
    [aux_sym_allocate_statement_token1] = ACTIONS(1668),
    [aux_sym_entry_statement_token1] = ACTIONS(1676),
    [aux_sym_assign_statement_token1] = ACTIONS(1668),
    [aux_sym_logical_expression_token5] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [aux_sym_boolean_literal_token1] = ACTIONS(1793),
    [aux_sym_boolean_literal_token2] = ACTIONS(1793),
    [aux_sym_null_literal_token1] = ACTIONS(1796),
    [aux_sym_coarray_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_statement_token2] = ACTIONS(1676),
    [aux_sym_coarray_statement_token6] = ACTIONS(1676),
    [aux_sym_coarray_statement_token8] = ACTIONS(1676),
    [aux_sym_coarray_statement_token11] = ACTIONS(1676),
    [aux_sym_coarray_statement_token12] = ACTIONS(1676),
    [aux_sym_coarray_statement_token13] = ACTIONS(1668),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1676),
    [aux_sym_identifier_token1] = ACTIONS(1676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1799),
    [sym__float_literal] = ACTIONS(1802),
    [sym__boz_literal] = ACTIONS(1802),
    [sym__string_literal] = ACTIONS(1805),
    [sym__string_literal_kind] = ACTIONS(1808),
  },
  [294] = {
    [sym_preproc_include] = STATE(294),
    [sym_preproc_def] = STATE(294),
    [sym_preproc_function_def] = STATE(294),
    [sym_preproc_call] = STATE(294),
    [sym_preproc_if_in_specification_part] = STATE(294),
    [sym_preproc_ifdef_in_specification_part] = STATE(294),
    [sym_interface] = STATE(294),
    [sym_interface_statement] = STATE(4696),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(294),
    [sym_use_statement] = STATE(7316),
    [sym_implicit_statement] = STATE(7316),
    [sym_save_statement] = STATE(7316),
    [sym_private_statement] = STATE(294),
    [sym_public_statement] = STATE(294),
    [sym_namelist_statement] = STATE(7316),
    [sym_common_statement] = STATE(7316),
    [sym_import_statement] = STATE(7316),
    [sym_derived_type_definition] = STATE(294),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4890),
    [sym_variable_declaration] = STATE(7316),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7316),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7316),
    [sym_equivalence_statement] = STATE(7316),
    [sym_statement_label] = STATE(7994),
    [sym_assignment_statement] = STATE(7316),
    [sym_include_statement] = STATE(294),
    [sym_data_statement] = STATE(7316),
    [sym_enum] = STATE(294),
    [sym_enum_statement] = STATE(6853),
    [sym_enumeration_type] = STATE(294),
    [sym_enumeration_type_statement] = STATE(6957),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_program_repeat1] = STATE(294),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1892),
    [aux_sym_preproc_def_token1] = ACTIONS(1895),
    [aux_sym_preproc_if_token1] = ACTIONS(1898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1901),
    [sym_preproc_directive] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1907),
    [aux_sym_interface_statement_token1] = ACTIONS(1673),
    [aux_sym_block_data_statement_token1] = ACTIONS(1676),
    [aux_sym_block_data_statement_token2] = ACTIONS(1679),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1676),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1668),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1682),
    [aux_sym_language_binding_token1] = ACTIONS(1685),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1691),
    [aux_sym_contains_statement_token1] = ACTIONS(1668),
    [aux_sym_use_statement_token1] = ACTIONS(1694),
    [aux_sym_use_statement_token2] = ACTIONS(1691),
    [aux_sym_implicit_statement_token1] = ACTIONS(1697),
    [aux_sym_implicit_statement_token3] = ACTIONS(1700),
    [aux_sym_implicit_statement_token4] = ACTIONS(1691),
    [aux_sym_save_statement_token1] = ACTIONS(1703),
    [aux_sym_private_statement_token1] = ACTIONS(1910),
    [aux_sym_public_statement_token1] = ACTIONS(1913),
    [aux_sym_namelist_statement_token1] = ACTIONS(1712),
    [aux_sym_common_statement_token1] = ACTIONS(1715),
    [aux_sym_import_statement_token1] = ACTIONS(1718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1691),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1721),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1691),
    [aux_sym_variable_attributes_token1] = ACTIONS(1724),
    [aux_sym_variable_attributes_token2] = ACTIONS(1691),
    [aux_sym_variable_attributes_token3] = ACTIONS(1691),
    [aux_sym_variable_attributes_token4] = ACTIONS(1724),
    [aux_sym_variable_attributes_token5] = ACTIONS(1691),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1727),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1733),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1736),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1730),
    [aux_sym_derived_type_token1] = ACTIONS(1739),
    [aux_sym_declared_type_token1] = ACTIONS(1742),
    [aux_sym_declared_type_token2] = ACTIONS(1742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1745),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1757),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1691),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1724),
    [aux_sym_type_qualifier_token1] = ACTIONS(1676),
    [aux_sym_type_qualifier_token2] = ACTIONS(1676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1760),
    [aux_sym_stop_statement_token1] = ACTIONS(1676),
    [aux_sym_stop_statement_token2] = ACTIONS(1676),
    [aux_sym_subroutine_call_token1] = ACTIONS(1763),
    [aux_sym_keyword_statement_token1] = ACTIONS(1668),
    [aux_sym_keyword_statement_token2] = ACTIONS(1676),
    [aux_sym_keyword_statement_token3] = ACTIONS(1676),
    [aux_sym_keyword_statement_token4] = ACTIONS(1766),
    [aux_sym_keyword_statement_token6] = ACTIONS(1668),
    [aux_sym_keyword_statement_token7] = ACTIONS(1668),
    [aux_sym_include_statement_token1] = ACTIONS(1916),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1668),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1676),
    [aux_sym_end_if_statement_token1] = ACTIONS(1676),
    [aux_sym_elseif_clause_token2] = ACTIONS(1676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1763),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1668),
    [aux_sym_select_case_statement_token1] = ACTIONS(1772),
    [aux_sym_select_case_statement_token3] = ACTIONS(1668),
    [aux_sym_select_type_statement_token1] = ACTIONS(1668),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1668),
    [aux_sym_associate_statement_token1] = ACTIONS(1668),
    [aux_sym_format_statement_token1] = ACTIONS(1676),
    [aux_sym_print_statement_token1] = ACTIONS(1763),
    [aux_sym_open_statement_token1] = ACTIONS(1763),
    [aux_sym_close_statement_token1] = ACTIONS(1668),
    [aux_sym_inquire_statement_token1] = ACTIONS(1676),
    [aux_sym_enum_statement_token1] = ACTIONS(1775),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1778),
    [aux_sym_file_position_statement_token1] = ACTIONS(1668),
    [aux_sym_file_position_statement_token2] = ACTIONS(1668),
    [aux_sym_file_position_statement_token3] = ACTIONS(1668),
    [aux_sym_file_position_statement_token4] = ACTIONS(1668),
    [aux_sym_allocate_statement_token1] = ACTIONS(1668),
    [aux_sym_entry_statement_token1] = ACTIONS(1676),
    [aux_sym_assign_statement_token1] = ACTIONS(1668),
    [aux_sym_logical_expression_token5] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [aux_sym_boolean_literal_token1] = ACTIONS(1793),
    [aux_sym_boolean_literal_token2] = ACTIONS(1793),
    [aux_sym_null_literal_token1] = ACTIONS(1796),
    [aux_sym_coarray_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_statement_token2] = ACTIONS(1676),
    [aux_sym_coarray_statement_token6] = ACTIONS(1676),
    [aux_sym_coarray_statement_token8] = ACTIONS(1676),
    [aux_sym_coarray_statement_token11] = ACTIONS(1676),
    [aux_sym_coarray_statement_token12] = ACTIONS(1676),
    [aux_sym_coarray_statement_token13] = ACTIONS(1668),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1676),
    [aux_sym_identifier_token1] = ACTIONS(1676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1799),
    [sym__float_literal] = ACTIONS(1802),
    [sym__boz_literal] = ACTIONS(1802),
    [sym__string_literal] = ACTIONS(1805),
    [sym__string_literal_kind] = ACTIONS(1808),
  },
  [295] = {
    [sym_preproc_include] = STATE(295),
    [sym_preproc_def] = STATE(295),
    [sym_preproc_function_def] = STATE(295),
    [sym_preproc_call] = STATE(295),
    [sym_preproc_if_in_specification_part] = STATE(295),
    [sym_preproc_ifdef_in_specification_part] = STATE(295),
    [sym_interface] = STATE(295),
    [sym_interface_statement] = STATE(4697),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(295),
    [sym_use_statement] = STATE(7535),
    [sym_implicit_statement] = STATE(7535),
    [sym_save_statement] = STATE(7535),
    [sym_private_statement] = STATE(295),
    [sym_public_statement] = STATE(295),
    [sym_namelist_statement] = STATE(7535),
    [sym_common_statement] = STATE(7535),
    [sym_import_statement] = STATE(7535),
    [sym_derived_type_definition] = STATE(295),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4893),
    [sym_variable_declaration] = STATE(7535),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7535),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7535),
    [sym_equivalence_statement] = STATE(7535),
    [sym_statement_label] = STATE(8021),
    [sym_assignment_statement] = STATE(7535),
    [sym_include_statement] = STATE(295),
    [sym_data_statement] = STATE(7535),
    [sym_enum] = STATE(295),
    [sym_enum_statement] = STATE(6877),
    [sym_enumeration_type] = STATE(295),
    [sym_enumeration_type_statement] = STATE(6995),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(295),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(1919),
    [aux_sym_preproc_def_token1] = ACTIONS(1922),
    [aux_sym_preproc_if_token1] = ACTIONS(1925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1928),
    [sym_preproc_directive] = ACTIONS(1931),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1934),
    [aux_sym_interface_statement_token1] = ACTIONS(1506),
    [aux_sym_block_data_statement_token1] = ACTIONS(1509),
    [aux_sym_block_data_statement_token2] = ACTIONS(1512),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1509),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1515),
    [aux_sym_language_binding_token1] = ACTIONS(1518),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1524),
    [aux_sym_use_statement_token1] = ACTIONS(1527),
    [aux_sym_use_statement_token2] = ACTIONS(1524),
    [aux_sym_implicit_statement_token1] = ACTIONS(1530),
    [aux_sym_implicit_statement_token3] = ACTIONS(1533),
    [aux_sym_implicit_statement_token4] = ACTIONS(1524),
    [aux_sym_save_statement_token1] = ACTIONS(1536),
    [aux_sym_private_statement_token1] = ACTIONS(1937),
    [aux_sym_public_statement_token1] = ACTIONS(1940),
    [aux_sym_namelist_statement_token1] = ACTIONS(1545),
    [aux_sym_common_statement_token1] = ACTIONS(1548),
    [aux_sym_import_statement_token1] = ACTIONS(1551),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1524),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1554),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1524),
    [aux_sym_variable_attributes_token1] = ACTIONS(1557),
    [aux_sym_variable_attributes_token2] = ACTIONS(1524),
    [aux_sym_variable_attributes_token3] = ACTIONS(1524),
    [aux_sym_variable_attributes_token4] = ACTIONS(1557),
    [aux_sym_variable_attributes_token5] = ACTIONS(1524),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1560),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1560),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1566),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1563),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1563),
    [aux_sym_derived_type_token1] = ACTIONS(1572),
    [aux_sym_declared_type_token1] = ACTIONS(1575),
    [aux_sym_declared_type_token2] = ACTIONS(1575),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1587),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1590),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1524),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1557),
    [aux_sym_type_qualifier_token1] = ACTIONS(1509),
    [aux_sym_type_qualifier_token2] = ACTIONS(1509),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1593),
    [aux_sym_stop_statement_token1] = ACTIONS(1509),
    [aux_sym_stop_statement_token2] = ACTIONS(1509),
    [aux_sym_subroutine_call_token1] = ACTIONS(1596),
    [aux_sym_keyword_statement_token1] = ACTIONS(1486),
    [aux_sym_keyword_statement_token2] = ACTIONS(1509),
    [aux_sym_keyword_statement_token3] = ACTIONS(1509),
    [aux_sym_keyword_statement_token4] = ACTIONS(1599),
    [aux_sym_keyword_statement_token6] = ACTIONS(1486),
    [aux_sym_keyword_statement_token7] = ACTIONS(1486),
    [aux_sym_include_statement_token1] = ACTIONS(1943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1486),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1509),
    [aux_sym_end_if_statement_token1] = ACTIONS(1509),
    [aux_sym_elseif_clause_token2] = ACTIONS(1509),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1596),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1486),
    [aux_sym_select_case_statement_token1] = ACTIONS(1605),
    [aux_sym_select_case_statement_token3] = ACTIONS(1486),
    [aux_sym_select_type_statement_token1] = ACTIONS(1486),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1486),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1486),
    [aux_sym_associate_statement_token1] = ACTIONS(1486),
    [aux_sym_format_statement_token1] = ACTIONS(1509),
    [aux_sym_print_statement_token1] = ACTIONS(1596),
    [aux_sym_open_statement_token1] = ACTIONS(1596),
    [aux_sym_close_statement_token1] = ACTIONS(1486),
    [aux_sym_inquire_statement_token1] = ACTIONS(1509),
    [aux_sym_enum_statement_token1] = ACTIONS(1608),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1611),
    [aux_sym_file_position_statement_token1] = ACTIONS(1486),
    [aux_sym_file_position_statement_token2] = ACTIONS(1486),
    [aux_sym_file_position_statement_token3] = ACTIONS(1486),
    [aux_sym_file_position_statement_token4] = ACTIONS(1486),
    [aux_sym_allocate_statement_token1] = ACTIONS(1486),
    [aux_sym_entry_statement_token1] = ACTIONS(1509),
    [aux_sym_assign_statement_token1] = ACTIONS(1486),
    [aux_sym_logical_expression_token5] = ACTIONS(1614),
    [anon_sym_DOT] = ACTIONS(1617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1620),
    [anon_sym_LBRACK] = ACTIONS(1623),
    [aux_sym_boolean_literal_token1] = ACTIONS(1626),
    [aux_sym_boolean_literal_token2] = ACTIONS(1626),
    [aux_sym_null_literal_token1] = ACTIONS(1629),
    [aux_sym_coarray_statement_token1] = ACTIONS(1509),
    [aux_sym_coarray_statement_token2] = ACTIONS(1509),
    [aux_sym_coarray_statement_token6] = ACTIONS(1509),
    [aux_sym_coarray_statement_token8] = ACTIONS(1509),
    [aux_sym_coarray_statement_token11] = ACTIONS(1509),
    [aux_sym_coarray_statement_token12] = ACTIONS(1509),
    [aux_sym_coarray_statement_token13] = ACTIONS(1486),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1509),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1509),
    [aux_sym_identifier_token1] = ACTIONS(1509),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1632),
    [sym__float_literal] = ACTIONS(1635),
    [sym__boz_literal] = ACTIONS(1635),
    [sym__string_literal] = ACTIONS(1638),
    [sym__string_literal_kind] = ACTIONS(1641),
  },
  [296] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9488),
    [sym_preproc_elif_in_specification_part] = STATE(9488),
    [sym_preproc_elifdef_in_specification_part] = STATE(9488),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9150),
    [sym_preproc_elif_in_statements] = STATE(9150),
    [sym_preproc_elifdef_in_statements] = STATE(9150),
    [sym_preproc_else_in_procedure_statements] = STATE(8657),
    [sym_preproc_elif_in_procedure_statements] = STATE(8657),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8657),
    [sym_internal_procedures] = STATE(6314),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [297] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8693),
    [sym_preproc_elif_in_specification_part] = STATE(8693),
    [sym_preproc_elifdef_in_specification_part] = STATE(8693),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9524),
    [sym_preproc_elif_in_statements] = STATE(9524),
    [sym_preproc_elifdef_in_statements] = STATE(9524),
    [sym_preproc_else_in_procedure_statements] = STATE(8712),
    [sym_preproc_elif_in_procedure_statements] = STATE(8712),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8712),
    [sym_internal_procedures] = STATE(6349),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [298] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8962),
    [sym_preproc_elif_in_specification_part] = STATE(8962),
    [sym_preproc_elifdef_in_specification_part] = STATE(8962),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9393),
    [sym_preproc_elif_in_statements] = STATE(9393),
    [sym_preproc_elifdef_in_statements] = STATE(9393),
    [sym_preproc_else_in_procedure_statements] = STATE(9328),
    [sym_preproc_elif_in_procedure_statements] = STATE(9328),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9328),
    [sym_internal_procedures] = STATE(6328),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [299] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8974),
    [sym_preproc_elif_in_specification_part] = STATE(8974),
    [sym_preproc_elifdef_in_specification_part] = STATE(8974),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9405),
    [sym_preproc_elif_in_statements] = STATE(9405),
    [sym_preproc_elifdef_in_statements] = STATE(9405),
    [sym_preproc_else_in_procedure_statements] = STATE(9331),
    [sym_preproc_elif_in_procedure_statements] = STATE(9331),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9331),
    [sym_internal_procedures] = STATE(6329),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [300] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_preproc_else_in_procedure_statements] = STATE(8788),
    [sym_preproc_elif_in_procedure_statements] = STATE(8788),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8788),
    [sym_internal_procedures] = STATE(6337),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [301] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8929),
    [sym_preproc_elif_in_specification_part] = STATE(8929),
    [sym_preproc_elifdef_in_specification_part] = STATE(8929),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9349),
    [sym_preproc_elif_in_statements] = STATE(9349),
    [sym_preproc_elifdef_in_statements] = STATE(9349),
    [sym_preproc_else_in_procedure_statements] = STATE(9257),
    [sym_preproc_elif_in_procedure_statements] = STATE(9257),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9257),
    [sym_internal_procedures] = STATE(6316),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [302] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9014),
    [sym_preproc_elif_in_specification_part] = STATE(9014),
    [sym_preproc_elifdef_in_specification_part] = STATE(9014),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9425),
    [sym_preproc_elif_in_statements] = STATE(9425),
    [sym_preproc_elifdef_in_statements] = STATE(9425),
    [sym_preproc_else_in_procedure_statements] = STATE(9370),
    [sym_preproc_elif_in_procedure_statements] = STATE(9370),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9370),
    [sym_internal_procedures] = STATE(6341),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [303] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9408),
    [sym_preproc_elif_in_specification_part] = STATE(9408),
    [sym_preproc_elifdef_in_specification_part] = STATE(9408),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8517),
    [sym_preproc_elif_in_procedure_statements] = STATE(8517),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8517),
    [sym_internal_procedures] = STATE(6387),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [304] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9215),
    [sym_preproc_elif_in_specification_part] = STATE(9215),
    [sym_preproc_elifdef_in_specification_part] = STATE(9215),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9208),
    [sym_preproc_elif_in_statements] = STATE(9208),
    [sym_preproc_elifdef_in_statements] = STATE(9208),
    [sym_preproc_else_in_procedure_statements] = STATE(9039),
    [sym_preproc_elif_in_procedure_statements] = STATE(9039),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9039),
    [sym_internal_procedures] = STATE(6385),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [305] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8563),
    [sym_preproc_elif_in_specification_part] = STATE(8563),
    [sym_preproc_elifdef_in_specification_part] = STATE(8563),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8662),
    [sym_preproc_elif_in_statements] = STATE(8662),
    [sym_preproc_elifdef_in_statements] = STATE(8662),
    [sym_preproc_else_in_procedure_statements] = STATE(9115),
    [sym_preproc_elif_in_procedure_statements] = STATE(9115),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9115),
    [sym_internal_procedures] = STATE(6312),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [306] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9532),
    [sym_preproc_elif_in_specification_part] = STATE(9532),
    [sym_preproc_elifdef_in_specification_part] = STATE(9532),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9108),
    [sym_preproc_elif_in_statements] = STATE(9108),
    [sym_preproc_elifdef_in_statements] = STATE(9108),
    [sym_preproc_else_in_procedure_statements] = STATE(9314),
    [sym_preproc_elif_in_procedure_statements] = STATE(9314),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9314),
    [sym_internal_procedures] = STATE(6364),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(825),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [307] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8797),
    [sym_preproc_elif_in_specification_part] = STATE(8797),
    [sym_preproc_elifdef_in_specification_part] = STATE(8797),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8902),
    [sym_preproc_elif_in_statements] = STATE(8902),
    [sym_preproc_elifdef_in_statements] = STATE(8902),
    [sym_preproc_else_in_procedure_statements] = STATE(9103),
    [sym_preproc_elif_in_procedure_statements] = STATE(9103),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9103),
    [sym_internal_procedures] = STATE(6371),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [308] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9104),
    [sym_preproc_elif_in_specification_part] = STATE(9104),
    [sym_preproc_elifdef_in_specification_part] = STATE(9104),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9560),
    [sym_preproc_elif_in_statements] = STATE(9560),
    [sym_preproc_elifdef_in_statements] = STATE(9560),
    [sym_preproc_else_in_procedure_statements] = STATE(8614),
    [sym_preproc_elif_in_procedure_statements] = STATE(8614),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8614),
    [sym_internal_procedures] = STATE(6326),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(809),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [309] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8791),
    [sym_preproc_elif_in_specification_part] = STATE(8791),
    [sym_preproc_elifdef_in_specification_part] = STATE(8791),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9302),
    [sym_preproc_elif_in_statements] = STATE(9302),
    [sym_preproc_elifdef_in_statements] = STATE(9302),
    [sym_preproc_else_in_procedure_statements] = STATE(8728),
    [sym_preproc_elif_in_procedure_statements] = STATE(8728),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8728),
    [sym_internal_procedures] = STATE(6315),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [310] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9458),
    [sym_preproc_elif_in_specification_part] = STATE(9458),
    [sym_preproc_elifdef_in_specification_part] = STATE(9458),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9220),
    [sym_preproc_elif_in_statements] = STATE(9220),
    [sym_preproc_elifdef_in_statements] = STATE(9220),
    [sym_preproc_else_in_procedure_statements] = STATE(9102),
    [sym_preproc_elif_in_procedure_statements] = STATE(9102),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9102),
    [sym_internal_procedures] = STATE(6386),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [311] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9542),
    [sym_preproc_elif_in_specification_part] = STATE(9542),
    [sym_preproc_elifdef_in_specification_part] = STATE(9542),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9547),
    [sym_preproc_elif_in_statements] = STATE(9547),
    [sym_preproc_elifdef_in_statements] = STATE(9547),
    [sym_preproc_else_in_procedure_statements] = STATE(8551),
    [sym_preproc_elif_in_procedure_statements] = STATE(8551),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8551),
    [sym_internal_procedures] = STATE(6330),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(751),
    [aux_sym_preproc_elif_token1] = ACTIONS(753),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(755),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [312] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(8917),
    [sym_preproc_elif_in_statements] = STATE(8917),
    [sym_preproc_elifdef_in_statements] = STATE(8917),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6375),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [313] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8596),
    [sym_preproc_elif_in_specification_part] = STATE(8596),
    [sym_preproc_elifdef_in_specification_part] = STATE(8596),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9376),
    [sym_preproc_elif_in_statements] = STATE(9376),
    [sym_preproc_elifdef_in_statements] = STATE(9376),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6397),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [314] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8584),
    [sym_preproc_elif_in_specification_part] = STATE(8584),
    [sym_preproc_elifdef_in_specification_part] = STATE(8584),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9313),
    [sym_preproc_elif_in_statements] = STATE(9313),
    [sym_preproc_elifdef_in_statements] = STATE(9313),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6354),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [315] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9027),
    [sym_preproc_elif_in_specification_part] = STATE(9027),
    [sym_preproc_elifdef_in_specification_part] = STATE(9027),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9506),
    [sym_preproc_elif_in_statements] = STATE(9506),
    [sym_preproc_elifdef_in_statements] = STATE(9506),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6394),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [316] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6321),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [317] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8797),
    [sym_preproc_elif_in_specification_part] = STATE(8797),
    [sym_preproc_elifdef_in_specification_part] = STATE(8797),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(8902),
    [sym_preproc_elif_in_statements] = STATE(8902),
    [sym_preproc_elifdef_in_statements] = STATE(8902),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6368),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [318] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6334),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [319] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8525),
    [sym_preproc_elif_in_specification_part] = STATE(8525),
    [sym_preproc_elifdef_in_specification_part] = STATE(8525),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9194),
    [sym_preproc_elif_in_statements] = STATE(9194),
    [sym_preproc_elifdef_in_statements] = STATE(9194),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6335),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(1998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [320] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9538),
    [sym_preproc_elif_in_specification_part] = STATE(9538),
    [sym_preproc_elifdef_in_specification_part] = STATE(9538),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9540),
    [sym_preproc_elif_in_statements] = STATE(9540),
    [sym_preproc_elifdef_in_statements] = STATE(9540),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6327),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(2000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [321] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9503),
    [sym_preproc_elif_in_specification_part] = STATE(9503),
    [sym_preproc_elifdef_in_specification_part] = STATE(9503),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9505),
    [sym_preproc_elif_in_statements] = STATE(9505),
    [sym_preproc_elifdef_in_statements] = STATE(9505),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6390),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(2002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [322] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9542),
    [sym_preproc_elif_in_specification_part] = STATE(9542),
    [sym_preproc_elifdef_in_specification_part] = STATE(9542),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9547),
    [sym_preproc_elif_in_statements] = STATE(9547),
    [sym_preproc_elifdef_in_statements] = STATE(9547),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6351),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [323] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9258),
    [sym_preproc_elif_in_specification_part] = STATE(9258),
    [sym_preproc_elifdef_in_specification_part] = STATE(9258),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9274),
    [sym_preproc_elif_in_statements] = STATE(9274),
    [sym_preproc_elifdef_in_statements] = STATE(9274),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6320),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(2004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [324] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9511),
    [sym_preproc_elif_in_specification_part] = STATE(9511),
    [sym_preproc_elifdef_in_specification_part] = STATE(9511),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9517),
    [sym_preproc_elif_in_statements] = STATE(9517),
    [sym_preproc_elifdef_in_statements] = STATE(9517),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6395),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(2006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [325] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9471),
    [sym_preproc_elif_in_specification_part] = STATE(9471),
    [sym_preproc_elifdef_in_specification_part] = STATE(9471),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9475),
    [sym_preproc_elif_in_statements] = STATE(9475),
    [sym_preproc_elifdef_in_statements] = STATE(9475),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6325),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(2008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [326] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6381),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [327] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_else_in_specification_part] = STATE(8563),
    [sym_preproc_elif_in_specification_part] = STATE(8563),
    [sym_preproc_elifdef_in_specification_part] = STATE(8563),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym_preproc_else_in_statements] = STATE(8662),
    [sym_preproc_elif_in_statements] = STATE(8662),
    [sym_preproc_elifdef_in_statements] = STATE(8662),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(6370),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(1976),
    [aux_sym_preproc_def_token1] = ACTIONS(1978),
    [aux_sym_preproc_if_token1] = ACTIONS(1980),
    [aux_sym_preproc_if_token2] = ACTIONS(973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1984),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1986),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1990),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [328] = {
    [sym_preproc_include] = STATE(346),
    [sym_preproc_def] = STATE(346),
    [sym_preproc_function_def] = STATE(346),
    [sym_preproc_call] = STATE(346),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_preproc_else_in_statements] = STATE(8878),
    [sym_preproc_elif_in_statements] = STATE(8878),
    [sym_preproc_elifdef_in_statements] = STATE(8878),
    [sym_preproc_else_in_procedure_statements] = STATE(8814),
    [sym_preproc_elif_in_procedure_statements] = STATE(8814),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8814),
    [sym_internal_procedures] = STATE(6497),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(346),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(346),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2018),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2020),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [329] = {
    [sym_preproc_include] = STATE(357),
    [sym_preproc_def] = STATE(357),
    [sym_preproc_function_def] = STATE(357),
    [sym_preproc_call] = STATE(357),
    [sym_preproc_if_in_statements] = STATE(357),
    [sym_preproc_ifdef_in_statements] = STATE(357),
    [sym_preproc_else_in_statements] = STATE(9448),
    [sym_preproc_elif_in_statements] = STATE(9448),
    [sym_preproc_elifdef_in_statements] = STATE(9448),
    [sym_preproc_else_in_procedure_statements] = STATE(9571),
    [sym_preproc_elif_in_procedure_statements] = STATE(9571),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9571),
    [sym_internal_procedures] = STATE(6459),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(357),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(357),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2022),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2026),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [330] = {
    [sym_preproc_include] = STATE(368),
    [sym_preproc_def] = STATE(368),
    [sym_preproc_function_def] = STATE(368),
    [sym_preproc_call] = STATE(368),
    [sym_preproc_if_in_statements] = STATE(368),
    [sym_preproc_ifdef_in_statements] = STATE(368),
    [sym_preproc_else_in_statements] = STATE(9301),
    [sym_preproc_elif_in_statements] = STATE(9301),
    [sym_preproc_elifdef_in_statements] = STATE(9301),
    [sym_preproc_else_in_procedure_statements] = STATE(9171),
    [sym_preproc_elif_in_procedure_statements] = STATE(9171),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9171),
    [sym_internal_procedures] = STATE(6446),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(368),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(368),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2028),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2030),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2032),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [331] = {
    [sym_preproc_include] = STATE(369),
    [sym_preproc_def] = STATE(369),
    [sym_preproc_function_def] = STATE(369),
    [sym_preproc_call] = STATE(369),
    [sym_preproc_if_in_statements] = STATE(369),
    [sym_preproc_ifdef_in_statements] = STATE(369),
    [sym_preproc_else_in_statements] = STATE(9000),
    [sym_preproc_elif_in_statements] = STATE(9000),
    [sym_preproc_elifdef_in_statements] = STATE(9000),
    [sym_preproc_else_in_procedure_statements] = STATE(8616),
    [sym_preproc_elif_in_procedure_statements] = STATE(8616),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8616),
    [sym_internal_procedures] = STATE(6509),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(369),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(369),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2034),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2038),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [332] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9547),
    [sym_preproc_elif_in_statements] = STATE(9547),
    [sym_preproc_elifdef_in_statements] = STATE(9547),
    [sym_preproc_else_in_procedure_statements] = STATE(8551),
    [sym_preproc_elif_in_procedure_statements] = STATE(8551),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8551),
    [sym_internal_procedures] = STATE(6469),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [333] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9258),
    [sym_preproc_elif_in_specification_part] = STATE(9258),
    [sym_preproc_elifdef_in_specification_part] = STATE(9258),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9274),
    [sym_preproc_elif_in_statements] = STATE(9274),
    [sym_preproc_elifdef_in_statements] = STATE(9274),
    [sym_internal_procedures] = STATE(6508),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [334] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9388),
    [sym_preproc_elif_in_specification_part] = STATE(9388),
    [sym_preproc_elifdef_in_specification_part] = STATE(9388),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9533),
    [sym_preproc_elif_in_statements] = STATE(9533),
    [sym_preproc_elifdef_in_statements] = STATE(9533),
    [sym_internal_procedures] = STATE(6479),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [335] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9344),
    [sym_preproc_elif_in_specification_part] = STATE(9344),
    [sym_preproc_elifdef_in_specification_part] = STATE(9344),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9523),
    [sym_preproc_elif_in_statements] = STATE(9523),
    [sym_preproc_elifdef_in_statements] = STATE(9523),
    [sym_internal_procedures] = STATE(6478),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [336] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9399),
    [sym_preproc_elif_in_specification_part] = STATE(9399),
    [sym_preproc_elifdef_in_specification_part] = STATE(9399),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9535),
    [sym_preproc_elif_in_statements] = STATE(9535),
    [sym_preproc_elifdef_in_statements] = STATE(9535),
    [sym_internal_procedures] = STATE(6480),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [337] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9202),
    [sym_preproc_elif_in_specification_part] = STATE(9202),
    [sym_preproc_elifdef_in_specification_part] = STATE(9202),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8724),
    [sym_preproc_elif_in_statements] = STATE(8724),
    [sym_preproc_elifdef_in_statements] = STATE(8724),
    [sym_internal_procedures] = STATE(6504),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [338] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9419),
    [sym_preproc_elif_in_specification_part] = STATE(9419),
    [sym_preproc_elifdef_in_specification_part] = STATE(9419),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9557),
    [sym_preproc_elif_in_statements] = STATE(9557),
    [sym_preproc_elifdef_in_statements] = STATE(9557),
    [sym_internal_procedures] = STATE(6482),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [339] = {
    [sym_preproc_include] = STATE(348),
    [sym_preproc_def] = STATE(348),
    [sym_preproc_function_def] = STATE(348),
    [sym_preproc_call] = STATE(348),
    [sym_preproc_if_in_statements] = STATE(348),
    [sym_preproc_ifdef_in_statements] = STATE(348),
    [sym_preproc_else_in_statements] = STATE(9165),
    [sym_preproc_elif_in_statements] = STATE(9165),
    [sym_preproc_elifdef_in_statements] = STATE(9165),
    [sym_preproc_else_in_procedure_statements] = STATE(8745),
    [sym_preproc_elif_in_procedure_statements] = STATE(8745),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8745),
    [sym_internal_procedures] = STATE(6431),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(348),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(348),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2050),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [340] = {
    [sym_preproc_include] = STATE(378),
    [sym_preproc_def] = STATE(378),
    [sym_preproc_function_def] = STATE(378),
    [sym_preproc_call] = STATE(378),
    [sym_preproc_if_in_statements] = STATE(378),
    [sym_preproc_ifdef_in_statements] = STATE(378),
    [sym_preproc_else_in_statements] = STATE(9467),
    [sym_preproc_elif_in_statements] = STATE(9467),
    [sym_preproc_elifdef_in_statements] = STATE(9467),
    [sym_preproc_else_in_procedure_statements] = STATE(9310),
    [sym_preproc_elif_in_procedure_statements] = STATE(9310),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9310),
    [sym_internal_procedures] = STATE(6441),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(378),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(378),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2054),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [341] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_internal_procedures] = STATE(6481),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [342] = {
    [sym_preproc_include] = STATE(352),
    [sym_preproc_def] = STATE(352),
    [sym_preproc_function_def] = STATE(352),
    [sym_preproc_call] = STATE(352),
    [sym_preproc_if_in_statements] = STATE(352),
    [sym_preproc_ifdef_in_statements] = STATE(352),
    [sym_preproc_else_in_statements] = STATE(9091),
    [sym_preproc_elif_in_statements] = STATE(9091),
    [sym_preproc_elifdef_in_statements] = STATE(9091),
    [sym_preproc_else_in_procedure_statements] = STATE(9295),
    [sym_preproc_elif_in_procedure_statements] = STATE(9295),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9295),
    [sym_internal_procedures] = STATE(6506),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(352),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(352),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2058),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [343] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9063),
    [sym_preproc_elif_in_specification_part] = STATE(9063),
    [sym_preproc_elifdef_in_specification_part] = STATE(9063),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9109),
    [sym_preproc_elif_in_statements] = STATE(9109),
    [sym_preproc_elifdef_in_statements] = STATE(9109),
    [sym_internal_procedures] = STATE(6455),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [344] = {
    [sym_preproc_include] = STATE(354),
    [sym_preproc_def] = STATE(354),
    [sym_preproc_function_def] = STATE(354),
    [sym_preproc_call] = STATE(354),
    [sym_preproc_if_in_statements] = STATE(354),
    [sym_preproc_ifdef_in_statements] = STATE(354),
    [sym_preproc_else_in_statements] = STATE(9108),
    [sym_preproc_elif_in_statements] = STATE(9108),
    [sym_preproc_elifdef_in_statements] = STATE(9108),
    [sym_preproc_else_in_procedure_statements] = STATE(9314),
    [sym_preproc_elif_in_procedure_statements] = STATE(9314),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9314),
    [sym_internal_procedures] = STATE(6510),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(354),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(354),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2062),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [345] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9150),
    [sym_preproc_elif_in_statements] = STATE(9150),
    [sym_preproc_elifdef_in_statements] = STATE(9150),
    [sym_preproc_else_in_procedure_statements] = STATE(8657),
    [sym_preproc_elif_in_procedure_statements] = STATE(8657),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8657),
    [sym_internal_procedures] = STATE(6417),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [346] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9108),
    [sym_preproc_elif_in_statements] = STATE(9108),
    [sym_preproc_elifdef_in_statements] = STATE(9108),
    [sym_preproc_else_in_procedure_statements] = STATE(9314),
    [sym_preproc_elif_in_procedure_statements] = STATE(9314),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9314),
    [sym_internal_procedures] = STATE(6510),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [347] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9126),
    [sym_preproc_elif_in_specification_part] = STATE(9126),
    [sym_preproc_elifdef_in_specification_part] = STATE(9126),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9413),
    [sym_preproc_elif_in_statements] = STATE(9413),
    [sym_preproc_elifdef_in_statements] = STATE(9413),
    [sym_internal_procedures] = STATE(6427),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [348] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8902),
    [sym_preproc_elif_in_statements] = STATE(8902),
    [sym_preproc_elifdef_in_statements] = STATE(8902),
    [sym_preproc_else_in_procedure_statements] = STATE(9103),
    [sym_preproc_elif_in_procedure_statements] = STATE(9103),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9103),
    [sym_internal_procedures] = STATE(6456),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [349] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9027),
    [sym_preproc_elif_in_specification_part] = STATE(9027),
    [sym_preproc_elifdef_in_specification_part] = STATE(9027),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9506),
    [sym_preproc_elif_in_statements] = STATE(9506),
    [sym_preproc_elifdef_in_statements] = STATE(9506),
    [sym_internal_procedures] = STATE(6462),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [350] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8662),
    [sym_preproc_elif_in_statements] = STATE(8662),
    [sym_preproc_elifdef_in_statements] = STATE(8662),
    [sym_preproc_else_in_procedure_statements] = STATE(9115),
    [sym_preproc_elif_in_procedure_statements] = STATE(9115),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9115),
    [sym_internal_procedures] = STATE(6457),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [351] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_preproc_else_in_statements] = STATE(9560),
    [sym_preproc_elif_in_statements] = STATE(9560),
    [sym_preproc_elifdef_in_statements] = STATE(9560),
    [sym_preproc_else_in_procedure_statements] = STATE(8614),
    [sym_preproc_elif_in_procedure_statements] = STATE(8614),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8614),
    [sym_internal_procedures] = STATE(6447),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(345),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2072),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [352] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9208),
    [sym_preproc_elif_in_statements] = STATE(9208),
    [sym_preproc_elifdef_in_statements] = STATE(9208),
    [sym_preproc_else_in_procedure_statements] = STATE(9039),
    [sym_preproc_elif_in_procedure_statements] = STATE(9039),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9039),
    [sym_internal_procedures] = STATE(6410),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [353] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_if_in_statements] = STATE(355),
    [sym_preproc_ifdef_in_statements] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(9208),
    [sym_preproc_elif_in_statements] = STATE(9208),
    [sym_preproc_elifdef_in_statements] = STATE(9208),
    [sym_preproc_else_in_procedure_statements] = STATE(9039),
    [sym_preproc_elif_in_procedure_statements] = STATE(9039),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9039),
    [sym_internal_procedures] = STATE(6410),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(355),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2076),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [354] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9220),
    [sym_preproc_elif_in_statements] = STATE(9220),
    [sym_preproc_elifdef_in_statements] = STATE(9220),
    [sym_preproc_else_in_procedure_statements] = STATE(9102),
    [sym_preproc_elif_in_procedure_statements] = STATE(9102),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9102),
    [sym_internal_procedures] = STATE(6437),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [355] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9302),
    [sym_preproc_elif_in_statements] = STATE(9302),
    [sym_preproc_elifdef_in_statements] = STATE(9302),
    [sym_preproc_else_in_procedure_statements] = STATE(8728),
    [sym_preproc_elif_in_procedure_statements] = STATE(8728),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8728),
    [sym_internal_procedures] = STATE(6440),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [356] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9138),
    [sym_preproc_elif_in_specification_part] = STATE(9138),
    [sym_preproc_elifdef_in_specification_part] = STATE(9138),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9497),
    [sym_preproc_elif_in_statements] = STATE(9497),
    [sym_preproc_elifdef_in_statements] = STATE(9497),
    [sym_internal_procedures] = STATE(6451),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [357] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9560),
    [sym_preproc_elif_in_statements] = STATE(9560),
    [sym_preproc_elifdef_in_statements] = STATE(9560),
    [sym_preproc_else_in_procedure_statements] = STATE(8614),
    [sym_preproc_elif_in_procedure_statements] = STATE(8614),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8614),
    [sym_internal_procedures] = STATE(6447),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [358] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9500),
    [sym_preproc_elif_in_specification_part] = STATE(9500),
    [sym_preproc_elifdef_in_specification_part] = STATE(9500),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9502),
    [sym_preproc_elif_in_statements] = STATE(9502),
    [sym_preproc_elifdef_in_statements] = STATE(9502),
    [sym_internal_procedures] = STATE(6483),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [359] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8541),
    [sym_preproc_elif_in_specification_part] = STATE(8541),
    [sym_preproc_elifdef_in_specification_part] = STATE(8541),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8548),
    [sym_preproc_elif_in_statements] = STATE(8548),
    [sym_preproc_elifdef_in_statements] = STATE(8548),
    [sym_internal_procedures] = STATE(6416),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [360] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_internal_procedures] = STATE(6487),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [361] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8555),
    [sym_preproc_elif_in_specification_part] = STATE(8555),
    [sym_preproc_elifdef_in_specification_part] = STATE(8555),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8558),
    [sym_preproc_elif_in_statements] = STATE(8558),
    [sym_preproc_elifdef_in_statements] = STATE(8558),
    [sym_internal_procedures] = STATE(6511),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [362] = {
    [sym_preproc_include] = STATE(332),
    [sym_preproc_def] = STATE(332),
    [sym_preproc_function_def] = STATE(332),
    [sym_preproc_call] = STATE(332),
    [sym_preproc_if_in_statements] = STATE(332),
    [sym_preproc_ifdef_in_statements] = STATE(332),
    [sym_preproc_else_in_statements] = STATE(9001),
    [sym_preproc_elif_in_statements] = STATE(9001),
    [sym_preproc_elifdef_in_statements] = STATE(9001),
    [sym_preproc_else_in_procedure_statements] = STATE(8988),
    [sym_preproc_elif_in_procedure_statements] = STATE(8988),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8988),
    [sym_internal_procedures] = STATE(6453),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(332),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(332),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2088),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [363] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8797),
    [sym_preproc_elif_in_specification_part] = STATE(8797),
    [sym_preproc_elifdef_in_specification_part] = STATE(8797),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8902),
    [sym_preproc_elif_in_statements] = STATE(8902),
    [sym_preproc_elifdef_in_statements] = STATE(8902),
    [sym_internal_procedures] = STATE(6488),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [364] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8563),
    [sym_preproc_elif_in_specification_part] = STATE(8563),
    [sym_preproc_elifdef_in_specification_part] = STATE(8563),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8662),
    [sym_preproc_elif_in_statements] = STATE(8662),
    [sym_preproc_elifdef_in_statements] = STATE(8662),
    [sym_internal_procedures] = STATE(6490),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [365] = {
    [sym_preproc_include] = STATE(374),
    [sym_preproc_def] = STATE(374),
    [sym_preproc_function_def] = STATE(374),
    [sym_preproc_call] = STATE(374),
    [sym_preproc_if_in_statements] = STATE(374),
    [sym_preproc_ifdef_in_statements] = STATE(374),
    [sym_preproc_else_in_statements] = STATE(9342),
    [sym_preproc_elif_in_statements] = STATE(9342),
    [sym_preproc_elifdef_in_statements] = STATE(9342),
    [sym_preproc_else_in_procedure_statements] = STATE(9252),
    [sym_preproc_elif_in_procedure_statements] = STATE(9252),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9252),
    [sym_internal_procedures] = STATE(6460),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(374),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(374),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2092),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [366] = {
    [sym_preproc_include] = STATE(376),
    [sym_preproc_def] = STATE(376),
    [sym_preproc_function_def] = STATE(376),
    [sym_preproc_call] = STATE(376),
    [sym_preproc_if_in_statements] = STATE(376),
    [sym_preproc_ifdef_in_statements] = STATE(376),
    [sym_preproc_else_in_statements] = STATE(9349),
    [sym_preproc_elif_in_statements] = STATE(9349),
    [sym_preproc_elifdef_in_statements] = STATE(9349),
    [sym_preproc_else_in_procedure_statements] = STATE(9257),
    [sym_preproc_elif_in_procedure_statements] = STATE(9257),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9257),
    [sym_internal_procedures] = STATE(6461),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(376),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(376),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2096),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [367] = {
    [sym_preproc_include] = STATE(350),
    [sym_preproc_def] = STATE(350),
    [sym_preproc_function_def] = STATE(350),
    [sym_preproc_call] = STATE(350),
    [sym_preproc_if_in_statements] = STATE(350),
    [sym_preproc_ifdef_in_statements] = STATE(350),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_preproc_else_in_procedure_statements] = STATE(8788),
    [sym_preproc_elif_in_procedure_statements] = STATE(8788),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8788),
    [sym_internal_procedures] = STATE(6432),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(350),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(350),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2100),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [368] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9349),
    [sym_preproc_elif_in_statements] = STATE(9349),
    [sym_preproc_elifdef_in_statements] = STATE(9349),
    [sym_preproc_else_in_procedure_statements] = STATE(9257),
    [sym_preproc_elif_in_procedure_statements] = STATE(9257),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9257),
    [sym_internal_procedures] = STATE(6461),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [369] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_preproc_else_in_procedure_statements] = STATE(8788),
    [sym_preproc_elif_in_procedure_statements] = STATE(8788),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8788),
    [sym_internal_procedures] = STATE(6432),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [370] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9524),
    [sym_preproc_elif_in_statements] = STATE(9524),
    [sym_preproc_elifdef_in_statements] = STATE(9524),
    [sym_preproc_else_in_procedure_statements] = STATE(8712),
    [sym_preproc_elif_in_procedure_statements] = STATE(8712),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8712),
    [sym_internal_procedures] = STATE(6430),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [371] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8593),
    [sym_preproc_elif_in_specification_part] = STATE(8593),
    [sym_preproc_elifdef_in_specification_part] = STATE(8593),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8601),
    [sym_preproc_elif_in_statements] = STATE(8601),
    [sym_preproc_elifdef_in_statements] = STATE(8601),
    [sym_internal_procedures] = STATE(6425),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [372] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9542),
    [sym_preproc_elif_in_specification_part] = STATE(9542),
    [sym_preproc_elifdef_in_specification_part] = STATE(9542),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9547),
    [sym_preproc_elif_in_statements] = STATE(9547),
    [sym_preproc_elifdef_in_statements] = STATE(9547),
    [sym_internal_procedures] = STATE(6442),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [373] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_internal_procedures] = STATE(6501),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(845),
    [aux_sym_preproc_elif_token1] = ACTIONS(847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(849),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [374] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9393),
    [sym_preproc_elif_in_statements] = STATE(9393),
    [sym_preproc_elifdef_in_statements] = STATE(9393),
    [sym_preproc_else_in_procedure_statements] = STATE(9328),
    [sym_preproc_elif_in_procedure_statements] = STATE(9328),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9328),
    [sym_internal_procedures] = STATE(6470),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [375] = {
    [sym_preproc_include] = STATE(377),
    [sym_preproc_def] = STATE(377),
    [sym_preproc_function_def] = STATE(377),
    [sym_preproc_call] = STATE(377),
    [sym_preproc_if_in_statements] = STATE(377),
    [sym_preproc_ifdef_in_statements] = STATE(377),
    [sym_preproc_else_in_statements] = STATE(9393),
    [sym_preproc_elif_in_statements] = STATE(9393),
    [sym_preproc_elifdef_in_statements] = STATE(9393),
    [sym_preproc_else_in_procedure_statements] = STATE(9328),
    [sym_preproc_elif_in_procedure_statements] = STATE(9328),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9328),
    [sym_internal_procedures] = STATE(6470),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(377),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(377),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2108),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [376] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9405),
    [sym_preproc_elif_in_statements] = STATE(9405),
    [sym_preproc_elifdef_in_statements] = STATE(9405),
    [sym_preproc_else_in_procedure_statements] = STATE(9331),
    [sym_preproc_elif_in_procedure_statements] = STATE(9331),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9331),
    [sym_internal_procedures] = STATE(6472),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [377] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9425),
    [sym_preproc_elif_in_statements] = STATE(9425),
    [sym_preproc_elifdef_in_statements] = STATE(9425),
    [sym_preproc_else_in_procedure_statements] = STATE(9370),
    [sym_preproc_elif_in_procedure_statements] = STATE(9370),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(9370),
    [sym_internal_procedures] = STATE(6474),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [378] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8517),
    [sym_preproc_elif_in_procedure_statements] = STATE(8517),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8517),
    [sym_internal_procedures] = STATE(6505),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [379] = {
    [sym_preproc_include] = STATE(370),
    [sym_preproc_def] = STATE(370),
    [sym_preproc_function_def] = STATE(370),
    [sym_preproc_call] = STATE(370),
    [sym_preproc_if_in_statements] = STATE(370),
    [sym_preproc_ifdef_in_statements] = STATE(370),
    [sym_preproc_else_in_statements] = STATE(9076),
    [sym_preproc_elif_in_statements] = STATE(9076),
    [sym_preproc_elifdef_in_statements] = STATE(9076),
    [sym_preproc_else_in_procedure_statements] = STATE(8517),
    [sym_preproc_elif_in_procedure_statements] = STATE(8517),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8517),
    [sym_internal_procedures] = STATE(6505),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(370),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(370),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2012),
    [aux_sym_preproc_elif_token1] = ACTIONS(2014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2016),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2116),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [380] = {
    [sym_preproc_include] = STATE(485),
    [sym_preproc_def] = STATE(485),
    [sym_preproc_function_def] = STATE(485),
    [sym_preproc_call] = STATE(485),
    [sym_preproc_if_in_statements] = STATE(485),
    [sym_preproc_ifdef_in_statements] = STATE(485),
    [sym_preproc_else_in_statements] = STATE(8682),
    [sym_preproc_elif_in_statements] = STATE(8682),
    [sym_preproc_elifdef_in_statements] = STATE(8682),
    [sym_internal_procedures] = STATE(6625),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(485),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(485),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2128),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [381] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(9430),
    [sym_preproc_elif_in_statements] = STATE(9430),
    [sym_preproc_elifdef_in_statements] = STATE(9430),
    [sym_internal_procedures] = STATE(6593),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(524),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2134),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [382] = {
    [sym_preproc_include] = STATE(459),
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym_preproc_if_in_statements] = STATE(459),
    [sym_preproc_ifdef_in_statements] = STATE(459),
    [sym_preproc_else_in_statements] = STATE(9016),
    [sym_preproc_elif_in_statements] = STATE(9016),
    [sym_preproc_elifdef_in_statements] = STATE(9016),
    [sym_internal_procedures] = STATE(6763),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(459),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(459),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2140),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [383] = {
    [sym_preproc_include] = STATE(432),
    [sym_preproc_def] = STATE(432),
    [sym_preproc_function_def] = STATE(432),
    [sym_preproc_call] = STATE(432),
    [sym_preproc_if_in_statements] = STATE(432),
    [sym_preproc_ifdef_in_statements] = STATE(432),
    [sym_preproc_else_in_statements] = STATE(9000),
    [sym_preproc_elif_in_statements] = STATE(9000),
    [sym_preproc_elifdef_in_statements] = STATE(9000),
    [sym_internal_procedures] = STATE(6634),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(432),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(432),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2146),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [384] = {
    [sym_preproc_include] = STATE(511),
    [sym_preproc_def] = STATE(511),
    [sym_preproc_function_def] = STATE(511),
    [sym_preproc_call] = STATE(511),
    [sym_preproc_if_in_statements] = STATE(511),
    [sym_preproc_ifdef_in_statements] = STATE(511),
    [sym_preproc_else_in_statements] = STATE(9270),
    [sym_preproc_elif_in_statements] = STATE(9270),
    [sym_preproc_elifdef_in_statements] = STATE(9270),
    [sym_internal_procedures] = STATE(6572),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(511),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(511),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2152),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [385] = {
    [sym_preproc_include] = STATE(547),
    [sym_preproc_def] = STATE(547),
    [sym_preproc_function_def] = STATE(547),
    [sym_preproc_call] = STATE(547),
    [sym_preproc_if_in_statements] = STATE(547),
    [sym_preproc_ifdef_in_statements] = STATE(547),
    [sym_preproc_else_in_statements] = STATE(8569),
    [sym_preproc_elif_in_statements] = STATE(8569),
    [sym_preproc_elifdef_in_statements] = STATE(8569),
    [sym_internal_procedures] = STATE(6629),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(547),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(547),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2158),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [386] = {
    [sym_preproc_include] = STATE(472),
    [sym_preproc_def] = STATE(472),
    [sym_preproc_function_def] = STATE(472),
    [sym_preproc_call] = STATE(472),
    [sym_preproc_if_in_statements] = STATE(472),
    [sym_preproc_ifdef_in_statements] = STATE(472),
    [sym_preproc_else_in_statements] = STATE(9237),
    [sym_preproc_elif_in_statements] = STATE(9237),
    [sym_preproc_elifdef_in_statements] = STATE(9237),
    [sym_internal_procedures] = STATE(6566),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(472),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(472),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2164),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [387] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym_preproc_if_in_statements] = STATE(427),
    [sym_preproc_ifdef_in_statements] = STATE(427),
    [sym_preproc_else_in_statements] = STATE(9146),
    [sym_preproc_elif_in_statements] = STATE(9146),
    [sym_preproc_elifdef_in_statements] = STATE(9146),
    [sym_internal_procedures] = STATE(6791),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(427),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2170),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [388] = {
    [sym_preproc_include] = STATE(498),
    [sym_preproc_def] = STATE(498),
    [sym_preproc_function_def] = STATE(498),
    [sym_preproc_call] = STATE(498),
    [sym_preproc_if_in_statements] = STATE(498),
    [sym_preproc_ifdef_in_statements] = STATE(498),
    [sym_preproc_else_in_statements] = STATE(8890),
    [sym_preproc_elif_in_statements] = STATE(8890),
    [sym_preproc_elifdef_in_statements] = STATE(8890),
    [sym_internal_procedures] = STATE(6794),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(498),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(498),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2176),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [389] = {
    [sym_preproc_include] = STATE(413),
    [sym_preproc_def] = STATE(413),
    [sym_preproc_function_def] = STATE(413),
    [sym_preproc_call] = STATE(413),
    [sym_preproc_if_in_statements] = STATE(413),
    [sym_preproc_ifdef_in_statements] = STATE(413),
    [sym_preproc_else_in_statements] = STATE(9443),
    [sym_preproc_elif_in_statements] = STATE(9443),
    [sym_preproc_elifdef_in_statements] = STATE(9443),
    [sym_internal_procedures] = STATE(6762),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(413),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(413),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2182),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [390] = {
    [sym_preproc_include] = STATE(558),
    [sym_preproc_def] = STATE(558),
    [sym_preproc_function_def] = STATE(558),
    [sym_preproc_call] = STATE(558),
    [sym_preproc_if_in_statements] = STATE(558),
    [sym_preproc_ifdef_in_statements] = STATE(558),
    [sym_preproc_else_in_statements] = STATE(9501),
    [sym_preproc_elif_in_statements] = STATE(9501),
    [sym_preproc_elifdef_in_statements] = STATE(9501),
    [sym_internal_procedures] = STATE(6655),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(558),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(558),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2188),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [391] = {
    [sym_preproc_include] = STATE(439),
    [sym_preproc_def] = STATE(439),
    [sym_preproc_function_def] = STATE(439),
    [sym_preproc_call] = STATE(439),
    [sym_preproc_if_in_statements] = STATE(439),
    [sym_preproc_ifdef_in_statements] = STATE(439),
    [sym_preproc_else_in_statements] = STATE(9462),
    [sym_preproc_elif_in_statements] = STATE(9462),
    [sym_preproc_elifdef_in_statements] = STATE(9462),
    [sym_internal_procedures] = STATE(6781),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(439),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(439),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2194),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [392] = {
    [sym_preproc_include] = STATE(535),
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_if_in_statements] = STATE(535),
    [sym_preproc_ifdef_in_statements] = STATE(535),
    [sym_preproc_else_in_statements] = STATE(8530),
    [sym_preproc_elif_in_statements] = STATE(8530),
    [sym_preproc_elifdef_in_statements] = STATE(8530),
    [sym_internal_procedures] = STATE(6610),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(535),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(535),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2198),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2200),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [393] = {
    [sym_preproc_include] = STATE(568),
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_statements] = STATE(568),
    [sym_preproc_ifdef_in_statements] = STATE(568),
    [sym_preproc_else_in_statements] = STATE(8602),
    [sym_preproc_elif_in_statements] = STATE(8602),
    [sym_preproc_elifdef_in_statements] = STATE(8602),
    [sym_internal_procedures] = STATE(6671),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(568),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(568),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2206),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [394] = {
    [sym_preproc_include] = STATE(575),
    [sym_preproc_def] = STATE(575),
    [sym_preproc_function_def] = STATE(575),
    [sym_preproc_call] = STATE(575),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_preproc_else_in_statements] = STATE(8635),
    [sym_preproc_elif_in_statements] = STATE(8635),
    [sym_preproc_elifdef_in_statements] = STATE(8635),
    [sym_internal_procedures] = STATE(6680),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(575),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2212),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [395] = {
    [sym_preproc_include] = STATE(582),
    [sym_preproc_def] = STATE(582),
    [sym_preproc_function_def] = STATE(582),
    [sym_preproc_call] = STATE(582),
    [sym_preproc_if_in_statements] = STATE(582),
    [sym_preproc_ifdef_in_statements] = STATE(582),
    [sym_preproc_else_in_statements] = STATE(8668),
    [sym_preproc_elif_in_statements] = STATE(8668),
    [sym_preproc_elifdef_in_statements] = STATE(8668),
    [sym_internal_procedures] = STATE(6686),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(582),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(582),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2218),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [396] = {
    [sym_preproc_include] = STATE(589),
    [sym_preproc_def] = STATE(589),
    [sym_preproc_function_def] = STATE(589),
    [sym_preproc_call] = STATE(589),
    [sym_preproc_if_in_statements] = STATE(589),
    [sym_preproc_ifdef_in_statements] = STATE(589),
    [sym_preproc_else_in_statements] = STATE(8701),
    [sym_preproc_elif_in_statements] = STATE(8701),
    [sym_preproc_elifdef_in_statements] = STATE(8701),
    [sym_internal_procedures] = STATE(6693),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(589),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(589),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2222),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2224),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [397] = {
    [sym_preproc_include] = STATE(596),
    [sym_preproc_def] = STATE(596),
    [sym_preproc_function_def] = STATE(596),
    [sym_preproc_call] = STATE(596),
    [sym_preproc_if_in_statements] = STATE(596),
    [sym_preproc_ifdef_in_statements] = STATE(596),
    [sym_preproc_else_in_statements] = STATE(8732),
    [sym_preproc_elif_in_statements] = STATE(8732),
    [sym_preproc_elifdef_in_statements] = STATE(8732),
    [sym_internal_procedures] = STATE(6555),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(596),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(596),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2230),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [398] = {
    [sym_preproc_include] = STATE(603),
    [sym_preproc_def] = STATE(603),
    [sym_preproc_function_def] = STATE(603),
    [sym_preproc_call] = STATE(603),
    [sym_preproc_if_in_statements] = STATE(603),
    [sym_preproc_ifdef_in_statements] = STATE(603),
    [sym_preproc_else_in_statements] = STATE(8749),
    [sym_preproc_elif_in_statements] = STATE(8749),
    [sym_preproc_elifdef_in_statements] = STATE(8749),
    [sym_internal_procedures] = STATE(6711),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(603),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(603),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2236),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [399] = {
    [sym_preproc_include] = STATE(610),
    [sym_preproc_def] = STATE(610),
    [sym_preproc_function_def] = STATE(610),
    [sym_preproc_call] = STATE(610),
    [sym_preproc_if_in_statements] = STATE(610),
    [sym_preproc_ifdef_in_statements] = STATE(610),
    [sym_preproc_else_in_statements] = STATE(8766),
    [sym_preproc_elif_in_statements] = STATE(8766),
    [sym_preproc_elifdef_in_statements] = STATE(8766),
    [sym_internal_procedures] = STATE(6720),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(610),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(610),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2242),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [400] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8555),
    [sym_preproc_elif_in_specification_part] = STATE(8555),
    [sym_preproc_elifdef_in_specification_part] = STATE(8555),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6612),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [401] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8772),
    [sym_preproc_elif_in_statements] = STATE(8772),
    [sym_preproc_elifdef_in_statements] = STATE(8772),
    [sym_internal_procedures] = STATE(6726),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [402] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8937),
    [sym_preproc_elif_in_specification_part] = STATE(8937),
    [sym_preproc_elifdef_in_specification_part] = STATE(8937),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6737),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [403] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9072),
    [sym_preproc_elif_in_specification_part] = STATE(9072),
    [sym_preproc_elifdef_in_specification_part] = STATE(9072),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6765),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [404] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9258),
    [sym_preproc_elif_in_specification_part] = STATE(9258),
    [sym_preproc_elifdef_in_specification_part] = STATE(9258),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6587),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [405] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_internal_procedures] = STATE(6623),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [406] = {
    [sym_preproc_include] = STATE(429),
    [sym_preproc_def] = STATE(429),
    [sym_preproc_function_def] = STATE(429),
    [sym_preproc_call] = STATE(429),
    [sym_preproc_if_in_statements] = STATE(429),
    [sym_preproc_ifdef_in_statements] = STATE(429),
    [sym_preproc_else_in_statements] = STATE(8982),
    [sym_preproc_elif_in_statements] = STATE(8982),
    [sym_preproc_elifdef_in_statements] = STATE(8982),
    [sym_internal_procedures] = STATE(6623),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(429),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(429),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2250),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [407] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9274),
    [sym_preproc_elif_in_statements] = STATE(9274),
    [sym_preproc_elifdef_in_statements] = STATE(9274),
    [sym_internal_procedures] = STATE(6637),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [408] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9131),
    [sym_preproc_elif_in_specification_part] = STATE(9131),
    [sym_preproc_elifdef_in_specification_part] = STATE(9131),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6768),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [409] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8875),
    [sym_preproc_elif_in_specification_part] = STATE(8875),
    [sym_preproc_elifdef_in_specification_part] = STATE(8875),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6648),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [410] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9107),
    [sym_preproc_elif_in_specification_part] = STATE(9107),
    [sym_preproc_elifdef_in_specification_part] = STATE(9107),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6564),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [411] = {
    [sym_preproc_include] = STATE(420),
    [sym_preproc_def] = STATE(420),
    [sym_preproc_function_def] = STATE(420),
    [sym_preproc_call] = STATE(420),
    [sym_preproc_if_in_statements] = STATE(420),
    [sym_preproc_ifdef_in_statements] = STATE(420),
    [sym_preproc_else_in_statements] = STATE(9244),
    [sym_preproc_elif_in_statements] = STATE(9244),
    [sym_preproc_elifdef_in_statements] = STATE(9244),
    [sym_internal_procedures] = STATE(6784),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(420),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(420),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2262),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [412] = {
    [sym_preproc_include] = STATE(422),
    [sym_preproc_def] = STATE(422),
    [sym_preproc_function_def] = STATE(422),
    [sym_preproc_call] = STATE(422),
    [sym_preproc_if_in_statements] = STATE(422),
    [sym_preproc_ifdef_in_statements] = STATE(422),
    [sym_preproc_else_in_statements] = STATE(9561),
    [sym_preproc_elif_in_statements] = STATE(9561),
    [sym_preproc_elifdef_in_statements] = STATE(9561),
    [sym_internal_procedures] = STATE(6788),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(422),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(422),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [413] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9561),
    [sym_preproc_elif_in_statements] = STATE(9561),
    [sym_preproc_elifdef_in_statements] = STATE(9561),
    [sym_internal_procedures] = STATE(6788),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [414] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9510),
    [sym_preproc_elif_in_specification_part] = STATE(9510),
    [sym_preproc_elifdef_in_specification_part] = STATE(9510),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6790),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [415] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8563),
    [sym_preproc_elif_in_specification_part] = STATE(8563),
    [sym_preproc_elifdef_in_specification_part] = STATE(8563),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6703),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [416] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9539),
    [sym_preproc_elif_in_specification_part] = STATE(9539),
    [sym_preproc_elifdef_in_specification_part] = STATE(9539),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6792),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [417] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9207),
    [sym_preproc_elif_in_specification_part] = STATE(9207),
    [sym_preproc_elifdef_in_specification_part] = STATE(9207),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6801),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [418] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9526),
    [sym_preproc_elif_in_specification_part] = STATE(9526),
    [sym_preproc_elifdef_in_specification_part] = STATE(9526),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6752),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [419] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9368),
    [sym_preproc_elif_in_specification_part] = STATE(9368),
    [sym_preproc_elifdef_in_specification_part] = STATE(9368),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6804),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [420] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9226),
    [sym_preproc_elif_in_statements] = STATE(9226),
    [sym_preproc_elifdef_in_statements] = STATE(9226),
    [sym_internal_procedures] = STATE(6808),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [421] = {
    [sym_preproc_include] = STATE(424),
    [sym_preproc_def] = STATE(424),
    [sym_preproc_function_def] = STATE(424),
    [sym_preproc_call] = STATE(424),
    [sym_preproc_if_in_statements] = STATE(424),
    [sym_preproc_ifdef_in_statements] = STATE(424),
    [sym_preproc_else_in_statements] = STATE(9226),
    [sym_preproc_elif_in_statements] = STATE(9226),
    [sym_preproc_elifdef_in_statements] = STATE(9226),
    [sym_internal_procedures] = STATE(6808),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(424),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(424),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2278),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [422] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9463),
    [sym_preproc_elif_in_statements] = STATE(9463),
    [sym_preproc_elifdef_in_statements] = STATE(9463),
    [sym_internal_procedures] = STATE(6810),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [423] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8549),
    [sym_preproc_elif_in_specification_part] = STATE(8549),
    [sym_preproc_elifdef_in_specification_part] = STATE(8549),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6811),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [424] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8800),
    [sym_preproc_elif_in_statements] = STATE(8800),
    [sym_preproc_elifdef_in_statements] = STATE(8800),
    [sym_internal_procedures] = STATE(6806),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [425] = {
    [sym_preproc_include] = STATE(405),
    [sym_preproc_def] = STATE(405),
    [sym_preproc_function_def] = STATE(405),
    [sym_preproc_call] = STATE(405),
    [sym_preproc_if_in_statements] = STATE(405),
    [sym_preproc_ifdef_in_statements] = STATE(405),
    [sym_preproc_else_in_statements] = STATE(9022),
    [sym_preproc_elif_in_statements] = STATE(9022),
    [sym_preproc_elifdef_in_statements] = STATE(9022),
    [sym_internal_procedures] = STATE(6751),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(405),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(405),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2288),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [426] = {
    [sym_preproc_include] = STATE(407),
    [sym_preproc_def] = STATE(407),
    [sym_preproc_function_def] = STATE(407),
    [sym_preproc_call] = STATE(407),
    [sym_preproc_if_in_statements] = STATE(407),
    [sym_preproc_ifdef_in_statements] = STATE(407),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_internal_procedures] = STATE(6756),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(407),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(407),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2292),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [427] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9169),
    [sym_preproc_elif_in_statements] = STATE(9169),
    [sym_preproc_elifdef_in_statements] = STATE(9169),
    [sym_internal_procedures] = STATE(6756),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [428] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9027),
    [sym_preproc_elif_in_specification_part] = STATE(9027),
    [sym_preproc_elifdef_in_specification_part] = STATE(9027),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6744),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1091),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [429] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9506),
    [sym_preproc_elif_in_statements] = STATE(9506),
    [sym_preproc_elifdef_in_statements] = STATE(9506),
    [sym_internal_procedures] = STATE(6743),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [430] = {
    [sym_preproc_include] = STATE(451),
    [sym_preproc_def] = STATE(451),
    [sym_preproc_function_def] = STATE(451),
    [sym_preproc_call] = STATE(451),
    [sym_preproc_if_in_statements] = STATE(451),
    [sym_preproc_ifdef_in_statements] = STATE(451),
    [sym_preproc_else_in_statements] = STATE(9165),
    [sym_preproc_elif_in_statements] = STATE(9165),
    [sym_preproc_elifdef_in_statements] = STATE(9165),
    [sym_internal_procedures] = STATE(6746),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(451),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(451),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2298),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [431] = {
    [sym_preproc_include] = STATE(452),
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_statements] = STATE(452),
    [sym_preproc_ifdef_in_statements] = STATE(452),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_internal_procedures] = STATE(6747),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(452),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(452),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2302),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [432] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9480),
    [sym_preproc_elif_in_statements] = STATE(9480),
    [sym_preproc_elifdef_in_statements] = STATE(9480),
    [sym_internal_procedures] = STATE(6747),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [433] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9219),
    [sym_preproc_elif_in_specification_part] = STATE(9219),
    [sym_preproc_elifdef_in_specification_part] = STATE(9219),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6809),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [434] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9088),
    [sym_preproc_elif_in_specification_part] = STATE(9088),
    [sym_preproc_elifdef_in_specification_part] = STATE(9088),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6749),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [435] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9185),
    [sym_preproc_elif_in_specification_part] = STATE(9185),
    [sym_preproc_elifdef_in_specification_part] = STATE(9185),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6757),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [436] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9422),
    [sym_preproc_elif_in_specification_part] = STATE(9422),
    [sym_preproc_elifdef_in_specification_part] = STATE(9422),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6750),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [437] = {
    [sym_preproc_include] = STATE(444),
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_statements] = STATE(444),
    [sym_preproc_ifdef_in_statements] = STATE(444),
    [sym_preproc_else_in_statements] = STATE(8522),
    [sym_preproc_elif_in_statements] = STATE(8522),
    [sym_preproc_elifdef_in_statements] = STATE(8522),
    [sym_internal_procedures] = STATE(6588),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(444),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(444),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2314),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [438] = {
    [sym_preproc_include] = STATE(446),
    [sym_preproc_def] = STATE(446),
    [sym_preproc_function_def] = STATE(446),
    [sym_preproc_call] = STATE(446),
    [sym_preproc_if_in_statements] = STATE(446),
    [sym_preproc_ifdef_in_statements] = STATE(446),
    [sym_preproc_else_in_statements] = STATE(8526),
    [sym_preproc_elif_in_statements] = STATE(8526),
    [sym_preproc_elifdef_in_statements] = STATE(8526),
    [sym_internal_procedures] = STATE(6605),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(446),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(446),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2318),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [439] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8526),
    [sym_preproc_elif_in_statements] = STATE(8526),
    [sym_preproc_elifdef_in_statements] = STATE(8526),
    [sym_internal_procedures] = STATE(6605),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [440] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9298),
    [sym_preproc_elif_in_specification_part] = STATE(9298),
    [sym_preproc_elifdef_in_specification_part] = STATE(9298),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6607),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [441] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8797),
    [sym_preproc_elif_in_specification_part] = STATE(8797),
    [sym_preproc_elifdef_in_specification_part] = STATE(8797),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6812),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [442] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9308),
    [sym_preproc_elif_in_specification_part] = STATE(9308),
    [sym_preproc_elifdef_in_specification_part] = STATE(9308),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6621),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [443] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9287),
    [sym_preproc_elif_in_specification_part] = STATE(9287),
    [sym_preproc_elifdef_in_specification_part] = STATE(9287),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6764),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [444] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8587),
    [sym_preproc_elif_in_statements] = STATE(8587),
    [sym_preproc_elifdef_in_statements] = STATE(8587),
    [sym_internal_procedures] = STATE(6646),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [445] = {
    [sym_preproc_include] = STATE(448),
    [sym_preproc_def] = STATE(448),
    [sym_preproc_function_def] = STATE(448),
    [sym_preproc_call] = STATE(448),
    [sym_preproc_if_in_statements] = STATE(448),
    [sym_preproc_ifdef_in_statements] = STATE(448),
    [sym_preproc_else_in_statements] = STATE(8587),
    [sym_preproc_elif_in_statements] = STATE(8587),
    [sym_preproc_elifdef_in_statements] = STATE(8587),
    [sym_internal_procedures] = STATE(6646),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(448),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(448),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2328),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [446] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8599),
    [sym_preproc_elif_in_statements] = STATE(8599),
    [sym_preproc_elifdef_in_statements] = STATE(8599),
    [sym_internal_procedures] = STATE(6649),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [447] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9352),
    [sym_preproc_elif_in_specification_part] = STATE(9352),
    [sym_preproc_elifdef_in_specification_part] = STATE(9352),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6653),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [448] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8681),
    [sym_preproc_elif_in_statements] = STATE(8681),
    [sym_preproc_elifdef_in_statements] = STATE(8681),
    [sym_internal_procedures] = STATE(6719),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [449] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9040),
    [sym_preproc_elif_in_specification_part] = STATE(9040),
    [sym_preproc_elifdef_in_specification_part] = STATE(9040),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6733),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [450] = {
    [sym_preproc_include] = STATE(467),
    [sym_preproc_def] = STATE(467),
    [sym_preproc_function_def] = STATE(467),
    [sym_preproc_call] = STATE(467),
    [sym_preproc_if_in_statements] = STATE(467),
    [sym_preproc_ifdef_in_statements] = STATE(467),
    [sym_preproc_else_in_statements] = STATE(9001),
    [sym_preproc_elif_in_statements] = STATE(9001),
    [sym_preproc_elifdef_in_statements] = STATE(9001),
    [sym_internal_procedures] = STATE(6567),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(467),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(467),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2340),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [451] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8902),
    [sym_preproc_elif_in_statements] = STATE(8902),
    [sym_preproc_elifdef_in_statements] = STATE(8902),
    [sym_internal_procedures] = STATE(6568),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [452] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8662),
    [sym_preproc_elif_in_statements] = STATE(8662),
    [sym_preproc_elifdef_in_statements] = STATE(8662),
    [sym_internal_procedures] = STATE(6569),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [453] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9018),
    [sym_preproc_elif_in_specification_part] = STATE(9018),
    [sym_preproc_elifdef_in_specification_part] = STATE(9018),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6570),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [454] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9542),
    [sym_preproc_elif_in_specification_part] = STATE(9542),
    [sym_preproc_elifdef_in_specification_part] = STATE(9542),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6748),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [455] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9364),
    [sym_preproc_elif_in_specification_part] = STATE(9364),
    [sym_preproc_elifdef_in_specification_part] = STATE(9364),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6766),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [456] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9104),
    [sym_preproc_elif_in_specification_part] = STATE(9104),
    [sym_preproc_elifdef_in_specification_part] = STATE(9104),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6805),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [457] = {
    [sym_preproc_include] = STATE(614),
    [sym_preproc_def] = STATE(614),
    [sym_preproc_function_def] = STATE(614),
    [sym_preproc_call] = STATE(614),
    [sym_preproc_if_in_statements] = STATE(614),
    [sym_preproc_ifdef_in_statements] = STATE(614),
    [sym_preproc_else_in_statements] = STATE(9061),
    [sym_preproc_elif_in_statements] = STATE(9061),
    [sym_preproc_elifdef_in_statements] = STATE(9061),
    [sym_internal_procedures] = STATE(6767),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(614),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(614),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2352),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [458] = {
    [sym_preproc_include] = STATE(464),
    [sym_preproc_def] = STATE(464),
    [sym_preproc_function_def] = STATE(464),
    [sym_preproc_call] = STATE(464),
    [sym_preproc_if_in_statements] = STATE(464),
    [sym_preproc_ifdef_in_statements] = STATE(464),
    [sym_preproc_else_in_statements] = STATE(9065),
    [sym_preproc_elif_in_statements] = STATE(9065),
    [sym_preproc_elifdef_in_statements] = STATE(9065),
    [sym_internal_procedures] = STATE(6769),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(464),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(464),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2356),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [459] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9065),
    [sym_preproc_elif_in_statements] = STATE(9065),
    [sym_preproc_elifdef_in_statements] = STATE(9065),
    [sym_internal_procedures] = STATE(6769),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [460] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8868),
    [sym_preproc_elif_in_specification_part] = STATE(8868),
    [sym_preproc_elifdef_in_specification_part] = STATE(8868),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6770),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [461] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8953),
    [sym_preproc_elif_in_specification_part] = STATE(8953),
    [sym_preproc_elifdef_in_specification_part] = STATE(8953),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6771),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [462] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9408),
    [sym_preproc_elif_in_specification_part] = STATE(9408),
    [sym_preproc_elifdef_in_specification_part] = STATE(9408),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6754),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [463] = {
    [sym_preproc_include] = STATE(466),
    [sym_preproc_def] = STATE(466),
    [sym_preproc_function_def] = STATE(466),
    [sym_preproc_call] = STATE(466),
    [sym_preproc_if_in_statements] = STATE(466),
    [sym_preproc_ifdef_in_statements] = STATE(466),
    [sym_preproc_else_in_statements] = STATE(9129),
    [sym_preproc_elif_in_statements] = STATE(9129),
    [sym_preproc_elifdef_in_statements] = STATE(9129),
    [sym_internal_procedures] = STATE(6774),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(466),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(466),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2364),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [464] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9149),
    [sym_preproc_elif_in_statements] = STATE(9149),
    [sym_preproc_elifdef_in_statements] = STATE(9149),
    [sym_internal_procedures] = STATE(6776),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [465] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8544),
    [sym_preproc_elif_in_specification_part] = STATE(8544),
    [sym_preproc_elifdef_in_specification_part] = STATE(8544),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6777),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [466] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9205),
    [sym_preproc_elif_in_statements] = STATE(9205),
    [sym_preproc_elifdef_in_statements] = STATE(9205),
    [sym_internal_procedures] = STATE(6778),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [467] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9547),
    [sym_preproc_elif_in_statements] = STATE(9547),
    [sym_preproc_elifdef_in_statements] = STATE(9547),
    [sym_internal_procedures] = STATE(6644),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [468] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9488),
    [sym_preproc_elif_in_specification_part] = STATE(9488),
    [sym_preproc_elifdef_in_specification_part] = STATE(9488),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6556),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [469] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9532),
    [sym_preproc_elif_in_specification_part] = STATE(9532),
    [sym_preproc_elifdef_in_specification_part] = STATE(9532),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6592),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [470] = {
    [sym_preproc_include] = STATE(476),
    [sym_preproc_def] = STATE(476),
    [sym_preproc_function_def] = STATE(476),
    [sym_preproc_call] = STATE(476),
    [sym_preproc_if_in_statements] = STATE(476),
    [sym_preproc_ifdef_in_statements] = STATE(476),
    [sym_preproc_else_in_statements] = STATE(8762),
    [sym_preproc_elif_in_statements] = STATE(8762),
    [sym_preproc_elifdef_in_statements] = STATE(8762),
    [sym_internal_procedures] = STATE(6575),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(476),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(476),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2376),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [471] = {
    [sym_preproc_include] = STATE(478),
    [sym_preproc_def] = STATE(478),
    [sym_preproc_function_def] = STATE(478),
    [sym_preproc_call] = STATE(478),
    [sym_preproc_if_in_statements] = STATE(478),
    [sym_preproc_ifdef_in_statements] = STATE(478),
    [sym_preproc_else_in_statements] = STATE(9194),
    [sym_preproc_elif_in_statements] = STATE(9194),
    [sym_preproc_elifdef_in_statements] = STATE(9194),
    [sym_internal_procedures] = STATE(6576),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(478),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(478),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2380),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [472] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9194),
    [sym_preproc_elif_in_statements] = STATE(9194),
    [sym_preproc_elifdef_in_statements] = STATE(9194),
    [sym_internal_procedures] = STATE(6576),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [473] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8693),
    [sym_preproc_elif_in_specification_part] = STATE(8693),
    [sym_preproc_elifdef_in_specification_part] = STATE(8693),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6670),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [474] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8744),
    [sym_preproc_elif_in_specification_part] = STATE(8744),
    [sym_preproc_elifdef_in_specification_part] = STATE(8744),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6718),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [475] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9215),
    [sym_preproc_elif_in_specification_part] = STATE(9215),
    [sym_preproc_elifdef_in_specification_part] = STATE(9215),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6626),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1071),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [476] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9313),
    [sym_preproc_elif_in_statements] = STATE(9313),
    [sym_preproc_elifdef_in_statements] = STATE(9313),
    [sym_internal_procedures] = STATE(6738),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [477] = {
    [sym_preproc_include] = STATE(480),
    [sym_preproc_def] = STATE(480),
    [sym_preproc_function_def] = STATE(480),
    [sym_preproc_call] = STATE(480),
    [sym_preproc_if_in_statements] = STATE(480),
    [sym_preproc_ifdef_in_statements] = STATE(480),
    [sym_preproc_else_in_statements] = STATE(9313),
    [sym_preproc_elif_in_statements] = STATE(9313),
    [sym_preproc_elifdef_in_statements] = STATE(9313),
    [sym_internal_procedures] = STATE(6738),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(480),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(480),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2386),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [478] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9376),
    [sym_preproc_elif_in_statements] = STATE(9376),
    [sym_preproc_elifdef_in_statements] = STATE(9376),
    [sym_internal_procedures] = STATE(6741),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [479] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8895),
    [sym_preproc_elif_in_specification_part] = STATE(8895),
    [sym_preproc_elifdef_in_specification_part] = STATE(8895),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6742),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [480] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8917),
    [sym_preproc_elif_in_statements] = STATE(8917),
    [sym_preproc_elifdef_in_statements] = STATE(8917),
    [sym_internal_procedures] = STATE(6753),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [481] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9458),
    [sym_preproc_elif_in_specification_part] = STATE(9458),
    [sym_preproc_elifdef_in_specification_part] = STATE(9458),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6628),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [482] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9500),
    [sym_preproc_elif_in_specification_part] = STATE(9500),
    [sym_preproc_elifdef_in_specification_part] = STATE(9500),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6609),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [483] = {
    [sym_preproc_include] = STATE(489),
    [sym_preproc_def] = STATE(489),
    [sym_preproc_function_def] = STATE(489),
    [sym_preproc_call] = STATE(489),
    [sym_preproc_if_in_statements] = STATE(489),
    [sym_preproc_ifdef_in_statements] = STATE(489),
    [sym_preproc_else_in_statements] = STATE(9092),
    [sym_preproc_elif_in_statements] = STATE(9092),
    [sym_preproc_elifdef_in_statements] = STATE(9092),
    [sym_internal_procedures] = STATE(6656),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(489),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(489),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2396),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [484] = {
    [sym_preproc_include] = STATE(491),
    [sym_preproc_def] = STATE(491),
    [sym_preproc_function_def] = STATE(491),
    [sym_preproc_call] = STATE(491),
    [sym_preproc_if_in_statements] = STATE(491),
    [sym_preproc_ifdef_in_statements] = STATE(491),
    [sym_preproc_else_in_statements] = STATE(9109),
    [sym_preproc_elif_in_statements] = STATE(9109),
    [sym_preproc_elifdef_in_statements] = STATE(9109),
    [sym_internal_procedures] = STATE(6669),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(491),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(491),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2400),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [485] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9109),
    [sym_preproc_elif_in_statements] = STATE(9109),
    [sym_preproc_elifdef_in_statements] = STATE(9109),
    [sym_internal_procedures] = STATE(6669),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [486] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8791),
    [sym_preproc_elif_in_specification_part] = STATE(8791),
    [sym_preproc_elifdef_in_specification_part] = STATE(8791),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6674),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [487] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8809),
    [sym_preproc_elif_in_specification_part] = STATE(8809),
    [sym_preproc_elifdef_in_specification_part] = STATE(8809),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6692),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [488] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8541),
    [sym_preproc_elif_in_specification_part] = STATE(8541),
    [sym_preproc_elifdef_in_specification_part] = STATE(8541),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6611),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [489] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9413),
    [sym_preproc_elif_in_statements] = STATE(9413),
    [sym_preproc_elifdef_in_statements] = STATE(9413),
    [sym_internal_procedures] = STATE(6695),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [490] = {
    [sym_preproc_include] = STATE(493),
    [sym_preproc_def] = STATE(493),
    [sym_preproc_function_def] = STATE(493),
    [sym_preproc_call] = STATE(493),
    [sym_preproc_if_in_statements] = STATE(493),
    [sym_preproc_ifdef_in_statements] = STATE(493),
    [sym_preproc_else_in_statements] = STATE(9413),
    [sym_preproc_elif_in_statements] = STATE(9413),
    [sym_preproc_elifdef_in_statements] = STATE(9413),
    [sym_internal_procedures] = STATE(6695),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(493),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(493),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2406),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [491] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9497),
    [sym_preproc_elif_in_statements] = STATE(9497),
    [sym_preproc_elifdef_in_statements] = STATE(9497),
    [sym_internal_procedures] = STATE(6705),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [492] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8899),
    [sym_preproc_elif_in_specification_part] = STATE(8899),
    [sym_preproc_elifdef_in_specification_part] = STATE(8899),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6710),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [493] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8724),
    [sym_preproc_elif_in_statements] = STATE(8724),
    [sym_preproc_elifdef_in_statements] = STATE(8724),
    [sym_internal_procedures] = STATE(6712),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [494] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8596),
    [sym_preproc_elif_in_specification_part] = STATE(8596),
    [sym_preproc_elifdef_in_specification_part] = STATE(8596),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6802),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [495] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9063),
    [sym_preproc_elif_in_specification_part] = STATE(9063),
    [sym_preproc_elifdef_in_specification_part] = STATE(9063),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6571),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [496] = {
    [sym_preproc_include] = STATE(502),
    [sym_preproc_def] = STATE(502),
    [sym_preproc_function_def] = STATE(502),
    [sym_preproc_call] = STATE(502),
    [sym_preproc_if_in_statements] = STATE(502),
    [sym_preproc_ifdef_in_statements] = STATE(502),
    [sym_preproc_else_in_statements] = STATE(8928),
    [sym_preproc_elif_in_statements] = STATE(8928),
    [sym_preproc_elifdef_in_statements] = STATE(8928),
    [sym_internal_procedures] = STATE(6730),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(502),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(502),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2416),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [497] = {
    [sym_preproc_include] = STATE(504),
    [sym_preproc_def] = STATE(504),
    [sym_preproc_function_def] = STATE(504),
    [sym_preproc_call] = STATE(504),
    [sym_preproc_if_in_statements] = STATE(504),
    [sym_preproc_ifdef_in_statements] = STATE(504),
    [sym_preproc_else_in_statements] = STATE(8931),
    [sym_preproc_elif_in_statements] = STATE(8931),
    [sym_preproc_elifdef_in_statements] = STATE(8931),
    [sym_internal_procedures] = STATE(6557),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(504),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(504),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2420),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [498] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8931),
    [sym_preproc_elif_in_statements] = STATE(8931),
    [sym_preproc_elifdef_in_statements] = STATE(8931),
    [sym_internal_procedures] = STATE(6557),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [499] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8676),
    [sym_preproc_elif_in_specification_part] = STATE(8676),
    [sym_preproc_elifdef_in_specification_part] = STATE(8676),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6558),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [500] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8683),
    [sym_preproc_elif_in_specification_part] = STATE(8683),
    [sym_preproc_elifdef_in_specification_part] = STATE(8683),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6559),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [501] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9126),
    [sym_preproc_elif_in_specification_part] = STATE(9126),
    [sym_preproc_elifdef_in_specification_part] = STATE(9126),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6573),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [502] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8965),
    [sym_preproc_elif_in_statements] = STATE(8965),
    [sym_preproc_elifdef_in_statements] = STATE(8965),
    [sym_internal_procedures] = STATE(6560),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [503] = {
    [sym_preproc_include] = STATE(506),
    [sym_preproc_def] = STATE(506),
    [sym_preproc_function_def] = STATE(506),
    [sym_preproc_call] = STATE(506),
    [sym_preproc_if_in_statements] = STATE(506),
    [sym_preproc_ifdef_in_statements] = STATE(506),
    [sym_preproc_else_in_statements] = STATE(8965),
    [sym_preproc_elif_in_statements] = STATE(8965),
    [sym_preproc_elifdef_in_statements] = STATE(8965),
    [sym_internal_procedures] = STATE(6560),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(506),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(506),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2426),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [504] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8976),
    [sym_preproc_elif_in_statements] = STATE(8976),
    [sym_preproc_elifdef_in_statements] = STATE(8976),
    [sym_internal_procedures] = STATE(6561),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [505] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8758),
    [sym_preproc_elif_in_specification_part] = STATE(8758),
    [sym_preproc_elifdef_in_specification_part] = STATE(8758),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6562),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [506] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9023),
    [sym_preproc_elif_in_statements] = STATE(9023),
    [sym_preproc_elifdef_in_statements] = STATE(9023),
    [sym_internal_procedures] = STATE(6563),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [507] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9138),
    [sym_preproc_elif_in_specification_part] = STATE(9138),
    [sym_preproc_elifdef_in_specification_part] = STATE(9138),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6574),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [508] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9344),
    [sym_preproc_elif_in_specification_part] = STATE(9344),
    [sym_preproc_elifdef_in_specification_part] = STATE(9344),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6652),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [509] = {
    [sym_preproc_include] = STATE(515),
    [sym_preproc_def] = STATE(515),
    [sym_preproc_function_def] = STATE(515),
    [sym_preproc_call] = STATE(515),
    [sym_preproc_if_in_statements] = STATE(515),
    [sym_preproc_ifdef_in_statements] = STATE(515),
    [sym_preproc_else_in_statements] = STATE(9492),
    [sym_preproc_elif_in_statements] = STATE(9492),
    [sym_preproc_elifdef_in_statements] = STATE(9492),
    [sym_internal_procedures] = STATE(6577),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(515),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(515),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2436),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [510] = {
    [sym_preproc_include] = STATE(517),
    [sym_preproc_def] = STATE(517),
    [sym_preproc_function_def] = STATE(517),
    [sym_preproc_call] = STATE(517),
    [sym_preproc_if_in_statements] = STATE(517),
    [sym_preproc_ifdef_in_statements] = STATE(517),
    [sym_preproc_else_in_statements] = STATE(9502),
    [sym_preproc_elif_in_statements] = STATE(9502),
    [sym_preproc_elifdef_in_statements] = STATE(9502),
    [sym_internal_procedures] = STATE(6578),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(517),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(517),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2440),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [511] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9502),
    [sym_preproc_elif_in_statements] = STATE(9502),
    [sym_preproc_elifdef_in_statements] = STATE(9502),
    [sym_internal_procedures] = STATE(6578),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [512] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9202),
    [sym_preproc_elif_in_specification_part] = STATE(9202),
    [sym_preproc_elifdef_in_specification_part] = STATE(9202),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6579),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [513] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9210),
    [sym_preproc_elif_in_specification_part] = STATE(9210),
    [sym_preproc_elifdef_in_specification_part] = STATE(9210),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6580),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [514] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9388),
    [sym_preproc_elif_in_specification_part] = STATE(9388),
    [sym_preproc_elifdef_in_specification_part] = STATE(9388),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6657),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [515] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8548),
    [sym_preproc_elif_in_statements] = STATE(8548),
    [sym_preproc_elifdef_in_statements] = STATE(8548),
    [sym_internal_procedures] = STATE(6582),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [516] = {
    [sym_preproc_include] = STATE(519),
    [sym_preproc_def] = STATE(519),
    [sym_preproc_function_def] = STATE(519),
    [sym_preproc_call] = STATE(519),
    [sym_preproc_if_in_statements] = STATE(519),
    [sym_preproc_ifdef_in_statements] = STATE(519),
    [sym_preproc_else_in_statements] = STATE(8548),
    [sym_preproc_elif_in_statements] = STATE(8548),
    [sym_preproc_elifdef_in_statements] = STATE(8548),
    [sym_internal_procedures] = STATE(6582),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(519),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(519),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2446),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [517] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8558),
    [sym_preproc_elif_in_statements] = STATE(8558),
    [sym_preproc_elifdef_in_statements] = STATE(8558),
    [sym_internal_procedures] = STATE(6583),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [518] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9246),
    [sym_preproc_elif_in_specification_part] = STATE(9246),
    [sym_preproc_elifdef_in_specification_part] = STATE(9246),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6584),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [519] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8601),
    [sym_preproc_elif_in_statements] = STATE(8601),
    [sym_preproc_elifdef_in_statements] = STATE(8601),
    [sym_internal_procedures] = STATE(6585),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [520] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9511),
    [sym_preproc_elif_in_specification_part] = STATE(9511),
    [sym_preproc_elifdef_in_specification_part] = STATE(9511),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6596),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [521] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8929),
    [sym_preproc_elif_in_specification_part] = STATE(8929),
    [sym_preproc_elifdef_in_specification_part] = STATE(8929),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6627),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1121),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [522] = {
    [sym_preproc_include] = STATE(528),
    [sym_preproc_def] = STATE(528),
    [sym_preproc_function_def] = STATE(528),
    [sym_preproc_call] = STATE(528),
    [sym_preproc_if_in_statements] = STATE(528),
    [sym_preproc_ifdef_in_statements] = STATE(528),
    [sym_preproc_else_in_statements] = STATE(9459),
    [sym_preproc_elif_in_statements] = STATE(9459),
    [sym_preproc_elifdef_in_statements] = STATE(9459),
    [sym_internal_procedures] = STATE(6597),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(528),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(528),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2456),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [523] = {
    [sym_preproc_include] = STATE(530),
    [sym_preproc_def] = STATE(530),
    [sym_preproc_function_def] = STATE(530),
    [sym_preproc_call] = STATE(530),
    [sym_preproc_if_in_statements] = STATE(530),
    [sym_preproc_ifdef_in_statements] = STATE(530),
    [sym_preproc_else_in_statements] = STATE(9475),
    [sym_preproc_elif_in_statements] = STATE(9475),
    [sym_preproc_elifdef_in_statements] = STATE(9475),
    [sym_internal_procedures] = STATE(6598),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(530),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(530),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2460),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [524] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9475),
    [sym_preproc_elif_in_statements] = STATE(9475),
    [sym_preproc_elifdef_in_statements] = STATE(9475),
    [sym_internal_procedures] = STATE(6598),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [525] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9538),
    [sym_preproc_elif_in_specification_part] = STATE(9538),
    [sym_preproc_elifdef_in_specification_part] = STATE(9538),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6599),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [526] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9546),
    [sym_preproc_elif_in_specification_part] = STATE(9546),
    [sym_preproc_elifdef_in_specification_part] = STATE(9546),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6600),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [527] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8962),
    [sym_preproc_elif_in_specification_part] = STATE(8962),
    [sym_preproc_elifdef_in_specification_part] = STATE(8962),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6630),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [528] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9505),
    [sym_preproc_elif_in_statements] = STATE(9505),
    [sym_preproc_elifdef_in_statements] = STATE(9505),
    [sym_internal_procedures] = STATE(6601),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [529] = {
    [sym_preproc_include] = STATE(532),
    [sym_preproc_def] = STATE(532),
    [sym_preproc_function_def] = STATE(532),
    [sym_preproc_call] = STATE(532),
    [sym_preproc_if_in_statements] = STATE(532),
    [sym_preproc_ifdef_in_statements] = STATE(532),
    [sym_preproc_else_in_statements] = STATE(9505),
    [sym_preproc_elif_in_statements] = STATE(9505),
    [sym_preproc_elifdef_in_statements] = STATE(9505),
    [sym_internal_procedures] = STATE(6601),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(532),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(532),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2466),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [530] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9517),
    [sym_preproc_elif_in_statements] = STATE(9517),
    [sym_preproc_elifdef_in_statements] = STATE(9517),
    [sym_internal_procedures] = STATE(6602),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [531] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9445),
    [sym_preproc_elif_in_specification_part] = STATE(9445),
    [sym_preproc_elifdef_in_specification_part] = STATE(9445),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6603),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [532] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9540),
    [sym_preproc_elif_in_statements] = STATE(9540),
    [sym_preproc_elifdef_in_statements] = STATE(9540),
    [sym_internal_procedures] = STATE(6604),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [533] = {
    [sym_preproc_include] = STATE(538),
    [sym_preproc_def] = STATE(538),
    [sym_preproc_function_def] = STATE(538),
    [sym_preproc_call] = STATE(538),
    [sym_preproc_if_in_statements] = STATE(538),
    [sym_preproc_ifdef_in_statements] = STATE(538),
    [sym_preproc_else_in_statements] = STATE(8537),
    [sym_preproc_elif_in_statements] = STATE(8537),
    [sym_preproc_elifdef_in_statements] = STATE(8537),
    [sym_internal_procedures] = STATE(6613),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(538),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(538),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2476),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [534] = {
    [sym_preproc_include] = STATE(540),
    [sym_preproc_def] = STATE(540),
    [sym_preproc_function_def] = STATE(540),
    [sym_preproc_call] = STATE(540),
    [sym_preproc_if_in_statements] = STATE(540),
    [sym_preproc_ifdef_in_statements] = STATE(540),
    [sym_preproc_else_in_statements] = STATE(8538),
    [sym_preproc_elif_in_statements] = STATE(8538),
    [sym_preproc_elifdef_in_statements] = STATE(8538),
    [sym_internal_procedures] = STATE(6614),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(540),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(540),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2480),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [535] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8538),
    [sym_preproc_elif_in_statements] = STATE(8538),
    [sym_preproc_elifdef_in_statements] = STATE(8538),
    [sym_internal_procedures] = STATE(6614),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [536] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8593),
    [sym_preproc_elif_in_specification_part] = STATE(8593),
    [sym_preproc_elifdef_in_specification_part] = STATE(8593),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6615),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [537] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8621),
    [sym_preproc_elif_in_specification_part] = STATE(8621),
    [sym_preproc_elifdef_in_specification_part] = STATE(8621),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6616),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [538] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8545),
    [sym_preproc_elif_in_statements] = STATE(8545),
    [sym_preproc_elifdef_in_statements] = STATE(8545),
    [sym_internal_procedures] = STATE(6617),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [539] = {
    [sym_preproc_include] = STATE(542),
    [sym_preproc_def] = STATE(542),
    [sym_preproc_function_def] = STATE(542),
    [sym_preproc_call] = STATE(542),
    [sym_preproc_if_in_statements] = STATE(542),
    [sym_preproc_ifdef_in_statements] = STATE(542),
    [sym_preproc_else_in_statements] = STATE(8545),
    [sym_preproc_elif_in_statements] = STATE(8545),
    [sym_preproc_elifdef_in_statements] = STATE(8545),
    [sym_internal_procedures] = STATE(6617),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(542),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(542),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2486),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [540] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8546),
    [sym_preproc_elif_in_statements] = STATE(8546),
    [sym_preproc_elifdef_in_statements] = STATE(8546),
    [sym_internal_procedures] = STATE(6618),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [541] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8641),
    [sym_preproc_elif_in_specification_part] = STATE(8641),
    [sym_preproc_elifdef_in_specification_part] = STATE(8641),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6619),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [542] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8552),
    [sym_preproc_elif_in_statements] = STATE(8552),
    [sym_preproc_elifdef_in_statements] = STATE(8552),
    [sym_internal_procedures] = STATE(6620),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [543] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9168),
    [sym_preproc_elif_in_specification_part] = STATE(9168),
    [sym_preproc_elifdef_in_specification_part] = STATE(9168),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6608),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [544] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(8974),
    [sym_preproc_elif_in_specification_part] = STATE(8974),
    [sym_preproc_elifdef_in_specification_part] = STATE(8974),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6631),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [545] = {
    [sym_preproc_include] = STATE(550),
    [sym_preproc_def] = STATE(550),
    [sym_preproc_function_def] = STATE(550),
    [sym_preproc_call] = STATE(550),
    [sym_preproc_if_in_statements] = STATE(550),
    [sym_preproc_ifdef_in_statements] = STATE(550),
    [sym_preproc_else_in_statements] = STATE(8572),
    [sym_preproc_elif_in_statements] = STATE(8572),
    [sym_preproc_elifdef_in_statements] = STATE(8572),
    [sym_internal_procedures] = STATE(6633),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(550),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(550),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2496),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [546] = {
    [sym_preproc_include] = STATE(552),
    [sym_preproc_def] = STATE(552),
    [sym_preproc_function_def] = STATE(552),
    [sym_preproc_call] = STATE(552),
    [sym_preproc_if_in_statements] = STATE(552),
    [sym_preproc_ifdef_in_statements] = STATE(552),
    [sym_preproc_else_in_statements] = STATE(8573),
    [sym_preproc_elif_in_statements] = STATE(8573),
    [sym_preproc_elifdef_in_statements] = STATE(8573),
    [sym_internal_procedures] = STATE(6635),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(552),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(552),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2500),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [547] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8573),
    [sym_preproc_elif_in_statements] = STATE(8573),
    [sym_preproc_elifdef_in_statements] = STATE(8573),
    [sym_internal_procedures] = STATE(6635),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [548] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9014),
    [sym_preproc_elif_in_specification_part] = STATE(9014),
    [sym_preproc_elifdef_in_specification_part] = STATE(9014),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6636),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1133),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [549] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9031),
    [sym_preproc_elif_in_specification_part] = STATE(9031),
    [sym_preproc_elifdef_in_specification_part] = STATE(9031),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6638),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [550] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8578),
    [sym_preproc_elif_in_statements] = STATE(8578),
    [sym_preproc_elifdef_in_statements] = STATE(8578),
    [sym_internal_procedures] = STATE(6639),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [551] = {
    [sym_preproc_include] = STATE(554),
    [sym_preproc_def] = STATE(554),
    [sym_preproc_function_def] = STATE(554),
    [sym_preproc_call] = STATE(554),
    [sym_preproc_if_in_statements] = STATE(554),
    [sym_preproc_ifdef_in_statements] = STATE(554),
    [sym_preproc_else_in_statements] = STATE(8578),
    [sym_preproc_elif_in_statements] = STATE(8578),
    [sym_preproc_elifdef_in_statements] = STATE(8578),
    [sym_internal_procedures] = STATE(6639),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(554),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(554),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2506),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [552] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8579),
    [sym_preproc_elif_in_statements] = STATE(8579),
    [sym_preproc_elifdef_in_statements] = STATE(8579),
    [sym_internal_procedures] = STATE(6641),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [553] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9044),
    [sym_preproc_elif_in_specification_part] = STATE(9044),
    [sym_preproc_elifdef_in_specification_part] = STATE(9044),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6642),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [554] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8585),
    [sym_preproc_elif_in_statements] = STATE(8585),
    [sym_preproc_elifdef_in_statements] = STATE(8585),
    [sym_internal_procedures] = STATE(6643),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [555] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9399),
    [sym_preproc_elif_in_specification_part] = STATE(9399),
    [sym_preproc_elifdef_in_specification_part] = STATE(9399),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6658),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [556] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(9521),
    [sym_preproc_elif_in_statements] = STATE(9521),
    [sym_preproc_elifdef_in_statements] = STATE(9521),
    [sym_internal_procedures] = STATE(6659),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(561),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2516),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [557] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym_preproc_else_in_statements] = STATE(9523),
    [sym_preproc_elif_in_statements] = STATE(9523),
    [sym_preproc_elifdef_in_statements] = STATE(9523),
    [sym_internal_procedures] = STATE(6662),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(563),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2520),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [558] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9523),
    [sym_preproc_elif_in_statements] = STATE(9523),
    [sym_preproc_elifdef_in_statements] = STATE(9523),
    [sym_internal_procedures] = STATE(6662),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [559] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9419),
    [sym_preproc_elif_in_specification_part] = STATE(9419),
    [sym_preproc_elifdef_in_specification_part] = STATE(9419),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6663),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(1085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [560] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9432),
    [sym_preproc_elif_in_specification_part] = STATE(9432),
    [sym_preproc_elifdef_in_specification_part] = STATE(9432),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6664),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [561] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9533),
    [sym_preproc_elif_in_statements] = STATE(9533),
    [sym_preproc_elifdef_in_statements] = STATE(9533),
    [sym_internal_procedures] = STATE(6665),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [562] = {
    [sym_preproc_include] = STATE(565),
    [sym_preproc_def] = STATE(565),
    [sym_preproc_function_def] = STATE(565),
    [sym_preproc_call] = STATE(565),
    [sym_preproc_if_in_statements] = STATE(565),
    [sym_preproc_ifdef_in_statements] = STATE(565),
    [sym_preproc_else_in_statements] = STATE(9533),
    [sym_preproc_elif_in_statements] = STATE(9533),
    [sym_preproc_elifdef_in_statements] = STATE(9533),
    [sym_internal_procedures] = STATE(6665),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(565),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(565),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2526),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [563] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9535),
    [sym_preproc_elif_in_statements] = STATE(9535),
    [sym_preproc_elifdef_in_statements] = STATE(9535),
    [sym_internal_procedures] = STATE(6666),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [564] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_else_in_specification_part] = STATE(9444),
    [sym_preproc_elif_in_specification_part] = STATE(9444),
    [sym_preproc_elifdef_in_specification_part] = STATE(9444),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_internal_procedures] = STATE(6667),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(1017),
    [aux_sym_preproc_elif_token1] = ACTIONS(1019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1021),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [565] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9557),
    [sym_preproc_elif_in_statements] = STATE(9557),
    [sym_preproc_elifdef_in_statements] = STATE(9557),
    [sym_internal_procedures] = STATE(6668),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [566] = {
    [sym_preproc_include] = STATE(569),
    [sym_preproc_def] = STATE(569),
    [sym_preproc_function_def] = STATE(569),
    [sym_preproc_call] = STATE(569),
    [sym_preproc_if_in_statements] = STATE(569),
    [sym_preproc_ifdef_in_statements] = STATE(569),
    [sym_preproc_else_in_statements] = STATE(8605),
    [sym_preproc_elif_in_statements] = STATE(8605),
    [sym_preproc_elifdef_in_statements] = STATE(8605),
    [sym_internal_procedures] = STATE(6672),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(569),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(569),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2536),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [567] = {
    [sym_preproc_include] = STATE(571),
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_statements] = STATE(571),
    [sym_preproc_ifdef_in_statements] = STATE(571),
    [sym_preproc_else_in_statements] = STATE(8606),
    [sym_preproc_elif_in_statements] = STATE(8606),
    [sym_preproc_elifdef_in_statements] = STATE(8606),
    [sym_internal_procedures] = STATE(6673),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(571),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(571),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2540),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [568] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8606),
    [sym_preproc_elif_in_statements] = STATE(8606),
    [sym_preproc_elifdef_in_statements] = STATE(8606),
    [sym_internal_procedures] = STATE(6673),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [569] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8611),
    [sym_preproc_elif_in_statements] = STATE(8611),
    [sym_preproc_elifdef_in_statements] = STATE(8611),
    [sym_internal_procedures] = STATE(6675),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [570] = {
    [sym_preproc_include] = STATE(572),
    [sym_preproc_def] = STATE(572),
    [sym_preproc_function_def] = STATE(572),
    [sym_preproc_call] = STATE(572),
    [sym_preproc_if_in_statements] = STATE(572),
    [sym_preproc_ifdef_in_statements] = STATE(572),
    [sym_preproc_else_in_statements] = STATE(8611),
    [sym_preproc_elif_in_statements] = STATE(8611),
    [sym_preproc_elifdef_in_statements] = STATE(8611),
    [sym_internal_procedures] = STATE(6675),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(572),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(572),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2544),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [571] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8612),
    [sym_preproc_elif_in_statements] = STATE(8612),
    [sym_preproc_elifdef_in_statements] = STATE(8612),
    [sym_internal_procedures] = STATE(6676),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [572] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8618),
    [sym_preproc_elif_in_statements] = STATE(8618),
    [sym_preproc_elifdef_in_statements] = STATE(8618),
    [sym_internal_procedures] = STATE(6677),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [573] = {
    [sym_preproc_include] = STATE(576),
    [sym_preproc_def] = STATE(576),
    [sym_preproc_function_def] = STATE(576),
    [sym_preproc_call] = STATE(576),
    [sym_preproc_if_in_statements] = STATE(576),
    [sym_preproc_ifdef_in_statements] = STATE(576),
    [sym_preproc_else_in_statements] = STATE(8638),
    [sym_preproc_elif_in_statements] = STATE(8638),
    [sym_preproc_elifdef_in_statements] = STATE(8638),
    [sym_internal_procedures] = STATE(6681),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(576),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(576),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2552),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [574] = {
    [sym_preproc_include] = STATE(578),
    [sym_preproc_def] = STATE(578),
    [sym_preproc_function_def] = STATE(578),
    [sym_preproc_call] = STATE(578),
    [sym_preproc_if_in_statements] = STATE(578),
    [sym_preproc_ifdef_in_statements] = STATE(578),
    [sym_preproc_else_in_statements] = STATE(8639),
    [sym_preproc_elif_in_statements] = STATE(8639),
    [sym_preproc_elifdef_in_statements] = STATE(8639),
    [sym_internal_procedures] = STATE(6682),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(578),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(578),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2556),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [575] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8639),
    [sym_preproc_elif_in_statements] = STATE(8639),
    [sym_preproc_elifdef_in_statements] = STATE(8639),
    [sym_internal_procedures] = STATE(6682),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2554),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [576] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8644),
    [sym_preproc_elif_in_statements] = STATE(8644),
    [sym_preproc_elifdef_in_statements] = STATE(8644),
    [sym_internal_procedures] = STATE(6683),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [577] = {
    [sym_preproc_include] = STATE(579),
    [sym_preproc_def] = STATE(579),
    [sym_preproc_function_def] = STATE(579),
    [sym_preproc_call] = STATE(579),
    [sym_preproc_if_in_statements] = STATE(579),
    [sym_preproc_ifdef_in_statements] = STATE(579),
    [sym_preproc_else_in_statements] = STATE(8644),
    [sym_preproc_elif_in_statements] = STATE(8644),
    [sym_preproc_elifdef_in_statements] = STATE(8644),
    [sym_internal_procedures] = STATE(6683),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(579),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(579),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2560),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [578] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8645),
    [sym_preproc_elif_in_statements] = STATE(8645),
    [sym_preproc_elifdef_in_statements] = STATE(8645),
    [sym_internal_procedures] = STATE(6684),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [579] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8651),
    [sym_preproc_elif_in_statements] = STATE(8651),
    [sym_preproc_elifdef_in_statements] = STATE(8651),
    [sym_internal_procedures] = STATE(6685),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [580] = {
    [sym_preproc_include] = STATE(583),
    [sym_preproc_def] = STATE(583),
    [sym_preproc_function_def] = STATE(583),
    [sym_preproc_call] = STATE(583),
    [sym_preproc_if_in_statements] = STATE(583),
    [sym_preproc_ifdef_in_statements] = STATE(583),
    [sym_preproc_else_in_statements] = STATE(8671),
    [sym_preproc_elif_in_statements] = STATE(8671),
    [sym_preproc_elifdef_in_statements] = STATE(8671),
    [sym_internal_procedures] = STATE(6687),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(583),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(583),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2568),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [581] = {
    [sym_preproc_include] = STATE(585),
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_statements] = STATE(585),
    [sym_preproc_ifdef_in_statements] = STATE(585),
    [sym_preproc_else_in_statements] = STATE(8672),
    [sym_preproc_elif_in_statements] = STATE(8672),
    [sym_preproc_elifdef_in_statements] = STATE(8672),
    [sym_internal_procedures] = STATE(6688),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(585),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(585),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2572),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [582] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8672),
    [sym_preproc_elif_in_statements] = STATE(8672),
    [sym_preproc_elifdef_in_statements] = STATE(8672),
    [sym_internal_procedures] = STATE(6688),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [583] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_internal_procedures] = STATE(6689),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [584] = {
    [sym_preproc_include] = STATE(586),
    [sym_preproc_def] = STATE(586),
    [sym_preproc_function_def] = STATE(586),
    [sym_preproc_call] = STATE(586),
    [sym_preproc_if_in_statements] = STATE(586),
    [sym_preproc_ifdef_in_statements] = STATE(586),
    [sym_preproc_else_in_statements] = STATE(8677),
    [sym_preproc_elif_in_statements] = STATE(8677),
    [sym_preproc_elifdef_in_statements] = STATE(8677),
    [sym_internal_procedures] = STATE(6689),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(586),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(586),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2576),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [585] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8678),
    [sym_preproc_elif_in_statements] = STATE(8678),
    [sym_preproc_elifdef_in_statements] = STATE(8678),
    [sym_internal_procedures] = STATE(6690),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [586] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8684),
    [sym_preproc_elif_in_statements] = STATE(8684),
    [sym_preproc_elifdef_in_statements] = STATE(8684),
    [sym_internal_procedures] = STATE(6691),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [587] = {
    [sym_preproc_include] = STATE(590),
    [sym_preproc_def] = STATE(590),
    [sym_preproc_function_def] = STATE(590),
    [sym_preproc_call] = STATE(590),
    [sym_preproc_if_in_statements] = STATE(590),
    [sym_preproc_ifdef_in_statements] = STATE(590),
    [sym_preproc_else_in_statements] = STATE(8704),
    [sym_preproc_elif_in_statements] = STATE(8704),
    [sym_preproc_elifdef_in_statements] = STATE(8704),
    [sym_internal_procedures] = STATE(6694),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(590),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(590),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2584),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [588] = {
    [sym_preproc_include] = STATE(592),
    [sym_preproc_def] = STATE(592),
    [sym_preproc_function_def] = STATE(592),
    [sym_preproc_call] = STATE(592),
    [sym_preproc_if_in_statements] = STATE(592),
    [sym_preproc_ifdef_in_statements] = STATE(592),
    [sym_preproc_else_in_statements] = STATE(8705),
    [sym_preproc_elif_in_statements] = STATE(8705),
    [sym_preproc_elifdef_in_statements] = STATE(8705),
    [sym_internal_procedures] = STATE(6697),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(592),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(592),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2588),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [589] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8705),
    [sym_preproc_elif_in_statements] = STATE(8705),
    [sym_preproc_elifdef_in_statements] = STATE(8705),
    [sym_internal_procedures] = STATE(6697),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [590] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8710),
    [sym_preproc_elif_in_statements] = STATE(8710),
    [sym_preproc_elifdef_in_statements] = STATE(8710),
    [sym_internal_procedures] = STATE(6698),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [591] = {
    [sym_preproc_include] = STATE(593),
    [sym_preproc_def] = STATE(593),
    [sym_preproc_function_def] = STATE(593),
    [sym_preproc_call] = STATE(593),
    [sym_preproc_if_in_statements] = STATE(593),
    [sym_preproc_ifdef_in_statements] = STATE(593),
    [sym_preproc_else_in_statements] = STATE(8710),
    [sym_preproc_elif_in_statements] = STATE(8710),
    [sym_preproc_elifdef_in_statements] = STATE(8710),
    [sym_internal_procedures] = STATE(6698),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(593),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(593),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2592),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [592] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8711),
    [sym_preproc_elif_in_statements] = STATE(8711),
    [sym_preproc_elifdef_in_statements] = STATE(8711),
    [sym_internal_procedures] = STATE(6700),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [593] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8717),
    [sym_preproc_elif_in_statements] = STATE(8717),
    [sym_preproc_elifdef_in_statements] = STATE(8717),
    [sym_internal_procedures] = STATE(6701),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [594] = {
    [sym_preproc_include] = STATE(597),
    [sym_preproc_def] = STATE(597),
    [sym_preproc_function_def] = STATE(597),
    [sym_preproc_call] = STATE(597),
    [sym_preproc_if_in_statements] = STATE(597),
    [sym_preproc_ifdef_in_statements] = STATE(597),
    [sym_preproc_else_in_statements] = STATE(8734),
    [sym_preproc_elif_in_statements] = STATE(8734),
    [sym_preproc_elifdef_in_statements] = STATE(8734),
    [sym_internal_procedures] = STATE(6702),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(597),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(597),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2600),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [595] = {
    [sym_preproc_include] = STATE(599),
    [sym_preproc_def] = STATE(599),
    [sym_preproc_function_def] = STATE(599),
    [sym_preproc_call] = STATE(599),
    [sym_preproc_if_in_statements] = STATE(599),
    [sym_preproc_ifdef_in_statements] = STATE(599),
    [sym_preproc_else_in_statements] = STATE(8735),
    [sym_preproc_elif_in_statements] = STATE(8735),
    [sym_preproc_elifdef_in_statements] = STATE(8735),
    [sym_internal_procedures] = STATE(6704),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(599),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(599),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2604),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [596] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8735),
    [sym_preproc_elif_in_statements] = STATE(8735),
    [sym_preproc_elifdef_in_statements] = STATE(8735),
    [sym_internal_procedures] = STATE(6704),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [597] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8736),
    [sym_preproc_elif_in_statements] = STATE(8736),
    [sym_preproc_elifdef_in_statements] = STATE(8736),
    [sym_internal_procedures] = STATE(6706),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [598] = {
    [sym_preproc_include] = STATE(600),
    [sym_preproc_def] = STATE(600),
    [sym_preproc_function_def] = STATE(600),
    [sym_preproc_call] = STATE(600),
    [sym_preproc_if_in_statements] = STATE(600),
    [sym_preproc_ifdef_in_statements] = STATE(600),
    [sym_preproc_else_in_statements] = STATE(8736),
    [sym_preproc_elif_in_statements] = STATE(8736),
    [sym_preproc_elifdef_in_statements] = STATE(8736),
    [sym_internal_procedures] = STATE(6706),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(600),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(600),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2608),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [599] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8737),
    [sym_preproc_elif_in_statements] = STATE(8737),
    [sym_preproc_elifdef_in_statements] = STATE(8737),
    [sym_internal_procedures] = STATE(6707),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [600] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8738),
    [sym_preproc_elif_in_statements] = STATE(8738),
    [sym_preproc_elifdef_in_statements] = STATE(8738),
    [sym_internal_procedures] = STATE(6708),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [601] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym_preproc_else_in_statements] = STATE(8751),
    [sym_preproc_elif_in_statements] = STATE(8751),
    [sym_preproc_elifdef_in_statements] = STATE(8751),
    [sym_internal_procedures] = STATE(6713),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(604),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2616),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [602] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym_preproc_else_in_statements] = STATE(8752),
    [sym_preproc_elif_in_statements] = STATE(8752),
    [sym_preproc_elifdef_in_statements] = STATE(8752),
    [sym_internal_procedures] = STATE(6714),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(606),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2620),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [603] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8752),
    [sym_preproc_elif_in_statements] = STATE(8752),
    [sym_preproc_elifdef_in_statements] = STATE(8752),
    [sym_internal_procedures] = STATE(6714),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [604] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8753),
    [sym_preproc_elif_in_statements] = STATE(8753),
    [sym_preproc_elifdef_in_statements] = STATE(8753),
    [sym_internal_procedures] = STATE(6715),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [605] = {
    [sym_preproc_include] = STATE(607),
    [sym_preproc_def] = STATE(607),
    [sym_preproc_function_def] = STATE(607),
    [sym_preproc_call] = STATE(607),
    [sym_preproc_if_in_statements] = STATE(607),
    [sym_preproc_ifdef_in_statements] = STATE(607),
    [sym_preproc_else_in_statements] = STATE(8753),
    [sym_preproc_elif_in_statements] = STATE(8753),
    [sym_preproc_elifdef_in_statements] = STATE(8753),
    [sym_internal_procedures] = STATE(6715),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(607),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(607),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2624),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [606] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8754),
    [sym_preproc_elif_in_statements] = STATE(8754),
    [sym_preproc_elifdef_in_statements] = STATE(8754),
    [sym_internal_procedures] = STATE(6716),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [607] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8755),
    [sym_preproc_elif_in_statements] = STATE(8755),
    [sym_preproc_elifdef_in_statements] = STATE(8755),
    [sym_internal_procedures] = STATE(6717),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [608] = {
    [sym_preproc_include] = STATE(611),
    [sym_preproc_def] = STATE(611),
    [sym_preproc_function_def] = STATE(611),
    [sym_preproc_call] = STATE(611),
    [sym_preproc_if_in_statements] = STATE(611),
    [sym_preproc_ifdef_in_statements] = STATE(611),
    [sym_preproc_else_in_statements] = STATE(8768),
    [sym_preproc_elif_in_statements] = STATE(8768),
    [sym_preproc_elifdef_in_statements] = STATE(8768),
    [sym_internal_procedures] = STATE(6722),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(611),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(611),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2632),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [609] = {
    [sym_preproc_include] = STATE(613),
    [sym_preproc_def] = STATE(613),
    [sym_preproc_function_def] = STATE(613),
    [sym_preproc_call] = STATE(613),
    [sym_preproc_if_in_statements] = STATE(613),
    [sym_preproc_ifdef_in_statements] = STATE(613),
    [sym_preproc_else_in_statements] = STATE(8769),
    [sym_preproc_elif_in_statements] = STATE(8769),
    [sym_preproc_elifdef_in_statements] = STATE(8769),
    [sym_internal_procedures] = STATE(6723),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(613),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(613),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2636),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [610] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8769),
    [sym_preproc_elif_in_statements] = STATE(8769),
    [sym_preproc_elifdef_in_statements] = STATE(8769),
    [sym_internal_procedures] = STATE(6723),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [611] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8770),
    [sym_preproc_elif_in_statements] = STATE(8770),
    [sym_preproc_elifdef_in_statements] = STATE(8770),
    [sym_internal_procedures] = STATE(6724),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [612] = {
    [sym_preproc_include] = STATE(401),
    [sym_preproc_def] = STATE(401),
    [sym_preproc_function_def] = STATE(401),
    [sym_preproc_call] = STATE(401),
    [sym_preproc_if_in_statements] = STATE(401),
    [sym_preproc_ifdef_in_statements] = STATE(401),
    [sym_preproc_else_in_statements] = STATE(8770),
    [sym_preproc_elif_in_statements] = STATE(8770),
    [sym_preproc_elifdef_in_statements] = STATE(8770),
    [sym_internal_procedures] = STATE(6724),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(401),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(401),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(2640),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [613] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(8771),
    [sym_preproc_elif_in_statements] = STATE(8771),
    [sym_preproc_elifdef_in_statements] = STATE(8771),
    [sym_internal_procedures] = STATE(6725),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [614] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym_preproc_else_in_statements] = STATE(9129),
    [sym_preproc_elif_in_statements] = STATE(9129),
    [sym_preproc_elifdef_in_statements] = STATE(9129),
    [sym_internal_procedures] = STATE(6774),
    [sym_contains_statement] = STATE(7394),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1948),
    [aux_sym_preproc_if_token1] = ACTIONS(1950),
    [aux_sym_preproc_if_token2] = ACTIONS(2362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1954),
    [aux_sym_preproc_else_token1] = ACTIONS(2120),
    [aux_sym_preproc_elif_token1] = ACTIONS(2122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2124),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(1958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1964),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [615] = {
    [sym_preproc_include] = STATE(625),
    [sym_preproc_def] = STATE(625),
    [sym_preproc_function_def] = STATE(625),
    [sym_preproc_call] = STATE(625),
    [sym_preproc_if_in_module] = STATE(625),
    [sym_preproc_ifdef_in_module] = STATE(625),
    [sym_preproc_if_in_specification_part] = STATE(625),
    [sym_preproc_ifdef_in_specification_part] = STATE(625),
    [sym_end_submodule_statement] = STATE(1071),
    [sym_interface] = STATE(625),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7970),
    [sym_contains_statement] = STATE(7811),
    [sym__specification_part] = STATE(625),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(625),
    [sym_public_statement] = STATE(625),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(625),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(625),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(625),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(625),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(625),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2654),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2660),
    [aux_sym_public_statement_token1] = ACTIONS(2662),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2666),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [616] = {
    [sym_preproc_include] = STATE(702),
    [sym_preproc_def] = STATE(702),
    [sym_preproc_function_def] = STATE(702),
    [sym_preproc_call] = STATE(702),
    [sym_preproc_if_in_module] = STATE(702),
    [sym_preproc_ifdef_in_module] = STATE(702),
    [sym_preproc_if_in_specification_part] = STATE(702),
    [sym_preproc_ifdef_in_specification_part] = STATE(702),
    [sym_end_module_statement] = STATE(1238),
    [sym_interface] = STATE(702),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7455),
    [sym_contains_statement] = STATE(7296),
    [sym__specification_part] = STATE(702),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(702),
    [sym_public_statement] = STATE(702),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(702),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(702),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(702),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(702),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(702),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2682),
    [aux_sym_end_module_statement_token1] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2686),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2688),
    [aux_sym_public_statement_token1] = ACTIONS(2690),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [617] = {
    [sym_preproc_include] = STATE(703),
    [sym_preproc_def] = STATE(703),
    [sym_preproc_function_def] = STATE(703),
    [sym_preproc_call] = STATE(703),
    [sym_preproc_if_in_module] = STATE(703),
    [sym_preproc_ifdef_in_module] = STATE(703),
    [sym_preproc_if_in_specification_part] = STATE(703),
    [sym_preproc_ifdef_in_specification_part] = STATE(703),
    [sym_end_submodule_statement] = STATE(1245),
    [sym_interface] = STATE(703),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7496),
    [sym_contains_statement] = STATE(7811),
    [sym__specification_part] = STATE(703),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(703),
    [sym_public_statement] = STATE(703),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(703),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(703),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(703),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(703),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(703),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2694),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2660),
    [aux_sym_public_statement_token1] = ACTIONS(2662),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2666),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [618] = {
    [sym_preproc_include] = STATE(702),
    [sym_preproc_def] = STATE(702),
    [sym_preproc_function_def] = STATE(702),
    [sym_preproc_call] = STATE(702),
    [sym_preproc_if_in_module] = STATE(702),
    [sym_preproc_ifdef_in_module] = STATE(702),
    [sym_preproc_if_in_specification_part] = STATE(702),
    [sym_preproc_ifdef_in_specification_part] = STATE(702),
    [sym_end_module_statement] = STATE(1118),
    [sym_interface] = STATE(702),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7742),
    [sym_contains_statement] = STATE(7296),
    [sym__specification_part] = STATE(702),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(702),
    [sym_public_statement] = STATE(702),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(702),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(702),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(702),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(702),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(702),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2700),
    [aux_sym_end_module_statement_token1] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2686),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2688),
    [aux_sym_public_statement_token1] = ACTIONS(2690),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [619] = {
    [sym_preproc_include] = STATE(703),
    [sym_preproc_def] = STATE(703),
    [sym_preproc_function_def] = STATE(703),
    [sym_preproc_call] = STATE(703),
    [sym_preproc_if_in_module] = STATE(703),
    [sym_preproc_ifdef_in_module] = STATE(703),
    [sym_preproc_if_in_specification_part] = STATE(703),
    [sym_preproc_ifdef_in_specification_part] = STATE(703),
    [sym_end_submodule_statement] = STATE(1120),
    [sym_interface] = STATE(703),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7748),
    [sym_contains_statement] = STATE(7811),
    [sym__specification_part] = STATE(703),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(703),
    [sym_public_statement] = STATE(703),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(703),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(703),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(703),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(703),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(703),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2704),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2698),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2660),
    [aux_sym_public_statement_token1] = ACTIONS(2662),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2666),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [620] = {
    [sym_preproc_include] = STATE(618),
    [sym_preproc_def] = STATE(618),
    [sym_preproc_function_def] = STATE(618),
    [sym_preproc_call] = STATE(618),
    [sym_preproc_if_in_module] = STATE(618),
    [sym_preproc_ifdef_in_module] = STATE(618),
    [sym_preproc_if_in_specification_part] = STATE(618),
    [sym_preproc_ifdef_in_specification_part] = STATE(618),
    [sym_end_module_statement] = STATE(1110),
    [sym_interface] = STATE(618),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7712),
    [sym_contains_statement] = STATE(7296),
    [sym__specification_part] = STATE(618),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(618),
    [sym_public_statement] = STATE(618),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(618),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(618),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(618),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(618),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(618),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2700),
    [aux_sym_end_module_statement_token1] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2708),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2688),
    [aux_sym_public_statement_token1] = ACTIONS(2690),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [621] = {
    [sym_preproc_include] = STATE(619),
    [sym_preproc_def] = STATE(619),
    [sym_preproc_function_def] = STATE(619),
    [sym_preproc_call] = STATE(619),
    [sym_preproc_if_in_module] = STATE(619),
    [sym_preproc_ifdef_in_module] = STATE(619),
    [sym_preproc_if_in_specification_part] = STATE(619),
    [sym_preproc_ifdef_in_specification_part] = STATE(619),
    [sym_end_submodule_statement] = STATE(1111),
    [sym_interface] = STATE(619),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7713),
    [sym_contains_statement] = STATE(7811),
    [sym__specification_part] = STATE(619),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(619),
    [sym_public_statement] = STATE(619),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(619),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(619),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(619),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(619),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(619),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2704),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2710),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2660),
    [aux_sym_public_statement_token1] = ACTIONS(2662),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2666),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [622] = {
    [sym_preproc_include] = STATE(616),
    [sym_preproc_def] = STATE(616),
    [sym_preproc_function_def] = STATE(616),
    [sym_preproc_call] = STATE(616),
    [sym_preproc_if_in_module] = STATE(616),
    [sym_preproc_ifdef_in_module] = STATE(616),
    [sym_preproc_if_in_specification_part] = STATE(616),
    [sym_preproc_ifdef_in_specification_part] = STATE(616),
    [sym_end_module_statement] = STATE(1142),
    [sym_interface] = STATE(616),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7651),
    [sym_contains_statement] = STATE(7296),
    [sym__specification_part] = STATE(616),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(616),
    [sym_public_statement] = STATE(616),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(616),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(616),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(616),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(616),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(616),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2682),
    [aux_sym_end_module_statement_token1] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2712),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2688),
    [aux_sym_public_statement_token1] = ACTIONS(2690),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [623] = {
    [sym_preproc_include] = STATE(617),
    [sym_preproc_def] = STATE(617),
    [sym_preproc_function_def] = STATE(617),
    [sym_preproc_call] = STATE(617),
    [sym_preproc_if_in_module] = STATE(617),
    [sym_preproc_ifdef_in_module] = STATE(617),
    [sym_preproc_if_in_specification_part] = STATE(617),
    [sym_preproc_ifdef_in_specification_part] = STATE(617),
    [sym_end_submodule_statement] = STATE(1150),
    [sym_interface] = STATE(617),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7512),
    [sym_contains_statement] = STATE(7811),
    [sym__specification_part] = STATE(617),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(617),
    [sym_public_statement] = STATE(617),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(617),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(617),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(617),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(617),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(617),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2694),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2714),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2660),
    [aux_sym_public_statement_token1] = ACTIONS(2662),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2666),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [624] = {
    [sym_preproc_include] = STATE(702),
    [sym_preproc_def] = STATE(702),
    [sym_preproc_function_def] = STATE(702),
    [sym_preproc_call] = STATE(702),
    [sym_preproc_if_in_module] = STATE(702),
    [sym_preproc_ifdef_in_module] = STATE(702),
    [sym_preproc_if_in_specification_part] = STATE(702),
    [sym_preproc_ifdef_in_specification_part] = STATE(702),
    [sym_end_module_statement] = STATE(1049),
    [sym_interface] = STATE(702),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8063),
    [sym_contains_statement] = STATE(7296),
    [sym__specification_part] = STATE(702),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(702),
    [sym_public_statement] = STATE(702),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(702),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(702),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(702),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(702),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(702),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2716),
    [aux_sym_end_module_statement_token1] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2686),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2688),
    [aux_sym_public_statement_token1] = ACTIONS(2690),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [625] = {
    [sym_preproc_include] = STATE(703),
    [sym_preproc_def] = STATE(703),
    [sym_preproc_function_def] = STATE(703),
    [sym_preproc_call] = STATE(703),
    [sym_preproc_if_in_module] = STATE(703),
    [sym_preproc_ifdef_in_module] = STATE(703),
    [sym_preproc_if_in_specification_part] = STATE(703),
    [sym_preproc_ifdef_in_specification_part] = STATE(703),
    [sym_end_submodule_statement] = STATE(1005),
    [sym_interface] = STATE(703),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(8066),
    [sym_contains_statement] = STATE(7811),
    [sym__specification_part] = STATE(703),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(703),
    [sym_public_statement] = STATE(703),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(703),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(703),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(703),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(703),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(703),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2654),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2698),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2660),
    [aux_sym_public_statement_token1] = ACTIONS(2662),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2666),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [626] = {
    [sym_preproc_include] = STATE(624),
    [sym_preproc_def] = STATE(624),
    [sym_preproc_function_def] = STATE(624),
    [sym_preproc_call] = STATE(624),
    [sym_preproc_if_in_module] = STATE(624),
    [sym_preproc_ifdef_in_module] = STATE(624),
    [sym_preproc_if_in_specification_part] = STATE(624),
    [sym_preproc_ifdef_in_specification_part] = STATE(624),
    [sym_end_module_statement] = STATE(1066),
    [sym_interface] = STATE(624),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym_internal_procedures] = STATE(7961),
    [sym_contains_statement] = STATE(7296),
    [sym__specification_part] = STATE(624),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(624),
    [sym_public_statement] = STATE(624),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(624),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(624),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(624),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(624),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(624),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2716),
    [aux_sym_end_module_statement_token1] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2720),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2688),
    [aux_sym_public_statement_token1] = ACTIONS(2690),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [627] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5359),
    [sym_internal_procedures] = STATE(7462),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1309),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [628] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5677),
    [sym_internal_procedures] = STATE(7660),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [629] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(1222),
    [sym_internal_procedures] = STATE(7846),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1209),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [630] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5652),
    [sym_internal_procedures] = STATE(7371),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1239),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [631] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5632),
    [sym_internal_procedures] = STATE(8020),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1227),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [632] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5650),
    [sym_internal_procedures] = STATE(8045),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1227),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [633] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(1253),
    [sym_internal_procedures] = STATE(7676),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [634] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(1125),
    [sym_internal_procedures] = STATE(7930),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1209),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [635] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5691),
    [sym_internal_procedures] = STATE(7786),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1193),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [636] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(1170),
    [sym_internal_procedures] = STATE(8104),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [637] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(1172),
    [sym_internal_procedures] = STATE(8106),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1249),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [638] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(1176),
    [sym_internal_procedures] = STATE(8108),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1243),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1245),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [639] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(1179),
    [sym_internal_procedures] = STATE(8110),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1249),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [640] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5710),
    [sym_internal_procedures] = STATE(7272),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1259),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [641] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5719),
    [sym_internal_procedures] = STATE(7281),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1259),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [642] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(1044),
    [sym_internal_procedures] = STATE(7480),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1203),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [643] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5788),
    [sym_internal_procedures] = STATE(7299),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1267),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [644] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5790),
    [sym_internal_procedures] = STATE(7303),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1271),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [645] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5795),
    [sym_internal_procedures] = STATE(7306),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1267),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [646] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5798),
    [sym_internal_procedures] = STATE(7308),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1271),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [647] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(1072),
    [sym_internal_procedures] = STATE(7506),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1151),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [648] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5761),
    [sym_internal_procedures] = STATE(7355),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1281),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [649] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(1036),
    [sym_internal_procedures] = STATE(7703),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1203),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [650] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5767),
    [sym_internal_procedures] = STATE(7368),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1281),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [651] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(1043),
    [sym_internal_procedures] = STATE(7707),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1151),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [652] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5813),
    [sym_internal_procedures] = STATE(7384),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1283),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [653] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5815),
    [sym_internal_procedures] = STATE(7386),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1289),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [654] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5818),
    [sym_internal_procedures] = STATE(7388),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1283),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [655] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5821),
    [sym_internal_procedures] = STATE(7390),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1289),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [656] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5239),
    [sym_internal_procedures] = STATE(7434),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1299),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [657] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5231),
    [sym_internal_procedures] = STATE(7443),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1299),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [658] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5638),
    [sym_internal_procedures] = STATE(7996),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1239),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [659] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5364),
    [sym_internal_procedures] = STATE(7466),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1313),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [660] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5334),
    [sym_internal_procedures] = STATE(7469),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1309),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [661] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5355),
    [sym_internal_procedures] = STATE(7471),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1313),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [662] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5693),
    [sym_internal_procedures] = STATE(7788),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1197),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [663] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5647),
    [sym_internal_procedures] = STATE(7601),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [664] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5554),
    [sym_internal_procedures] = STATE(7503),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [665] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(4980),
    [sym_internal_procedures] = STATE(8074),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1179),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [666] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5558),
    [sym_internal_procedures] = STATE(7510),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [667] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(4995),
    [sym_internal_procedures] = STATE(8080),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1189),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [668] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5883),
    [sym_internal_procedures] = STATE(7523),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1333),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [669] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym__statements] = STATE(7309),
    [sym_statement_label] = STATE(943),
    [sym_stop_statement] = STATE(7309),
    [sym_assignment_statement] = STATE(7309),
    [sym_pointer_association_statement] = STATE(7309),
    [sym_subroutine_call] = STATE(7309),
    [sym_keyword_statement] = STATE(7309),
    [sym_include_statement] = STATE(669),
    [sym_do_loop_statement] = STATE(7309),
    [sym_do_label_statement] = STATE(7309),
    [sym_end_do_label_statement] = STATE(7309),
    [sym_if_statement] = STATE(7309),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7309),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7309),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7309),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7309),
    [sym_select_type_statement] = STATE(7309),
    [sym_select_rank_statement] = STATE(7309),
    [sym_block_construct] = STATE(7309),
    [sym_associate_statement] = STATE(7309),
    [sym_format_statement] = STATE(7309),
    [sym_read_statement] = STATE(7309),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7309),
    [sym_open_statement] = STATE(7309),
    [sym_close_statement] = STATE(7309),
    [sym_write_statement] = STATE(7309),
    [sym_inquire_statement] = STATE(7309),
    [sym_file_position_statement] = STATE(7309),
    [sym_allocate_statement] = STATE(7309),
    [sym_entry_statement] = STATE(7309),
    [sym_assign_statement] = STATE(7309),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7309),
    [sym_coarray_team_statement] = STATE(7309),
    [sym_coarray_critical_statement] = STATE(7309),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(2764),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [aux_sym_end_program_statement_token2] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2790),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(2835),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [670] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5885),
    [sym_internal_procedures] = STATE(7526),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1337),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [671] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5888),
    [sym_internal_procedures] = STATE(7529),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1333),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [672] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5891),
    [sym_internal_procedures] = STATE(7531),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1337),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [673] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5848),
    [sym_internal_procedures] = STATE(7564),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [674] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym_end_module_procedure_statement] = STATE(5856),
    [sym_internal_procedures] = STATE(7570),
    [sym_contains_statement] = STATE(7534),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(2746),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [675] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5902),
    [sym_internal_procedures] = STATE(7580),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [676] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5904),
    [sym_internal_procedures] = STATE(7584),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1355),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [677] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5907),
    [sym_internal_procedures] = STATE(7587),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1351),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [678] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5910),
    [sym_internal_procedures] = STATE(7589),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1355),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [679] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5054),
    [sym_internal_procedures] = STATE(7576),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1179),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [680] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5057),
    [sym_internal_procedures] = STATE(7695),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1189),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [681] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5193),
    [sym_internal_procedures] = STATE(7634),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1363),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [682] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5195),
    [sym_internal_procedures] = STATE(7636),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1365),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1367),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [683] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5207),
    [sym_internal_procedures] = STATE(7638),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1363),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [684] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5216),
    [sym_internal_procedures] = STATE(7640),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1365),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1367),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [685] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5439),
    [sym_internal_procedures] = STATE(7675),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1375),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [686] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5441),
    [sym_internal_procedures] = STATE(7679),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1379),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [687] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5444),
    [sym_internal_procedures] = STATE(7681),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1375),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [688] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5447),
    [sym_internal_procedures] = STATE(7683),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1379),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [689] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5715),
    [sym_internal_procedures] = STATE(7725),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1387),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [690] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5722),
    [sym_internal_procedures] = STATE(7728),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1163),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [691] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5740),
    [sym_internal_procedures] = STATE(7730),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1387),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [692] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5749),
    [sym_internal_procedures] = STATE(7732),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1163),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [693] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym_end_function_statement] = STATE(5700),
    [sym_internal_procedures] = STATE(7796),
    [sym_contains_statement] = STATE(7315),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2752),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2756),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2756),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(2760),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_end_function_statement_token1] = ACTIONS(1197),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [694] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(1218),
    [sym_internal_procedures] = STATE(7808),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [695] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym_end_subroutine_statement] = STATE(5697),
    [sym_internal_procedures] = STATE(7793),
    [sym_contains_statement] = STATE(8113),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(2732),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1193),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2734),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [696] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_end_where_statement] = STATE(8448),
    [sym_elsewhere_clause] = STATE(6830),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym__block_where_statement_repeat1] = STATE(6830),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2962),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2964),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [697] = {
    [sym_preproc_include] = STATE(699),
    [sym_preproc_def] = STATE(699),
    [sym_preproc_function_def] = STATE(699),
    [sym_preproc_call] = STATE(699),
    [sym_preproc_if_in_module] = STATE(699),
    [sym_preproc_ifdef_in_module] = STATE(699),
    [sym_preproc_if_in_specification_part] = STATE(699),
    [sym_preproc_ifdef_in_specification_part] = STATE(699),
    [sym_interface] = STATE(699),
    [sym_interface_statement] = STATE(4680),
    [sym_end_block_data_statement] = STATE(1112),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(699),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(699),
    [sym_public_statement] = STATE(699),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(699),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(699),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(699),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(699),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(699),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2974),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2978),
    [anon_sym_SEMI] = ACTIONS(2980),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(2982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2984),
    [aux_sym_public_statement_token1] = ACTIONS(2986),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [698] = {
    [sym_preproc_include] = STATE(814),
    [sym_preproc_def] = STATE(814),
    [sym_preproc_function_def] = STATE(814),
    [sym_preproc_call] = STATE(814),
    [sym_preproc_if_in_statements] = STATE(814),
    [sym_preproc_ifdef_in_statements] = STATE(814),
    [sym_end_program_statement] = STATE(1109),
    [sym_internal_procedures] = STATE(7171),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7477),
    [sym_statement_label] = STATE(960),
    [sym_stop_statement] = STATE(7477),
    [sym_assignment_statement] = STATE(7477),
    [sym_pointer_association_statement] = STATE(7477),
    [sym_subroutine_call] = STATE(7477),
    [sym_keyword_statement] = STATE(7477),
    [sym_include_statement] = STATE(814),
    [sym_do_loop_statement] = STATE(7477),
    [sym_do_label_statement] = STATE(7477),
    [sym_end_do_label_statement] = STATE(7477),
    [sym_if_statement] = STATE(7477),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7477),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7477),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7477),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7477),
    [sym_select_type_statement] = STATE(7477),
    [sym_select_rank_statement] = STATE(7477),
    [sym_block_construct] = STATE(7477),
    [sym_associate_statement] = STATE(7477),
    [sym_format_statement] = STATE(7477),
    [sym_read_statement] = STATE(7477),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7477),
    [sym_open_statement] = STATE(7477),
    [sym_close_statement] = STATE(7477),
    [sym_write_statement] = STATE(7477),
    [sym_inquire_statement] = STATE(7477),
    [sym_file_position_statement] = STATE(7477),
    [sym_allocate_statement] = STATE(7477),
    [sym_entry_statement] = STATE(7477),
    [sym_assign_statement] = STATE(7477),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7477),
    [sym_coarray_team_statement] = STATE(7477),
    [sym_coarray_critical_statement] = STATE(7477),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(814),
    [aux_sym_preproc_include_token1] = ACTIONS(2990),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(3000),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [699] = {
    [sym_preproc_include] = STATE(784),
    [sym_preproc_def] = STATE(784),
    [sym_preproc_function_def] = STATE(784),
    [sym_preproc_call] = STATE(784),
    [sym_preproc_if_in_module] = STATE(784),
    [sym_preproc_ifdef_in_module] = STATE(784),
    [sym_preproc_if_in_specification_part] = STATE(784),
    [sym_preproc_ifdef_in_specification_part] = STATE(784),
    [sym_interface] = STATE(784),
    [sym_interface_statement] = STATE(4680),
    [sym_end_block_data_statement] = STATE(1122),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(784),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(784),
    [sym_public_statement] = STATE(784),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(784),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(784),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(784),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(784),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(784),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2974),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2978),
    [anon_sym_SEMI] = ACTIONS(3004),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(2982),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2984),
    [aux_sym_public_statement_token1] = ACTIONS(2986),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [700] = {
    [sym_preproc_include] = STATE(814),
    [sym_preproc_def] = STATE(814),
    [sym_preproc_function_def] = STATE(814),
    [sym_preproc_call] = STATE(814),
    [sym_preproc_if_in_statements] = STATE(814),
    [sym_preproc_ifdef_in_statements] = STATE(814),
    [sym_end_program_statement] = STATE(1109),
    [sym_internal_procedures] = STATE(7154),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7477),
    [sym_statement_label] = STATE(960),
    [sym_stop_statement] = STATE(7477),
    [sym_assignment_statement] = STATE(7477),
    [sym_pointer_association_statement] = STATE(7477),
    [sym_subroutine_call] = STATE(7477),
    [sym_keyword_statement] = STATE(7477),
    [sym_include_statement] = STATE(814),
    [sym_do_loop_statement] = STATE(7477),
    [sym_do_label_statement] = STATE(7477),
    [sym_end_do_label_statement] = STATE(7477),
    [sym_if_statement] = STATE(7477),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7477),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7477),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7477),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7477),
    [sym_select_type_statement] = STATE(7477),
    [sym_select_rank_statement] = STATE(7477),
    [sym_block_construct] = STATE(7477),
    [sym_associate_statement] = STATE(7477),
    [sym_format_statement] = STATE(7477),
    [sym_read_statement] = STATE(7477),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7477),
    [sym_open_statement] = STATE(7477),
    [sym_close_statement] = STATE(7477),
    [sym_write_statement] = STATE(7477),
    [sym_inquire_statement] = STATE(7477),
    [sym_file_position_statement] = STATE(7477),
    [sym_allocate_statement] = STATE(7477),
    [sym_entry_statement] = STATE(7477),
    [sym_assign_statement] = STATE(7477),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7477),
    [sym_coarray_team_statement] = STATE(7477),
    [sym_coarray_critical_statement] = STATE(7477),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(814),
    [aux_sym_preproc_include_token1] = ACTIONS(2990),
    [aux_sym_preproc_def_token1] = ACTIONS(2992),
    [aux_sym_preproc_if_token1] = ACTIONS(2994),
    [aux_sym_preproc_if_token2] = ACTIONS(1447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2996),
    [sym_preproc_directive] = ACTIONS(2998),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(3000),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [701] = {
    [sym_preproc_include] = STATE(784),
    [sym_preproc_def] = STATE(784),
    [sym_preproc_function_def] = STATE(784),
    [sym_preproc_call] = STATE(784),
    [sym_preproc_if_in_module] = STATE(784),
    [sym_preproc_ifdef_in_module] = STATE(784),
    [sym_preproc_if_in_specification_part] = STATE(784),
    [sym_preproc_ifdef_in_specification_part] = STATE(784),
    [sym_interface] = STATE(784),
    [sym_interface_statement] = STATE(4680),
    [sym_end_block_data_statement] = STATE(1053),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(784),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(784),
    [sym_public_statement] = STATE(784),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(784),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(784),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(784),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(784),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(784),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2974),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3004),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2984),
    [aux_sym_public_statement_token1] = ACTIONS(2986),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [702] = {
    [sym_preproc_include] = STATE(702),
    [sym_preproc_def] = STATE(702),
    [sym_preproc_function_def] = STATE(702),
    [sym_preproc_call] = STATE(702),
    [sym_preproc_if_in_module] = STATE(702),
    [sym_preproc_ifdef_in_module] = STATE(702),
    [sym_preproc_if_in_specification_part] = STATE(702),
    [sym_preproc_ifdef_in_specification_part] = STATE(702),
    [sym_interface] = STATE(702),
    [sym_interface_statement] = STATE(4695),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(702),
    [sym_use_statement] = STATE(7297),
    [sym_implicit_statement] = STATE(7297),
    [sym_save_statement] = STATE(7297),
    [sym_private_statement] = STATE(702),
    [sym_public_statement] = STATE(702),
    [sym_namelist_statement] = STATE(7297),
    [sym_common_statement] = STATE(7297),
    [sym_import_statement] = STATE(7297),
    [sym_derived_type_definition] = STATE(702),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4900),
    [sym_variable_declaration] = STATE(7297),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7297),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7297),
    [sym_equivalence_statement] = STATE(7297),
    [sym_statement_label] = STATE(7665),
    [sym_assignment_statement] = STATE(7297),
    [sym_include_statement] = STATE(702),
    [sym_data_statement] = STATE(7297),
    [sym_enum] = STATE(702),
    [sym_enum_statement] = STATE(6869),
    [sym_enumeration_type] = STATE(702),
    [sym_enumeration_type_statement] = STATE(6900),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(702),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(3010),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3022),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3031),
    [aux_sym_end_module_statement_token1] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3036),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_block_data_statement_token1] = ACTIONS(3042),
    [aux_sym_block_data_statement_token2] = ACTIONS(3045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3048),
    [aux_sym_language_binding_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3057),
    [aux_sym_contains_statement_token1] = ACTIONS(3034),
    [aux_sym_use_statement_token1] = ACTIONS(3060),
    [aux_sym_use_statement_token2] = ACTIONS(3057),
    [aux_sym_implicit_statement_token1] = ACTIONS(3063),
    [aux_sym_implicit_statement_token3] = ACTIONS(3066),
    [aux_sym_implicit_statement_token4] = ACTIONS(3057),
    [aux_sym_save_statement_token1] = ACTIONS(3069),
    [aux_sym_private_statement_token1] = ACTIONS(3072),
    [aux_sym_public_statement_token1] = ACTIONS(3075),
    [aux_sym_namelist_statement_token1] = ACTIONS(3078),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3057),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3087),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3057),
    [aux_sym_variable_attributes_token1] = ACTIONS(3090),
    [aux_sym_variable_attributes_token2] = ACTIONS(3057),
    [aux_sym_variable_attributes_token3] = ACTIONS(3057),
    [aux_sym_variable_attributes_token4] = ACTIONS(3090),
    [aux_sym_variable_attributes_token5] = ACTIONS(3057),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3099),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3102),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3096),
    [aux_sym_derived_type_token1] = ACTIONS(3105),
    [aux_sym_declared_type_token1] = ACTIONS(3108),
    [aux_sym_declared_type_token2] = ACTIONS(3108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3111),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3114),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3117),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3123),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3090),
    [aux_sym_type_qualifier_token1] = ACTIONS(3042),
    [aux_sym_type_qualifier_token2] = ACTIONS(3042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3126),
    [aux_sym_stop_statement_token1] = ACTIONS(3042),
    [aux_sym_stop_statement_token2] = ACTIONS(3042),
    [aux_sym_subroutine_call_token1] = ACTIONS(3129),
    [aux_sym_keyword_statement_token2] = ACTIONS(3042),
    [aux_sym_keyword_statement_token3] = ACTIONS(3042),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3135),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3042),
    [aux_sym_end_if_statement_token1] = ACTIONS(3042),
    [aux_sym_elseif_clause_token2] = ACTIONS(3042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3129),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3042),
    [aux_sym_print_statement_token1] = ACTIONS(3129),
    [aux_sym_open_statement_token1] = ACTIONS(3129),
    [aux_sym_inquire_statement_token1] = ACTIONS(3042),
    [aux_sym_enum_statement_token1] = ACTIONS(3141),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3144),
    [aux_sym_entry_statement_token1] = ACTIONS(3042),
    [aux_sym_logical_expression_token5] = ACTIONS(3147),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [aux_sym_boolean_literal_token1] = ACTIONS(3159),
    [aux_sym_boolean_literal_token2] = ACTIONS(3159),
    [aux_sym_null_literal_token1] = ACTIONS(3162),
    [aux_sym_coarray_statement_token1] = ACTIONS(3042),
    [aux_sym_coarray_statement_token2] = ACTIONS(3042),
    [aux_sym_coarray_statement_token6] = ACTIONS(3042),
    [aux_sym_coarray_statement_token8] = ACTIONS(3042),
    [aux_sym_coarray_statement_token11] = ACTIONS(3042),
    [aux_sym_coarray_statement_token12] = ACTIONS(3042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3042),
    [aux_sym_identifier_token1] = ACTIONS(3042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3165),
    [sym__float_literal] = ACTIONS(3168),
    [sym__boz_literal] = ACTIONS(3168),
    [sym__string_literal] = ACTIONS(3171),
    [sym__string_literal_kind] = ACTIONS(3174),
  },
  [703] = {
    [sym_preproc_include] = STATE(703),
    [sym_preproc_def] = STATE(703),
    [sym_preproc_function_def] = STATE(703),
    [sym_preproc_call] = STATE(703),
    [sym_preproc_if_in_module] = STATE(703),
    [sym_preproc_ifdef_in_module] = STATE(703),
    [sym_preproc_if_in_specification_part] = STATE(703),
    [sym_preproc_ifdef_in_specification_part] = STATE(703),
    [sym_interface] = STATE(703),
    [sym_interface_statement] = STATE(4700),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(703),
    [sym_use_statement] = STATE(7812),
    [sym_implicit_statement] = STATE(7812),
    [sym_save_statement] = STATE(7812),
    [sym_private_statement] = STATE(703),
    [sym_public_statement] = STATE(703),
    [sym_namelist_statement] = STATE(7812),
    [sym_common_statement] = STATE(7812),
    [sym_import_statement] = STATE(7812),
    [sym_derived_type_definition] = STATE(703),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4886),
    [sym_variable_declaration] = STATE(7812),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(7812),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(7812),
    [sym_equivalence_statement] = STATE(7812),
    [sym_statement_label] = STATE(7928),
    [sym_assignment_statement] = STATE(7812),
    [sym_include_statement] = STATE(703),
    [sym_data_statement] = STATE(7812),
    [sym_enum] = STATE(703),
    [sym_enum_statement] = STATE(6855),
    [sym_enumeration_type] = STATE(703),
    [sym_enumeration_type_statement] = STATE(6924),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(703),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(3177),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3186),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3031),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3192),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_block_data_statement_token1] = ACTIONS(3042),
    [aux_sym_block_data_statement_token2] = ACTIONS(3045),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3048),
    [aux_sym_language_binding_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3057),
    [aux_sym_contains_statement_token1] = ACTIONS(3034),
    [aux_sym_use_statement_token1] = ACTIONS(3060),
    [aux_sym_use_statement_token2] = ACTIONS(3057),
    [aux_sym_implicit_statement_token1] = ACTIONS(3063),
    [aux_sym_implicit_statement_token3] = ACTIONS(3066),
    [aux_sym_implicit_statement_token4] = ACTIONS(3057),
    [aux_sym_save_statement_token1] = ACTIONS(3069),
    [aux_sym_private_statement_token1] = ACTIONS(3195),
    [aux_sym_public_statement_token1] = ACTIONS(3198),
    [aux_sym_namelist_statement_token1] = ACTIONS(3078),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3057),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3087),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3057),
    [aux_sym_variable_attributes_token1] = ACTIONS(3090),
    [aux_sym_variable_attributes_token2] = ACTIONS(3057),
    [aux_sym_variable_attributes_token3] = ACTIONS(3057),
    [aux_sym_variable_attributes_token4] = ACTIONS(3090),
    [aux_sym_variable_attributes_token5] = ACTIONS(3057),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3099),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3102),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3096),
    [aux_sym_derived_type_token1] = ACTIONS(3105),
    [aux_sym_declared_type_token1] = ACTIONS(3108),
    [aux_sym_declared_type_token2] = ACTIONS(3108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3111),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3114),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3117),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3123),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3090),
    [aux_sym_type_qualifier_token1] = ACTIONS(3042),
    [aux_sym_type_qualifier_token2] = ACTIONS(3042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3126),
    [aux_sym_stop_statement_token1] = ACTIONS(3042),
    [aux_sym_stop_statement_token2] = ACTIONS(3042),
    [aux_sym_subroutine_call_token1] = ACTIONS(3129),
    [aux_sym_keyword_statement_token2] = ACTIONS(3042),
    [aux_sym_keyword_statement_token3] = ACTIONS(3042),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3201),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3042),
    [aux_sym_end_if_statement_token1] = ACTIONS(3042),
    [aux_sym_elseif_clause_token2] = ACTIONS(3042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3129),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3042),
    [aux_sym_print_statement_token1] = ACTIONS(3129),
    [aux_sym_open_statement_token1] = ACTIONS(3129),
    [aux_sym_inquire_statement_token1] = ACTIONS(3042),
    [aux_sym_enum_statement_token1] = ACTIONS(3141),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3144),
    [aux_sym_entry_statement_token1] = ACTIONS(3042),
    [aux_sym_logical_expression_token5] = ACTIONS(3147),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [aux_sym_boolean_literal_token1] = ACTIONS(3159),
    [aux_sym_boolean_literal_token2] = ACTIONS(3159),
    [aux_sym_null_literal_token1] = ACTIONS(3162),
    [aux_sym_coarray_statement_token1] = ACTIONS(3042),
    [aux_sym_coarray_statement_token2] = ACTIONS(3042),
    [aux_sym_coarray_statement_token6] = ACTIONS(3042),
    [aux_sym_coarray_statement_token8] = ACTIONS(3042),
    [aux_sym_coarray_statement_token11] = ACTIONS(3042),
    [aux_sym_coarray_statement_token12] = ACTIONS(3042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3042),
    [aux_sym_identifier_token1] = ACTIONS(3042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3165),
    [sym__float_literal] = ACTIONS(3168),
    [sym__boz_literal] = ACTIONS(3168),
    [sym__string_literal] = ACTIONS(3171),
    [sym__string_literal_kind] = ACTIONS(3174),
  },
  [704] = {
    [sym_preproc_include] = STATE(710),
    [sym_preproc_def] = STATE(710),
    [sym_preproc_function_def] = STATE(710),
    [sym_preproc_call] = STATE(710),
    [sym_preproc_if_in_statements] = STATE(710),
    [sym_preproc_ifdef_in_statements] = STATE(710),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(710),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_end_where_statement] = STATE(8448),
    [sym_elsewhere_clause] = STATE(6830),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(710),
    [aux_sym__block_where_statement_repeat1] = STATE(6830),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(3204),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2962),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2964),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [705] = {
    [sym_preproc_include] = STATE(706),
    [sym_preproc_def] = STATE(706),
    [sym_preproc_function_def] = STATE(706),
    [sym_preproc_call] = STATE(706),
    [sym_preproc_if_in_module] = STATE(706),
    [sym_preproc_ifdef_in_module] = STATE(706),
    [sym_preproc_if_in_specification_part] = STATE(706),
    [sym_preproc_ifdef_in_specification_part] = STATE(706),
    [sym_interface] = STATE(706),
    [sym_interface_statement] = STATE(4680),
    [sym_end_block_data_statement] = STATE(1161),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(706),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(706),
    [sym_public_statement] = STATE(706),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(706),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(706),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(706),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(706),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(706),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2974),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3208),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3210),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2984),
    [aux_sym_public_statement_token1] = ACTIONS(2986),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [706] = {
    [sym_preproc_include] = STATE(784),
    [sym_preproc_def] = STATE(784),
    [sym_preproc_function_def] = STATE(784),
    [sym_preproc_call] = STATE(784),
    [sym_preproc_if_in_module] = STATE(784),
    [sym_preproc_ifdef_in_module] = STATE(784),
    [sym_preproc_if_in_specification_part] = STATE(784),
    [sym_preproc_ifdef_in_specification_part] = STATE(784),
    [sym_interface] = STATE(784),
    [sym_interface_statement] = STATE(4680),
    [sym_end_block_data_statement] = STATE(1249),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(784),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(784),
    [sym_public_statement] = STATE(784),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(784),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(784),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(784),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(784),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(784),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2974),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3004),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3210),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2984),
    [aux_sym_public_statement_token1] = ACTIONS(2986),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [707] = {
    [sym_preproc_include] = STATE(707),
    [sym_preproc_def] = STATE(707),
    [sym_preproc_function_def] = STATE(707),
    [sym_preproc_call] = STATE(707),
    [sym_preproc_if_in_statements] = STATE(707),
    [sym_preproc_ifdef_in_statements] = STATE(707),
    [sym__statements] = STATE(7537),
    [sym_statement_label] = STATE(958),
    [sym_stop_statement] = STATE(7537),
    [sym_assignment_statement] = STATE(7537),
    [sym_pointer_association_statement] = STATE(7537),
    [sym_subroutine_call] = STATE(7537),
    [sym_keyword_statement] = STATE(7537),
    [sym_include_statement] = STATE(707),
    [sym_do_loop_statement] = STATE(7537),
    [sym_do_label_statement] = STATE(7537),
    [sym_end_do_label_statement] = STATE(7537),
    [sym_if_statement] = STATE(7537),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7537),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7537),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7537),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7537),
    [sym_select_type_statement] = STATE(7537),
    [sym_select_rank_statement] = STATE(7537),
    [sym_block_construct] = STATE(7537),
    [sym_associate_statement] = STATE(7537),
    [sym_format_statement] = STATE(7537),
    [sym_read_statement] = STATE(7537),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7537),
    [sym_open_statement] = STATE(7537),
    [sym_close_statement] = STATE(7537),
    [sym_write_statement] = STATE(7537),
    [sym_inquire_statement] = STATE(7537),
    [sym_file_position_statement] = STATE(7537),
    [sym_allocate_statement] = STATE(7537),
    [sym_entry_statement] = STATE(7537),
    [sym_assign_statement] = STATE(7537),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7537),
    [sym_coarray_team_statement] = STATE(7537),
    [sym_coarray_critical_statement] = STATE(7537),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(707),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3218),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(3227),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(3230),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [708] = {
    [sym_preproc_include] = STATE(701),
    [sym_preproc_def] = STATE(701),
    [sym_preproc_function_def] = STATE(701),
    [sym_preproc_call] = STATE(701),
    [sym_preproc_if_in_module] = STATE(701),
    [sym_preproc_ifdef_in_module] = STATE(701),
    [sym_preproc_if_in_specification_part] = STATE(701),
    [sym_preproc_ifdef_in_specification_part] = STATE(701),
    [sym_interface] = STATE(701),
    [sym_interface_statement] = STATE(4680),
    [sym_end_block_data_statement] = STATE(1003),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(701),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(701),
    [sym_public_statement] = STATE(701),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(701),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(701),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(701),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(701),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(701),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2974),
    [sym_preproc_directive] = ACTIONS(2976),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3233),
    [aux_sym_interface_statement_token1] = ACTIONS(35),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(39),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(49),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(57),
    [aux_sym_use_statement_token1] = ACTIONS(61),
    [aux_sym_use_statement_token2] = ACTIONS(57),
    [aux_sym_implicit_statement_token1] = ACTIONS(63),
    [aux_sym_implicit_statement_token3] = ACTIONS(769),
    [aux_sym_implicit_statement_token4] = ACTIONS(57),
    [aux_sym_save_statement_token1] = ACTIONS(67),
    [aux_sym_private_statement_token1] = ACTIONS(2984),
    [aux_sym_public_statement_token1] = ACTIONS(2986),
    [aux_sym_namelist_statement_token1] = ACTIONS(73),
    [aux_sym_common_statement_token1] = ACTIONS(75),
    [aux_sym_import_statement_token1] = ACTIONS(77),
    [aux_sym_derived_type_definition_token1] = ACTIONS(57),
    [aux_sym_abstract_specifier_token1] = ACTIONS(79),
    [aux_sym_procedure_attribute_token6] = ACTIONS(57),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(57),
    [aux_sym_variable_attributes_token3] = ACTIONS(57),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(57),
    [aux_sym__intrinsic_type_token1] = ACTIONS(775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(779),
    [aux_sym__intrinsic_type_token6] = ACTIONS(777),
    [aux_sym__intrinsic_type_token7] = ACTIONS(777),
    [aux_sym__intrinsic_type_token8] = ACTIONS(781),
    [aux_sym__intrinsic_type_token9] = ACTIONS(777),
    [aux_sym__intrinsic_type_token10] = ACTIONS(777),
    [aux_sym_derived_type_token1] = ACTIONS(783),
    [aux_sym_declared_type_token1] = ACTIONS(93),
    [aux_sym_declared_type_token2] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(101),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(103),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(57),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_equivalence_statement_token1] = ACTIONS(109),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(2988),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_enum_statement_token1] = ACTIONS(157),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(159),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [709] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(696),
    [sym_preproc_ifdef_in_statements] = STATE(696),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(696),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_end_where_statement] = STATE(8253),
    [sym_elsewhere_clause] = STATE(6815),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(696),
    [aux_sym__block_where_statement_repeat1] = STATE(6815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(3235),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2962),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2964),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [710] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_end_where_statement] = STATE(8162),
    [sym_elsewhere_clause] = STATE(6816),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym__block_where_statement_repeat1] = STATE(6816),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(2962),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(2964),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [711] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1047),
    [sym_internal_procedures] = STATE(8060),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [712] = {
    [sym_preproc_include] = STATE(728),
    [sym_preproc_def] = STATE(728),
    [sym_preproc_function_def] = STATE(728),
    [sym_preproc_call] = STATE(728),
    [sym_preproc_if_in_statements] = STATE(728),
    [sym_preproc_ifdef_in_statements] = STATE(728),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(728),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(728),
    [aux_sym_preproc_include_token1] = ACTIONS(3251),
    [aux_sym_preproc_def_token1] = ACTIONS(3254),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3269),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3271),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3274),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3274),
    [aux_sym_type_statement_token2] = ACTIONS(3274),
    [aux_sym_type_statement_token3] = ACTIONS(3274),
    [aux_sym__class_default_token1] = ACTIONS(3274),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3278),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [713] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3287),
    [aux_sym_preproc_elif_token1] = ACTIONS(3287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [714] = {
    [sym_preproc_include] = STATE(735),
    [sym_preproc_def] = STATE(735),
    [sym_preproc_function_def] = STATE(735),
    [sym_preproc_call] = STATE(735),
    [sym_preproc_if_in_statements] = STATE(735),
    [sym_preproc_ifdef_in_statements] = STATE(735),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(735),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(735),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3297),
    [aux_sym_preproc_elif_token1] = ACTIONS(3297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3299),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [715] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3251),
    [aux_sym_preproc_def_token1] = ACTIONS(3254),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3271),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3274),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3274),
    [aux_sym_type_statement_token2] = ACTIONS(3274),
    [aux_sym_type_statement_token3] = ACTIONS(3274),
    [aux_sym__class_default_token1] = ACTIONS(3274),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3278),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [716] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1206),
    [sym_internal_procedures] = STATE(7407),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [717] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3297),
    [aux_sym_preproc_elif_token1] = ACTIONS(3297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [718] = {
    [sym_preproc_include] = STATE(737),
    [sym_preproc_def] = STATE(737),
    [sym_preproc_function_def] = STATE(737),
    [sym_preproc_call] = STATE(737),
    [sym_preproc_if_in_statements] = STATE(737),
    [sym_preproc_ifdef_in_statements] = STATE(737),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(737),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(737),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3303),
    [aux_sym_preproc_elif_token1] = ACTIONS(3303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3305),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [719] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1109),
    [sym_internal_procedures] = STATE(7832),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [720] = {
    [sym_preproc_include] = STATE(757),
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_statements] = STATE(757),
    [sym_preproc_ifdef_in_statements] = STATE(757),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(757),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(757),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3307),
    [aux_sym_preproc_elif_token1] = ACTIONS(3307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3307),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3309),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [721] = {
    [sym_preproc_include] = STATE(730),
    [sym_preproc_def] = STATE(730),
    [sym_preproc_function_def] = STATE(730),
    [sym_preproc_call] = STATE(730),
    [sym_preproc_if_in_statements] = STATE(730),
    [sym_preproc_ifdef_in_statements] = STATE(730),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(730),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(730),
    [aux_sym_preproc_include_token1] = ACTIONS(3311),
    [aux_sym_preproc_def_token1] = ACTIONS(3314),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3329),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3331),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3334),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3334),
    [aux_sym_type_statement_token2] = ACTIONS(3334),
    [aux_sym_type_statement_token3] = ACTIONS(3334),
    [aux_sym__class_default_token1] = ACTIONS(3334),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3336),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [722] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3311),
    [aux_sym_preproc_def_token1] = ACTIONS(3314),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3331),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3334),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3334),
    [aux_sym_type_statement_token2] = ACTIONS(3334),
    [aux_sym_type_statement_token3] = ACTIONS(3334),
    [aux_sym__class_default_token1] = ACTIONS(3334),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3336),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [723] = {
    [sym_preproc_include] = STATE(731),
    [sym_preproc_def] = STATE(731),
    [sym_preproc_function_def] = STATE(731),
    [sym_preproc_call] = STATE(731),
    [sym_preproc_if_in_statements] = STATE(731),
    [sym_preproc_ifdef_in_statements] = STATE(731),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(731),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(731),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3342),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3357),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3359),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3362),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3362),
    [aux_sym_type_statement_token2] = ACTIONS(3362),
    [aux_sym_type_statement_token3] = ACTIONS(3362),
    [aux_sym__class_default_token1] = ACTIONS(3362),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3364),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [724] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3342),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3359),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3362),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3362),
    [aux_sym_type_statement_token2] = ACTIONS(3362),
    [aux_sym_type_statement_token3] = ACTIONS(3362),
    [aux_sym__class_default_token1] = ACTIONS(3362),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3364),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [725] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3376),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3382),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3385),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3388),
    [aux_sym_type_statement_token2] = ACTIONS(3388),
    [aux_sym_type_statement_token3] = ACTIONS(3388),
    [aux_sym__class_default_token1] = ACTIONS(3388),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3390),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [726] = {
    [sym_preproc_include] = STATE(740),
    [sym_preproc_def] = STATE(740),
    [sym_preproc_function_def] = STATE(740),
    [sym_preproc_call] = STATE(740),
    [sym_preproc_if_in_statements] = STATE(740),
    [sym_preproc_ifdef_in_statements] = STATE(740),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(740),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(740),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3396),
    [aux_sym_preproc_if_token1] = ACTIONS(3399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3402),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3408),
    [anon_sym_SEMI] = ACTIONS(3411),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3413),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3416),
    [aux_sym_type_statement_token2] = ACTIONS(3416),
    [aux_sym_type_statement_token3] = ACTIONS(3416),
    [aux_sym__class_default_token1] = ACTIONS(3416),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3418),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [727] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1236),
    [sym_internal_procedures] = STATE(7357),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [728] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3421),
    [aux_sym_preproc_def_token1] = ACTIONS(3424),
    [aux_sym_preproc_if_token1] = ACTIONS(3427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3430),
    [sym_preproc_directive] = ACTIONS(3433),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3436),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3439),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3442),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3442),
    [aux_sym_type_statement_token2] = ACTIONS(3442),
    [aux_sym_type_statement_token3] = ACTIONS(3442),
    [aux_sym__class_default_token1] = ACTIONS(3442),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3444),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [729] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3447),
    [aux_sym_preproc_elif_token1] = ACTIONS(3447),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3447),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3447),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [730] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3449),
    [aux_sym_preproc_def_token1] = ACTIONS(3452),
    [aux_sym_preproc_if_token1] = ACTIONS(3455),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3458),
    [sym_preproc_directive] = ACTIONS(3461),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3464),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3467),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3470),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3470),
    [aux_sym_type_statement_token2] = ACTIONS(3470),
    [aux_sym_type_statement_token3] = ACTIONS(3470),
    [aux_sym__class_default_token1] = ACTIONS(3470),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3472),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [731] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3475),
    [aux_sym_preproc_def_token1] = ACTIONS(3478),
    [aux_sym_preproc_if_token1] = ACTIONS(3481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3484),
    [sym_preproc_directive] = ACTIONS(3487),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3490),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3493),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3496),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3496),
    [aux_sym_type_statement_token2] = ACTIONS(3496),
    [aux_sym_type_statement_token3] = ACTIONS(3496),
    [aux_sym__class_default_token1] = ACTIONS(3496),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3498),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [732] = {
    [sym_preproc_include] = STATE(746),
    [sym_preproc_def] = STATE(746),
    [sym_preproc_function_def] = STATE(746),
    [sym_preproc_call] = STATE(746),
    [sym_preproc_if_in_statements] = STATE(746),
    [sym_preproc_ifdef_in_statements] = STATE(746),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(746),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(746),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3501),
    [aux_sym_preproc_elif_token1] = ACTIONS(3501),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3501),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3503),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [733] = {
    [sym_preproc_include] = STATE(752),
    [sym_preproc_def] = STATE(752),
    [sym_preproc_function_def] = STATE(752),
    [sym_preproc_call] = STATE(752),
    [sym_preproc_if_in_statements] = STATE(752),
    [sym_preproc_ifdef_in_statements] = STATE(752),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(752),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(752),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3505),
    [aux_sym_preproc_elif_token1] = ACTIONS(3505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3505),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3507),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [734] = {
    [sym_preproc_include] = STATE(761),
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_statements] = STATE(761),
    [sym_preproc_ifdef_in_statements] = STATE(761),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(761),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(761),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3509),
    [aux_sym_preproc_elif_token1] = ACTIONS(3509),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3509),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3511),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [735] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3513),
    [aux_sym_preproc_elif_token1] = ACTIONS(3513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3513),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [736] = {
    [sym_preproc_include] = STATE(762),
    [sym_preproc_def] = STATE(762),
    [sym_preproc_function_def] = STATE(762),
    [sym_preproc_call] = STATE(762),
    [sym_preproc_if_in_statements] = STATE(762),
    [sym_preproc_ifdef_in_statements] = STATE(762),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(762),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(762),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3515),
    [aux_sym_preproc_elif_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3517),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [737] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3515),
    [aux_sym_preproc_elif_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3515),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [738] = {
    [sym_preproc_include] = STATE(787),
    [sym_preproc_def] = STATE(787),
    [sym_preproc_function_def] = STATE(787),
    [sym_preproc_call] = STATE(787),
    [sym_preproc_if_in_statements] = STATE(787),
    [sym_preproc_ifdef_in_statements] = STATE(787),
    [sym_internal_procedures] = STATE(9299),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(787),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(787),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(3531),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3533),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [739] = {
    [sym_preproc_include] = STATE(759),
    [sym_preproc_def] = STATE(759),
    [sym_preproc_function_def] = STATE(759),
    [sym_preproc_call] = STATE(759),
    [sym_preproc_if_in_statements] = STATE(759),
    [sym_preproc_ifdef_in_statements] = STATE(759),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(931),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(759),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8488),
    [sym_elseif_clause] = STATE(6540),
    [sym_else_clause] = STATE(6922),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(759),
    [aux_sym__block_if_statement_repeat1] = STATE(6540),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3549),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(3557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [740] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3559),
    [aux_sym_preproc_def_token1] = ACTIONS(3562),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3568),
    [sym_preproc_directive] = ACTIONS(3571),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3574),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3577),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3287),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3287),
    [aux_sym_type_statement_token2] = ACTIONS(3287),
    [aux_sym_type_statement_token3] = ACTIONS(3287),
    [aux_sym__class_default_token1] = ACTIONS(3287),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3580),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [741] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3396),
    [aux_sym_preproc_if_token1] = ACTIONS(3399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3402),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3408),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3413),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3416),
    [aux_sym_type_statement_token2] = ACTIONS(3416),
    [aux_sym_type_statement_token3] = ACTIONS(3416),
    [aux_sym__class_default_token1] = ACTIONS(3416),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3418),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [742] = {
    [sym_preproc_include] = STATE(764),
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_statements] = STATE(764),
    [sym_preproc_ifdef_in_statements] = STATE(764),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(764),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(764),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3583),
    [aux_sym_preproc_elif_token1] = ACTIONS(3583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3583),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3585),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [743] = {
    [sym_preproc_include] = STATE(767),
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_statements] = STATE(767),
    [sym_preproc_ifdef_in_statements] = STATE(767),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(767),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(767),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3587),
    [aux_sym_preproc_elif_token1] = ACTIONS(3587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3587),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3587),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3589),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [744] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(931),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8488),
    [sym_elseif_clause] = STATE(6540),
    [sym_else_clause] = STATE(6922),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym__block_if_statement_repeat1] = STATE(6540),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(3557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [745] = {
    [sym_preproc_include] = STATE(771),
    [sym_preproc_def] = STATE(771),
    [sym_preproc_function_def] = STATE(771),
    [sym_preproc_call] = STATE(771),
    [sym_preproc_if_in_statements] = STATE(771),
    [sym_preproc_ifdef_in_statements] = STATE(771),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(771),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(771),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3593),
    [aux_sym_preproc_elif_token1] = ACTIONS(3593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3593),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3595),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [746] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3593),
    [aux_sym_preproc_elif_token1] = ACTIONS(3593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3593),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [747] = {
    [sym_preproc_include] = STATE(780),
    [sym_preproc_def] = STATE(780),
    [sym_preproc_function_def] = STATE(780),
    [sym_preproc_call] = STATE(780),
    [sym_preproc_if_in_statements] = STATE(780),
    [sym_preproc_ifdef_in_statements] = STATE(780),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(780),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(780),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3597),
    [aux_sym_preproc_elif_token1] = ACTIONS(3597),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3597),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3599),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [748] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1256),
    [sym_internal_procedures] = STATE(8010),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [749] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1116),
    [sym_internal_procedures] = STATE(7735),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [750] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1129),
    [sym_internal_procedures] = STATE(7758),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(655),
    [aux_sym_end_program_statement_token2] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [751] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3601),
    [aux_sym_preproc_def_token1] = ACTIONS(3604),
    [aux_sym_preproc_if_token1] = ACTIONS(3607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3610),
    [sym_preproc_directive] = ACTIONS(3613),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3301),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3619),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3593),
    [aux_sym_type_statement_token2] = ACTIONS(3593),
    [aux_sym_type_statement_token3] = ACTIONS(3593),
    [aux_sym__class_default_token1] = ACTIONS(3593),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3622),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [752] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3274),
    [aux_sym_preproc_elif_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [753] = {
    [sym_preproc_include] = STATE(754),
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_statements] = STATE(754),
    [sym_preproc_ifdef_in_statements] = STATE(754),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(936),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(754),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8192),
    [sym_elseif_clause] = STATE(6516),
    [sym_else_clause] = STATE(6964),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(754),
    [aux_sym__block_if_statement_repeat1] = STATE(6516),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3625),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(3557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [754] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(935),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8160),
    [sym_elseif_clause] = STATE(6520),
    [sym_else_clause] = STATE(7045),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym__block_if_statement_repeat1] = STATE(6520),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(3557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [755] = {
    [sym_preproc_include] = STATE(713),
    [sym_preproc_def] = STATE(713),
    [sym_preproc_function_def] = STATE(713),
    [sym_preproc_call] = STATE(713),
    [sym_preproc_if_in_statements] = STATE(713),
    [sym_preproc_ifdef_in_statements] = STATE(713),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(713),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(713),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3416),
    [aux_sym_preproc_elif_token1] = ACTIONS(3416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3416),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3627),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [756] = {
    [sym_preproc_include] = STATE(776),
    [sym_preproc_def] = STATE(776),
    [sym_preproc_function_def] = STATE(776),
    [sym_preproc_call] = STATE(776),
    [sym_preproc_if_in_statements] = STATE(776),
    [sym_preproc_ifdef_in_statements] = STATE(776),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(776),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(776),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3629),
    [aux_sym_preproc_elif_token1] = ACTIONS(3629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3629),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3631),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [757] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3416),
    [aux_sym_preproc_elif_token1] = ACTIONS(3416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3416),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [758] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(717),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3633),
    [aux_sym_preproc_elif_token1] = ACTIONS(3633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3633),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3635),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [759] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(936),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8192),
    [sym_elseif_clause] = STATE(6516),
    [sym_else_clause] = STATE(6964),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym__block_if_statement_repeat1] = STATE(6516),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(3557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [760] = {
    [sym_preproc_include] = STATE(741),
    [sym_preproc_def] = STATE(741),
    [sym_preproc_function_def] = STATE(741),
    [sym_preproc_call] = STATE(741),
    [sym_preproc_if_in_statements] = STATE(741),
    [sym_preproc_ifdef_in_statements] = STATE(741),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(741),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(741),
    [aux_sym_preproc_include_token1] = ACTIONS(3637),
    [aux_sym_preproc_def_token1] = ACTIONS(3640),
    [aux_sym_preproc_if_token1] = ACTIONS(3643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3646),
    [sym_preproc_directive] = ACTIONS(3649),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3655),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3657),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3307),
    [aux_sym_type_statement_token2] = ACTIONS(3307),
    [aux_sym_type_statement_token3] = ACTIONS(3307),
    [aux_sym__class_default_token1] = ACTIONS(3307),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3660),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [761] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3629),
    [aux_sym_preproc_elif_token1] = ACTIONS(3629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3629),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [762] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3663),
    [aux_sym_preproc_elif_token1] = ACTIONS(3663),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3663),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3663),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [763] = {
    [sym_preproc_include] = STATE(777),
    [sym_preproc_def] = STATE(777),
    [sym_preproc_function_def] = STATE(777),
    [sym_preproc_call] = STATE(777),
    [sym_preproc_if_in_statements] = STATE(777),
    [sym_preproc_ifdef_in_statements] = STATE(777),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(777),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(777),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3334),
    [aux_sym_preproc_elif_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3334),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3665),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [764] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3334),
    [aux_sym_preproc_elif_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3334),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [765] = {
    [sym_preproc_include] = STATE(783),
    [sym_preproc_def] = STATE(783),
    [sym_preproc_function_def] = STATE(783),
    [sym_preproc_call] = STATE(783),
    [sym_preproc_if_in_statements] = STATE(783),
    [sym_preproc_ifdef_in_statements] = STATE(783),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(783),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(783),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3362),
    [aux_sym_preproc_elif_token1] = ACTIONS(3362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3362),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3667),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [766] = {
    [sym_preproc_include] = STATE(751),
    [sym_preproc_def] = STATE(751),
    [sym_preproc_function_def] = STATE(751),
    [sym_preproc_call] = STATE(751),
    [sym_preproc_if_in_statements] = STATE(751),
    [sym_preproc_ifdef_in_statements] = STATE(751),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(751),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(751),
    [aux_sym_preproc_include_token1] = ACTIONS(3669),
    [aux_sym_preproc_def_token1] = ACTIONS(3672),
    [aux_sym_preproc_if_token1] = ACTIONS(3675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3678),
    [sym_preproc_directive] = ACTIONS(3681),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3684),
    [anon_sym_SEMI] = ACTIONS(3687),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3689),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3501),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3501),
    [aux_sym_type_statement_token2] = ACTIONS(3501),
    [aux_sym_type_statement_token3] = ACTIONS(3501),
    [aux_sym__class_default_token1] = ACTIONS(3501),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3692),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [767] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3362),
    [aux_sym_preproc_elif_token1] = ACTIONS(3362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3362),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [768] = {
    [sym_preproc_include] = STATE(729),
    [sym_preproc_def] = STATE(729),
    [sym_preproc_function_def] = STATE(729),
    [sym_preproc_call] = STATE(729),
    [sym_preproc_if_in_statements] = STATE(729),
    [sym_preproc_ifdef_in_statements] = STATE(729),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(729),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(729),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3695),
    [aux_sym_preproc_elif_token1] = ACTIONS(3695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3695),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3697),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [769] = {
    [sym_preproc_include] = STATE(715),
    [sym_preproc_def] = STATE(715),
    [sym_preproc_function_def] = STATE(715),
    [sym_preproc_call] = STATE(715),
    [sym_preproc_if_in_statements] = STATE(715),
    [sym_preproc_ifdef_in_statements] = STATE(715),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(715),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(715),
    [aux_sym_preproc_include_token1] = ACTIONS(3699),
    [aux_sym_preproc_def_token1] = ACTIONS(3702),
    [aux_sym_preproc_if_token1] = ACTIONS(3705),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3708),
    [sym_preproc_directive] = ACTIONS(3711),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3714),
    [anon_sym_SEMI] = ACTIONS(3717),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3719),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3505),
    [aux_sym_type_statement_token2] = ACTIONS(3505),
    [aux_sym_type_statement_token3] = ACTIONS(3505),
    [aux_sym__class_default_token1] = ACTIONS(3505),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3722),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [770] = {
    [sym_preproc_include] = STATE(722),
    [sym_preproc_def] = STATE(722),
    [sym_preproc_function_def] = STATE(722),
    [sym_preproc_call] = STATE(722),
    [sym_preproc_if_in_statements] = STATE(722),
    [sym_preproc_ifdef_in_statements] = STATE(722),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(722),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(722),
    [aux_sym_preproc_include_token1] = ACTIONS(3725),
    [aux_sym_preproc_def_token1] = ACTIONS(3728),
    [aux_sym_preproc_if_token1] = ACTIONS(3731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3734),
    [sym_preproc_directive] = ACTIONS(3737),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3740),
    [anon_sym_SEMI] = ACTIONS(3743),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3745),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3583),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3583),
    [aux_sym_type_statement_token2] = ACTIONS(3583),
    [aux_sym_type_statement_token3] = ACTIONS(3583),
    [aux_sym__class_default_token1] = ACTIONS(3583),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3748),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [771] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3388),
    [aux_sym_preproc_elif_token1] = ACTIONS(3388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3388),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [772] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3442),
    [aux_sym_preproc_elif_token1] = ACTIONS(3442),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3442),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [773] = {
    [sym_preproc_include] = STATE(724),
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_statements] = STATE(724),
    [sym_preproc_ifdef_in_statements] = STATE(724),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(724),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(724),
    [aux_sym_preproc_include_token1] = ACTIONS(3751),
    [aux_sym_preproc_def_token1] = ACTIONS(3754),
    [aux_sym_preproc_if_token1] = ACTIONS(3757),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3760),
    [sym_preproc_directive] = ACTIONS(3763),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3766),
    [anon_sym_SEMI] = ACTIONS(3769),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3771),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3587),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3587),
    [aux_sym_type_statement_token2] = ACTIONS(3587),
    [aux_sym_type_statement_token3] = ACTIONS(3587),
    [aux_sym__class_default_token1] = ACTIONS(3587),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3774),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [774] = {
    [sym_preproc_include] = STATE(774),
    [sym_preproc_def] = STATE(774),
    [sym_preproc_function_def] = STATE(774),
    [sym_preproc_call] = STATE(774),
    [sym_preproc_if_in_statements] = STATE(774),
    [sym_preproc_ifdef_in_statements] = STATE(774),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(774),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(774),
    [aux_sym_preproc_include_token1] = ACTIONS(3777),
    [aux_sym_preproc_def_token1] = ACTIONS(3780),
    [aux_sym_preproc_if_token1] = ACTIONS(3783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3786),
    [sym_preproc_directive] = ACTIONS(3789),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(3792),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym_derived_type_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(3795),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_type_statement_token2] = ACTIONS(2773),
    [aux_sym_type_statement_token3] = ACTIONS(2773),
    [aux_sym__class_default_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [775] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3798),
    [aux_sym_preproc_def_token1] = ACTIONS(3801),
    [aux_sym_preproc_if_token1] = ACTIONS(3804),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3807),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3807),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(3810),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(3813),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(3816),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [776] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3819),
    [aux_sym_preproc_elif_token1] = ACTIONS(3819),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [777] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3470),
    [aux_sym_preproc_elif_token1] = ACTIONS(3470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3470),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [778] = {
    [sym_preproc_include] = STATE(725),
    [sym_preproc_def] = STATE(725),
    [sym_preproc_function_def] = STATE(725),
    [sym_preproc_call] = STATE(725),
    [sym_preproc_if_in_statements] = STATE(725),
    [sym_preproc_ifdef_in_statements] = STATE(725),
    [sym__statements] = STATE(7777),
    [sym_statement_label] = STATE(966),
    [sym_stop_statement] = STATE(7777),
    [sym_assignment_statement] = STATE(7777),
    [sym_pointer_association_statement] = STATE(7777),
    [sym_subroutine_call] = STATE(7777),
    [sym_keyword_statement] = STATE(7777),
    [sym_include_statement] = STATE(725),
    [sym_do_loop_statement] = STATE(7777),
    [sym_do_label_statement] = STATE(7777),
    [sym_end_do_label_statement] = STATE(7777),
    [sym_if_statement] = STATE(7777),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7777),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7777),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7777),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7777),
    [sym_select_type_statement] = STATE(7777),
    [sym_select_rank_statement] = STATE(7777),
    [sym_block_construct] = STATE(7777),
    [sym_associate_statement] = STATE(7777),
    [sym_format_statement] = STATE(7777),
    [sym_read_statement] = STATE(7777),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7777),
    [sym_open_statement] = STATE(7777),
    [sym_close_statement] = STATE(7777),
    [sym_write_statement] = STATE(7777),
    [sym_inquire_statement] = STATE(7777),
    [sym_file_position_statement] = STATE(7777),
    [sym_allocate_statement] = STATE(7777),
    [sym_entry_statement] = STATE(7777),
    [sym_assign_statement] = STATE(7777),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7777),
    [sym_coarray_team_statement] = STATE(7777),
    [sym_coarray_critical_statement] = STATE(7777),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(725),
    [aux_sym_preproc_include_token1] = ACTIONS(3601),
    [aux_sym_preproc_def_token1] = ACTIONS(3604),
    [aux_sym_preproc_if_token1] = ACTIONS(3607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3610),
    [sym_preproc_directive] = ACTIONS(3613),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3821),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(3619),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym_derived_type_token1] = ACTIONS(3593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3593),
    [aux_sym_type_statement_token2] = ACTIONS(3593),
    [aux_sym_type_statement_token3] = ACTIONS(3593),
    [aux_sym__class_default_token1] = ACTIONS(3593),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3622),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [779] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1065),
    [sym_internal_procedures] = STATE(7347),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [780] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3695),
    [aux_sym_preproc_elif_token1] = ACTIONS(3695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3695),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [781] = {
    [sym_preproc_include] = STATE(797),
    [sym_preproc_def] = STATE(797),
    [sym_preproc_function_def] = STATE(797),
    [sym_preproc_call] = STATE(797),
    [sym_preproc_if_in_statements] = STATE(797),
    [sym_preproc_ifdef_in_statements] = STATE(797),
    [sym_internal_procedures] = STATE(8709),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(797),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(797),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(3825),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3827),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [782] = {
    [sym_preproc_include] = STATE(744),
    [sym_preproc_def] = STATE(744),
    [sym_preproc_function_def] = STATE(744),
    [sym_preproc_call] = STATE(744),
    [sym_preproc_if_in_statements] = STATE(744),
    [sym_preproc_ifdef_in_statements] = STATE(744),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(937),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(744),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8440),
    [sym_elseif_clause] = STATE(6512),
    [sym_else_clause] = STATE(7050),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(744),
    [aux_sym__block_if_statement_repeat1] = STATE(6512),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3829),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token1] = ACTIONS(3555),
    [aux_sym_elseif_clause_token2] = ACTIONS(3557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [783] = {
    [sym_preproc_include] = STATE(775),
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_statements] = STATE(775),
    [sym_preproc_ifdef_in_statements] = STATE(775),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(775),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(775),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3496),
    [aux_sym_preproc_elif_token1] = ACTIONS(3496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3496),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3293),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [784] = {
    [sym_preproc_include] = STATE(784),
    [sym_preproc_def] = STATE(784),
    [sym_preproc_function_def] = STATE(784),
    [sym_preproc_call] = STATE(784),
    [sym_preproc_if_in_module] = STATE(784),
    [sym_preproc_ifdef_in_module] = STATE(784),
    [sym_preproc_if_in_specification_part] = STATE(784),
    [sym_preproc_ifdef_in_specification_part] = STATE(784),
    [sym_interface] = STATE(784),
    [sym_interface_statement] = STATE(4680),
    [sym_language_binding] = STATE(3784),
    [sym__specification_part] = STATE(784),
    [sym_use_statement] = STATE(8114),
    [sym_implicit_statement] = STATE(8114),
    [sym_save_statement] = STATE(8114),
    [sym_private_statement] = STATE(784),
    [sym_public_statement] = STATE(784),
    [sym_namelist_statement] = STATE(8114),
    [sym_common_statement] = STATE(8114),
    [sym_import_statement] = STATE(8114),
    [sym_derived_type_definition] = STATE(784),
    [sym_abstract_specifier] = STATE(9332),
    [sym_derived_type_statement] = STATE(4897),
    [sym_variable_declaration] = STATE(8114),
    [sym_procedure_declaration] = STATE(4023),
    [sym_variable_modification] = STATE(8114),
    [sym_variable_attributes] = STATE(3784),
    [sym__intrinsic_type] = STATE(4089),
    [sym_intrinsic_type] = STATE(4023),
    [sym_derived_type] = STATE(4023),
    [sym_declared_type] = STATE(4023),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_parameter_statement] = STATE(8114),
    [sym_equivalence_statement] = STATE(8114),
    [sym_statement_label] = STATE(7962),
    [sym_assignment_statement] = STATE(8114),
    [sym_include_statement] = STATE(784),
    [sym_data_statement] = STATE(8114),
    [sym_enum] = STATE(784),
    [sym_enum_statement] = STATE(6845),
    [sym_enumeration_type] = STATE(784),
    [sym_enumeration_type_statement] = STATE(6942),
    [sym__expression] = STATE(5303),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [aux_sym_module_repeat1] = STATE(784),
    [aux_sym_variable_modification_repeat1] = STATE(3784),
    [aux_sym_preproc_include_token1] = ACTIONS(3831),
    [aux_sym_preproc_def_token1] = ACTIONS(3834),
    [aux_sym_preproc_if_token1] = ACTIONS(3837),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3840),
    [sym_preproc_directive] = ACTIONS(3843),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3846),
    [aux_sym_interface_statement_token1] = ACTIONS(3039),
    [aux_sym_block_data_statement_token1] = ACTIONS(3042),
    [aux_sym_block_data_statement_token2] = ACTIONS(3045),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(3034),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3048),
    [aux_sym_language_binding_token1] = ACTIONS(3051),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3057),
    [aux_sym_use_statement_token1] = ACTIONS(3060),
    [aux_sym_use_statement_token2] = ACTIONS(3057),
    [aux_sym_implicit_statement_token1] = ACTIONS(3063),
    [aux_sym_implicit_statement_token3] = ACTIONS(3066),
    [aux_sym_implicit_statement_token4] = ACTIONS(3057),
    [aux_sym_save_statement_token1] = ACTIONS(3069),
    [aux_sym_private_statement_token1] = ACTIONS(3849),
    [aux_sym_public_statement_token1] = ACTIONS(3852),
    [aux_sym_namelist_statement_token1] = ACTIONS(3078),
    [aux_sym_common_statement_token1] = ACTIONS(3081),
    [aux_sym_import_statement_token1] = ACTIONS(3084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3057),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3087),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3057),
    [aux_sym_variable_attributes_token1] = ACTIONS(3090),
    [aux_sym_variable_attributes_token2] = ACTIONS(3057),
    [aux_sym_variable_attributes_token3] = ACTIONS(3057),
    [aux_sym_variable_attributes_token4] = ACTIONS(3090),
    [aux_sym_variable_attributes_token5] = ACTIONS(3057),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3093),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3099),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3102),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3096),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3096),
    [aux_sym_derived_type_token1] = ACTIONS(3105),
    [aux_sym_declared_type_token1] = ACTIONS(3108),
    [aux_sym_declared_type_token2] = ACTIONS(3108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3111),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3114),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3117),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3123),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3057),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3090),
    [aux_sym_type_qualifier_token1] = ACTIONS(3042),
    [aux_sym_type_qualifier_token2] = ACTIONS(3042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3126),
    [aux_sym_stop_statement_token1] = ACTIONS(3042),
    [aux_sym_stop_statement_token2] = ACTIONS(3042),
    [aux_sym_subroutine_call_token1] = ACTIONS(3129),
    [aux_sym_keyword_statement_token2] = ACTIONS(3042),
    [aux_sym_keyword_statement_token3] = ACTIONS(3042),
    [aux_sym_keyword_statement_token4] = ACTIONS(3132),
    [aux_sym_include_statement_token1] = ACTIONS(3855),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3042),
    [aux_sym_end_if_statement_token1] = ACTIONS(3042),
    [aux_sym_elseif_clause_token2] = ACTIONS(3042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3129),
    [aux_sym_select_case_statement_token1] = ACTIONS(3138),
    [aux_sym_format_statement_token1] = ACTIONS(3042),
    [aux_sym_print_statement_token1] = ACTIONS(3129),
    [aux_sym_open_statement_token1] = ACTIONS(3129),
    [aux_sym_inquire_statement_token1] = ACTIONS(3042),
    [aux_sym_enum_statement_token1] = ACTIONS(3141),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3144),
    [aux_sym_entry_statement_token1] = ACTIONS(3042),
    [aux_sym_logical_expression_token5] = ACTIONS(3147),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [aux_sym_boolean_literal_token1] = ACTIONS(3159),
    [aux_sym_boolean_literal_token2] = ACTIONS(3159),
    [aux_sym_null_literal_token1] = ACTIONS(3162),
    [aux_sym_coarray_statement_token1] = ACTIONS(3042),
    [aux_sym_coarray_statement_token2] = ACTIONS(3042),
    [aux_sym_coarray_statement_token6] = ACTIONS(3042),
    [aux_sym_coarray_statement_token8] = ACTIONS(3042),
    [aux_sym_coarray_statement_token11] = ACTIONS(3042),
    [aux_sym_coarray_statement_token12] = ACTIONS(3042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3042),
    [aux_sym_identifier_token1] = ACTIONS(3042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3165),
    [sym__float_literal] = ACTIONS(3168),
    [sym__boz_literal] = ACTIONS(3168),
    [sym__string_literal] = ACTIONS(3171),
    [sym__string_literal_kind] = ACTIONS(3174),
  },
  [785] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym_end_program_statement] = STATE(1063),
    [sym_internal_procedures] = STATE(7696),
    [sym_contains_statement] = STATE(8043),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3243),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(225),
    [aux_sym_end_program_statement_token2] = ACTIONS(227),
    [anon_sym_SEMI] = ACTIONS(3247),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3249),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [786] = {
    [sym_preproc_include] = STATE(772),
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_statements] = STATE(772),
    [sym_preproc_ifdef_in_statements] = STATE(772),
    [sym__statements] = STATE(7835),
    [sym_statement_label] = STATE(940),
    [sym_stop_statement] = STATE(7835),
    [sym_assignment_statement] = STATE(7835),
    [sym_pointer_association_statement] = STATE(7835),
    [sym_subroutine_call] = STATE(7835),
    [sym_keyword_statement] = STATE(7835),
    [sym_include_statement] = STATE(772),
    [sym_do_loop_statement] = STATE(7835),
    [sym_do_label_statement] = STATE(7835),
    [sym_end_do_label_statement] = STATE(7835),
    [sym_if_statement] = STATE(7835),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7835),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7835),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7835),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7835),
    [sym_select_type_statement] = STATE(7835),
    [sym_select_rank_statement] = STATE(7835),
    [sym_block_construct] = STATE(7835),
    [sym_associate_statement] = STATE(7835),
    [sym_format_statement] = STATE(7835),
    [sym_read_statement] = STATE(7835),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7835),
    [sym_open_statement] = STATE(7835),
    [sym_close_statement] = STATE(7835),
    [sym_write_statement] = STATE(7835),
    [sym_inquire_statement] = STATE(7835),
    [sym_file_position_statement] = STATE(7835),
    [sym_allocate_statement] = STATE(7835),
    [sym_entry_statement] = STATE(7835),
    [sym_assign_statement] = STATE(7835),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7835),
    [sym_coarray_team_statement] = STATE(7835),
    [sym_coarray_critical_statement] = STATE(7835),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(772),
    [aux_sym_preproc_include_token1] = ACTIONS(3281),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3285),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3274),
    [aux_sym_preproc_elif_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3858),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3295),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [787] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(9476),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [788] = {
    [sym_preproc_include] = STATE(802),
    [sym_preproc_def] = STATE(802),
    [sym_preproc_function_def] = STATE(802),
    [sym_preproc_call] = STATE(802),
    [sym_preproc_if_in_statements] = STATE(802),
    [sym_preproc_ifdef_in_statements] = STATE(802),
    [sym_internal_procedures] = STATE(9476),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(802),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(802),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3864),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [789] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(9441),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [790] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(8818),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(1447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [791] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(9231),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3866),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [792] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(8886),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [793] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(9010),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(1447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [794] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(8719),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(1447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [795] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(8540),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [796] = {
    [sym_preproc_include] = STATE(791),
    [sym_preproc_def] = STATE(791),
    [sym_preproc_function_def] = STATE(791),
    [sym_preproc_call] = STATE(791),
    [sym_preproc_if_in_statements] = STATE(791),
    [sym_preproc_ifdef_in_statements] = STATE(791),
    [sym_internal_procedures] = STATE(9033),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(791),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(791),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3872),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [797] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(9033),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [798] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(8883),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [799] = {
    [sym_preproc_include] = STATE(799),
    [sym_preproc_def] = STATE(799),
    [sym_preproc_function_def] = STATE(799),
    [sym_preproc_call] = STATE(799),
    [sym_preproc_if_in_statements] = STATE(799),
    [sym_preproc_ifdef_in_statements] = STATE(799),
    [sym_preproc_if_in_procedure_statements] = STATE(799),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(799),
    [sym__statements] = STATE(7486),
    [sym_statement_label] = STATE(948),
    [sym_stop_statement] = STATE(7486),
    [sym_assignment_statement] = STATE(7486),
    [sym_pointer_association_statement] = STATE(7486),
    [sym_subroutine_call] = STATE(7486),
    [sym_keyword_statement] = STATE(7486),
    [sym_include_statement] = STATE(799),
    [sym_do_loop_statement] = STATE(7486),
    [sym_do_label_statement] = STATE(7486),
    [sym_end_do_label_statement] = STATE(7486),
    [sym_if_statement] = STATE(7486),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7486),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7486),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7486),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7486),
    [sym_select_type_statement] = STATE(7486),
    [sym_select_rank_statement] = STATE(7486),
    [sym_block_construct] = STATE(7486),
    [sym_associate_statement] = STATE(7486),
    [sym_format_statement] = STATE(7486),
    [sym_read_statement] = STATE(7486),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7486),
    [sym_open_statement] = STATE(7486),
    [sym_close_statement] = STATE(7486),
    [sym_write_statement] = STATE(7486),
    [sym_inquire_statement] = STATE(7486),
    [sym_file_position_statement] = STATE(7486),
    [sym_allocate_statement] = STATE(7486),
    [sym_entry_statement] = STATE(7486),
    [sym_assign_statement] = STATE(7486),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7486),
    [sym_coarray_team_statement] = STATE(7486),
    [sym_coarray_critical_statement] = STATE(7486),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(799),
    [aux_sym_preproc_include_token1] = ACTIONS(3874),
    [aux_sym_preproc_def_token1] = ACTIONS(3877),
    [aux_sym_preproc_if_token1] = ACTIONS(3880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3883),
    [sym_preproc_directive] = ACTIONS(3886),
    [anon_sym_LPAREN2] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3895),
    [anon_sym_SEMI] = ACTIONS(3898),
    [aux_sym_block_data_statement_token1] = ACTIONS(3901),
    [aux_sym_block_data_statement_token2] = ACTIONS(3904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3910),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3913),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3904),
    [aux_sym_contains_statement_token1] = ACTIONS(3913),
    [aux_sym_use_statement_token2] = ACTIONS(3904),
    [aux_sym_implicit_statement_token3] = ACTIONS(3915),
    [aux_sym_implicit_statement_token4] = ACTIONS(3904),
    [aux_sym_save_statement_token1] = ACTIONS(3904),
    [aux_sym_private_statement_token1] = ACTIONS(3904),
    [aux_sym_public_statement_token1] = ACTIONS(3904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3904),
    [aux_sym_variable_attributes_token2] = ACTIONS(3904),
    [aux_sym_variable_attributes_token3] = ACTIONS(3904),
    [aux_sym_variable_attributes_token5] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3918),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3904),
    [aux_sym_type_qualifier_token1] = ACTIONS(3904),
    [aux_sym_type_qualifier_token2] = ACTIONS(3904),
    [aux_sym_stop_statement_token1] = ACTIONS(3921),
    [aux_sym_stop_statement_token2] = ACTIONS(3924),
    [aux_sym_subroutine_call_token1] = ACTIONS(3927),
    [aux_sym_keyword_statement_token1] = ACTIONS(3930),
    [aux_sym_keyword_statement_token2] = ACTIONS(3933),
    [aux_sym_keyword_statement_token3] = ACTIONS(3933),
    [aux_sym_keyword_statement_token4] = ACTIONS(3936),
    [aux_sym_keyword_statement_token6] = ACTIONS(3939),
    [aux_sym_keyword_statement_token7] = ACTIONS(3942),
    [aux_sym_include_statement_token1] = ACTIONS(3945),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3951),
    [aux_sym_end_if_statement_token1] = ACTIONS(3904),
    [aux_sym_elseif_clause_token2] = ACTIONS(3904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3957),
    [aux_sym_select_case_statement_token1] = ACTIONS(3960),
    [aux_sym_select_case_statement_token3] = ACTIONS(3963),
    [aux_sym_select_type_statement_token1] = ACTIONS(3966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3969),
    [aux_sym_associate_statement_token1] = ACTIONS(3972),
    [aux_sym_format_statement_token1] = ACTIONS(3975),
    [aux_sym_print_statement_token1] = ACTIONS(3978),
    [aux_sym_open_statement_token1] = ACTIONS(3981),
    [aux_sym_close_statement_token1] = ACTIONS(3984),
    [aux_sym_inquire_statement_token1] = ACTIONS(3987),
    [aux_sym_file_position_statement_token1] = ACTIONS(3990),
    [aux_sym_file_position_statement_token2] = ACTIONS(3990),
    [aux_sym_file_position_statement_token3] = ACTIONS(3990),
    [aux_sym_file_position_statement_token4] = ACTIONS(3993),
    [aux_sym_allocate_statement_token1] = ACTIONS(3996),
    [aux_sym_entry_statement_token1] = ACTIONS(3999),
    [aux_sym_assign_statement_token1] = ACTIONS(4002),
    [aux_sym_logical_expression_token5] = ACTIONS(4005),
    [anon_sym_DOT] = ACTIONS(4008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4011),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [aux_sym_boolean_literal_token1] = ACTIONS(4017),
    [aux_sym_boolean_literal_token2] = ACTIONS(4017),
    [aux_sym_null_literal_token1] = ACTIONS(4020),
    [aux_sym_coarray_statement_token1] = ACTIONS(4023),
    [aux_sym_coarray_statement_token2] = ACTIONS(4023),
    [aux_sym_coarray_statement_token6] = ACTIONS(4026),
    [aux_sym_coarray_statement_token8] = ACTIONS(4029),
    [aux_sym_coarray_statement_token11] = ACTIONS(4032),
    [aux_sym_coarray_statement_token12] = ACTIONS(4032),
    [aux_sym_coarray_statement_token13] = ACTIONS(4035),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4041),
    [aux_sym_identifier_token1] = ACTIONS(3904),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4044),
    [sym__float_literal] = ACTIONS(4047),
    [sym__boz_literal] = ACTIONS(4047),
    [sym__string_literal] = ACTIONS(4050),
    [sym__string_literal_kind] = ACTIONS(4053),
  },
  [800] = {
    [sym_preproc_include] = STATE(800),
    [sym_preproc_def] = STATE(800),
    [sym_preproc_function_def] = STATE(800),
    [sym_preproc_call] = STATE(800),
    [sym_preproc_if_in_statements] = STATE(800),
    [sym_preproc_ifdef_in_statements] = STATE(800),
    [sym_preproc_if_in_procedure_statements] = STATE(800),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(800),
    [sym__statements] = STATE(7349),
    [sym_statement_label] = STATE(949),
    [sym_stop_statement] = STATE(7349),
    [sym_assignment_statement] = STATE(7349),
    [sym_pointer_association_statement] = STATE(7349),
    [sym_subroutine_call] = STATE(7349),
    [sym_keyword_statement] = STATE(7349),
    [sym_include_statement] = STATE(800),
    [sym_do_loop_statement] = STATE(7349),
    [sym_do_label_statement] = STATE(7349),
    [sym_end_do_label_statement] = STATE(7349),
    [sym_if_statement] = STATE(7349),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7349),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7349),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7349),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7349),
    [sym_select_type_statement] = STATE(7349),
    [sym_select_rank_statement] = STATE(7349),
    [sym_block_construct] = STATE(7349),
    [sym_associate_statement] = STATE(7349),
    [sym_format_statement] = STATE(7349),
    [sym_read_statement] = STATE(7349),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7349),
    [sym_open_statement] = STATE(7349),
    [sym_close_statement] = STATE(7349),
    [sym_write_statement] = STATE(7349),
    [sym_inquire_statement] = STATE(7349),
    [sym_file_position_statement] = STATE(7349),
    [sym_allocate_statement] = STATE(7349),
    [sym_entry_statement] = STATE(7349),
    [sym_assign_statement] = STATE(7349),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7349),
    [sym_coarray_team_statement] = STATE(7349),
    [sym_coarray_critical_statement] = STATE(7349),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(800),
    [aux_sym_preproc_include_token1] = ACTIONS(4056),
    [aux_sym_preproc_def_token1] = ACTIONS(4059),
    [aux_sym_preproc_if_token1] = ACTIONS(4062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4065),
    [sym_preproc_directive] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3895),
    [anon_sym_SEMI] = ACTIONS(4071),
    [aux_sym_block_data_statement_token1] = ACTIONS(3901),
    [aux_sym_block_data_statement_token2] = ACTIONS(3904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3910),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3904),
    [aux_sym_end_function_statement_token1] = ACTIONS(3913),
    [aux_sym_contains_statement_token1] = ACTIONS(3913),
    [aux_sym_use_statement_token2] = ACTIONS(3904),
    [aux_sym_implicit_statement_token3] = ACTIONS(3915),
    [aux_sym_implicit_statement_token4] = ACTIONS(3904),
    [aux_sym_save_statement_token1] = ACTIONS(3904),
    [aux_sym_private_statement_token1] = ACTIONS(3904),
    [aux_sym_public_statement_token1] = ACTIONS(3904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3904),
    [aux_sym_variable_attributes_token2] = ACTIONS(3904),
    [aux_sym_variable_attributes_token3] = ACTIONS(3904),
    [aux_sym_variable_attributes_token5] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3918),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3904),
    [aux_sym_type_qualifier_token1] = ACTIONS(3904),
    [aux_sym_type_qualifier_token2] = ACTIONS(3904),
    [aux_sym_stop_statement_token1] = ACTIONS(3921),
    [aux_sym_stop_statement_token2] = ACTIONS(3924),
    [aux_sym_subroutine_call_token1] = ACTIONS(3927),
    [aux_sym_keyword_statement_token1] = ACTIONS(3930),
    [aux_sym_keyword_statement_token2] = ACTIONS(3933),
    [aux_sym_keyword_statement_token3] = ACTIONS(3933),
    [aux_sym_keyword_statement_token4] = ACTIONS(3936),
    [aux_sym_keyword_statement_token6] = ACTIONS(3939),
    [aux_sym_keyword_statement_token7] = ACTIONS(3942),
    [aux_sym_include_statement_token1] = ACTIONS(4074),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3951),
    [aux_sym_end_if_statement_token1] = ACTIONS(3904),
    [aux_sym_elseif_clause_token2] = ACTIONS(3904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3957),
    [aux_sym_select_case_statement_token1] = ACTIONS(3960),
    [aux_sym_select_case_statement_token3] = ACTIONS(3963),
    [aux_sym_select_type_statement_token1] = ACTIONS(3966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3969),
    [aux_sym_associate_statement_token1] = ACTIONS(3972),
    [aux_sym_format_statement_token1] = ACTIONS(3975),
    [aux_sym_print_statement_token1] = ACTIONS(3978),
    [aux_sym_open_statement_token1] = ACTIONS(3981),
    [aux_sym_close_statement_token1] = ACTIONS(3984),
    [aux_sym_inquire_statement_token1] = ACTIONS(3987),
    [aux_sym_file_position_statement_token1] = ACTIONS(3990),
    [aux_sym_file_position_statement_token2] = ACTIONS(3990),
    [aux_sym_file_position_statement_token3] = ACTIONS(3990),
    [aux_sym_file_position_statement_token4] = ACTIONS(3993),
    [aux_sym_allocate_statement_token1] = ACTIONS(3996),
    [aux_sym_entry_statement_token1] = ACTIONS(3999),
    [aux_sym_assign_statement_token1] = ACTIONS(4002),
    [aux_sym_logical_expression_token5] = ACTIONS(4005),
    [anon_sym_DOT] = ACTIONS(4008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4011),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [aux_sym_boolean_literal_token1] = ACTIONS(4017),
    [aux_sym_boolean_literal_token2] = ACTIONS(4017),
    [aux_sym_null_literal_token1] = ACTIONS(4020),
    [aux_sym_coarray_statement_token1] = ACTIONS(4023),
    [aux_sym_coarray_statement_token2] = ACTIONS(4023),
    [aux_sym_coarray_statement_token6] = ACTIONS(4026),
    [aux_sym_coarray_statement_token8] = ACTIONS(4029),
    [aux_sym_coarray_statement_token11] = ACTIONS(4032),
    [aux_sym_coarray_statement_token12] = ACTIONS(4032),
    [aux_sym_coarray_statement_token13] = ACTIONS(4035),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4041),
    [aux_sym_identifier_token1] = ACTIONS(3904),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4044),
    [sym__float_literal] = ACTIONS(4047),
    [sym__boz_literal] = ACTIONS(4047),
    [sym__string_literal] = ACTIONS(4050),
    [sym__string_literal_kind] = ACTIONS(4053),
  },
  [801] = {
    [sym_preproc_include] = STATE(801),
    [sym_preproc_def] = STATE(801),
    [sym_preproc_function_def] = STATE(801),
    [sym_preproc_call] = STATE(801),
    [sym_preproc_if_in_statements] = STATE(801),
    [sym_preproc_ifdef_in_statements] = STATE(801),
    [sym_preproc_if_in_procedure_statements] = STATE(801),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(801),
    [sym__statements] = STATE(7838),
    [sym_statement_label] = STATE(946),
    [sym_stop_statement] = STATE(7838),
    [sym_assignment_statement] = STATE(7838),
    [sym_pointer_association_statement] = STATE(7838),
    [sym_subroutine_call] = STATE(7838),
    [sym_keyword_statement] = STATE(7838),
    [sym_include_statement] = STATE(801),
    [sym_do_loop_statement] = STATE(7838),
    [sym_do_label_statement] = STATE(7838),
    [sym_end_do_label_statement] = STATE(7838),
    [sym_if_statement] = STATE(7838),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7838),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7838),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7838),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7838),
    [sym_select_type_statement] = STATE(7838),
    [sym_select_rank_statement] = STATE(7838),
    [sym_block_construct] = STATE(7838),
    [sym_associate_statement] = STATE(7838),
    [sym_format_statement] = STATE(7838),
    [sym_read_statement] = STATE(7838),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7838),
    [sym_open_statement] = STATE(7838),
    [sym_close_statement] = STATE(7838),
    [sym_write_statement] = STATE(7838),
    [sym_inquire_statement] = STATE(7838),
    [sym_file_position_statement] = STATE(7838),
    [sym_allocate_statement] = STATE(7838),
    [sym_entry_statement] = STATE(7838),
    [sym_assign_statement] = STATE(7838),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7838),
    [sym_coarray_team_statement] = STATE(7838),
    [sym_coarray_critical_statement] = STATE(7838),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_subroutine_repeat1] = STATE(801),
    [aux_sym_preproc_include_token1] = ACTIONS(4077),
    [aux_sym_preproc_def_token1] = ACTIONS(4080),
    [aux_sym_preproc_if_token1] = ACTIONS(4083),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4086),
    [sym_preproc_directive] = ACTIONS(4089),
    [anon_sym_LPAREN2] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3895),
    [anon_sym_SEMI] = ACTIONS(4092),
    [aux_sym_block_data_statement_token1] = ACTIONS(3901),
    [aux_sym_block_data_statement_token2] = ACTIONS(3904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3907),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3910),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3913),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3904),
    [aux_sym_contains_statement_token1] = ACTIONS(3913),
    [aux_sym_use_statement_token2] = ACTIONS(3904),
    [aux_sym_implicit_statement_token3] = ACTIONS(3915),
    [aux_sym_implicit_statement_token4] = ACTIONS(3904),
    [aux_sym_save_statement_token1] = ACTIONS(3904),
    [aux_sym_private_statement_token1] = ACTIONS(3904),
    [aux_sym_public_statement_token1] = ACTIONS(3904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3904),
    [aux_sym_variable_attributes_token2] = ACTIONS(3904),
    [aux_sym_variable_attributes_token3] = ACTIONS(3904),
    [aux_sym_variable_attributes_token5] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3918),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3904),
    [aux_sym_type_qualifier_token1] = ACTIONS(3904),
    [aux_sym_type_qualifier_token2] = ACTIONS(3904),
    [aux_sym_stop_statement_token1] = ACTIONS(3921),
    [aux_sym_stop_statement_token2] = ACTIONS(3924),
    [aux_sym_subroutine_call_token1] = ACTIONS(3927),
    [aux_sym_keyword_statement_token1] = ACTIONS(3930),
    [aux_sym_keyword_statement_token2] = ACTIONS(3933),
    [aux_sym_keyword_statement_token3] = ACTIONS(3933),
    [aux_sym_keyword_statement_token4] = ACTIONS(3936),
    [aux_sym_keyword_statement_token6] = ACTIONS(3939),
    [aux_sym_keyword_statement_token7] = ACTIONS(3942),
    [aux_sym_include_statement_token1] = ACTIONS(4095),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3948),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3951),
    [aux_sym_end_if_statement_token1] = ACTIONS(3904),
    [aux_sym_elseif_clause_token2] = ACTIONS(3904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3954),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3957),
    [aux_sym_select_case_statement_token1] = ACTIONS(3960),
    [aux_sym_select_case_statement_token3] = ACTIONS(3963),
    [aux_sym_select_type_statement_token1] = ACTIONS(3966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3969),
    [aux_sym_associate_statement_token1] = ACTIONS(3972),
    [aux_sym_format_statement_token1] = ACTIONS(3975),
    [aux_sym_print_statement_token1] = ACTIONS(3978),
    [aux_sym_open_statement_token1] = ACTIONS(3981),
    [aux_sym_close_statement_token1] = ACTIONS(3984),
    [aux_sym_inquire_statement_token1] = ACTIONS(3987),
    [aux_sym_file_position_statement_token1] = ACTIONS(3990),
    [aux_sym_file_position_statement_token2] = ACTIONS(3990),
    [aux_sym_file_position_statement_token3] = ACTIONS(3990),
    [aux_sym_file_position_statement_token4] = ACTIONS(3993),
    [aux_sym_allocate_statement_token1] = ACTIONS(3996),
    [aux_sym_entry_statement_token1] = ACTIONS(3999),
    [aux_sym_assign_statement_token1] = ACTIONS(4002),
    [aux_sym_logical_expression_token5] = ACTIONS(4005),
    [anon_sym_DOT] = ACTIONS(4008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4011),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [aux_sym_boolean_literal_token1] = ACTIONS(4017),
    [aux_sym_boolean_literal_token2] = ACTIONS(4017),
    [aux_sym_null_literal_token1] = ACTIONS(4020),
    [aux_sym_coarray_statement_token1] = ACTIONS(4023),
    [aux_sym_coarray_statement_token2] = ACTIONS(4023),
    [aux_sym_coarray_statement_token6] = ACTIONS(4026),
    [aux_sym_coarray_statement_token8] = ACTIONS(4029),
    [aux_sym_coarray_statement_token11] = ACTIONS(4032),
    [aux_sym_coarray_statement_token12] = ACTIONS(4032),
    [aux_sym_coarray_statement_token13] = ACTIONS(4035),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4041),
    [aux_sym_identifier_token1] = ACTIONS(3904),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4044),
    [sym__float_literal] = ACTIONS(4047),
    [sym__boz_literal] = ACTIONS(4047),
    [sym__string_literal] = ACTIONS(4050),
    [sym__string_literal_kind] = ACTIONS(4053),
  },
  [802] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym_internal_procedures] = STATE(9487),
    [sym_contains_statement] = STATE(7475),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(3519),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(4098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(3862),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_contains_statement_token1] = ACTIONS(59),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3535),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [803] = {
    [sym_preproc_include] = STATE(812),
    [sym_preproc_def] = STATE(812),
    [sym_preproc_function_def] = STATE(812),
    [sym_preproc_call] = STATE(812),
    [sym_preproc_if_in_statements] = STATE(812),
    [sym_preproc_ifdef_in_statements] = STATE(812),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(812),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(812),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4100),
    [anon_sym_SEMI] = ACTIONS(4103),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4105),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4105),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [804] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4100),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4105),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4105),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [805] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4107),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4110),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4110),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4110),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [806] = {
    [sym_preproc_include] = STATE(810),
    [sym_preproc_def] = STATE(810),
    [sym_preproc_function_def] = STATE(810),
    [sym_preproc_call] = STATE(810),
    [sym_preproc_if_in_statements] = STATE(810),
    [sym_preproc_ifdef_in_statements] = STATE(810),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(810),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(810),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4112),
    [anon_sym_SEMI] = ACTIONS(4115),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4117),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4117),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4117),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [807] = {
    [sym_preproc_include] = STATE(811),
    [sym_preproc_def] = STATE(811),
    [sym_preproc_function_def] = STATE(811),
    [sym_preproc_call] = STATE(811),
    [sym_preproc_if_in_statements] = STATE(811),
    [sym_preproc_ifdef_in_statements] = STATE(811),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(811),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(811),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4119),
    [anon_sym_SEMI] = ACTIONS(4122),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4124),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4124),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [808] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4119),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4124),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4124),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [809] = {
    [sym_preproc_include] = STATE(808),
    [sym_preproc_def] = STATE(808),
    [sym_preproc_function_def] = STATE(808),
    [sym_preproc_call] = STATE(808),
    [sym_preproc_if_in_statements] = STATE(808),
    [sym_preproc_ifdef_in_statements] = STATE(808),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(808),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(808),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4126),
    [anon_sym_SEMI] = ACTIONS(4129),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4131),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4131),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4131),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [810] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4133),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4136),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4136),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4136),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [811] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4141),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4141),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4141),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [812] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4143),
    [anon_sym_SEMI] = ACTIONS(2958),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4146),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4146),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4146),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [813] = {
    [sym_preproc_include] = STATE(805),
    [sym_preproc_def] = STATE(805),
    [sym_preproc_function_def] = STATE(805),
    [sym_preproc_call] = STATE(805),
    [sym_preproc_if_in_statements] = STATE(805),
    [sym_preproc_ifdef_in_statements] = STATE(805),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(805),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(805),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4148),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4141),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4141),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4141),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [814] = {
    [sym_preproc_include] = STATE(814),
    [sym_preproc_def] = STATE(814),
    [sym_preproc_function_def] = STATE(814),
    [sym_preproc_call] = STATE(814),
    [sym_preproc_if_in_statements] = STATE(814),
    [sym_preproc_ifdef_in_statements] = STATE(814),
    [sym__statements] = STATE(7477),
    [sym_statement_label] = STATE(960),
    [sym_stop_statement] = STATE(7477),
    [sym_assignment_statement] = STATE(7477),
    [sym_pointer_association_statement] = STATE(7477),
    [sym_subroutine_call] = STATE(7477),
    [sym_keyword_statement] = STATE(7477),
    [sym_include_statement] = STATE(814),
    [sym_do_loop_statement] = STATE(7477),
    [sym_do_label_statement] = STATE(7477),
    [sym_end_do_label_statement] = STATE(7477),
    [sym_if_statement] = STATE(7477),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7477),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7477),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7477),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7477),
    [sym_select_type_statement] = STATE(7477),
    [sym_select_rank_statement] = STATE(7477),
    [sym_block_construct] = STATE(7477),
    [sym_associate_statement] = STATE(7477),
    [sym_format_statement] = STATE(7477),
    [sym_read_statement] = STATE(7477),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7477),
    [sym_open_statement] = STATE(7477),
    [sym_close_statement] = STATE(7477),
    [sym_write_statement] = STATE(7477),
    [sym_inquire_statement] = STATE(7477),
    [sym_file_position_statement] = STATE(7477),
    [sym_allocate_statement] = STATE(7477),
    [sym_entry_statement] = STATE(7477),
    [sym_assign_statement] = STATE(7477),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7477),
    [sym_coarray_team_statement] = STATE(7477),
    [sym_coarray_critical_statement] = STATE(7477),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(814),
    [aux_sym_preproc_include_token1] = ACTIONS(4150),
    [aux_sym_preproc_def_token1] = ACTIONS(4153),
    [aux_sym_preproc_if_token1] = ACTIONS(4156),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4159),
    [sym_preproc_directive] = ACTIONS(4162),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [aux_sym_end_program_statement_token2] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(4165),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [815] = {
    [sym_preproc_include] = STATE(815),
    [sym_preproc_def] = STATE(815),
    [sym_preproc_function_def] = STATE(815),
    [sym_preproc_call] = STATE(815),
    [sym_preproc_if_in_statements] = STATE(815),
    [sym_preproc_ifdef_in_statements] = STATE(815),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(815),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(815),
    [aux_sym_preproc_include_token1] = ACTIONS(4171),
    [aux_sym_preproc_def_token1] = ACTIONS(4174),
    [aux_sym_preproc_if_token1] = ACTIONS(4177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4180),
    [sym_preproc_directive] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4186),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4189),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym_end_where_statement_token1] = ACTIONS(2773),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [816] = {
    [sym_preproc_include] = STATE(804),
    [sym_preproc_def] = STATE(804),
    [sym_preproc_function_def] = STATE(804),
    [sym_preproc_call] = STATE(804),
    [sym_preproc_if_in_statements] = STATE(804),
    [sym_preproc_ifdef_in_statements] = STATE(804),
    [sym__statements] = STATE(7591),
    [sym_statement_label] = STATE(956),
    [sym_stop_statement] = STATE(7591),
    [sym_assignment_statement] = STATE(7591),
    [sym_pointer_association_statement] = STATE(7591),
    [sym_subroutine_call] = STATE(7591),
    [sym_keyword_statement] = STATE(7591),
    [sym_include_statement] = STATE(804),
    [sym_do_loop_statement] = STATE(7591),
    [sym_do_label_statement] = STATE(7591),
    [sym_end_do_label_statement] = STATE(7591),
    [sym_if_statement] = STATE(7591),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7591),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7591),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7591),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7591),
    [sym_select_type_statement] = STATE(7591),
    [sym_select_rank_statement] = STATE(7591),
    [sym_block_construct] = STATE(7591),
    [sym_associate_statement] = STATE(7591),
    [sym_format_statement] = STATE(7591),
    [sym_read_statement] = STATE(7591),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7591),
    [sym_open_statement] = STATE(7591),
    [sym_close_statement] = STATE(7591),
    [sym_write_statement] = STATE(7591),
    [sym_inquire_statement] = STATE(7591),
    [sym_file_position_statement] = STATE(7591),
    [sym_allocate_statement] = STATE(7591),
    [sym_entry_statement] = STATE(7591),
    [sym_assign_statement] = STATE(7591),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7591),
    [sym_coarray_team_statement] = STATE(7591),
    [sym_coarray_critical_statement] = STATE(7591),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(804),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4133),
    [anon_sym_SEMI] = ACTIONS(4192),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(2960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token1] = ACTIONS(4136),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym_end_where_statement_token1] = ACTIONS(4136),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4136),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [817] = {
    [sym_preproc_include] = STATE(889),
    [sym_preproc_def] = STATE(889),
    [sym_preproc_function_def] = STATE(889),
    [sym_preproc_call] = STATE(889),
    [sym_preproc_if_in_statements] = STATE(889),
    [sym_preproc_ifdef_in_statements] = STATE(889),
    [sym__statements] = STATE(7396),
    [sym_statement_label] = STATE(926),
    [sym_stop_statement] = STATE(7396),
    [sym_assignment_statement] = STATE(7396),
    [sym_pointer_association_statement] = STATE(7396),
    [sym_subroutine_call] = STATE(7396),
    [sym_keyword_statement] = STATE(7396),
    [sym_include_statement] = STATE(889),
    [sym_do_loop_statement] = STATE(7396),
    [sym_do_label_statement] = STATE(7396),
    [sym_end_do_label_statement] = STATE(7396),
    [sym_if_statement] = STATE(7396),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7396),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7396),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7396),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8157),
    [sym_select_case_statement] = STATE(7396),
    [sym_select_type_statement] = STATE(7396),
    [sym_select_rank_statement] = STATE(7396),
    [sym_block_construct] = STATE(7396),
    [sym_associate_statement] = STATE(7396),
    [sym_format_statement] = STATE(7396),
    [sym_read_statement] = STATE(7396),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7396),
    [sym_open_statement] = STATE(7396),
    [sym_close_statement] = STATE(7396),
    [sym_write_statement] = STATE(7396),
    [sym_inquire_statement] = STATE(7396),
    [sym_file_position_statement] = STATE(7396),
    [sym_allocate_statement] = STATE(7396),
    [sym_entry_statement] = STATE(7396),
    [sym_assign_statement] = STATE(7396),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7396),
    [sym_coarray_team_statement] = STATE(7396),
    [sym_coarray_critical_statement] = STATE(7396),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(889),
    [aux_sym_preproc_include_token1] = ACTIONS(4194),
    [aux_sym_preproc_def_token1] = ACTIONS(4196),
    [aux_sym_preproc_if_token1] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4200),
    [sym_preproc_directive] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4204),
    [anon_sym_SEMI] = ACTIONS(4206),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4212),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [818] = {
    [sym_preproc_include] = STATE(852),
    [sym_preproc_def] = STATE(852),
    [sym_preproc_function_def] = STATE(852),
    [sym_preproc_call] = STATE(852),
    [sym_preproc_if_in_statements] = STATE(852),
    [sym_preproc_ifdef_in_statements] = STATE(852),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(852),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_end_coarray_critical_statement] = STATE(8196),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(852),
    [aux_sym_preproc_include_token1] = ACTIONS(4214),
    [aux_sym_preproc_def_token1] = ACTIONS(4216),
    [aux_sym_preproc_if_token1] = ACTIONS(4218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4220),
    [sym_preproc_directive] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4226),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4230),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [819] = {
    [sym_preproc_include] = STATE(820),
    [sym_preproc_def] = STATE(820),
    [sym_preproc_function_def] = STATE(820),
    [sym_preproc_call] = STATE(820),
    [sym_preproc_if_in_statements] = STATE(820),
    [sym_preproc_ifdef_in_statements] = STATE(820),
    [sym__statements] = STATE(7396),
    [sym_statement_label] = STATE(926),
    [sym_stop_statement] = STATE(7396),
    [sym_assignment_statement] = STATE(7396),
    [sym_pointer_association_statement] = STATE(7396),
    [sym_subroutine_call] = STATE(7396),
    [sym_keyword_statement] = STATE(7396),
    [sym_include_statement] = STATE(820),
    [sym_do_loop_statement] = STATE(7396),
    [sym_do_label_statement] = STATE(7396),
    [sym_end_do_label_statement] = STATE(7396),
    [sym_if_statement] = STATE(7396),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7396),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7396),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7396),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8157),
    [sym_select_case_statement] = STATE(7396),
    [sym_select_type_statement] = STATE(7396),
    [sym_select_rank_statement] = STATE(7396),
    [sym_block_construct] = STATE(7396),
    [sym_associate_statement] = STATE(7396),
    [sym_format_statement] = STATE(7396),
    [sym_read_statement] = STATE(7396),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7396),
    [sym_open_statement] = STATE(7396),
    [sym_close_statement] = STATE(7396),
    [sym_write_statement] = STATE(7396),
    [sym_inquire_statement] = STATE(7396),
    [sym_file_position_statement] = STATE(7396),
    [sym_allocate_statement] = STATE(7396),
    [sym_entry_statement] = STATE(7396),
    [sym_assign_statement] = STATE(7396),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7396),
    [sym_coarray_team_statement] = STATE(7396),
    [sym_coarray_critical_statement] = STATE(7396),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(820),
    [aux_sym_preproc_include_token1] = ACTIONS(4194),
    [aux_sym_preproc_def_token1] = ACTIONS(4196),
    [aux_sym_preproc_if_token1] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4200),
    [sym_preproc_directive] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4204),
    [anon_sym_SEMI] = ACTIONS(4232),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4212),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [820] = {
    [sym_preproc_include] = STATE(889),
    [sym_preproc_def] = STATE(889),
    [sym_preproc_function_def] = STATE(889),
    [sym_preproc_call] = STATE(889),
    [sym_preproc_if_in_statements] = STATE(889),
    [sym_preproc_ifdef_in_statements] = STATE(889),
    [sym__statements] = STATE(7396),
    [sym_statement_label] = STATE(929),
    [sym_stop_statement] = STATE(7396),
    [sym_assignment_statement] = STATE(7396),
    [sym_pointer_association_statement] = STATE(7396),
    [sym_subroutine_call] = STATE(7396),
    [sym_keyword_statement] = STATE(7396),
    [sym_include_statement] = STATE(889),
    [sym_do_loop_statement] = STATE(7396),
    [sym_do_label_statement] = STATE(7396),
    [sym_end_do_label_statement] = STATE(7396),
    [sym_if_statement] = STATE(7396),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7396),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7396),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7396),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8330),
    [sym_select_case_statement] = STATE(7396),
    [sym_select_type_statement] = STATE(7396),
    [sym_select_rank_statement] = STATE(7396),
    [sym_block_construct] = STATE(7396),
    [sym_associate_statement] = STATE(7396),
    [sym_format_statement] = STATE(7396),
    [sym_read_statement] = STATE(7396),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7396),
    [sym_open_statement] = STATE(7396),
    [sym_close_statement] = STATE(7396),
    [sym_write_statement] = STATE(7396),
    [sym_inquire_statement] = STATE(7396),
    [sym_file_position_statement] = STATE(7396),
    [sym_allocate_statement] = STATE(7396),
    [sym_entry_statement] = STATE(7396),
    [sym_assign_statement] = STATE(7396),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7396),
    [sym_coarray_team_statement] = STATE(7396),
    [sym_coarray_critical_statement] = STATE(7396),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(889),
    [aux_sym_preproc_include_token1] = ACTIONS(4194),
    [aux_sym_preproc_def_token1] = ACTIONS(4196),
    [aux_sym_preproc_if_token1] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4200),
    [sym_preproc_directive] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4204),
    [anon_sym_SEMI] = ACTIONS(4206),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4212),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [821] = {
    [sym_preproc_include] = STATE(886),
    [sym_preproc_def] = STATE(886),
    [sym_preproc_function_def] = STATE(886),
    [sym_preproc_call] = STATE(886),
    [sym_preproc_if_in_statements] = STATE(886),
    [sym_preproc_ifdef_in_statements] = STATE(886),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(953),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7814),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(886),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8457),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(886),
    [aux_sym_preproc_include_token1] = ACTIONS(4234),
    [aux_sym_preproc_def_token1] = ACTIONS(4236),
    [aux_sym_preproc_if_token1] = ACTIONS(4238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4240),
    [sym_preproc_directive] = ACTIONS(4242),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(4244),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4246),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [822] = {
    [sym_preproc_include] = STATE(817),
    [sym_preproc_def] = STATE(817),
    [sym_preproc_function_def] = STATE(817),
    [sym_preproc_call] = STATE(817),
    [sym_preproc_if_in_statements] = STATE(817),
    [sym_preproc_ifdef_in_statements] = STATE(817),
    [sym__statements] = STATE(7396),
    [sym_statement_label] = STATE(927),
    [sym_stop_statement] = STATE(7396),
    [sym_assignment_statement] = STATE(7396),
    [sym_pointer_association_statement] = STATE(7396),
    [sym_subroutine_call] = STATE(7396),
    [sym_keyword_statement] = STATE(7396),
    [sym_include_statement] = STATE(817),
    [sym_do_loop_statement] = STATE(7396),
    [sym_do_label_statement] = STATE(7396),
    [sym_end_do_label_statement] = STATE(7396),
    [sym_if_statement] = STATE(7396),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7396),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7396),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7396),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8447),
    [sym_select_case_statement] = STATE(7396),
    [sym_select_type_statement] = STATE(7396),
    [sym_select_rank_statement] = STATE(7396),
    [sym_block_construct] = STATE(7396),
    [sym_associate_statement] = STATE(7396),
    [sym_format_statement] = STATE(7396),
    [sym_read_statement] = STATE(7396),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7396),
    [sym_open_statement] = STATE(7396),
    [sym_close_statement] = STATE(7396),
    [sym_write_statement] = STATE(7396),
    [sym_inquire_statement] = STATE(7396),
    [sym_file_position_statement] = STATE(7396),
    [sym_allocate_statement] = STATE(7396),
    [sym_entry_statement] = STATE(7396),
    [sym_assign_statement] = STATE(7396),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7396),
    [sym_coarray_team_statement] = STATE(7396),
    [sym_coarray_critical_statement] = STATE(7396),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(817),
    [aux_sym_preproc_include_token1] = ACTIONS(4194),
    [aux_sym_preproc_def_token1] = ACTIONS(4196),
    [aux_sym_preproc_if_token1] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4200),
    [sym_preproc_directive] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4204),
    [anon_sym_SEMI] = ACTIONS(4248),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4212),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [823] = {
    [sym_preproc_include] = STATE(829),
    [sym_preproc_def] = STATE(829),
    [sym_preproc_function_def] = STATE(829),
    [sym_preproc_call] = STATE(829),
    [sym_preproc_if_in_statements] = STATE(829),
    [sym_preproc_ifdef_in_statements] = STATE(829),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(930),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(829),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8442),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(829),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4262),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [824] = {
    [sym_preproc_include] = STATE(824),
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_statements] = STATE(824),
    [sym_preproc_ifdef_in_statements] = STATE(824),
    [sym__statements] = STATE(7895),
    [sym_statement_label] = STATE(945),
    [sym_stop_statement] = STATE(7895),
    [sym_assignment_statement] = STATE(7895),
    [sym_pointer_association_statement] = STATE(7895),
    [sym_subroutine_call] = STATE(7895),
    [sym_keyword_statement] = STATE(7895),
    [sym_include_statement] = STATE(824),
    [sym_do_loop_statement] = STATE(7895),
    [sym_do_label_statement] = STATE(7895),
    [sym_end_do_label_statement] = STATE(7895),
    [sym_if_statement] = STATE(7895),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7895),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7895),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7895),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7895),
    [sym_select_type_statement] = STATE(7895),
    [sym_select_rank_statement] = STATE(7895),
    [sym_block_construct] = STATE(7895),
    [sym_associate_statement] = STATE(7895),
    [sym_format_statement] = STATE(7895),
    [sym_read_statement] = STATE(7895),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7895),
    [sym_open_statement] = STATE(7895),
    [sym_close_statement] = STATE(7895),
    [sym_write_statement] = STATE(7895),
    [sym_inquire_statement] = STATE(7895),
    [sym_file_position_statement] = STATE(7895),
    [sym_allocate_statement] = STATE(7895),
    [sym_entry_statement] = STATE(7895),
    [sym_assign_statement] = STATE(7895),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7895),
    [sym_coarray_team_statement] = STATE(7895),
    [sym_coarray_critical_statement] = STATE(7895),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(824),
    [aux_sym_preproc_include_token1] = ACTIONS(4268),
    [aux_sym_preproc_def_token1] = ACTIONS(4271),
    [aux_sym_preproc_if_token1] = ACTIONS(4274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4280),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [aux_sym_end_program_statement_token2] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4286),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [825] = {
    [sym_preproc_include] = STATE(845),
    [sym_preproc_def] = STATE(845),
    [sym_preproc_function_def] = STATE(845),
    [sym_preproc_call] = STATE(845),
    [sym_preproc_if_in_statements] = STATE(845),
    [sym_preproc_ifdef_in_statements] = STATE(845),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(845),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(845),
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4292),
    [aux_sym_preproc_if_token1] = ACTIONS(4295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4298),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4304),
    [anon_sym_SEMI] = ACTIONS(4307),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3695),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3695),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [826] = {
    [sym_preproc_include] = STATE(840),
    [sym_preproc_def] = STATE(840),
    [sym_preproc_function_def] = STATE(840),
    [sym_preproc_call] = STATE(840),
    [sym_preproc_if_in_statements] = STATE(840),
    [sym_preproc_ifdef_in_statements] = STATE(840),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(840),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(840),
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4292),
    [aux_sym_preproc_if_token1] = ACTIONS(4295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4298),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4304),
    [anon_sym_SEMI] = ACTIONS(4314),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3695),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3695),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [827] = {
    [sym_preproc_include] = STATE(851),
    [sym_preproc_def] = STATE(851),
    [sym_preproc_function_def] = STATE(851),
    [sym_preproc_call] = STATE(851),
    [sym_preproc_if_in_statements] = STATE(851),
    [sym_preproc_ifdef_in_statements] = STATE(851),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(938),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(851),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8199),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(851),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4316),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [828] = {
    [sym_preproc_include] = STATE(897),
    [sym_preproc_def] = STATE(897),
    [sym_preproc_function_def] = STATE(897),
    [sym_preproc_call] = STATE(897),
    [sym_preproc_if_in_statements] = STATE(897),
    [sym_preproc_ifdef_in_statements] = STATE(897),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(897),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_end_associate_statement] = STATE(8174),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(897),
    [aux_sym_preproc_include_token1] = ACTIONS(4318),
    [aux_sym_preproc_def_token1] = ACTIONS(4320),
    [aux_sym_preproc_if_token1] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4324),
    [sym_preproc_directive] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(4330),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4334),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [829] = {
    [sym_preproc_include] = STATE(882),
    [sym_preproc_def] = STATE(882),
    [sym_preproc_function_def] = STATE(882),
    [sym_preproc_call] = STATE(882),
    [sym_preproc_if_in_statements] = STATE(882),
    [sym_preproc_ifdef_in_statements] = STATE(882),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(938),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(882),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8199),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(882),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4336),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [830] = {
    [sym_preproc_include] = STATE(835),
    [sym_preproc_def] = STATE(835),
    [sym_preproc_function_def] = STATE(835),
    [sym_preproc_call] = STATE(835),
    [sym_preproc_if_in_statements] = STATE(835),
    [sym_preproc_ifdef_in_statements] = STATE(835),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(835),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_end_associate_statement] = STATE(8318),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(835),
    [aux_sym_preproc_include_token1] = ACTIONS(4318),
    [aux_sym_preproc_def_token1] = ACTIONS(4320),
    [aux_sym_preproc_if_token1] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4324),
    [sym_preproc_directive] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(4338),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4334),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [831] = {
    [sym_preproc_include] = STATE(895),
    [sym_preproc_def] = STATE(895),
    [sym_preproc_function_def] = STATE(895),
    [sym_preproc_call] = STATE(895),
    [sym_preproc_if_in_statements] = STATE(895),
    [sym_preproc_ifdef_in_statements] = STATE(895),
    [sym__statements] = STATE(7739),
    [sym_statement_label] = STATE(963),
    [sym_stop_statement] = STATE(7739),
    [sym_assignment_statement] = STATE(7739),
    [sym_pointer_association_statement] = STATE(7739),
    [sym_subroutine_call] = STATE(7739),
    [sym_keyword_statement] = STATE(7739),
    [sym_include_statement] = STATE(895),
    [sym_do_loop_statement] = STATE(7739),
    [sym_do_label_statement] = STATE(7739),
    [sym_end_do_label_statement] = STATE(7739),
    [sym_if_statement] = STATE(7739),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7739),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7739),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7739),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7739),
    [sym_select_type_statement] = STATE(7739),
    [sym_select_rank_statement] = STATE(7739),
    [sym_block_construct] = STATE(7739),
    [sym_associate_statement] = STATE(7739),
    [sym_format_statement] = STATE(7739),
    [sym_read_statement] = STATE(7739),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7739),
    [sym_open_statement] = STATE(7739),
    [sym_close_statement] = STATE(7739),
    [sym_write_statement] = STATE(7739),
    [sym_inquire_statement] = STATE(7739),
    [sym_file_position_statement] = STATE(7739),
    [sym_allocate_statement] = STATE(7739),
    [sym_entry_statement] = STATE(7739),
    [sym_assign_statement] = STATE(7739),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7739),
    [sym_coarray_team_statement] = STATE(7739),
    [sym_end_coarray_team_statement] = STATE(8507),
    [sym_coarray_critical_statement] = STATE(7739),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(895),
    [aux_sym_preproc_include_token1] = ACTIONS(4340),
    [aux_sym_preproc_def_token1] = ACTIONS(4342),
    [aux_sym_preproc_if_token1] = ACTIONS(4344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4346),
    [sym_preproc_directive] = ACTIONS(4348),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4350),
    [anon_sym_SEMI] = ACTIONS(4352),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4354),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [832] = {
    [sym_preproc_include] = STATE(834),
    [sym_preproc_def] = STATE(834),
    [sym_preproc_function_def] = STATE(834),
    [sym_preproc_call] = STATE(834),
    [sym_preproc_if_in_statements] = STATE(834),
    [sym_preproc_ifdef_in_statements] = STATE(834),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(834),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(834),
    [aux_sym_preproc_include_token1] = ACTIONS(4358),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4367),
    [sym_preproc_directive] = ACTIONS(4370),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4376),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3515),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3515),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4378),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [833] = {
    [sym_preproc_include] = STATE(840),
    [sym_preproc_def] = STATE(840),
    [sym_preproc_function_def] = STATE(840),
    [sym_preproc_call] = STATE(840),
    [sym_preproc_if_in_statements] = STATE(840),
    [sym_preproc_ifdef_in_statements] = STATE(840),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(840),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(840),
    [aux_sym_preproc_include_token1] = ACTIONS(4358),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4367),
    [sym_preproc_directive] = ACTIONS(4370),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4314),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3515),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3515),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4378),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [834] = {
    [sym_preproc_include] = STATE(840),
    [sym_preproc_def] = STATE(840),
    [sym_preproc_function_def] = STATE(840),
    [sym_preproc_call] = STATE(840),
    [sym_preproc_if_in_statements] = STATE(840),
    [sym_preproc_ifdef_in_statements] = STATE(840),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(840),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(840),
    [aux_sym_preproc_include_token1] = ACTIONS(4381),
    [aux_sym_preproc_def_token1] = ACTIONS(4384),
    [aux_sym_preproc_if_token1] = ACTIONS(4387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4390),
    [sym_preproc_directive] = ACTIONS(4393),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4396),
    [anon_sym_SEMI] = ACTIONS(4314),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3663),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3663),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4399),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [835] = {
    [sym_preproc_include] = STATE(897),
    [sym_preproc_def] = STATE(897),
    [sym_preproc_function_def] = STATE(897),
    [sym_preproc_call] = STATE(897),
    [sym_preproc_if_in_statements] = STATE(897),
    [sym_preproc_ifdef_in_statements] = STATE(897),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(897),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_end_associate_statement] = STATE(8158),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(897),
    [aux_sym_preproc_include_token1] = ACTIONS(4318),
    [aux_sym_preproc_def_token1] = ACTIONS(4320),
    [aux_sym_preproc_if_token1] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4324),
    [sym_preproc_directive] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(4330),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4334),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [836] = {
    [sym_preproc_include] = STATE(828),
    [sym_preproc_def] = STATE(828),
    [sym_preproc_function_def] = STATE(828),
    [sym_preproc_call] = STATE(828),
    [sym_preproc_if_in_statements] = STATE(828),
    [sym_preproc_ifdef_in_statements] = STATE(828),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(828),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_end_associate_statement] = STATE(8333),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(828),
    [aux_sym_preproc_include_token1] = ACTIONS(4318),
    [aux_sym_preproc_def_token1] = ACTIONS(4320),
    [aux_sym_preproc_if_token1] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4324),
    [sym_preproc_directive] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(4402),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4334),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [837] = {
    [sym_preproc_include] = STATE(833),
    [sym_preproc_def] = STATE(833),
    [sym_preproc_function_def] = STATE(833),
    [sym_preproc_call] = STATE(833),
    [sym_preproc_if_in_statements] = STATE(833),
    [sym_preproc_ifdef_in_statements] = STATE(833),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(833),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(833),
    [aux_sym_preproc_include_token1] = ACTIONS(4404),
    [aux_sym_preproc_def_token1] = ACTIONS(4407),
    [aux_sym_preproc_if_token1] = ACTIONS(4410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4416),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4419),
    [anon_sym_SEMI] = ACTIONS(4422),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3303),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3303),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4424),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [838] = {
    [sym_preproc_include] = STATE(838),
    [sym_preproc_def] = STATE(838),
    [sym_preproc_function_def] = STATE(838),
    [sym_preproc_call] = STATE(838),
    [sym_preproc_if_in_statements] = STATE(838),
    [sym_preproc_ifdef_in_statements] = STATE(838),
    [sym__statements] = STATE(7643),
    [sym_statement_label] = STATE(965),
    [sym_stop_statement] = STATE(7643),
    [sym_assignment_statement] = STATE(7643),
    [sym_pointer_association_statement] = STATE(7643),
    [sym_subroutine_call] = STATE(7643),
    [sym_keyword_statement] = STATE(7643),
    [sym_include_statement] = STATE(838),
    [sym_do_loop_statement] = STATE(7643),
    [sym_do_label_statement] = STATE(7643),
    [sym_end_do_label_statement] = STATE(7643),
    [sym_if_statement] = STATE(7643),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7643),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7643),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7643),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7643),
    [sym_select_type_statement] = STATE(7643),
    [sym_select_rank_statement] = STATE(7643),
    [sym_block_construct] = STATE(7643),
    [sym_associate_statement] = STATE(7643),
    [sym_format_statement] = STATE(7643),
    [sym_read_statement] = STATE(7643),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7643),
    [sym_open_statement] = STATE(7643),
    [sym_close_statement] = STATE(7643),
    [sym_write_statement] = STATE(7643),
    [sym_inquire_statement] = STATE(7643),
    [sym_file_position_statement] = STATE(7643),
    [sym_allocate_statement] = STATE(7643),
    [sym_entry_statement] = STATE(7643),
    [sym_assign_statement] = STATE(7643),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7643),
    [sym_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(7643),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(838),
    [aux_sym_preproc_include_token1] = ACTIONS(4427),
    [aux_sym_preproc_def_token1] = ACTIONS(4430),
    [aux_sym_preproc_if_token1] = ACTIONS(4433),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4436),
    [sym_preproc_directive] = ACTIONS(4439),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4442),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [839] = {
    [sym_preproc_include] = STATE(858),
    [sym_preproc_def] = STATE(858),
    [sym_preproc_function_def] = STATE(858),
    [sym_preproc_call] = STATE(858),
    [sym_preproc_if_in_statements] = STATE(858),
    [sym_preproc_ifdef_in_statements] = STATE(858),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(858),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_end_coarray_critical_statement] = STATE(8150),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(858),
    [aux_sym_preproc_include_token1] = ACTIONS(4214),
    [aux_sym_preproc_def_token1] = ACTIONS(4216),
    [aux_sym_preproc_if_token1] = ACTIONS(4218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4220),
    [sym_preproc_directive] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4448),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4230),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [840] = {
    [sym_preproc_include] = STATE(840),
    [sym_preproc_def] = STATE(840),
    [sym_preproc_function_def] = STATE(840),
    [sym_preproc_call] = STATE(840),
    [sym_preproc_if_in_statements] = STATE(840),
    [sym_preproc_ifdef_in_statements] = STATE(840),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(840),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(840),
    [aux_sym_preproc_include_token1] = ACTIONS(4450),
    [aux_sym_preproc_def_token1] = ACTIONS(4453),
    [aux_sym_preproc_if_token1] = ACTIONS(4456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4459),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4459),
    [sym_preproc_directive] = ACTIONS(4462),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4465),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4468),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token2] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [841] = {
    [sym_preproc_include] = STATE(826),
    [sym_preproc_def] = STATE(826),
    [sym_preproc_function_def] = STATE(826),
    [sym_preproc_call] = STATE(826),
    [sym_preproc_if_in_statements] = STATE(826),
    [sym_preproc_ifdef_in_statements] = STATE(826),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(826),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(826),
    [aux_sym_preproc_include_token1] = ACTIONS(4471),
    [aux_sym_preproc_def_token1] = ACTIONS(4474),
    [aux_sym_preproc_if_token1] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4480),
    [sym_preproc_directive] = ACTIONS(4483),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4486),
    [anon_sym_SEMI] = ACTIONS(4489),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3597),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3597),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4491),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [842] = {
    [sym_preproc_include] = STATE(897),
    [sym_preproc_def] = STATE(897),
    [sym_preproc_function_def] = STATE(897),
    [sym_preproc_call] = STATE(897),
    [sym_preproc_if_in_statements] = STATE(897),
    [sym_preproc_ifdef_in_statements] = STATE(897),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(897),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_end_associate_statement] = STATE(8333),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(897),
    [aux_sym_preproc_include_token1] = ACTIONS(4318),
    [aux_sym_preproc_def_token1] = ACTIONS(4320),
    [aux_sym_preproc_if_token1] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4324),
    [sym_preproc_directive] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(4330),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4334),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [843] = {
    [sym_preproc_include] = STATE(882),
    [sym_preproc_def] = STATE(882),
    [sym_preproc_function_def] = STATE(882),
    [sym_preproc_call] = STATE(882),
    [sym_preproc_if_in_statements] = STATE(882),
    [sym_preproc_ifdef_in_statements] = STATE(882),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(934),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(882),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8152),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(882),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4336),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [844] = {
    [sym_preproc_include] = STATE(831),
    [sym_preproc_def] = STATE(831),
    [sym_preproc_function_def] = STATE(831),
    [sym_preproc_call] = STATE(831),
    [sym_preproc_if_in_statements] = STATE(831),
    [sym_preproc_ifdef_in_statements] = STATE(831),
    [sym__statements] = STATE(7739),
    [sym_statement_label] = STATE(963),
    [sym_stop_statement] = STATE(7739),
    [sym_assignment_statement] = STATE(7739),
    [sym_pointer_association_statement] = STATE(7739),
    [sym_subroutine_call] = STATE(7739),
    [sym_keyword_statement] = STATE(7739),
    [sym_include_statement] = STATE(831),
    [sym_do_loop_statement] = STATE(7739),
    [sym_do_label_statement] = STATE(7739),
    [sym_end_do_label_statement] = STATE(7739),
    [sym_if_statement] = STATE(7739),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7739),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7739),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7739),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7739),
    [sym_select_type_statement] = STATE(7739),
    [sym_select_rank_statement] = STATE(7739),
    [sym_block_construct] = STATE(7739),
    [sym_associate_statement] = STATE(7739),
    [sym_format_statement] = STATE(7739),
    [sym_read_statement] = STATE(7739),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7739),
    [sym_open_statement] = STATE(7739),
    [sym_close_statement] = STATE(7739),
    [sym_write_statement] = STATE(7739),
    [sym_inquire_statement] = STATE(7739),
    [sym_file_position_statement] = STATE(7739),
    [sym_allocate_statement] = STATE(7739),
    [sym_entry_statement] = STATE(7739),
    [sym_assign_statement] = STATE(7739),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7739),
    [sym_coarray_team_statement] = STATE(7739),
    [sym_end_coarray_team_statement] = STATE(8511),
    [sym_coarray_critical_statement] = STATE(7739),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(831),
    [aux_sym_preproc_include_token1] = ACTIONS(4340),
    [aux_sym_preproc_def_token1] = ACTIONS(4342),
    [aux_sym_preproc_if_token1] = ACTIONS(4344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4346),
    [sym_preproc_directive] = ACTIONS(4348),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4350),
    [anon_sym_SEMI] = ACTIONS(4494),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4354),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [845] = {
    [sym_preproc_include] = STATE(840),
    [sym_preproc_def] = STATE(840),
    [sym_preproc_function_def] = STATE(840),
    [sym_preproc_call] = STATE(840),
    [sym_preproc_if_in_statements] = STATE(840),
    [sym_preproc_ifdef_in_statements] = STATE(840),
    [sym__statements] = STATE(7818),
    [sym_statement_label] = STATE(970),
    [sym_stop_statement] = STATE(7818),
    [sym_assignment_statement] = STATE(7818),
    [sym_pointer_association_statement] = STATE(7818),
    [sym_subroutine_call] = STATE(7818),
    [sym_keyword_statement] = STATE(7818),
    [sym_include_statement] = STATE(840),
    [sym_do_loop_statement] = STATE(7818),
    [sym_do_label_statement] = STATE(7818),
    [sym_end_do_label_statement] = STATE(7818),
    [sym_if_statement] = STATE(7818),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7818),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7818),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7818),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7818),
    [sym_select_type_statement] = STATE(7818),
    [sym_select_rank_statement] = STATE(7818),
    [sym_block_construct] = STATE(7818),
    [sym_associate_statement] = STATE(7818),
    [sym_format_statement] = STATE(7818),
    [sym_read_statement] = STATE(7818),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7818),
    [sym_open_statement] = STATE(7818),
    [sym_close_statement] = STATE(7818),
    [sym_write_statement] = STATE(7818),
    [sym_inquire_statement] = STATE(7818),
    [sym_file_position_statement] = STATE(7818),
    [sym_allocate_statement] = STATE(7818),
    [sym_entry_statement] = STATE(7818),
    [sym_assign_statement] = STATE(7818),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7818),
    [sym_coarray_team_statement] = STATE(7818),
    [sym_coarray_critical_statement] = STATE(7818),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(840),
    [aux_sym_preproc_include_token1] = ACTIONS(4496),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4505),
    [sym_preproc_directive] = ACTIONS(4508),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4511),
    [anon_sym_SEMI] = ACTIONS(4314),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4309),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token2] = ACTIONS(3447),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3447),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4514),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [846] = {
    [sym_preproc_include] = STATE(886),
    [sym_preproc_def] = STATE(886),
    [sym_preproc_function_def] = STATE(886),
    [sym_preproc_call] = STATE(886),
    [sym_preproc_if_in_statements] = STATE(886),
    [sym_preproc_ifdef_in_statements] = STATE(886),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(953),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7814),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(886),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8202),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(886),
    [aux_sym_preproc_include_token1] = ACTIONS(4234),
    [aux_sym_preproc_def_token1] = ACTIONS(4236),
    [aux_sym_preproc_if_token1] = ACTIONS(4238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4240),
    [sym_preproc_directive] = ACTIONS(4242),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(4244),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4246),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [847] = {
    [sym_preproc_include] = STATE(895),
    [sym_preproc_def] = STATE(895),
    [sym_preproc_function_def] = STATE(895),
    [sym_preproc_call] = STATE(895),
    [sym_preproc_if_in_statements] = STATE(895),
    [sym_preproc_ifdef_in_statements] = STATE(895),
    [sym__statements] = STATE(7739),
    [sym_statement_label] = STATE(963),
    [sym_stop_statement] = STATE(7739),
    [sym_assignment_statement] = STATE(7739),
    [sym_pointer_association_statement] = STATE(7739),
    [sym_subroutine_call] = STATE(7739),
    [sym_keyword_statement] = STATE(7739),
    [sym_include_statement] = STATE(895),
    [sym_do_loop_statement] = STATE(7739),
    [sym_do_label_statement] = STATE(7739),
    [sym_end_do_label_statement] = STATE(7739),
    [sym_if_statement] = STATE(7739),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7739),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7739),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7739),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7739),
    [sym_select_type_statement] = STATE(7739),
    [sym_select_rank_statement] = STATE(7739),
    [sym_block_construct] = STATE(7739),
    [sym_associate_statement] = STATE(7739),
    [sym_format_statement] = STATE(7739),
    [sym_read_statement] = STATE(7739),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7739),
    [sym_open_statement] = STATE(7739),
    [sym_close_statement] = STATE(7739),
    [sym_write_statement] = STATE(7739),
    [sym_inquire_statement] = STATE(7739),
    [sym_file_position_statement] = STATE(7739),
    [sym_allocate_statement] = STATE(7739),
    [sym_entry_statement] = STATE(7739),
    [sym_assign_statement] = STATE(7739),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7739),
    [sym_coarray_team_statement] = STATE(7739),
    [sym_end_coarray_team_statement] = STATE(8469),
    [sym_coarray_critical_statement] = STATE(7739),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(895),
    [aux_sym_preproc_include_token1] = ACTIONS(4340),
    [aux_sym_preproc_def_token1] = ACTIONS(4342),
    [aux_sym_preproc_if_token1] = ACTIONS(4344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4346),
    [sym_preproc_directive] = ACTIONS(4348),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4350),
    [anon_sym_SEMI] = ACTIONS(4352),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4354),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [848] = {
    [sym_preproc_include] = STATE(855),
    [sym_preproc_def] = STATE(855),
    [sym_preproc_function_def] = STATE(855),
    [sym_preproc_call] = STATE(855),
    [sym_preproc_if_in_statements] = STATE(855),
    [sym_preproc_ifdef_in_statements] = STATE(855),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(932),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(855),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8425),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(855),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4517),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [849] = {
    [sym_preproc_include] = STATE(857),
    [sym_preproc_def] = STATE(857),
    [sym_preproc_function_def] = STATE(857),
    [sym_preproc_call] = STATE(857),
    [sym_preproc_if_in_statements] = STATE(857),
    [sym_preproc_ifdef_in_statements] = STATE(857),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(857),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_end_coarray_critical_statement] = STATE(8261),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(857),
    [aux_sym_preproc_include_token1] = ACTIONS(4214),
    [aux_sym_preproc_def_token1] = ACTIONS(4216),
    [aux_sym_preproc_if_token1] = ACTIONS(4218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4220),
    [sym_preproc_directive] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4519),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4230),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [850] = {
    [sym_preproc_include] = STATE(842),
    [sym_preproc_def] = STATE(842),
    [sym_preproc_function_def] = STATE(842),
    [sym_preproc_call] = STATE(842),
    [sym_preproc_if_in_statements] = STATE(842),
    [sym_preproc_ifdef_in_statements] = STATE(842),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(842),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_end_associate_statement] = STATE(8158),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(842),
    [aux_sym_preproc_include_token1] = ACTIONS(4318),
    [aux_sym_preproc_def_token1] = ACTIONS(4320),
    [aux_sym_preproc_if_token1] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4324),
    [sym_preproc_directive] = ACTIONS(4326),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(4521),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4334),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [851] = {
    [sym_preproc_include] = STATE(882),
    [sym_preproc_def] = STATE(882),
    [sym_preproc_function_def] = STATE(882),
    [sym_preproc_call] = STATE(882),
    [sym_preproc_if_in_statements] = STATE(882),
    [sym_preproc_ifdef_in_statements] = STATE(882),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(932),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(882),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8425),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(882),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4336),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [852] = {
    [sym_preproc_include] = STATE(888),
    [sym_preproc_def] = STATE(888),
    [sym_preproc_function_def] = STATE(888),
    [sym_preproc_call] = STATE(888),
    [sym_preproc_if_in_statements] = STATE(888),
    [sym_preproc_ifdef_in_statements] = STATE(888),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(888),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_end_coarray_critical_statement] = STATE(8261),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(888),
    [aux_sym_preproc_include_token1] = ACTIONS(4214),
    [aux_sym_preproc_def_token1] = ACTIONS(4216),
    [aux_sym_preproc_if_token1] = ACTIONS(4218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4220),
    [sym_preproc_directive] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4523),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4230),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [853] = {
    [sym_preproc_include] = STATE(886),
    [sym_preproc_def] = STATE(886),
    [sym_preproc_function_def] = STATE(886),
    [sym_preproc_call] = STATE(886),
    [sym_preproc_if_in_statements] = STATE(886),
    [sym_preproc_ifdef_in_statements] = STATE(886),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(953),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7814),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(886),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_end_block_construct_statement] = STATE(8421),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(886),
    [aux_sym_preproc_include_token1] = ACTIONS(4234),
    [aux_sym_preproc_def_token1] = ACTIONS(4236),
    [aux_sym_preproc_if_token1] = ACTIONS(4238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4240),
    [sym_preproc_directive] = ACTIONS(4242),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(4244),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4246),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1471),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [854] = {
    [sym_preproc_include] = STATE(843),
    [sym_preproc_def] = STATE(843),
    [sym_preproc_function_def] = STATE(843),
    [sym_preproc_call] = STATE(843),
    [sym_preproc_if_in_statements] = STATE(843),
    [sym_preproc_ifdef_in_statements] = STATE(843),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(939),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(843),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8422),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(843),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4525),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [855] = {
    [sym_preproc_include] = STATE(882),
    [sym_preproc_def] = STATE(882),
    [sym_preproc_function_def] = STATE(882),
    [sym_preproc_call] = STATE(882),
    [sym_preproc_if_in_statements] = STATE(882),
    [sym_preproc_ifdef_in_statements] = STATE(882),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(939),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(882),
    [sym_do_loop_statement] = STATE(8117),
    [sym_end_do_loop_statement] = STATE(8422),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(882),
    [aux_sym_preproc_include_token1] = ACTIONS(4250),
    [aux_sym_preproc_def_token1] = ACTIONS(4252),
    [aux_sym_preproc_if_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4256),
    [sym_preproc_directive] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4336),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [856] = {
    [sym_preproc_include] = STATE(847),
    [sym_preproc_def] = STATE(847),
    [sym_preproc_function_def] = STATE(847),
    [sym_preproc_call] = STATE(847),
    [sym_preproc_if_in_statements] = STATE(847),
    [sym_preproc_ifdef_in_statements] = STATE(847),
    [sym__statements] = STATE(7739),
    [sym_statement_label] = STATE(963),
    [sym_stop_statement] = STATE(7739),
    [sym_assignment_statement] = STATE(7739),
    [sym_pointer_association_statement] = STATE(7739),
    [sym_subroutine_call] = STATE(7739),
    [sym_keyword_statement] = STATE(7739),
    [sym_include_statement] = STATE(847),
    [sym_do_loop_statement] = STATE(7739),
    [sym_do_label_statement] = STATE(7739),
    [sym_end_do_label_statement] = STATE(7739),
    [sym_if_statement] = STATE(7739),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7739),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7739),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7739),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7739),
    [sym_select_type_statement] = STATE(7739),
    [sym_select_rank_statement] = STATE(7739),
    [sym_block_construct] = STATE(7739),
    [sym_associate_statement] = STATE(7739),
    [sym_format_statement] = STATE(7739),
    [sym_read_statement] = STATE(7739),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7739),
    [sym_open_statement] = STATE(7739),
    [sym_close_statement] = STATE(7739),
    [sym_write_statement] = STATE(7739),
    [sym_inquire_statement] = STATE(7739),
    [sym_file_position_statement] = STATE(7739),
    [sym_allocate_statement] = STATE(7739),
    [sym_entry_statement] = STATE(7739),
    [sym_assign_statement] = STATE(7739),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7739),
    [sym_coarray_team_statement] = STATE(7739),
    [sym_end_coarray_team_statement] = STATE(8507),
    [sym_coarray_critical_statement] = STATE(7739),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(847),
    [aux_sym_preproc_include_token1] = ACTIONS(4340),
    [aux_sym_preproc_def_token1] = ACTIONS(4342),
    [aux_sym_preproc_if_token1] = ACTIONS(4344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4346),
    [sym_preproc_directive] = ACTIONS(4348),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4350),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4354),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [857] = {
    [sym_preproc_include] = STATE(888),
    [sym_preproc_def] = STATE(888),
    [sym_preproc_function_def] = STATE(888),
    [sym_preproc_call] = STATE(888),
    [sym_preproc_if_in_statements] = STATE(888),
    [sym_preproc_ifdef_in_statements] = STATE(888),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(888),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_end_coarray_critical_statement] = STATE(8466),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(888),
    [aux_sym_preproc_include_token1] = ACTIONS(4214),
    [aux_sym_preproc_def_token1] = ACTIONS(4216),
    [aux_sym_preproc_if_token1] = ACTIONS(4218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4220),
    [sym_preproc_directive] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4523),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4230),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [858] = {
    [sym_preproc_include] = STATE(888),
    [sym_preproc_def] = STATE(888),
    [sym_preproc_function_def] = STATE(888),
    [sym_preproc_call] = STATE(888),
    [sym_preproc_if_in_statements] = STATE(888),
    [sym_preproc_ifdef_in_statements] = STATE(888),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(888),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_end_coarray_critical_statement] = STATE(8196),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(888),
    [aux_sym_preproc_include_token1] = ACTIONS(4214),
    [aux_sym_preproc_def_token1] = ACTIONS(4216),
    [aux_sym_preproc_if_token1] = ACTIONS(4218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4220),
    [sym_preproc_directive] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4523),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4230),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [859] = {
    [sym_preproc_include] = STATE(905),
    [sym_preproc_def] = STATE(905),
    [sym_preproc_function_def] = STATE(905),
    [sym_preproc_call] = STATE(905),
    [sym_preproc_if_in_statements] = STATE(905),
    [sym_preproc_ifdef_in_statements] = STATE(905),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(905),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(905),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4539),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [860] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [861] = {
    [sym_preproc_include] = STATE(876),
    [sym_preproc_def] = STATE(876),
    [sym_preproc_function_def] = STATE(876),
    [sym_preproc_call] = STATE(876),
    [sym_preproc_if_in_statements] = STATE(876),
    [sym_preproc_ifdef_in_statements] = STATE(876),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(876),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(876),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4545),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [862] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [863] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [864] = {
    [sym_preproc_include] = STATE(877),
    [sym_preproc_def] = STATE(877),
    [sym_preproc_function_def] = STATE(877),
    [sym_preproc_call] = STATE(877),
    [sym_preproc_if_in_statements] = STATE(877),
    [sym_preproc_ifdef_in_statements] = STATE(877),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(877),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(877),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4547),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [865] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [866] = {
    [sym_preproc_include] = STATE(914),
    [sym_preproc_def] = STATE(914),
    [sym_preproc_function_def] = STATE(914),
    [sym_preproc_call] = STATE(914),
    [sym_preproc_if_in_statements] = STATE(914),
    [sym_preproc_ifdef_in_statements] = STATE(914),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(914),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(914),
    [aux_sym_preproc_include_token1] = ACTIONS(4549),
    [aux_sym_preproc_def_token1] = ACTIONS(4552),
    [aux_sym_preproc_if_token1] = ACTIONS(4555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4558),
    [sym_preproc_directive] = ACTIONS(4561),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4564),
    [anon_sym_SEMI] = ACTIONS(4567),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3509),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4574),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [867] = {
    [sym_preproc_include] = STATE(868),
    [sym_preproc_def] = STATE(868),
    [sym_preproc_function_def] = STATE(868),
    [sym_preproc_call] = STATE(868),
    [sym_preproc_if_in_statements] = STATE(868),
    [sym_preproc_ifdef_in_statements] = STATE(868),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(868),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(868),
    [aux_sym_preproc_include_token1] = ACTIONS(4577),
    [aux_sym_preproc_def_token1] = ACTIONS(4580),
    [aux_sym_preproc_if_token1] = ACTIONS(4583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4586),
    [sym_preproc_directive] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4592),
    [anon_sym_SEMI] = ACTIONS(4595),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3297),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4600),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [868] = {
    [sym_preproc_include] = STATE(899),
    [sym_preproc_def] = STATE(899),
    [sym_preproc_function_def] = STATE(899),
    [sym_preproc_call] = STATE(899),
    [sym_preproc_if_in_statements] = STATE(899),
    [sym_preproc_ifdef_in_statements] = STATE(899),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(899),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(899),
    [aux_sym_preproc_include_token1] = ACTIONS(3513),
    [aux_sym_preproc_def_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3513),
    [sym_preproc_directive] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3513),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3513),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3513),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4605),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [869] = {
    [sym_preproc_include] = STATE(883),
    [sym_preproc_def] = STATE(883),
    [sym_preproc_function_def] = STATE(883),
    [sym_preproc_call] = STATE(883),
    [sym_preproc_if_in_statements] = STATE(883),
    [sym_preproc_ifdef_in_statements] = STATE(883),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(883),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(883),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4607),
    [anon_sym_SEMI] = ACTIONS(4610),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4612),
    [aux_sym_elseif_clause_token1] = ACTIONS(4615),
    [aux_sym_elseif_clause_token2] = ACTIONS(4612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4617),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [870] = {
    [sym_preproc_include] = STATE(890),
    [sym_preproc_def] = STATE(890),
    [sym_preproc_function_def] = STATE(890),
    [sym_preproc_call] = STATE(890),
    [sym_preproc_if_in_statements] = STATE(890),
    [sym_preproc_ifdef_in_statements] = STATE(890),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(890),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(890),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4620),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [871] = {
    [sym_preproc_include] = STATE(891),
    [sym_preproc_def] = STATE(891),
    [sym_preproc_function_def] = STATE(891),
    [sym_preproc_call] = STATE(891),
    [sym_preproc_if_in_statements] = STATE(891),
    [sym_preproc_ifdef_in_statements] = STATE(891),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(891),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(891),
    [aux_sym_preproc_include_token1] = ACTIONS(4622),
    [aux_sym_preproc_def_token1] = ACTIONS(4625),
    [aux_sym_preproc_if_token1] = ACTIONS(4628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4631),
    [sym_preproc_directive] = ACTIONS(4634),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4640),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4642),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3633),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4645),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [872] = {
    [sym_preproc_include] = STATE(878),
    [sym_preproc_def] = STATE(878),
    [sym_preproc_function_def] = STATE(878),
    [sym_preproc_call] = STATE(878),
    [sym_preproc_if_in_statements] = STATE(878),
    [sym_preproc_ifdef_in_statements] = STATE(878),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(878),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(878),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4648),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [873] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [874] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [875] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [876] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [877] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [878] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [879] = {
    [sym_preproc_include] = STATE(909),
    [sym_preproc_def] = STATE(909),
    [sym_preproc_function_def] = STATE(909),
    [sym_preproc_call] = STATE(909),
    [sym_preproc_if_in_statements] = STATE(909),
    [sym_preproc_ifdef_in_statements] = STATE(909),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(909),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(909),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4650),
    [anon_sym_SEMI] = ACTIONS(4653),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4655),
    [aux_sym_elseif_clause_token1] = ACTIONS(4658),
    [aux_sym_elseif_clause_token2] = ACTIONS(4655),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4660),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [880] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4650),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4655),
    [aux_sym_elseif_clause_token1] = ACTIONS(4658),
    [aux_sym_elseif_clause_token2] = ACTIONS(4655),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4660),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [881] = {
    [sym_preproc_include] = STATE(919),
    [sym_preproc_def] = STATE(919),
    [sym_preproc_function_def] = STATE(919),
    [sym_preproc_call] = STATE(919),
    [sym_preproc_if_in_statements] = STATE(919),
    [sym_preproc_ifdef_in_statements] = STATE(919),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(919),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(919),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4663),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [882] = {
    [sym_preproc_include] = STATE(882),
    [sym_preproc_def] = STATE(882),
    [sym_preproc_function_def] = STATE(882),
    [sym_preproc_call] = STATE(882),
    [sym_preproc_if_in_statements] = STATE(882),
    [sym_preproc_ifdef_in_statements] = STATE(882),
    [sym__statements] = STATE(8117),
    [sym_statement_label] = STATE(962),
    [sym_stop_statement] = STATE(8117),
    [sym_assignment_statement] = STATE(8117),
    [sym_pointer_association_statement] = STATE(8117),
    [sym_subroutine_call] = STATE(8117),
    [sym_keyword_statement] = STATE(8117),
    [sym_include_statement] = STATE(882),
    [sym_do_loop_statement] = STATE(8117),
    [sym_do_label_statement] = STATE(8117),
    [sym_end_do_label_statement] = STATE(8117),
    [sym_if_statement] = STATE(8117),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8117),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8117),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8117),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8117),
    [sym_select_type_statement] = STATE(8117),
    [sym_select_rank_statement] = STATE(8117),
    [sym_block_construct] = STATE(8117),
    [sym_associate_statement] = STATE(8117),
    [sym_format_statement] = STATE(8117),
    [sym_read_statement] = STATE(8117),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8117),
    [sym_open_statement] = STATE(8117),
    [sym_close_statement] = STATE(8117),
    [sym_write_statement] = STATE(8117),
    [sym_inquire_statement] = STATE(8117),
    [sym_file_position_statement] = STATE(8117),
    [sym_allocate_statement] = STATE(8117),
    [sym_entry_statement] = STATE(8117),
    [sym_assign_statement] = STATE(8117),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8117),
    [sym_coarray_team_statement] = STATE(8117),
    [sym_coarray_critical_statement] = STATE(8117),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(882),
    [aux_sym_preproc_include_token1] = ACTIONS(4665),
    [aux_sym_preproc_def_token1] = ACTIONS(4668),
    [aux_sym_preproc_if_token1] = ACTIONS(4671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4674),
    [sym_preproc_directive] = ACTIONS(4677),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4680),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4683),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [883] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4686),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4689),
    [aux_sym_elseif_clause_token1] = ACTIONS(4692),
    [aux_sym_elseif_clause_token2] = ACTIONS(4689),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4694),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [884] = {
    [sym_preproc_include] = STATE(880),
    [sym_preproc_def] = STATE(880),
    [sym_preproc_function_def] = STATE(880),
    [sym_preproc_call] = STATE(880),
    [sym_preproc_if_in_statements] = STATE(880),
    [sym_preproc_ifdef_in_statements] = STATE(880),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(880),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(880),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4697),
    [anon_sym_SEMI] = ACTIONS(4700),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4702),
    [aux_sym_elseif_clause_token1] = ACTIONS(4705),
    [aux_sym_elseif_clause_token2] = ACTIONS(4702),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4707),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [885] = {
    [sym_preproc_include] = STATE(900),
    [sym_preproc_def] = STATE(900),
    [sym_preproc_function_def] = STATE(900),
    [sym_preproc_call] = STATE(900),
    [sym_preproc_if_in_statements] = STATE(900),
    [sym_preproc_ifdef_in_statements] = STATE(900),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(900),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(900),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4710),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [886] = {
    [sym_preproc_include] = STATE(886),
    [sym_preproc_def] = STATE(886),
    [sym_preproc_function_def] = STATE(886),
    [sym_preproc_call] = STATE(886),
    [sym_preproc_if_in_statements] = STATE(886),
    [sym_preproc_ifdef_in_statements] = STATE(886),
    [sym__statements] = STATE(7814),
    [sym_statement_label] = STATE(953),
    [sym_stop_statement] = STATE(7814),
    [sym_assignment_statement] = STATE(7814),
    [sym_pointer_association_statement] = STATE(7814),
    [sym_subroutine_call] = STATE(7814),
    [sym_keyword_statement] = STATE(7814),
    [sym_include_statement] = STATE(886),
    [sym_do_loop_statement] = STATE(7814),
    [sym_do_label_statement] = STATE(7814),
    [sym_end_do_label_statement] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7814),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7814),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7814),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7814),
    [sym_select_type_statement] = STATE(7814),
    [sym_select_rank_statement] = STATE(7814),
    [sym_block_construct] = STATE(7814),
    [sym_associate_statement] = STATE(7814),
    [sym_format_statement] = STATE(7814),
    [sym_read_statement] = STATE(7814),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7814),
    [sym_open_statement] = STATE(7814),
    [sym_close_statement] = STATE(7814),
    [sym_write_statement] = STATE(7814),
    [sym_inquire_statement] = STATE(7814),
    [sym_file_position_statement] = STATE(7814),
    [sym_allocate_statement] = STATE(7814),
    [sym_entry_statement] = STATE(7814),
    [sym_assign_statement] = STATE(7814),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7814),
    [sym_coarray_team_statement] = STATE(7814),
    [sym_coarray_critical_statement] = STATE(7814),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(886),
    [aux_sym_preproc_include_token1] = ACTIONS(4712),
    [aux_sym_preproc_def_token1] = ACTIONS(4715),
    [aux_sym_preproc_if_token1] = ACTIONS(4718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4721),
    [sym_preproc_directive] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4727),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4730),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [887] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [888] = {
    [sym_preproc_include] = STATE(888),
    [sym_preproc_def] = STATE(888),
    [sym_preproc_function_def] = STATE(888),
    [sym_preproc_call] = STATE(888),
    [sym_preproc_if_in_statements] = STATE(888),
    [sym_preproc_ifdef_in_statements] = STATE(888),
    [sym__statements] = STATE(7317),
    [sym_statement_label] = STATE(947),
    [sym_stop_statement] = STATE(7317),
    [sym_assignment_statement] = STATE(7317),
    [sym_pointer_association_statement] = STATE(7317),
    [sym_subroutine_call] = STATE(7317),
    [sym_keyword_statement] = STATE(7317),
    [sym_include_statement] = STATE(888),
    [sym_do_loop_statement] = STATE(7317),
    [sym_do_label_statement] = STATE(7317),
    [sym_end_do_label_statement] = STATE(7317),
    [sym_if_statement] = STATE(7317),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7317),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7317),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7317),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7317),
    [sym_select_type_statement] = STATE(7317),
    [sym_select_rank_statement] = STATE(7317),
    [sym_block_construct] = STATE(7317),
    [sym_associate_statement] = STATE(7317),
    [sym_format_statement] = STATE(7317),
    [sym_read_statement] = STATE(7317),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7317),
    [sym_open_statement] = STATE(7317),
    [sym_close_statement] = STATE(7317),
    [sym_write_statement] = STATE(7317),
    [sym_inquire_statement] = STATE(7317),
    [sym_file_position_statement] = STATE(7317),
    [sym_allocate_statement] = STATE(7317),
    [sym_entry_statement] = STATE(7317),
    [sym_assign_statement] = STATE(7317),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7317),
    [sym_coarray_team_statement] = STATE(7317),
    [sym_coarray_critical_statement] = STATE(7317),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(888),
    [aux_sym_preproc_include_token1] = ACTIONS(4733),
    [aux_sym_preproc_def_token1] = ACTIONS(4736),
    [aux_sym_preproc_if_token1] = ACTIONS(4739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4742),
    [sym_preproc_directive] = ACTIONS(4745),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4748),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4751),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [889] = {
    [sym_preproc_include] = STATE(889),
    [sym_preproc_def] = STATE(889),
    [sym_preproc_function_def] = STATE(889),
    [sym_preproc_call] = STATE(889),
    [sym_preproc_if_in_statements] = STATE(889),
    [sym_preproc_ifdef_in_statements] = STATE(889),
    [sym__statements] = STATE(7396),
    [sym_statement_label] = STATE(964),
    [sym_stop_statement] = STATE(7396),
    [sym_assignment_statement] = STATE(7396),
    [sym_pointer_association_statement] = STATE(7396),
    [sym_subroutine_call] = STATE(7396),
    [sym_keyword_statement] = STATE(7396),
    [sym_include_statement] = STATE(889),
    [sym_do_loop_statement] = STATE(7396),
    [sym_do_label_statement] = STATE(7396),
    [sym_end_do_label_statement] = STATE(7396),
    [sym_if_statement] = STATE(7396),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7396),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7396),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7396),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7396),
    [sym_select_type_statement] = STATE(7396),
    [sym_select_rank_statement] = STATE(7396),
    [sym_block_construct] = STATE(7396),
    [sym_associate_statement] = STATE(7396),
    [sym_format_statement] = STATE(7396),
    [sym_read_statement] = STATE(7396),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7396),
    [sym_open_statement] = STATE(7396),
    [sym_close_statement] = STATE(7396),
    [sym_write_statement] = STATE(7396),
    [sym_inquire_statement] = STATE(7396),
    [sym_file_position_statement] = STATE(7396),
    [sym_allocate_statement] = STATE(7396),
    [sym_entry_statement] = STATE(7396),
    [sym_assign_statement] = STATE(7396),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7396),
    [sym_coarray_team_statement] = STATE(7396),
    [sym_coarray_critical_statement] = STATE(7396),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(889),
    [aux_sym_preproc_include_token1] = ACTIONS(4754),
    [aux_sym_preproc_def_token1] = ACTIONS(4757),
    [aux_sym_preproc_if_token1] = ACTIONS(4760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4763),
    [sym_preproc_directive] = ACTIONS(4766),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4769),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4772),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [890] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [891] = {
    [sym_preproc_include] = STATE(899),
    [sym_preproc_def] = STATE(899),
    [sym_preproc_function_def] = STATE(899),
    [sym_preproc_call] = STATE(899),
    [sym_preproc_if_in_statements] = STATE(899),
    [sym_preproc_ifdef_in_statements] = STATE(899),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(899),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(899),
    [aux_sym_preproc_include_token1] = ACTIONS(3297),
    [aux_sym_preproc_def_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3297),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3297),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4775),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [892] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [893] = {
    [sym_preproc_include] = STATE(875),
    [sym_preproc_def] = STATE(875),
    [sym_preproc_function_def] = STATE(875),
    [sym_preproc_call] = STATE(875),
    [sym_preproc_if_in_statements] = STATE(875),
    [sym_preproc_ifdef_in_statements] = STATE(875),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(875),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(875),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4777),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [894] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym_preproc_include_token1] = ACTIONS(4779),
    [aux_sym_preproc_def_token1] = ACTIONS(4782),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4788),
    [sym_preproc_directive] = ACTIONS(4791),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4794),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4797),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [895] = {
    [sym_preproc_include] = STATE(895),
    [sym_preproc_def] = STATE(895),
    [sym_preproc_function_def] = STATE(895),
    [sym_preproc_call] = STATE(895),
    [sym_preproc_if_in_statements] = STATE(895),
    [sym_preproc_ifdef_in_statements] = STATE(895),
    [sym__statements] = STATE(7739),
    [sym_statement_label] = STATE(963),
    [sym_stop_statement] = STATE(7739),
    [sym_assignment_statement] = STATE(7739),
    [sym_pointer_association_statement] = STATE(7739),
    [sym_subroutine_call] = STATE(7739),
    [sym_keyword_statement] = STATE(7739),
    [sym_include_statement] = STATE(895),
    [sym_do_loop_statement] = STATE(7739),
    [sym_do_label_statement] = STATE(7739),
    [sym_end_do_label_statement] = STATE(7739),
    [sym_if_statement] = STATE(7739),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7739),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7739),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7739),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7739),
    [sym_select_type_statement] = STATE(7739),
    [sym_select_rank_statement] = STATE(7739),
    [sym_block_construct] = STATE(7739),
    [sym_associate_statement] = STATE(7739),
    [sym_format_statement] = STATE(7739),
    [sym_read_statement] = STATE(7739),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7739),
    [sym_open_statement] = STATE(7739),
    [sym_close_statement] = STATE(7739),
    [sym_write_statement] = STATE(7739),
    [sym_inquire_statement] = STATE(7739),
    [sym_file_position_statement] = STATE(7739),
    [sym_allocate_statement] = STATE(7739),
    [sym_entry_statement] = STATE(7739),
    [sym_assign_statement] = STATE(7739),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7739),
    [sym_coarray_team_statement] = STATE(7739),
    [sym_coarray_critical_statement] = STATE(7739),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(895),
    [aux_sym_preproc_include_token1] = ACTIONS(4800),
    [aux_sym_preproc_def_token1] = ACTIONS(4803),
    [aux_sym_preproc_if_token1] = ACTIONS(4806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4809),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4809),
    [sym_preproc_directive] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4815),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [896] = {
    [sym_preproc_include] = STATE(913),
    [sym_preproc_def] = STATE(913),
    [sym_preproc_function_def] = STATE(913),
    [sym_preproc_call] = STATE(913),
    [sym_preproc_if_in_statements] = STATE(913),
    [sym_preproc_ifdef_in_statements] = STATE(913),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(913),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(913),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4821),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [897] = {
    [sym_preproc_include] = STATE(897),
    [sym_preproc_def] = STATE(897),
    [sym_preproc_function_def] = STATE(897),
    [sym_preproc_call] = STATE(897),
    [sym_preproc_if_in_statements] = STATE(897),
    [sym_preproc_ifdef_in_statements] = STATE(897),
    [sym__statements] = STATE(7790),
    [sym_statement_label] = STATE(967),
    [sym_stop_statement] = STATE(7790),
    [sym_assignment_statement] = STATE(7790),
    [sym_pointer_association_statement] = STATE(7790),
    [sym_subroutine_call] = STATE(7790),
    [sym_keyword_statement] = STATE(7790),
    [sym_include_statement] = STATE(897),
    [sym_do_loop_statement] = STATE(7790),
    [sym_do_label_statement] = STATE(7790),
    [sym_end_do_label_statement] = STATE(7790),
    [sym_if_statement] = STATE(7790),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7790),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7790),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7790),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7790),
    [sym_select_type_statement] = STATE(7790),
    [sym_select_rank_statement] = STATE(7790),
    [sym_block_construct] = STATE(7790),
    [sym_associate_statement] = STATE(7790),
    [sym_format_statement] = STATE(7790),
    [sym_read_statement] = STATE(7790),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7790),
    [sym_open_statement] = STATE(7790),
    [sym_close_statement] = STATE(7790),
    [sym_write_statement] = STATE(7790),
    [sym_inquire_statement] = STATE(7790),
    [sym_file_position_statement] = STATE(7790),
    [sym_allocate_statement] = STATE(7790),
    [sym_entry_statement] = STATE(7790),
    [sym_assign_statement] = STATE(7790),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7790),
    [sym_coarray_team_statement] = STATE(7790),
    [sym_coarray_critical_statement] = STATE(7790),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(897),
    [aux_sym_preproc_include_token1] = ACTIONS(4823),
    [aux_sym_preproc_def_token1] = ACTIONS(4826),
    [aux_sym_preproc_if_token1] = ACTIONS(4829),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4832),
    [sym_preproc_directive] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4838),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [898] = {
    [sym_preproc_include] = STATE(899),
    [sym_preproc_def] = STATE(899),
    [sym_preproc_function_def] = STATE(899),
    [sym_preproc_call] = STATE(899),
    [sym_preproc_if_in_statements] = STATE(899),
    [sym_preproc_ifdef_in_statements] = STATE(899),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(899),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(899),
    [aux_sym_preproc_include_token1] = ACTIONS(3819),
    [aux_sym_preproc_def_token1] = ACTIONS(3819),
    [aux_sym_preproc_if_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3819),
    [sym_preproc_directive] = ACTIONS(3819),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3819),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3819),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3819),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4844),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [899] = {
    [sym_preproc_include] = STATE(899),
    [sym_preproc_def] = STATE(899),
    [sym_preproc_function_def] = STATE(899),
    [sym_preproc_call] = STATE(899),
    [sym_preproc_if_in_statements] = STATE(899),
    [sym_preproc_ifdef_in_statements] = STATE(899),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(899),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(899),
    [aux_sym_preproc_include_token1] = ACTIONS(4846),
    [aux_sym_preproc_def_token1] = ACTIONS(4849),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4855),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4855),
    [sym_preproc_directive] = ACTIONS(4858),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4861),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4864),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [900] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [901] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4867),
    [aux_sym_preproc_def_token1] = ACTIONS(4870),
    [aux_sym_preproc_if_token1] = ACTIONS(4873),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4876),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4876),
    [sym_preproc_directive] = ACTIONS(4879),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(4882),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(4885),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [902] = {
    [sym_preproc_include] = STATE(892),
    [sym_preproc_def] = STATE(892),
    [sym_preproc_function_def] = STATE(892),
    [sym_preproc_call] = STATE(892),
    [sym_preproc_if_in_statements] = STATE(892),
    [sym_preproc_ifdef_in_statements] = STATE(892),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(892),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(892),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4888),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [903] = {
    [sym_preproc_include] = STATE(860),
    [sym_preproc_def] = STATE(860),
    [sym_preproc_function_def] = STATE(860),
    [sym_preproc_call] = STATE(860),
    [sym_preproc_if_in_statements] = STATE(860),
    [sym_preproc_ifdef_in_statements] = STATE(860),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(860),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(860),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4890),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [904] = {
    [sym_preproc_include] = STATE(862),
    [sym_preproc_def] = STATE(862),
    [sym_preproc_function_def] = STATE(862),
    [sym_preproc_call] = STATE(862),
    [sym_preproc_if_in_statements] = STATE(862),
    [sym_preproc_ifdef_in_statements] = STATE(862),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(862),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(862),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4892),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [905] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [906] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [907] = {
    [sym_preproc_include] = STATE(887),
    [sym_preproc_def] = STATE(887),
    [sym_preproc_function_def] = STATE(887),
    [sym_preproc_call] = STATE(887),
    [sym_preproc_if_in_statements] = STATE(887),
    [sym_preproc_ifdef_in_statements] = STATE(887),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(887),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(887),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4894),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [908] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4896),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4899),
    [aux_sym_elseif_clause_token1] = ACTIONS(4902),
    [aux_sym_elseif_clause_token2] = ACTIONS(4899),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4904),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [909] = {
    [sym_preproc_include] = STATE(894),
    [sym_preproc_def] = STATE(894),
    [sym_preproc_function_def] = STATE(894),
    [sym_preproc_call] = STATE(894),
    [sym_preproc_if_in_statements] = STATE(894),
    [sym_preproc_ifdef_in_statements] = STATE(894),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(894),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(894),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4907),
    [anon_sym_SEMI] = ACTIONS(3591),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4910),
    [aux_sym_elseif_clause_token1] = ACTIONS(4913),
    [aux_sym_elseif_clause_token2] = ACTIONS(4910),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4915),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [910] = {
    [sym_preproc_include] = STATE(908),
    [sym_preproc_def] = STATE(908),
    [sym_preproc_function_def] = STATE(908),
    [sym_preproc_call] = STATE(908),
    [sym_preproc_if_in_statements] = STATE(908),
    [sym_preproc_ifdef_in_statements] = STATE(908),
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(969),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(908),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym_assign_statement] = STATE(7686),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(908),
    [aux_sym_preproc_include_token1] = ACTIONS(3537),
    [aux_sym_preproc_def_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4686),
    [anon_sym_SEMI] = ACTIONS(4918),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(3551),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4689),
    [aux_sym_elseif_clause_token1] = ACTIONS(4692),
    [aux_sym_elseif_clause_token2] = ACTIONS(4689),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4694),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [911] = {
    [sym_preproc_include] = STATE(898),
    [sym_preproc_def] = STATE(898),
    [sym_preproc_function_def] = STATE(898),
    [sym_preproc_call] = STATE(898),
    [sym_preproc_if_in_statements] = STATE(898),
    [sym_preproc_ifdef_in_statements] = STATE(898),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(898),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(898),
    [aux_sym_preproc_include_token1] = ACTIONS(4920),
    [aux_sym_preproc_def_token1] = ACTIONS(4923),
    [aux_sym_preproc_if_token1] = ACTIONS(4926),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4929),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4935),
    [anon_sym_SEMI] = ACTIONS(4938),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4940),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3629),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4943),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [912] = {
    [sym_preproc_include] = STATE(863),
    [sym_preproc_def] = STATE(863),
    [sym_preproc_function_def] = STATE(863),
    [sym_preproc_call] = STATE(863),
    [sym_preproc_if_in_statements] = STATE(863),
    [sym_preproc_ifdef_in_statements] = STATE(863),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(863),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(863),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4946),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [913] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [914] = {
    [sym_preproc_include] = STATE(899),
    [sym_preproc_def] = STATE(899),
    [sym_preproc_function_def] = STATE(899),
    [sym_preproc_call] = STATE(899),
    [sym_preproc_if_in_statements] = STATE(899),
    [sym_preproc_ifdef_in_statements] = STATE(899),
    [sym__statements] = STATE(7824),
    [sym_statement_label] = STATE(941),
    [sym_stop_statement] = STATE(7824),
    [sym_assignment_statement] = STATE(7824),
    [sym_pointer_association_statement] = STATE(7824),
    [sym_subroutine_call] = STATE(7824),
    [sym_keyword_statement] = STATE(7824),
    [sym_include_statement] = STATE(899),
    [sym_do_loop_statement] = STATE(7824),
    [sym_do_label_statement] = STATE(7824),
    [sym_end_do_label_statement] = STATE(7824),
    [sym_if_statement] = STATE(7824),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7824),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7824),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7824),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7824),
    [sym_select_type_statement] = STATE(7824),
    [sym_select_rank_statement] = STATE(7824),
    [sym_block_construct] = STATE(7824),
    [sym_associate_statement] = STATE(7824),
    [sym_format_statement] = STATE(7824),
    [sym_read_statement] = STATE(7824),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7824),
    [sym_open_statement] = STATE(7824),
    [sym_close_statement] = STATE(7824),
    [sym_write_statement] = STATE(7824),
    [sym_inquire_statement] = STATE(7824),
    [sym_file_position_statement] = STATE(7824),
    [sym_allocate_statement] = STATE(7824),
    [sym_entry_statement] = STATE(7824),
    [sym_assign_statement] = STATE(7824),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7824),
    [sym_coarray_team_statement] = STATE(7824),
    [sym_coarray_critical_statement] = STATE(7824),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(899),
    [aux_sym_preproc_include_token1] = ACTIONS(3629),
    [aux_sym_preproc_def_token1] = ACTIONS(3629),
    [aux_sym_preproc_if_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3629),
    [sym_preproc_directive] = ACTIONS(3629),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3629),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4572),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_end_select_statement_token1] = ACTIONS(3629),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4948),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [915] = {
    [sym_preproc_include] = STATE(865),
    [sym_preproc_def] = STATE(865),
    [sym_preproc_function_def] = STATE(865),
    [sym_preproc_call] = STATE(865),
    [sym_preproc_if_in_statements] = STATE(865),
    [sym_preproc_ifdef_in_statements] = STATE(865),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(865),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(865),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4950),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [916] = {
    [sym_preproc_include] = STATE(873),
    [sym_preproc_def] = STATE(873),
    [sym_preproc_function_def] = STATE(873),
    [sym_preproc_call] = STATE(873),
    [sym_preproc_if_in_statements] = STATE(873),
    [sym_preproc_ifdef_in_statements] = STATE(873),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(873),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(873),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4952),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [917] = {
    [sym_preproc_include] = STATE(874),
    [sym_preproc_def] = STATE(874),
    [sym_preproc_function_def] = STATE(874),
    [sym_preproc_call] = STATE(874),
    [sym_preproc_if_in_statements] = STATE(874),
    [sym_preproc_ifdef_in_statements] = STATE(874),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(874),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(874),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4954),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [918] = {
    [sym_preproc_include] = STATE(906),
    [sym_preproc_def] = STATE(906),
    [sym_preproc_function_def] = STATE(906),
    [sym_preproc_call] = STATE(906),
    [sym_preproc_if_in_statements] = STATE(906),
    [sym_preproc_ifdef_in_statements] = STATE(906),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(906),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(906),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4956),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [919] = {
    [sym_preproc_include] = STATE(901),
    [sym_preproc_def] = STATE(901),
    [sym_preproc_function_def] = STATE(901),
    [sym_preproc_call] = STATE(901),
    [sym_preproc_if_in_statements] = STATE(901),
    [sym_preproc_ifdef_in_statements] = STATE(901),
    [sym__statements] = STATE(7848),
    [sym_statement_label] = STATE(950),
    [sym_stop_statement] = STATE(7848),
    [sym_assignment_statement] = STATE(7848),
    [sym_pointer_association_statement] = STATE(7848),
    [sym_subroutine_call] = STATE(7848),
    [sym_keyword_statement] = STATE(7848),
    [sym_include_statement] = STATE(901),
    [sym_do_loop_statement] = STATE(7848),
    [sym_do_label_statement] = STATE(7848),
    [sym_end_do_label_statement] = STATE(7848),
    [sym_if_statement] = STATE(7848),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7848),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7848),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7848),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7848),
    [sym_select_type_statement] = STATE(7848),
    [sym_select_rank_statement] = STATE(7848),
    [sym_block_construct] = STATE(7848),
    [sym_associate_statement] = STATE(7848),
    [sym_format_statement] = STATE(7848),
    [sym_read_statement] = STATE(7848),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7848),
    [sym_open_statement] = STATE(7848),
    [sym_close_statement] = STATE(7848),
    [sym_write_statement] = STATE(7848),
    [sym_inquire_statement] = STATE(7848),
    [sym_file_position_statement] = STATE(7848),
    [sym_allocate_statement] = STATE(7848),
    [sym_entry_statement] = STATE(7848),
    [sym_assign_statement] = STATE(7848),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7848),
    [sym_coarray_team_statement] = STATE(7848),
    [sym_coarray_critical_statement] = STATE(7848),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(901),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4531),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4535),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(197),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [920] = {
    [sym_preproc_include] = STATE(922),
    [sym_preproc_def] = STATE(922),
    [sym_preproc_function_def] = STATE(922),
    [sym_preproc_call] = STATE(922),
    [sym_preproc_if_in_statements] = STATE(922),
    [sym_preproc_ifdef_in_statements] = STATE(922),
    [sym__statements] = STATE(7804),
    [sym_statement_label] = STATE(968),
    [sym_stop_statement] = STATE(7804),
    [sym_assignment_statement] = STATE(7804),
    [sym_pointer_association_statement] = STATE(7804),
    [sym_subroutine_call] = STATE(7804),
    [sym_keyword_statement] = STATE(7804),
    [sym_include_statement] = STATE(922),
    [sym_do_loop_statement] = STATE(7804),
    [sym_do_label_statement] = STATE(7804),
    [sym_end_do_label_statement] = STATE(7804),
    [sym_if_statement] = STATE(7804),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7804),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7804),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7804),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7804),
    [sym_select_type_statement] = STATE(7804),
    [sym_select_rank_statement] = STATE(7804),
    [sym_block_construct] = STATE(7804),
    [sym_associate_statement] = STATE(7804),
    [sym_format_statement] = STATE(7804),
    [sym_read_statement] = STATE(7804),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7804),
    [sym_open_statement] = STATE(7804),
    [sym_close_statement] = STATE(7804),
    [sym_write_statement] = STATE(7804),
    [sym_inquire_statement] = STATE(7804),
    [sym_file_position_statement] = STATE(7804),
    [sym_allocate_statement] = STATE(7804),
    [sym_entry_statement] = STATE(7804),
    [sym_assign_statement] = STATE(7804),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7804),
    [sym_coarray_team_statement] = STATE(7804),
    [sym_coarray_critical_statement] = STATE(7804),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(922),
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4960),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4964),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(4971),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4973),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4975),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4978),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [921] = {
    [sym_preproc_include] = STATE(923),
    [sym_preproc_def] = STATE(923),
    [sym_preproc_function_def] = STATE(923),
    [sym_preproc_call] = STATE(923),
    [sym_preproc_if_in_statements] = STATE(923),
    [sym_preproc_ifdef_in_statements] = STATE(923),
    [sym__statements] = STATE(7804),
    [sym_statement_label] = STATE(968),
    [sym_stop_statement] = STATE(7804),
    [sym_assignment_statement] = STATE(7804),
    [sym_pointer_association_statement] = STATE(7804),
    [sym_subroutine_call] = STATE(7804),
    [sym_keyword_statement] = STATE(7804),
    [sym_include_statement] = STATE(923),
    [sym_do_loop_statement] = STATE(7804),
    [sym_do_label_statement] = STATE(7804),
    [sym_end_do_label_statement] = STATE(7804),
    [sym_if_statement] = STATE(7804),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7804),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7804),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7804),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7804),
    [sym_select_type_statement] = STATE(7804),
    [sym_select_rank_statement] = STATE(7804),
    [sym_block_construct] = STATE(7804),
    [sym_associate_statement] = STATE(7804),
    [sym_format_statement] = STATE(7804),
    [sym_read_statement] = STATE(7804),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7804),
    [sym_open_statement] = STATE(7804),
    [sym_close_statement] = STATE(7804),
    [sym_write_statement] = STATE(7804),
    [sym_inquire_statement] = STATE(7804),
    [sym_file_position_statement] = STATE(7804),
    [sym_allocate_statement] = STATE(7804),
    [sym_entry_statement] = STATE(7804),
    [sym_assign_statement] = STATE(7804),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7804),
    [sym_coarray_team_statement] = STATE(7804),
    [sym_coarray_critical_statement] = STATE(7804),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(923),
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4960),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4964),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4981),
    [anon_sym_SEMI] = ACTIONS(4984),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4973),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4986),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4989),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [922] = {
    [sym_preproc_include] = STATE(923),
    [sym_preproc_def] = STATE(923),
    [sym_preproc_function_def] = STATE(923),
    [sym_preproc_call] = STATE(923),
    [sym_preproc_if_in_statements] = STATE(923),
    [sym_preproc_ifdef_in_statements] = STATE(923),
    [sym__statements] = STATE(7804),
    [sym_statement_label] = STATE(968),
    [sym_stop_statement] = STATE(7804),
    [sym_assignment_statement] = STATE(7804),
    [sym_pointer_association_statement] = STATE(7804),
    [sym_subroutine_call] = STATE(7804),
    [sym_keyword_statement] = STATE(7804),
    [sym_include_statement] = STATE(923),
    [sym_do_loop_statement] = STATE(7804),
    [sym_do_label_statement] = STATE(7804),
    [sym_end_do_label_statement] = STATE(7804),
    [sym_if_statement] = STATE(7804),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7804),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7804),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7804),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7804),
    [sym_select_type_statement] = STATE(7804),
    [sym_select_rank_statement] = STATE(7804),
    [sym_block_construct] = STATE(7804),
    [sym_associate_statement] = STATE(7804),
    [sym_format_statement] = STATE(7804),
    [sym_read_statement] = STATE(7804),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7804),
    [sym_open_statement] = STATE(7804),
    [sym_close_statement] = STATE(7804),
    [sym_write_statement] = STATE(7804),
    [sym_inquire_statement] = STATE(7804),
    [sym_file_position_statement] = STATE(7804),
    [sym_allocate_statement] = STATE(7804),
    [sym_entry_statement] = STATE(7804),
    [sym_assign_statement] = STATE(7804),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7804),
    [sym_coarray_team_statement] = STATE(7804),
    [sym_coarray_critical_statement] = STATE(7804),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(923),
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4960),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4964),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4992),
    [anon_sym_SEMI] = ACTIONS(4984),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4973),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4995),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4998),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [923] = {
    [sym_preproc_include] = STATE(923),
    [sym_preproc_def] = STATE(923),
    [sym_preproc_function_def] = STATE(923),
    [sym_preproc_call] = STATE(923),
    [sym_preproc_if_in_statements] = STATE(923),
    [sym_preproc_ifdef_in_statements] = STATE(923),
    [sym__statements] = STATE(7804),
    [sym_statement_label] = STATE(968),
    [sym_stop_statement] = STATE(7804),
    [sym_assignment_statement] = STATE(7804),
    [sym_pointer_association_statement] = STATE(7804),
    [sym_subroutine_call] = STATE(7804),
    [sym_keyword_statement] = STATE(7804),
    [sym_include_statement] = STATE(923),
    [sym_do_loop_statement] = STATE(7804),
    [sym_do_label_statement] = STATE(7804),
    [sym_end_do_label_statement] = STATE(7804),
    [sym_if_statement] = STATE(7804),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7804),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7804),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7804),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7804),
    [sym_select_type_statement] = STATE(7804),
    [sym_select_rank_statement] = STATE(7804),
    [sym_block_construct] = STATE(7804),
    [sym_associate_statement] = STATE(7804),
    [sym_format_statement] = STATE(7804),
    [sym_read_statement] = STATE(7804),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7804),
    [sym_open_statement] = STATE(7804),
    [sym_close_statement] = STATE(7804),
    [sym_write_statement] = STATE(7804),
    [sym_inquire_statement] = STATE(7804),
    [sym_file_position_statement] = STATE(7804),
    [sym_allocate_statement] = STATE(7804),
    [sym_entry_statement] = STATE(7804),
    [sym_assign_statement] = STATE(7804),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7804),
    [sym_coarray_team_statement] = STATE(7804),
    [sym_coarray_critical_statement] = STATE(7804),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(923),
    [aux_sym_preproc_include_token1] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5004),
    [aux_sym_preproc_if_token1] = ACTIONS(5007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5010),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5010),
    [sym_preproc_directive] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(5016),
    [aux_sym_block_data_statement_token1] = ACTIONS(2793),
    [aux_sym_block_data_statement_token2] = ACTIONS(2796),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2799),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2796),
    [aux_sym_use_statement_token2] = ACTIONS(2796),
    [aux_sym_implicit_statement_token3] = ACTIONS(2805),
    [aux_sym_implicit_statement_token4] = ACTIONS(2796),
    [aux_sym_save_statement_token1] = ACTIONS(2796),
    [aux_sym_private_statement_token1] = ACTIONS(2796),
    [aux_sym_public_statement_token1] = ACTIONS(2796),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2796),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2796),
    [aux_sym_variable_attributes_token2] = ACTIONS(2796),
    [aux_sym_variable_attributes_token3] = ACTIONS(2796),
    [aux_sym_variable_attributes_token5] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2796),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2808),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2805),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2796),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2796),
    [aux_sym_type_qualifier_token1] = ACTIONS(2796),
    [aux_sym_type_qualifier_token2] = ACTIONS(2796),
    [aux_sym_stop_statement_token1] = ACTIONS(2811),
    [aux_sym_stop_statement_token2] = ACTIONS(2814),
    [aux_sym_subroutine_call_token1] = ACTIONS(2817),
    [aux_sym_keyword_statement_token1] = ACTIONS(2820),
    [aux_sym_keyword_statement_token2] = ACTIONS(2823),
    [aux_sym_keyword_statement_token3] = ACTIONS(2823),
    [aux_sym_keyword_statement_token4] = ACTIONS(2826),
    [aux_sym_keyword_statement_token6] = ACTIONS(2829),
    [aux_sym_keyword_statement_token7] = ACTIONS(2832),
    [aux_sym_include_statement_token1] = ACTIONS(5019),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2838),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2841),
    [aux_sym_end_if_statement_token1] = ACTIONS(2796),
    [aux_sym_elseif_clause_token2] = ACTIONS(2796),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2844),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2847),
    [aux_sym_select_case_statement_token1] = ACTIONS(2850),
    [aux_sym_select_case_statement_token3] = ACTIONS(2853),
    [aux_sym_select_type_statement_token1] = ACTIONS(2856),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2859),
    [aux_sym_associate_statement_token1] = ACTIONS(2862),
    [aux_sym_format_statement_token1] = ACTIONS(2865),
    [aux_sym_print_statement_token1] = ACTIONS(2868),
    [aux_sym_open_statement_token1] = ACTIONS(2871),
    [aux_sym_close_statement_token1] = ACTIONS(2874),
    [aux_sym_inquire_statement_token1] = ACTIONS(2877),
    [aux_sym_file_position_statement_token1] = ACTIONS(2880),
    [aux_sym_file_position_statement_token2] = ACTIONS(2880),
    [aux_sym_file_position_statement_token3] = ACTIONS(2880),
    [aux_sym_file_position_statement_token4] = ACTIONS(2883),
    [aux_sym_allocate_statement_token1] = ACTIONS(2886),
    [aux_sym_entry_statement_token1] = ACTIONS(2889),
    [aux_sym_assign_statement_token1] = ACTIONS(2892),
    [aux_sym_logical_expression_token5] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2898),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [aux_sym_boolean_literal_token1] = ACTIONS(2907),
    [aux_sym_boolean_literal_token2] = ACTIONS(2907),
    [aux_sym_null_literal_token1] = ACTIONS(2910),
    [aux_sym_coarray_statement_token1] = ACTIONS(2913),
    [aux_sym_coarray_statement_token2] = ACTIONS(2913),
    [aux_sym_coarray_statement_token6] = ACTIONS(2916),
    [aux_sym_coarray_statement_token8] = ACTIONS(2919),
    [aux_sym_coarray_statement_token11] = ACTIONS(2922),
    [aux_sym_coarray_statement_token12] = ACTIONS(2922),
    [aux_sym_coarray_statement_token13] = ACTIONS(2925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2928),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2931),
    [aux_sym_identifier_token1] = ACTIONS(2796),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2934),
    [sym__float_literal] = ACTIONS(2937),
    [sym__boz_literal] = ACTIONS(2937),
    [sym__string_literal] = ACTIONS(2940),
    [sym__string_literal_kind] = ACTIONS(2943),
  },
  [924] = {
    [sym_preproc_include] = STATE(921),
    [sym_preproc_def] = STATE(921),
    [sym_preproc_function_def] = STATE(921),
    [sym_preproc_call] = STATE(921),
    [sym_preproc_if_in_statements] = STATE(921),
    [sym_preproc_ifdef_in_statements] = STATE(921),
    [sym__statements] = STATE(7804),
    [sym_statement_label] = STATE(968),
    [sym_stop_statement] = STATE(7804),
    [sym_assignment_statement] = STATE(7804),
    [sym_pointer_association_statement] = STATE(7804),
    [sym_subroutine_call] = STATE(7804),
    [sym_keyword_statement] = STATE(7804),
    [sym_include_statement] = STATE(921),
    [sym_do_loop_statement] = STATE(7804),
    [sym_do_label_statement] = STATE(7804),
    [sym_end_do_label_statement] = STATE(7804),
    [sym_if_statement] = STATE(7804),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7804),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7804),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7804),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7804),
    [sym_select_type_statement] = STATE(7804),
    [sym_select_rank_statement] = STATE(7804),
    [sym_block_construct] = STATE(7804),
    [sym_associate_statement] = STATE(7804),
    [sym_format_statement] = STATE(7804),
    [sym_read_statement] = STATE(7804),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7804),
    [sym_open_statement] = STATE(7804),
    [sym_close_statement] = STATE(7804),
    [sym_write_statement] = STATE(7804),
    [sym_inquire_statement] = STATE(7804),
    [sym_file_position_statement] = STATE(7804),
    [sym_allocate_statement] = STATE(7804),
    [sym_entry_statement] = STATE(7804),
    [sym_assign_statement] = STATE(7804),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7804),
    [sym_coarray_team_statement] = STATE(7804),
    [sym_coarray_critical_statement] = STATE(7804),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(921),
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4960),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4964),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4992),
    [anon_sym_SEMI] = ACTIONS(5022),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(4973),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(4995),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4998),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [925] = {
    [sym__statements] = STATE(8376),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(8376),
    [sym_assignment_statement] = STATE(8376),
    [sym_pointer_association_statement] = STATE(8376),
    [sym_subroutine_call] = STATE(8376),
    [sym_keyword_statement] = STATE(8376),
    [sym_do_loop_statement] = STATE(8376),
    [sym_do_label_statement] = STATE(8376),
    [sym_end_do_label_statement] = STATE(8376),
    [sym_if_statement] = STATE(8376),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8376),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8376),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8376),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8376),
    [sym_select_type_statement] = STATE(8376),
    [sym_select_rank_statement] = STATE(8376),
    [sym_block_construct] = STATE(8376),
    [sym_associate_statement] = STATE(8376),
    [sym_format_statement] = STATE(8376),
    [sym_read_statement] = STATE(8376),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8376),
    [sym_open_statement] = STATE(8376),
    [sym_close_statement] = STATE(8376),
    [sym_write_statement] = STATE(8376),
    [sym_inquire_statement] = STATE(8376),
    [sym_file_position_statement] = STATE(8376),
    [sym_allocate_statement] = STATE(8376),
    [sym_entry_statement] = STATE(8376),
    [sym_assign_statement] = STATE(8376),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8376),
    [sym_coarray_team_statement] = STATE(8376),
    [sym_coarray_critical_statement] = STATE(8376),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [sym__end_of_statement] = STATE(822),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(5024),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(5024),
  },
  [926] = {
    [sym__statements] = STATE(7403),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7403),
    [sym_assignment_statement] = STATE(7403),
    [sym_pointer_association_statement] = STATE(7403),
    [sym_subroutine_call] = STATE(7403),
    [sym_keyword_statement] = STATE(7403),
    [sym_do_loop_statement] = STATE(7403),
    [sym_do_label_statement] = STATE(7403),
    [sym_end_do_label_statement] = STATE(7403),
    [sym_if_statement] = STATE(7403),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7403),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7403),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7403),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8330),
    [sym_select_case_statement] = STATE(7403),
    [sym_select_type_statement] = STATE(7403),
    [sym_select_rank_statement] = STATE(7403),
    [sym_block_construct] = STATE(7403),
    [sym_associate_statement] = STATE(7403),
    [sym_format_statement] = STATE(7403),
    [sym_read_statement] = STATE(7403),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7403),
    [sym_open_statement] = STATE(7403),
    [sym_close_statement] = STATE(7403),
    [sym_write_statement] = STATE(7403),
    [sym_inquire_statement] = STATE(7403),
    [sym_file_position_statement] = STATE(7403),
    [sym_allocate_statement] = STATE(7403),
    [sym_entry_statement] = STATE(7403),
    [sym_assign_statement] = STATE(7403),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7403),
    [sym_coarray_team_statement] = STATE(7403),
    [sym_coarray_critical_statement] = STATE(7403),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [927] = {
    [sym__statements] = STATE(7403),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7403),
    [sym_assignment_statement] = STATE(7403),
    [sym_pointer_association_statement] = STATE(7403),
    [sym_subroutine_call] = STATE(7403),
    [sym_keyword_statement] = STATE(7403),
    [sym_do_loop_statement] = STATE(7403),
    [sym_do_label_statement] = STATE(7403),
    [sym_end_do_label_statement] = STATE(7403),
    [sym_if_statement] = STATE(7403),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7403),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7403),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7403),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8157),
    [sym_select_case_statement] = STATE(7403),
    [sym_select_type_statement] = STATE(7403),
    [sym_select_rank_statement] = STATE(7403),
    [sym_block_construct] = STATE(7403),
    [sym_associate_statement] = STATE(7403),
    [sym_format_statement] = STATE(7403),
    [sym_read_statement] = STATE(7403),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7403),
    [sym_open_statement] = STATE(7403),
    [sym_close_statement] = STATE(7403),
    [sym_write_statement] = STATE(7403),
    [sym_inquire_statement] = STATE(7403),
    [sym_file_position_statement] = STATE(7403),
    [sym_allocate_statement] = STATE(7403),
    [sym_entry_statement] = STATE(7403),
    [sym_assign_statement] = STATE(7403),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7403),
    [sym_coarray_team_statement] = STATE(7403),
    [sym_coarray_critical_statement] = STATE(7403),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [928] = {
    [sym__statements] = STATE(8169),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(8169),
    [sym_assignment_statement] = STATE(8169),
    [sym_pointer_association_statement] = STATE(8169),
    [sym_subroutine_call] = STATE(8169),
    [sym_keyword_statement] = STATE(8169),
    [sym_do_loop_statement] = STATE(8169),
    [sym_do_label_statement] = STATE(8169),
    [sym_end_do_label_statement] = STATE(8169),
    [sym_if_statement] = STATE(8169),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8169),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8169),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8169),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8169),
    [sym_select_type_statement] = STATE(8169),
    [sym_select_rank_statement] = STATE(8169),
    [sym_block_construct] = STATE(8169),
    [sym_associate_statement] = STATE(8169),
    [sym_format_statement] = STATE(8169),
    [sym_read_statement] = STATE(8169),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8169),
    [sym_open_statement] = STATE(8169),
    [sym_close_statement] = STATE(8169),
    [sym_write_statement] = STATE(8169),
    [sym_inquire_statement] = STATE(8169),
    [sym_file_position_statement] = STATE(8169),
    [sym_allocate_statement] = STATE(8169),
    [sym_entry_statement] = STATE(8169),
    [sym_assign_statement] = STATE(8169),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8169),
    [sym_coarray_team_statement] = STATE(8169),
    [sym_coarray_critical_statement] = STATE(8169),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [sym__end_of_statement] = STATE(709),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(5030),
  },
  [929] = {
    [sym__statements] = STATE(7403),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7403),
    [sym_assignment_statement] = STATE(7403),
    [sym_pointer_association_statement] = STATE(7403),
    [sym_subroutine_call] = STATE(7403),
    [sym_keyword_statement] = STATE(7403),
    [sym_do_loop_statement] = STATE(7403),
    [sym_do_label_statement] = STATE(7403),
    [sym_end_do_label_statement] = STATE(7403),
    [sym_if_statement] = STATE(7403),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7403),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7403),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7403),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_end_forall_statement] = STATE(8467),
    [sym_select_case_statement] = STATE(7403),
    [sym_select_type_statement] = STATE(7403),
    [sym_select_rank_statement] = STATE(7403),
    [sym_block_construct] = STATE(7403),
    [sym_associate_statement] = STATE(7403),
    [sym_format_statement] = STATE(7403),
    [sym_read_statement] = STATE(7403),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7403),
    [sym_open_statement] = STATE(7403),
    [sym_close_statement] = STATE(7403),
    [sym_write_statement] = STATE(7403),
    [sym_inquire_statement] = STATE(7403),
    [sym_file_position_statement] = STATE(7403),
    [sym_allocate_statement] = STATE(7403),
    [sym_entry_statement] = STATE(7403),
    [sym_assign_statement] = STATE(7403),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7403),
    [sym_coarray_team_statement] = STATE(7403),
    [sym_coarray_critical_statement] = STATE(7403),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4210),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [930] = {
    [sym__statements] = STATE(7239),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7239),
    [sym_assignment_statement] = STATE(7239),
    [sym_pointer_association_statement] = STATE(7239),
    [sym_subroutine_call] = STATE(7239),
    [sym_keyword_statement] = STATE(7239),
    [sym_do_loop_statement] = STATE(7239),
    [sym_end_do_loop_statement] = STATE(8199),
    [sym_do_label_statement] = STATE(7239),
    [sym_end_do_label_statement] = STATE(7239),
    [sym_if_statement] = STATE(7239),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7239),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7239),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7239),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7239),
    [sym_select_type_statement] = STATE(7239),
    [sym_select_rank_statement] = STATE(7239),
    [sym_block_construct] = STATE(7239),
    [sym_associate_statement] = STATE(7239),
    [sym_format_statement] = STATE(7239),
    [sym_read_statement] = STATE(7239),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7239),
    [sym_open_statement] = STATE(7239),
    [sym_close_statement] = STATE(7239),
    [sym_write_statement] = STATE(7239),
    [sym_inquire_statement] = STATE(7239),
    [sym_file_position_statement] = STATE(7239),
    [sym_allocate_statement] = STATE(7239),
    [sym_entry_statement] = STATE(7239),
    [sym_assign_statement] = STATE(7239),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7239),
    [sym_coarray_team_statement] = STATE(7239),
    [sym_coarray_critical_statement] = STATE(7239),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5034),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [931] = {
    [sym__statements] = STATE(7692),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7692),
    [sym_assignment_statement] = STATE(7692),
    [sym_pointer_association_statement] = STATE(7692),
    [sym_subroutine_call] = STATE(7692),
    [sym_keyword_statement] = STATE(7692),
    [sym_do_loop_statement] = STATE(7692),
    [sym_do_label_statement] = STATE(7692),
    [sym_end_do_label_statement] = STATE(7692),
    [sym_if_statement] = STATE(7692),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7692),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8192),
    [sym_where_statement] = STATE(7692),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7692),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7692),
    [sym_select_type_statement] = STATE(7692),
    [sym_select_rank_statement] = STATE(7692),
    [sym_block_construct] = STATE(7692),
    [sym_associate_statement] = STATE(7692),
    [sym_format_statement] = STATE(7692),
    [sym_read_statement] = STATE(7692),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7692),
    [sym_open_statement] = STATE(7692),
    [sym_close_statement] = STATE(7692),
    [sym_write_statement] = STATE(7692),
    [sym_inquire_statement] = STATE(7692),
    [sym_file_position_statement] = STATE(7692),
    [sym_allocate_statement] = STATE(7692),
    [sym_entry_statement] = STATE(7692),
    [sym_assign_statement] = STATE(7692),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7692),
    [sym_coarray_team_statement] = STATE(7692),
    [sym_coarray_critical_statement] = STATE(7692),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [932] = {
    [sym__statements] = STATE(7239),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7239),
    [sym_assignment_statement] = STATE(7239),
    [sym_pointer_association_statement] = STATE(7239),
    [sym_subroutine_call] = STATE(7239),
    [sym_keyword_statement] = STATE(7239),
    [sym_do_loop_statement] = STATE(7239),
    [sym_end_do_loop_statement] = STATE(8422),
    [sym_do_label_statement] = STATE(7239),
    [sym_end_do_label_statement] = STATE(7239),
    [sym_if_statement] = STATE(7239),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7239),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7239),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7239),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7239),
    [sym_select_type_statement] = STATE(7239),
    [sym_select_rank_statement] = STATE(7239),
    [sym_block_construct] = STATE(7239),
    [sym_associate_statement] = STATE(7239),
    [sym_format_statement] = STATE(7239),
    [sym_read_statement] = STATE(7239),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7239),
    [sym_open_statement] = STATE(7239),
    [sym_close_statement] = STATE(7239),
    [sym_write_statement] = STATE(7239),
    [sym_inquire_statement] = STATE(7239),
    [sym_file_position_statement] = STATE(7239),
    [sym_allocate_statement] = STATE(7239),
    [sym_entry_statement] = STATE(7239),
    [sym_assign_statement] = STATE(7239),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7239),
    [sym_coarray_team_statement] = STATE(7239),
    [sym_coarray_critical_statement] = STATE(7239),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5034),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [933] = {
    [sym__statements] = STATE(8146),
    [sym_statement_label] = STATE(7673),
    [sym_statement_label_reference] = STATE(8848),
    [sym_stop_statement] = STATE(8146),
    [sym_assignment_statement] = STATE(8146),
    [sym_pointer_association_statement] = STATE(8146),
    [sym_subroutine_call] = STATE(8146),
    [sym_keyword_statement] = STATE(8146),
    [sym_do_loop_statement] = STATE(8146),
    [sym_do_label_statement] = STATE(8146),
    [sym_end_do_label_statement] = STATE(8146),
    [sym_if_statement] = STATE(8146),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(8146),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(8146),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(8146),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(8146),
    [sym_select_type_statement] = STATE(8146),
    [sym_select_rank_statement] = STATE(8146),
    [sym_block_construct] = STATE(8146),
    [sym_associate_statement] = STATE(8146),
    [sym_format_statement] = STATE(8146),
    [sym_read_statement] = STATE(8146),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(8146),
    [sym_open_statement] = STATE(8146),
    [sym_close_statement] = STATE(8146),
    [sym_write_statement] = STATE(8146),
    [sym_inquire_statement] = STATE(8146),
    [sym_file_position_statement] = STATE(8146),
    [sym_allocate_statement] = STATE(8146),
    [sym_entry_statement] = STATE(8146),
    [sym_assign_statement] = STATE(8146),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(8146),
    [sym_coarray_team_statement] = STATE(8146),
    [sym_coarray_critical_statement] = STATE(8146),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym__block_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [934] = {
    [sym__statements] = STATE(7239),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7239),
    [sym_assignment_statement] = STATE(7239),
    [sym_pointer_association_statement] = STATE(7239),
    [sym_subroutine_call] = STATE(7239),
    [sym_keyword_statement] = STATE(7239),
    [sym_do_loop_statement] = STATE(7239),
    [sym_end_do_loop_statement] = STATE(8287),
    [sym_do_label_statement] = STATE(7239),
    [sym_end_do_label_statement] = STATE(7239),
    [sym_if_statement] = STATE(7239),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7239),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7239),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7239),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7239),
    [sym_select_type_statement] = STATE(7239),
    [sym_select_rank_statement] = STATE(7239),
    [sym_block_construct] = STATE(7239),
    [sym_associate_statement] = STATE(7239),
    [sym_format_statement] = STATE(7239),
    [sym_read_statement] = STATE(7239),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7239),
    [sym_open_statement] = STATE(7239),
    [sym_close_statement] = STATE(7239),
    [sym_write_statement] = STATE(7239),
    [sym_inquire_statement] = STATE(7239),
    [sym_file_position_statement] = STATE(7239),
    [sym_allocate_statement] = STATE(7239),
    [sym_entry_statement] = STATE(7239),
    [sym_assign_statement] = STATE(7239),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7239),
    [sym_coarray_team_statement] = STATE(7239),
    [sym_coarray_critical_statement] = STATE(7239),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5034),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [935] = {
    [sym__statements] = STATE(7692),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7692),
    [sym_assignment_statement] = STATE(7692),
    [sym_pointer_association_statement] = STATE(7692),
    [sym_subroutine_call] = STATE(7692),
    [sym_keyword_statement] = STATE(7692),
    [sym_do_loop_statement] = STATE(7692),
    [sym_do_label_statement] = STATE(7692),
    [sym_end_do_label_statement] = STATE(7692),
    [sym_if_statement] = STATE(7692),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7692),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8375),
    [sym_where_statement] = STATE(7692),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7692),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7692),
    [sym_select_type_statement] = STATE(7692),
    [sym_select_rank_statement] = STATE(7692),
    [sym_block_construct] = STATE(7692),
    [sym_associate_statement] = STATE(7692),
    [sym_format_statement] = STATE(7692),
    [sym_read_statement] = STATE(7692),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7692),
    [sym_open_statement] = STATE(7692),
    [sym_close_statement] = STATE(7692),
    [sym_write_statement] = STATE(7692),
    [sym_inquire_statement] = STATE(7692),
    [sym_file_position_statement] = STATE(7692),
    [sym_allocate_statement] = STATE(7692),
    [sym_entry_statement] = STATE(7692),
    [sym_assign_statement] = STATE(7692),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7692),
    [sym_coarray_team_statement] = STATE(7692),
    [sym_coarray_critical_statement] = STATE(7692),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [936] = {
    [sym__statements] = STATE(7692),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7692),
    [sym_assignment_statement] = STATE(7692),
    [sym_pointer_association_statement] = STATE(7692),
    [sym_subroutine_call] = STATE(7692),
    [sym_keyword_statement] = STATE(7692),
    [sym_do_loop_statement] = STATE(7692),
    [sym_do_label_statement] = STATE(7692),
    [sym_end_do_label_statement] = STATE(7692),
    [sym_if_statement] = STATE(7692),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7692),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8160),
    [sym_where_statement] = STATE(7692),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7692),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7692),
    [sym_select_type_statement] = STATE(7692),
    [sym_select_rank_statement] = STATE(7692),
    [sym_block_construct] = STATE(7692),
    [sym_associate_statement] = STATE(7692),
    [sym_format_statement] = STATE(7692),
    [sym_read_statement] = STATE(7692),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7692),
    [sym_open_statement] = STATE(7692),
    [sym_close_statement] = STATE(7692),
    [sym_write_statement] = STATE(7692),
    [sym_inquire_statement] = STATE(7692),
    [sym_file_position_statement] = STATE(7692),
    [sym_allocate_statement] = STATE(7692),
    [sym_entry_statement] = STATE(7692),
    [sym_assign_statement] = STATE(7692),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7692),
    [sym_coarray_team_statement] = STATE(7692),
    [sym_coarray_critical_statement] = STATE(7692),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [937] = {
    [sym__statements] = STATE(7692),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7692),
    [sym_assignment_statement] = STATE(7692),
    [sym_pointer_association_statement] = STATE(7692),
    [sym_subroutine_call] = STATE(7692),
    [sym_keyword_statement] = STATE(7692),
    [sym_do_loop_statement] = STATE(7692),
    [sym_do_label_statement] = STATE(7692),
    [sym_end_do_label_statement] = STATE(7692),
    [sym_if_statement] = STATE(7692),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7692),
    [sym__block_if_statement] = STATE(8238),
    [sym_end_if_statement] = STATE(8488),
    [sym_where_statement] = STATE(7692),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7692),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7692),
    [sym_select_type_statement] = STATE(7692),
    [sym_select_rank_statement] = STATE(7692),
    [sym_block_construct] = STATE(7692),
    [sym_associate_statement] = STATE(7692),
    [sym_format_statement] = STATE(7692),
    [sym_read_statement] = STATE(7692),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7692),
    [sym_open_statement] = STATE(7692),
    [sym_close_statement] = STATE(7692),
    [sym_write_statement] = STATE(7692),
    [sym_inquire_statement] = STATE(7692),
    [sym_file_position_statement] = STATE(7692),
    [sym_allocate_statement] = STATE(7692),
    [sym_entry_statement] = STATE(7692),
    [sym_assign_statement] = STATE(7692),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7692),
    [sym_coarray_team_statement] = STATE(7692),
    [sym_coarray_critical_statement] = STATE(7692),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5036),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(3553),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [938] = {
    [sym__statements] = STATE(7239),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7239),
    [sym_assignment_statement] = STATE(7239),
    [sym_pointer_association_statement] = STATE(7239),
    [sym_subroutine_call] = STATE(7239),
    [sym_keyword_statement] = STATE(7239),
    [sym_do_loop_statement] = STATE(7239),
    [sym_end_do_loop_statement] = STATE(8425),
    [sym_do_label_statement] = STATE(7239),
    [sym_end_do_label_statement] = STATE(7239),
    [sym_if_statement] = STATE(7239),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7239),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7239),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7239),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7239),
    [sym_select_type_statement] = STATE(7239),
    [sym_select_rank_statement] = STATE(7239),
    [sym_block_construct] = STATE(7239),
    [sym_associate_statement] = STATE(7239),
    [sym_format_statement] = STATE(7239),
    [sym_read_statement] = STATE(7239),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7239),
    [sym_open_statement] = STATE(7239),
    [sym_close_statement] = STATE(7239),
    [sym_write_statement] = STATE(7239),
    [sym_inquire_statement] = STATE(7239),
    [sym_file_position_statement] = STATE(7239),
    [sym_allocate_statement] = STATE(7239),
    [sym_entry_statement] = STATE(7239),
    [sym_assign_statement] = STATE(7239),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7239),
    [sym_coarray_team_statement] = STATE(7239),
    [sym_coarray_critical_statement] = STATE(7239),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5034),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [939] = {
    [sym__statements] = STATE(7239),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7239),
    [sym_assignment_statement] = STATE(7239),
    [sym_pointer_association_statement] = STATE(7239),
    [sym_subroutine_call] = STATE(7239),
    [sym_keyword_statement] = STATE(7239),
    [sym_do_loop_statement] = STATE(7239),
    [sym_end_do_loop_statement] = STATE(8152),
    [sym_do_label_statement] = STATE(7239),
    [sym_end_do_label_statement] = STATE(7239),
    [sym_if_statement] = STATE(7239),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7239),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7239),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7239),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7239),
    [sym_select_type_statement] = STATE(7239),
    [sym_select_rank_statement] = STATE(7239),
    [sym_block_construct] = STATE(7239),
    [sym_associate_statement] = STATE(7239),
    [sym_format_statement] = STATE(7239),
    [sym_read_statement] = STATE(7239),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7239),
    [sym_open_statement] = STATE(7239),
    [sym_close_statement] = STATE(7239),
    [sym_write_statement] = STATE(7239),
    [sym_inquire_statement] = STATE(7239),
    [sym_file_position_statement] = STATE(7239),
    [sym_allocate_statement] = STATE(7239),
    [sym_entry_statement] = STATE(7239),
    [sym_assign_statement] = STATE(7239),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7239),
    [sym_coarray_team_statement] = STATE(7239),
    [sym_coarray_critical_statement] = STATE(7239),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5034),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [940] = {
    [sym__statements] = STATE(7837),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7837),
    [sym_assignment_statement] = STATE(7837),
    [sym_pointer_association_statement] = STATE(7837),
    [sym_subroutine_call] = STATE(7837),
    [sym_keyword_statement] = STATE(7837),
    [sym_do_loop_statement] = STATE(7837),
    [sym_do_label_statement] = STATE(7837),
    [sym_end_do_label_statement] = STATE(7837),
    [sym_if_statement] = STATE(7837),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7837),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7837),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7837),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7837),
    [sym_select_type_statement] = STATE(7837),
    [sym_select_rank_statement] = STATE(7837),
    [sym_block_construct] = STATE(7837),
    [sym_associate_statement] = STATE(7837),
    [sym_format_statement] = STATE(7837),
    [sym_read_statement] = STATE(7837),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7837),
    [sym_open_statement] = STATE(7837),
    [sym_close_statement] = STATE(7837),
    [sym_write_statement] = STATE(7837),
    [sym_inquire_statement] = STATE(7837),
    [sym_file_position_statement] = STATE(7837),
    [sym_allocate_statement] = STATE(7837),
    [sym_entry_statement] = STATE(7837),
    [sym_assign_statement] = STATE(7837),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7837),
    [sym_coarray_team_statement] = STATE(7837),
    [sym_coarray_critical_statement] = STATE(7837),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [941] = {
    [sym__statements] = STATE(7827),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7827),
    [sym_assignment_statement] = STATE(7827),
    [sym_pointer_association_statement] = STATE(7827),
    [sym_subroutine_call] = STATE(7827),
    [sym_keyword_statement] = STATE(7827),
    [sym_do_loop_statement] = STATE(7827),
    [sym_do_label_statement] = STATE(7827),
    [sym_end_do_label_statement] = STATE(7827),
    [sym_if_statement] = STATE(7827),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7827),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7827),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7827),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7827),
    [sym_select_type_statement] = STATE(7827),
    [sym_select_rank_statement] = STATE(7827),
    [sym_block_construct] = STATE(7827),
    [sym_associate_statement] = STATE(7827),
    [sym_format_statement] = STATE(7827),
    [sym_read_statement] = STATE(7827),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7827),
    [sym_open_statement] = STATE(7827),
    [sym_close_statement] = STATE(7827),
    [sym_write_statement] = STATE(7827),
    [sym_inquire_statement] = STATE(7827),
    [sym_file_position_statement] = STATE(7827),
    [sym_allocate_statement] = STATE(7827),
    [sym_entry_statement] = STATE(7827),
    [sym_assign_statement] = STATE(7827),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7827),
    [sym_coarray_team_statement] = STATE(7827),
    [sym_coarray_critical_statement] = STATE(7827),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [942] = {
    [sym__statements] = STATE(7667),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7667),
    [sym_assignment_statement] = STATE(7667),
    [sym_pointer_association_statement] = STATE(7667),
    [sym_subroutine_call] = STATE(7667),
    [sym_keyword_statement] = STATE(7667),
    [sym_do_loop_statement] = STATE(7667),
    [sym_do_label_statement] = STATE(7667),
    [sym_end_do_label_statement] = STATE(7667),
    [sym_if_statement] = STATE(7667),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7667),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7667),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7667),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7667),
    [sym_select_type_statement] = STATE(7667),
    [sym_select_rank_statement] = STATE(7667),
    [sym_block_construct] = STATE(7667),
    [sym_associate_statement] = STATE(7667),
    [sym_format_statement] = STATE(7362),
    [sym_read_statement] = STATE(7667),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7667),
    [sym_open_statement] = STATE(7667),
    [sym_close_statement] = STATE(7667),
    [sym_write_statement] = STATE(7667),
    [sym_inquire_statement] = STATE(7667),
    [sym_file_position_statement] = STATE(7667),
    [sym_allocate_statement] = STATE(7667),
    [sym_entry_statement] = STATE(7667),
    [sym_assign_statement] = STATE(7667),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7667),
    [sym_coarray_team_statement] = STATE(7667),
    [sym_coarray_critical_statement] = STATE(7667),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [943] = {
    [sym__statements] = STATE(7361),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7361),
    [sym_assignment_statement] = STATE(7361),
    [sym_pointer_association_statement] = STATE(7361),
    [sym_subroutine_call] = STATE(7361),
    [sym_keyword_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7361),
    [sym_do_label_statement] = STATE(7361),
    [sym_end_do_label_statement] = STATE(7361),
    [sym_if_statement] = STATE(7361),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7361),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7361),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7361),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7361),
    [sym_select_type_statement] = STATE(7361),
    [sym_select_rank_statement] = STATE(7361),
    [sym_block_construct] = STATE(7361),
    [sym_associate_statement] = STATE(7361),
    [sym_format_statement] = STATE(7361),
    [sym_read_statement] = STATE(7361),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7361),
    [sym_open_statement] = STATE(7361),
    [sym_close_statement] = STATE(7361),
    [sym_write_statement] = STATE(7361),
    [sym_inquire_statement] = STATE(7361),
    [sym_file_position_statement] = STATE(7361),
    [sym_allocate_statement] = STATE(7361),
    [sym_entry_statement] = STATE(7361),
    [sym_assign_statement] = STATE(7361),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7361),
    [sym_coarray_team_statement] = STATE(7361),
    [sym_coarray_critical_statement] = STATE(7361),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [944] = {
    [sym__statements] = STATE(7525),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7525),
    [sym_assignment_statement] = STATE(7525),
    [sym_pointer_association_statement] = STATE(7525),
    [sym_subroutine_call] = STATE(7525),
    [sym_keyword_statement] = STATE(7525),
    [sym_do_loop_statement] = STATE(7525),
    [sym_do_label_statement] = STATE(7525),
    [sym_end_do_label_statement] = STATE(7525),
    [sym_if_statement] = STATE(7525),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7525),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7525),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7525),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7525),
    [sym_select_type_statement] = STATE(7525),
    [sym_select_rank_statement] = STATE(7525),
    [sym_block_construct] = STATE(7525),
    [sym_associate_statement] = STATE(7525),
    [sym_format_statement] = STATE(7555),
    [sym_read_statement] = STATE(7525),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7525),
    [sym_open_statement] = STATE(7525),
    [sym_close_statement] = STATE(7525),
    [sym_write_statement] = STATE(7525),
    [sym_inquire_statement] = STATE(7525),
    [sym_file_position_statement] = STATE(7525),
    [sym_allocate_statement] = STATE(7525),
    [sym_entry_statement] = STATE(7525),
    [sym_assign_statement] = STATE(7525),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7525),
    [sym_coarray_team_statement] = STATE(7525),
    [sym_coarray_critical_statement] = STATE(7525),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [945] = {
    [sym__statements] = STATE(7525),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7525),
    [sym_assignment_statement] = STATE(7525),
    [sym_pointer_association_statement] = STATE(7525),
    [sym_subroutine_call] = STATE(7525),
    [sym_keyword_statement] = STATE(7525),
    [sym_do_loop_statement] = STATE(7525),
    [sym_do_label_statement] = STATE(7525),
    [sym_end_do_label_statement] = STATE(7525),
    [sym_if_statement] = STATE(7525),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7525),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7525),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7525),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7525),
    [sym_select_type_statement] = STATE(7525),
    [sym_select_rank_statement] = STATE(7525),
    [sym_block_construct] = STATE(7525),
    [sym_associate_statement] = STATE(7525),
    [sym_format_statement] = STATE(7525),
    [sym_read_statement] = STATE(7525),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7525),
    [sym_open_statement] = STATE(7525),
    [sym_close_statement] = STATE(7525),
    [sym_write_statement] = STATE(7525),
    [sym_inquire_statement] = STATE(7525),
    [sym_file_position_statement] = STATE(7525),
    [sym_allocate_statement] = STATE(7525),
    [sym_entry_statement] = STATE(7525),
    [sym_assign_statement] = STATE(7525),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7525),
    [sym_coarray_team_statement] = STATE(7525),
    [sym_coarray_critical_statement] = STATE(7525),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [946] = {
    [sym__statements] = STATE(7933),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7933),
    [sym_assignment_statement] = STATE(7933),
    [sym_pointer_association_statement] = STATE(7933),
    [sym_subroutine_call] = STATE(7933),
    [sym_keyword_statement] = STATE(7933),
    [sym_do_loop_statement] = STATE(7933),
    [sym_do_label_statement] = STATE(7933),
    [sym_end_do_label_statement] = STATE(7933),
    [sym_if_statement] = STATE(7933),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7933),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7933),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7933),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7933),
    [sym_select_type_statement] = STATE(7933),
    [sym_select_rank_statement] = STATE(7933),
    [sym_block_construct] = STATE(7933),
    [sym_associate_statement] = STATE(7933),
    [sym_format_statement] = STATE(7933),
    [sym_read_statement] = STATE(7933),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7933),
    [sym_open_statement] = STATE(7933),
    [sym_close_statement] = STATE(7933),
    [sym_write_statement] = STATE(7933),
    [sym_inquire_statement] = STATE(7933),
    [sym_file_position_statement] = STATE(7933),
    [sym_allocate_statement] = STATE(7933),
    [sym_entry_statement] = STATE(7933),
    [sym_assign_statement] = STATE(7933),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7933),
    [sym_coarray_team_statement] = STATE(7933),
    [sym_coarray_critical_statement] = STATE(7933),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [947] = {
    [sym__statements] = STATE(7324),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7324),
    [sym_assignment_statement] = STATE(7324),
    [sym_pointer_association_statement] = STATE(7324),
    [sym_subroutine_call] = STATE(7324),
    [sym_keyword_statement] = STATE(7324),
    [sym_do_loop_statement] = STATE(7324),
    [sym_do_label_statement] = STATE(7324),
    [sym_end_do_label_statement] = STATE(7324),
    [sym_if_statement] = STATE(7324),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7324),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7324),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7324),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7324),
    [sym_select_type_statement] = STATE(7324),
    [sym_select_rank_statement] = STATE(7324),
    [sym_block_construct] = STATE(7324),
    [sym_associate_statement] = STATE(7324),
    [sym_format_statement] = STATE(7324),
    [sym_read_statement] = STATE(7324),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7324),
    [sym_open_statement] = STATE(7324),
    [sym_close_statement] = STATE(7324),
    [sym_write_statement] = STATE(7324),
    [sym_inquire_statement] = STATE(7324),
    [sym_file_position_statement] = STATE(7324),
    [sym_allocate_statement] = STATE(7324),
    [sym_entry_statement] = STATE(7324),
    [sym_assign_statement] = STATE(7324),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7324),
    [sym_coarray_team_statement] = STATE(7324),
    [sym_coarray_critical_statement] = STATE(7324),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [948] = {
    [sym__statements] = STATE(7667),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7667),
    [sym_assignment_statement] = STATE(7667),
    [sym_pointer_association_statement] = STATE(7667),
    [sym_subroutine_call] = STATE(7667),
    [sym_keyword_statement] = STATE(7667),
    [sym_do_loop_statement] = STATE(7667),
    [sym_do_label_statement] = STATE(7667),
    [sym_end_do_label_statement] = STATE(7667),
    [sym_if_statement] = STATE(7667),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7667),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7667),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7667),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7667),
    [sym_select_type_statement] = STATE(7667),
    [sym_select_rank_statement] = STATE(7667),
    [sym_block_construct] = STATE(7667),
    [sym_associate_statement] = STATE(7667),
    [sym_format_statement] = STATE(7667),
    [sym_read_statement] = STATE(7667),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7667),
    [sym_open_statement] = STATE(7667),
    [sym_close_statement] = STATE(7667),
    [sym_write_statement] = STATE(7667),
    [sym_inquire_statement] = STATE(7667),
    [sym_file_position_statement] = STATE(7667),
    [sym_allocate_statement] = STATE(7667),
    [sym_entry_statement] = STATE(7667),
    [sym_assign_statement] = STATE(7667),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7667),
    [sym_coarray_team_statement] = STATE(7667),
    [sym_coarray_critical_statement] = STATE(7667),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [949] = {
    [sym__statements] = STATE(7438),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7438),
    [sym_assignment_statement] = STATE(7438),
    [sym_pointer_association_statement] = STATE(7438),
    [sym_subroutine_call] = STATE(7438),
    [sym_keyword_statement] = STATE(7438),
    [sym_do_loop_statement] = STATE(7438),
    [sym_do_label_statement] = STATE(7438),
    [sym_end_do_label_statement] = STATE(7438),
    [sym_if_statement] = STATE(7438),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7438),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7438),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7438),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7438),
    [sym_select_type_statement] = STATE(7438),
    [sym_select_rank_statement] = STATE(7438),
    [sym_block_construct] = STATE(7438),
    [sym_associate_statement] = STATE(7438),
    [sym_format_statement] = STATE(7438),
    [sym_read_statement] = STATE(7438),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7438),
    [sym_open_statement] = STATE(7438),
    [sym_close_statement] = STATE(7438),
    [sym_write_statement] = STATE(7438),
    [sym_inquire_statement] = STATE(7438),
    [sym_file_position_statement] = STATE(7438),
    [sym_allocate_statement] = STATE(7438),
    [sym_entry_statement] = STATE(7438),
    [sym_assign_statement] = STATE(7438),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7438),
    [sym_coarray_team_statement] = STATE(7438),
    [sym_coarray_critical_statement] = STATE(7438),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [950] = {
    [sym__statements] = STATE(7850),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7850),
    [sym_assignment_statement] = STATE(7850),
    [sym_pointer_association_statement] = STATE(7850),
    [sym_subroutine_call] = STATE(7850),
    [sym_keyword_statement] = STATE(7850),
    [sym_do_loop_statement] = STATE(7850),
    [sym_do_label_statement] = STATE(7850),
    [sym_end_do_label_statement] = STATE(7850),
    [sym_if_statement] = STATE(7850),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7850),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7850),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7850),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7850),
    [sym_select_type_statement] = STATE(7850),
    [sym_select_rank_statement] = STATE(7850),
    [sym_block_construct] = STATE(7850),
    [sym_associate_statement] = STATE(7850),
    [sym_format_statement] = STATE(7850),
    [sym_read_statement] = STATE(7850),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7850),
    [sym_open_statement] = STATE(7850),
    [sym_close_statement] = STATE(7850),
    [sym_write_statement] = STATE(7850),
    [sym_inquire_statement] = STATE(7850),
    [sym_file_position_statement] = STATE(7850),
    [sym_allocate_statement] = STATE(7850),
    [sym_entry_statement] = STATE(7850),
    [sym_assign_statement] = STATE(7850),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7850),
    [sym_coarray_team_statement] = STATE(7850),
    [sym_coarray_critical_statement] = STATE(7850),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [951] = {
    [sym__statements] = STATE(7361),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7361),
    [sym_assignment_statement] = STATE(7361),
    [sym_pointer_association_statement] = STATE(7361),
    [sym_subroutine_call] = STATE(7361),
    [sym_keyword_statement] = STATE(7361),
    [sym_do_loop_statement] = STATE(7361),
    [sym_do_label_statement] = STATE(7361),
    [sym_end_do_label_statement] = STATE(7361),
    [sym_if_statement] = STATE(7361),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7361),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7361),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7361),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7361),
    [sym_select_type_statement] = STATE(7361),
    [sym_select_rank_statement] = STATE(7361),
    [sym_block_construct] = STATE(7361),
    [sym_associate_statement] = STATE(7361),
    [sym_format_statement] = STATE(7240),
    [sym_read_statement] = STATE(7361),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7361),
    [sym_open_statement] = STATE(7361),
    [sym_close_statement] = STATE(7361),
    [sym_write_statement] = STATE(7361),
    [sym_inquire_statement] = STATE(7361),
    [sym_file_position_statement] = STATE(7361),
    [sym_allocate_statement] = STATE(7361),
    [sym_entry_statement] = STATE(7361),
    [sym_assign_statement] = STATE(7361),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7361),
    [sym_coarray_team_statement] = STATE(7361),
    [sym_coarray_critical_statement] = STATE(7361),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [952] = {
    [sym__statements] = STATE(7438),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7438),
    [sym_assignment_statement] = STATE(7438),
    [sym_pointer_association_statement] = STATE(7438),
    [sym_subroutine_call] = STATE(7438),
    [sym_keyword_statement] = STATE(7438),
    [sym_do_loop_statement] = STATE(7438),
    [sym_do_label_statement] = STATE(7438),
    [sym_end_do_label_statement] = STATE(7438),
    [sym_if_statement] = STATE(7438),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7438),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7438),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7438),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7438),
    [sym_select_type_statement] = STATE(7438),
    [sym_select_rank_statement] = STATE(7438),
    [sym_block_construct] = STATE(7438),
    [sym_associate_statement] = STATE(7438),
    [sym_format_statement] = STATE(7843),
    [sym_read_statement] = STATE(7438),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7438),
    [sym_open_statement] = STATE(7438),
    [sym_close_statement] = STATE(7438),
    [sym_write_statement] = STATE(7438),
    [sym_inquire_statement] = STATE(7438),
    [sym_file_position_statement] = STATE(7438),
    [sym_allocate_statement] = STATE(7438),
    [sym_entry_statement] = STATE(7438),
    [sym_assign_statement] = STATE(7438),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7438),
    [sym_coarray_team_statement] = STATE(7438),
    [sym_coarray_critical_statement] = STATE(7438),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [953] = {
    [sym__statements] = STATE(7842),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7842),
    [sym_assignment_statement] = STATE(7842),
    [sym_pointer_association_statement] = STATE(7842),
    [sym_subroutine_call] = STATE(7842),
    [sym_keyword_statement] = STATE(7842),
    [sym_do_loop_statement] = STATE(7842),
    [sym_do_label_statement] = STATE(7842),
    [sym_end_do_label_statement] = STATE(7842),
    [sym_if_statement] = STATE(7842),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7842),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7842),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7842),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7842),
    [sym_select_type_statement] = STATE(7842),
    [sym_select_rank_statement] = STATE(7842),
    [sym_block_construct] = STATE(7842),
    [sym_associate_statement] = STATE(7842),
    [sym_format_statement] = STATE(7842),
    [sym_read_statement] = STATE(7842),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7842),
    [sym_open_statement] = STATE(7842),
    [sym_close_statement] = STATE(7842),
    [sym_write_statement] = STATE(7842),
    [sym_inquire_statement] = STATE(7842),
    [sym_file_position_statement] = STATE(7842),
    [sym_allocate_statement] = STATE(7842),
    [sym_entry_statement] = STATE(7842),
    [sym_assign_statement] = STATE(7842),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7842),
    [sym_coarray_team_statement] = STATE(7842),
    [sym_coarray_critical_statement] = STATE(7842),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [954] = {
    [sym__statements] = STATE(7842),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7842),
    [sym_assignment_statement] = STATE(7842),
    [sym_pointer_association_statement] = STATE(7842),
    [sym_subroutine_call] = STATE(7842),
    [sym_keyword_statement] = STATE(7842),
    [sym_do_loop_statement] = STATE(7842),
    [sym_do_label_statement] = STATE(7842),
    [sym_end_do_label_statement] = STATE(7842),
    [sym_if_statement] = STATE(7842),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7842),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7842),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7842),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7842),
    [sym_select_type_statement] = STATE(7842),
    [sym_select_rank_statement] = STATE(7842),
    [sym_block_construct] = STATE(7842),
    [sym_associate_statement] = STATE(7842),
    [sym_format_statement] = STATE(7325),
    [sym_read_statement] = STATE(7842),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7842),
    [sym_open_statement] = STATE(7842),
    [sym_close_statement] = STATE(7842),
    [sym_write_statement] = STATE(7842),
    [sym_inquire_statement] = STATE(7842),
    [sym_file_position_statement] = STATE(7842),
    [sym_allocate_statement] = STATE(7842),
    [sym_entry_statement] = STATE(7842),
    [sym_assign_statement] = STATE(7842),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7842),
    [sym_coarray_team_statement] = STATE(7842),
    [sym_coarray_critical_statement] = STATE(7842),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [955] = {
    [sym__statements] = STATE(7933),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7933),
    [sym_assignment_statement] = STATE(7933),
    [sym_pointer_association_statement] = STATE(7933),
    [sym_subroutine_call] = STATE(7933),
    [sym_keyword_statement] = STATE(7933),
    [sym_do_loop_statement] = STATE(7933),
    [sym_do_label_statement] = STATE(7933),
    [sym_end_do_label_statement] = STATE(7933),
    [sym_if_statement] = STATE(7933),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7933),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7933),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7933),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7933),
    [sym_select_type_statement] = STATE(7933),
    [sym_select_rank_statement] = STATE(7933),
    [sym_block_construct] = STATE(7933),
    [sym_associate_statement] = STATE(7933),
    [sym_format_statement] = STATE(7544),
    [sym_read_statement] = STATE(7933),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7933),
    [sym_open_statement] = STATE(7933),
    [sym_close_statement] = STATE(7933),
    [sym_write_statement] = STATE(7933),
    [sym_inquire_statement] = STATE(7933),
    [sym_file_position_statement] = STATE(7933),
    [sym_allocate_statement] = STATE(7933),
    [sym_entry_statement] = STATE(7933),
    [sym_assign_statement] = STATE(7933),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7933),
    [sym_coarray_team_statement] = STATE(7933),
    [sym_coarray_critical_statement] = STATE(7933),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [956] = {
    [sym__statements] = STATE(7596),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7596),
    [sym_assignment_statement] = STATE(7596),
    [sym_pointer_association_statement] = STATE(7596),
    [sym_subroutine_call] = STATE(7596),
    [sym_keyword_statement] = STATE(7596),
    [sym_do_loop_statement] = STATE(7596),
    [sym_do_label_statement] = STATE(7596),
    [sym_end_do_label_statement] = STATE(7596),
    [sym_if_statement] = STATE(7596),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7596),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7596),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7596),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7596),
    [sym_select_type_statement] = STATE(7596),
    [sym_select_rank_statement] = STATE(7596),
    [sym_block_construct] = STATE(7596),
    [sym_associate_statement] = STATE(7596),
    [sym_format_statement] = STATE(7596),
    [sym_read_statement] = STATE(7596),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7596),
    [sym_open_statement] = STATE(7596),
    [sym_close_statement] = STATE(7596),
    [sym_write_statement] = STATE(7596),
    [sym_inquire_statement] = STATE(7596),
    [sym_file_position_statement] = STATE(7596),
    [sym_allocate_statement] = STATE(7596),
    [sym_entry_statement] = STATE(7596),
    [sym_assign_statement] = STATE(7596),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7596),
    [sym_coarray_team_statement] = STATE(7596),
    [sym_coarray_critical_statement] = STATE(7596),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [957] = {
    [sym__statements] = STATE(7482),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7482),
    [sym_assignment_statement] = STATE(7482),
    [sym_pointer_association_statement] = STATE(7482),
    [sym_subroutine_call] = STATE(7482),
    [sym_keyword_statement] = STATE(7482),
    [sym_do_loop_statement] = STATE(7482),
    [sym_do_label_statement] = STATE(7482),
    [sym_end_do_label_statement] = STATE(7482),
    [sym_if_statement] = STATE(7482),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7482),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7482),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7482),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7482),
    [sym_select_type_statement] = STATE(7482),
    [sym_select_rank_statement] = STATE(7482),
    [sym_block_construct] = STATE(7482),
    [sym_associate_statement] = STATE(7482),
    [sym_format_statement] = STATE(7404),
    [sym_read_statement] = STATE(7482),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7482),
    [sym_open_statement] = STATE(7482),
    [sym_close_statement] = STATE(7482),
    [sym_write_statement] = STATE(7482),
    [sym_inquire_statement] = STATE(7482),
    [sym_file_position_statement] = STATE(7482),
    [sym_allocate_statement] = STATE(7482),
    [sym_entry_statement] = STATE(7482),
    [sym_assign_statement] = STATE(7482),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7482),
    [sym_coarray_team_statement] = STATE(7482),
    [sym_coarray_critical_statement] = STATE(7482),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [958] = {
    [sym__statements] = STATE(7543),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7543),
    [sym_assignment_statement] = STATE(7543),
    [sym_pointer_association_statement] = STATE(7543),
    [sym_subroutine_call] = STATE(7543),
    [sym_keyword_statement] = STATE(7543),
    [sym_do_loop_statement] = STATE(7543),
    [sym_do_label_statement] = STATE(7543),
    [sym_end_do_label_statement] = STATE(7543),
    [sym_if_statement] = STATE(7543),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7543),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7543),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7543),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7543),
    [sym_select_type_statement] = STATE(7543),
    [sym_select_rank_statement] = STATE(7543),
    [sym_block_construct] = STATE(7543),
    [sym_associate_statement] = STATE(7543),
    [sym_format_statement] = STATE(7543),
    [sym_read_statement] = STATE(7543),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7543),
    [sym_open_statement] = STATE(7543),
    [sym_close_statement] = STATE(7543),
    [sym_write_statement] = STATE(7543),
    [sym_inquire_statement] = STATE(7543),
    [sym_file_position_statement] = STATE(7543),
    [sym_allocate_statement] = STATE(7543),
    [sym_entry_statement] = STATE(7543),
    [sym_assign_statement] = STATE(7543),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7543),
    [sym_coarray_team_statement] = STATE(7543),
    [sym_coarray_critical_statement] = STATE(7543),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [959] = {
    [sym__statements] = STATE(7543),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7543),
    [sym_assignment_statement] = STATE(7543),
    [sym_pointer_association_statement] = STATE(7543),
    [sym_subroutine_call] = STATE(7543),
    [sym_keyword_statement] = STATE(7543),
    [sym_do_loop_statement] = STATE(7543),
    [sym_do_label_statement] = STATE(7543),
    [sym_end_do_label_statement] = STATE(7543),
    [sym_if_statement] = STATE(7543),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7543),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7543),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7543),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7543),
    [sym_select_type_statement] = STATE(7543),
    [sym_select_rank_statement] = STATE(7543),
    [sym_block_construct] = STATE(7543),
    [sym_associate_statement] = STATE(7543),
    [sym_format_statement] = STATE(7483),
    [sym_read_statement] = STATE(7543),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7543),
    [sym_open_statement] = STATE(7543),
    [sym_close_statement] = STATE(7543),
    [sym_write_statement] = STATE(7543),
    [sym_inquire_statement] = STATE(7543),
    [sym_file_position_statement] = STATE(7543),
    [sym_allocate_statement] = STATE(7543),
    [sym_entry_statement] = STATE(7543),
    [sym_assign_statement] = STATE(7543),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7543),
    [sym_coarray_team_statement] = STATE(7543),
    [sym_coarray_critical_statement] = STATE(7543),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [960] = {
    [sym__statements] = STATE(7482),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7482),
    [sym_assignment_statement] = STATE(7482),
    [sym_pointer_association_statement] = STATE(7482),
    [sym_subroutine_call] = STATE(7482),
    [sym_keyword_statement] = STATE(7482),
    [sym_do_loop_statement] = STATE(7482),
    [sym_do_label_statement] = STATE(7482),
    [sym_end_do_label_statement] = STATE(7482),
    [sym_if_statement] = STATE(7482),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7482),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7482),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7482),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7482),
    [sym_select_type_statement] = STATE(7482),
    [sym_select_rank_statement] = STATE(7482),
    [sym_block_construct] = STATE(7482),
    [sym_associate_statement] = STATE(7482),
    [sym_format_statement] = STATE(7482),
    [sym_read_statement] = STATE(7482),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7482),
    [sym_open_statement] = STATE(7482),
    [sym_close_statement] = STATE(7482),
    [sym_write_statement] = STATE(7482),
    [sym_inquire_statement] = STATE(7482),
    [sym_file_position_statement] = STATE(7482),
    [sym_allocate_statement] = STATE(7482),
    [sym_entry_statement] = STATE(7482),
    [sym_assign_statement] = STATE(7482),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7482),
    [sym_coarray_team_statement] = STATE(7482),
    [sym_coarray_critical_statement] = STATE(7482),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [961] = {
    [sym__statements] = STATE(7648),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7648),
    [sym_assignment_statement] = STATE(7648),
    [sym_pointer_association_statement] = STATE(7648),
    [sym_subroutine_call] = STATE(7648),
    [sym_keyword_statement] = STATE(7648),
    [sym_do_loop_statement] = STATE(7648),
    [sym_do_label_statement] = STATE(7648),
    [sym_end_do_label_statement] = STATE(7648),
    [sym_if_statement] = STATE(7648),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7648),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7648),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7648),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7648),
    [sym_select_type_statement] = STATE(7648),
    [sym_select_rank_statement] = STATE(7648),
    [sym_block_construct] = STATE(7648),
    [sym_associate_statement] = STATE(7648),
    [sym_format_statement] = STATE(7597),
    [sym_read_statement] = STATE(7648),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7648),
    [sym_open_statement] = STATE(7648),
    [sym_close_statement] = STATE(7648),
    [sym_write_statement] = STATE(7648),
    [sym_inquire_statement] = STATE(7648),
    [sym_file_position_statement] = STATE(7648),
    [sym_allocate_statement] = STATE(7648),
    [sym_entry_statement] = STATE(7648),
    [sym_assign_statement] = STATE(7648),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7648),
    [sym_coarray_team_statement] = STATE(7648),
    [sym_coarray_critical_statement] = STATE(7648),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [962] = {
    [sym__statements] = STATE(7239),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7239),
    [sym_assignment_statement] = STATE(7239),
    [sym_pointer_association_statement] = STATE(7239),
    [sym_subroutine_call] = STATE(7239),
    [sym_keyword_statement] = STATE(7239),
    [sym_do_loop_statement] = STATE(7239),
    [sym_do_label_statement] = STATE(7239),
    [sym_end_do_label_statement] = STATE(7239),
    [sym_if_statement] = STATE(7239),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7239),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7239),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7239),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7239),
    [sym_select_type_statement] = STATE(7239),
    [sym_select_rank_statement] = STATE(7239),
    [sym_block_construct] = STATE(7239),
    [sym_associate_statement] = STATE(7239),
    [sym_format_statement] = STATE(7239),
    [sym_read_statement] = STATE(7239),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7239),
    [sym_open_statement] = STATE(7239),
    [sym_close_statement] = STATE(7239),
    [sym_write_statement] = STATE(7239),
    [sym_inquire_statement] = STATE(7239),
    [sym_file_position_statement] = STATE(7239),
    [sym_allocate_statement] = STATE(7239),
    [sym_entry_statement] = STATE(7239),
    [sym_assign_statement] = STATE(7239),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7239),
    [sym_coarray_team_statement] = STATE(7239),
    [sym_coarray_critical_statement] = STATE(7239),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [963] = {
    [sym__statements] = STATE(7745),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7745),
    [sym_assignment_statement] = STATE(7745),
    [sym_pointer_association_statement] = STATE(7745),
    [sym_subroutine_call] = STATE(7745),
    [sym_keyword_statement] = STATE(7745),
    [sym_do_loop_statement] = STATE(7745),
    [sym_do_label_statement] = STATE(7745),
    [sym_end_do_label_statement] = STATE(7745),
    [sym_if_statement] = STATE(7745),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7745),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7745),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7745),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7745),
    [sym_select_type_statement] = STATE(7745),
    [sym_select_rank_statement] = STATE(7745),
    [sym_block_construct] = STATE(7745),
    [sym_associate_statement] = STATE(7745),
    [sym_format_statement] = STATE(7745),
    [sym_read_statement] = STATE(7745),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7745),
    [sym_open_statement] = STATE(7745),
    [sym_close_statement] = STATE(7745),
    [sym_write_statement] = STATE(7745),
    [sym_inquire_statement] = STATE(7745),
    [sym_file_position_statement] = STATE(7745),
    [sym_allocate_statement] = STATE(7745),
    [sym_entry_statement] = STATE(7745),
    [sym_assign_statement] = STATE(7745),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7745),
    [sym_coarray_team_statement] = STATE(7745),
    [sym_coarray_critical_statement] = STATE(7745),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [964] = {
    [sym__statements] = STATE(7403),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7403),
    [sym_assignment_statement] = STATE(7403),
    [sym_pointer_association_statement] = STATE(7403),
    [sym_subroutine_call] = STATE(7403),
    [sym_keyword_statement] = STATE(7403),
    [sym_do_loop_statement] = STATE(7403),
    [sym_do_label_statement] = STATE(7403),
    [sym_end_do_label_statement] = STATE(7403),
    [sym_if_statement] = STATE(7403),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7403),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7403),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7403),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7403),
    [sym_select_type_statement] = STATE(7403),
    [sym_select_rank_statement] = STATE(7403),
    [sym_block_construct] = STATE(7403),
    [sym_associate_statement] = STATE(7403),
    [sym_format_statement] = STATE(7403),
    [sym_read_statement] = STATE(7403),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7403),
    [sym_open_statement] = STATE(7403),
    [sym_close_statement] = STATE(7403),
    [sym_write_statement] = STATE(7403),
    [sym_inquire_statement] = STATE(7403),
    [sym_file_position_statement] = STATE(7403),
    [sym_allocate_statement] = STATE(7403),
    [sym_entry_statement] = STATE(7403),
    [sym_assign_statement] = STATE(7403),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7403),
    [sym_coarray_team_statement] = STATE(7403),
    [sym_coarray_critical_statement] = STATE(7403),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [965] = {
    [sym__statements] = STATE(7648),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7648),
    [sym_assignment_statement] = STATE(7648),
    [sym_pointer_association_statement] = STATE(7648),
    [sym_subroutine_call] = STATE(7648),
    [sym_keyword_statement] = STATE(7648),
    [sym_do_loop_statement] = STATE(7648),
    [sym_do_label_statement] = STATE(7648),
    [sym_end_do_label_statement] = STATE(7648),
    [sym_if_statement] = STATE(7648),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7648),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7648),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7648),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7648),
    [sym_select_type_statement] = STATE(7648),
    [sym_select_rank_statement] = STATE(7648),
    [sym_block_construct] = STATE(7648),
    [sym_associate_statement] = STATE(7648),
    [sym_format_statement] = STATE(7648),
    [sym_read_statement] = STATE(7648),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7648),
    [sym_open_statement] = STATE(7648),
    [sym_close_statement] = STATE(7648),
    [sym_write_statement] = STATE(7648),
    [sym_inquire_statement] = STATE(7648),
    [sym_file_position_statement] = STATE(7648),
    [sym_allocate_statement] = STATE(7648),
    [sym_entry_statement] = STATE(7648),
    [sym_assign_statement] = STATE(7648),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7648),
    [sym_coarray_team_statement] = STATE(7648),
    [sym_coarray_critical_statement] = STATE(7648),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [966] = {
    [sym__statements] = STATE(7779),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7779),
    [sym_assignment_statement] = STATE(7779),
    [sym_pointer_association_statement] = STATE(7779),
    [sym_subroutine_call] = STATE(7779),
    [sym_keyword_statement] = STATE(7779),
    [sym_do_loop_statement] = STATE(7779),
    [sym_do_label_statement] = STATE(7779),
    [sym_end_do_label_statement] = STATE(7779),
    [sym_if_statement] = STATE(7779),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7779),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7779),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7779),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7779),
    [sym_select_type_statement] = STATE(7779),
    [sym_select_rank_statement] = STATE(7779),
    [sym_block_construct] = STATE(7779),
    [sym_associate_statement] = STATE(7779),
    [sym_format_statement] = STATE(7779),
    [sym_read_statement] = STATE(7779),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7779),
    [sym_open_statement] = STATE(7779),
    [sym_close_statement] = STATE(7779),
    [sym_write_statement] = STATE(7779),
    [sym_inquire_statement] = STATE(7779),
    [sym_file_position_statement] = STATE(7779),
    [sym_allocate_statement] = STATE(7779),
    [sym_entry_statement] = STATE(7779),
    [sym_assign_statement] = STATE(7779),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7779),
    [sym_coarray_team_statement] = STATE(7779),
    [sym_coarray_critical_statement] = STATE(7779),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [967] = {
    [sym__statements] = STATE(7795),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7795),
    [sym_assignment_statement] = STATE(7795),
    [sym_pointer_association_statement] = STATE(7795),
    [sym_subroutine_call] = STATE(7795),
    [sym_keyword_statement] = STATE(7795),
    [sym_do_loop_statement] = STATE(7795),
    [sym_do_label_statement] = STATE(7795),
    [sym_end_do_label_statement] = STATE(7795),
    [sym_if_statement] = STATE(7795),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7795),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7795),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7795),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7795),
    [sym_select_type_statement] = STATE(7795),
    [sym_select_rank_statement] = STATE(7795),
    [sym_block_construct] = STATE(7795),
    [sym_associate_statement] = STATE(7795),
    [sym_format_statement] = STATE(7795),
    [sym_read_statement] = STATE(7795),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7795),
    [sym_open_statement] = STATE(7795),
    [sym_close_statement] = STATE(7795),
    [sym_write_statement] = STATE(7795),
    [sym_inquire_statement] = STATE(7795),
    [sym_file_position_statement] = STATE(7795),
    [sym_allocate_statement] = STATE(7795),
    [sym_entry_statement] = STATE(7795),
    [sym_assign_statement] = STATE(7795),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7795),
    [sym_coarray_team_statement] = STATE(7795),
    [sym_coarray_critical_statement] = STATE(7795),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [968] = {
    [sym__statements] = STATE(7806),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7806),
    [sym_assignment_statement] = STATE(7806),
    [sym_pointer_association_statement] = STATE(7806),
    [sym_subroutine_call] = STATE(7806),
    [sym_keyword_statement] = STATE(7806),
    [sym_do_loop_statement] = STATE(7806),
    [sym_do_label_statement] = STATE(7806),
    [sym_end_do_label_statement] = STATE(7806),
    [sym_if_statement] = STATE(7806),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7806),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7806),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7806),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7806),
    [sym_select_type_statement] = STATE(7806),
    [sym_select_rank_statement] = STATE(7806),
    [sym_block_construct] = STATE(7806),
    [sym_associate_statement] = STATE(7806),
    [sym_format_statement] = STATE(7806),
    [sym_read_statement] = STATE(7806),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7806),
    [sym_open_statement] = STATE(7806),
    [sym_close_statement] = STATE(7806),
    [sym_write_statement] = STATE(7806),
    [sym_inquire_statement] = STATE(7806),
    [sym_file_position_statement] = STATE(7806),
    [sym_allocate_statement] = STATE(7806),
    [sym_entry_statement] = STATE(7806),
    [sym_assign_statement] = STATE(7806),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7806),
    [sym_coarray_team_statement] = STATE(7806),
    [sym_coarray_critical_statement] = STATE(7806),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [969] = {
    [sym__statements] = STATE(7692),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7692),
    [sym_assignment_statement] = STATE(7692),
    [sym_pointer_association_statement] = STATE(7692),
    [sym_subroutine_call] = STATE(7692),
    [sym_keyword_statement] = STATE(7692),
    [sym_do_loop_statement] = STATE(7692),
    [sym_do_label_statement] = STATE(7692),
    [sym_end_do_label_statement] = STATE(7692),
    [sym_if_statement] = STATE(7692),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7692),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7692),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7692),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7692),
    [sym_select_type_statement] = STATE(7692),
    [sym_select_rank_statement] = STATE(7692),
    [sym_block_construct] = STATE(7692),
    [sym_associate_statement] = STATE(7692),
    [sym_format_statement] = STATE(7692),
    [sym_read_statement] = STATE(7692),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7692),
    [sym_open_statement] = STATE(7692),
    [sym_close_statement] = STATE(7692),
    [sym_write_statement] = STATE(7692),
    [sym_inquire_statement] = STATE(7692),
    [sym_file_position_statement] = STATE(7692),
    [sym_allocate_statement] = STATE(7692),
    [sym_entry_statement] = STATE(7692),
    [sym_assign_statement] = STATE(7692),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7692),
    [sym_coarray_team_statement] = STATE(7692),
    [sym_coarray_critical_statement] = STATE(7692),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [970] = {
    [sym__statements] = STATE(7820),
    [sym_statement_label] = STATE(8320),
    [sym_stop_statement] = STATE(7820),
    [sym_assignment_statement] = STATE(7820),
    [sym_pointer_association_statement] = STATE(7820),
    [sym_subroutine_call] = STATE(7820),
    [sym_keyword_statement] = STATE(7820),
    [sym_do_loop_statement] = STATE(7820),
    [sym_do_label_statement] = STATE(7820),
    [sym_end_do_label_statement] = STATE(7820),
    [sym_if_statement] = STATE(7820),
    [sym__inline_if_statement] = STATE(8238),
    [sym_arithmetic_if_statement] = STATE(7820),
    [sym__block_if_statement] = STATE(8238),
    [sym_where_statement] = STATE(7820),
    [sym__inline_where_statement] = STATE(8244),
    [sym__block_where_statement] = STATE(8244),
    [sym_forall_statement] = STATE(7820),
    [sym__forall_control_expression] = STATE(925),
    [sym__inline_forall_statement] = STATE(8432),
    [sym__block_forall_statement] = STATE(8432),
    [sym_select_case_statement] = STATE(7820),
    [sym_select_type_statement] = STATE(7820),
    [sym_select_rank_statement] = STATE(7820),
    [sym_block_construct] = STATE(7820),
    [sym_associate_statement] = STATE(7820),
    [sym_format_statement] = STATE(7820),
    [sym_read_statement] = STATE(7820),
    [sym__simple_read_statement] = STATE(8132),
    [sym__parameterized_read_statement] = STATE(8132),
    [sym_print_statement] = STATE(7820),
    [sym_open_statement] = STATE(7820),
    [sym_close_statement] = STATE(7820),
    [sym_write_statement] = STATE(7820),
    [sym_inquire_statement] = STATE(7820),
    [sym_file_position_statement] = STATE(7820),
    [sym_allocate_statement] = STATE(7820),
    [sym_entry_statement] = STATE(7820),
    [sym_assign_statement] = STATE(7820),
    [sym__expression] = STATE(5226),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5391),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_block_label_start_expression] = STATE(6400),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_coarray_statement] = STATE(7820),
    [sym_coarray_team_statement] = STATE(7820),
    [sym_coarray_critical_statement] = STATE(7820),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5432),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5040),
    [aux_sym_block_data_statement_token1] = ACTIONS(765),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(43),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(45),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(111),
    [aux_sym_stop_statement_token2] = ACTIONS(113),
    [aux_sym_subroutine_call_token1] = ACTIONS(115),
    [aux_sym_keyword_statement_token1] = ACTIONS(117),
    [aux_sym_keyword_statement_token2] = ACTIONS(119),
    [aux_sym_keyword_statement_token3] = ACTIONS(119),
    [aux_sym_keyword_statement_token4] = ACTIONS(121),
    [aux_sym_keyword_statement_token6] = ACTIONS(123),
    [aux_sym_keyword_statement_token7] = ACTIONS(125),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_do_loop_statement_token1] = ACTIONS(129),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5028),
    [aux_sym__inline_if_statement_token1] = ACTIONS(131),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(133),
    [aux_sym__forall_control_expression_token1] = ACTIONS(135),
    [aux_sym_select_case_statement_token1] = ACTIONS(137),
    [aux_sym_select_case_statement_token3] = ACTIONS(139),
    [aux_sym_select_type_statement_token1] = ACTIONS(141),
    [aux_sym_select_rank_statement_token1] = ACTIONS(143),
    [aux_sym_associate_statement_token1] = ACTIONS(145),
    [aux_sym_format_statement_token1] = ACTIONS(147),
    [aux_sym_print_statement_token1] = ACTIONS(149),
    [aux_sym_open_statement_token1] = ACTIONS(151),
    [aux_sym_close_statement_token1] = ACTIONS(153),
    [aux_sym_inquire_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(161),
    [aux_sym_file_position_statement_token2] = ACTIONS(161),
    [aux_sym_file_position_statement_token3] = ACTIONS(161),
    [aux_sym_file_position_statement_token4] = ACTIONS(163),
    [aux_sym_allocate_statement_token1] = ACTIONS(165),
    [aux_sym_entry_statement_token1] = ACTIONS(167),
    [aux_sym_assign_statement_token1] = ACTIONS(169),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(183),
    [aux_sym_coarray_statement_token2] = ACTIONS(183),
    [aux_sym_coarray_statement_token6] = ACTIONS(185),
    [aux_sym_coarray_statement_token8] = ACTIONS(187),
    [aux_sym_coarray_statement_token11] = ACTIONS(189),
    [aux_sym_coarray_statement_token12] = ACTIONS(189),
    [aux_sym_coarray_statement_token13] = ACTIONS(191),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(193),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(195),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5044),
    [aux_sym_preproc_def_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5044),
    [aux_sym_preproc_else_token1] = ACTIONS(5044),
    [aux_sym_preproc_elif_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5044),
    [sym_preproc_directive] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [sym_preproc_comment] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token2] = ACTIONS(5044),
    [aux_sym_module_statement_token1] = ACTIONS(5044),
    [aux_sym_submodule_statement_token1] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_interface_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token2] = ACTIONS(5044),
    [aux_sym_block_data_statement_token3] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5044),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5044),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5044),
    [aux_sym_function_statement_token1] = ACTIONS(5044),
    [aux_sym_language_binding_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5044),
    [aux_sym_contains_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token2] = ACTIONS(5044),
    [aux_sym_implicit_statement_token1] = ACTIONS(5044),
    [aux_sym_implicit_statement_token3] = ACTIONS(5044),
    [aux_sym_implicit_statement_token4] = ACTIONS(5044),
    [aux_sym_save_statement_token1] = ACTIONS(5044),
    [aux_sym_private_statement_token1] = ACTIONS(5044),
    [aux_sym_public_statement_token1] = ACTIONS(5044),
    [aux_sym_namelist_statement_token1] = ACTIONS(5044),
    [aux_sym_common_statement_token1] = ACTIONS(5044),
    [aux_sym_import_statement_token1] = ACTIONS(5044),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5044),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5044),
    [aux_sym_variable_attributes_token1] = ACTIONS(5044),
    [aux_sym_variable_attributes_token2] = ACTIONS(5044),
    [aux_sym_variable_attributes_token3] = ACTIONS(5044),
    [aux_sym_variable_attributes_token4] = ACTIONS(5044),
    [aux_sym_variable_attributes_token5] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5044),
    [aux_sym_derived_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5044),
    [aux_sym_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5044),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token2] = ACTIONS(5044),
    [aux_sym_subroutine_call_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token2] = ACTIONS(5044),
    [aux_sym_keyword_statement_token3] = ACTIONS(5044),
    [aux_sym_keyword_statement_token4] = ACTIONS(5044),
    [aux_sym_keyword_statement_token6] = ACTIONS(5044),
    [aux_sym_keyword_statement_token7] = ACTIONS(5044),
    [aux_sym_include_statement_token1] = ACTIONS(5044),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5044),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5044),
    [aux_sym_end_if_statement_token1] = ACTIONS(5044),
    [aux_sym_elseif_clause_token2] = ACTIONS(5044),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5044),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token3] = ACTIONS(5044),
    [aux_sym_select_type_statement_token1] = ACTIONS(5044),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5044),
    [aux_sym_associate_statement_token1] = ACTIONS(5044),
    [aux_sym_format_statement_token1] = ACTIONS(5044),
    [aux_sym_print_statement_token1] = ACTIONS(5044),
    [aux_sym_open_statement_token1] = ACTIONS(5044),
    [aux_sym_close_statement_token1] = ACTIONS(5044),
    [aux_sym_inquire_statement_token1] = ACTIONS(5044),
    [aux_sym_enum_statement_token1] = ACTIONS(5044),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token2] = ACTIONS(5044),
    [aux_sym_file_position_statement_token3] = ACTIONS(5044),
    [aux_sym_file_position_statement_token4] = ACTIONS(5044),
    [aux_sym_allocate_statement_token1] = ACTIONS(5044),
    [aux_sym_entry_statement_token1] = ACTIONS(5044),
    [aux_sym_assign_statement_token1] = ACTIONS(5044),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5044),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token2] = ACTIONS(5044),
    [aux_sym_coarray_statement_token6] = ACTIONS(5044),
    [aux_sym_coarray_statement_token8] = ACTIONS(5044),
    [aux_sym_coarray_statement_token11] = ACTIONS(5044),
    [aux_sym_coarray_statement_token12] = ACTIONS(5044),
    [aux_sym_coarray_statement_token13] = ACTIONS(5044),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5044),
    [aux_sym_identifier_token1] = ACTIONS(5044),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5052),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5060),
    [aux_sym_preproc_elif_token1] = ACTIONS(5060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5060),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5056),
    [aux_sym_preproc_elif_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5070),
    [aux_sym_preproc_elif_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token2] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [aux_sym_preproc_else_token1] = ACTIONS(5076),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [sym_preproc_comment] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [aux_sym_end_program_statement_token2] = ACTIONS(5076),
    [aux_sym_module_statement_token1] = ACTIONS(5076),
    [aux_sym_submodule_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_interface_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_block_data_statement_token3] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5076),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5076),
    [aux_sym_function_statement_token1] = ACTIONS(5076),
    [aux_sym_language_binding_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_contains_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token1] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_namelist_statement_token1] = ACTIONS(5076),
    [aux_sym_common_statement_token1] = ACTIONS(5076),
    [aux_sym_import_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token1] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token4] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5076),
    [aux_sym_derived_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5076),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5076),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_keyword_statement_token6] = ACTIONS(5076),
    [aux_sym_keyword_statement_token7] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token3] = ACTIONS(5076),
    [aux_sym_select_type_statement_token1] = ACTIONS(5076),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5076),
    [aux_sym_associate_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_close_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_enum_statement_token1] = ACTIONS(5076),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token2] = ACTIONS(5076),
    [aux_sym_file_position_statement_token3] = ACTIONS(5076),
    [aux_sym_file_position_statement_token4] = ACTIONS(5076),
    [aux_sym_allocate_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [aux_sym_assign_statement_token1] = ACTIONS(5076),
    [aux_sym_logical_expression_token5] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_boolean_literal_token1] = ACTIONS(5078),
    [aux_sym_boolean_literal_token2] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_statement_token13] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5078),
    [sym__float_literal] = ACTIONS(5078),
    [sym__boz_literal] = ACTIONS(5078),
    [sym__string_literal] = ACTIONS(5078),
    [sym__string_literal_kind] = ACTIONS(5078),
  },
  [977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [sym_preproc_comment] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5080),
    [aux_sym_submodule_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_block_data_statement_token3] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_function_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [978] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5084),
    [aux_sym_preproc_def_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token2] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5084),
    [aux_sym_preproc_else_token1] = ACTIONS(5084),
    [aux_sym_preproc_elif_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5084),
    [sym_preproc_directive] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [sym_preproc_comment] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token2] = ACTIONS(5084),
    [aux_sym_module_statement_token1] = ACTIONS(5084),
    [aux_sym_submodule_statement_token1] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_interface_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token2] = ACTIONS(5084),
    [aux_sym_block_data_statement_token3] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5084),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5084),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5084),
    [aux_sym_function_statement_token1] = ACTIONS(5084),
    [aux_sym_language_binding_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5084),
    [aux_sym_contains_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token2] = ACTIONS(5084),
    [aux_sym_implicit_statement_token1] = ACTIONS(5084),
    [aux_sym_implicit_statement_token3] = ACTIONS(5084),
    [aux_sym_implicit_statement_token4] = ACTIONS(5084),
    [aux_sym_save_statement_token1] = ACTIONS(5084),
    [aux_sym_private_statement_token1] = ACTIONS(5084),
    [aux_sym_public_statement_token1] = ACTIONS(5084),
    [aux_sym_namelist_statement_token1] = ACTIONS(5084),
    [aux_sym_common_statement_token1] = ACTIONS(5084),
    [aux_sym_import_statement_token1] = ACTIONS(5084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5084),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5084),
    [aux_sym_variable_attributes_token1] = ACTIONS(5084),
    [aux_sym_variable_attributes_token2] = ACTIONS(5084),
    [aux_sym_variable_attributes_token3] = ACTIONS(5084),
    [aux_sym_variable_attributes_token4] = ACTIONS(5084),
    [aux_sym_variable_attributes_token5] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5084),
    [aux_sym_derived_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5084),
    [aux_sym_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5084),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token2] = ACTIONS(5084),
    [aux_sym_subroutine_call_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token2] = ACTIONS(5084),
    [aux_sym_keyword_statement_token3] = ACTIONS(5084),
    [aux_sym_keyword_statement_token4] = ACTIONS(5084),
    [aux_sym_keyword_statement_token6] = ACTIONS(5084),
    [aux_sym_keyword_statement_token7] = ACTIONS(5084),
    [aux_sym_include_statement_token1] = ACTIONS(5084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5084),
    [aux_sym_end_if_statement_token1] = ACTIONS(5084),
    [aux_sym_elseif_clause_token2] = ACTIONS(5084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token3] = ACTIONS(5084),
    [aux_sym_select_type_statement_token1] = ACTIONS(5084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5084),
    [aux_sym_associate_statement_token1] = ACTIONS(5084),
    [aux_sym_format_statement_token1] = ACTIONS(5084),
    [aux_sym_print_statement_token1] = ACTIONS(5084),
    [aux_sym_open_statement_token1] = ACTIONS(5084),
    [aux_sym_close_statement_token1] = ACTIONS(5084),
    [aux_sym_inquire_statement_token1] = ACTIONS(5084),
    [aux_sym_enum_statement_token1] = ACTIONS(5084),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token2] = ACTIONS(5084),
    [aux_sym_file_position_statement_token3] = ACTIONS(5084),
    [aux_sym_file_position_statement_token4] = ACTIONS(5084),
    [aux_sym_allocate_statement_token1] = ACTIONS(5084),
    [aux_sym_entry_statement_token1] = ACTIONS(5084),
    [aux_sym_assign_statement_token1] = ACTIONS(5084),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token2] = ACTIONS(5084),
    [aux_sym_coarray_statement_token6] = ACTIONS(5084),
    [aux_sym_coarray_statement_token8] = ACTIONS(5084),
    [aux_sym_coarray_statement_token11] = ACTIONS(5084),
    [aux_sym_coarray_statement_token12] = ACTIONS(5084),
    [aux_sym_coarray_statement_token13] = ACTIONS(5084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5084),
    [aux_sym_identifier_token1] = ACTIONS(5084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [aux_sym_preproc_else_token1] = ACTIONS(5090),
    [aux_sym_preproc_elif_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [sym_preproc_comment] = ACTIONS(5092),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token2] = ACTIONS(5090),
    [aux_sym_module_statement_token1] = ACTIONS(5090),
    [aux_sym_submodule_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_block_data_statement_token1] = ACTIONS(5090),
    [aux_sym_block_data_statement_token2] = ACTIONS(5090),
    [aux_sym_block_data_statement_token3] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_function_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_assign_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [aux_sym_boolean_literal_token1] = ACTIONS(5094),
    [aux_sym_boolean_literal_token2] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5094),
    [sym__float_literal] = ACTIONS(5094),
    [sym__boz_literal] = ACTIONS(5094),
    [sym__string_literal] = ACTIONS(5094),
    [sym__string_literal_kind] = ACTIONS(5094),
  },
  [980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [aux_sym_preproc_else_token1] = ACTIONS(5070),
    [aux_sym_preproc_elif_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5070),
    [sym_preproc_comment] = ACTIONS(5096),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token2] = ACTIONS(5070),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5070),
    [aux_sym_block_data_statement_token1] = ACTIONS(5070),
    [aux_sym_block_data_statement_token2] = ACTIONS(5070),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5070),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5070),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5070),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5070),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5070),
    [aux_sym_contains_statement_token1] = ACTIONS(5070),
    [aux_sym_use_statement_token1] = ACTIONS(5070),
    [aux_sym_use_statement_token2] = ACTIONS(5070),
    [aux_sym_implicit_statement_token1] = ACTIONS(5070),
    [aux_sym_implicit_statement_token3] = ACTIONS(5070),
    [aux_sym_implicit_statement_token4] = ACTIONS(5070),
    [aux_sym_save_statement_token1] = ACTIONS(5070),
    [aux_sym_private_statement_token1] = ACTIONS(5070),
    [aux_sym_public_statement_token1] = ACTIONS(5070),
    [aux_sym_namelist_statement_token1] = ACTIONS(5070),
    [aux_sym_common_statement_token1] = ACTIONS(5070),
    [aux_sym_import_statement_token1] = ACTIONS(5070),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5070),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5070),
    [aux_sym_variable_attributes_token1] = ACTIONS(5070),
    [aux_sym_variable_attributes_token2] = ACTIONS(5070),
    [aux_sym_variable_attributes_token3] = ACTIONS(5070),
    [aux_sym_variable_attributes_token4] = ACTIONS(5070),
    [aux_sym_variable_attributes_token5] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5070),
    [aux_sym_derived_type_token1] = ACTIONS(5070),
    [aux_sym_declared_type_token1] = ACTIONS(5070),
    [aux_sym_declared_type_token2] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5070),
    [aux_sym_type_qualifier_token1] = ACTIONS(5070),
    [aux_sym_type_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5070),
    [aux_sym_stop_statement_token2] = ACTIONS(5070),
    [aux_sym_subroutine_call_token1] = ACTIONS(5070),
    [aux_sym_keyword_statement_token1] = ACTIONS(5070),
    [aux_sym_keyword_statement_token2] = ACTIONS(5070),
    [aux_sym_keyword_statement_token3] = ACTIONS(5070),
    [aux_sym_keyword_statement_token4] = ACTIONS(5070),
    [aux_sym_keyword_statement_token6] = ACTIONS(5070),
    [aux_sym_keyword_statement_token7] = ACTIONS(5070),
    [aux_sym_include_statement_token1] = ACTIONS(5070),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5070),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5070),
    [aux_sym_end_if_statement_token1] = ACTIONS(5070),
    [aux_sym_elseif_clause_token2] = ACTIONS(5070),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5070),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5070),
    [aux_sym_select_case_statement_token1] = ACTIONS(5070),
    [aux_sym_select_case_statement_token3] = ACTIONS(5070),
    [aux_sym_select_type_statement_token1] = ACTIONS(5070),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5070),
    [aux_sym_associate_statement_token1] = ACTIONS(5070),
    [aux_sym_format_statement_token1] = ACTIONS(5070),
    [aux_sym_print_statement_token1] = ACTIONS(5070),
    [aux_sym_open_statement_token1] = ACTIONS(5070),
    [aux_sym_close_statement_token1] = ACTIONS(5070),
    [aux_sym_inquire_statement_token1] = ACTIONS(5070),
    [aux_sym_enum_statement_token1] = ACTIONS(5070),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5070),
    [aux_sym_file_position_statement_token1] = ACTIONS(5070),
    [aux_sym_file_position_statement_token2] = ACTIONS(5070),
    [aux_sym_file_position_statement_token3] = ACTIONS(5070),
    [aux_sym_file_position_statement_token4] = ACTIONS(5070),
    [aux_sym_allocate_statement_token1] = ACTIONS(5070),
    [aux_sym_entry_statement_token1] = ACTIONS(5070),
    [aux_sym_assign_statement_token1] = ACTIONS(5070),
    [aux_sym_logical_expression_token5] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5070),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [aux_sym_boolean_literal_token1] = ACTIONS(5098),
    [aux_sym_boolean_literal_token2] = ACTIONS(5098),
    [aux_sym_null_literal_token1] = ACTIONS(5070),
    [aux_sym_coarray_statement_token1] = ACTIONS(5070),
    [aux_sym_coarray_statement_token2] = ACTIONS(5070),
    [aux_sym_coarray_statement_token6] = ACTIONS(5070),
    [aux_sym_coarray_statement_token8] = ACTIONS(5070),
    [aux_sym_coarray_statement_token11] = ACTIONS(5070),
    [aux_sym_coarray_statement_token12] = ACTIONS(5070),
    [aux_sym_coarray_statement_token13] = ACTIONS(5070),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5070),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5070),
    [aux_sym_identifier_token1] = ACTIONS(5070),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5098),
    [sym__float_literal] = ACTIONS(5098),
    [sym__boz_literal] = ACTIONS(5098),
    [sym__string_literal] = ACTIONS(5098),
    [sym__string_literal_kind] = ACTIONS(5098),
  },
  [981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [982] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [sym_preproc_comment] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5080),
    [aux_sym_submodule_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_block_data_statement_token3] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_function_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5080),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [983] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5102),
    [aux_sym_preproc_def_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token2] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5102),
    [aux_sym_preproc_else_token1] = ACTIONS(5102),
    [aux_sym_preproc_elif_token1] = ACTIONS(5102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5102),
    [sym_preproc_directive] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [sym_preproc_comment] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5102),
    [aux_sym_end_program_statement_token1] = ACTIONS(5102),
    [aux_sym_end_program_statement_token2] = ACTIONS(5102),
    [aux_sym_module_statement_token1] = ACTIONS(5102),
    [aux_sym_submodule_statement_token1] = ACTIONS(5102),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5102),
    [aux_sym_block_data_statement_token1] = ACTIONS(5102),
    [aux_sym_block_data_statement_token2] = ACTIONS(5102),
    [aux_sym_block_data_statement_token3] = ACTIONS(5102),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5102),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5102),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5102),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5102),
    [aux_sym_function_statement_token1] = ACTIONS(5102),
    [aux_sym_language_binding_token1] = ACTIONS(5102),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5102),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5102),
    [aux_sym_contains_statement_token1] = ACTIONS(5102),
    [aux_sym_use_statement_token1] = ACTIONS(5102),
    [aux_sym_use_statement_token2] = ACTIONS(5102),
    [aux_sym_implicit_statement_token1] = ACTIONS(5102),
    [aux_sym_implicit_statement_token3] = ACTIONS(5102),
    [aux_sym_implicit_statement_token4] = ACTIONS(5102),
    [aux_sym_save_statement_token1] = ACTIONS(5102),
    [aux_sym_private_statement_token1] = ACTIONS(5102),
    [aux_sym_public_statement_token1] = ACTIONS(5102),
    [aux_sym_namelist_statement_token1] = ACTIONS(5102),
    [aux_sym_common_statement_token1] = ACTIONS(5102),
    [aux_sym_import_statement_token1] = ACTIONS(5102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5102),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5102),
    [aux_sym_variable_attributes_token1] = ACTIONS(5102),
    [aux_sym_variable_attributes_token2] = ACTIONS(5102),
    [aux_sym_variable_attributes_token3] = ACTIONS(5102),
    [aux_sym_variable_attributes_token4] = ACTIONS(5102),
    [aux_sym_variable_attributes_token5] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5102),
    [aux_sym_derived_type_token1] = ACTIONS(5102),
    [aux_sym_declared_type_token1] = ACTIONS(5102),
    [aux_sym_declared_type_token2] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5102),
    [aux_sym_type_qualifier_token1] = ACTIONS(5102),
    [aux_sym_type_qualifier_token2] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5102),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5102),
    [aux_sym_stop_statement_token2] = ACTIONS(5102),
    [aux_sym_subroutine_call_token1] = ACTIONS(5102),
    [aux_sym_keyword_statement_token1] = ACTIONS(5102),
    [aux_sym_keyword_statement_token2] = ACTIONS(5102),
    [aux_sym_keyword_statement_token3] = ACTIONS(5102),
    [aux_sym_keyword_statement_token4] = ACTIONS(5102),
    [aux_sym_keyword_statement_token6] = ACTIONS(5102),
    [aux_sym_keyword_statement_token7] = ACTIONS(5102),
    [aux_sym_include_statement_token1] = ACTIONS(5102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5102),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5102),
    [aux_sym_end_if_statement_token1] = ACTIONS(5102),
    [aux_sym_elseif_clause_token2] = ACTIONS(5102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5102),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5102),
    [aux_sym_select_case_statement_token1] = ACTIONS(5102),
    [aux_sym_select_case_statement_token3] = ACTIONS(5102),
    [aux_sym_select_type_statement_token1] = ACTIONS(5102),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5102),
    [aux_sym_associate_statement_token1] = ACTIONS(5102),
    [aux_sym_format_statement_token1] = ACTIONS(5102),
    [aux_sym_print_statement_token1] = ACTIONS(5102),
    [aux_sym_open_statement_token1] = ACTIONS(5102),
    [aux_sym_close_statement_token1] = ACTIONS(5102),
    [aux_sym_inquire_statement_token1] = ACTIONS(5102),
    [aux_sym_enum_statement_token1] = ACTIONS(5102),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5102),
    [aux_sym_file_position_statement_token1] = ACTIONS(5102),
    [aux_sym_file_position_statement_token2] = ACTIONS(5102),
    [aux_sym_file_position_statement_token3] = ACTIONS(5102),
    [aux_sym_file_position_statement_token4] = ACTIONS(5102),
    [aux_sym_allocate_statement_token1] = ACTIONS(5102),
    [aux_sym_entry_statement_token1] = ACTIONS(5102),
    [aux_sym_assign_statement_token1] = ACTIONS(5102),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5102),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5102),
    [aux_sym_coarray_statement_token1] = ACTIONS(5102),
    [aux_sym_coarray_statement_token2] = ACTIONS(5102),
    [aux_sym_coarray_statement_token6] = ACTIONS(5102),
    [aux_sym_coarray_statement_token8] = ACTIONS(5102),
    [aux_sym_coarray_statement_token11] = ACTIONS(5102),
    [aux_sym_coarray_statement_token12] = ACTIONS(5102),
    [aux_sym_coarray_statement_token13] = ACTIONS(5102),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5102),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5102),
    [aux_sym_identifier_token1] = ACTIONS(5102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [sym_preproc_comment] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_module_statement_token1] = ACTIONS(5108),
    [aux_sym_submodule_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_block_data_statement_token3] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_function_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5108),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [sym_preproc_comment] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [aux_sym_boolean_literal_token1] = ACTIONS(5116),
    [aux_sym_boolean_literal_token2] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5116),
    [sym__float_literal] = ACTIONS(5116),
    [sym__boz_literal] = ACTIONS(5116),
    [sym__string_literal] = ACTIONS(5116),
    [sym__string_literal_kind] = ACTIONS(5116),
  },
  [986] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [aux_sym_preproc_else_token1] = ACTIONS(5118),
    [aux_sym_preproc_elif_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [sym_preproc_comment] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token2] = ACTIONS(5118),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_interface_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token2] = ACTIONS(5118),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5118),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5118),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5118),
    [aux_sym_contains_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token2] = ACTIONS(5118),
    [aux_sym_implicit_statement_token1] = ACTIONS(5118),
    [aux_sym_implicit_statement_token3] = ACTIONS(5118),
    [aux_sym_implicit_statement_token4] = ACTIONS(5118),
    [aux_sym_save_statement_token1] = ACTIONS(5118),
    [aux_sym_private_statement_token1] = ACTIONS(5118),
    [aux_sym_public_statement_token1] = ACTIONS(5118),
    [aux_sym_namelist_statement_token1] = ACTIONS(5118),
    [aux_sym_common_statement_token1] = ACTIONS(5118),
    [aux_sym_import_statement_token1] = ACTIONS(5118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5118),
    [aux_sym_variable_attributes_token1] = ACTIONS(5118),
    [aux_sym_variable_attributes_token2] = ACTIONS(5118),
    [aux_sym_variable_attributes_token3] = ACTIONS(5118),
    [aux_sym_variable_attributes_token4] = ACTIONS(5118),
    [aux_sym_variable_attributes_token5] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5118),
    [aux_sym_derived_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5118),
    [aux_sym_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token2] = ACTIONS(5118),
    [aux_sym_subroutine_call_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token2] = ACTIONS(5118),
    [aux_sym_keyword_statement_token3] = ACTIONS(5118),
    [aux_sym_keyword_statement_token4] = ACTIONS(5118),
    [aux_sym_keyword_statement_token6] = ACTIONS(5118),
    [aux_sym_keyword_statement_token7] = ACTIONS(5118),
    [aux_sym_include_statement_token1] = ACTIONS(5118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5118),
    [aux_sym_end_if_statement_token1] = ACTIONS(5118),
    [aux_sym_elseif_clause_token2] = ACTIONS(5118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token3] = ACTIONS(5118),
    [aux_sym_select_type_statement_token1] = ACTIONS(5118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5118),
    [aux_sym_associate_statement_token1] = ACTIONS(5118),
    [aux_sym_format_statement_token1] = ACTIONS(5118),
    [aux_sym_print_statement_token1] = ACTIONS(5118),
    [aux_sym_open_statement_token1] = ACTIONS(5118),
    [aux_sym_close_statement_token1] = ACTIONS(5118),
    [aux_sym_inquire_statement_token1] = ACTIONS(5118),
    [aux_sym_enum_statement_token1] = ACTIONS(5118),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token2] = ACTIONS(5118),
    [aux_sym_file_position_statement_token3] = ACTIONS(5118),
    [aux_sym_file_position_statement_token4] = ACTIONS(5118),
    [aux_sym_allocate_statement_token1] = ACTIONS(5118),
    [aux_sym_entry_statement_token1] = ACTIONS(5118),
    [aux_sym_assign_statement_token1] = ACTIONS(5118),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token2] = ACTIONS(5118),
    [aux_sym_coarray_statement_token6] = ACTIONS(5118),
    [aux_sym_coarray_statement_token8] = ACTIONS(5118),
    [aux_sym_coarray_statement_token11] = ACTIONS(5118),
    [aux_sym_coarray_statement_token12] = ACTIONS(5118),
    [aux_sym_coarray_statement_token13] = ACTIONS(5118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5118),
    [aux_sym_identifier_token1] = ACTIONS(5118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5058),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5056),
    [aux_sym_preproc_def_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5056),
    [aux_sym_preproc_else_token1] = ACTIONS(5056),
    [aux_sym_preproc_elif_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [sym_preproc_comment] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token2] = ACTIONS(5056),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token2] = ACTIONS(5056),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5056),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5056),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5056),
    [aux_sym_contains_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token2] = ACTIONS(5056),
    [aux_sym_implicit_statement_token1] = ACTIONS(5056),
    [aux_sym_implicit_statement_token3] = ACTIONS(5056),
    [aux_sym_implicit_statement_token4] = ACTIONS(5056),
    [aux_sym_save_statement_token1] = ACTIONS(5056),
    [aux_sym_private_statement_token1] = ACTIONS(5056),
    [aux_sym_public_statement_token1] = ACTIONS(5056),
    [aux_sym_namelist_statement_token1] = ACTIONS(5056),
    [aux_sym_common_statement_token1] = ACTIONS(5056),
    [aux_sym_import_statement_token1] = ACTIONS(5056),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5056),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5056),
    [aux_sym_variable_attributes_token1] = ACTIONS(5056),
    [aux_sym_variable_attributes_token2] = ACTIONS(5056),
    [aux_sym_variable_attributes_token3] = ACTIONS(5056),
    [aux_sym_variable_attributes_token4] = ACTIONS(5056),
    [aux_sym_variable_attributes_token5] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5056),
    [aux_sym_derived_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5056),
    [aux_sym_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token2] = ACTIONS(5056),
    [aux_sym_subroutine_call_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token2] = ACTIONS(5056),
    [aux_sym_keyword_statement_token3] = ACTIONS(5056),
    [aux_sym_keyword_statement_token4] = ACTIONS(5056),
    [aux_sym_keyword_statement_token6] = ACTIONS(5056),
    [aux_sym_keyword_statement_token7] = ACTIONS(5056),
    [aux_sym_include_statement_token1] = ACTIONS(5056),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5056),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5056),
    [aux_sym_end_if_statement_token1] = ACTIONS(5056),
    [aux_sym_elseif_clause_token2] = ACTIONS(5056),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5056),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token3] = ACTIONS(5056),
    [aux_sym_select_type_statement_token1] = ACTIONS(5056),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5056),
    [aux_sym_associate_statement_token1] = ACTIONS(5056),
    [aux_sym_format_statement_token1] = ACTIONS(5056),
    [aux_sym_print_statement_token1] = ACTIONS(5056),
    [aux_sym_open_statement_token1] = ACTIONS(5056),
    [aux_sym_close_statement_token1] = ACTIONS(5056),
    [aux_sym_inquire_statement_token1] = ACTIONS(5056),
    [aux_sym_enum_statement_token1] = ACTIONS(5056),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token2] = ACTIONS(5056),
    [aux_sym_file_position_statement_token3] = ACTIONS(5056),
    [aux_sym_file_position_statement_token4] = ACTIONS(5056),
    [aux_sym_allocate_statement_token1] = ACTIONS(5056),
    [aux_sym_entry_statement_token1] = ACTIONS(5056),
    [aux_sym_assign_statement_token1] = ACTIONS(5056),
    [aux_sym_logical_expression_token5] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5128),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [aux_sym_boolean_literal_token1] = ACTIONS(5128),
    [aux_sym_boolean_literal_token2] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token2] = ACTIONS(5056),
    [aux_sym_coarray_statement_token6] = ACTIONS(5056),
    [aux_sym_coarray_statement_token8] = ACTIONS(5056),
    [aux_sym_coarray_statement_token11] = ACTIONS(5056),
    [aux_sym_coarray_statement_token12] = ACTIONS(5056),
    [aux_sym_coarray_statement_token13] = ACTIONS(5056),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5056),
    [aux_sym_identifier_token1] = ACTIONS(5056),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5128),
    [sym__float_literal] = ACTIONS(5128),
    [sym__boz_literal] = ACTIONS(5128),
    [sym__string_literal] = ACTIONS(5128),
    [sym__string_literal_kind] = ACTIONS(5128),
  },
  [989] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5130),
    [aux_sym_preproc_def_token1] = ACTIONS(5130),
    [aux_sym_preproc_if_token1] = ACTIONS(5130),
    [aux_sym_preproc_if_token2] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5130),
    [aux_sym_preproc_else_token1] = ACTIONS(5130),
    [aux_sym_preproc_elif_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5130),
    [sym_preproc_directive] = ACTIONS(5130),
    [anon_sym_LPAREN2] = ACTIONS(5130),
    [sym_preproc_comment] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5130),
    [aux_sym_end_program_statement_token1] = ACTIONS(5130),
    [aux_sym_end_program_statement_token2] = ACTIONS(5130),
    [aux_sym_module_statement_token1] = ACTIONS(5130),
    [aux_sym_submodule_statement_token1] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5130),
    [aux_sym_block_data_statement_token1] = ACTIONS(5130),
    [aux_sym_block_data_statement_token2] = ACTIONS(5130),
    [aux_sym_block_data_statement_token3] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5130),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5130),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5130),
    [aux_sym_function_statement_token1] = ACTIONS(5130),
    [aux_sym_language_binding_token1] = ACTIONS(5130),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5130),
    [aux_sym_contains_statement_token1] = ACTIONS(5130),
    [aux_sym_use_statement_token1] = ACTIONS(5130),
    [aux_sym_use_statement_token2] = ACTIONS(5130),
    [aux_sym_implicit_statement_token1] = ACTIONS(5130),
    [aux_sym_implicit_statement_token3] = ACTIONS(5130),
    [aux_sym_implicit_statement_token4] = ACTIONS(5130),
    [aux_sym_save_statement_token1] = ACTIONS(5130),
    [aux_sym_private_statement_token1] = ACTIONS(5130),
    [aux_sym_public_statement_token1] = ACTIONS(5130),
    [aux_sym_namelist_statement_token1] = ACTIONS(5130),
    [aux_sym_common_statement_token1] = ACTIONS(5130),
    [aux_sym_import_statement_token1] = ACTIONS(5130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5130),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5130),
    [aux_sym_variable_attributes_token1] = ACTIONS(5130),
    [aux_sym_variable_attributes_token2] = ACTIONS(5130),
    [aux_sym_variable_attributes_token3] = ACTIONS(5130),
    [aux_sym_variable_attributes_token4] = ACTIONS(5130),
    [aux_sym_variable_attributes_token5] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5130),
    [aux_sym_derived_type_token1] = ACTIONS(5130),
    [aux_sym_declared_type_token1] = ACTIONS(5130),
    [aux_sym_declared_type_token2] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5130),
    [aux_sym_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5130),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5130),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5130),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5130),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5130),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5130),
    [aux_sym_stop_statement_token2] = ACTIONS(5130),
    [aux_sym_subroutine_call_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token2] = ACTIONS(5130),
    [aux_sym_keyword_statement_token3] = ACTIONS(5130),
    [aux_sym_keyword_statement_token4] = ACTIONS(5130),
    [aux_sym_keyword_statement_token6] = ACTIONS(5130),
    [aux_sym_keyword_statement_token7] = ACTIONS(5130),
    [aux_sym_include_statement_token1] = ACTIONS(5130),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5130),
    [aux_sym_end_if_statement_token1] = ACTIONS(5130),
    [aux_sym_elseif_clause_token2] = ACTIONS(5130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5130),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token3] = ACTIONS(5130),
    [aux_sym_select_type_statement_token1] = ACTIONS(5130),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5130),
    [aux_sym_associate_statement_token1] = ACTIONS(5130),
    [aux_sym_format_statement_token1] = ACTIONS(5130),
    [aux_sym_print_statement_token1] = ACTIONS(5130),
    [aux_sym_open_statement_token1] = ACTIONS(5130),
    [aux_sym_close_statement_token1] = ACTIONS(5130),
    [aux_sym_inquire_statement_token1] = ACTIONS(5130),
    [aux_sym_enum_statement_token1] = ACTIONS(5130),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5130),
    [aux_sym_file_position_statement_token1] = ACTIONS(5130),
    [aux_sym_file_position_statement_token2] = ACTIONS(5130),
    [aux_sym_file_position_statement_token3] = ACTIONS(5130),
    [aux_sym_file_position_statement_token4] = ACTIONS(5130),
    [aux_sym_allocate_statement_token1] = ACTIONS(5130),
    [aux_sym_entry_statement_token1] = ACTIONS(5130),
    [aux_sym_assign_statement_token1] = ACTIONS(5130),
    [aux_sym_logical_expression_token5] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [aux_sym_boolean_literal_token1] = ACTIONS(5132),
    [aux_sym_boolean_literal_token2] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token2] = ACTIONS(5130),
    [aux_sym_coarray_statement_token6] = ACTIONS(5130),
    [aux_sym_coarray_statement_token8] = ACTIONS(5130),
    [aux_sym_coarray_statement_token11] = ACTIONS(5130),
    [aux_sym_coarray_statement_token12] = ACTIONS(5130),
    [aux_sym_coarray_statement_token13] = ACTIONS(5130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5130),
    [aux_sym_identifier_token1] = ACTIONS(5130),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5132),
    [sym__float_literal] = ACTIONS(5132),
    [sym__boz_literal] = ACTIONS(5132),
    [sym__string_literal] = ACTIONS(5132),
    [sym__string_literal_kind] = ACTIONS(5132),
  },
  [990] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5134),
    [aux_sym_preproc_def_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token2] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5134),
    [aux_sym_preproc_else_token1] = ACTIONS(5134),
    [aux_sym_preproc_elif_token1] = ACTIONS(5134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5134),
    [sym_preproc_directive] = ACTIONS(5134),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [sym_preproc_comment] = ACTIONS(5136),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5134),
    [aux_sym_end_program_statement_token1] = ACTIONS(5134),
    [aux_sym_end_program_statement_token2] = ACTIONS(5134),
    [aux_sym_module_statement_token1] = ACTIONS(5134),
    [aux_sym_submodule_statement_token1] = ACTIONS(5134),
    [anon_sym_SEMI] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5134),
    [aux_sym_block_data_statement_token1] = ACTIONS(5134),
    [aux_sym_block_data_statement_token2] = ACTIONS(5134),
    [aux_sym_block_data_statement_token3] = ACTIONS(5134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5134),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5134),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5134),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5134),
    [aux_sym_function_statement_token1] = ACTIONS(5134),
    [aux_sym_language_binding_token1] = ACTIONS(5134),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5134),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5134),
    [aux_sym_contains_statement_token1] = ACTIONS(5134),
    [aux_sym_use_statement_token1] = ACTIONS(5134),
    [aux_sym_use_statement_token2] = ACTIONS(5134),
    [aux_sym_implicit_statement_token1] = ACTIONS(5134),
    [aux_sym_implicit_statement_token3] = ACTIONS(5134),
    [aux_sym_implicit_statement_token4] = ACTIONS(5134),
    [aux_sym_save_statement_token1] = ACTIONS(5134),
    [aux_sym_private_statement_token1] = ACTIONS(5134),
    [aux_sym_public_statement_token1] = ACTIONS(5134),
    [aux_sym_namelist_statement_token1] = ACTIONS(5134),
    [aux_sym_common_statement_token1] = ACTIONS(5134),
    [aux_sym_import_statement_token1] = ACTIONS(5134),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5134),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5134),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5134),
    [aux_sym_variable_attributes_token1] = ACTIONS(5134),
    [aux_sym_variable_attributes_token2] = ACTIONS(5134),
    [aux_sym_variable_attributes_token3] = ACTIONS(5134),
    [aux_sym_variable_attributes_token4] = ACTIONS(5134),
    [aux_sym_variable_attributes_token5] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5134),
    [aux_sym_derived_type_token1] = ACTIONS(5134),
    [aux_sym_declared_type_token1] = ACTIONS(5134),
    [aux_sym_declared_type_token2] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5134),
    [aux_sym_type_qualifier_token1] = ACTIONS(5134),
    [aux_sym_type_qualifier_token2] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5134),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5134),
    [aux_sym_stop_statement_token2] = ACTIONS(5134),
    [aux_sym_subroutine_call_token1] = ACTIONS(5134),
    [aux_sym_keyword_statement_token1] = ACTIONS(5134),
    [aux_sym_keyword_statement_token2] = ACTIONS(5134),
    [aux_sym_keyword_statement_token3] = ACTIONS(5134),
    [aux_sym_keyword_statement_token4] = ACTIONS(5134),
    [aux_sym_keyword_statement_token6] = ACTIONS(5134),
    [aux_sym_keyword_statement_token7] = ACTIONS(5134),
    [aux_sym_include_statement_token1] = ACTIONS(5134),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5134),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5134),
    [aux_sym_end_if_statement_token1] = ACTIONS(5134),
    [aux_sym_elseif_clause_token2] = ACTIONS(5134),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5134),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5134),
    [aux_sym_select_case_statement_token1] = ACTIONS(5134),
    [aux_sym_select_case_statement_token3] = ACTIONS(5134),
    [aux_sym_select_type_statement_token1] = ACTIONS(5134),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5134),
    [aux_sym_associate_statement_token1] = ACTIONS(5134),
    [aux_sym_format_statement_token1] = ACTIONS(5134),
    [aux_sym_print_statement_token1] = ACTIONS(5134),
    [aux_sym_open_statement_token1] = ACTIONS(5134),
    [aux_sym_close_statement_token1] = ACTIONS(5134),
    [aux_sym_inquire_statement_token1] = ACTIONS(5134),
    [aux_sym_enum_statement_token1] = ACTIONS(5134),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5134),
    [aux_sym_file_position_statement_token1] = ACTIONS(5134),
    [aux_sym_file_position_statement_token2] = ACTIONS(5134),
    [aux_sym_file_position_statement_token3] = ACTIONS(5134),
    [aux_sym_file_position_statement_token4] = ACTIONS(5134),
    [aux_sym_allocate_statement_token1] = ACTIONS(5134),
    [aux_sym_entry_statement_token1] = ACTIONS(5134),
    [aux_sym_assign_statement_token1] = ACTIONS(5134),
    [aux_sym_logical_expression_token5] = ACTIONS(5138),
    [anon_sym_DOT] = ACTIONS(5134),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [aux_sym_boolean_literal_token1] = ACTIONS(5138),
    [aux_sym_boolean_literal_token2] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5134),
    [aux_sym_coarray_statement_token1] = ACTIONS(5134),
    [aux_sym_coarray_statement_token2] = ACTIONS(5134),
    [aux_sym_coarray_statement_token6] = ACTIONS(5134),
    [aux_sym_coarray_statement_token8] = ACTIONS(5134),
    [aux_sym_coarray_statement_token11] = ACTIONS(5134),
    [aux_sym_coarray_statement_token12] = ACTIONS(5134),
    [aux_sym_coarray_statement_token13] = ACTIONS(5134),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5134),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5134),
    [aux_sym_identifier_token1] = ACTIONS(5134),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5138),
    [sym__float_literal] = ACTIONS(5138),
    [sym__boz_literal] = ACTIONS(5138),
    [sym__string_literal] = ACTIONS(5138),
    [sym__string_literal_kind] = ACTIONS(5138),
  },
  [991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [aux_sym_preproc_else_token1] = ACTIONS(5140),
    [aux_sym_preproc_elif_token1] = ACTIONS(5140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5146),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [aux_sym_module_statement_token1] = ACTIONS(5146),
    [aux_sym_submodule_statement_token1] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_block_data_statement_token3] = ACTIONS(5146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5146),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_function_statement_token1] = ACTIONS(5146),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5148),
    [aux_sym_preproc_def_token1] = ACTIONS(5148),
    [aux_sym_preproc_if_token1] = ACTIONS(5148),
    [aux_sym_preproc_if_token2] = ACTIONS(5148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5148),
    [aux_sym_preproc_else_token1] = ACTIONS(5148),
    [aux_sym_preproc_elif_token1] = ACTIONS(5148),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5148),
    [sym_preproc_directive] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [sym_preproc_comment] = ACTIONS(5150),
    [anon_sym_PLUS] = ACTIONS(5152),
    [anon_sym_DASH] = ACTIONS(5152),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5148),
    [aux_sym_end_program_statement_token1] = ACTIONS(5148),
    [aux_sym_end_program_statement_token2] = ACTIONS(5148),
    [aux_sym_module_statement_token1] = ACTIONS(5148),
    [aux_sym_submodule_statement_token1] = ACTIONS(5148),
    [anon_sym_SEMI] = ACTIONS(5152),
    [aux_sym_interface_statement_token1] = ACTIONS(5148),
    [aux_sym_block_data_statement_token1] = ACTIONS(5148),
    [aux_sym_block_data_statement_token2] = ACTIONS(5148),
    [aux_sym_block_data_statement_token3] = ACTIONS(5148),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5148),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5148),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5148),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5148),
    [aux_sym_function_statement_token1] = ACTIONS(5148),
    [aux_sym_language_binding_token1] = ACTIONS(5148),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5148),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5148),
    [aux_sym_contains_statement_token1] = ACTIONS(5148),
    [aux_sym_use_statement_token1] = ACTIONS(5148),
    [aux_sym_use_statement_token2] = ACTIONS(5148),
    [aux_sym_implicit_statement_token1] = ACTIONS(5148),
    [aux_sym_implicit_statement_token3] = ACTIONS(5148),
    [aux_sym_implicit_statement_token4] = ACTIONS(5148),
    [aux_sym_save_statement_token1] = ACTIONS(5148),
    [aux_sym_private_statement_token1] = ACTIONS(5148),
    [aux_sym_public_statement_token1] = ACTIONS(5148),
    [aux_sym_namelist_statement_token1] = ACTIONS(5148),
    [aux_sym_common_statement_token1] = ACTIONS(5148),
    [aux_sym_import_statement_token1] = ACTIONS(5148),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5148),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5148),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5148),
    [aux_sym_variable_attributes_token1] = ACTIONS(5148),
    [aux_sym_variable_attributes_token2] = ACTIONS(5148),
    [aux_sym_variable_attributes_token3] = ACTIONS(5148),
    [aux_sym_variable_attributes_token4] = ACTIONS(5148),
    [aux_sym_variable_attributes_token5] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5148),
    [aux_sym_derived_type_token1] = ACTIONS(5148),
    [aux_sym_declared_type_token1] = ACTIONS(5148),
    [aux_sym_declared_type_token2] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5148),
    [aux_sym_type_qualifier_token1] = ACTIONS(5148),
    [aux_sym_type_qualifier_token2] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5148),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5148),
    [aux_sym_stop_statement_token1] = ACTIONS(5148),
    [aux_sym_stop_statement_token2] = ACTIONS(5148),
    [aux_sym_subroutine_call_token1] = ACTIONS(5148),
    [aux_sym_keyword_statement_token1] = ACTIONS(5148),
    [aux_sym_keyword_statement_token2] = ACTIONS(5148),
    [aux_sym_keyword_statement_token3] = ACTIONS(5148),
    [aux_sym_keyword_statement_token4] = ACTIONS(5148),
    [aux_sym_keyword_statement_token6] = ACTIONS(5148),
    [aux_sym_keyword_statement_token7] = ACTIONS(5148),
    [aux_sym_include_statement_token1] = ACTIONS(5148),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5148),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5148),
    [aux_sym_end_if_statement_token1] = ACTIONS(5148),
    [aux_sym_elseif_clause_token2] = ACTIONS(5148),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5148),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5148),
    [aux_sym_select_case_statement_token1] = ACTIONS(5148),
    [aux_sym_select_case_statement_token3] = ACTIONS(5148),
    [aux_sym_select_type_statement_token1] = ACTIONS(5148),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5148),
    [aux_sym_associate_statement_token1] = ACTIONS(5148),
    [aux_sym_format_statement_token1] = ACTIONS(5148),
    [aux_sym_print_statement_token1] = ACTIONS(5148),
    [aux_sym_open_statement_token1] = ACTIONS(5148),
    [aux_sym_close_statement_token1] = ACTIONS(5148),
    [aux_sym_inquire_statement_token1] = ACTIONS(5148),
    [aux_sym_enum_statement_token1] = ACTIONS(5148),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5148),
    [aux_sym_file_position_statement_token1] = ACTIONS(5148),
    [aux_sym_file_position_statement_token2] = ACTIONS(5148),
    [aux_sym_file_position_statement_token3] = ACTIONS(5148),
    [aux_sym_file_position_statement_token4] = ACTIONS(5148),
    [aux_sym_allocate_statement_token1] = ACTIONS(5148),
    [aux_sym_entry_statement_token1] = ACTIONS(5148),
    [aux_sym_assign_statement_token1] = ACTIONS(5148),
    [aux_sym_logical_expression_token5] = ACTIONS(5152),
    [anon_sym_DOT] = ACTIONS(5148),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [aux_sym_boolean_literal_token1] = ACTIONS(5152),
    [aux_sym_boolean_literal_token2] = ACTIONS(5152),
    [aux_sym_null_literal_token1] = ACTIONS(5148),
    [aux_sym_coarray_statement_token1] = ACTIONS(5148),
    [aux_sym_coarray_statement_token2] = ACTIONS(5148),
    [aux_sym_coarray_statement_token6] = ACTIONS(5148),
    [aux_sym_coarray_statement_token8] = ACTIONS(5148),
    [aux_sym_coarray_statement_token11] = ACTIONS(5148),
    [aux_sym_coarray_statement_token12] = ACTIONS(5148),
    [aux_sym_coarray_statement_token13] = ACTIONS(5148),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5148),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5148),
    [aux_sym_identifier_token1] = ACTIONS(5148),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5152),
    [sym__float_literal] = ACTIONS(5152),
    [sym__boz_literal] = ACTIONS(5152),
    [sym__string_literal] = ACTIONS(5152),
    [sym__string_literal_kind] = ACTIONS(5152),
  },
  [993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token2] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [aux_sym_preproc_else_token1] = ACTIONS(5154),
    [aux_sym_preproc_elif_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [sym_preproc_comment] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5154),
    [aux_sym_end_program_statement_token1] = ACTIONS(5154),
    [aux_sym_end_program_statement_token2] = ACTIONS(5154),
    [aux_sym_module_statement_token1] = ACTIONS(5154),
    [aux_sym_submodule_statement_token1] = ACTIONS(5154),
    [anon_sym_SEMI] = ACTIONS(5156),
    [aux_sym_interface_statement_token1] = ACTIONS(5154),
    [aux_sym_block_data_statement_token1] = ACTIONS(5154),
    [aux_sym_block_data_statement_token2] = ACTIONS(5154),
    [aux_sym_block_data_statement_token3] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5154),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5154),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5154),
    [aux_sym_function_statement_token1] = ACTIONS(5154),
    [aux_sym_language_binding_token1] = ACTIONS(5154),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5154),
    [aux_sym_contains_statement_token1] = ACTIONS(5154),
    [aux_sym_use_statement_token1] = ACTIONS(5154),
    [aux_sym_use_statement_token2] = ACTIONS(5154),
    [aux_sym_implicit_statement_token1] = ACTIONS(5154),
    [aux_sym_implicit_statement_token3] = ACTIONS(5154),
    [aux_sym_implicit_statement_token4] = ACTIONS(5154),
    [aux_sym_save_statement_token1] = ACTIONS(5154),
    [aux_sym_private_statement_token1] = ACTIONS(5154),
    [aux_sym_public_statement_token1] = ACTIONS(5154),
    [aux_sym_namelist_statement_token1] = ACTIONS(5154),
    [aux_sym_common_statement_token1] = ACTIONS(5154),
    [aux_sym_import_statement_token1] = ACTIONS(5154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5154),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5154),
    [aux_sym_variable_attributes_token1] = ACTIONS(5154),
    [aux_sym_variable_attributes_token2] = ACTIONS(5154),
    [aux_sym_variable_attributes_token3] = ACTIONS(5154),
    [aux_sym_variable_attributes_token4] = ACTIONS(5154),
    [aux_sym_variable_attributes_token5] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5154),
    [aux_sym_derived_type_token1] = ACTIONS(5154),
    [aux_sym_declared_type_token1] = ACTIONS(5154),
    [aux_sym_declared_type_token2] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5154),
    [aux_sym_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5154),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5154),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5154),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5154),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5154),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5154),
    [aux_sym_stop_statement_token1] = ACTIONS(5154),
    [aux_sym_stop_statement_token2] = ACTIONS(5154),
    [aux_sym_subroutine_call_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token2] = ACTIONS(5154),
    [aux_sym_keyword_statement_token3] = ACTIONS(5154),
    [aux_sym_keyword_statement_token4] = ACTIONS(5154),
    [aux_sym_keyword_statement_token6] = ACTIONS(5154),
    [aux_sym_keyword_statement_token7] = ACTIONS(5154),
    [aux_sym_include_statement_token1] = ACTIONS(5154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5154),
    [aux_sym_end_if_statement_token1] = ACTIONS(5154),
    [aux_sym_elseif_clause_token2] = ACTIONS(5154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token3] = ACTIONS(5154),
    [aux_sym_select_type_statement_token1] = ACTIONS(5154),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5154),
    [aux_sym_associate_statement_token1] = ACTIONS(5154),
    [aux_sym_format_statement_token1] = ACTIONS(5154),
    [aux_sym_print_statement_token1] = ACTIONS(5154),
    [aux_sym_open_statement_token1] = ACTIONS(5154),
    [aux_sym_close_statement_token1] = ACTIONS(5154),
    [aux_sym_inquire_statement_token1] = ACTIONS(5154),
    [aux_sym_enum_statement_token1] = ACTIONS(5154),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5154),
    [aux_sym_file_position_statement_token1] = ACTIONS(5154),
    [aux_sym_file_position_statement_token2] = ACTIONS(5154),
    [aux_sym_file_position_statement_token3] = ACTIONS(5154),
    [aux_sym_file_position_statement_token4] = ACTIONS(5154),
    [aux_sym_allocate_statement_token1] = ACTIONS(5154),
    [aux_sym_entry_statement_token1] = ACTIONS(5154),
    [aux_sym_assign_statement_token1] = ACTIONS(5154),
    [aux_sym_logical_expression_token5] = ACTIONS(5156),
    [anon_sym_DOT] = ACTIONS(5154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [aux_sym_boolean_literal_token1] = ACTIONS(5156),
    [aux_sym_boolean_literal_token2] = ACTIONS(5156),
    [aux_sym_null_literal_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token2] = ACTIONS(5154),
    [aux_sym_coarray_statement_token6] = ACTIONS(5154),
    [aux_sym_coarray_statement_token8] = ACTIONS(5154),
    [aux_sym_coarray_statement_token11] = ACTIONS(5154),
    [aux_sym_coarray_statement_token12] = ACTIONS(5154),
    [aux_sym_coarray_statement_token13] = ACTIONS(5154),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5154),
    [aux_sym_identifier_token1] = ACTIONS(5154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5156),
    [sym__float_literal] = ACTIONS(5156),
    [sym__boz_literal] = ACTIONS(5156),
    [sym__string_literal] = ACTIONS(5156),
    [sym__string_literal_kind] = ACTIONS(5156),
  },
  [994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [aux_sym_preproc_else_token1] = ACTIONS(5146),
    [aux_sym_preproc_elif_token1] = ACTIONS(5146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5146),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5158),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5146),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [aux_sym_module_statement_token1] = ACTIONS(5146),
    [aux_sym_submodule_statement_token1] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_block_data_statement_token3] = ACTIONS(5146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5146),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_function_statement_token1] = ACTIONS(5146),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [aux_sym_preproc_else_token1] = ACTIONS(5160),
    [aux_sym_preproc_elif_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token2] = ACTIONS(5160),
    [aux_sym_module_statement_token1] = ACTIONS(5160),
    [aux_sym_submodule_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_block_data_statement_token3] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_function_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5164),
    [aux_sym_preproc_def_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token2] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5164),
    [aux_sym_preproc_else_token1] = ACTIONS(5164),
    [aux_sym_preproc_elif_token1] = ACTIONS(5164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5164),
    [sym_preproc_directive] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5164),
    [anon_sym_PLUS] = ACTIONS(5166),
    [anon_sym_DASH] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5164),
    [aux_sym_end_program_statement_token1] = ACTIONS(5164),
    [aux_sym_end_program_statement_token2] = ACTIONS(5164),
    [aux_sym_module_statement_token1] = ACTIONS(5164),
    [aux_sym_submodule_statement_token1] = ACTIONS(5164),
    [anon_sym_SEMI] = ACTIONS(5166),
    [aux_sym_interface_statement_token1] = ACTIONS(5164),
    [aux_sym_block_data_statement_token1] = ACTIONS(5164),
    [aux_sym_block_data_statement_token2] = ACTIONS(5164),
    [aux_sym_block_data_statement_token3] = ACTIONS(5164),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5164),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5164),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5164),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5164),
    [aux_sym_function_statement_token1] = ACTIONS(5164),
    [aux_sym_language_binding_token1] = ACTIONS(5164),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5164),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5164),
    [aux_sym_contains_statement_token1] = ACTIONS(5164),
    [aux_sym_use_statement_token1] = ACTIONS(5164),
    [aux_sym_use_statement_token2] = ACTIONS(5164),
    [aux_sym_implicit_statement_token1] = ACTIONS(5164),
    [aux_sym_implicit_statement_token3] = ACTIONS(5164),
    [aux_sym_implicit_statement_token4] = ACTIONS(5164),
    [aux_sym_save_statement_token1] = ACTIONS(5164),
    [aux_sym_private_statement_token1] = ACTIONS(5164),
    [aux_sym_public_statement_token1] = ACTIONS(5164),
    [aux_sym_namelist_statement_token1] = ACTIONS(5164),
    [aux_sym_common_statement_token1] = ACTIONS(5164),
    [aux_sym_import_statement_token1] = ACTIONS(5164),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5164),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5164),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5164),
    [aux_sym_variable_attributes_token1] = ACTIONS(5164),
    [aux_sym_variable_attributes_token2] = ACTIONS(5164),
    [aux_sym_variable_attributes_token3] = ACTIONS(5164),
    [aux_sym_variable_attributes_token4] = ACTIONS(5164),
    [aux_sym_variable_attributes_token5] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5164),
    [aux_sym_derived_type_token1] = ACTIONS(5164),
    [aux_sym_declared_type_token1] = ACTIONS(5164),
    [aux_sym_declared_type_token2] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5164),
    [aux_sym_type_qualifier_token1] = ACTIONS(5164),
    [aux_sym_type_qualifier_token2] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5164),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5164),
    [aux_sym_stop_statement_token1] = ACTIONS(5164),
    [aux_sym_stop_statement_token2] = ACTIONS(5164),
    [aux_sym_subroutine_call_token1] = ACTIONS(5164),
    [aux_sym_keyword_statement_token1] = ACTIONS(5164),
    [aux_sym_keyword_statement_token2] = ACTIONS(5164),
    [aux_sym_keyword_statement_token3] = ACTIONS(5164),
    [aux_sym_keyword_statement_token4] = ACTIONS(5164),
    [aux_sym_keyword_statement_token6] = ACTIONS(5164),
    [aux_sym_keyword_statement_token7] = ACTIONS(5164),
    [aux_sym_include_statement_token1] = ACTIONS(5164),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5164),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5164),
    [aux_sym_end_if_statement_token1] = ACTIONS(5164),
    [aux_sym_elseif_clause_token2] = ACTIONS(5164),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5164),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5164),
    [aux_sym_select_case_statement_token1] = ACTIONS(5164),
    [aux_sym_select_case_statement_token3] = ACTIONS(5164),
    [aux_sym_select_type_statement_token1] = ACTIONS(5164),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5164),
    [aux_sym_associate_statement_token1] = ACTIONS(5164),
    [aux_sym_format_statement_token1] = ACTIONS(5164),
    [aux_sym_print_statement_token1] = ACTIONS(5164),
    [aux_sym_open_statement_token1] = ACTIONS(5164),
    [aux_sym_close_statement_token1] = ACTIONS(5164),
    [aux_sym_inquire_statement_token1] = ACTIONS(5164),
    [aux_sym_enum_statement_token1] = ACTIONS(5164),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5164),
    [aux_sym_file_position_statement_token1] = ACTIONS(5164),
    [aux_sym_file_position_statement_token2] = ACTIONS(5164),
    [aux_sym_file_position_statement_token3] = ACTIONS(5164),
    [aux_sym_file_position_statement_token4] = ACTIONS(5164),
    [aux_sym_allocate_statement_token1] = ACTIONS(5164),
    [aux_sym_entry_statement_token1] = ACTIONS(5164),
    [aux_sym_assign_statement_token1] = ACTIONS(5164),
    [aux_sym_logical_expression_token5] = ACTIONS(5166),
    [anon_sym_DOT] = ACTIONS(5164),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5166),
    [anon_sym_LBRACK] = ACTIONS(5166),
    [aux_sym_boolean_literal_token1] = ACTIONS(5166),
    [aux_sym_boolean_literal_token2] = ACTIONS(5166),
    [aux_sym_null_literal_token1] = ACTIONS(5164),
    [aux_sym_coarray_statement_token1] = ACTIONS(5164),
    [aux_sym_coarray_statement_token2] = ACTIONS(5164),
    [aux_sym_coarray_statement_token6] = ACTIONS(5164),
    [aux_sym_coarray_statement_token8] = ACTIONS(5164),
    [aux_sym_coarray_statement_token11] = ACTIONS(5164),
    [aux_sym_coarray_statement_token12] = ACTIONS(5164),
    [aux_sym_coarray_statement_token13] = ACTIONS(5164),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5164),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5164),
    [aux_sym_identifier_token1] = ACTIONS(5164),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5166),
    [sym__float_literal] = ACTIONS(5166),
    [sym__boz_literal] = ACTIONS(5166),
    [sym__string_literal] = ACTIONS(5166),
    [sym__string_literal_kind] = ACTIONS(5166),
  },
  [997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5056),
    [aux_sym_preproc_elif_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5070),
    [aux_sym_preproc_elif_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5168),
    [aux_sym_preproc_def_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token2] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5168),
    [aux_sym_preproc_else_token1] = ACTIONS(5168),
    [aux_sym_preproc_elif_token1] = ACTIONS(5168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5168),
    [sym_preproc_directive] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5168),
    [anon_sym_PLUS] = ACTIONS(5170),
    [anon_sym_DASH] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5168),
    [aux_sym_end_program_statement_token1] = ACTIONS(5168),
    [aux_sym_end_program_statement_token2] = ACTIONS(5168),
    [aux_sym_module_statement_token1] = ACTIONS(5168),
    [aux_sym_submodule_statement_token1] = ACTIONS(5168),
    [anon_sym_SEMI] = ACTIONS(5170),
    [aux_sym_interface_statement_token1] = ACTIONS(5168),
    [aux_sym_block_data_statement_token1] = ACTIONS(5168),
    [aux_sym_block_data_statement_token2] = ACTIONS(5168),
    [aux_sym_block_data_statement_token3] = ACTIONS(5168),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5168),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5168),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5168),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5168),
    [aux_sym_function_statement_token1] = ACTIONS(5168),
    [aux_sym_language_binding_token1] = ACTIONS(5168),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5168),
    [aux_sym_contains_statement_token1] = ACTIONS(5168),
    [aux_sym_use_statement_token1] = ACTIONS(5168),
    [aux_sym_use_statement_token2] = ACTIONS(5168),
    [aux_sym_implicit_statement_token1] = ACTIONS(5168),
    [aux_sym_implicit_statement_token3] = ACTIONS(5168),
    [aux_sym_implicit_statement_token4] = ACTIONS(5168),
    [aux_sym_save_statement_token1] = ACTIONS(5168),
    [aux_sym_private_statement_token1] = ACTIONS(5168),
    [aux_sym_public_statement_token1] = ACTIONS(5168),
    [aux_sym_namelist_statement_token1] = ACTIONS(5168),
    [aux_sym_common_statement_token1] = ACTIONS(5168),
    [aux_sym_import_statement_token1] = ACTIONS(5168),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5168),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5168),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5168),
    [aux_sym_variable_attributes_token1] = ACTIONS(5168),
    [aux_sym_variable_attributes_token2] = ACTIONS(5168),
    [aux_sym_variable_attributes_token3] = ACTIONS(5168),
    [aux_sym_variable_attributes_token4] = ACTIONS(5168),
    [aux_sym_variable_attributes_token5] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5168),
    [aux_sym_derived_type_token1] = ACTIONS(5168),
    [aux_sym_declared_type_token1] = ACTIONS(5168),
    [aux_sym_declared_type_token2] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5168),
    [aux_sym_type_qualifier_token1] = ACTIONS(5168),
    [aux_sym_type_qualifier_token2] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5168),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5168),
    [aux_sym_stop_statement_token1] = ACTIONS(5168),
    [aux_sym_stop_statement_token2] = ACTIONS(5168),
    [aux_sym_subroutine_call_token1] = ACTIONS(5168),
    [aux_sym_keyword_statement_token1] = ACTIONS(5168),
    [aux_sym_keyword_statement_token2] = ACTIONS(5168),
    [aux_sym_keyword_statement_token3] = ACTIONS(5168),
    [aux_sym_keyword_statement_token4] = ACTIONS(5168),
    [aux_sym_keyword_statement_token6] = ACTIONS(5168),
    [aux_sym_keyword_statement_token7] = ACTIONS(5168),
    [aux_sym_include_statement_token1] = ACTIONS(5168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5168),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5168),
    [aux_sym_end_if_statement_token1] = ACTIONS(5168),
    [aux_sym_elseif_clause_token2] = ACTIONS(5168),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5168),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5168),
    [aux_sym_select_case_statement_token1] = ACTIONS(5168),
    [aux_sym_select_case_statement_token3] = ACTIONS(5168),
    [aux_sym_select_type_statement_token1] = ACTIONS(5168),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5168),
    [aux_sym_associate_statement_token1] = ACTIONS(5168),
    [aux_sym_format_statement_token1] = ACTIONS(5168),
    [aux_sym_print_statement_token1] = ACTIONS(5168),
    [aux_sym_open_statement_token1] = ACTIONS(5168),
    [aux_sym_close_statement_token1] = ACTIONS(5168),
    [aux_sym_inquire_statement_token1] = ACTIONS(5168),
    [aux_sym_enum_statement_token1] = ACTIONS(5168),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5168),
    [aux_sym_file_position_statement_token1] = ACTIONS(5168),
    [aux_sym_file_position_statement_token2] = ACTIONS(5168),
    [aux_sym_file_position_statement_token3] = ACTIONS(5168),
    [aux_sym_file_position_statement_token4] = ACTIONS(5168),
    [aux_sym_allocate_statement_token1] = ACTIONS(5168),
    [aux_sym_entry_statement_token1] = ACTIONS(5168),
    [aux_sym_assign_statement_token1] = ACTIONS(5168),
    [aux_sym_logical_expression_token5] = ACTIONS(5170),
    [anon_sym_DOT] = ACTIONS(5168),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5170),
    [anon_sym_LBRACK] = ACTIONS(5170),
    [aux_sym_boolean_literal_token1] = ACTIONS(5170),
    [aux_sym_boolean_literal_token2] = ACTIONS(5170),
    [aux_sym_null_literal_token1] = ACTIONS(5168),
    [aux_sym_coarray_statement_token1] = ACTIONS(5168),
    [aux_sym_coarray_statement_token2] = ACTIONS(5168),
    [aux_sym_coarray_statement_token6] = ACTIONS(5168),
    [aux_sym_coarray_statement_token8] = ACTIONS(5168),
    [aux_sym_coarray_statement_token11] = ACTIONS(5168),
    [aux_sym_coarray_statement_token12] = ACTIONS(5168),
    [aux_sym_coarray_statement_token13] = ACTIONS(5168),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5168),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5168),
    [aux_sym_identifier_token1] = ACTIONS(5168),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5170),
    [sym__float_literal] = ACTIONS(5170),
    [sym__boz_literal] = ACTIONS(5170),
    [sym__string_literal] = ACTIONS(5170),
    [sym__string_literal_kind] = ACTIONS(5170),
  },
  [1000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5118),
    [aux_sym_preproc_elif_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5180),
    [aux_sym_preproc_def_token1] = ACTIONS(5180),
    [aux_sym_preproc_if_token1] = ACTIONS(5180),
    [aux_sym_preproc_if_token2] = ACTIONS(5180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5180),
    [aux_sym_preproc_else_token1] = ACTIONS(5180),
    [aux_sym_preproc_elif_token1] = ACTIONS(5180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5180),
    [sym_preproc_directive] = ACTIONS(5180),
    [anon_sym_LPAREN2] = ACTIONS(5180),
    [anon_sym_PLUS] = ACTIONS(5182),
    [anon_sym_DASH] = ACTIONS(5182),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5180),
    [aux_sym_end_program_statement_token1] = ACTIONS(5180),
    [aux_sym_end_program_statement_token2] = ACTIONS(5180),
    [aux_sym_module_statement_token1] = ACTIONS(5180),
    [aux_sym_submodule_statement_token1] = ACTIONS(5180),
    [anon_sym_SEMI] = ACTIONS(5182),
    [aux_sym_interface_statement_token1] = ACTIONS(5180),
    [aux_sym_block_data_statement_token1] = ACTIONS(5180),
    [aux_sym_block_data_statement_token2] = ACTIONS(5180),
    [aux_sym_block_data_statement_token3] = ACTIONS(5180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5180),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5180),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5180),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5180),
    [aux_sym_function_statement_token1] = ACTIONS(5180),
    [aux_sym_language_binding_token1] = ACTIONS(5180),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5180),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5180),
    [aux_sym_contains_statement_token1] = ACTIONS(5180),
    [aux_sym_use_statement_token1] = ACTIONS(5180),
    [aux_sym_use_statement_token2] = ACTIONS(5180),
    [aux_sym_implicit_statement_token1] = ACTIONS(5180),
    [aux_sym_implicit_statement_token3] = ACTIONS(5180),
    [aux_sym_implicit_statement_token4] = ACTIONS(5180),
    [aux_sym_save_statement_token1] = ACTIONS(5180),
    [aux_sym_private_statement_token1] = ACTIONS(5180),
    [aux_sym_public_statement_token1] = ACTIONS(5180),
    [aux_sym_namelist_statement_token1] = ACTIONS(5180),
    [aux_sym_common_statement_token1] = ACTIONS(5180),
    [aux_sym_import_statement_token1] = ACTIONS(5180),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5180),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5180),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5180),
    [aux_sym_variable_attributes_token1] = ACTIONS(5180),
    [aux_sym_variable_attributes_token2] = ACTIONS(5180),
    [aux_sym_variable_attributes_token3] = ACTIONS(5180),
    [aux_sym_variable_attributes_token4] = ACTIONS(5180),
    [aux_sym_variable_attributes_token5] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5180),
    [aux_sym_derived_type_token1] = ACTIONS(5180),
    [aux_sym_declared_type_token1] = ACTIONS(5180),
    [aux_sym_declared_type_token2] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5180),
    [aux_sym_type_qualifier_token1] = ACTIONS(5180),
    [aux_sym_type_qualifier_token2] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5180),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5180),
    [aux_sym_stop_statement_token1] = ACTIONS(5180),
    [aux_sym_stop_statement_token2] = ACTIONS(5180),
    [aux_sym_subroutine_call_token1] = ACTIONS(5180),
    [aux_sym_keyword_statement_token1] = ACTIONS(5180),
    [aux_sym_keyword_statement_token2] = ACTIONS(5180),
    [aux_sym_keyword_statement_token3] = ACTIONS(5180),
    [aux_sym_keyword_statement_token4] = ACTIONS(5180),
    [aux_sym_keyword_statement_token6] = ACTIONS(5180),
    [aux_sym_keyword_statement_token7] = ACTIONS(5180),
    [aux_sym_include_statement_token1] = ACTIONS(5180),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5180),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5180),
    [aux_sym_end_if_statement_token1] = ACTIONS(5180),
    [aux_sym_elseif_clause_token2] = ACTIONS(5180),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5180),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5180),
    [aux_sym_select_case_statement_token1] = ACTIONS(5180),
    [aux_sym_select_case_statement_token3] = ACTIONS(5180),
    [aux_sym_select_type_statement_token1] = ACTIONS(5180),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5180),
    [aux_sym_associate_statement_token1] = ACTIONS(5180),
    [aux_sym_format_statement_token1] = ACTIONS(5180),
    [aux_sym_print_statement_token1] = ACTIONS(5180),
    [aux_sym_open_statement_token1] = ACTIONS(5180),
    [aux_sym_close_statement_token1] = ACTIONS(5180),
    [aux_sym_inquire_statement_token1] = ACTIONS(5180),
    [aux_sym_enum_statement_token1] = ACTIONS(5180),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5180),
    [aux_sym_file_position_statement_token1] = ACTIONS(5180),
    [aux_sym_file_position_statement_token2] = ACTIONS(5180),
    [aux_sym_file_position_statement_token3] = ACTIONS(5180),
    [aux_sym_file_position_statement_token4] = ACTIONS(5180),
    [aux_sym_allocate_statement_token1] = ACTIONS(5180),
    [aux_sym_entry_statement_token1] = ACTIONS(5180),
    [aux_sym_assign_statement_token1] = ACTIONS(5180),
    [aux_sym_logical_expression_token5] = ACTIONS(5182),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5182),
    [anon_sym_LBRACK] = ACTIONS(5182),
    [aux_sym_boolean_literal_token1] = ACTIONS(5182),
    [aux_sym_boolean_literal_token2] = ACTIONS(5182),
    [aux_sym_null_literal_token1] = ACTIONS(5180),
    [aux_sym_coarray_statement_token1] = ACTIONS(5180),
    [aux_sym_coarray_statement_token2] = ACTIONS(5180),
    [aux_sym_coarray_statement_token6] = ACTIONS(5180),
    [aux_sym_coarray_statement_token8] = ACTIONS(5180),
    [aux_sym_coarray_statement_token11] = ACTIONS(5180),
    [aux_sym_coarray_statement_token12] = ACTIONS(5180),
    [aux_sym_coarray_statement_token13] = ACTIONS(5180),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5180),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5180),
    [aux_sym_identifier_token1] = ACTIONS(5180),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5182),
    [sym__float_literal] = ACTIONS(5182),
    [sym__boz_literal] = ACTIONS(5182),
    [sym__string_literal] = ACTIONS(5182),
    [sym__string_literal_kind] = ACTIONS(5182),
  },
  [1003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5184),
    [aux_sym_preproc_def_token1] = ACTIONS(5184),
    [aux_sym_preproc_if_token1] = ACTIONS(5184),
    [aux_sym_preproc_if_token2] = ACTIONS(5184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5184),
    [aux_sym_preproc_else_token1] = ACTIONS(5184),
    [aux_sym_preproc_elif_token1] = ACTIONS(5184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5184),
    [sym_preproc_directive] = ACTIONS(5184),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5184),
    [aux_sym_end_program_statement_token1] = ACTIONS(5184),
    [aux_sym_end_program_statement_token2] = ACTIONS(5184),
    [aux_sym_module_statement_token1] = ACTIONS(5184),
    [aux_sym_submodule_statement_token1] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [aux_sym_interface_statement_token1] = ACTIONS(5184),
    [aux_sym_block_data_statement_token1] = ACTIONS(5184),
    [aux_sym_block_data_statement_token2] = ACTIONS(5184),
    [aux_sym_block_data_statement_token3] = ACTIONS(5184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5184),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5184),
    [aux_sym_function_statement_token1] = ACTIONS(5184),
    [aux_sym_language_binding_token1] = ACTIONS(5184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5184),
    [aux_sym_contains_statement_token1] = ACTIONS(5184),
    [aux_sym_use_statement_token1] = ACTIONS(5184),
    [aux_sym_use_statement_token2] = ACTIONS(5184),
    [aux_sym_implicit_statement_token1] = ACTIONS(5184),
    [aux_sym_implicit_statement_token3] = ACTIONS(5184),
    [aux_sym_implicit_statement_token4] = ACTIONS(5184),
    [aux_sym_save_statement_token1] = ACTIONS(5184),
    [aux_sym_private_statement_token1] = ACTIONS(5184),
    [aux_sym_public_statement_token1] = ACTIONS(5184),
    [aux_sym_namelist_statement_token1] = ACTIONS(5184),
    [aux_sym_common_statement_token1] = ACTIONS(5184),
    [aux_sym_import_statement_token1] = ACTIONS(5184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5184),
    [aux_sym_variable_attributes_token1] = ACTIONS(5184),
    [aux_sym_variable_attributes_token2] = ACTIONS(5184),
    [aux_sym_variable_attributes_token3] = ACTIONS(5184),
    [aux_sym_variable_attributes_token4] = ACTIONS(5184),
    [aux_sym_variable_attributes_token5] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5184),
    [aux_sym_derived_type_token1] = ACTIONS(5184),
    [aux_sym_declared_type_token1] = ACTIONS(5184),
    [aux_sym_declared_type_token2] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5184),
    [aux_sym_type_qualifier_token1] = ACTIONS(5184),
    [aux_sym_type_qualifier_token2] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5184),
    [aux_sym_stop_statement_token1] = ACTIONS(5184),
    [aux_sym_stop_statement_token2] = ACTIONS(5184),
    [aux_sym_subroutine_call_token1] = ACTIONS(5184),
    [aux_sym_keyword_statement_token1] = ACTIONS(5184),
    [aux_sym_keyword_statement_token2] = ACTIONS(5184),
    [aux_sym_keyword_statement_token3] = ACTIONS(5184),
    [aux_sym_keyword_statement_token4] = ACTIONS(5184),
    [aux_sym_keyword_statement_token6] = ACTIONS(5184),
    [aux_sym_keyword_statement_token7] = ACTIONS(5184),
    [aux_sym_include_statement_token1] = ACTIONS(5184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5184),
    [aux_sym_end_if_statement_token1] = ACTIONS(5184),
    [aux_sym_elseif_clause_token2] = ACTIONS(5184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5184),
    [aux_sym_select_case_statement_token1] = ACTIONS(5184),
    [aux_sym_select_case_statement_token3] = ACTIONS(5184),
    [aux_sym_select_type_statement_token1] = ACTIONS(5184),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5184),
    [aux_sym_associate_statement_token1] = ACTIONS(5184),
    [aux_sym_format_statement_token1] = ACTIONS(5184),
    [aux_sym_print_statement_token1] = ACTIONS(5184),
    [aux_sym_open_statement_token1] = ACTIONS(5184),
    [aux_sym_close_statement_token1] = ACTIONS(5184),
    [aux_sym_inquire_statement_token1] = ACTIONS(5184),
    [aux_sym_enum_statement_token1] = ACTIONS(5184),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5184),
    [aux_sym_file_position_statement_token1] = ACTIONS(5184),
    [aux_sym_file_position_statement_token2] = ACTIONS(5184),
    [aux_sym_file_position_statement_token3] = ACTIONS(5184),
    [aux_sym_file_position_statement_token4] = ACTIONS(5184),
    [aux_sym_allocate_statement_token1] = ACTIONS(5184),
    [aux_sym_entry_statement_token1] = ACTIONS(5184),
    [aux_sym_assign_statement_token1] = ACTIONS(5184),
    [aux_sym_logical_expression_token5] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [aux_sym_boolean_literal_token1] = ACTIONS(5186),
    [aux_sym_boolean_literal_token2] = ACTIONS(5186),
    [aux_sym_null_literal_token1] = ACTIONS(5184),
    [aux_sym_coarray_statement_token1] = ACTIONS(5184),
    [aux_sym_coarray_statement_token2] = ACTIONS(5184),
    [aux_sym_coarray_statement_token6] = ACTIONS(5184),
    [aux_sym_coarray_statement_token8] = ACTIONS(5184),
    [aux_sym_coarray_statement_token11] = ACTIONS(5184),
    [aux_sym_coarray_statement_token12] = ACTIONS(5184),
    [aux_sym_coarray_statement_token13] = ACTIONS(5184),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5184),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5184),
    [aux_sym_identifier_token1] = ACTIONS(5184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5186),
    [sym__float_literal] = ACTIONS(5186),
    [sym__boz_literal] = ACTIONS(5186),
    [sym__string_literal] = ACTIONS(5186),
    [sym__string_literal_kind] = ACTIONS(5186),
  },
  [1004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [aux_sym_preproc_else_token1] = ACTIONS(5188),
    [aux_sym_preproc_elif_token1] = ACTIONS(5188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [aux_sym_module_statement_token1] = ACTIONS(5188),
    [aux_sym_submodule_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_block_data_statement_token3] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_function_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [aux_sym_boolean_literal_token1] = ACTIONS(5190),
    [aux_sym_boolean_literal_token2] = ACTIONS(5190),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5190),
    [sym__float_literal] = ACTIONS(5190),
    [sym__boz_literal] = ACTIONS(5190),
    [sym__string_literal] = ACTIONS(5190),
    [sym__string_literal_kind] = ACTIONS(5190),
  },
  [1005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5192),
    [aux_sym_preproc_def_token1] = ACTIONS(5192),
    [aux_sym_preproc_if_token1] = ACTIONS(5192),
    [aux_sym_preproc_if_token2] = ACTIONS(5192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5192),
    [aux_sym_preproc_else_token1] = ACTIONS(5192),
    [aux_sym_preproc_elif_token1] = ACTIONS(5192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5192),
    [sym_preproc_directive] = ACTIONS(5192),
    [anon_sym_LPAREN2] = ACTIONS(5192),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5192),
    [aux_sym_end_program_statement_token1] = ACTIONS(5192),
    [aux_sym_end_program_statement_token2] = ACTIONS(5192),
    [aux_sym_module_statement_token1] = ACTIONS(5192),
    [aux_sym_submodule_statement_token1] = ACTIONS(5192),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5192),
    [aux_sym_block_data_statement_token1] = ACTIONS(5192),
    [aux_sym_block_data_statement_token2] = ACTIONS(5192),
    [aux_sym_block_data_statement_token3] = ACTIONS(5192),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5192),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5192),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5192),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5192),
    [aux_sym_function_statement_token1] = ACTIONS(5192),
    [aux_sym_language_binding_token1] = ACTIONS(5192),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5192),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5192),
    [aux_sym_contains_statement_token1] = ACTIONS(5192),
    [aux_sym_use_statement_token1] = ACTIONS(5192),
    [aux_sym_use_statement_token2] = ACTIONS(5192),
    [aux_sym_implicit_statement_token1] = ACTIONS(5192),
    [aux_sym_implicit_statement_token3] = ACTIONS(5192),
    [aux_sym_implicit_statement_token4] = ACTIONS(5192),
    [aux_sym_save_statement_token1] = ACTIONS(5192),
    [aux_sym_private_statement_token1] = ACTIONS(5192),
    [aux_sym_public_statement_token1] = ACTIONS(5192),
    [aux_sym_namelist_statement_token1] = ACTIONS(5192),
    [aux_sym_common_statement_token1] = ACTIONS(5192),
    [aux_sym_import_statement_token1] = ACTIONS(5192),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5192),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5192),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5192),
    [aux_sym_variable_attributes_token1] = ACTIONS(5192),
    [aux_sym_variable_attributes_token2] = ACTIONS(5192),
    [aux_sym_variable_attributes_token3] = ACTIONS(5192),
    [aux_sym_variable_attributes_token4] = ACTIONS(5192),
    [aux_sym_variable_attributes_token5] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5192),
    [aux_sym_derived_type_token1] = ACTIONS(5192),
    [aux_sym_declared_type_token1] = ACTIONS(5192),
    [aux_sym_declared_type_token2] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5192),
    [aux_sym_type_qualifier_token1] = ACTIONS(5192),
    [aux_sym_type_qualifier_token2] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5192),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5192),
    [aux_sym_stop_statement_token1] = ACTIONS(5192),
    [aux_sym_stop_statement_token2] = ACTIONS(5192),
    [aux_sym_subroutine_call_token1] = ACTIONS(5192),
    [aux_sym_keyword_statement_token1] = ACTIONS(5192),
    [aux_sym_keyword_statement_token2] = ACTIONS(5192),
    [aux_sym_keyword_statement_token3] = ACTIONS(5192),
    [aux_sym_keyword_statement_token4] = ACTIONS(5192),
    [aux_sym_keyword_statement_token6] = ACTIONS(5192),
    [aux_sym_keyword_statement_token7] = ACTIONS(5192),
    [aux_sym_include_statement_token1] = ACTIONS(5192),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5192),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5192),
    [aux_sym_end_if_statement_token1] = ACTIONS(5192),
    [aux_sym_elseif_clause_token2] = ACTIONS(5192),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5192),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5192),
    [aux_sym_select_case_statement_token1] = ACTIONS(5192),
    [aux_sym_select_case_statement_token3] = ACTIONS(5192),
    [aux_sym_select_type_statement_token1] = ACTIONS(5192),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5192),
    [aux_sym_associate_statement_token1] = ACTIONS(5192),
    [aux_sym_format_statement_token1] = ACTIONS(5192),
    [aux_sym_print_statement_token1] = ACTIONS(5192),
    [aux_sym_open_statement_token1] = ACTIONS(5192),
    [aux_sym_close_statement_token1] = ACTIONS(5192),
    [aux_sym_inquire_statement_token1] = ACTIONS(5192),
    [aux_sym_enum_statement_token1] = ACTIONS(5192),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5192),
    [aux_sym_file_position_statement_token1] = ACTIONS(5192),
    [aux_sym_file_position_statement_token2] = ACTIONS(5192),
    [aux_sym_file_position_statement_token3] = ACTIONS(5192),
    [aux_sym_file_position_statement_token4] = ACTIONS(5192),
    [aux_sym_allocate_statement_token1] = ACTIONS(5192),
    [aux_sym_entry_statement_token1] = ACTIONS(5192),
    [aux_sym_assign_statement_token1] = ACTIONS(5192),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5192),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5192),
    [aux_sym_coarray_statement_token1] = ACTIONS(5192),
    [aux_sym_coarray_statement_token2] = ACTIONS(5192),
    [aux_sym_coarray_statement_token6] = ACTIONS(5192),
    [aux_sym_coarray_statement_token8] = ACTIONS(5192),
    [aux_sym_coarray_statement_token11] = ACTIONS(5192),
    [aux_sym_coarray_statement_token12] = ACTIONS(5192),
    [aux_sym_coarray_statement_token13] = ACTIONS(5192),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5192),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5192),
    [aux_sym_identifier_token1] = ACTIONS(5192),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [aux_sym_preproc_else_token1] = ACTIONS(5196),
    [aux_sym_preproc_elif_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5198),
    [anon_sym_DASH] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5196),
    [aux_sym_end_program_statement_token1] = ACTIONS(5196),
    [aux_sym_end_program_statement_token2] = ACTIONS(5196),
    [aux_sym_module_statement_token1] = ACTIONS(5196),
    [aux_sym_submodule_statement_token1] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5198),
    [aux_sym_interface_statement_token1] = ACTIONS(5196),
    [aux_sym_block_data_statement_token1] = ACTIONS(5196),
    [aux_sym_block_data_statement_token2] = ACTIONS(5196),
    [aux_sym_block_data_statement_token3] = ACTIONS(5196),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5196),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5196),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5196),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5196),
    [aux_sym_function_statement_token1] = ACTIONS(5196),
    [aux_sym_language_binding_token1] = ACTIONS(5196),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5196),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5196),
    [aux_sym_contains_statement_token1] = ACTIONS(5196),
    [aux_sym_use_statement_token1] = ACTIONS(5196),
    [aux_sym_use_statement_token2] = ACTIONS(5196),
    [aux_sym_implicit_statement_token1] = ACTIONS(5196),
    [aux_sym_implicit_statement_token3] = ACTIONS(5196),
    [aux_sym_implicit_statement_token4] = ACTIONS(5196),
    [aux_sym_save_statement_token1] = ACTIONS(5196),
    [aux_sym_private_statement_token1] = ACTIONS(5196),
    [aux_sym_public_statement_token1] = ACTIONS(5196),
    [aux_sym_namelist_statement_token1] = ACTIONS(5196),
    [aux_sym_common_statement_token1] = ACTIONS(5196),
    [aux_sym_import_statement_token1] = ACTIONS(5196),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5196),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5196),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5196),
    [aux_sym_variable_attributes_token1] = ACTIONS(5196),
    [aux_sym_variable_attributes_token2] = ACTIONS(5196),
    [aux_sym_variable_attributes_token3] = ACTIONS(5196),
    [aux_sym_variable_attributes_token4] = ACTIONS(5196),
    [aux_sym_variable_attributes_token5] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5196),
    [aux_sym_derived_type_token1] = ACTIONS(5196),
    [aux_sym_declared_type_token1] = ACTIONS(5196),
    [aux_sym_declared_type_token2] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5196),
    [aux_sym_type_qualifier_token1] = ACTIONS(5196),
    [aux_sym_type_qualifier_token2] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5196),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5196),
    [aux_sym_stop_statement_token1] = ACTIONS(5196),
    [aux_sym_stop_statement_token2] = ACTIONS(5196),
    [aux_sym_subroutine_call_token1] = ACTIONS(5196),
    [aux_sym_keyword_statement_token1] = ACTIONS(5196),
    [aux_sym_keyword_statement_token2] = ACTIONS(5196),
    [aux_sym_keyword_statement_token3] = ACTIONS(5196),
    [aux_sym_keyword_statement_token4] = ACTIONS(5196),
    [aux_sym_keyword_statement_token6] = ACTIONS(5196),
    [aux_sym_keyword_statement_token7] = ACTIONS(5196),
    [aux_sym_include_statement_token1] = ACTIONS(5196),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5196),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5196),
    [aux_sym_end_if_statement_token1] = ACTIONS(5196),
    [aux_sym_elseif_clause_token2] = ACTIONS(5196),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5196),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5196),
    [aux_sym_select_case_statement_token1] = ACTIONS(5196),
    [aux_sym_select_case_statement_token3] = ACTIONS(5196),
    [aux_sym_select_type_statement_token1] = ACTIONS(5196),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5196),
    [aux_sym_associate_statement_token1] = ACTIONS(5196),
    [aux_sym_format_statement_token1] = ACTIONS(5196),
    [aux_sym_print_statement_token1] = ACTIONS(5196),
    [aux_sym_open_statement_token1] = ACTIONS(5196),
    [aux_sym_close_statement_token1] = ACTIONS(5196),
    [aux_sym_inquire_statement_token1] = ACTIONS(5196),
    [aux_sym_enum_statement_token1] = ACTIONS(5196),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5196),
    [aux_sym_file_position_statement_token1] = ACTIONS(5196),
    [aux_sym_file_position_statement_token2] = ACTIONS(5196),
    [aux_sym_file_position_statement_token3] = ACTIONS(5196),
    [aux_sym_file_position_statement_token4] = ACTIONS(5196),
    [aux_sym_allocate_statement_token1] = ACTIONS(5196),
    [aux_sym_entry_statement_token1] = ACTIONS(5196),
    [aux_sym_assign_statement_token1] = ACTIONS(5196),
    [aux_sym_logical_expression_token5] = ACTIONS(5198),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5198),
    [anon_sym_LBRACK] = ACTIONS(5198),
    [aux_sym_boolean_literal_token1] = ACTIONS(5198),
    [aux_sym_boolean_literal_token2] = ACTIONS(5198),
    [aux_sym_null_literal_token1] = ACTIONS(5196),
    [aux_sym_coarray_statement_token1] = ACTIONS(5196),
    [aux_sym_coarray_statement_token2] = ACTIONS(5196),
    [aux_sym_coarray_statement_token6] = ACTIONS(5196),
    [aux_sym_coarray_statement_token8] = ACTIONS(5196),
    [aux_sym_coarray_statement_token11] = ACTIONS(5196),
    [aux_sym_coarray_statement_token12] = ACTIONS(5196),
    [aux_sym_coarray_statement_token13] = ACTIONS(5196),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5196),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5196),
    [aux_sym_identifier_token1] = ACTIONS(5196),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5198),
    [sym__float_literal] = ACTIONS(5198),
    [sym__boz_literal] = ACTIONS(5198),
    [sym__string_literal] = ACTIONS(5198),
    [sym__string_literal_kind] = ACTIONS(5198),
  },
  [1007] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5200),
    [aux_sym_preproc_def_token1] = ACTIONS(5200),
    [aux_sym_preproc_if_token1] = ACTIONS(5200),
    [aux_sym_preproc_if_token2] = ACTIONS(5200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5200),
    [aux_sym_preproc_else_token1] = ACTIONS(5200),
    [aux_sym_preproc_elif_token1] = ACTIONS(5200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5200),
    [sym_preproc_directive] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5200),
    [aux_sym_end_program_statement_token1] = ACTIONS(5200),
    [aux_sym_end_program_statement_token2] = ACTIONS(5200),
    [aux_sym_module_statement_token1] = ACTIONS(5200),
    [aux_sym_submodule_statement_token1] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5202),
    [aux_sym_interface_statement_token1] = ACTIONS(5200),
    [aux_sym_block_data_statement_token1] = ACTIONS(5200),
    [aux_sym_block_data_statement_token2] = ACTIONS(5200),
    [aux_sym_block_data_statement_token3] = ACTIONS(5200),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5200),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5200),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5200),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5200),
    [aux_sym_function_statement_token1] = ACTIONS(5200),
    [aux_sym_language_binding_token1] = ACTIONS(5200),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5200),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5200),
    [aux_sym_contains_statement_token1] = ACTIONS(5200),
    [aux_sym_use_statement_token1] = ACTIONS(5200),
    [aux_sym_use_statement_token2] = ACTIONS(5200),
    [aux_sym_implicit_statement_token1] = ACTIONS(5200),
    [aux_sym_implicit_statement_token3] = ACTIONS(5200),
    [aux_sym_implicit_statement_token4] = ACTIONS(5200),
    [aux_sym_save_statement_token1] = ACTIONS(5200),
    [aux_sym_private_statement_token1] = ACTIONS(5200),
    [aux_sym_public_statement_token1] = ACTIONS(5200),
    [aux_sym_namelist_statement_token1] = ACTIONS(5200),
    [aux_sym_common_statement_token1] = ACTIONS(5200),
    [aux_sym_import_statement_token1] = ACTIONS(5200),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5200),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5200),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5200),
    [aux_sym_variable_attributes_token1] = ACTIONS(5200),
    [aux_sym_variable_attributes_token2] = ACTIONS(5200),
    [aux_sym_variable_attributes_token3] = ACTIONS(5200),
    [aux_sym_variable_attributes_token4] = ACTIONS(5200),
    [aux_sym_variable_attributes_token5] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5200),
    [aux_sym_derived_type_token1] = ACTIONS(5200),
    [aux_sym_declared_type_token1] = ACTIONS(5200),
    [aux_sym_declared_type_token2] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5200),
    [aux_sym_type_qualifier_token1] = ACTIONS(5200),
    [aux_sym_type_qualifier_token2] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5200),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5200),
    [aux_sym_stop_statement_token1] = ACTIONS(5200),
    [aux_sym_stop_statement_token2] = ACTIONS(5200),
    [aux_sym_subroutine_call_token1] = ACTIONS(5200),
    [aux_sym_keyword_statement_token1] = ACTIONS(5200),
    [aux_sym_keyword_statement_token2] = ACTIONS(5200),
    [aux_sym_keyword_statement_token3] = ACTIONS(5200),
    [aux_sym_keyword_statement_token4] = ACTIONS(5200),
    [aux_sym_keyword_statement_token6] = ACTIONS(5200),
    [aux_sym_keyword_statement_token7] = ACTIONS(5200),
    [aux_sym_include_statement_token1] = ACTIONS(5200),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5200),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5200),
    [aux_sym_end_if_statement_token1] = ACTIONS(5200),
    [aux_sym_elseif_clause_token2] = ACTIONS(5200),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5200),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5200),
    [aux_sym_select_case_statement_token1] = ACTIONS(5200),
    [aux_sym_select_case_statement_token3] = ACTIONS(5200),
    [aux_sym_select_type_statement_token1] = ACTIONS(5200),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5200),
    [aux_sym_associate_statement_token1] = ACTIONS(5200),
    [aux_sym_format_statement_token1] = ACTIONS(5200),
    [aux_sym_print_statement_token1] = ACTIONS(5200),
    [aux_sym_open_statement_token1] = ACTIONS(5200),
    [aux_sym_close_statement_token1] = ACTIONS(5200),
    [aux_sym_inquire_statement_token1] = ACTIONS(5200),
    [aux_sym_enum_statement_token1] = ACTIONS(5200),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5200),
    [aux_sym_file_position_statement_token1] = ACTIONS(5200),
    [aux_sym_file_position_statement_token2] = ACTIONS(5200),
    [aux_sym_file_position_statement_token3] = ACTIONS(5200),
    [aux_sym_file_position_statement_token4] = ACTIONS(5200),
    [aux_sym_allocate_statement_token1] = ACTIONS(5200),
    [aux_sym_entry_statement_token1] = ACTIONS(5200),
    [aux_sym_assign_statement_token1] = ACTIONS(5200),
    [aux_sym_logical_expression_token5] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [aux_sym_boolean_literal_token1] = ACTIONS(5202),
    [aux_sym_boolean_literal_token2] = ACTIONS(5202),
    [aux_sym_null_literal_token1] = ACTIONS(5200),
    [aux_sym_coarray_statement_token1] = ACTIONS(5200),
    [aux_sym_coarray_statement_token2] = ACTIONS(5200),
    [aux_sym_coarray_statement_token6] = ACTIONS(5200),
    [aux_sym_coarray_statement_token8] = ACTIONS(5200),
    [aux_sym_coarray_statement_token11] = ACTIONS(5200),
    [aux_sym_coarray_statement_token12] = ACTIONS(5200),
    [aux_sym_coarray_statement_token13] = ACTIONS(5200),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5200),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5200),
    [aux_sym_identifier_token1] = ACTIONS(5200),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5202),
    [sym__float_literal] = ACTIONS(5202),
    [sym__boz_literal] = ACTIONS(5202),
    [sym__string_literal] = ACTIONS(5202),
    [sym__string_literal_kind] = ACTIONS(5202),
  },
  [1008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [aux_sym_preproc_else_token1] = ACTIONS(5204),
    [aux_sym_preproc_elif_token1] = ACTIONS(5204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [aux_sym_module_statement_token1] = ACTIONS(5204),
    [aux_sym_submodule_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5206),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_block_data_statement_token3] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_function_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5206),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5206),
    [anon_sym_LBRACK] = ACTIONS(5206),
    [aux_sym_boolean_literal_token1] = ACTIONS(5206),
    [aux_sym_boolean_literal_token2] = ACTIONS(5206),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5206),
    [sym__float_literal] = ACTIONS(5206),
    [sym__boz_literal] = ACTIONS(5206),
    [sym__string_literal] = ACTIONS(5206),
    [sym__string_literal_kind] = ACTIONS(5206),
  },
  [1009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5208),
    [aux_sym_preproc_def_token1] = ACTIONS(5208),
    [aux_sym_preproc_if_token1] = ACTIONS(5208),
    [aux_sym_preproc_if_token2] = ACTIONS(5208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5208),
    [aux_sym_preproc_else_token1] = ACTIONS(5208),
    [aux_sym_preproc_elif_token1] = ACTIONS(5208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5208),
    [sym_preproc_directive] = ACTIONS(5208),
    [anon_sym_LPAREN2] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5208),
    [aux_sym_end_program_statement_token1] = ACTIONS(5208),
    [aux_sym_end_program_statement_token2] = ACTIONS(5208),
    [aux_sym_module_statement_token1] = ACTIONS(5208),
    [aux_sym_submodule_statement_token1] = ACTIONS(5208),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5208),
    [aux_sym_block_data_statement_token1] = ACTIONS(5208),
    [aux_sym_block_data_statement_token2] = ACTIONS(5208),
    [aux_sym_block_data_statement_token3] = ACTIONS(5208),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5208),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5208),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5208),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5208),
    [aux_sym_function_statement_token1] = ACTIONS(5208),
    [aux_sym_language_binding_token1] = ACTIONS(5208),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5208),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5208),
    [aux_sym_contains_statement_token1] = ACTIONS(5208),
    [aux_sym_use_statement_token1] = ACTIONS(5208),
    [aux_sym_use_statement_token2] = ACTIONS(5208),
    [aux_sym_implicit_statement_token1] = ACTIONS(5208),
    [aux_sym_implicit_statement_token3] = ACTIONS(5208),
    [aux_sym_implicit_statement_token4] = ACTIONS(5208),
    [aux_sym_save_statement_token1] = ACTIONS(5208),
    [aux_sym_private_statement_token1] = ACTIONS(5208),
    [aux_sym_public_statement_token1] = ACTIONS(5208),
    [aux_sym_namelist_statement_token1] = ACTIONS(5208),
    [aux_sym_common_statement_token1] = ACTIONS(5208),
    [aux_sym_import_statement_token1] = ACTIONS(5208),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5208),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5208),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5208),
    [aux_sym_variable_attributes_token1] = ACTIONS(5208),
    [aux_sym_variable_attributes_token2] = ACTIONS(5208),
    [aux_sym_variable_attributes_token3] = ACTIONS(5208),
    [aux_sym_variable_attributes_token4] = ACTIONS(5208),
    [aux_sym_variable_attributes_token5] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5208),
    [aux_sym_derived_type_token1] = ACTIONS(5208),
    [aux_sym_declared_type_token1] = ACTIONS(5208),
    [aux_sym_declared_type_token2] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5208),
    [aux_sym_type_qualifier_token1] = ACTIONS(5208),
    [aux_sym_type_qualifier_token2] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5208),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5208),
    [aux_sym_stop_statement_token1] = ACTIONS(5208),
    [aux_sym_stop_statement_token2] = ACTIONS(5208),
    [aux_sym_subroutine_call_token1] = ACTIONS(5208),
    [aux_sym_keyword_statement_token1] = ACTIONS(5208),
    [aux_sym_keyword_statement_token2] = ACTIONS(5208),
    [aux_sym_keyword_statement_token3] = ACTIONS(5208),
    [aux_sym_keyword_statement_token4] = ACTIONS(5208),
    [aux_sym_keyword_statement_token6] = ACTIONS(5208),
    [aux_sym_keyword_statement_token7] = ACTIONS(5208),
    [aux_sym_include_statement_token1] = ACTIONS(5208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5208),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5208),
    [aux_sym_end_if_statement_token1] = ACTIONS(5208),
    [aux_sym_elseif_clause_token2] = ACTIONS(5208),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5208),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5208),
    [aux_sym_select_case_statement_token1] = ACTIONS(5208),
    [aux_sym_select_case_statement_token3] = ACTIONS(5208),
    [aux_sym_select_type_statement_token1] = ACTIONS(5208),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5208),
    [aux_sym_associate_statement_token1] = ACTIONS(5208),
    [aux_sym_format_statement_token1] = ACTIONS(5208),
    [aux_sym_print_statement_token1] = ACTIONS(5208),
    [aux_sym_open_statement_token1] = ACTIONS(5208),
    [aux_sym_close_statement_token1] = ACTIONS(5208),
    [aux_sym_inquire_statement_token1] = ACTIONS(5208),
    [aux_sym_enum_statement_token1] = ACTIONS(5208),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5208),
    [aux_sym_file_position_statement_token1] = ACTIONS(5208),
    [aux_sym_file_position_statement_token2] = ACTIONS(5208),
    [aux_sym_file_position_statement_token3] = ACTIONS(5208),
    [aux_sym_file_position_statement_token4] = ACTIONS(5208),
    [aux_sym_allocate_statement_token1] = ACTIONS(5208),
    [aux_sym_entry_statement_token1] = ACTIONS(5208),
    [aux_sym_assign_statement_token1] = ACTIONS(5208),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5208),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5208),
    [aux_sym_coarray_statement_token1] = ACTIONS(5208),
    [aux_sym_coarray_statement_token2] = ACTIONS(5208),
    [aux_sym_coarray_statement_token6] = ACTIONS(5208),
    [aux_sym_coarray_statement_token8] = ACTIONS(5208),
    [aux_sym_coarray_statement_token11] = ACTIONS(5208),
    [aux_sym_coarray_statement_token12] = ACTIONS(5208),
    [aux_sym_coarray_statement_token13] = ACTIONS(5208),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5208),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5208),
    [aux_sym_identifier_token1] = ACTIONS(5208),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1010] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [aux_sym_preproc_else_token1] = ACTIONS(5212),
    [aux_sym_preproc_elif_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token2] = ACTIONS(5212),
    [aux_sym_module_statement_token1] = ACTIONS(5212),
    [aux_sym_submodule_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_block_data_statement_token3] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_function_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [aux_sym_preproc_else_token1] = ACTIONS(5216),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [aux_sym_module_statement_token1] = ACTIONS(5216),
    [aux_sym_submodule_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_block_data_statement_token3] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_function_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [aux_sym_preproc_else_token1] = ACTIONS(5220),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token2] = ACTIONS(5220),
    [aux_sym_module_statement_token1] = ACTIONS(5220),
    [aux_sym_submodule_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_block_data_statement_token3] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_function_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [aux_sym_preproc_else_token1] = ACTIONS(5224),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [aux_sym_module_statement_token1] = ACTIONS(5224),
    [aux_sym_submodule_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_block_data_statement_token3] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_function_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [aux_sym_preproc_else_token1] = ACTIONS(5228),
    [aux_sym_preproc_elif_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token2] = ACTIONS(5228),
    [aux_sym_module_statement_token1] = ACTIONS(5228),
    [aux_sym_submodule_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_block_data_statement_token3] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_function_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [aux_sym_preproc_else_token1] = ACTIONS(5232),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token2] = ACTIONS(5232),
    [aux_sym_module_statement_token1] = ACTIONS(5232),
    [aux_sym_submodule_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_block_data_statement_token3] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_function_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [aux_sym_module_statement_token1] = ACTIONS(5236),
    [aux_sym_submodule_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_block_data_statement_token3] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_function_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [aux_sym_module_statement_token1] = ACTIONS(5240),
    [aux_sym_submodule_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_block_data_statement_token3] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_function_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1019] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [aux_sym_module_statement_token1] = ACTIONS(5244),
    [aux_sym_submodule_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_block_data_statement_token3] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_function_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [aux_sym_preproc_else_token1] = ACTIONS(5248),
    [aux_sym_preproc_elif_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token2] = ACTIONS(5248),
    [aux_sym_module_statement_token1] = ACTIONS(5248),
    [aux_sym_submodule_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_block_data_statement_token3] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_function_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5252),
    [aux_sym_preproc_elif_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [aux_sym_module_statement_token1] = ACTIONS(5252),
    [aux_sym_submodule_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_block_data_statement_token3] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_function_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5256),
    [aux_sym_preproc_def_token1] = ACTIONS(5256),
    [aux_sym_preproc_if_token1] = ACTIONS(5256),
    [aux_sym_preproc_if_token2] = ACTIONS(5256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5256),
    [aux_sym_preproc_else_token1] = ACTIONS(5256),
    [aux_sym_preproc_elif_token1] = ACTIONS(5256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5256),
    [sym_preproc_directive] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_PLUS] = ACTIONS(5258),
    [anon_sym_DASH] = ACTIONS(5258),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5256),
    [aux_sym_end_program_statement_token1] = ACTIONS(5256),
    [aux_sym_end_program_statement_token2] = ACTIONS(5256),
    [aux_sym_module_statement_token1] = ACTIONS(5256),
    [aux_sym_submodule_statement_token1] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5258),
    [aux_sym_interface_statement_token1] = ACTIONS(5256),
    [aux_sym_block_data_statement_token1] = ACTIONS(5256),
    [aux_sym_block_data_statement_token2] = ACTIONS(5256),
    [aux_sym_block_data_statement_token3] = ACTIONS(5256),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5256),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5256),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5256),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5256),
    [aux_sym_function_statement_token1] = ACTIONS(5256),
    [aux_sym_language_binding_token1] = ACTIONS(5256),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5256),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5256),
    [aux_sym_contains_statement_token1] = ACTIONS(5256),
    [aux_sym_use_statement_token1] = ACTIONS(5256),
    [aux_sym_use_statement_token2] = ACTIONS(5256),
    [aux_sym_implicit_statement_token1] = ACTIONS(5256),
    [aux_sym_implicit_statement_token3] = ACTIONS(5256),
    [aux_sym_implicit_statement_token4] = ACTIONS(5256),
    [aux_sym_save_statement_token1] = ACTIONS(5256),
    [aux_sym_private_statement_token1] = ACTIONS(5256),
    [aux_sym_public_statement_token1] = ACTIONS(5256),
    [aux_sym_namelist_statement_token1] = ACTIONS(5256),
    [aux_sym_common_statement_token1] = ACTIONS(5256),
    [aux_sym_import_statement_token1] = ACTIONS(5256),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5256),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5256),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5256),
    [aux_sym_variable_attributes_token1] = ACTIONS(5256),
    [aux_sym_variable_attributes_token2] = ACTIONS(5256),
    [aux_sym_variable_attributes_token3] = ACTIONS(5256),
    [aux_sym_variable_attributes_token4] = ACTIONS(5256),
    [aux_sym_variable_attributes_token5] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5256),
    [aux_sym_derived_type_token1] = ACTIONS(5256),
    [aux_sym_declared_type_token1] = ACTIONS(5256),
    [aux_sym_declared_type_token2] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5256),
    [aux_sym_type_qualifier_token1] = ACTIONS(5256),
    [aux_sym_type_qualifier_token2] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5256),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5256),
    [aux_sym_stop_statement_token1] = ACTIONS(5256),
    [aux_sym_stop_statement_token2] = ACTIONS(5256),
    [aux_sym_subroutine_call_token1] = ACTIONS(5256),
    [aux_sym_keyword_statement_token1] = ACTIONS(5256),
    [aux_sym_keyword_statement_token2] = ACTIONS(5256),
    [aux_sym_keyword_statement_token3] = ACTIONS(5256),
    [aux_sym_keyword_statement_token4] = ACTIONS(5256),
    [aux_sym_keyword_statement_token6] = ACTIONS(5256),
    [aux_sym_keyword_statement_token7] = ACTIONS(5256),
    [aux_sym_include_statement_token1] = ACTIONS(5256),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5256),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5256),
    [aux_sym_end_if_statement_token1] = ACTIONS(5256),
    [aux_sym_elseif_clause_token2] = ACTIONS(5256),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5256),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5256),
    [aux_sym_select_case_statement_token1] = ACTIONS(5256),
    [aux_sym_select_case_statement_token3] = ACTIONS(5256),
    [aux_sym_select_type_statement_token1] = ACTIONS(5256),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5256),
    [aux_sym_associate_statement_token1] = ACTIONS(5256),
    [aux_sym_format_statement_token1] = ACTIONS(5256),
    [aux_sym_print_statement_token1] = ACTIONS(5256),
    [aux_sym_open_statement_token1] = ACTIONS(5256),
    [aux_sym_close_statement_token1] = ACTIONS(5256),
    [aux_sym_inquire_statement_token1] = ACTIONS(5256),
    [aux_sym_enum_statement_token1] = ACTIONS(5256),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5256),
    [aux_sym_file_position_statement_token1] = ACTIONS(5256),
    [aux_sym_file_position_statement_token2] = ACTIONS(5256),
    [aux_sym_file_position_statement_token3] = ACTIONS(5256),
    [aux_sym_file_position_statement_token4] = ACTIONS(5256),
    [aux_sym_allocate_statement_token1] = ACTIONS(5256),
    [aux_sym_entry_statement_token1] = ACTIONS(5256),
    [aux_sym_assign_statement_token1] = ACTIONS(5256),
    [aux_sym_logical_expression_token5] = ACTIONS(5258),
    [anon_sym_DOT] = ACTIONS(5256),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5258),
    [anon_sym_LBRACK] = ACTIONS(5258),
    [aux_sym_boolean_literal_token1] = ACTIONS(5258),
    [aux_sym_boolean_literal_token2] = ACTIONS(5258),
    [aux_sym_null_literal_token1] = ACTIONS(5256),
    [aux_sym_coarray_statement_token1] = ACTIONS(5256),
    [aux_sym_coarray_statement_token2] = ACTIONS(5256),
    [aux_sym_coarray_statement_token6] = ACTIONS(5256),
    [aux_sym_coarray_statement_token8] = ACTIONS(5256),
    [aux_sym_coarray_statement_token11] = ACTIONS(5256),
    [aux_sym_coarray_statement_token12] = ACTIONS(5256),
    [aux_sym_coarray_statement_token13] = ACTIONS(5256),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5256),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5256),
    [aux_sym_identifier_token1] = ACTIONS(5256),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5258),
    [sym__float_literal] = ACTIONS(5258),
    [sym__boz_literal] = ACTIONS(5258),
    [sym__string_literal] = ACTIONS(5258),
    [sym__string_literal_kind] = ACTIONS(5258),
  },
  [1023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5260),
    [aux_sym_preproc_def_token1] = ACTIONS(5260),
    [aux_sym_preproc_if_token1] = ACTIONS(5260),
    [aux_sym_preproc_if_token2] = ACTIONS(5260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5260),
    [aux_sym_preproc_else_token1] = ACTIONS(5260),
    [aux_sym_preproc_elif_token1] = ACTIONS(5260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5260),
    [sym_preproc_directive] = ACTIONS(5260),
    [anon_sym_LPAREN2] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5260),
    [aux_sym_end_program_statement_token1] = ACTIONS(5260),
    [aux_sym_end_program_statement_token2] = ACTIONS(5260),
    [aux_sym_module_statement_token1] = ACTIONS(5260),
    [aux_sym_submodule_statement_token1] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [aux_sym_interface_statement_token1] = ACTIONS(5260),
    [aux_sym_block_data_statement_token1] = ACTIONS(5260),
    [aux_sym_block_data_statement_token2] = ACTIONS(5260),
    [aux_sym_block_data_statement_token3] = ACTIONS(5260),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5260),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5260),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5260),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5260),
    [aux_sym_function_statement_token1] = ACTIONS(5260),
    [aux_sym_language_binding_token1] = ACTIONS(5260),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5260),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5260),
    [aux_sym_contains_statement_token1] = ACTIONS(5260),
    [aux_sym_use_statement_token1] = ACTIONS(5260),
    [aux_sym_use_statement_token2] = ACTIONS(5260),
    [aux_sym_implicit_statement_token1] = ACTIONS(5260),
    [aux_sym_implicit_statement_token3] = ACTIONS(5260),
    [aux_sym_implicit_statement_token4] = ACTIONS(5260),
    [aux_sym_save_statement_token1] = ACTIONS(5260),
    [aux_sym_private_statement_token1] = ACTIONS(5260),
    [aux_sym_public_statement_token1] = ACTIONS(5260),
    [aux_sym_namelist_statement_token1] = ACTIONS(5260),
    [aux_sym_common_statement_token1] = ACTIONS(5260),
    [aux_sym_import_statement_token1] = ACTIONS(5260),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5260),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5260),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5260),
    [aux_sym_variable_attributes_token1] = ACTIONS(5260),
    [aux_sym_variable_attributes_token2] = ACTIONS(5260),
    [aux_sym_variable_attributes_token3] = ACTIONS(5260),
    [aux_sym_variable_attributes_token4] = ACTIONS(5260),
    [aux_sym_variable_attributes_token5] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5260),
    [aux_sym_derived_type_token1] = ACTIONS(5260),
    [aux_sym_declared_type_token1] = ACTIONS(5260),
    [aux_sym_declared_type_token2] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5260),
    [aux_sym_type_qualifier_token1] = ACTIONS(5260),
    [aux_sym_type_qualifier_token2] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5260),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5260),
    [aux_sym_stop_statement_token1] = ACTIONS(5260),
    [aux_sym_stop_statement_token2] = ACTIONS(5260),
    [aux_sym_subroutine_call_token1] = ACTIONS(5260),
    [aux_sym_keyword_statement_token1] = ACTIONS(5260),
    [aux_sym_keyword_statement_token2] = ACTIONS(5260),
    [aux_sym_keyword_statement_token3] = ACTIONS(5260),
    [aux_sym_keyword_statement_token4] = ACTIONS(5260),
    [aux_sym_keyword_statement_token6] = ACTIONS(5260),
    [aux_sym_keyword_statement_token7] = ACTIONS(5260),
    [aux_sym_include_statement_token1] = ACTIONS(5260),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5260),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5260),
    [aux_sym_end_if_statement_token1] = ACTIONS(5260),
    [aux_sym_elseif_clause_token2] = ACTIONS(5260),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5260),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5260),
    [aux_sym_select_case_statement_token1] = ACTIONS(5260),
    [aux_sym_select_case_statement_token3] = ACTIONS(5260),
    [aux_sym_select_type_statement_token1] = ACTIONS(5260),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5260),
    [aux_sym_associate_statement_token1] = ACTIONS(5260),
    [aux_sym_format_statement_token1] = ACTIONS(5260),
    [aux_sym_print_statement_token1] = ACTIONS(5260),
    [aux_sym_open_statement_token1] = ACTIONS(5260),
    [aux_sym_close_statement_token1] = ACTIONS(5260),
    [aux_sym_inquire_statement_token1] = ACTIONS(5260),
    [aux_sym_enum_statement_token1] = ACTIONS(5260),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5260),
    [aux_sym_file_position_statement_token1] = ACTIONS(5260),
    [aux_sym_file_position_statement_token2] = ACTIONS(5260),
    [aux_sym_file_position_statement_token3] = ACTIONS(5260),
    [aux_sym_file_position_statement_token4] = ACTIONS(5260),
    [aux_sym_allocate_statement_token1] = ACTIONS(5260),
    [aux_sym_entry_statement_token1] = ACTIONS(5260),
    [aux_sym_assign_statement_token1] = ACTIONS(5260),
    [aux_sym_logical_expression_token5] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5262),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [aux_sym_boolean_literal_token1] = ACTIONS(5262),
    [aux_sym_boolean_literal_token2] = ACTIONS(5262),
    [aux_sym_null_literal_token1] = ACTIONS(5260),
    [aux_sym_coarray_statement_token1] = ACTIONS(5260),
    [aux_sym_coarray_statement_token2] = ACTIONS(5260),
    [aux_sym_coarray_statement_token6] = ACTIONS(5260),
    [aux_sym_coarray_statement_token8] = ACTIONS(5260),
    [aux_sym_coarray_statement_token11] = ACTIONS(5260),
    [aux_sym_coarray_statement_token12] = ACTIONS(5260),
    [aux_sym_coarray_statement_token13] = ACTIONS(5260),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5260),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5260),
    [aux_sym_identifier_token1] = ACTIONS(5260),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5262),
    [sym__float_literal] = ACTIONS(5262),
    [sym__boz_literal] = ACTIONS(5262),
    [sym__string_literal] = ACTIONS(5262),
    [sym__string_literal_kind] = ACTIONS(5262),
  },
  [1024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [aux_sym_module_statement_token1] = ACTIONS(5264),
    [aux_sym_submodule_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_block_data_statement_token3] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_function_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [aux_sym_module_statement_token1] = ACTIONS(5268),
    [aux_sym_submodule_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_block_data_statement_token3] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_function_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [aux_sym_module_statement_token1] = ACTIONS(5272),
    [aux_sym_submodule_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_block_data_statement_token3] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_function_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [aux_sym_module_statement_token1] = ACTIONS(5276),
    [aux_sym_submodule_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_block_data_statement_token3] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_function_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [aux_sym_module_statement_token1] = ACTIONS(5280),
    [aux_sym_submodule_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_block_data_statement_token3] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_function_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [aux_sym_module_statement_token1] = ACTIONS(5284),
    [aux_sym_submodule_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_block_data_statement_token3] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_function_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1031] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [aux_sym_module_statement_token1] = ACTIONS(5288),
    [aux_sym_submodule_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_block_data_statement_token3] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_function_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [aux_sym_preproc_else_token1] = ACTIONS(5292),
    [aux_sym_preproc_elif_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token2] = ACTIONS(5292),
    [aux_sym_module_statement_token1] = ACTIONS(5292),
    [aux_sym_submodule_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_block_data_statement_token3] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_function_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [aux_sym_preproc_else_token1] = ACTIONS(5296),
    [aux_sym_preproc_elif_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token2] = ACTIONS(5296),
    [aux_sym_module_statement_token1] = ACTIONS(5296),
    [aux_sym_submodule_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_block_data_statement_token3] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_function_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1034] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1035] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [aux_sym_preproc_else_token1] = ACTIONS(5300),
    [aux_sym_preproc_elif_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token2] = ACTIONS(5300),
    [aux_sym_module_statement_token1] = ACTIONS(5300),
    [aux_sym_submodule_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_block_data_statement_token3] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_function_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [aux_sym_preproc_else_token1] = ACTIONS(5304),
    [aux_sym_preproc_elif_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token2] = ACTIONS(5304),
    [aux_sym_module_statement_token1] = ACTIONS(5304),
    [aux_sym_submodule_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_block_data_statement_token3] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_function_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [aux_sym_preproc_else_token1] = ACTIONS(5308),
    [aux_sym_preproc_elif_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token2] = ACTIONS(5308),
    [aux_sym_module_statement_token1] = ACTIONS(5308),
    [aux_sym_submodule_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_block_data_statement_token3] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_function_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token2] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [aux_sym_preproc_else_token1] = ACTIONS(5312),
    [aux_sym_preproc_elif_token1] = ACTIONS(5312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_DASH] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [aux_sym_module_statement_token1] = ACTIONS(5312),
    [aux_sym_submodule_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5314),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_block_data_statement_token3] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_function_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5314),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5314),
    [anon_sym_LBRACK] = ACTIONS(5314),
    [aux_sym_boolean_literal_token1] = ACTIONS(5314),
    [aux_sym_boolean_literal_token2] = ACTIONS(5314),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5314),
    [sym__float_literal] = ACTIONS(5314),
    [sym__boz_literal] = ACTIONS(5314),
    [sym__string_literal] = ACTIONS(5314),
    [sym__string_literal_kind] = ACTIONS(5314),
  },
  [1039] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5316),
    [aux_sym_preproc_def_token1] = ACTIONS(5316),
    [aux_sym_preproc_if_token1] = ACTIONS(5316),
    [aux_sym_preproc_if_token2] = ACTIONS(5316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5316),
    [aux_sym_preproc_else_token1] = ACTIONS(5316),
    [aux_sym_preproc_elif_token1] = ACTIONS(5316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5316),
    [sym_preproc_directive] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5316),
    [aux_sym_end_program_statement_token1] = ACTIONS(5316),
    [aux_sym_end_program_statement_token2] = ACTIONS(5316),
    [aux_sym_module_statement_token1] = ACTIONS(5316),
    [aux_sym_submodule_statement_token1] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [aux_sym_interface_statement_token1] = ACTIONS(5316),
    [aux_sym_block_data_statement_token1] = ACTIONS(5316),
    [aux_sym_block_data_statement_token2] = ACTIONS(5316),
    [aux_sym_block_data_statement_token3] = ACTIONS(5316),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5316),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5316),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5316),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5316),
    [aux_sym_function_statement_token1] = ACTIONS(5316),
    [aux_sym_language_binding_token1] = ACTIONS(5316),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5316),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5316),
    [aux_sym_contains_statement_token1] = ACTIONS(5316),
    [aux_sym_use_statement_token1] = ACTIONS(5316),
    [aux_sym_use_statement_token2] = ACTIONS(5316),
    [aux_sym_implicit_statement_token1] = ACTIONS(5316),
    [aux_sym_implicit_statement_token3] = ACTIONS(5316),
    [aux_sym_implicit_statement_token4] = ACTIONS(5316),
    [aux_sym_save_statement_token1] = ACTIONS(5316),
    [aux_sym_private_statement_token1] = ACTIONS(5316),
    [aux_sym_public_statement_token1] = ACTIONS(5316),
    [aux_sym_namelist_statement_token1] = ACTIONS(5316),
    [aux_sym_common_statement_token1] = ACTIONS(5316),
    [aux_sym_import_statement_token1] = ACTIONS(5316),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5316),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5316),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5316),
    [aux_sym_variable_attributes_token1] = ACTIONS(5316),
    [aux_sym_variable_attributes_token2] = ACTIONS(5316),
    [aux_sym_variable_attributes_token3] = ACTIONS(5316),
    [aux_sym_variable_attributes_token4] = ACTIONS(5316),
    [aux_sym_variable_attributes_token5] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5316),
    [aux_sym_derived_type_token1] = ACTIONS(5316),
    [aux_sym_declared_type_token1] = ACTIONS(5316),
    [aux_sym_declared_type_token2] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5316),
    [aux_sym_type_qualifier_token1] = ACTIONS(5316),
    [aux_sym_type_qualifier_token2] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5316),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5316),
    [aux_sym_stop_statement_token1] = ACTIONS(5316),
    [aux_sym_stop_statement_token2] = ACTIONS(5316),
    [aux_sym_subroutine_call_token1] = ACTIONS(5316),
    [aux_sym_keyword_statement_token1] = ACTIONS(5316),
    [aux_sym_keyword_statement_token2] = ACTIONS(5316),
    [aux_sym_keyword_statement_token3] = ACTIONS(5316),
    [aux_sym_keyword_statement_token4] = ACTIONS(5316),
    [aux_sym_keyword_statement_token6] = ACTIONS(5316),
    [aux_sym_keyword_statement_token7] = ACTIONS(5316),
    [aux_sym_include_statement_token1] = ACTIONS(5316),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5316),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5316),
    [aux_sym_end_if_statement_token1] = ACTIONS(5316),
    [aux_sym_elseif_clause_token2] = ACTIONS(5316),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5316),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5316),
    [aux_sym_select_case_statement_token1] = ACTIONS(5316),
    [aux_sym_select_case_statement_token3] = ACTIONS(5316),
    [aux_sym_select_type_statement_token1] = ACTIONS(5316),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5316),
    [aux_sym_associate_statement_token1] = ACTIONS(5316),
    [aux_sym_format_statement_token1] = ACTIONS(5316),
    [aux_sym_print_statement_token1] = ACTIONS(5316),
    [aux_sym_open_statement_token1] = ACTIONS(5316),
    [aux_sym_close_statement_token1] = ACTIONS(5316),
    [aux_sym_inquire_statement_token1] = ACTIONS(5316),
    [aux_sym_enum_statement_token1] = ACTIONS(5316),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5316),
    [aux_sym_file_position_statement_token1] = ACTIONS(5316),
    [aux_sym_file_position_statement_token2] = ACTIONS(5316),
    [aux_sym_file_position_statement_token3] = ACTIONS(5316),
    [aux_sym_file_position_statement_token4] = ACTIONS(5316),
    [aux_sym_allocate_statement_token1] = ACTIONS(5316),
    [aux_sym_entry_statement_token1] = ACTIONS(5316),
    [aux_sym_assign_statement_token1] = ACTIONS(5316),
    [aux_sym_logical_expression_token5] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [aux_sym_boolean_literal_token1] = ACTIONS(5318),
    [aux_sym_boolean_literal_token2] = ACTIONS(5318),
    [aux_sym_null_literal_token1] = ACTIONS(5316),
    [aux_sym_coarray_statement_token1] = ACTIONS(5316),
    [aux_sym_coarray_statement_token2] = ACTIONS(5316),
    [aux_sym_coarray_statement_token6] = ACTIONS(5316),
    [aux_sym_coarray_statement_token8] = ACTIONS(5316),
    [aux_sym_coarray_statement_token11] = ACTIONS(5316),
    [aux_sym_coarray_statement_token12] = ACTIONS(5316),
    [aux_sym_coarray_statement_token13] = ACTIONS(5316),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5316),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5316),
    [aux_sym_identifier_token1] = ACTIONS(5316),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5318),
    [sym__float_literal] = ACTIONS(5318),
    [sym__boz_literal] = ACTIONS(5318),
    [sym__string_literal] = ACTIONS(5318),
    [sym__string_literal_kind] = ACTIONS(5318),
  },
  [1040] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5320),
    [aux_sym_preproc_def_token1] = ACTIONS(5320),
    [aux_sym_preproc_if_token1] = ACTIONS(5320),
    [aux_sym_preproc_if_token2] = ACTIONS(5320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5320),
    [aux_sym_preproc_else_token1] = ACTIONS(5320),
    [aux_sym_preproc_elif_token1] = ACTIONS(5320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5320),
    [sym_preproc_directive] = ACTIONS(5320),
    [anon_sym_LPAREN2] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5322),
    [anon_sym_DASH] = ACTIONS(5322),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5320),
    [aux_sym_end_program_statement_token1] = ACTIONS(5320),
    [aux_sym_end_program_statement_token2] = ACTIONS(5320),
    [aux_sym_module_statement_token1] = ACTIONS(5320),
    [aux_sym_submodule_statement_token1] = ACTIONS(5320),
    [anon_sym_SEMI] = ACTIONS(5322),
    [aux_sym_interface_statement_token1] = ACTIONS(5320),
    [aux_sym_block_data_statement_token1] = ACTIONS(5320),
    [aux_sym_block_data_statement_token2] = ACTIONS(5320),
    [aux_sym_block_data_statement_token3] = ACTIONS(5320),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5320),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5320),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5320),
    [aux_sym_function_statement_token1] = ACTIONS(5320),
    [aux_sym_language_binding_token1] = ACTIONS(5320),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5320),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5320),
    [aux_sym_contains_statement_token1] = ACTIONS(5320),
    [aux_sym_use_statement_token1] = ACTIONS(5320),
    [aux_sym_use_statement_token2] = ACTIONS(5320),
    [aux_sym_implicit_statement_token1] = ACTIONS(5320),
    [aux_sym_implicit_statement_token3] = ACTIONS(5320),
    [aux_sym_implicit_statement_token4] = ACTIONS(5320),
    [aux_sym_save_statement_token1] = ACTIONS(5320),
    [aux_sym_private_statement_token1] = ACTIONS(5320),
    [aux_sym_public_statement_token1] = ACTIONS(5320),
    [aux_sym_namelist_statement_token1] = ACTIONS(5320),
    [aux_sym_common_statement_token1] = ACTIONS(5320),
    [aux_sym_import_statement_token1] = ACTIONS(5320),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5320),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5320),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5320),
    [aux_sym_variable_attributes_token1] = ACTIONS(5320),
    [aux_sym_variable_attributes_token2] = ACTIONS(5320),
    [aux_sym_variable_attributes_token3] = ACTIONS(5320),
    [aux_sym_variable_attributes_token4] = ACTIONS(5320),
    [aux_sym_variable_attributes_token5] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5320),
    [aux_sym_derived_type_token1] = ACTIONS(5320),
    [aux_sym_declared_type_token1] = ACTIONS(5320),
    [aux_sym_declared_type_token2] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5320),
    [aux_sym_type_qualifier_token1] = ACTIONS(5320),
    [aux_sym_type_qualifier_token2] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5320),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5320),
    [aux_sym_stop_statement_token1] = ACTIONS(5320),
    [aux_sym_stop_statement_token2] = ACTIONS(5320),
    [aux_sym_subroutine_call_token1] = ACTIONS(5320),
    [aux_sym_keyword_statement_token1] = ACTIONS(5320),
    [aux_sym_keyword_statement_token2] = ACTIONS(5320),
    [aux_sym_keyword_statement_token3] = ACTIONS(5320),
    [aux_sym_keyword_statement_token4] = ACTIONS(5320),
    [aux_sym_keyword_statement_token6] = ACTIONS(5320),
    [aux_sym_keyword_statement_token7] = ACTIONS(5320),
    [aux_sym_include_statement_token1] = ACTIONS(5320),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5320),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5320),
    [aux_sym_end_if_statement_token1] = ACTIONS(5320),
    [aux_sym_elseif_clause_token2] = ACTIONS(5320),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5320),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5320),
    [aux_sym_select_case_statement_token1] = ACTIONS(5320),
    [aux_sym_select_case_statement_token3] = ACTIONS(5320),
    [aux_sym_select_type_statement_token1] = ACTIONS(5320),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5320),
    [aux_sym_associate_statement_token1] = ACTIONS(5320),
    [aux_sym_format_statement_token1] = ACTIONS(5320),
    [aux_sym_print_statement_token1] = ACTIONS(5320),
    [aux_sym_open_statement_token1] = ACTIONS(5320),
    [aux_sym_close_statement_token1] = ACTIONS(5320),
    [aux_sym_inquire_statement_token1] = ACTIONS(5320),
    [aux_sym_enum_statement_token1] = ACTIONS(5320),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5320),
    [aux_sym_file_position_statement_token1] = ACTIONS(5320),
    [aux_sym_file_position_statement_token2] = ACTIONS(5320),
    [aux_sym_file_position_statement_token3] = ACTIONS(5320),
    [aux_sym_file_position_statement_token4] = ACTIONS(5320),
    [aux_sym_allocate_statement_token1] = ACTIONS(5320),
    [aux_sym_entry_statement_token1] = ACTIONS(5320),
    [aux_sym_assign_statement_token1] = ACTIONS(5320),
    [aux_sym_logical_expression_token5] = ACTIONS(5322),
    [anon_sym_DOT] = ACTIONS(5320),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5322),
    [aux_sym_boolean_literal_token1] = ACTIONS(5322),
    [aux_sym_boolean_literal_token2] = ACTIONS(5322),
    [aux_sym_null_literal_token1] = ACTIONS(5320),
    [aux_sym_coarray_statement_token1] = ACTIONS(5320),
    [aux_sym_coarray_statement_token2] = ACTIONS(5320),
    [aux_sym_coarray_statement_token6] = ACTIONS(5320),
    [aux_sym_coarray_statement_token8] = ACTIONS(5320),
    [aux_sym_coarray_statement_token11] = ACTIONS(5320),
    [aux_sym_coarray_statement_token12] = ACTIONS(5320),
    [aux_sym_coarray_statement_token13] = ACTIONS(5320),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5320),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5320),
    [aux_sym_identifier_token1] = ACTIONS(5320),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5322),
    [sym__float_literal] = ACTIONS(5322),
    [sym__boz_literal] = ACTIONS(5322),
    [sym__string_literal] = ACTIONS(5322),
    [sym__string_literal_kind] = ACTIONS(5322),
  },
  [1041] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5324),
    [aux_sym_preproc_def_token1] = ACTIONS(5324),
    [aux_sym_preproc_if_token1] = ACTIONS(5324),
    [aux_sym_preproc_if_token2] = ACTIONS(5324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5324),
    [aux_sym_preproc_else_token1] = ACTIONS(5324),
    [aux_sym_preproc_elif_token1] = ACTIONS(5324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5324),
    [sym_preproc_directive] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5324),
    [aux_sym_end_program_statement_token1] = ACTIONS(5324),
    [aux_sym_end_program_statement_token2] = ACTIONS(5324),
    [aux_sym_module_statement_token1] = ACTIONS(5324),
    [aux_sym_submodule_statement_token1] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5326),
    [aux_sym_interface_statement_token1] = ACTIONS(5324),
    [aux_sym_block_data_statement_token1] = ACTIONS(5324),
    [aux_sym_block_data_statement_token2] = ACTIONS(5324),
    [aux_sym_block_data_statement_token3] = ACTIONS(5324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5324),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5324),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5324),
    [aux_sym_function_statement_token1] = ACTIONS(5324),
    [aux_sym_language_binding_token1] = ACTIONS(5324),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5324),
    [aux_sym_contains_statement_token1] = ACTIONS(5324),
    [aux_sym_use_statement_token1] = ACTIONS(5324),
    [aux_sym_use_statement_token2] = ACTIONS(5324),
    [aux_sym_implicit_statement_token1] = ACTIONS(5324),
    [aux_sym_implicit_statement_token3] = ACTIONS(5324),
    [aux_sym_implicit_statement_token4] = ACTIONS(5324),
    [aux_sym_save_statement_token1] = ACTIONS(5324),
    [aux_sym_private_statement_token1] = ACTIONS(5324),
    [aux_sym_public_statement_token1] = ACTIONS(5324),
    [aux_sym_namelist_statement_token1] = ACTIONS(5324),
    [aux_sym_common_statement_token1] = ACTIONS(5324),
    [aux_sym_import_statement_token1] = ACTIONS(5324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5324),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5324),
    [aux_sym_variable_attributes_token1] = ACTIONS(5324),
    [aux_sym_variable_attributes_token2] = ACTIONS(5324),
    [aux_sym_variable_attributes_token3] = ACTIONS(5324),
    [aux_sym_variable_attributes_token4] = ACTIONS(5324),
    [aux_sym_variable_attributes_token5] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5324),
    [aux_sym_derived_type_token1] = ACTIONS(5324),
    [aux_sym_declared_type_token1] = ACTIONS(5324),
    [aux_sym_declared_type_token2] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5324),
    [aux_sym_type_qualifier_token1] = ACTIONS(5324),
    [aux_sym_type_qualifier_token2] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5324),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5324),
    [aux_sym_stop_statement_token1] = ACTIONS(5324),
    [aux_sym_stop_statement_token2] = ACTIONS(5324),
    [aux_sym_subroutine_call_token1] = ACTIONS(5324),
    [aux_sym_keyword_statement_token1] = ACTIONS(5324),
    [aux_sym_keyword_statement_token2] = ACTIONS(5324),
    [aux_sym_keyword_statement_token3] = ACTIONS(5324),
    [aux_sym_keyword_statement_token4] = ACTIONS(5324),
    [aux_sym_keyword_statement_token6] = ACTIONS(5324),
    [aux_sym_keyword_statement_token7] = ACTIONS(5324),
    [aux_sym_include_statement_token1] = ACTIONS(5324),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5324),
    [aux_sym_end_if_statement_token1] = ACTIONS(5324),
    [aux_sym_elseif_clause_token2] = ACTIONS(5324),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5324),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5324),
    [aux_sym_select_case_statement_token1] = ACTIONS(5324),
    [aux_sym_select_case_statement_token3] = ACTIONS(5324),
    [aux_sym_select_type_statement_token1] = ACTIONS(5324),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5324),
    [aux_sym_associate_statement_token1] = ACTIONS(5324),
    [aux_sym_format_statement_token1] = ACTIONS(5324),
    [aux_sym_print_statement_token1] = ACTIONS(5324),
    [aux_sym_open_statement_token1] = ACTIONS(5324),
    [aux_sym_close_statement_token1] = ACTIONS(5324),
    [aux_sym_inquire_statement_token1] = ACTIONS(5324),
    [aux_sym_enum_statement_token1] = ACTIONS(5324),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5324),
    [aux_sym_file_position_statement_token1] = ACTIONS(5324),
    [aux_sym_file_position_statement_token2] = ACTIONS(5324),
    [aux_sym_file_position_statement_token3] = ACTIONS(5324),
    [aux_sym_file_position_statement_token4] = ACTIONS(5324),
    [aux_sym_allocate_statement_token1] = ACTIONS(5324),
    [aux_sym_entry_statement_token1] = ACTIONS(5324),
    [aux_sym_assign_statement_token1] = ACTIONS(5324),
    [aux_sym_logical_expression_token5] = ACTIONS(5326),
    [anon_sym_DOT] = ACTIONS(5324),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5326),
    [anon_sym_LBRACK] = ACTIONS(5326),
    [aux_sym_boolean_literal_token1] = ACTIONS(5326),
    [aux_sym_boolean_literal_token2] = ACTIONS(5326),
    [aux_sym_null_literal_token1] = ACTIONS(5324),
    [aux_sym_coarray_statement_token1] = ACTIONS(5324),
    [aux_sym_coarray_statement_token2] = ACTIONS(5324),
    [aux_sym_coarray_statement_token6] = ACTIONS(5324),
    [aux_sym_coarray_statement_token8] = ACTIONS(5324),
    [aux_sym_coarray_statement_token11] = ACTIONS(5324),
    [aux_sym_coarray_statement_token12] = ACTIONS(5324),
    [aux_sym_coarray_statement_token13] = ACTIONS(5324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5324),
    [aux_sym_identifier_token1] = ACTIONS(5324),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5326),
    [sym__float_literal] = ACTIONS(5326),
    [sym__boz_literal] = ACTIONS(5326),
    [sym__string_literal] = ACTIONS(5326),
    [sym__string_literal_kind] = ACTIONS(5326),
  },
  [1042] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5328),
    [aux_sym_preproc_def_token1] = ACTIONS(5328),
    [aux_sym_preproc_if_token1] = ACTIONS(5328),
    [aux_sym_preproc_if_token2] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5328),
    [aux_sym_preproc_else_token1] = ACTIONS(5328),
    [aux_sym_preproc_elif_token1] = ACTIONS(5328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5328),
    [sym_preproc_directive] = ACTIONS(5328),
    [anon_sym_LPAREN2] = ACTIONS(5328),
    [anon_sym_PLUS] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5330),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5328),
    [aux_sym_end_program_statement_token1] = ACTIONS(5328),
    [aux_sym_end_program_statement_token2] = ACTIONS(5328),
    [aux_sym_module_statement_token1] = ACTIONS(5328),
    [aux_sym_submodule_statement_token1] = ACTIONS(5328),
    [anon_sym_SEMI] = ACTIONS(5330),
    [aux_sym_interface_statement_token1] = ACTIONS(5328),
    [aux_sym_block_data_statement_token1] = ACTIONS(5328),
    [aux_sym_block_data_statement_token2] = ACTIONS(5328),
    [aux_sym_block_data_statement_token3] = ACTIONS(5328),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5328),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5328),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5328),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5328),
    [aux_sym_function_statement_token1] = ACTIONS(5328),
    [aux_sym_language_binding_token1] = ACTIONS(5328),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5328),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5328),
    [aux_sym_contains_statement_token1] = ACTIONS(5328),
    [aux_sym_use_statement_token1] = ACTIONS(5328),
    [aux_sym_use_statement_token2] = ACTIONS(5328),
    [aux_sym_implicit_statement_token1] = ACTIONS(5328),
    [aux_sym_implicit_statement_token3] = ACTIONS(5328),
    [aux_sym_implicit_statement_token4] = ACTIONS(5328),
    [aux_sym_save_statement_token1] = ACTIONS(5328),
    [aux_sym_private_statement_token1] = ACTIONS(5328),
    [aux_sym_public_statement_token1] = ACTIONS(5328),
    [aux_sym_namelist_statement_token1] = ACTIONS(5328),
    [aux_sym_common_statement_token1] = ACTIONS(5328),
    [aux_sym_import_statement_token1] = ACTIONS(5328),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5328),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5328),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5328),
    [aux_sym_variable_attributes_token1] = ACTIONS(5328),
    [aux_sym_variable_attributes_token2] = ACTIONS(5328),
    [aux_sym_variable_attributes_token3] = ACTIONS(5328),
    [aux_sym_variable_attributes_token4] = ACTIONS(5328),
    [aux_sym_variable_attributes_token5] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5328),
    [aux_sym_derived_type_token1] = ACTIONS(5328),
    [aux_sym_declared_type_token1] = ACTIONS(5328),
    [aux_sym_declared_type_token2] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5328),
    [aux_sym_type_qualifier_token1] = ACTIONS(5328),
    [aux_sym_type_qualifier_token2] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5328),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5328),
    [aux_sym_stop_statement_token1] = ACTIONS(5328),
    [aux_sym_stop_statement_token2] = ACTIONS(5328),
    [aux_sym_subroutine_call_token1] = ACTIONS(5328),
    [aux_sym_keyword_statement_token1] = ACTIONS(5328),
    [aux_sym_keyword_statement_token2] = ACTIONS(5328),
    [aux_sym_keyword_statement_token3] = ACTIONS(5328),
    [aux_sym_keyword_statement_token4] = ACTIONS(5328),
    [aux_sym_keyword_statement_token6] = ACTIONS(5328),
    [aux_sym_keyword_statement_token7] = ACTIONS(5328),
    [aux_sym_include_statement_token1] = ACTIONS(5328),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5328),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5328),
    [aux_sym_end_if_statement_token1] = ACTIONS(5328),
    [aux_sym_elseif_clause_token2] = ACTIONS(5328),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5328),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5328),
    [aux_sym_select_case_statement_token1] = ACTIONS(5328),
    [aux_sym_select_case_statement_token3] = ACTIONS(5328),
    [aux_sym_select_type_statement_token1] = ACTIONS(5328),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5328),
    [aux_sym_associate_statement_token1] = ACTIONS(5328),
    [aux_sym_format_statement_token1] = ACTIONS(5328),
    [aux_sym_print_statement_token1] = ACTIONS(5328),
    [aux_sym_open_statement_token1] = ACTIONS(5328),
    [aux_sym_close_statement_token1] = ACTIONS(5328),
    [aux_sym_inquire_statement_token1] = ACTIONS(5328),
    [aux_sym_enum_statement_token1] = ACTIONS(5328),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5328),
    [aux_sym_file_position_statement_token1] = ACTIONS(5328),
    [aux_sym_file_position_statement_token2] = ACTIONS(5328),
    [aux_sym_file_position_statement_token3] = ACTIONS(5328),
    [aux_sym_file_position_statement_token4] = ACTIONS(5328),
    [aux_sym_allocate_statement_token1] = ACTIONS(5328),
    [aux_sym_entry_statement_token1] = ACTIONS(5328),
    [aux_sym_assign_statement_token1] = ACTIONS(5328),
    [aux_sym_logical_expression_token5] = ACTIONS(5330),
    [anon_sym_DOT] = ACTIONS(5328),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [aux_sym_boolean_literal_token1] = ACTIONS(5330),
    [aux_sym_boolean_literal_token2] = ACTIONS(5330),
    [aux_sym_null_literal_token1] = ACTIONS(5328),
    [aux_sym_coarray_statement_token1] = ACTIONS(5328),
    [aux_sym_coarray_statement_token2] = ACTIONS(5328),
    [aux_sym_coarray_statement_token6] = ACTIONS(5328),
    [aux_sym_coarray_statement_token8] = ACTIONS(5328),
    [aux_sym_coarray_statement_token11] = ACTIONS(5328),
    [aux_sym_coarray_statement_token12] = ACTIONS(5328),
    [aux_sym_coarray_statement_token13] = ACTIONS(5328),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5328),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5328),
    [aux_sym_identifier_token1] = ACTIONS(5328),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5330),
    [sym__float_literal] = ACTIONS(5330),
    [sym__boz_literal] = ACTIONS(5330),
    [sym__string_literal] = ACTIONS(5330),
    [sym__string_literal_kind] = ACTIONS(5330),
  },
  [1043] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5332),
    [aux_sym_preproc_def_token1] = ACTIONS(5332),
    [aux_sym_preproc_if_token1] = ACTIONS(5332),
    [aux_sym_preproc_if_token2] = ACTIONS(5332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5332),
    [aux_sym_preproc_else_token1] = ACTIONS(5332),
    [aux_sym_preproc_elif_token1] = ACTIONS(5332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5332),
    [sym_preproc_directive] = ACTIONS(5332),
    [anon_sym_LPAREN2] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5332),
    [aux_sym_end_program_statement_token1] = ACTIONS(5332),
    [aux_sym_end_program_statement_token2] = ACTIONS(5332),
    [aux_sym_module_statement_token1] = ACTIONS(5332),
    [aux_sym_submodule_statement_token1] = ACTIONS(5332),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5332),
    [aux_sym_block_data_statement_token1] = ACTIONS(5332),
    [aux_sym_block_data_statement_token2] = ACTIONS(5332),
    [aux_sym_block_data_statement_token3] = ACTIONS(5332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5332),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5332),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5332),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5332),
    [aux_sym_function_statement_token1] = ACTIONS(5332),
    [aux_sym_language_binding_token1] = ACTIONS(5332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5332),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5332),
    [aux_sym_contains_statement_token1] = ACTIONS(5332),
    [aux_sym_use_statement_token1] = ACTIONS(5332),
    [aux_sym_use_statement_token2] = ACTIONS(5332),
    [aux_sym_implicit_statement_token1] = ACTIONS(5332),
    [aux_sym_implicit_statement_token3] = ACTIONS(5332),
    [aux_sym_implicit_statement_token4] = ACTIONS(5332),
    [aux_sym_save_statement_token1] = ACTIONS(5332),
    [aux_sym_private_statement_token1] = ACTIONS(5332),
    [aux_sym_public_statement_token1] = ACTIONS(5332),
    [aux_sym_namelist_statement_token1] = ACTIONS(5332),
    [aux_sym_common_statement_token1] = ACTIONS(5332),
    [aux_sym_import_statement_token1] = ACTIONS(5332),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5332),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5332),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5332),
    [aux_sym_variable_attributes_token1] = ACTIONS(5332),
    [aux_sym_variable_attributes_token2] = ACTIONS(5332),
    [aux_sym_variable_attributes_token3] = ACTIONS(5332),
    [aux_sym_variable_attributes_token4] = ACTIONS(5332),
    [aux_sym_variable_attributes_token5] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5332),
    [aux_sym_derived_type_token1] = ACTIONS(5332),
    [aux_sym_declared_type_token1] = ACTIONS(5332),
    [aux_sym_declared_type_token2] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5332),
    [aux_sym_type_qualifier_token1] = ACTIONS(5332),
    [aux_sym_type_qualifier_token2] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5332),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5332),
    [aux_sym_stop_statement_token1] = ACTIONS(5332),
    [aux_sym_stop_statement_token2] = ACTIONS(5332),
    [aux_sym_subroutine_call_token1] = ACTIONS(5332),
    [aux_sym_keyword_statement_token1] = ACTIONS(5332),
    [aux_sym_keyword_statement_token2] = ACTIONS(5332),
    [aux_sym_keyword_statement_token3] = ACTIONS(5332),
    [aux_sym_keyword_statement_token4] = ACTIONS(5332),
    [aux_sym_keyword_statement_token6] = ACTIONS(5332),
    [aux_sym_keyword_statement_token7] = ACTIONS(5332),
    [aux_sym_include_statement_token1] = ACTIONS(5332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5332),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5332),
    [aux_sym_end_if_statement_token1] = ACTIONS(5332),
    [aux_sym_elseif_clause_token2] = ACTIONS(5332),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5332),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5332),
    [aux_sym_select_case_statement_token1] = ACTIONS(5332),
    [aux_sym_select_case_statement_token3] = ACTIONS(5332),
    [aux_sym_select_type_statement_token1] = ACTIONS(5332),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5332),
    [aux_sym_associate_statement_token1] = ACTIONS(5332),
    [aux_sym_format_statement_token1] = ACTIONS(5332),
    [aux_sym_print_statement_token1] = ACTIONS(5332),
    [aux_sym_open_statement_token1] = ACTIONS(5332),
    [aux_sym_close_statement_token1] = ACTIONS(5332),
    [aux_sym_inquire_statement_token1] = ACTIONS(5332),
    [aux_sym_enum_statement_token1] = ACTIONS(5332),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5332),
    [aux_sym_file_position_statement_token1] = ACTIONS(5332),
    [aux_sym_file_position_statement_token2] = ACTIONS(5332),
    [aux_sym_file_position_statement_token3] = ACTIONS(5332),
    [aux_sym_file_position_statement_token4] = ACTIONS(5332),
    [aux_sym_allocate_statement_token1] = ACTIONS(5332),
    [aux_sym_entry_statement_token1] = ACTIONS(5332),
    [aux_sym_assign_statement_token1] = ACTIONS(5332),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5332),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5332),
    [aux_sym_coarray_statement_token1] = ACTIONS(5332),
    [aux_sym_coarray_statement_token2] = ACTIONS(5332),
    [aux_sym_coarray_statement_token6] = ACTIONS(5332),
    [aux_sym_coarray_statement_token8] = ACTIONS(5332),
    [aux_sym_coarray_statement_token11] = ACTIONS(5332),
    [aux_sym_coarray_statement_token12] = ACTIONS(5332),
    [aux_sym_coarray_statement_token13] = ACTIONS(5332),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5332),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5332),
    [aux_sym_identifier_token1] = ACTIONS(5332),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1044] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token2] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token2] = ACTIONS(5336),
    [aux_sym_module_statement_token1] = ACTIONS(5336),
    [aux_sym_submodule_statement_token1] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5338),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_block_data_statement_token3] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_function_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5338),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5338),
    [anon_sym_LBRACK] = ACTIONS(5338),
    [aux_sym_boolean_literal_token1] = ACTIONS(5338),
    [aux_sym_boolean_literal_token2] = ACTIONS(5338),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5338),
    [sym__float_literal] = ACTIONS(5338),
    [sym__boz_literal] = ACTIONS(5338),
    [sym__string_literal] = ACTIONS(5338),
    [sym__string_literal_kind] = ACTIONS(5338),
  },
  [1045] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5340),
    [aux_sym_preproc_def_token1] = ACTIONS(5340),
    [aux_sym_preproc_if_token1] = ACTIONS(5340),
    [aux_sym_preproc_if_token2] = ACTIONS(5340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5340),
    [aux_sym_preproc_else_token1] = ACTIONS(5340),
    [aux_sym_preproc_elif_token1] = ACTIONS(5340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5340),
    [sym_preproc_directive] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_PLUS] = ACTIONS(5342),
    [anon_sym_DASH] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5340),
    [aux_sym_end_program_statement_token1] = ACTIONS(5340),
    [aux_sym_end_program_statement_token2] = ACTIONS(5340),
    [aux_sym_module_statement_token1] = ACTIONS(5340),
    [aux_sym_submodule_statement_token1] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5342),
    [aux_sym_interface_statement_token1] = ACTIONS(5340),
    [aux_sym_block_data_statement_token1] = ACTIONS(5340),
    [aux_sym_block_data_statement_token2] = ACTIONS(5340),
    [aux_sym_block_data_statement_token3] = ACTIONS(5340),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5340),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5340),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5340),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5340),
    [aux_sym_function_statement_token1] = ACTIONS(5340),
    [aux_sym_language_binding_token1] = ACTIONS(5340),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5340),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5340),
    [aux_sym_contains_statement_token1] = ACTIONS(5340),
    [aux_sym_use_statement_token1] = ACTIONS(5340),
    [aux_sym_use_statement_token2] = ACTIONS(5340),
    [aux_sym_implicit_statement_token1] = ACTIONS(5340),
    [aux_sym_implicit_statement_token3] = ACTIONS(5340),
    [aux_sym_implicit_statement_token4] = ACTIONS(5340),
    [aux_sym_save_statement_token1] = ACTIONS(5340),
    [aux_sym_private_statement_token1] = ACTIONS(5340),
    [aux_sym_public_statement_token1] = ACTIONS(5340),
    [aux_sym_namelist_statement_token1] = ACTIONS(5340),
    [aux_sym_common_statement_token1] = ACTIONS(5340),
    [aux_sym_import_statement_token1] = ACTIONS(5340),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5340),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5340),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5340),
    [aux_sym_variable_attributes_token1] = ACTIONS(5340),
    [aux_sym_variable_attributes_token2] = ACTIONS(5340),
    [aux_sym_variable_attributes_token3] = ACTIONS(5340),
    [aux_sym_variable_attributes_token4] = ACTIONS(5340),
    [aux_sym_variable_attributes_token5] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5340),
    [aux_sym_derived_type_token1] = ACTIONS(5340),
    [aux_sym_declared_type_token1] = ACTIONS(5340),
    [aux_sym_declared_type_token2] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5340),
    [aux_sym_type_qualifier_token1] = ACTIONS(5340),
    [aux_sym_type_qualifier_token2] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5340),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5340),
    [aux_sym_stop_statement_token1] = ACTIONS(5340),
    [aux_sym_stop_statement_token2] = ACTIONS(5340),
    [aux_sym_subroutine_call_token1] = ACTIONS(5340),
    [aux_sym_keyword_statement_token1] = ACTIONS(5340),
    [aux_sym_keyword_statement_token2] = ACTIONS(5340),
    [aux_sym_keyword_statement_token3] = ACTIONS(5340),
    [aux_sym_keyword_statement_token4] = ACTIONS(5340),
    [aux_sym_keyword_statement_token6] = ACTIONS(5340),
    [aux_sym_keyword_statement_token7] = ACTIONS(5340),
    [aux_sym_include_statement_token1] = ACTIONS(5340),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5340),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5340),
    [aux_sym_end_if_statement_token1] = ACTIONS(5340),
    [aux_sym_elseif_clause_token2] = ACTIONS(5340),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5340),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5340),
    [aux_sym_select_case_statement_token1] = ACTIONS(5340),
    [aux_sym_select_case_statement_token3] = ACTIONS(5340),
    [aux_sym_select_type_statement_token1] = ACTIONS(5340),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5340),
    [aux_sym_associate_statement_token1] = ACTIONS(5340),
    [aux_sym_format_statement_token1] = ACTIONS(5340),
    [aux_sym_print_statement_token1] = ACTIONS(5340),
    [aux_sym_open_statement_token1] = ACTIONS(5340),
    [aux_sym_close_statement_token1] = ACTIONS(5340),
    [aux_sym_inquire_statement_token1] = ACTIONS(5340),
    [aux_sym_enum_statement_token1] = ACTIONS(5340),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5340),
    [aux_sym_file_position_statement_token1] = ACTIONS(5340),
    [aux_sym_file_position_statement_token2] = ACTIONS(5340),
    [aux_sym_file_position_statement_token3] = ACTIONS(5340),
    [aux_sym_file_position_statement_token4] = ACTIONS(5340),
    [aux_sym_allocate_statement_token1] = ACTIONS(5340),
    [aux_sym_entry_statement_token1] = ACTIONS(5340),
    [aux_sym_assign_statement_token1] = ACTIONS(5340),
    [aux_sym_logical_expression_token5] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5340),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [aux_sym_boolean_literal_token1] = ACTIONS(5342),
    [aux_sym_boolean_literal_token2] = ACTIONS(5342),
    [aux_sym_null_literal_token1] = ACTIONS(5340),
    [aux_sym_coarray_statement_token1] = ACTIONS(5340),
    [aux_sym_coarray_statement_token2] = ACTIONS(5340),
    [aux_sym_coarray_statement_token6] = ACTIONS(5340),
    [aux_sym_coarray_statement_token8] = ACTIONS(5340),
    [aux_sym_coarray_statement_token11] = ACTIONS(5340),
    [aux_sym_coarray_statement_token12] = ACTIONS(5340),
    [aux_sym_coarray_statement_token13] = ACTIONS(5340),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5340),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5340),
    [aux_sym_identifier_token1] = ACTIONS(5340),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5342),
    [sym__float_literal] = ACTIONS(5342),
    [sym__boz_literal] = ACTIONS(5342),
    [sym__string_literal] = ACTIONS(5342),
    [sym__string_literal_kind] = ACTIONS(5342),
  },
  [1046] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token2] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [aux_sym_preproc_else_token1] = ACTIONS(5344),
    [aux_sym_preproc_elif_token1] = ACTIONS(5344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5344),
    [anon_sym_PLUS] = ACTIONS(5346),
    [anon_sym_DASH] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5344),
    [aux_sym_end_program_statement_token1] = ACTIONS(5344),
    [aux_sym_end_program_statement_token2] = ACTIONS(5344),
    [aux_sym_module_statement_token1] = ACTIONS(5344),
    [aux_sym_submodule_statement_token1] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [aux_sym_interface_statement_token1] = ACTIONS(5344),
    [aux_sym_block_data_statement_token1] = ACTIONS(5344),
    [aux_sym_block_data_statement_token2] = ACTIONS(5344),
    [aux_sym_block_data_statement_token3] = ACTIONS(5344),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5344),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5344),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5344),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5344),
    [aux_sym_function_statement_token1] = ACTIONS(5344),
    [aux_sym_language_binding_token1] = ACTIONS(5344),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5344),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5344),
    [aux_sym_contains_statement_token1] = ACTIONS(5344),
    [aux_sym_use_statement_token1] = ACTIONS(5344),
    [aux_sym_use_statement_token2] = ACTIONS(5344),
    [aux_sym_implicit_statement_token1] = ACTIONS(5344),
    [aux_sym_implicit_statement_token3] = ACTIONS(5344),
    [aux_sym_implicit_statement_token4] = ACTIONS(5344),
    [aux_sym_save_statement_token1] = ACTIONS(5344),
    [aux_sym_private_statement_token1] = ACTIONS(5344),
    [aux_sym_public_statement_token1] = ACTIONS(5344),
    [aux_sym_namelist_statement_token1] = ACTIONS(5344),
    [aux_sym_common_statement_token1] = ACTIONS(5344),
    [aux_sym_import_statement_token1] = ACTIONS(5344),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5344),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5344),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5344),
    [aux_sym_variable_attributes_token1] = ACTIONS(5344),
    [aux_sym_variable_attributes_token2] = ACTIONS(5344),
    [aux_sym_variable_attributes_token3] = ACTIONS(5344),
    [aux_sym_variable_attributes_token4] = ACTIONS(5344),
    [aux_sym_variable_attributes_token5] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5344),
    [aux_sym_derived_type_token1] = ACTIONS(5344),
    [aux_sym_declared_type_token1] = ACTIONS(5344),
    [aux_sym_declared_type_token2] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5344),
    [aux_sym_type_qualifier_token1] = ACTIONS(5344),
    [aux_sym_type_qualifier_token2] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5344),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5344),
    [aux_sym_stop_statement_token1] = ACTIONS(5344),
    [aux_sym_stop_statement_token2] = ACTIONS(5344),
    [aux_sym_subroutine_call_token1] = ACTIONS(5344),
    [aux_sym_keyword_statement_token1] = ACTIONS(5344),
    [aux_sym_keyword_statement_token2] = ACTIONS(5344),
    [aux_sym_keyword_statement_token3] = ACTIONS(5344),
    [aux_sym_keyword_statement_token4] = ACTIONS(5344),
    [aux_sym_keyword_statement_token6] = ACTIONS(5344),
    [aux_sym_keyword_statement_token7] = ACTIONS(5344),
    [aux_sym_include_statement_token1] = ACTIONS(5344),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5344),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5344),
    [aux_sym_end_if_statement_token1] = ACTIONS(5344),
    [aux_sym_elseif_clause_token2] = ACTIONS(5344),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5344),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5344),
    [aux_sym_select_case_statement_token1] = ACTIONS(5344),
    [aux_sym_select_case_statement_token3] = ACTIONS(5344),
    [aux_sym_select_type_statement_token1] = ACTIONS(5344),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5344),
    [aux_sym_associate_statement_token1] = ACTIONS(5344),
    [aux_sym_format_statement_token1] = ACTIONS(5344),
    [aux_sym_print_statement_token1] = ACTIONS(5344),
    [aux_sym_open_statement_token1] = ACTIONS(5344),
    [aux_sym_close_statement_token1] = ACTIONS(5344),
    [aux_sym_inquire_statement_token1] = ACTIONS(5344),
    [aux_sym_enum_statement_token1] = ACTIONS(5344),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5344),
    [aux_sym_file_position_statement_token1] = ACTIONS(5344),
    [aux_sym_file_position_statement_token2] = ACTIONS(5344),
    [aux_sym_file_position_statement_token3] = ACTIONS(5344),
    [aux_sym_file_position_statement_token4] = ACTIONS(5344),
    [aux_sym_allocate_statement_token1] = ACTIONS(5344),
    [aux_sym_entry_statement_token1] = ACTIONS(5344),
    [aux_sym_assign_statement_token1] = ACTIONS(5344),
    [aux_sym_logical_expression_token5] = ACTIONS(5346),
    [anon_sym_DOT] = ACTIONS(5344),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5346),
    [aux_sym_boolean_literal_token1] = ACTIONS(5346),
    [aux_sym_boolean_literal_token2] = ACTIONS(5346),
    [aux_sym_null_literal_token1] = ACTIONS(5344),
    [aux_sym_coarray_statement_token1] = ACTIONS(5344),
    [aux_sym_coarray_statement_token2] = ACTIONS(5344),
    [aux_sym_coarray_statement_token6] = ACTIONS(5344),
    [aux_sym_coarray_statement_token8] = ACTIONS(5344),
    [aux_sym_coarray_statement_token11] = ACTIONS(5344),
    [aux_sym_coarray_statement_token12] = ACTIONS(5344),
    [aux_sym_coarray_statement_token13] = ACTIONS(5344),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5344),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5344),
    [aux_sym_identifier_token1] = ACTIONS(5344),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5346),
    [sym__float_literal] = ACTIONS(5346),
    [sym__boz_literal] = ACTIONS(5346),
    [sym__string_literal] = ACTIONS(5346),
    [sym__string_literal_kind] = ACTIONS(5346),
  },
  [1047] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [aux_sym_preproc_else_token1] = ACTIONS(5348),
    [aux_sym_preproc_elif_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5348),
    [aux_sym_end_program_statement_token1] = ACTIONS(5348),
    [aux_sym_end_program_statement_token2] = ACTIONS(5348),
    [aux_sym_module_statement_token1] = ACTIONS(5348),
    [aux_sym_submodule_statement_token1] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [aux_sym_interface_statement_token1] = ACTIONS(5348),
    [aux_sym_block_data_statement_token1] = ACTIONS(5348),
    [aux_sym_block_data_statement_token2] = ACTIONS(5348),
    [aux_sym_block_data_statement_token3] = ACTIONS(5348),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5348),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5348),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5348),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5348),
    [aux_sym_function_statement_token1] = ACTIONS(5348),
    [aux_sym_language_binding_token1] = ACTIONS(5348),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5348),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5348),
    [aux_sym_contains_statement_token1] = ACTIONS(5348),
    [aux_sym_use_statement_token1] = ACTIONS(5348),
    [aux_sym_use_statement_token2] = ACTIONS(5348),
    [aux_sym_implicit_statement_token1] = ACTIONS(5348),
    [aux_sym_implicit_statement_token3] = ACTIONS(5348),
    [aux_sym_implicit_statement_token4] = ACTIONS(5348),
    [aux_sym_save_statement_token1] = ACTIONS(5348),
    [aux_sym_private_statement_token1] = ACTIONS(5348),
    [aux_sym_public_statement_token1] = ACTIONS(5348),
    [aux_sym_namelist_statement_token1] = ACTIONS(5348),
    [aux_sym_common_statement_token1] = ACTIONS(5348),
    [aux_sym_import_statement_token1] = ACTIONS(5348),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5348),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5348),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5348),
    [aux_sym_variable_attributes_token1] = ACTIONS(5348),
    [aux_sym_variable_attributes_token2] = ACTIONS(5348),
    [aux_sym_variable_attributes_token3] = ACTIONS(5348),
    [aux_sym_variable_attributes_token4] = ACTIONS(5348),
    [aux_sym_variable_attributes_token5] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5348),
    [aux_sym_derived_type_token1] = ACTIONS(5348),
    [aux_sym_declared_type_token1] = ACTIONS(5348),
    [aux_sym_declared_type_token2] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5348),
    [aux_sym_type_qualifier_token1] = ACTIONS(5348),
    [aux_sym_type_qualifier_token2] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5348),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5348),
    [aux_sym_stop_statement_token1] = ACTIONS(5348),
    [aux_sym_stop_statement_token2] = ACTIONS(5348),
    [aux_sym_subroutine_call_token1] = ACTIONS(5348),
    [aux_sym_keyword_statement_token1] = ACTIONS(5348),
    [aux_sym_keyword_statement_token2] = ACTIONS(5348),
    [aux_sym_keyword_statement_token3] = ACTIONS(5348),
    [aux_sym_keyword_statement_token4] = ACTIONS(5348),
    [aux_sym_keyword_statement_token6] = ACTIONS(5348),
    [aux_sym_keyword_statement_token7] = ACTIONS(5348),
    [aux_sym_include_statement_token1] = ACTIONS(5348),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5348),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5348),
    [aux_sym_end_if_statement_token1] = ACTIONS(5348),
    [aux_sym_elseif_clause_token2] = ACTIONS(5348),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5348),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5348),
    [aux_sym_select_case_statement_token1] = ACTIONS(5348),
    [aux_sym_select_case_statement_token3] = ACTIONS(5348),
    [aux_sym_select_type_statement_token1] = ACTIONS(5348),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5348),
    [aux_sym_associate_statement_token1] = ACTIONS(5348),
    [aux_sym_format_statement_token1] = ACTIONS(5348),
    [aux_sym_print_statement_token1] = ACTIONS(5348),
    [aux_sym_open_statement_token1] = ACTIONS(5348),
    [aux_sym_close_statement_token1] = ACTIONS(5348),
    [aux_sym_inquire_statement_token1] = ACTIONS(5348),
    [aux_sym_enum_statement_token1] = ACTIONS(5348),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5348),
    [aux_sym_file_position_statement_token1] = ACTIONS(5348),
    [aux_sym_file_position_statement_token2] = ACTIONS(5348),
    [aux_sym_file_position_statement_token3] = ACTIONS(5348),
    [aux_sym_file_position_statement_token4] = ACTIONS(5348),
    [aux_sym_allocate_statement_token1] = ACTIONS(5348),
    [aux_sym_entry_statement_token1] = ACTIONS(5348),
    [aux_sym_assign_statement_token1] = ACTIONS(5348),
    [aux_sym_logical_expression_token5] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5348),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [aux_sym_boolean_literal_token1] = ACTIONS(5350),
    [aux_sym_boolean_literal_token2] = ACTIONS(5350),
    [aux_sym_null_literal_token1] = ACTIONS(5348),
    [aux_sym_coarray_statement_token1] = ACTIONS(5348),
    [aux_sym_coarray_statement_token2] = ACTIONS(5348),
    [aux_sym_coarray_statement_token6] = ACTIONS(5348),
    [aux_sym_coarray_statement_token8] = ACTIONS(5348),
    [aux_sym_coarray_statement_token11] = ACTIONS(5348),
    [aux_sym_coarray_statement_token12] = ACTIONS(5348),
    [aux_sym_coarray_statement_token13] = ACTIONS(5348),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5348),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5348),
    [aux_sym_identifier_token1] = ACTIONS(5348),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5350),
    [sym__float_literal] = ACTIONS(5350),
    [sym__boz_literal] = ACTIONS(5350),
    [sym__string_literal] = ACTIONS(5350),
    [sym__string_literal_kind] = ACTIONS(5350),
  },
  [1048] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token2] = ACTIONS(5352),
    [aux_sym_module_statement_token1] = ACTIONS(5352),
    [aux_sym_submodule_statement_token1] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_block_data_statement_token3] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_function_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [aux_sym_boolean_literal_token1] = ACTIONS(5354),
    [aux_sym_boolean_literal_token2] = ACTIONS(5354),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5354),
    [sym__float_literal] = ACTIONS(5354),
    [sym__boz_literal] = ACTIONS(5354),
    [sym__string_literal] = ACTIONS(5354),
    [sym__string_literal_kind] = ACTIONS(5354),
  },
  [1049] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5356),
    [aux_sym_preproc_def_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5356),
    [sym_preproc_directive] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5356),
    [aux_sym_end_program_statement_token1] = ACTIONS(5356),
    [aux_sym_end_program_statement_token2] = ACTIONS(5356),
    [aux_sym_module_statement_token1] = ACTIONS(5356),
    [aux_sym_submodule_statement_token1] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [aux_sym_interface_statement_token1] = ACTIONS(5356),
    [aux_sym_block_data_statement_token1] = ACTIONS(5356),
    [aux_sym_block_data_statement_token2] = ACTIONS(5356),
    [aux_sym_block_data_statement_token3] = ACTIONS(5356),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5356),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5356),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5356),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5356),
    [aux_sym_function_statement_token1] = ACTIONS(5356),
    [aux_sym_language_binding_token1] = ACTIONS(5356),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5356),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5356),
    [aux_sym_contains_statement_token1] = ACTIONS(5356),
    [aux_sym_use_statement_token1] = ACTIONS(5356),
    [aux_sym_use_statement_token2] = ACTIONS(5356),
    [aux_sym_implicit_statement_token1] = ACTIONS(5356),
    [aux_sym_implicit_statement_token3] = ACTIONS(5356),
    [aux_sym_implicit_statement_token4] = ACTIONS(5356),
    [aux_sym_save_statement_token1] = ACTIONS(5356),
    [aux_sym_private_statement_token1] = ACTIONS(5356),
    [aux_sym_public_statement_token1] = ACTIONS(5356),
    [aux_sym_namelist_statement_token1] = ACTIONS(5356),
    [aux_sym_common_statement_token1] = ACTIONS(5356),
    [aux_sym_import_statement_token1] = ACTIONS(5356),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5356),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5356),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5356),
    [aux_sym_variable_attributes_token1] = ACTIONS(5356),
    [aux_sym_variable_attributes_token2] = ACTIONS(5356),
    [aux_sym_variable_attributes_token3] = ACTIONS(5356),
    [aux_sym_variable_attributes_token4] = ACTIONS(5356),
    [aux_sym_variable_attributes_token5] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5356),
    [aux_sym_derived_type_token1] = ACTIONS(5356),
    [aux_sym_declared_type_token1] = ACTIONS(5356),
    [aux_sym_declared_type_token2] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5356),
    [aux_sym_type_qualifier_token1] = ACTIONS(5356),
    [aux_sym_type_qualifier_token2] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5356),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5356),
    [aux_sym_stop_statement_token1] = ACTIONS(5356),
    [aux_sym_stop_statement_token2] = ACTIONS(5356),
    [aux_sym_subroutine_call_token1] = ACTIONS(5356),
    [aux_sym_keyword_statement_token1] = ACTIONS(5356),
    [aux_sym_keyword_statement_token2] = ACTIONS(5356),
    [aux_sym_keyword_statement_token3] = ACTIONS(5356),
    [aux_sym_keyword_statement_token4] = ACTIONS(5356),
    [aux_sym_keyword_statement_token6] = ACTIONS(5356),
    [aux_sym_keyword_statement_token7] = ACTIONS(5356),
    [aux_sym_include_statement_token1] = ACTIONS(5356),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5356),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5356),
    [aux_sym_end_if_statement_token1] = ACTIONS(5356),
    [aux_sym_elseif_clause_token2] = ACTIONS(5356),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5356),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5356),
    [aux_sym_select_case_statement_token1] = ACTIONS(5356),
    [aux_sym_select_case_statement_token3] = ACTIONS(5356),
    [aux_sym_select_type_statement_token1] = ACTIONS(5356),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5356),
    [aux_sym_associate_statement_token1] = ACTIONS(5356),
    [aux_sym_format_statement_token1] = ACTIONS(5356),
    [aux_sym_print_statement_token1] = ACTIONS(5356),
    [aux_sym_open_statement_token1] = ACTIONS(5356),
    [aux_sym_close_statement_token1] = ACTIONS(5356),
    [aux_sym_inquire_statement_token1] = ACTIONS(5356),
    [aux_sym_enum_statement_token1] = ACTIONS(5356),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5356),
    [aux_sym_file_position_statement_token1] = ACTIONS(5356),
    [aux_sym_file_position_statement_token2] = ACTIONS(5356),
    [aux_sym_file_position_statement_token3] = ACTIONS(5356),
    [aux_sym_file_position_statement_token4] = ACTIONS(5356),
    [aux_sym_allocate_statement_token1] = ACTIONS(5356),
    [aux_sym_entry_statement_token1] = ACTIONS(5356),
    [aux_sym_assign_statement_token1] = ACTIONS(5356),
    [aux_sym_logical_expression_token5] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [aux_sym_boolean_literal_token1] = ACTIONS(5358),
    [aux_sym_boolean_literal_token2] = ACTIONS(5358),
    [aux_sym_null_literal_token1] = ACTIONS(5356),
    [aux_sym_coarray_statement_token1] = ACTIONS(5356),
    [aux_sym_coarray_statement_token2] = ACTIONS(5356),
    [aux_sym_coarray_statement_token6] = ACTIONS(5356),
    [aux_sym_coarray_statement_token8] = ACTIONS(5356),
    [aux_sym_coarray_statement_token11] = ACTIONS(5356),
    [aux_sym_coarray_statement_token12] = ACTIONS(5356),
    [aux_sym_coarray_statement_token13] = ACTIONS(5356),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5356),
    [aux_sym_identifier_token1] = ACTIONS(5356),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5358),
    [sym__float_literal] = ACTIONS(5358),
    [sym__boz_literal] = ACTIONS(5358),
    [sym__string_literal] = ACTIONS(5358),
    [sym__string_literal_kind] = ACTIONS(5358),
  },
  [1050] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5360),
    [aux_sym_preproc_def_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5360),
    [aux_sym_preproc_else_token1] = ACTIONS(5360),
    [aux_sym_preproc_elif_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5360),
    [sym_preproc_directive] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5362),
    [anon_sym_DASH] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5360),
    [aux_sym_end_program_statement_token1] = ACTIONS(5360),
    [aux_sym_end_program_statement_token2] = ACTIONS(5360),
    [aux_sym_module_statement_token1] = ACTIONS(5360),
    [aux_sym_submodule_statement_token1] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [aux_sym_interface_statement_token1] = ACTIONS(5360),
    [aux_sym_block_data_statement_token1] = ACTIONS(5360),
    [aux_sym_block_data_statement_token2] = ACTIONS(5360),
    [aux_sym_block_data_statement_token3] = ACTIONS(5360),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5360),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5360),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5360),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5360),
    [aux_sym_function_statement_token1] = ACTIONS(5360),
    [aux_sym_language_binding_token1] = ACTIONS(5360),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5360),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5360),
    [aux_sym_contains_statement_token1] = ACTIONS(5360),
    [aux_sym_use_statement_token1] = ACTIONS(5360),
    [aux_sym_use_statement_token2] = ACTIONS(5360),
    [aux_sym_implicit_statement_token1] = ACTIONS(5360),
    [aux_sym_implicit_statement_token3] = ACTIONS(5360),
    [aux_sym_implicit_statement_token4] = ACTIONS(5360),
    [aux_sym_save_statement_token1] = ACTIONS(5360),
    [aux_sym_private_statement_token1] = ACTIONS(5360),
    [aux_sym_public_statement_token1] = ACTIONS(5360),
    [aux_sym_namelist_statement_token1] = ACTIONS(5360),
    [aux_sym_common_statement_token1] = ACTIONS(5360),
    [aux_sym_import_statement_token1] = ACTIONS(5360),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5360),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5360),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5360),
    [aux_sym_variable_attributes_token1] = ACTIONS(5360),
    [aux_sym_variable_attributes_token2] = ACTIONS(5360),
    [aux_sym_variable_attributes_token3] = ACTIONS(5360),
    [aux_sym_variable_attributes_token4] = ACTIONS(5360),
    [aux_sym_variable_attributes_token5] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5360),
    [aux_sym_derived_type_token1] = ACTIONS(5360),
    [aux_sym_declared_type_token1] = ACTIONS(5360),
    [aux_sym_declared_type_token2] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5360),
    [aux_sym_type_qualifier_token1] = ACTIONS(5360),
    [aux_sym_type_qualifier_token2] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5360),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5360),
    [aux_sym_stop_statement_token1] = ACTIONS(5360),
    [aux_sym_stop_statement_token2] = ACTIONS(5360),
    [aux_sym_subroutine_call_token1] = ACTIONS(5360),
    [aux_sym_keyword_statement_token1] = ACTIONS(5360),
    [aux_sym_keyword_statement_token2] = ACTIONS(5360),
    [aux_sym_keyword_statement_token3] = ACTIONS(5360),
    [aux_sym_keyword_statement_token4] = ACTIONS(5360),
    [aux_sym_keyword_statement_token6] = ACTIONS(5360),
    [aux_sym_keyword_statement_token7] = ACTIONS(5360),
    [aux_sym_include_statement_token1] = ACTIONS(5360),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5360),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5360),
    [aux_sym_end_if_statement_token1] = ACTIONS(5360),
    [aux_sym_elseif_clause_token2] = ACTIONS(5360),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5360),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5360),
    [aux_sym_select_case_statement_token1] = ACTIONS(5360),
    [aux_sym_select_case_statement_token3] = ACTIONS(5360),
    [aux_sym_select_type_statement_token1] = ACTIONS(5360),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5360),
    [aux_sym_associate_statement_token1] = ACTIONS(5360),
    [aux_sym_format_statement_token1] = ACTIONS(5360),
    [aux_sym_print_statement_token1] = ACTIONS(5360),
    [aux_sym_open_statement_token1] = ACTIONS(5360),
    [aux_sym_close_statement_token1] = ACTIONS(5360),
    [aux_sym_inquire_statement_token1] = ACTIONS(5360),
    [aux_sym_enum_statement_token1] = ACTIONS(5360),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5360),
    [aux_sym_file_position_statement_token1] = ACTIONS(5360),
    [aux_sym_file_position_statement_token2] = ACTIONS(5360),
    [aux_sym_file_position_statement_token3] = ACTIONS(5360),
    [aux_sym_file_position_statement_token4] = ACTIONS(5360),
    [aux_sym_allocate_statement_token1] = ACTIONS(5360),
    [aux_sym_entry_statement_token1] = ACTIONS(5360),
    [aux_sym_assign_statement_token1] = ACTIONS(5360),
    [aux_sym_logical_expression_token5] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5360),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [aux_sym_boolean_literal_token1] = ACTIONS(5362),
    [aux_sym_boolean_literal_token2] = ACTIONS(5362),
    [aux_sym_null_literal_token1] = ACTIONS(5360),
    [aux_sym_coarray_statement_token1] = ACTIONS(5360),
    [aux_sym_coarray_statement_token2] = ACTIONS(5360),
    [aux_sym_coarray_statement_token6] = ACTIONS(5360),
    [aux_sym_coarray_statement_token8] = ACTIONS(5360),
    [aux_sym_coarray_statement_token11] = ACTIONS(5360),
    [aux_sym_coarray_statement_token12] = ACTIONS(5360),
    [aux_sym_coarray_statement_token13] = ACTIONS(5360),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5360),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5360),
    [aux_sym_identifier_token1] = ACTIONS(5360),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5362),
    [sym__float_literal] = ACTIONS(5362),
    [sym__boz_literal] = ACTIONS(5362),
    [sym__string_literal] = ACTIONS(5362),
    [sym__string_literal_kind] = ACTIONS(5362),
  },
  [1051] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [aux_sym_preproc_else_token1] = ACTIONS(5118),
    [aux_sym_preproc_elif_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token2] = ACTIONS(5118),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_interface_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token2] = ACTIONS(5118),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5118),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5118),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5118),
    [aux_sym_contains_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token2] = ACTIONS(5118),
    [aux_sym_implicit_statement_token1] = ACTIONS(5118),
    [aux_sym_implicit_statement_token3] = ACTIONS(5118),
    [aux_sym_implicit_statement_token4] = ACTIONS(5118),
    [aux_sym_save_statement_token1] = ACTIONS(5118),
    [aux_sym_private_statement_token1] = ACTIONS(5118),
    [aux_sym_public_statement_token1] = ACTIONS(5118),
    [aux_sym_namelist_statement_token1] = ACTIONS(5118),
    [aux_sym_common_statement_token1] = ACTIONS(5118),
    [aux_sym_import_statement_token1] = ACTIONS(5118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5118),
    [aux_sym_variable_attributes_token1] = ACTIONS(5118),
    [aux_sym_variable_attributes_token2] = ACTIONS(5118),
    [aux_sym_variable_attributes_token3] = ACTIONS(5118),
    [aux_sym_variable_attributes_token4] = ACTIONS(5118),
    [aux_sym_variable_attributes_token5] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5118),
    [aux_sym_derived_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5118),
    [aux_sym_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token2] = ACTIONS(5118),
    [aux_sym_subroutine_call_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token2] = ACTIONS(5118),
    [aux_sym_keyword_statement_token3] = ACTIONS(5118),
    [aux_sym_keyword_statement_token4] = ACTIONS(5118),
    [aux_sym_keyword_statement_token6] = ACTIONS(5118),
    [aux_sym_keyword_statement_token7] = ACTIONS(5118),
    [aux_sym_include_statement_token1] = ACTIONS(5118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5118),
    [aux_sym_end_if_statement_token1] = ACTIONS(5118),
    [aux_sym_elseif_clause_token2] = ACTIONS(5118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token3] = ACTIONS(5118),
    [aux_sym_select_type_statement_token1] = ACTIONS(5118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5118),
    [aux_sym_associate_statement_token1] = ACTIONS(5118),
    [aux_sym_format_statement_token1] = ACTIONS(5118),
    [aux_sym_print_statement_token1] = ACTIONS(5118),
    [aux_sym_open_statement_token1] = ACTIONS(5118),
    [aux_sym_close_statement_token1] = ACTIONS(5118),
    [aux_sym_inquire_statement_token1] = ACTIONS(5118),
    [aux_sym_enum_statement_token1] = ACTIONS(5118),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token2] = ACTIONS(5118),
    [aux_sym_file_position_statement_token3] = ACTIONS(5118),
    [aux_sym_file_position_statement_token4] = ACTIONS(5118),
    [aux_sym_allocate_statement_token1] = ACTIONS(5118),
    [aux_sym_entry_statement_token1] = ACTIONS(5118),
    [aux_sym_assign_statement_token1] = ACTIONS(5118),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token2] = ACTIONS(5118),
    [aux_sym_coarray_statement_token6] = ACTIONS(5118),
    [aux_sym_coarray_statement_token8] = ACTIONS(5118),
    [aux_sym_coarray_statement_token11] = ACTIONS(5118),
    [aux_sym_coarray_statement_token12] = ACTIONS(5118),
    [aux_sym_coarray_statement_token13] = ACTIONS(5118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5118),
    [aux_sym_identifier_token1] = ACTIONS(5118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1052] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [aux_sym_preproc_else_token1] = ACTIONS(5364),
    [aux_sym_preproc_elif_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_PLUS] = ACTIONS(5366),
    [anon_sym_DASH] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5364),
    [aux_sym_end_program_statement_token1] = ACTIONS(5364),
    [aux_sym_end_program_statement_token2] = ACTIONS(5364),
    [aux_sym_module_statement_token1] = ACTIONS(5364),
    [aux_sym_submodule_statement_token1] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [aux_sym_interface_statement_token1] = ACTIONS(5364),
    [aux_sym_block_data_statement_token1] = ACTIONS(5364),
    [aux_sym_block_data_statement_token2] = ACTIONS(5364),
    [aux_sym_block_data_statement_token3] = ACTIONS(5364),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5364),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5364),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5364),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5364),
    [aux_sym_function_statement_token1] = ACTIONS(5364),
    [aux_sym_language_binding_token1] = ACTIONS(5364),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5364),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5364),
    [aux_sym_contains_statement_token1] = ACTIONS(5364),
    [aux_sym_use_statement_token1] = ACTIONS(5364),
    [aux_sym_use_statement_token2] = ACTIONS(5364),
    [aux_sym_implicit_statement_token1] = ACTIONS(5364),
    [aux_sym_implicit_statement_token3] = ACTIONS(5364),
    [aux_sym_implicit_statement_token4] = ACTIONS(5364),
    [aux_sym_save_statement_token1] = ACTIONS(5364),
    [aux_sym_private_statement_token1] = ACTIONS(5364),
    [aux_sym_public_statement_token1] = ACTIONS(5364),
    [aux_sym_namelist_statement_token1] = ACTIONS(5364),
    [aux_sym_common_statement_token1] = ACTIONS(5364),
    [aux_sym_import_statement_token1] = ACTIONS(5364),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5364),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5364),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5364),
    [aux_sym_variable_attributes_token1] = ACTIONS(5364),
    [aux_sym_variable_attributes_token2] = ACTIONS(5364),
    [aux_sym_variable_attributes_token3] = ACTIONS(5364),
    [aux_sym_variable_attributes_token4] = ACTIONS(5364),
    [aux_sym_variable_attributes_token5] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5364),
    [aux_sym_derived_type_token1] = ACTIONS(5364),
    [aux_sym_declared_type_token1] = ACTIONS(5364),
    [aux_sym_declared_type_token2] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5364),
    [aux_sym_type_qualifier_token1] = ACTIONS(5364),
    [aux_sym_type_qualifier_token2] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5364),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5364),
    [aux_sym_stop_statement_token1] = ACTIONS(5364),
    [aux_sym_stop_statement_token2] = ACTIONS(5364),
    [aux_sym_subroutine_call_token1] = ACTIONS(5364),
    [aux_sym_keyword_statement_token1] = ACTIONS(5364),
    [aux_sym_keyword_statement_token2] = ACTIONS(5364),
    [aux_sym_keyword_statement_token3] = ACTIONS(5364),
    [aux_sym_keyword_statement_token4] = ACTIONS(5364),
    [aux_sym_keyword_statement_token6] = ACTIONS(5364),
    [aux_sym_keyword_statement_token7] = ACTIONS(5364),
    [aux_sym_include_statement_token1] = ACTIONS(5364),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5364),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5364),
    [aux_sym_end_if_statement_token1] = ACTIONS(5364),
    [aux_sym_elseif_clause_token2] = ACTIONS(5364),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5364),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5364),
    [aux_sym_select_case_statement_token1] = ACTIONS(5364),
    [aux_sym_select_case_statement_token3] = ACTIONS(5364),
    [aux_sym_select_type_statement_token1] = ACTIONS(5364),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5364),
    [aux_sym_associate_statement_token1] = ACTIONS(5364),
    [aux_sym_format_statement_token1] = ACTIONS(5364),
    [aux_sym_print_statement_token1] = ACTIONS(5364),
    [aux_sym_open_statement_token1] = ACTIONS(5364),
    [aux_sym_close_statement_token1] = ACTIONS(5364),
    [aux_sym_inquire_statement_token1] = ACTIONS(5364),
    [aux_sym_enum_statement_token1] = ACTIONS(5364),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5364),
    [aux_sym_file_position_statement_token1] = ACTIONS(5364),
    [aux_sym_file_position_statement_token2] = ACTIONS(5364),
    [aux_sym_file_position_statement_token3] = ACTIONS(5364),
    [aux_sym_file_position_statement_token4] = ACTIONS(5364),
    [aux_sym_allocate_statement_token1] = ACTIONS(5364),
    [aux_sym_entry_statement_token1] = ACTIONS(5364),
    [aux_sym_assign_statement_token1] = ACTIONS(5364),
    [aux_sym_logical_expression_token5] = ACTIONS(5366),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [aux_sym_boolean_literal_token1] = ACTIONS(5366),
    [aux_sym_boolean_literal_token2] = ACTIONS(5366),
    [aux_sym_null_literal_token1] = ACTIONS(5364),
    [aux_sym_coarray_statement_token1] = ACTIONS(5364),
    [aux_sym_coarray_statement_token2] = ACTIONS(5364),
    [aux_sym_coarray_statement_token6] = ACTIONS(5364),
    [aux_sym_coarray_statement_token8] = ACTIONS(5364),
    [aux_sym_coarray_statement_token11] = ACTIONS(5364),
    [aux_sym_coarray_statement_token12] = ACTIONS(5364),
    [aux_sym_coarray_statement_token13] = ACTIONS(5364),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5364),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5364),
    [aux_sym_identifier_token1] = ACTIONS(5364),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5366),
    [sym__float_literal] = ACTIONS(5366),
    [sym__boz_literal] = ACTIONS(5366),
    [sym__string_literal] = ACTIONS(5366),
    [sym__string_literal_kind] = ACTIONS(5366),
  },
  [1053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [aux_sym_preproc_else_token1] = ACTIONS(5368),
    [aux_sym_preproc_elif_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5368),
    [aux_sym_end_program_statement_token1] = ACTIONS(5368),
    [aux_sym_end_program_statement_token2] = ACTIONS(5368),
    [aux_sym_module_statement_token1] = ACTIONS(5368),
    [aux_sym_submodule_statement_token1] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5368),
    [aux_sym_block_data_statement_token1] = ACTIONS(5368),
    [aux_sym_block_data_statement_token2] = ACTIONS(5368),
    [aux_sym_block_data_statement_token3] = ACTIONS(5368),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5368),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5368),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5368),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5368),
    [aux_sym_function_statement_token1] = ACTIONS(5368),
    [aux_sym_language_binding_token1] = ACTIONS(5368),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5368),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5368),
    [aux_sym_contains_statement_token1] = ACTIONS(5368),
    [aux_sym_use_statement_token1] = ACTIONS(5368),
    [aux_sym_use_statement_token2] = ACTIONS(5368),
    [aux_sym_implicit_statement_token1] = ACTIONS(5368),
    [aux_sym_implicit_statement_token3] = ACTIONS(5368),
    [aux_sym_implicit_statement_token4] = ACTIONS(5368),
    [aux_sym_save_statement_token1] = ACTIONS(5368),
    [aux_sym_private_statement_token1] = ACTIONS(5368),
    [aux_sym_public_statement_token1] = ACTIONS(5368),
    [aux_sym_namelist_statement_token1] = ACTIONS(5368),
    [aux_sym_common_statement_token1] = ACTIONS(5368),
    [aux_sym_import_statement_token1] = ACTIONS(5368),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5368),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5368),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5368),
    [aux_sym_variable_attributes_token1] = ACTIONS(5368),
    [aux_sym_variable_attributes_token2] = ACTIONS(5368),
    [aux_sym_variable_attributes_token3] = ACTIONS(5368),
    [aux_sym_variable_attributes_token4] = ACTIONS(5368),
    [aux_sym_variable_attributes_token5] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5368),
    [aux_sym_derived_type_token1] = ACTIONS(5368),
    [aux_sym_declared_type_token1] = ACTIONS(5368),
    [aux_sym_declared_type_token2] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5368),
    [aux_sym_type_qualifier_token1] = ACTIONS(5368),
    [aux_sym_type_qualifier_token2] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5368),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5368),
    [aux_sym_stop_statement_token1] = ACTIONS(5368),
    [aux_sym_stop_statement_token2] = ACTIONS(5368),
    [aux_sym_subroutine_call_token1] = ACTIONS(5368),
    [aux_sym_keyword_statement_token1] = ACTIONS(5368),
    [aux_sym_keyword_statement_token2] = ACTIONS(5368),
    [aux_sym_keyword_statement_token3] = ACTIONS(5368),
    [aux_sym_keyword_statement_token4] = ACTIONS(5368),
    [aux_sym_keyword_statement_token6] = ACTIONS(5368),
    [aux_sym_keyword_statement_token7] = ACTIONS(5368),
    [aux_sym_include_statement_token1] = ACTIONS(5368),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5368),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5368),
    [aux_sym_end_if_statement_token1] = ACTIONS(5368),
    [aux_sym_elseif_clause_token2] = ACTIONS(5368),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5368),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5368),
    [aux_sym_select_case_statement_token1] = ACTIONS(5368),
    [aux_sym_select_case_statement_token3] = ACTIONS(5368),
    [aux_sym_select_type_statement_token1] = ACTIONS(5368),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5368),
    [aux_sym_associate_statement_token1] = ACTIONS(5368),
    [aux_sym_format_statement_token1] = ACTIONS(5368),
    [aux_sym_print_statement_token1] = ACTIONS(5368),
    [aux_sym_open_statement_token1] = ACTIONS(5368),
    [aux_sym_close_statement_token1] = ACTIONS(5368),
    [aux_sym_inquire_statement_token1] = ACTIONS(5368),
    [aux_sym_enum_statement_token1] = ACTIONS(5368),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5368),
    [aux_sym_file_position_statement_token1] = ACTIONS(5368),
    [aux_sym_file_position_statement_token2] = ACTIONS(5368),
    [aux_sym_file_position_statement_token3] = ACTIONS(5368),
    [aux_sym_file_position_statement_token4] = ACTIONS(5368),
    [aux_sym_allocate_statement_token1] = ACTIONS(5368),
    [aux_sym_entry_statement_token1] = ACTIONS(5368),
    [aux_sym_assign_statement_token1] = ACTIONS(5368),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5368),
    [aux_sym_coarray_statement_token1] = ACTIONS(5368),
    [aux_sym_coarray_statement_token2] = ACTIONS(5368),
    [aux_sym_coarray_statement_token6] = ACTIONS(5368),
    [aux_sym_coarray_statement_token8] = ACTIONS(5368),
    [aux_sym_coarray_statement_token11] = ACTIONS(5368),
    [aux_sym_coarray_statement_token12] = ACTIONS(5368),
    [aux_sym_coarray_statement_token13] = ACTIONS(5368),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5368),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5368),
    [aux_sym_identifier_token1] = ACTIONS(5368),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5372),
    [aux_sym_preproc_def_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token2] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5372),
    [aux_sym_preproc_else_token1] = ACTIONS(5372),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5372),
    [sym_preproc_directive] = ACTIONS(5372),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5372),
    [aux_sym_end_program_statement_token1] = ACTIONS(5372),
    [aux_sym_end_program_statement_token2] = ACTIONS(5372),
    [aux_sym_module_statement_token1] = ACTIONS(5372),
    [aux_sym_submodule_statement_token1] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [aux_sym_interface_statement_token1] = ACTIONS(5372),
    [aux_sym_block_data_statement_token1] = ACTIONS(5372),
    [aux_sym_block_data_statement_token2] = ACTIONS(5372),
    [aux_sym_block_data_statement_token3] = ACTIONS(5372),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5372),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5372),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5372),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5372),
    [aux_sym_function_statement_token1] = ACTIONS(5372),
    [aux_sym_language_binding_token1] = ACTIONS(5372),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5372),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5372),
    [aux_sym_contains_statement_token1] = ACTIONS(5372),
    [aux_sym_use_statement_token1] = ACTIONS(5372),
    [aux_sym_use_statement_token2] = ACTIONS(5372),
    [aux_sym_implicit_statement_token1] = ACTIONS(5372),
    [aux_sym_implicit_statement_token3] = ACTIONS(5372),
    [aux_sym_implicit_statement_token4] = ACTIONS(5372),
    [aux_sym_save_statement_token1] = ACTIONS(5372),
    [aux_sym_private_statement_token1] = ACTIONS(5372),
    [aux_sym_public_statement_token1] = ACTIONS(5372),
    [aux_sym_namelist_statement_token1] = ACTIONS(5372),
    [aux_sym_common_statement_token1] = ACTIONS(5372),
    [aux_sym_import_statement_token1] = ACTIONS(5372),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5372),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5372),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5372),
    [aux_sym_variable_attributes_token1] = ACTIONS(5372),
    [aux_sym_variable_attributes_token2] = ACTIONS(5372),
    [aux_sym_variable_attributes_token3] = ACTIONS(5372),
    [aux_sym_variable_attributes_token4] = ACTIONS(5372),
    [aux_sym_variable_attributes_token5] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5372),
    [aux_sym_derived_type_token1] = ACTIONS(5372),
    [aux_sym_declared_type_token1] = ACTIONS(5372),
    [aux_sym_declared_type_token2] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5372),
    [aux_sym_type_qualifier_token1] = ACTIONS(5372),
    [aux_sym_type_qualifier_token2] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5372),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5372),
    [aux_sym_stop_statement_token1] = ACTIONS(5372),
    [aux_sym_stop_statement_token2] = ACTIONS(5372),
    [aux_sym_subroutine_call_token1] = ACTIONS(5372),
    [aux_sym_keyword_statement_token1] = ACTIONS(5372),
    [aux_sym_keyword_statement_token2] = ACTIONS(5372),
    [aux_sym_keyword_statement_token3] = ACTIONS(5372),
    [aux_sym_keyword_statement_token4] = ACTIONS(5372),
    [aux_sym_keyword_statement_token6] = ACTIONS(5372),
    [aux_sym_keyword_statement_token7] = ACTIONS(5372),
    [aux_sym_include_statement_token1] = ACTIONS(5372),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5372),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5372),
    [aux_sym_end_if_statement_token1] = ACTIONS(5372),
    [aux_sym_elseif_clause_token2] = ACTIONS(5372),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5372),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5372),
    [aux_sym_select_case_statement_token1] = ACTIONS(5372),
    [aux_sym_select_case_statement_token3] = ACTIONS(5372),
    [aux_sym_select_type_statement_token1] = ACTIONS(5372),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5372),
    [aux_sym_associate_statement_token1] = ACTIONS(5372),
    [aux_sym_format_statement_token1] = ACTIONS(5372),
    [aux_sym_print_statement_token1] = ACTIONS(5372),
    [aux_sym_open_statement_token1] = ACTIONS(5372),
    [aux_sym_close_statement_token1] = ACTIONS(5372),
    [aux_sym_inquire_statement_token1] = ACTIONS(5372),
    [aux_sym_enum_statement_token1] = ACTIONS(5372),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5372),
    [aux_sym_file_position_statement_token1] = ACTIONS(5372),
    [aux_sym_file_position_statement_token2] = ACTIONS(5372),
    [aux_sym_file_position_statement_token3] = ACTIONS(5372),
    [aux_sym_file_position_statement_token4] = ACTIONS(5372),
    [aux_sym_allocate_statement_token1] = ACTIONS(5372),
    [aux_sym_entry_statement_token1] = ACTIONS(5372),
    [aux_sym_assign_statement_token1] = ACTIONS(5372),
    [aux_sym_logical_expression_token5] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [aux_sym_boolean_literal_token1] = ACTIONS(5374),
    [aux_sym_boolean_literal_token2] = ACTIONS(5374),
    [aux_sym_null_literal_token1] = ACTIONS(5372),
    [aux_sym_coarray_statement_token1] = ACTIONS(5372),
    [aux_sym_coarray_statement_token2] = ACTIONS(5372),
    [aux_sym_coarray_statement_token6] = ACTIONS(5372),
    [aux_sym_coarray_statement_token8] = ACTIONS(5372),
    [aux_sym_coarray_statement_token11] = ACTIONS(5372),
    [aux_sym_coarray_statement_token12] = ACTIONS(5372),
    [aux_sym_coarray_statement_token13] = ACTIONS(5372),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5372),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5372),
    [aux_sym_identifier_token1] = ACTIONS(5372),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5374),
    [sym__float_literal] = ACTIONS(5374),
    [sym__boz_literal] = ACTIONS(5374),
    [sym__string_literal] = ACTIONS(5374),
    [sym__string_literal_kind] = ACTIONS(5374),
  },
  [1055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5376),
    [aux_sym_preproc_def_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5376),
    [sym_preproc_directive] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5376),
    [aux_sym_end_program_statement_token1] = ACTIONS(5376),
    [aux_sym_end_program_statement_token2] = ACTIONS(5376),
    [aux_sym_module_statement_token1] = ACTIONS(5376),
    [aux_sym_submodule_statement_token1] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [aux_sym_interface_statement_token1] = ACTIONS(5376),
    [aux_sym_block_data_statement_token1] = ACTIONS(5376),
    [aux_sym_block_data_statement_token2] = ACTIONS(5376),
    [aux_sym_block_data_statement_token3] = ACTIONS(5376),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5376),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5376),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5376),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5376),
    [aux_sym_function_statement_token1] = ACTIONS(5376),
    [aux_sym_language_binding_token1] = ACTIONS(5376),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5376),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5376),
    [aux_sym_contains_statement_token1] = ACTIONS(5376),
    [aux_sym_use_statement_token1] = ACTIONS(5376),
    [aux_sym_use_statement_token2] = ACTIONS(5376),
    [aux_sym_implicit_statement_token1] = ACTIONS(5376),
    [aux_sym_implicit_statement_token3] = ACTIONS(5376),
    [aux_sym_implicit_statement_token4] = ACTIONS(5376),
    [aux_sym_save_statement_token1] = ACTIONS(5376),
    [aux_sym_private_statement_token1] = ACTIONS(5376),
    [aux_sym_public_statement_token1] = ACTIONS(5376),
    [aux_sym_namelist_statement_token1] = ACTIONS(5376),
    [aux_sym_common_statement_token1] = ACTIONS(5376),
    [aux_sym_import_statement_token1] = ACTIONS(5376),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5376),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5376),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5376),
    [aux_sym_variable_attributes_token1] = ACTIONS(5376),
    [aux_sym_variable_attributes_token2] = ACTIONS(5376),
    [aux_sym_variable_attributes_token3] = ACTIONS(5376),
    [aux_sym_variable_attributes_token4] = ACTIONS(5376),
    [aux_sym_variable_attributes_token5] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5376),
    [aux_sym_derived_type_token1] = ACTIONS(5376),
    [aux_sym_declared_type_token1] = ACTIONS(5376),
    [aux_sym_declared_type_token2] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5376),
    [aux_sym_type_qualifier_token1] = ACTIONS(5376),
    [aux_sym_type_qualifier_token2] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5376),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5376),
    [aux_sym_stop_statement_token1] = ACTIONS(5376),
    [aux_sym_stop_statement_token2] = ACTIONS(5376),
    [aux_sym_subroutine_call_token1] = ACTIONS(5376),
    [aux_sym_keyword_statement_token1] = ACTIONS(5376),
    [aux_sym_keyword_statement_token2] = ACTIONS(5376),
    [aux_sym_keyword_statement_token3] = ACTIONS(5376),
    [aux_sym_keyword_statement_token4] = ACTIONS(5376),
    [aux_sym_keyword_statement_token6] = ACTIONS(5376),
    [aux_sym_keyword_statement_token7] = ACTIONS(5376),
    [aux_sym_include_statement_token1] = ACTIONS(5376),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5376),
    [aux_sym_end_if_statement_token1] = ACTIONS(5376),
    [aux_sym_elseif_clause_token2] = ACTIONS(5376),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5376),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5376),
    [aux_sym_select_case_statement_token1] = ACTIONS(5376),
    [aux_sym_select_case_statement_token3] = ACTIONS(5376),
    [aux_sym_select_type_statement_token1] = ACTIONS(5376),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5376),
    [aux_sym_associate_statement_token1] = ACTIONS(5376),
    [aux_sym_format_statement_token1] = ACTIONS(5376),
    [aux_sym_print_statement_token1] = ACTIONS(5376),
    [aux_sym_open_statement_token1] = ACTIONS(5376),
    [aux_sym_close_statement_token1] = ACTIONS(5376),
    [aux_sym_inquire_statement_token1] = ACTIONS(5376),
    [aux_sym_enum_statement_token1] = ACTIONS(5376),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5376),
    [aux_sym_file_position_statement_token1] = ACTIONS(5376),
    [aux_sym_file_position_statement_token2] = ACTIONS(5376),
    [aux_sym_file_position_statement_token3] = ACTIONS(5376),
    [aux_sym_file_position_statement_token4] = ACTIONS(5376),
    [aux_sym_allocate_statement_token1] = ACTIONS(5376),
    [aux_sym_entry_statement_token1] = ACTIONS(5376),
    [aux_sym_assign_statement_token1] = ACTIONS(5376),
    [aux_sym_logical_expression_token5] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [aux_sym_boolean_literal_token1] = ACTIONS(5378),
    [aux_sym_boolean_literal_token2] = ACTIONS(5378),
    [aux_sym_null_literal_token1] = ACTIONS(5376),
    [aux_sym_coarray_statement_token1] = ACTIONS(5376),
    [aux_sym_coarray_statement_token2] = ACTIONS(5376),
    [aux_sym_coarray_statement_token6] = ACTIONS(5376),
    [aux_sym_coarray_statement_token8] = ACTIONS(5376),
    [aux_sym_coarray_statement_token11] = ACTIONS(5376),
    [aux_sym_coarray_statement_token12] = ACTIONS(5376),
    [aux_sym_coarray_statement_token13] = ACTIONS(5376),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5376),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5376),
    [aux_sym_identifier_token1] = ACTIONS(5376),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5378),
    [sym__float_literal] = ACTIONS(5378),
    [sym__boz_literal] = ACTIONS(5378),
    [sym__string_literal] = ACTIONS(5378),
    [sym__string_literal_kind] = ACTIONS(5378),
  },
  [1056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5380),
    [aux_sym_preproc_def_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token2] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5380),
    [aux_sym_preproc_else_token1] = ACTIONS(5380),
    [aux_sym_preproc_elif_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5380),
    [sym_preproc_directive] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5380),
    [aux_sym_end_program_statement_token1] = ACTIONS(5380),
    [aux_sym_end_program_statement_token2] = ACTIONS(5380),
    [aux_sym_module_statement_token1] = ACTIONS(5380),
    [aux_sym_submodule_statement_token1] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [aux_sym_interface_statement_token1] = ACTIONS(5380),
    [aux_sym_block_data_statement_token1] = ACTIONS(5380),
    [aux_sym_block_data_statement_token2] = ACTIONS(5380),
    [aux_sym_block_data_statement_token3] = ACTIONS(5380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5380),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5380),
    [aux_sym_function_statement_token1] = ACTIONS(5380),
    [aux_sym_language_binding_token1] = ACTIONS(5380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5380),
    [aux_sym_contains_statement_token1] = ACTIONS(5380),
    [aux_sym_use_statement_token1] = ACTIONS(5380),
    [aux_sym_use_statement_token2] = ACTIONS(5380),
    [aux_sym_implicit_statement_token1] = ACTIONS(5380),
    [aux_sym_implicit_statement_token3] = ACTIONS(5380),
    [aux_sym_implicit_statement_token4] = ACTIONS(5380),
    [aux_sym_save_statement_token1] = ACTIONS(5380),
    [aux_sym_private_statement_token1] = ACTIONS(5380),
    [aux_sym_public_statement_token1] = ACTIONS(5380),
    [aux_sym_namelist_statement_token1] = ACTIONS(5380),
    [aux_sym_common_statement_token1] = ACTIONS(5380),
    [aux_sym_import_statement_token1] = ACTIONS(5380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5380),
    [aux_sym_variable_attributes_token1] = ACTIONS(5380),
    [aux_sym_variable_attributes_token2] = ACTIONS(5380),
    [aux_sym_variable_attributes_token3] = ACTIONS(5380),
    [aux_sym_variable_attributes_token4] = ACTIONS(5380),
    [aux_sym_variable_attributes_token5] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5380),
    [aux_sym_derived_type_token1] = ACTIONS(5380),
    [aux_sym_declared_type_token1] = ACTIONS(5380),
    [aux_sym_declared_type_token2] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5380),
    [aux_sym_type_qualifier_token1] = ACTIONS(5380),
    [aux_sym_type_qualifier_token2] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5380),
    [aux_sym_stop_statement_token1] = ACTIONS(5380),
    [aux_sym_stop_statement_token2] = ACTIONS(5380),
    [aux_sym_subroutine_call_token1] = ACTIONS(5380),
    [aux_sym_keyword_statement_token1] = ACTIONS(5380),
    [aux_sym_keyword_statement_token2] = ACTIONS(5380),
    [aux_sym_keyword_statement_token3] = ACTIONS(5380),
    [aux_sym_keyword_statement_token4] = ACTIONS(5380),
    [aux_sym_keyword_statement_token6] = ACTIONS(5380),
    [aux_sym_keyword_statement_token7] = ACTIONS(5380),
    [aux_sym_include_statement_token1] = ACTIONS(5380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5380),
    [aux_sym_end_if_statement_token1] = ACTIONS(5380),
    [aux_sym_elseif_clause_token2] = ACTIONS(5380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5380),
    [aux_sym_select_case_statement_token1] = ACTIONS(5380),
    [aux_sym_select_case_statement_token3] = ACTIONS(5380),
    [aux_sym_select_type_statement_token1] = ACTIONS(5380),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5380),
    [aux_sym_associate_statement_token1] = ACTIONS(5380),
    [aux_sym_format_statement_token1] = ACTIONS(5380),
    [aux_sym_print_statement_token1] = ACTIONS(5380),
    [aux_sym_open_statement_token1] = ACTIONS(5380),
    [aux_sym_close_statement_token1] = ACTIONS(5380),
    [aux_sym_inquire_statement_token1] = ACTIONS(5380),
    [aux_sym_enum_statement_token1] = ACTIONS(5380),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5380),
    [aux_sym_file_position_statement_token1] = ACTIONS(5380),
    [aux_sym_file_position_statement_token2] = ACTIONS(5380),
    [aux_sym_file_position_statement_token3] = ACTIONS(5380),
    [aux_sym_file_position_statement_token4] = ACTIONS(5380),
    [aux_sym_allocate_statement_token1] = ACTIONS(5380),
    [aux_sym_entry_statement_token1] = ACTIONS(5380),
    [aux_sym_assign_statement_token1] = ACTIONS(5380),
    [aux_sym_logical_expression_token5] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [aux_sym_boolean_literal_token1] = ACTIONS(5382),
    [aux_sym_boolean_literal_token2] = ACTIONS(5382),
    [aux_sym_null_literal_token1] = ACTIONS(5380),
    [aux_sym_coarray_statement_token1] = ACTIONS(5380),
    [aux_sym_coarray_statement_token2] = ACTIONS(5380),
    [aux_sym_coarray_statement_token6] = ACTIONS(5380),
    [aux_sym_coarray_statement_token8] = ACTIONS(5380),
    [aux_sym_coarray_statement_token11] = ACTIONS(5380),
    [aux_sym_coarray_statement_token12] = ACTIONS(5380),
    [aux_sym_coarray_statement_token13] = ACTIONS(5380),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5380),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5380),
    [aux_sym_identifier_token1] = ACTIONS(5380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5382),
    [sym__float_literal] = ACTIONS(5382),
    [sym__boz_literal] = ACTIONS(5382),
    [sym__string_literal] = ACTIONS(5382),
    [sym__string_literal_kind] = ACTIONS(5382),
  },
  [1057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [aux_sym_preproc_else_token1] = ACTIONS(5384),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token2] = ACTIONS(5384),
    [aux_sym_module_statement_token1] = ACTIONS(5384),
    [aux_sym_submodule_statement_token1] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_block_data_statement_token3] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_function_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [aux_sym_boolean_literal_token1] = ACTIONS(5386),
    [aux_sym_boolean_literal_token2] = ACTIONS(5386),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5386),
    [sym__float_literal] = ACTIONS(5386),
    [sym__boz_literal] = ACTIONS(5386),
    [sym__string_literal] = ACTIONS(5386),
    [sym__string_literal_kind] = ACTIONS(5386),
  },
  [1058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [aux_sym_preproc_else_token1] = ACTIONS(5388),
    [aux_sym_preproc_elif_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5388),
    [aux_sym_end_program_statement_token1] = ACTIONS(5388),
    [aux_sym_end_program_statement_token2] = ACTIONS(5388),
    [aux_sym_module_statement_token1] = ACTIONS(5388),
    [aux_sym_submodule_statement_token1] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [aux_sym_interface_statement_token1] = ACTIONS(5388),
    [aux_sym_block_data_statement_token1] = ACTIONS(5388),
    [aux_sym_block_data_statement_token2] = ACTIONS(5388),
    [aux_sym_block_data_statement_token3] = ACTIONS(5388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5388),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5388),
    [aux_sym_function_statement_token1] = ACTIONS(5388),
    [aux_sym_language_binding_token1] = ACTIONS(5388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5388),
    [aux_sym_contains_statement_token1] = ACTIONS(5388),
    [aux_sym_use_statement_token1] = ACTIONS(5388),
    [aux_sym_use_statement_token2] = ACTIONS(5388),
    [aux_sym_implicit_statement_token1] = ACTIONS(5388),
    [aux_sym_implicit_statement_token3] = ACTIONS(5388),
    [aux_sym_implicit_statement_token4] = ACTIONS(5388),
    [aux_sym_save_statement_token1] = ACTIONS(5388),
    [aux_sym_private_statement_token1] = ACTIONS(5388),
    [aux_sym_public_statement_token1] = ACTIONS(5388),
    [aux_sym_namelist_statement_token1] = ACTIONS(5388),
    [aux_sym_common_statement_token1] = ACTIONS(5388),
    [aux_sym_import_statement_token1] = ACTIONS(5388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5388),
    [aux_sym_variable_attributes_token1] = ACTIONS(5388),
    [aux_sym_variable_attributes_token2] = ACTIONS(5388),
    [aux_sym_variable_attributes_token3] = ACTIONS(5388),
    [aux_sym_variable_attributes_token4] = ACTIONS(5388),
    [aux_sym_variable_attributes_token5] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5388),
    [aux_sym_derived_type_token1] = ACTIONS(5388),
    [aux_sym_declared_type_token1] = ACTIONS(5388),
    [aux_sym_declared_type_token2] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5388),
    [aux_sym_type_qualifier_token1] = ACTIONS(5388),
    [aux_sym_type_qualifier_token2] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5388),
    [aux_sym_stop_statement_token1] = ACTIONS(5388),
    [aux_sym_stop_statement_token2] = ACTIONS(5388),
    [aux_sym_subroutine_call_token1] = ACTIONS(5388),
    [aux_sym_keyword_statement_token1] = ACTIONS(5388),
    [aux_sym_keyword_statement_token2] = ACTIONS(5388),
    [aux_sym_keyword_statement_token3] = ACTIONS(5388),
    [aux_sym_keyword_statement_token4] = ACTIONS(5388),
    [aux_sym_keyword_statement_token6] = ACTIONS(5388),
    [aux_sym_keyword_statement_token7] = ACTIONS(5388),
    [aux_sym_include_statement_token1] = ACTIONS(5388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5388),
    [aux_sym_end_if_statement_token1] = ACTIONS(5388),
    [aux_sym_elseif_clause_token2] = ACTIONS(5388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5388),
    [aux_sym_select_case_statement_token1] = ACTIONS(5388),
    [aux_sym_select_case_statement_token3] = ACTIONS(5388),
    [aux_sym_select_type_statement_token1] = ACTIONS(5388),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5388),
    [aux_sym_associate_statement_token1] = ACTIONS(5388),
    [aux_sym_format_statement_token1] = ACTIONS(5388),
    [aux_sym_print_statement_token1] = ACTIONS(5388),
    [aux_sym_open_statement_token1] = ACTIONS(5388),
    [aux_sym_close_statement_token1] = ACTIONS(5388),
    [aux_sym_inquire_statement_token1] = ACTIONS(5388),
    [aux_sym_enum_statement_token1] = ACTIONS(5388),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5388),
    [aux_sym_file_position_statement_token1] = ACTIONS(5388),
    [aux_sym_file_position_statement_token2] = ACTIONS(5388),
    [aux_sym_file_position_statement_token3] = ACTIONS(5388),
    [aux_sym_file_position_statement_token4] = ACTIONS(5388),
    [aux_sym_allocate_statement_token1] = ACTIONS(5388),
    [aux_sym_entry_statement_token1] = ACTIONS(5388),
    [aux_sym_assign_statement_token1] = ACTIONS(5388),
    [aux_sym_logical_expression_token5] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [aux_sym_boolean_literal_token1] = ACTIONS(5390),
    [aux_sym_boolean_literal_token2] = ACTIONS(5390),
    [aux_sym_null_literal_token1] = ACTIONS(5388),
    [aux_sym_coarray_statement_token1] = ACTIONS(5388),
    [aux_sym_coarray_statement_token2] = ACTIONS(5388),
    [aux_sym_coarray_statement_token6] = ACTIONS(5388),
    [aux_sym_coarray_statement_token8] = ACTIONS(5388),
    [aux_sym_coarray_statement_token11] = ACTIONS(5388),
    [aux_sym_coarray_statement_token12] = ACTIONS(5388),
    [aux_sym_coarray_statement_token13] = ACTIONS(5388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5388),
    [aux_sym_identifier_token1] = ACTIONS(5388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5390),
    [sym__float_literal] = ACTIONS(5390),
    [sym__boz_literal] = ACTIONS(5390),
    [sym__string_literal] = ACTIONS(5390),
    [sym__string_literal_kind] = ACTIONS(5390),
  },
  [1059] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [aux_sym_preproc_else_token1] = ACTIONS(5392),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5392),
    [aux_sym_end_program_statement_token1] = ACTIONS(5392),
    [aux_sym_end_program_statement_token2] = ACTIONS(5392),
    [aux_sym_module_statement_token1] = ACTIONS(5392),
    [aux_sym_submodule_statement_token1] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5392),
    [aux_sym_block_data_statement_token1] = ACTIONS(5392),
    [aux_sym_block_data_statement_token2] = ACTIONS(5392),
    [aux_sym_block_data_statement_token3] = ACTIONS(5392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5392),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5392),
    [aux_sym_function_statement_token1] = ACTIONS(5392),
    [aux_sym_language_binding_token1] = ACTIONS(5392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5392),
    [aux_sym_contains_statement_token1] = ACTIONS(5392),
    [aux_sym_use_statement_token1] = ACTIONS(5392),
    [aux_sym_use_statement_token2] = ACTIONS(5392),
    [aux_sym_implicit_statement_token1] = ACTIONS(5392),
    [aux_sym_implicit_statement_token3] = ACTIONS(5392),
    [aux_sym_implicit_statement_token4] = ACTIONS(5392),
    [aux_sym_save_statement_token1] = ACTIONS(5392),
    [aux_sym_private_statement_token1] = ACTIONS(5392),
    [aux_sym_public_statement_token1] = ACTIONS(5392),
    [aux_sym_namelist_statement_token1] = ACTIONS(5392),
    [aux_sym_common_statement_token1] = ACTIONS(5392),
    [aux_sym_import_statement_token1] = ACTIONS(5392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5392),
    [aux_sym_variable_attributes_token1] = ACTIONS(5392),
    [aux_sym_variable_attributes_token2] = ACTIONS(5392),
    [aux_sym_variable_attributes_token3] = ACTIONS(5392),
    [aux_sym_variable_attributes_token4] = ACTIONS(5392),
    [aux_sym_variable_attributes_token5] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5392),
    [aux_sym_derived_type_token1] = ACTIONS(5392),
    [aux_sym_declared_type_token1] = ACTIONS(5392),
    [aux_sym_declared_type_token2] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5392),
    [aux_sym_type_qualifier_token1] = ACTIONS(5392),
    [aux_sym_type_qualifier_token2] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5392),
    [aux_sym_stop_statement_token1] = ACTIONS(5392),
    [aux_sym_stop_statement_token2] = ACTIONS(5392),
    [aux_sym_subroutine_call_token1] = ACTIONS(5392),
    [aux_sym_keyword_statement_token1] = ACTIONS(5392),
    [aux_sym_keyword_statement_token2] = ACTIONS(5392),
    [aux_sym_keyword_statement_token3] = ACTIONS(5392),
    [aux_sym_keyword_statement_token4] = ACTIONS(5392),
    [aux_sym_keyword_statement_token6] = ACTIONS(5392),
    [aux_sym_keyword_statement_token7] = ACTIONS(5392),
    [aux_sym_include_statement_token1] = ACTIONS(5392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5392),
    [aux_sym_end_if_statement_token1] = ACTIONS(5392),
    [aux_sym_elseif_clause_token2] = ACTIONS(5392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5392),
    [aux_sym_select_case_statement_token1] = ACTIONS(5392),
    [aux_sym_select_case_statement_token3] = ACTIONS(5392),
    [aux_sym_select_type_statement_token1] = ACTIONS(5392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5392),
    [aux_sym_associate_statement_token1] = ACTIONS(5392),
    [aux_sym_format_statement_token1] = ACTIONS(5392),
    [aux_sym_print_statement_token1] = ACTIONS(5392),
    [aux_sym_open_statement_token1] = ACTIONS(5392),
    [aux_sym_close_statement_token1] = ACTIONS(5392),
    [aux_sym_inquire_statement_token1] = ACTIONS(5392),
    [aux_sym_enum_statement_token1] = ACTIONS(5392),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5392),
    [aux_sym_file_position_statement_token1] = ACTIONS(5392),
    [aux_sym_file_position_statement_token2] = ACTIONS(5392),
    [aux_sym_file_position_statement_token3] = ACTIONS(5392),
    [aux_sym_file_position_statement_token4] = ACTIONS(5392),
    [aux_sym_allocate_statement_token1] = ACTIONS(5392),
    [aux_sym_entry_statement_token1] = ACTIONS(5392),
    [aux_sym_assign_statement_token1] = ACTIONS(5392),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5392),
    [aux_sym_coarray_statement_token1] = ACTIONS(5392),
    [aux_sym_coarray_statement_token2] = ACTIONS(5392),
    [aux_sym_coarray_statement_token6] = ACTIONS(5392),
    [aux_sym_coarray_statement_token8] = ACTIONS(5392),
    [aux_sym_coarray_statement_token11] = ACTIONS(5392),
    [aux_sym_coarray_statement_token12] = ACTIONS(5392),
    [aux_sym_coarray_statement_token13] = ACTIONS(5392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5392),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5392),
    [aux_sym_identifier_token1] = ACTIONS(5392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1060] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [aux_sym_preproc_else_token1] = ACTIONS(5396),
    [aux_sym_preproc_elif_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5396),
    [aux_sym_end_program_statement_token1] = ACTIONS(5396),
    [aux_sym_end_program_statement_token2] = ACTIONS(5396),
    [aux_sym_module_statement_token1] = ACTIONS(5396),
    [aux_sym_submodule_statement_token1] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [aux_sym_interface_statement_token1] = ACTIONS(5396),
    [aux_sym_block_data_statement_token1] = ACTIONS(5396),
    [aux_sym_block_data_statement_token2] = ACTIONS(5396),
    [aux_sym_block_data_statement_token3] = ACTIONS(5396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5396),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5396),
    [aux_sym_function_statement_token1] = ACTIONS(5396),
    [aux_sym_language_binding_token1] = ACTIONS(5396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5396),
    [aux_sym_contains_statement_token1] = ACTIONS(5396),
    [aux_sym_use_statement_token1] = ACTIONS(5396),
    [aux_sym_use_statement_token2] = ACTIONS(5396),
    [aux_sym_implicit_statement_token1] = ACTIONS(5396),
    [aux_sym_implicit_statement_token3] = ACTIONS(5396),
    [aux_sym_implicit_statement_token4] = ACTIONS(5396),
    [aux_sym_save_statement_token1] = ACTIONS(5396),
    [aux_sym_private_statement_token1] = ACTIONS(5396),
    [aux_sym_public_statement_token1] = ACTIONS(5396),
    [aux_sym_namelist_statement_token1] = ACTIONS(5396),
    [aux_sym_common_statement_token1] = ACTIONS(5396),
    [aux_sym_import_statement_token1] = ACTIONS(5396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5396),
    [aux_sym_variable_attributes_token1] = ACTIONS(5396),
    [aux_sym_variable_attributes_token2] = ACTIONS(5396),
    [aux_sym_variable_attributes_token3] = ACTIONS(5396),
    [aux_sym_variable_attributes_token4] = ACTIONS(5396),
    [aux_sym_variable_attributes_token5] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5396),
    [aux_sym_derived_type_token1] = ACTIONS(5396),
    [aux_sym_declared_type_token1] = ACTIONS(5396),
    [aux_sym_declared_type_token2] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5396),
    [aux_sym_type_qualifier_token1] = ACTIONS(5396),
    [aux_sym_type_qualifier_token2] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5396),
    [aux_sym_stop_statement_token1] = ACTIONS(5396),
    [aux_sym_stop_statement_token2] = ACTIONS(5396),
    [aux_sym_subroutine_call_token1] = ACTIONS(5396),
    [aux_sym_keyword_statement_token1] = ACTIONS(5396),
    [aux_sym_keyword_statement_token2] = ACTIONS(5396),
    [aux_sym_keyword_statement_token3] = ACTIONS(5396),
    [aux_sym_keyword_statement_token4] = ACTIONS(5396),
    [aux_sym_keyword_statement_token6] = ACTIONS(5396),
    [aux_sym_keyword_statement_token7] = ACTIONS(5396),
    [aux_sym_include_statement_token1] = ACTIONS(5396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5396),
    [aux_sym_end_if_statement_token1] = ACTIONS(5396),
    [aux_sym_elseif_clause_token2] = ACTIONS(5396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5396),
    [aux_sym_select_case_statement_token1] = ACTIONS(5396),
    [aux_sym_select_case_statement_token3] = ACTIONS(5396),
    [aux_sym_select_type_statement_token1] = ACTIONS(5396),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5396),
    [aux_sym_associate_statement_token1] = ACTIONS(5396),
    [aux_sym_format_statement_token1] = ACTIONS(5396),
    [aux_sym_print_statement_token1] = ACTIONS(5396),
    [aux_sym_open_statement_token1] = ACTIONS(5396),
    [aux_sym_close_statement_token1] = ACTIONS(5396),
    [aux_sym_inquire_statement_token1] = ACTIONS(5396),
    [aux_sym_enum_statement_token1] = ACTIONS(5396),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5396),
    [aux_sym_file_position_statement_token1] = ACTIONS(5396),
    [aux_sym_file_position_statement_token2] = ACTIONS(5396),
    [aux_sym_file_position_statement_token3] = ACTIONS(5396),
    [aux_sym_file_position_statement_token4] = ACTIONS(5396),
    [aux_sym_allocate_statement_token1] = ACTIONS(5396),
    [aux_sym_entry_statement_token1] = ACTIONS(5396),
    [aux_sym_assign_statement_token1] = ACTIONS(5396),
    [aux_sym_logical_expression_token5] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [aux_sym_boolean_literal_token1] = ACTIONS(5398),
    [aux_sym_boolean_literal_token2] = ACTIONS(5398),
    [aux_sym_null_literal_token1] = ACTIONS(5396),
    [aux_sym_coarray_statement_token1] = ACTIONS(5396),
    [aux_sym_coarray_statement_token2] = ACTIONS(5396),
    [aux_sym_coarray_statement_token6] = ACTIONS(5396),
    [aux_sym_coarray_statement_token8] = ACTIONS(5396),
    [aux_sym_coarray_statement_token11] = ACTIONS(5396),
    [aux_sym_coarray_statement_token12] = ACTIONS(5396),
    [aux_sym_coarray_statement_token13] = ACTIONS(5396),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5396),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5396),
    [aux_sym_identifier_token1] = ACTIONS(5396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5398),
    [sym__float_literal] = ACTIONS(5398),
    [sym__boz_literal] = ACTIONS(5398),
    [sym__string_literal] = ACTIONS(5398),
    [sym__string_literal_kind] = ACTIONS(5398),
  },
  [1061] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [aux_sym_preproc_else_token1] = ACTIONS(5400),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5400),
    [aux_sym_end_program_statement_token1] = ACTIONS(5400),
    [aux_sym_end_program_statement_token2] = ACTIONS(5400),
    [aux_sym_module_statement_token1] = ACTIONS(5400),
    [aux_sym_submodule_statement_token1] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5400),
    [aux_sym_block_data_statement_token1] = ACTIONS(5400),
    [aux_sym_block_data_statement_token2] = ACTIONS(5400),
    [aux_sym_block_data_statement_token3] = ACTIONS(5400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5400),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5400),
    [aux_sym_function_statement_token1] = ACTIONS(5400),
    [aux_sym_language_binding_token1] = ACTIONS(5400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5400),
    [aux_sym_contains_statement_token1] = ACTIONS(5400),
    [aux_sym_use_statement_token1] = ACTIONS(5400),
    [aux_sym_use_statement_token2] = ACTIONS(5400),
    [aux_sym_implicit_statement_token1] = ACTIONS(5400),
    [aux_sym_implicit_statement_token3] = ACTIONS(5400),
    [aux_sym_implicit_statement_token4] = ACTIONS(5400),
    [aux_sym_save_statement_token1] = ACTIONS(5400),
    [aux_sym_private_statement_token1] = ACTIONS(5400),
    [aux_sym_public_statement_token1] = ACTIONS(5400),
    [aux_sym_namelist_statement_token1] = ACTIONS(5400),
    [aux_sym_common_statement_token1] = ACTIONS(5400),
    [aux_sym_import_statement_token1] = ACTIONS(5400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5400),
    [aux_sym_variable_attributes_token1] = ACTIONS(5400),
    [aux_sym_variable_attributes_token2] = ACTIONS(5400),
    [aux_sym_variable_attributes_token3] = ACTIONS(5400),
    [aux_sym_variable_attributes_token4] = ACTIONS(5400),
    [aux_sym_variable_attributes_token5] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5400),
    [aux_sym_derived_type_token1] = ACTIONS(5400),
    [aux_sym_declared_type_token1] = ACTIONS(5400),
    [aux_sym_declared_type_token2] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5400),
    [aux_sym_type_qualifier_token1] = ACTIONS(5400),
    [aux_sym_type_qualifier_token2] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5400),
    [aux_sym_stop_statement_token1] = ACTIONS(5400),
    [aux_sym_stop_statement_token2] = ACTIONS(5400),
    [aux_sym_subroutine_call_token1] = ACTIONS(5400),
    [aux_sym_keyword_statement_token1] = ACTIONS(5400),
    [aux_sym_keyword_statement_token2] = ACTIONS(5400),
    [aux_sym_keyword_statement_token3] = ACTIONS(5400),
    [aux_sym_keyword_statement_token4] = ACTIONS(5400),
    [aux_sym_keyword_statement_token6] = ACTIONS(5400),
    [aux_sym_keyword_statement_token7] = ACTIONS(5400),
    [aux_sym_include_statement_token1] = ACTIONS(5400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5400),
    [aux_sym_end_if_statement_token1] = ACTIONS(5400),
    [aux_sym_elseif_clause_token2] = ACTIONS(5400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5400),
    [aux_sym_select_case_statement_token1] = ACTIONS(5400),
    [aux_sym_select_case_statement_token3] = ACTIONS(5400),
    [aux_sym_select_type_statement_token1] = ACTIONS(5400),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5400),
    [aux_sym_associate_statement_token1] = ACTIONS(5400),
    [aux_sym_format_statement_token1] = ACTIONS(5400),
    [aux_sym_print_statement_token1] = ACTIONS(5400),
    [aux_sym_open_statement_token1] = ACTIONS(5400),
    [aux_sym_close_statement_token1] = ACTIONS(5400),
    [aux_sym_inquire_statement_token1] = ACTIONS(5400),
    [aux_sym_enum_statement_token1] = ACTIONS(5400),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5400),
    [aux_sym_file_position_statement_token1] = ACTIONS(5400),
    [aux_sym_file_position_statement_token2] = ACTIONS(5400),
    [aux_sym_file_position_statement_token3] = ACTIONS(5400),
    [aux_sym_file_position_statement_token4] = ACTIONS(5400),
    [aux_sym_allocate_statement_token1] = ACTIONS(5400),
    [aux_sym_entry_statement_token1] = ACTIONS(5400),
    [aux_sym_assign_statement_token1] = ACTIONS(5400),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5400),
    [aux_sym_coarray_statement_token1] = ACTIONS(5400),
    [aux_sym_coarray_statement_token2] = ACTIONS(5400),
    [aux_sym_coarray_statement_token6] = ACTIONS(5400),
    [aux_sym_coarray_statement_token8] = ACTIONS(5400),
    [aux_sym_coarray_statement_token11] = ACTIONS(5400),
    [aux_sym_coarray_statement_token12] = ACTIONS(5400),
    [aux_sym_coarray_statement_token13] = ACTIONS(5400),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5400),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5400),
    [aux_sym_identifier_token1] = ACTIONS(5400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [aux_sym_preproc_else_token1] = ACTIONS(5404),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5404),
    [aux_sym_end_program_statement_token1] = ACTIONS(5404),
    [aux_sym_end_program_statement_token2] = ACTIONS(5404),
    [aux_sym_module_statement_token1] = ACTIONS(5404),
    [aux_sym_submodule_statement_token1] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [aux_sym_interface_statement_token1] = ACTIONS(5404),
    [aux_sym_block_data_statement_token1] = ACTIONS(5404),
    [aux_sym_block_data_statement_token2] = ACTIONS(5404),
    [aux_sym_block_data_statement_token3] = ACTIONS(5404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5404),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5404),
    [aux_sym_function_statement_token1] = ACTIONS(5404),
    [aux_sym_language_binding_token1] = ACTIONS(5404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5404),
    [aux_sym_contains_statement_token1] = ACTIONS(5404),
    [aux_sym_use_statement_token1] = ACTIONS(5404),
    [aux_sym_use_statement_token2] = ACTIONS(5404),
    [aux_sym_implicit_statement_token1] = ACTIONS(5404),
    [aux_sym_implicit_statement_token3] = ACTIONS(5404),
    [aux_sym_implicit_statement_token4] = ACTIONS(5404),
    [aux_sym_save_statement_token1] = ACTIONS(5404),
    [aux_sym_private_statement_token1] = ACTIONS(5404),
    [aux_sym_public_statement_token1] = ACTIONS(5404),
    [aux_sym_namelist_statement_token1] = ACTIONS(5404),
    [aux_sym_common_statement_token1] = ACTIONS(5404),
    [aux_sym_import_statement_token1] = ACTIONS(5404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5404),
    [aux_sym_variable_attributes_token1] = ACTIONS(5404),
    [aux_sym_variable_attributes_token2] = ACTIONS(5404),
    [aux_sym_variable_attributes_token3] = ACTIONS(5404),
    [aux_sym_variable_attributes_token4] = ACTIONS(5404),
    [aux_sym_variable_attributes_token5] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5404),
    [aux_sym_derived_type_token1] = ACTIONS(5404),
    [aux_sym_declared_type_token1] = ACTIONS(5404),
    [aux_sym_declared_type_token2] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5404),
    [aux_sym_type_qualifier_token1] = ACTIONS(5404),
    [aux_sym_type_qualifier_token2] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5404),
    [aux_sym_stop_statement_token1] = ACTIONS(5404),
    [aux_sym_stop_statement_token2] = ACTIONS(5404),
    [aux_sym_subroutine_call_token1] = ACTIONS(5404),
    [aux_sym_keyword_statement_token1] = ACTIONS(5404),
    [aux_sym_keyword_statement_token2] = ACTIONS(5404),
    [aux_sym_keyword_statement_token3] = ACTIONS(5404),
    [aux_sym_keyword_statement_token4] = ACTIONS(5404),
    [aux_sym_keyword_statement_token6] = ACTIONS(5404),
    [aux_sym_keyword_statement_token7] = ACTIONS(5404),
    [aux_sym_include_statement_token1] = ACTIONS(5404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5404),
    [aux_sym_end_if_statement_token1] = ACTIONS(5404),
    [aux_sym_elseif_clause_token2] = ACTIONS(5404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5404),
    [aux_sym_select_case_statement_token1] = ACTIONS(5404),
    [aux_sym_select_case_statement_token3] = ACTIONS(5404),
    [aux_sym_select_type_statement_token1] = ACTIONS(5404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5404),
    [aux_sym_associate_statement_token1] = ACTIONS(5404),
    [aux_sym_format_statement_token1] = ACTIONS(5404),
    [aux_sym_print_statement_token1] = ACTIONS(5404),
    [aux_sym_open_statement_token1] = ACTIONS(5404),
    [aux_sym_close_statement_token1] = ACTIONS(5404),
    [aux_sym_inquire_statement_token1] = ACTIONS(5404),
    [aux_sym_enum_statement_token1] = ACTIONS(5404),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5404),
    [aux_sym_file_position_statement_token1] = ACTIONS(5404),
    [aux_sym_file_position_statement_token2] = ACTIONS(5404),
    [aux_sym_file_position_statement_token3] = ACTIONS(5404),
    [aux_sym_file_position_statement_token4] = ACTIONS(5404),
    [aux_sym_allocate_statement_token1] = ACTIONS(5404),
    [aux_sym_entry_statement_token1] = ACTIONS(5404),
    [aux_sym_assign_statement_token1] = ACTIONS(5404),
    [aux_sym_logical_expression_token5] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [aux_sym_boolean_literal_token1] = ACTIONS(5406),
    [aux_sym_boolean_literal_token2] = ACTIONS(5406),
    [aux_sym_null_literal_token1] = ACTIONS(5404),
    [aux_sym_coarray_statement_token1] = ACTIONS(5404),
    [aux_sym_coarray_statement_token2] = ACTIONS(5404),
    [aux_sym_coarray_statement_token6] = ACTIONS(5404),
    [aux_sym_coarray_statement_token8] = ACTIONS(5404),
    [aux_sym_coarray_statement_token11] = ACTIONS(5404),
    [aux_sym_coarray_statement_token12] = ACTIONS(5404),
    [aux_sym_coarray_statement_token13] = ACTIONS(5404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5404),
    [aux_sym_identifier_token1] = ACTIONS(5404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5406),
    [sym__float_literal] = ACTIONS(5406),
    [sym__boz_literal] = ACTIONS(5406),
    [sym__string_literal] = ACTIONS(5406),
    [sym__string_literal_kind] = ACTIONS(5406),
  },
  [1063] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [aux_sym_preproc_else_token1] = ACTIONS(5408),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5408),
    [aux_sym_end_program_statement_token1] = ACTIONS(5408),
    [aux_sym_end_program_statement_token2] = ACTIONS(5408),
    [aux_sym_module_statement_token1] = ACTIONS(5408),
    [aux_sym_submodule_statement_token1] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [aux_sym_interface_statement_token1] = ACTIONS(5408),
    [aux_sym_block_data_statement_token1] = ACTIONS(5408),
    [aux_sym_block_data_statement_token2] = ACTIONS(5408),
    [aux_sym_block_data_statement_token3] = ACTIONS(5408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5408),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5408),
    [aux_sym_function_statement_token1] = ACTIONS(5408),
    [aux_sym_language_binding_token1] = ACTIONS(5408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5408),
    [aux_sym_contains_statement_token1] = ACTIONS(5408),
    [aux_sym_use_statement_token1] = ACTIONS(5408),
    [aux_sym_use_statement_token2] = ACTIONS(5408),
    [aux_sym_implicit_statement_token1] = ACTIONS(5408),
    [aux_sym_implicit_statement_token3] = ACTIONS(5408),
    [aux_sym_implicit_statement_token4] = ACTIONS(5408),
    [aux_sym_save_statement_token1] = ACTIONS(5408),
    [aux_sym_private_statement_token1] = ACTIONS(5408),
    [aux_sym_public_statement_token1] = ACTIONS(5408),
    [aux_sym_namelist_statement_token1] = ACTIONS(5408),
    [aux_sym_common_statement_token1] = ACTIONS(5408),
    [aux_sym_import_statement_token1] = ACTIONS(5408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5408),
    [aux_sym_variable_attributes_token1] = ACTIONS(5408),
    [aux_sym_variable_attributes_token2] = ACTIONS(5408),
    [aux_sym_variable_attributes_token3] = ACTIONS(5408),
    [aux_sym_variable_attributes_token4] = ACTIONS(5408),
    [aux_sym_variable_attributes_token5] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5408),
    [aux_sym_derived_type_token1] = ACTIONS(5408),
    [aux_sym_declared_type_token1] = ACTIONS(5408),
    [aux_sym_declared_type_token2] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5408),
    [aux_sym_type_qualifier_token1] = ACTIONS(5408),
    [aux_sym_type_qualifier_token2] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5408),
    [aux_sym_stop_statement_token1] = ACTIONS(5408),
    [aux_sym_stop_statement_token2] = ACTIONS(5408),
    [aux_sym_subroutine_call_token1] = ACTIONS(5408),
    [aux_sym_keyword_statement_token1] = ACTIONS(5408),
    [aux_sym_keyword_statement_token2] = ACTIONS(5408),
    [aux_sym_keyword_statement_token3] = ACTIONS(5408),
    [aux_sym_keyword_statement_token4] = ACTIONS(5408),
    [aux_sym_keyword_statement_token6] = ACTIONS(5408),
    [aux_sym_keyword_statement_token7] = ACTIONS(5408),
    [aux_sym_include_statement_token1] = ACTIONS(5408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5408),
    [aux_sym_end_if_statement_token1] = ACTIONS(5408),
    [aux_sym_elseif_clause_token2] = ACTIONS(5408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5408),
    [aux_sym_select_case_statement_token1] = ACTIONS(5408),
    [aux_sym_select_case_statement_token3] = ACTIONS(5408),
    [aux_sym_select_type_statement_token1] = ACTIONS(5408),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5408),
    [aux_sym_associate_statement_token1] = ACTIONS(5408),
    [aux_sym_format_statement_token1] = ACTIONS(5408),
    [aux_sym_print_statement_token1] = ACTIONS(5408),
    [aux_sym_open_statement_token1] = ACTIONS(5408),
    [aux_sym_close_statement_token1] = ACTIONS(5408),
    [aux_sym_inquire_statement_token1] = ACTIONS(5408),
    [aux_sym_enum_statement_token1] = ACTIONS(5408),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5408),
    [aux_sym_file_position_statement_token1] = ACTIONS(5408),
    [aux_sym_file_position_statement_token2] = ACTIONS(5408),
    [aux_sym_file_position_statement_token3] = ACTIONS(5408),
    [aux_sym_file_position_statement_token4] = ACTIONS(5408),
    [aux_sym_allocate_statement_token1] = ACTIONS(5408),
    [aux_sym_entry_statement_token1] = ACTIONS(5408),
    [aux_sym_assign_statement_token1] = ACTIONS(5408),
    [aux_sym_logical_expression_token5] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [aux_sym_boolean_literal_token1] = ACTIONS(5410),
    [aux_sym_boolean_literal_token2] = ACTIONS(5410),
    [aux_sym_null_literal_token1] = ACTIONS(5408),
    [aux_sym_coarray_statement_token1] = ACTIONS(5408),
    [aux_sym_coarray_statement_token2] = ACTIONS(5408),
    [aux_sym_coarray_statement_token6] = ACTIONS(5408),
    [aux_sym_coarray_statement_token8] = ACTIONS(5408),
    [aux_sym_coarray_statement_token11] = ACTIONS(5408),
    [aux_sym_coarray_statement_token12] = ACTIONS(5408),
    [aux_sym_coarray_statement_token13] = ACTIONS(5408),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5408),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5408),
    [aux_sym_identifier_token1] = ACTIONS(5408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5410),
    [sym__float_literal] = ACTIONS(5410),
    [sym__boz_literal] = ACTIONS(5410),
    [sym__string_literal] = ACTIONS(5410),
    [sym__string_literal_kind] = ACTIONS(5410),
  },
  [1064] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [aux_sym_boolean_literal_token1] = ACTIONS(5116),
    [aux_sym_boolean_literal_token2] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5116),
    [sym__float_literal] = ACTIONS(5116),
    [sym__boz_literal] = ACTIONS(5116),
    [sym__string_literal] = ACTIONS(5116),
    [sym__string_literal_kind] = ACTIONS(5116),
  },
  [1065] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [aux_sym_preproc_else_token1] = ACTIONS(5412),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5412),
    [aux_sym_end_program_statement_token1] = ACTIONS(5412),
    [aux_sym_end_program_statement_token2] = ACTIONS(5412),
    [aux_sym_module_statement_token1] = ACTIONS(5412),
    [aux_sym_submodule_statement_token1] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [aux_sym_interface_statement_token1] = ACTIONS(5412),
    [aux_sym_block_data_statement_token1] = ACTIONS(5412),
    [aux_sym_block_data_statement_token2] = ACTIONS(5412),
    [aux_sym_block_data_statement_token3] = ACTIONS(5412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5412),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5412),
    [aux_sym_function_statement_token1] = ACTIONS(5412),
    [aux_sym_language_binding_token1] = ACTIONS(5412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5412),
    [aux_sym_contains_statement_token1] = ACTIONS(5412),
    [aux_sym_use_statement_token1] = ACTIONS(5412),
    [aux_sym_use_statement_token2] = ACTIONS(5412),
    [aux_sym_implicit_statement_token1] = ACTIONS(5412),
    [aux_sym_implicit_statement_token3] = ACTIONS(5412),
    [aux_sym_implicit_statement_token4] = ACTIONS(5412),
    [aux_sym_save_statement_token1] = ACTIONS(5412),
    [aux_sym_private_statement_token1] = ACTIONS(5412),
    [aux_sym_public_statement_token1] = ACTIONS(5412),
    [aux_sym_namelist_statement_token1] = ACTIONS(5412),
    [aux_sym_common_statement_token1] = ACTIONS(5412),
    [aux_sym_import_statement_token1] = ACTIONS(5412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5412),
    [aux_sym_variable_attributes_token1] = ACTIONS(5412),
    [aux_sym_variable_attributes_token2] = ACTIONS(5412),
    [aux_sym_variable_attributes_token3] = ACTIONS(5412),
    [aux_sym_variable_attributes_token4] = ACTIONS(5412),
    [aux_sym_variable_attributes_token5] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5412),
    [aux_sym_derived_type_token1] = ACTIONS(5412),
    [aux_sym_declared_type_token1] = ACTIONS(5412),
    [aux_sym_declared_type_token2] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5412),
    [aux_sym_type_qualifier_token1] = ACTIONS(5412),
    [aux_sym_type_qualifier_token2] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5412),
    [aux_sym_stop_statement_token1] = ACTIONS(5412),
    [aux_sym_stop_statement_token2] = ACTIONS(5412),
    [aux_sym_subroutine_call_token1] = ACTIONS(5412),
    [aux_sym_keyword_statement_token1] = ACTIONS(5412),
    [aux_sym_keyword_statement_token2] = ACTIONS(5412),
    [aux_sym_keyword_statement_token3] = ACTIONS(5412),
    [aux_sym_keyword_statement_token4] = ACTIONS(5412),
    [aux_sym_keyword_statement_token6] = ACTIONS(5412),
    [aux_sym_keyword_statement_token7] = ACTIONS(5412),
    [aux_sym_include_statement_token1] = ACTIONS(5412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5412),
    [aux_sym_end_if_statement_token1] = ACTIONS(5412),
    [aux_sym_elseif_clause_token2] = ACTIONS(5412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5412),
    [aux_sym_select_case_statement_token1] = ACTIONS(5412),
    [aux_sym_select_case_statement_token3] = ACTIONS(5412),
    [aux_sym_select_type_statement_token1] = ACTIONS(5412),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5412),
    [aux_sym_associate_statement_token1] = ACTIONS(5412),
    [aux_sym_format_statement_token1] = ACTIONS(5412),
    [aux_sym_print_statement_token1] = ACTIONS(5412),
    [aux_sym_open_statement_token1] = ACTIONS(5412),
    [aux_sym_close_statement_token1] = ACTIONS(5412),
    [aux_sym_inquire_statement_token1] = ACTIONS(5412),
    [aux_sym_enum_statement_token1] = ACTIONS(5412),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5412),
    [aux_sym_file_position_statement_token1] = ACTIONS(5412),
    [aux_sym_file_position_statement_token2] = ACTIONS(5412),
    [aux_sym_file_position_statement_token3] = ACTIONS(5412),
    [aux_sym_file_position_statement_token4] = ACTIONS(5412),
    [aux_sym_allocate_statement_token1] = ACTIONS(5412),
    [aux_sym_entry_statement_token1] = ACTIONS(5412),
    [aux_sym_assign_statement_token1] = ACTIONS(5412),
    [aux_sym_logical_expression_token5] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [aux_sym_boolean_literal_token1] = ACTIONS(5414),
    [aux_sym_boolean_literal_token2] = ACTIONS(5414),
    [aux_sym_null_literal_token1] = ACTIONS(5412),
    [aux_sym_coarray_statement_token1] = ACTIONS(5412),
    [aux_sym_coarray_statement_token2] = ACTIONS(5412),
    [aux_sym_coarray_statement_token6] = ACTIONS(5412),
    [aux_sym_coarray_statement_token8] = ACTIONS(5412),
    [aux_sym_coarray_statement_token11] = ACTIONS(5412),
    [aux_sym_coarray_statement_token12] = ACTIONS(5412),
    [aux_sym_coarray_statement_token13] = ACTIONS(5412),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5412),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5412),
    [aux_sym_identifier_token1] = ACTIONS(5412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5414),
    [sym__float_literal] = ACTIONS(5414),
    [sym__boz_literal] = ACTIONS(5414),
    [sym__string_literal] = ACTIONS(5414),
    [sym__string_literal_kind] = ACTIONS(5414),
  },
  [1066] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [aux_sym_preproc_else_token1] = ACTIONS(5416),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5416),
    [aux_sym_end_program_statement_token1] = ACTIONS(5416),
    [aux_sym_end_program_statement_token2] = ACTIONS(5416),
    [aux_sym_module_statement_token1] = ACTIONS(5416),
    [aux_sym_submodule_statement_token1] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [aux_sym_interface_statement_token1] = ACTIONS(5416),
    [aux_sym_block_data_statement_token1] = ACTIONS(5416),
    [aux_sym_block_data_statement_token2] = ACTIONS(5416),
    [aux_sym_block_data_statement_token3] = ACTIONS(5416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5416),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5416),
    [aux_sym_function_statement_token1] = ACTIONS(5416),
    [aux_sym_language_binding_token1] = ACTIONS(5416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5416),
    [aux_sym_contains_statement_token1] = ACTIONS(5416),
    [aux_sym_use_statement_token1] = ACTIONS(5416),
    [aux_sym_use_statement_token2] = ACTIONS(5416),
    [aux_sym_implicit_statement_token1] = ACTIONS(5416),
    [aux_sym_implicit_statement_token3] = ACTIONS(5416),
    [aux_sym_implicit_statement_token4] = ACTIONS(5416),
    [aux_sym_save_statement_token1] = ACTIONS(5416),
    [aux_sym_private_statement_token1] = ACTIONS(5416),
    [aux_sym_public_statement_token1] = ACTIONS(5416),
    [aux_sym_namelist_statement_token1] = ACTIONS(5416),
    [aux_sym_common_statement_token1] = ACTIONS(5416),
    [aux_sym_import_statement_token1] = ACTIONS(5416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5416),
    [aux_sym_variable_attributes_token1] = ACTIONS(5416),
    [aux_sym_variable_attributes_token2] = ACTIONS(5416),
    [aux_sym_variable_attributes_token3] = ACTIONS(5416),
    [aux_sym_variable_attributes_token4] = ACTIONS(5416),
    [aux_sym_variable_attributes_token5] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5416),
    [aux_sym_derived_type_token1] = ACTIONS(5416),
    [aux_sym_declared_type_token1] = ACTIONS(5416),
    [aux_sym_declared_type_token2] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5416),
    [aux_sym_type_qualifier_token1] = ACTIONS(5416),
    [aux_sym_type_qualifier_token2] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5416),
    [aux_sym_stop_statement_token1] = ACTIONS(5416),
    [aux_sym_stop_statement_token2] = ACTIONS(5416),
    [aux_sym_subroutine_call_token1] = ACTIONS(5416),
    [aux_sym_keyword_statement_token1] = ACTIONS(5416),
    [aux_sym_keyword_statement_token2] = ACTIONS(5416),
    [aux_sym_keyword_statement_token3] = ACTIONS(5416),
    [aux_sym_keyword_statement_token4] = ACTIONS(5416),
    [aux_sym_keyword_statement_token6] = ACTIONS(5416),
    [aux_sym_keyword_statement_token7] = ACTIONS(5416),
    [aux_sym_include_statement_token1] = ACTIONS(5416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5416),
    [aux_sym_end_if_statement_token1] = ACTIONS(5416),
    [aux_sym_elseif_clause_token2] = ACTIONS(5416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5416),
    [aux_sym_select_case_statement_token1] = ACTIONS(5416),
    [aux_sym_select_case_statement_token3] = ACTIONS(5416),
    [aux_sym_select_type_statement_token1] = ACTIONS(5416),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5416),
    [aux_sym_associate_statement_token1] = ACTIONS(5416),
    [aux_sym_format_statement_token1] = ACTIONS(5416),
    [aux_sym_print_statement_token1] = ACTIONS(5416),
    [aux_sym_open_statement_token1] = ACTIONS(5416),
    [aux_sym_close_statement_token1] = ACTIONS(5416),
    [aux_sym_inquire_statement_token1] = ACTIONS(5416),
    [aux_sym_enum_statement_token1] = ACTIONS(5416),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5416),
    [aux_sym_file_position_statement_token1] = ACTIONS(5416),
    [aux_sym_file_position_statement_token2] = ACTIONS(5416),
    [aux_sym_file_position_statement_token3] = ACTIONS(5416),
    [aux_sym_file_position_statement_token4] = ACTIONS(5416),
    [aux_sym_allocate_statement_token1] = ACTIONS(5416),
    [aux_sym_entry_statement_token1] = ACTIONS(5416),
    [aux_sym_assign_statement_token1] = ACTIONS(5416),
    [aux_sym_logical_expression_token5] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5418),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [aux_sym_boolean_literal_token1] = ACTIONS(5418),
    [aux_sym_boolean_literal_token2] = ACTIONS(5418),
    [aux_sym_null_literal_token1] = ACTIONS(5416),
    [aux_sym_coarray_statement_token1] = ACTIONS(5416),
    [aux_sym_coarray_statement_token2] = ACTIONS(5416),
    [aux_sym_coarray_statement_token6] = ACTIONS(5416),
    [aux_sym_coarray_statement_token8] = ACTIONS(5416),
    [aux_sym_coarray_statement_token11] = ACTIONS(5416),
    [aux_sym_coarray_statement_token12] = ACTIONS(5416),
    [aux_sym_coarray_statement_token13] = ACTIONS(5416),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5416),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5416),
    [aux_sym_identifier_token1] = ACTIONS(5416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5418),
    [sym__float_literal] = ACTIONS(5418),
    [sym__boz_literal] = ACTIONS(5418),
    [sym__string_literal] = ACTIONS(5418),
    [sym__string_literal_kind] = ACTIONS(5418),
  },
  [1067] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1068] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [aux_sym_preproc_else_token1] = ACTIONS(5420),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5420),
    [aux_sym_end_program_statement_token1] = ACTIONS(5420),
    [aux_sym_end_program_statement_token2] = ACTIONS(5420),
    [aux_sym_module_statement_token1] = ACTIONS(5420),
    [aux_sym_submodule_statement_token1] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [aux_sym_interface_statement_token1] = ACTIONS(5420),
    [aux_sym_block_data_statement_token1] = ACTIONS(5420),
    [aux_sym_block_data_statement_token2] = ACTIONS(5420),
    [aux_sym_block_data_statement_token3] = ACTIONS(5420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5420),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5420),
    [aux_sym_function_statement_token1] = ACTIONS(5420),
    [aux_sym_language_binding_token1] = ACTIONS(5420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5420),
    [aux_sym_contains_statement_token1] = ACTIONS(5420),
    [aux_sym_use_statement_token1] = ACTIONS(5420),
    [aux_sym_use_statement_token2] = ACTIONS(5420),
    [aux_sym_implicit_statement_token1] = ACTIONS(5420),
    [aux_sym_implicit_statement_token3] = ACTIONS(5420),
    [aux_sym_implicit_statement_token4] = ACTIONS(5420),
    [aux_sym_save_statement_token1] = ACTIONS(5420),
    [aux_sym_private_statement_token1] = ACTIONS(5420),
    [aux_sym_public_statement_token1] = ACTIONS(5420),
    [aux_sym_namelist_statement_token1] = ACTIONS(5420),
    [aux_sym_common_statement_token1] = ACTIONS(5420),
    [aux_sym_import_statement_token1] = ACTIONS(5420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5420),
    [aux_sym_variable_attributes_token1] = ACTIONS(5420),
    [aux_sym_variable_attributes_token2] = ACTIONS(5420),
    [aux_sym_variable_attributes_token3] = ACTIONS(5420),
    [aux_sym_variable_attributes_token4] = ACTIONS(5420),
    [aux_sym_variable_attributes_token5] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5420),
    [aux_sym_derived_type_token1] = ACTIONS(5420),
    [aux_sym_declared_type_token1] = ACTIONS(5420),
    [aux_sym_declared_type_token2] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5420),
    [aux_sym_type_qualifier_token1] = ACTIONS(5420),
    [aux_sym_type_qualifier_token2] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5420),
    [aux_sym_stop_statement_token1] = ACTIONS(5420),
    [aux_sym_stop_statement_token2] = ACTIONS(5420),
    [aux_sym_subroutine_call_token1] = ACTIONS(5420),
    [aux_sym_keyword_statement_token1] = ACTIONS(5420),
    [aux_sym_keyword_statement_token2] = ACTIONS(5420),
    [aux_sym_keyword_statement_token3] = ACTIONS(5420),
    [aux_sym_keyword_statement_token4] = ACTIONS(5420),
    [aux_sym_keyword_statement_token6] = ACTIONS(5420),
    [aux_sym_keyword_statement_token7] = ACTIONS(5420),
    [aux_sym_include_statement_token1] = ACTIONS(5420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5420),
    [aux_sym_end_if_statement_token1] = ACTIONS(5420),
    [aux_sym_elseif_clause_token2] = ACTIONS(5420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5420),
    [aux_sym_select_case_statement_token1] = ACTIONS(5420),
    [aux_sym_select_case_statement_token3] = ACTIONS(5420),
    [aux_sym_select_type_statement_token1] = ACTIONS(5420),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5420),
    [aux_sym_associate_statement_token1] = ACTIONS(5420),
    [aux_sym_format_statement_token1] = ACTIONS(5420),
    [aux_sym_print_statement_token1] = ACTIONS(5420),
    [aux_sym_open_statement_token1] = ACTIONS(5420),
    [aux_sym_close_statement_token1] = ACTIONS(5420),
    [aux_sym_inquire_statement_token1] = ACTIONS(5420),
    [aux_sym_enum_statement_token1] = ACTIONS(5420),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5420),
    [aux_sym_file_position_statement_token1] = ACTIONS(5420),
    [aux_sym_file_position_statement_token2] = ACTIONS(5420),
    [aux_sym_file_position_statement_token3] = ACTIONS(5420),
    [aux_sym_file_position_statement_token4] = ACTIONS(5420),
    [aux_sym_allocate_statement_token1] = ACTIONS(5420),
    [aux_sym_entry_statement_token1] = ACTIONS(5420),
    [aux_sym_assign_statement_token1] = ACTIONS(5420),
    [aux_sym_logical_expression_token5] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [aux_sym_boolean_literal_token1] = ACTIONS(5422),
    [aux_sym_boolean_literal_token2] = ACTIONS(5422),
    [aux_sym_null_literal_token1] = ACTIONS(5420),
    [aux_sym_coarray_statement_token1] = ACTIONS(5420),
    [aux_sym_coarray_statement_token2] = ACTIONS(5420),
    [aux_sym_coarray_statement_token6] = ACTIONS(5420),
    [aux_sym_coarray_statement_token8] = ACTIONS(5420),
    [aux_sym_coarray_statement_token11] = ACTIONS(5420),
    [aux_sym_coarray_statement_token12] = ACTIONS(5420),
    [aux_sym_coarray_statement_token13] = ACTIONS(5420),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5420),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5420),
    [aux_sym_identifier_token1] = ACTIONS(5420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5422),
    [sym__float_literal] = ACTIONS(5422),
    [sym__boz_literal] = ACTIONS(5422),
    [sym__string_literal] = ACTIONS(5422),
    [sym__string_literal_kind] = ACTIONS(5422),
  },
  [1069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5424),
    [aux_sym_end_program_statement_token1] = ACTIONS(5424),
    [aux_sym_end_program_statement_token2] = ACTIONS(5424),
    [aux_sym_module_statement_token1] = ACTIONS(5424),
    [aux_sym_submodule_statement_token1] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [aux_sym_interface_statement_token1] = ACTIONS(5424),
    [aux_sym_block_data_statement_token1] = ACTIONS(5424),
    [aux_sym_block_data_statement_token2] = ACTIONS(5424),
    [aux_sym_block_data_statement_token3] = ACTIONS(5424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5424),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5424),
    [aux_sym_function_statement_token1] = ACTIONS(5424),
    [aux_sym_language_binding_token1] = ACTIONS(5424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5424),
    [aux_sym_contains_statement_token1] = ACTIONS(5424),
    [aux_sym_use_statement_token1] = ACTIONS(5424),
    [aux_sym_use_statement_token2] = ACTIONS(5424),
    [aux_sym_implicit_statement_token1] = ACTIONS(5424),
    [aux_sym_implicit_statement_token3] = ACTIONS(5424),
    [aux_sym_implicit_statement_token4] = ACTIONS(5424),
    [aux_sym_save_statement_token1] = ACTIONS(5424),
    [aux_sym_private_statement_token1] = ACTIONS(5424),
    [aux_sym_public_statement_token1] = ACTIONS(5424),
    [aux_sym_namelist_statement_token1] = ACTIONS(5424),
    [aux_sym_common_statement_token1] = ACTIONS(5424),
    [aux_sym_import_statement_token1] = ACTIONS(5424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5424),
    [aux_sym_variable_attributes_token1] = ACTIONS(5424),
    [aux_sym_variable_attributes_token2] = ACTIONS(5424),
    [aux_sym_variable_attributes_token3] = ACTIONS(5424),
    [aux_sym_variable_attributes_token4] = ACTIONS(5424),
    [aux_sym_variable_attributes_token5] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5424),
    [aux_sym_derived_type_token1] = ACTIONS(5424),
    [aux_sym_declared_type_token1] = ACTIONS(5424),
    [aux_sym_declared_type_token2] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5424),
    [aux_sym_type_qualifier_token1] = ACTIONS(5424),
    [aux_sym_type_qualifier_token2] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5424),
    [aux_sym_stop_statement_token1] = ACTIONS(5424),
    [aux_sym_stop_statement_token2] = ACTIONS(5424),
    [aux_sym_subroutine_call_token1] = ACTIONS(5424),
    [aux_sym_keyword_statement_token1] = ACTIONS(5424),
    [aux_sym_keyword_statement_token2] = ACTIONS(5424),
    [aux_sym_keyword_statement_token3] = ACTIONS(5424),
    [aux_sym_keyword_statement_token4] = ACTIONS(5424),
    [aux_sym_keyword_statement_token6] = ACTIONS(5424),
    [aux_sym_keyword_statement_token7] = ACTIONS(5424),
    [aux_sym_include_statement_token1] = ACTIONS(5424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5424),
    [aux_sym_end_if_statement_token1] = ACTIONS(5424),
    [aux_sym_elseif_clause_token2] = ACTIONS(5424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5424),
    [aux_sym_select_case_statement_token1] = ACTIONS(5424),
    [aux_sym_select_case_statement_token3] = ACTIONS(5424),
    [aux_sym_select_type_statement_token1] = ACTIONS(5424),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5424),
    [aux_sym_associate_statement_token1] = ACTIONS(5424),
    [aux_sym_format_statement_token1] = ACTIONS(5424),
    [aux_sym_print_statement_token1] = ACTIONS(5424),
    [aux_sym_open_statement_token1] = ACTIONS(5424),
    [aux_sym_close_statement_token1] = ACTIONS(5424),
    [aux_sym_inquire_statement_token1] = ACTIONS(5424),
    [aux_sym_enum_statement_token1] = ACTIONS(5424),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5424),
    [aux_sym_file_position_statement_token1] = ACTIONS(5424),
    [aux_sym_file_position_statement_token2] = ACTIONS(5424),
    [aux_sym_file_position_statement_token3] = ACTIONS(5424),
    [aux_sym_file_position_statement_token4] = ACTIONS(5424),
    [aux_sym_allocate_statement_token1] = ACTIONS(5424),
    [aux_sym_entry_statement_token1] = ACTIONS(5424),
    [aux_sym_assign_statement_token1] = ACTIONS(5424),
    [aux_sym_logical_expression_token5] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [aux_sym_boolean_literal_token1] = ACTIONS(5426),
    [aux_sym_boolean_literal_token2] = ACTIONS(5426),
    [aux_sym_null_literal_token1] = ACTIONS(5424),
    [aux_sym_coarray_statement_token1] = ACTIONS(5424),
    [aux_sym_coarray_statement_token2] = ACTIONS(5424),
    [aux_sym_coarray_statement_token6] = ACTIONS(5424),
    [aux_sym_coarray_statement_token8] = ACTIONS(5424),
    [aux_sym_coarray_statement_token11] = ACTIONS(5424),
    [aux_sym_coarray_statement_token12] = ACTIONS(5424),
    [aux_sym_coarray_statement_token13] = ACTIONS(5424),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5424),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5424),
    [aux_sym_identifier_token1] = ACTIONS(5424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5426),
    [sym__float_literal] = ACTIONS(5426),
    [sym__boz_literal] = ACTIONS(5426),
    [sym__string_literal] = ACTIONS(5426),
    [sym__string_literal_kind] = ACTIONS(5426),
  },
  [1070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [aux_sym_preproc_else_token1] = ACTIONS(5428),
    [aux_sym_preproc_elif_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5428),
    [aux_sym_end_program_statement_token1] = ACTIONS(5428),
    [aux_sym_end_program_statement_token2] = ACTIONS(5428),
    [aux_sym_module_statement_token1] = ACTIONS(5428),
    [aux_sym_submodule_statement_token1] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [aux_sym_interface_statement_token1] = ACTIONS(5428),
    [aux_sym_block_data_statement_token1] = ACTIONS(5428),
    [aux_sym_block_data_statement_token2] = ACTIONS(5428),
    [aux_sym_block_data_statement_token3] = ACTIONS(5428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5428),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5428),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5428),
    [aux_sym_function_statement_token1] = ACTIONS(5428),
    [aux_sym_language_binding_token1] = ACTIONS(5428),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5428),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5428),
    [aux_sym_contains_statement_token1] = ACTIONS(5428),
    [aux_sym_use_statement_token1] = ACTIONS(5428),
    [aux_sym_use_statement_token2] = ACTIONS(5428),
    [aux_sym_implicit_statement_token1] = ACTIONS(5428),
    [aux_sym_implicit_statement_token3] = ACTIONS(5428),
    [aux_sym_implicit_statement_token4] = ACTIONS(5428),
    [aux_sym_save_statement_token1] = ACTIONS(5428),
    [aux_sym_private_statement_token1] = ACTIONS(5428),
    [aux_sym_public_statement_token1] = ACTIONS(5428),
    [aux_sym_namelist_statement_token1] = ACTIONS(5428),
    [aux_sym_common_statement_token1] = ACTIONS(5428),
    [aux_sym_import_statement_token1] = ACTIONS(5428),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5428),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5428),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5428),
    [aux_sym_variable_attributes_token1] = ACTIONS(5428),
    [aux_sym_variable_attributes_token2] = ACTIONS(5428),
    [aux_sym_variable_attributes_token3] = ACTIONS(5428),
    [aux_sym_variable_attributes_token4] = ACTIONS(5428),
    [aux_sym_variable_attributes_token5] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5428),
    [aux_sym_derived_type_token1] = ACTIONS(5428),
    [aux_sym_declared_type_token1] = ACTIONS(5428),
    [aux_sym_declared_type_token2] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5428),
    [aux_sym_type_qualifier_token1] = ACTIONS(5428),
    [aux_sym_type_qualifier_token2] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5428),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5428),
    [aux_sym_stop_statement_token1] = ACTIONS(5428),
    [aux_sym_stop_statement_token2] = ACTIONS(5428),
    [aux_sym_subroutine_call_token1] = ACTIONS(5428),
    [aux_sym_keyword_statement_token1] = ACTIONS(5428),
    [aux_sym_keyword_statement_token2] = ACTIONS(5428),
    [aux_sym_keyword_statement_token3] = ACTIONS(5428),
    [aux_sym_keyword_statement_token4] = ACTIONS(5428),
    [aux_sym_keyword_statement_token6] = ACTIONS(5428),
    [aux_sym_keyword_statement_token7] = ACTIONS(5428),
    [aux_sym_include_statement_token1] = ACTIONS(5428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5428),
    [aux_sym_end_if_statement_token1] = ACTIONS(5428),
    [aux_sym_elseif_clause_token2] = ACTIONS(5428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5428),
    [aux_sym_select_case_statement_token1] = ACTIONS(5428),
    [aux_sym_select_case_statement_token3] = ACTIONS(5428),
    [aux_sym_select_type_statement_token1] = ACTIONS(5428),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5428),
    [aux_sym_associate_statement_token1] = ACTIONS(5428),
    [aux_sym_format_statement_token1] = ACTIONS(5428),
    [aux_sym_print_statement_token1] = ACTIONS(5428),
    [aux_sym_open_statement_token1] = ACTIONS(5428),
    [aux_sym_close_statement_token1] = ACTIONS(5428),
    [aux_sym_inquire_statement_token1] = ACTIONS(5428),
    [aux_sym_enum_statement_token1] = ACTIONS(5428),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5428),
    [aux_sym_file_position_statement_token1] = ACTIONS(5428),
    [aux_sym_file_position_statement_token2] = ACTIONS(5428),
    [aux_sym_file_position_statement_token3] = ACTIONS(5428),
    [aux_sym_file_position_statement_token4] = ACTIONS(5428),
    [aux_sym_allocate_statement_token1] = ACTIONS(5428),
    [aux_sym_entry_statement_token1] = ACTIONS(5428),
    [aux_sym_assign_statement_token1] = ACTIONS(5428),
    [aux_sym_logical_expression_token5] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [aux_sym_boolean_literal_token1] = ACTIONS(5430),
    [aux_sym_boolean_literal_token2] = ACTIONS(5430),
    [aux_sym_null_literal_token1] = ACTIONS(5428),
    [aux_sym_coarray_statement_token1] = ACTIONS(5428),
    [aux_sym_coarray_statement_token2] = ACTIONS(5428),
    [aux_sym_coarray_statement_token6] = ACTIONS(5428),
    [aux_sym_coarray_statement_token8] = ACTIONS(5428),
    [aux_sym_coarray_statement_token11] = ACTIONS(5428),
    [aux_sym_coarray_statement_token12] = ACTIONS(5428),
    [aux_sym_coarray_statement_token13] = ACTIONS(5428),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5428),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5428),
    [aux_sym_identifier_token1] = ACTIONS(5428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5430),
    [sym__float_literal] = ACTIONS(5430),
    [sym__boz_literal] = ACTIONS(5430),
    [sym__string_literal] = ACTIONS(5430),
    [sym__string_literal_kind] = ACTIONS(5430),
  },
  [1071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [aux_sym_preproc_else_token1] = ACTIONS(5432),
    [aux_sym_preproc_elif_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5432),
    [aux_sym_end_program_statement_token1] = ACTIONS(5432),
    [aux_sym_end_program_statement_token2] = ACTIONS(5432),
    [aux_sym_module_statement_token1] = ACTIONS(5432),
    [aux_sym_submodule_statement_token1] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [aux_sym_interface_statement_token1] = ACTIONS(5432),
    [aux_sym_block_data_statement_token1] = ACTIONS(5432),
    [aux_sym_block_data_statement_token2] = ACTIONS(5432),
    [aux_sym_block_data_statement_token3] = ACTIONS(5432),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5432),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5432),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5432),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5432),
    [aux_sym_function_statement_token1] = ACTIONS(5432),
    [aux_sym_language_binding_token1] = ACTIONS(5432),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5432),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5432),
    [aux_sym_contains_statement_token1] = ACTIONS(5432),
    [aux_sym_use_statement_token1] = ACTIONS(5432),
    [aux_sym_use_statement_token2] = ACTIONS(5432),
    [aux_sym_implicit_statement_token1] = ACTIONS(5432),
    [aux_sym_implicit_statement_token3] = ACTIONS(5432),
    [aux_sym_implicit_statement_token4] = ACTIONS(5432),
    [aux_sym_save_statement_token1] = ACTIONS(5432),
    [aux_sym_private_statement_token1] = ACTIONS(5432),
    [aux_sym_public_statement_token1] = ACTIONS(5432),
    [aux_sym_namelist_statement_token1] = ACTIONS(5432),
    [aux_sym_common_statement_token1] = ACTIONS(5432),
    [aux_sym_import_statement_token1] = ACTIONS(5432),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5432),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5432),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5432),
    [aux_sym_variable_attributes_token1] = ACTIONS(5432),
    [aux_sym_variable_attributes_token2] = ACTIONS(5432),
    [aux_sym_variable_attributes_token3] = ACTIONS(5432),
    [aux_sym_variable_attributes_token4] = ACTIONS(5432),
    [aux_sym_variable_attributes_token5] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5432),
    [aux_sym_derived_type_token1] = ACTIONS(5432),
    [aux_sym_declared_type_token1] = ACTIONS(5432),
    [aux_sym_declared_type_token2] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5432),
    [aux_sym_type_qualifier_token1] = ACTIONS(5432),
    [aux_sym_type_qualifier_token2] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5432),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5432),
    [aux_sym_stop_statement_token1] = ACTIONS(5432),
    [aux_sym_stop_statement_token2] = ACTIONS(5432),
    [aux_sym_subroutine_call_token1] = ACTIONS(5432),
    [aux_sym_keyword_statement_token1] = ACTIONS(5432),
    [aux_sym_keyword_statement_token2] = ACTIONS(5432),
    [aux_sym_keyword_statement_token3] = ACTIONS(5432),
    [aux_sym_keyword_statement_token4] = ACTIONS(5432),
    [aux_sym_keyword_statement_token6] = ACTIONS(5432),
    [aux_sym_keyword_statement_token7] = ACTIONS(5432),
    [aux_sym_include_statement_token1] = ACTIONS(5432),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5432),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5432),
    [aux_sym_end_if_statement_token1] = ACTIONS(5432),
    [aux_sym_elseif_clause_token2] = ACTIONS(5432),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5432),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5432),
    [aux_sym_select_case_statement_token1] = ACTIONS(5432),
    [aux_sym_select_case_statement_token3] = ACTIONS(5432),
    [aux_sym_select_type_statement_token1] = ACTIONS(5432),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5432),
    [aux_sym_associate_statement_token1] = ACTIONS(5432),
    [aux_sym_format_statement_token1] = ACTIONS(5432),
    [aux_sym_print_statement_token1] = ACTIONS(5432),
    [aux_sym_open_statement_token1] = ACTIONS(5432),
    [aux_sym_close_statement_token1] = ACTIONS(5432),
    [aux_sym_inquire_statement_token1] = ACTIONS(5432),
    [aux_sym_enum_statement_token1] = ACTIONS(5432),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5432),
    [aux_sym_file_position_statement_token1] = ACTIONS(5432),
    [aux_sym_file_position_statement_token2] = ACTIONS(5432),
    [aux_sym_file_position_statement_token3] = ACTIONS(5432),
    [aux_sym_file_position_statement_token4] = ACTIONS(5432),
    [aux_sym_allocate_statement_token1] = ACTIONS(5432),
    [aux_sym_entry_statement_token1] = ACTIONS(5432),
    [aux_sym_assign_statement_token1] = ACTIONS(5432),
    [aux_sym_logical_expression_token5] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [aux_sym_boolean_literal_token1] = ACTIONS(5434),
    [aux_sym_boolean_literal_token2] = ACTIONS(5434),
    [aux_sym_null_literal_token1] = ACTIONS(5432),
    [aux_sym_coarray_statement_token1] = ACTIONS(5432),
    [aux_sym_coarray_statement_token2] = ACTIONS(5432),
    [aux_sym_coarray_statement_token6] = ACTIONS(5432),
    [aux_sym_coarray_statement_token8] = ACTIONS(5432),
    [aux_sym_coarray_statement_token11] = ACTIONS(5432),
    [aux_sym_coarray_statement_token12] = ACTIONS(5432),
    [aux_sym_coarray_statement_token13] = ACTIONS(5432),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5432),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5432),
    [aux_sym_identifier_token1] = ACTIONS(5432),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5434),
    [sym__float_literal] = ACTIONS(5434),
    [sym__boz_literal] = ACTIONS(5434),
    [sym__string_literal] = ACTIONS(5434),
    [sym__string_literal_kind] = ACTIONS(5434),
  },
  [1072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [aux_sym_preproc_else_token1] = ACTIONS(5436),
    [aux_sym_preproc_elif_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5436),
    [aux_sym_end_program_statement_token1] = ACTIONS(5436),
    [aux_sym_end_program_statement_token2] = ACTIONS(5436),
    [aux_sym_module_statement_token1] = ACTIONS(5436),
    [aux_sym_submodule_statement_token1] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [aux_sym_interface_statement_token1] = ACTIONS(5436),
    [aux_sym_block_data_statement_token1] = ACTIONS(5436),
    [aux_sym_block_data_statement_token2] = ACTIONS(5436),
    [aux_sym_block_data_statement_token3] = ACTIONS(5436),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5436),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5436),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5436),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5436),
    [aux_sym_function_statement_token1] = ACTIONS(5436),
    [aux_sym_language_binding_token1] = ACTIONS(5436),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5436),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5436),
    [aux_sym_contains_statement_token1] = ACTIONS(5436),
    [aux_sym_use_statement_token1] = ACTIONS(5436),
    [aux_sym_use_statement_token2] = ACTIONS(5436),
    [aux_sym_implicit_statement_token1] = ACTIONS(5436),
    [aux_sym_implicit_statement_token3] = ACTIONS(5436),
    [aux_sym_implicit_statement_token4] = ACTIONS(5436),
    [aux_sym_save_statement_token1] = ACTIONS(5436),
    [aux_sym_private_statement_token1] = ACTIONS(5436),
    [aux_sym_public_statement_token1] = ACTIONS(5436),
    [aux_sym_namelist_statement_token1] = ACTIONS(5436),
    [aux_sym_common_statement_token1] = ACTIONS(5436),
    [aux_sym_import_statement_token1] = ACTIONS(5436),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5436),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5436),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5436),
    [aux_sym_variable_attributes_token1] = ACTIONS(5436),
    [aux_sym_variable_attributes_token2] = ACTIONS(5436),
    [aux_sym_variable_attributes_token3] = ACTIONS(5436),
    [aux_sym_variable_attributes_token4] = ACTIONS(5436),
    [aux_sym_variable_attributes_token5] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5436),
    [aux_sym_derived_type_token1] = ACTIONS(5436),
    [aux_sym_declared_type_token1] = ACTIONS(5436),
    [aux_sym_declared_type_token2] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5436),
    [aux_sym_type_qualifier_token1] = ACTIONS(5436),
    [aux_sym_type_qualifier_token2] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5436),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5436),
    [aux_sym_stop_statement_token1] = ACTIONS(5436),
    [aux_sym_stop_statement_token2] = ACTIONS(5436),
    [aux_sym_subroutine_call_token1] = ACTIONS(5436),
    [aux_sym_keyword_statement_token1] = ACTIONS(5436),
    [aux_sym_keyword_statement_token2] = ACTIONS(5436),
    [aux_sym_keyword_statement_token3] = ACTIONS(5436),
    [aux_sym_keyword_statement_token4] = ACTIONS(5436),
    [aux_sym_keyword_statement_token6] = ACTIONS(5436),
    [aux_sym_keyword_statement_token7] = ACTIONS(5436),
    [aux_sym_include_statement_token1] = ACTIONS(5436),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5436),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5436),
    [aux_sym_end_if_statement_token1] = ACTIONS(5436),
    [aux_sym_elseif_clause_token2] = ACTIONS(5436),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5436),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5436),
    [aux_sym_select_case_statement_token1] = ACTIONS(5436),
    [aux_sym_select_case_statement_token3] = ACTIONS(5436),
    [aux_sym_select_type_statement_token1] = ACTIONS(5436),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5436),
    [aux_sym_associate_statement_token1] = ACTIONS(5436),
    [aux_sym_format_statement_token1] = ACTIONS(5436),
    [aux_sym_print_statement_token1] = ACTIONS(5436),
    [aux_sym_open_statement_token1] = ACTIONS(5436),
    [aux_sym_close_statement_token1] = ACTIONS(5436),
    [aux_sym_inquire_statement_token1] = ACTIONS(5436),
    [aux_sym_enum_statement_token1] = ACTIONS(5436),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5436),
    [aux_sym_file_position_statement_token1] = ACTIONS(5436),
    [aux_sym_file_position_statement_token2] = ACTIONS(5436),
    [aux_sym_file_position_statement_token3] = ACTIONS(5436),
    [aux_sym_file_position_statement_token4] = ACTIONS(5436),
    [aux_sym_allocate_statement_token1] = ACTIONS(5436),
    [aux_sym_entry_statement_token1] = ACTIONS(5436),
    [aux_sym_assign_statement_token1] = ACTIONS(5436),
    [aux_sym_logical_expression_token5] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [aux_sym_boolean_literal_token1] = ACTIONS(5438),
    [aux_sym_boolean_literal_token2] = ACTIONS(5438),
    [aux_sym_null_literal_token1] = ACTIONS(5436),
    [aux_sym_coarray_statement_token1] = ACTIONS(5436),
    [aux_sym_coarray_statement_token2] = ACTIONS(5436),
    [aux_sym_coarray_statement_token6] = ACTIONS(5436),
    [aux_sym_coarray_statement_token8] = ACTIONS(5436),
    [aux_sym_coarray_statement_token11] = ACTIONS(5436),
    [aux_sym_coarray_statement_token12] = ACTIONS(5436),
    [aux_sym_coarray_statement_token13] = ACTIONS(5436),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5436),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5436),
    [aux_sym_identifier_token1] = ACTIONS(5436),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5438),
    [sym__float_literal] = ACTIONS(5438),
    [sym__boz_literal] = ACTIONS(5438),
    [sym__string_literal] = ACTIONS(5438),
    [sym__string_literal_kind] = ACTIONS(5438),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(5122),
    [aux_sym_preproc_include_token1] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [sym_preproc_comment] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token2] = ACTIONS(5118),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_interface_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token2] = ACTIONS(5118),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5118),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5118),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5118),
    [aux_sym_contains_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token2] = ACTIONS(5118),
    [aux_sym_implicit_statement_token1] = ACTIONS(5118),
    [aux_sym_implicit_statement_token3] = ACTIONS(5118),
    [aux_sym_implicit_statement_token4] = ACTIONS(5118),
    [aux_sym_save_statement_token1] = ACTIONS(5118),
    [aux_sym_private_statement_token1] = ACTIONS(5118),
    [aux_sym_public_statement_token1] = ACTIONS(5118),
    [aux_sym_namelist_statement_token1] = ACTIONS(5118),
    [aux_sym_common_statement_token1] = ACTIONS(5118),
    [aux_sym_import_statement_token1] = ACTIONS(5118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5118),
    [aux_sym_variable_attributes_token1] = ACTIONS(5118),
    [aux_sym_variable_attributes_token2] = ACTIONS(5118),
    [aux_sym_variable_attributes_token3] = ACTIONS(5118),
    [aux_sym_variable_attributes_token4] = ACTIONS(5118),
    [aux_sym_variable_attributes_token5] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5118),
    [aux_sym_derived_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5118),
    [aux_sym_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token2] = ACTIONS(5118),
    [aux_sym_subroutine_call_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token2] = ACTIONS(5118),
    [aux_sym_keyword_statement_token3] = ACTIONS(5118),
    [aux_sym_keyword_statement_token4] = ACTIONS(5118),
    [aux_sym_keyword_statement_token6] = ACTIONS(5118),
    [aux_sym_keyword_statement_token7] = ACTIONS(5118),
    [aux_sym_include_statement_token1] = ACTIONS(5118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5118),
    [aux_sym_end_if_statement_token1] = ACTIONS(5118),
    [aux_sym_elseif_clause_token2] = ACTIONS(5118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token3] = ACTIONS(5118),
    [aux_sym_select_type_statement_token1] = ACTIONS(5118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5118),
    [aux_sym_associate_statement_token1] = ACTIONS(5118),
    [aux_sym_format_statement_token1] = ACTIONS(5118),
    [aux_sym_print_statement_token1] = ACTIONS(5118),
    [aux_sym_open_statement_token1] = ACTIONS(5118),
    [aux_sym_close_statement_token1] = ACTIONS(5118),
    [aux_sym_inquire_statement_token1] = ACTIONS(5118),
    [aux_sym_enum_statement_token1] = ACTIONS(5118),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token2] = ACTIONS(5118),
    [aux_sym_file_position_statement_token3] = ACTIONS(5118),
    [aux_sym_file_position_statement_token4] = ACTIONS(5118),
    [aux_sym_allocate_statement_token1] = ACTIONS(5118),
    [aux_sym_entry_statement_token1] = ACTIONS(5118),
    [aux_sym_assign_statement_token1] = ACTIONS(5118),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token2] = ACTIONS(5118),
    [aux_sym_coarray_statement_token6] = ACTIONS(5118),
    [aux_sym_coarray_statement_token8] = ACTIONS(5118),
    [aux_sym_coarray_statement_token11] = ACTIONS(5118),
    [aux_sym_coarray_statement_token12] = ACTIONS(5118),
    [aux_sym_coarray_statement_token13] = ACTIONS(5118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5118),
    [aux_sym_identifier_token1] = ACTIONS(5118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5070),
    [sym_preproc_comment] = ACTIONS(5442),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token2] = ACTIONS(5070),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5070),
    [aux_sym_block_data_statement_token1] = ACTIONS(5070),
    [aux_sym_block_data_statement_token2] = ACTIONS(5070),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5070),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5070),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5070),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5070),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5070),
    [aux_sym_contains_statement_token1] = ACTIONS(5070),
    [aux_sym_use_statement_token1] = ACTIONS(5070),
    [aux_sym_use_statement_token2] = ACTIONS(5070),
    [aux_sym_implicit_statement_token1] = ACTIONS(5070),
    [aux_sym_implicit_statement_token3] = ACTIONS(5070),
    [aux_sym_implicit_statement_token4] = ACTIONS(5070),
    [aux_sym_save_statement_token1] = ACTIONS(5070),
    [aux_sym_private_statement_token1] = ACTIONS(5070),
    [aux_sym_public_statement_token1] = ACTIONS(5070),
    [aux_sym_namelist_statement_token1] = ACTIONS(5070),
    [aux_sym_common_statement_token1] = ACTIONS(5070),
    [aux_sym_import_statement_token1] = ACTIONS(5070),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5070),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5070),
    [aux_sym_variable_attributes_token1] = ACTIONS(5070),
    [aux_sym_variable_attributes_token2] = ACTIONS(5070),
    [aux_sym_variable_attributes_token3] = ACTIONS(5070),
    [aux_sym_variable_attributes_token4] = ACTIONS(5070),
    [aux_sym_variable_attributes_token5] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5070),
    [aux_sym_derived_type_token1] = ACTIONS(5070),
    [aux_sym_declared_type_token1] = ACTIONS(5070),
    [aux_sym_declared_type_token2] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5070),
    [aux_sym_type_qualifier_token1] = ACTIONS(5070),
    [aux_sym_type_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5070),
    [aux_sym_stop_statement_token2] = ACTIONS(5070),
    [aux_sym_subroutine_call_token1] = ACTIONS(5070),
    [aux_sym_keyword_statement_token1] = ACTIONS(5070),
    [aux_sym_keyword_statement_token2] = ACTIONS(5070),
    [aux_sym_keyword_statement_token3] = ACTIONS(5070),
    [aux_sym_keyword_statement_token4] = ACTIONS(5070),
    [aux_sym_keyword_statement_token6] = ACTIONS(5070),
    [aux_sym_keyword_statement_token7] = ACTIONS(5070),
    [aux_sym_include_statement_token1] = ACTIONS(5070),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5070),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5070),
    [aux_sym_end_if_statement_token1] = ACTIONS(5070),
    [aux_sym_elseif_clause_token2] = ACTIONS(5070),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5070),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5070),
    [aux_sym_select_case_statement_token1] = ACTIONS(5070),
    [aux_sym_select_case_statement_token3] = ACTIONS(5070),
    [aux_sym_select_type_statement_token1] = ACTIONS(5070),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5070),
    [aux_sym_associate_statement_token1] = ACTIONS(5070),
    [aux_sym_format_statement_token1] = ACTIONS(5070),
    [aux_sym_print_statement_token1] = ACTIONS(5070),
    [aux_sym_open_statement_token1] = ACTIONS(5070),
    [aux_sym_close_statement_token1] = ACTIONS(5070),
    [aux_sym_inquire_statement_token1] = ACTIONS(5070),
    [aux_sym_enum_statement_token1] = ACTIONS(5070),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5070),
    [aux_sym_file_position_statement_token1] = ACTIONS(5070),
    [aux_sym_file_position_statement_token2] = ACTIONS(5070),
    [aux_sym_file_position_statement_token3] = ACTIONS(5070),
    [aux_sym_file_position_statement_token4] = ACTIONS(5070),
    [aux_sym_allocate_statement_token1] = ACTIONS(5070),
    [aux_sym_entry_statement_token1] = ACTIONS(5070),
    [aux_sym_assign_statement_token1] = ACTIONS(5070),
    [aux_sym_logical_expression_token5] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5070),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [aux_sym_boolean_literal_token1] = ACTIONS(5098),
    [aux_sym_boolean_literal_token2] = ACTIONS(5098),
    [aux_sym_null_literal_token1] = ACTIONS(5070),
    [aux_sym_coarray_statement_token1] = ACTIONS(5070),
    [aux_sym_coarray_statement_token2] = ACTIONS(5070),
    [aux_sym_coarray_statement_token6] = ACTIONS(5070),
    [aux_sym_coarray_statement_token8] = ACTIONS(5070),
    [aux_sym_coarray_statement_token11] = ACTIONS(5070),
    [aux_sym_coarray_statement_token12] = ACTIONS(5070),
    [aux_sym_coarray_statement_token13] = ACTIONS(5070),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5070),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5070),
    [aux_sym_identifier_token1] = ACTIONS(5070),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5098),
    [sym__float_literal] = ACTIONS(5098),
    [sym__boz_literal] = ACTIONS(5098),
    [sym__string_literal] = ACTIONS(5098),
    [sym__string_literal_kind] = ACTIONS(5098),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(5128),
    [aux_sym_preproc_include_token1] = ACTIONS(5056),
    [aux_sym_preproc_def_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [sym_preproc_comment] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token2] = ACTIONS(5056),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token2] = ACTIONS(5056),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5056),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5056),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5056),
    [aux_sym_contains_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token2] = ACTIONS(5056),
    [aux_sym_implicit_statement_token1] = ACTIONS(5056),
    [aux_sym_implicit_statement_token3] = ACTIONS(5056),
    [aux_sym_implicit_statement_token4] = ACTIONS(5056),
    [aux_sym_save_statement_token1] = ACTIONS(5056),
    [aux_sym_private_statement_token1] = ACTIONS(5056),
    [aux_sym_public_statement_token1] = ACTIONS(5056),
    [aux_sym_namelist_statement_token1] = ACTIONS(5056),
    [aux_sym_common_statement_token1] = ACTIONS(5056),
    [aux_sym_import_statement_token1] = ACTIONS(5056),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5056),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5056),
    [aux_sym_variable_attributes_token1] = ACTIONS(5056),
    [aux_sym_variable_attributes_token2] = ACTIONS(5056),
    [aux_sym_variable_attributes_token3] = ACTIONS(5056),
    [aux_sym_variable_attributes_token4] = ACTIONS(5056),
    [aux_sym_variable_attributes_token5] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5056),
    [aux_sym_derived_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5056),
    [aux_sym_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token2] = ACTIONS(5056),
    [aux_sym_subroutine_call_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token2] = ACTIONS(5056),
    [aux_sym_keyword_statement_token3] = ACTIONS(5056),
    [aux_sym_keyword_statement_token4] = ACTIONS(5056),
    [aux_sym_keyword_statement_token6] = ACTIONS(5056),
    [aux_sym_keyword_statement_token7] = ACTIONS(5056),
    [aux_sym_include_statement_token1] = ACTIONS(5056),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5056),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5056),
    [aux_sym_end_if_statement_token1] = ACTIONS(5056),
    [aux_sym_elseif_clause_token2] = ACTIONS(5056),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5056),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token3] = ACTIONS(5056),
    [aux_sym_select_type_statement_token1] = ACTIONS(5056),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5056),
    [aux_sym_associate_statement_token1] = ACTIONS(5056),
    [aux_sym_format_statement_token1] = ACTIONS(5056),
    [aux_sym_print_statement_token1] = ACTIONS(5056),
    [aux_sym_open_statement_token1] = ACTIONS(5056),
    [aux_sym_close_statement_token1] = ACTIONS(5056),
    [aux_sym_inquire_statement_token1] = ACTIONS(5056),
    [aux_sym_enum_statement_token1] = ACTIONS(5056),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token2] = ACTIONS(5056),
    [aux_sym_file_position_statement_token3] = ACTIONS(5056),
    [aux_sym_file_position_statement_token4] = ACTIONS(5056),
    [aux_sym_allocate_statement_token1] = ACTIONS(5056),
    [aux_sym_entry_statement_token1] = ACTIONS(5056),
    [aux_sym_assign_statement_token1] = ACTIONS(5056),
    [aux_sym_logical_expression_token5] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5128),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [aux_sym_boolean_literal_token1] = ACTIONS(5128),
    [aux_sym_boolean_literal_token2] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token2] = ACTIONS(5056),
    [aux_sym_coarray_statement_token6] = ACTIONS(5056),
    [aux_sym_coarray_statement_token8] = ACTIONS(5056),
    [aux_sym_coarray_statement_token11] = ACTIONS(5056),
    [aux_sym_coarray_statement_token12] = ACTIONS(5056),
    [aux_sym_coarray_statement_token13] = ACTIONS(5056),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5056),
    [aux_sym_identifier_token1] = ACTIONS(5056),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5128),
    [sym__float_literal] = ACTIONS(5128),
    [sym__boz_literal] = ACTIONS(5128),
    [sym__string_literal] = ACTIONS(5128),
    [sym__string_literal_kind] = ACTIONS(5128),
  },
  [1076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5044),
    [aux_sym_preproc_def_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5044),
    [sym_preproc_directive] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [sym_preproc_comment] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token2] = ACTIONS(5044),
    [aux_sym_module_statement_token1] = ACTIONS(5044),
    [aux_sym_submodule_statement_token1] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_interface_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token2] = ACTIONS(5044),
    [aux_sym_block_data_statement_token3] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5044),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5044),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5044),
    [aux_sym_function_statement_token1] = ACTIONS(5044),
    [aux_sym_language_binding_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5044),
    [aux_sym_contains_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token2] = ACTIONS(5044),
    [aux_sym_implicit_statement_token1] = ACTIONS(5044),
    [aux_sym_implicit_statement_token3] = ACTIONS(5044),
    [aux_sym_implicit_statement_token4] = ACTIONS(5044),
    [aux_sym_save_statement_token1] = ACTIONS(5044),
    [aux_sym_private_statement_token1] = ACTIONS(5044),
    [aux_sym_public_statement_token1] = ACTIONS(5044),
    [aux_sym_namelist_statement_token1] = ACTIONS(5044),
    [aux_sym_common_statement_token1] = ACTIONS(5044),
    [aux_sym_import_statement_token1] = ACTIONS(5044),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5044),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5044),
    [aux_sym_variable_attributes_token1] = ACTIONS(5044),
    [aux_sym_variable_attributes_token2] = ACTIONS(5044),
    [aux_sym_variable_attributes_token3] = ACTIONS(5044),
    [aux_sym_variable_attributes_token4] = ACTIONS(5044),
    [aux_sym_variable_attributes_token5] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5044),
    [aux_sym_derived_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5044),
    [aux_sym_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5044),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token2] = ACTIONS(5044),
    [aux_sym_subroutine_call_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token2] = ACTIONS(5044),
    [aux_sym_keyword_statement_token3] = ACTIONS(5044),
    [aux_sym_keyword_statement_token4] = ACTIONS(5044),
    [aux_sym_keyword_statement_token6] = ACTIONS(5044),
    [aux_sym_keyword_statement_token7] = ACTIONS(5044),
    [aux_sym_include_statement_token1] = ACTIONS(5044),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5044),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5044),
    [aux_sym_end_if_statement_token1] = ACTIONS(5044),
    [aux_sym_elseif_clause_token2] = ACTIONS(5044),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5044),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token3] = ACTIONS(5044),
    [aux_sym_select_type_statement_token1] = ACTIONS(5044),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5044),
    [aux_sym_associate_statement_token1] = ACTIONS(5044),
    [aux_sym_format_statement_token1] = ACTIONS(5044),
    [aux_sym_print_statement_token1] = ACTIONS(5044),
    [aux_sym_open_statement_token1] = ACTIONS(5044),
    [aux_sym_close_statement_token1] = ACTIONS(5044),
    [aux_sym_inquire_statement_token1] = ACTIONS(5044),
    [aux_sym_enum_statement_token1] = ACTIONS(5044),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token2] = ACTIONS(5044),
    [aux_sym_file_position_statement_token3] = ACTIONS(5044),
    [aux_sym_file_position_statement_token4] = ACTIONS(5044),
    [aux_sym_allocate_statement_token1] = ACTIONS(5044),
    [aux_sym_entry_statement_token1] = ACTIONS(5044),
    [aux_sym_assign_statement_token1] = ACTIONS(5044),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5044),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token2] = ACTIONS(5044),
    [aux_sym_coarray_statement_token6] = ACTIONS(5044),
    [aux_sym_coarray_statement_token8] = ACTIONS(5044),
    [aux_sym_coarray_statement_token11] = ACTIONS(5044),
    [aux_sym_coarray_statement_token12] = ACTIONS(5044),
    [aux_sym_coarray_statement_token13] = ACTIONS(5044),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5044),
    [aux_sym_identifier_token1] = ACTIONS(5044),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1077] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [sym_preproc_comment] = ACTIONS(5448),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token2] = ACTIONS(5118),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_interface_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token2] = ACTIONS(5118),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5118),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5118),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5118),
    [aux_sym_contains_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token2] = ACTIONS(5118),
    [aux_sym_implicit_statement_token1] = ACTIONS(5118),
    [aux_sym_implicit_statement_token3] = ACTIONS(5118),
    [aux_sym_implicit_statement_token4] = ACTIONS(5118),
    [aux_sym_save_statement_token1] = ACTIONS(5118),
    [aux_sym_private_statement_token1] = ACTIONS(5118),
    [aux_sym_public_statement_token1] = ACTIONS(5118),
    [aux_sym_namelist_statement_token1] = ACTIONS(5118),
    [aux_sym_common_statement_token1] = ACTIONS(5118),
    [aux_sym_import_statement_token1] = ACTIONS(5118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5118),
    [aux_sym_variable_attributes_token1] = ACTIONS(5118),
    [aux_sym_variable_attributes_token2] = ACTIONS(5118),
    [aux_sym_variable_attributes_token3] = ACTIONS(5118),
    [aux_sym_variable_attributes_token4] = ACTIONS(5118),
    [aux_sym_variable_attributes_token5] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5118),
    [aux_sym_derived_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5118),
    [aux_sym_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token2] = ACTIONS(5118),
    [aux_sym_subroutine_call_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token2] = ACTIONS(5118),
    [aux_sym_keyword_statement_token3] = ACTIONS(5118),
    [aux_sym_keyword_statement_token4] = ACTIONS(5118),
    [aux_sym_keyword_statement_token6] = ACTIONS(5118),
    [aux_sym_keyword_statement_token7] = ACTIONS(5118),
    [aux_sym_include_statement_token1] = ACTIONS(5118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5118),
    [aux_sym_end_if_statement_token1] = ACTIONS(5118),
    [aux_sym_elseif_clause_token2] = ACTIONS(5118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token3] = ACTIONS(5118),
    [aux_sym_select_type_statement_token1] = ACTIONS(5118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5118),
    [aux_sym_associate_statement_token1] = ACTIONS(5118),
    [aux_sym_format_statement_token1] = ACTIONS(5118),
    [aux_sym_print_statement_token1] = ACTIONS(5118),
    [aux_sym_open_statement_token1] = ACTIONS(5118),
    [aux_sym_close_statement_token1] = ACTIONS(5118),
    [aux_sym_inquire_statement_token1] = ACTIONS(5118),
    [aux_sym_enum_statement_token1] = ACTIONS(5118),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token2] = ACTIONS(5118),
    [aux_sym_file_position_statement_token3] = ACTIONS(5118),
    [aux_sym_file_position_statement_token4] = ACTIONS(5118),
    [aux_sym_allocate_statement_token1] = ACTIONS(5118),
    [aux_sym_entry_statement_token1] = ACTIONS(5118),
    [aux_sym_assign_statement_token1] = ACTIONS(5118),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token2] = ACTIONS(5118),
    [aux_sym_coarray_statement_token6] = ACTIONS(5118),
    [aux_sym_coarray_statement_token8] = ACTIONS(5118),
    [aux_sym_coarray_statement_token11] = ACTIONS(5118),
    [aux_sym_coarray_statement_token12] = ACTIONS(5118),
    [aux_sym_coarray_statement_token13] = ACTIONS(5118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5118),
    [aux_sym_identifier_token1] = ACTIONS(5118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1079] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5452),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1080] = {
    [ts_builtin_sym_end] = ACTIONS(5128),
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5454),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1081] = {
    [ts_builtin_sym_end] = ACTIONS(5116),
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [sym_preproc_comment] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [aux_sym_boolean_literal_token1] = ACTIONS(5116),
    [aux_sym_boolean_literal_token2] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5116),
    [sym__float_literal] = ACTIONS(5116),
    [sym__boz_literal] = ACTIONS(5116),
    [sym__string_literal] = ACTIONS(5116),
    [sym__string_literal_kind] = ACTIONS(5116),
  },
  [1082] = {
    [ts_builtin_sym_end] = ACTIONS(5098),
    [aux_sym_preproc_include_token1] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5070),
    [sym_preproc_comment] = ACTIONS(5458),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token2] = ACTIONS(5070),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5070),
    [aux_sym_block_data_statement_token1] = ACTIONS(5070),
    [aux_sym_block_data_statement_token2] = ACTIONS(5070),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5070),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5070),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5070),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5070),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5070),
    [aux_sym_contains_statement_token1] = ACTIONS(5070),
    [aux_sym_use_statement_token1] = ACTIONS(5070),
    [aux_sym_use_statement_token2] = ACTIONS(5070),
    [aux_sym_implicit_statement_token1] = ACTIONS(5070),
    [aux_sym_implicit_statement_token3] = ACTIONS(5070),
    [aux_sym_implicit_statement_token4] = ACTIONS(5070),
    [aux_sym_save_statement_token1] = ACTIONS(5070),
    [aux_sym_private_statement_token1] = ACTIONS(5070),
    [aux_sym_public_statement_token1] = ACTIONS(5070),
    [aux_sym_namelist_statement_token1] = ACTIONS(5070),
    [aux_sym_common_statement_token1] = ACTIONS(5070),
    [aux_sym_import_statement_token1] = ACTIONS(5070),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5070),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5070),
    [aux_sym_variable_attributes_token1] = ACTIONS(5070),
    [aux_sym_variable_attributes_token2] = ACTIONS(5070),
    [aux_sym_variable_attributes_token3] = ACTIONS(5070),
    [aux_sym_variable_attributes_token4] = ACTIONS(5070),
    [aux_sym_variable_attributes_token5] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5070),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5070),
    [aux_sym_derived_type_token1] = ACTIONS(5070),
    [aux_sym_declared_type_token1] = ACTIONS(5070),
    [aux_sym_declared_type_token2] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5070),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5070),
    [aux_sym_type_qualifier_token1] = ACTIONS(5070),
    [aux_sym_type_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5070),
    [aux_sym_stop_statement_token2] = ACTIONS(5070),
    [aux_sym_subroutine_call_token1] = ACTIONS(5070),
    [aux_sym_keyword_statement_token1] = ACTIONS(5070),
    [aux_sym_keyword_statement_token2] = ACTIONS(5070),
    [aux_sym_keyword_statement_token3] = ACTIONS(5070),
    [aux_sym_keyword_statement_token4] = ACTIONS(5070),
    [aux_sym_keyword_statement_token6] = ACTIONS(5070),
    [aux_sym_keyword_statement_token7] = ACTIONS(5070),
    [aux_sym_include_statement_token1] = ACTIONS(5070),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5070),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5070),
    [aux_sym_end_if_statement_token1] = ACTIONS(5070),
    [aux_sym_elseif_clause_token2] = ACTIONS(5070),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5070),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5070),
    [aux_sym_select_case_statement_token1] = ACTIONS(5070),
    [aux_sym_select_case_statement_token3] = ACTIONS(5070),
    [aux_sym_select_type_statement_token1] = ACTIONS(5070),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5070),
    [aux_sym_associate_statement_token1] = ACTIONS(5070),
    [aux_sym_format_statement_token1] = ACTIONS(5070),
    [aux_sym_print_statement_token1] = ACTIONS(5070),
    [aux_sym_open_statement_token1] = ACTIONS(5070),
    [aux_sym_close_statement_token1] = ACTIONS(5070),
    [aux_sym_inquire_statement_token1] = ACTIONS(5070),
    [aux_sym_enum_statement_token1] = ACTIONS(5070),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5070),
    [aux_sym_file_position_statement_token1] = ACTIONS(5070),
    [aux_sym_file_position_statement_token2] = ACTIONS(5070),
    [aux_sym_file_position_statement_token3] = ACTIONS(5070),
    [aux_sym_file_position_statement_token4] = ACTIONS(5070),
    [aux_sym_allocate_statement_token1] = ACTIONS(5070),
    [aux_sym_entry_statement_token1] = ACTIONS(5070),
    [aux_sym_assign_statement_token1] = ACTIONS(5070),
    [aux_sym_logical_expression_token5] = ACTIONS(5098),
    [anon_sym_DOT] = ACTIONS(5070),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [aux_sym_boolean_literal_token1] = ACTIONS(5098),
    [aux_sym_boolean_literal_token2] = ACTIONS(5098),
    [aux_sym_null_literal_token1] = ACTIONS(5070),
    [aux_sym_coarray_statement_token1] = ACTIONS(5070),
    [aux_sym_coarray_statement_token2] = ACTIONS(5070),
    [aux_sym_coarray_statement_token6] = ACTIONS(5070),
    [aux_sym_coarray_statement_token8] = ACTIONS(5070),
    [aux_sym_coarray_statement_token11] = ACTIONS(5070),
    [aux_sym_coarray_statement_token12] = ACTIONS(5070),
    [aux_sym_coarray_statement_token13] = ACTIONS(5070),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5070),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5070),
    [aux_sym_identifier_token1] = ACTIONS(5070),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5098),
    [sym__float_literal] = ACTIONS(5098),
    [sym__boz_literal] = ACTIONS(5098),
    [sym__string_literal] = ACTIONS(5098),
    [sym__string_literal_kind] = ACTIONS(5098),
  },
  [1083] = {
    [ts_builtin_sym_end] = ACTIONS(5460),
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5462),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5146),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [aux_sym_module_statement_token1] = ACTIONS(5146),
    [aux_sym_submodule_statement_token1] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_block_data_statement_token3] = ACTIONS(5146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5146),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_function_statement_token1] = ACTIONS(5146),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5146),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [aux_sym_module_statement_token1] = ACTIONS(5146),
    [aux_sym_submodule_statement_token1] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_block_data_statement_token3] = ACTIONS(5146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5146),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_function_statement_token1] = ACTIONS(5146),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5146),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [aux_sym_module_statement_token1] = ACTIONS(5146),
    [aux_sym_submodule_statement_token1] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_block_data_statement_token3] = ACTIONS(5146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5146),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_function_statement_token1] = ACTIONS(5146),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5146),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5470),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1088] = {
    [ts_builtin_sym_end] = ACTIONS(5152),
    [aux_sym_preproc_include_token1] = ACTIONS(5148),
    [aux_sym_preproc_def_token1] = ACTIONS(5148),
    [aux_sym_preproc_if_token1] = ACTIONS(5148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5148),
    [sym_preproc_directive] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [sym_preproc_comment] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5152),
    [anon_sym_DASH] = ACTIONS(5152),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5148),
    [aux_sym_end_program_statement_token1] = ACTIONS(5148),
    [aux_sym_end_program_statement_token2] = ACTIONS(5148),
    [aux_sym_module_statement_token1] = ACTIONS(5148),
    [aux_sym_submodule_statement_token1] = ACTIONS(5148),
    [anon_sym_SEMI] = ACTIONS(5152),
    [aux_sym_interface_statement_token1] = ACTIONS(5148),
    [aux_sym_block_data_statement_token1] = ACTIONS(5148),
    [aux_sym_block_data_statement_token2] = ACTIONS(5148),
    [aux_sym_block_data_statement_token3] = ACTIONS(5148),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5148),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5148),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5148),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5148),
    [aux_sym_function_statement_token1] = ACTIONS(5148),
    [aux_sym_language_binding_token1] = ACTIONS(5148),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5148),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5148),
    [aux_sym_contains_statement_token1] = ACTIONS(5148),
    [aux_sym_use_statement_token1] = ACTIONS(5148),
    [aux_sym_use_statement_token2] = ACTIONS(5148),
    [aux_sym_implicit_statement_token1] = ACTIONS(5148),
    [aux_sym_implicit_statement_token3] = ACTIONS(5148),
    [aux_sym_implicit_statement_token4] = ACTIONS(5148),
    [aux_sym_save_statement_token1] = ACTIONS(5148),
    [aux_sym_private_statement_token1] = ACTIONS(5148),
    [aux_sym_public_statement_token1] = ACTIONS(5148),
    [aux_sym_namelist_statement_token1] = ACTIONS(5148),
    [aux_sym_common_statement_token1] = ACTIONS(5148),
    [aux_sym_import_statement_token1] = ACTIONS(5148),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5148),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5148),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5148),
    [aux_sym_variable_attributes_token1] = ACTIONS(5148),
    [aux_sym_variable_attributes_token2] = ACTIONS(5148),
    [aux_sym_variable_attributes_token3] = ACTIONS(5148),
    [aux_sym_variable_attributes_token4] = ACTIONS(5148),
    [aux_sym_variable_attributes_token5] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5148),
    [aux_sym_derived_type_token1] = ACTIONS(5148),
    [aux_sym_declared_type_token1] = ACTIONS(5148),
    [aux_sym_declared_type_token2] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5148),
    [aux_sym_type_qualifier_token1] = ACTIONS(5148),
    [aux_sym_type_qualifier_token2] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5148),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5148),
    [aux_sym_stop_statement_token1] = ACTIONS(5148),
    [aux_sym_stop_statement_token2] = ACTIONS(5148),
    [aux_sym_subroutine_call_token1] = ACTIONS(5148),
    [aux_sym_keyword_statement_token1] = ACTIONS(5148),
    [aux_sym_keyword_statement_token2] = ACTIONS(5148),
    [aux_sym_keyword_statement_token3] = ACTIONS(5148),
    [aux_sym_keyword_statement_token4] = ACTIONS(5148),
    [aux_sym_keyword_statement_token6] = ACTIONS(5148),
    [aux_sym_keyword_statement_token7] = ACTIONS(5148),
    [aux_sym_include_statement_token1] = ACTIONS(5148),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5148),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5148),
    [aux_sym_end_if_statement_token1] = ACTIONS(5148),
    [aux_sym_elseif_clause_token2] = ACTIONS(5148),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5148),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5148),
    [aux_sym_select_case_statement_token1] = ACTIONS(5148),
    [aux_sym_select_case_statement_token3] = ACTIONS(5148),
    [aux_sym_select_type_statement_token1] = ACTIONS(5148),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5148),
    [aux_sym_associate_statement_token1] = ACTIONS(5148),
    [aux_sym_format_statement_token1] = ACTIONS(5148),
    [aux_sym_print_statement_token1] = ACTIONS(5148),
    [aux_sym_open_statement_token1] = ACTIONS(5148),
    [aux_sym_close_statement_token1] = ACTIONS(5148),
    [aux_sym_inquire_statement_token1] = ACTIONS(5148),
    [aux_sym_enum_statement_token1] = ACTIONS(5148),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5148),
    [aux_sym_file_position_statement_token1] = ACTIONS(5148),
    [aux_sym_file_position_statement_token2] = ACTIONS(5148),
    [aux_sym_file_position_statement_token3] = ACTIONS(5148),
    [aux_sym_file_position_statement_token4] = ACTIONS(5148),
    [aux_sym_allocate_statement_token1] = ACTIONS(5148),
    [aux_sym_entry_statement_token1] = ACTIONS(5148),
    [aux_sym_assign_statement_token1] = ACTIONS(5148),
    [aux_sym_logical_expression_token5] = ACTIONS(5152),
    [anon_sym_DOT] = ACTIONS(5148),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [aux_sym_boolean_literal_token1] = ACTIONS(5152),
    [aux_sym_boolean_literal_token2] = ACTIONS(5152),
    [aux_sym_null_literal_token1] = ACTIONS(5148),
    [aux_sym_coarray_statement_token1] = ACTIONS(5148),
    [aux_sym_coarray_statement_token2] = ACTIONS(5148),
    [aux_sym_coarray_statement_token6] = ACTIONS(5148),
    [aux_sym_coarray_statement_token8] = ACTIONS(5148),
    [aux_sym_coarray_statement_token11] = ACTIONS(5148),
    [aux_sym_coarray_statement_token12] = ACTIONS(5148),
    [aux_sym_coarray_statement_token13] = ACTIONS(5148),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5148),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5148),
    [aux_sym_identifier_token1] = ACTIONS(5148),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5152),
    [sym__float_literal] = ACTIONS(5152),
    [sym__boz_literal] = ACTIONS(5152),
    [sym__string_literal] = ACTIONS(5152),
    [sym__string_literal_kind] = ACTIONS(5152),
  },
  [1089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1090] = {
    [ts_builtin_sym_end] = ACTIONS(5138),
    [aux_sym_preproc_include_token1] = ACTIONS(5134),
    [aux_sym_preproc_def_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5134),
    [sym_preproc_directive] = ACTIONS(5134),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [sym_preproc_comment] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5134),
    [aux_sym_end_program_statement_token1] = ACTIONS(5134),
    [aux_sym_end_program_statement_token2] = ACTIONS(5134),
    [aux_sym_module_statement_token1] = ACTIONS(5134),
    [aux_sym_submodule_statement_token1] = ACTIONS(5134),
    [anon_sym_SEMI] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5134),
    [aux_sym_block_data_statement_token1] = ACTIONS(5134),
    [aux_sym_block_data_statement_token2] = ACTIONS(5134),
    [aux_sym_block_data_statement_token3] = ACTIONS(5134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5134),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5134),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5134),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5134),
    [aux_sym_function_statement_token1] = ACTIONS(5134),
    [aux_sym_language_binding_token1] = ACTIONS(5134),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5134),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5134),
    [aux_sym_contains_statement_token1] = ACTIONS(5134),
    [aux_sym_use_statement_token1] = ACTIONS(5134),
    [aux_sym_use_statement_token2] = ACTIONS(5134),
    [aux_sym_implicit_statement_token1] = ACTIONS(5134),
    [aux_sym_implicit_statement_token3] = ACTIONS(5134),
    [aux_sym_implicit_statement_token4] = ACTIONS(5134),
    [aux_sym_save_statement_token1] = ACTIONS(5134),
    [aux_sym_private_statement_token1] = ACTIONS(5134),
    [aux_sym_public_statement_token1] = ACTIONS(5134),
    [aux_sym_namelist_statement_token1] = ACTIONS(5134),
    [aux_sym_common_statement_token1] = ACTIONS(5134),
    [aux_sym_import_statement_token1] = ACTIONS(5134),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5134),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5134),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5134),
    [aux_sym_variable_attributes_token1] = ACTIONS(5134),
    [aux_sym_variable_attributes_token2] = ACTIONS(5134),
    [aux_sym_variable_attributes_token3] = ACTIONS(5134),
    [aux_sym_variable_attributes_token4] = ACTIONS(5134),
    [aux_sym_variable_attributes_token5] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5134),
    [aux_sym_derived_type_token1] = ACTIONS(5134),
    [aux_sym_declared_type_token1] = ACTIONS(5134),
    [aux_sym_declared_type_token2] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5134),
    [aux_sym_type_qualifier_token1] = ACTIONS(5134),
    [aux_sym_type_qualifier_token2] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5134),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5134),
    [aux_sym_stop_statement_token2] = ACTIONS(5134),
    [aux_sym_subroutine_call_token1] = ACTIONS(5134),
    [aux_sym_keyword_statement_token1] = ACTIONS(5134),
    [aux_sym_keyword_statement_token2] = ACTIONS(5134),
    [aux_sym_keyword_statement_token3] = ACTIONS(5134),
    [aux_sym_keyword_statement_token4] = ACTIONS(5134),
    [aux_sym_keyword_statement_token6] = ACTIONS(5134),
    [aux_sym_keyword_statement_token7] = ACTIONS(5134),
    [aux_sym_include_statement_token1] = ACTIONS(5134),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5134),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5134),
    [aux_sym_end_if_statement_token1] = ACTIONS(5134),
    [aux_sym_elseif_clause_token2] = ACTIONS(5134),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5134),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5134),
    [aux_sym_select_case_statement_token1] = ACTIONS(5134),
    [aux_sym_select_case_statement_token3] = ACTIONS(5134),
    [aux_sym_select_type_statement_token1] = ACTIONS(5134),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5134),
    [aux_sym_associate_statement_token1] = ACTIONS(5134),
    [aux_sym_format_statement_token1] = ACTIONS(5134),
    [aux_sym_print_statement_token1] = ACTIONS(5134),
    [aux_sym_open_statement_token1] = ACTIONS(5134),
    [aux_sym_close_statement_token1] = ACTIONS(5134),
    [aux_sym_inquire_statement_token1] = ACTIONS(5134),
    [aux_sym_enum_statement_token1] = ACTIONS(5134),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5134),
    [aux_sym_file_position_statement_token1] = ACTIONS(5134),
    [aux_sym_file_position_statement_token2] = ACTIONS(5134),
    [aux_sym_file_position_statement_token3] = ACTIONS(5134),
    [aux_sym_file_position_statement_token4] = ACTIONS(5134),
    [aux_sym_allocate_statement_token1] = ACTIONS(5134),
    [aux_sym_entry_statement_token1] = ACTIONS(5134),
    [aux_sym_assign_statement_token1] = ACTIONS(5134),
    [aux_sym_logical_expression_token5] = ACTIONS(5138),
    [anon_sym_DOT] = ACTIONS(5134),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [aux_sym_boolean_literal_token1] = ACTIONS(5138),
    [aux_sym_boolean_literal_token2] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5134),
    [aux_sym_coarray_statement_token1] = ACTIONS(5134),
    [aux_sym_coarray_statement_token2] = ACTIONS(5134),
    [aux_sym_coarray_statement_token6] = ACTIONS(5134),
    [aux_sym_coarray_statement_token8] = ACTIONS(5134),
    [aux_sym_coarray_statement_token11] = ACTIONS(5134),
    [aux_sym_coarray_statement_token12] = ACTIONS(5134),
    [aux_sym_coarray_statement_token13] = ACTIONS(5134),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5134),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5134),
    [aux_sym_identifier_token1] = ACTIONS(5134),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5138),
    [sym__float_literal] = ACTIONS(5138),
    [sym__boz_literal] = ACTIONS(5138),
    [sym__string_literal] = ACTIONS(5138),
    [sym__string_literal_kind] = ACTIONS(5138),
  },
  [1091] = {
    [ts_builtin_sym_end] = ACTIONS(5088),
    [aux_sym_preproc_include_token1] = ACTIONS(5084),
    [aux_sym_preproc_def_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5084),
    [sym_preproc_directive] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [sym_preproc_comment] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token2] = ACTIONS(5084),
    [aux_sym_module_statement_token1] = ACTIONS(5084),
    [aux_sym_submodule_statement_token1] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_interface_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token2] = ACTIONS(5084),
    [aux_sym_block_data_statement_token3] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5084),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5084),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5084),
    [aux_sym_function_statement_token1] = ACTIONS(5084),
    [aux_sym_language_binding_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5084),
    [aux_sym_contains_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token2] = ACTIONS(5084),
    [aux_sym_implicit_statement_token1] = ACTIONS(5084),
    [aux_sym_implicit_statement_token3] = ACTIONS(5084),
    [aux_sym_implicit_statement_token4] = ACTIONS(5084),
    [aux_sym_save_statement_token1] = ACTIONS(5084),
    [aux_sym_private_statement_token1] = ACTIONS(5084),
    [aux_sym_public_statement_token1] = ACTIONS(5084),
    [aux_sym_namelist_statement_token1] = ACTIONS(5084),
    [aux_sym_common_statement_token1] = ACTIONS(5084),
    [aux_sym_import_statement_token1] = ACTIONS(5084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5084),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5084),
    [aux_sym_variable_attributes_token1] = ACTIONS(5084),
    [aux_sym_variable_attributes_token2] = ACTIONS(5084),
    [aux_sym_variable_attributes_token3] = ACTIONS(5084),
    [aux_sym_variable_attributes_token4] = ACTIONS(5084),
    [aux_sym_variable_attributes_token5] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5084),
    [aux_sym_derived_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5084),
    [aux_sym_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5084),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token2] = ACTIONS(5084),
    [aux_sym_subroutine_call_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token2] = ACTIONS(5084),
    [aux_sym_keyword_statement_token3] = ACTIONS(5084),
    [aux_sym_keyword_statement_token4] = ACTIONS(5084),
    [aux_sym_keyword_statement_token6] = ACTIONS(5084),
    [aux_sym_keyword_statement_token7] = ACTIONS(5084),
    [aux_sym_include_statement_token1] = ACTIONS(5084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5084),
    [aux_sym_end_if_statement_token1] = ACTIONS(5084),
    [aux_sym_elseif_clause_token2] = ACTIONS(5084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token3] = ACTIONS(5084),
    [aux_sym_select_type_statement_token1] = ACTIONS(5084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5084),
    [aux_sym_associate_statement_token1] = ACTIONS(5084),
    [aux_sym_format_statement_token1] = ACTIONS(5084),
    [aux_sym_print_statement_token1] = ACTIONS(5084),
    [aux_sym_open_statement_token1] = ACTIONS(5084),
    [aux_sym_close_statement_token1] = ACTIONS(5084),
    [aux_sym_inquire_statement_token1] = ACTIONS(5084),
    [aux_sym_enum_statement_token1] = ACTIONS(5084),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token2] = ACTIONS(5084),
    [aux_sym_file_position_statement_token3] = ACTIONS(5084),
    [aux_sym_file_position_statement_token4] = ACTIONS(5084),
    [aux_sym_allocate_statement_token1] = ACTIONS(5084),
    [aux_sym_entry_statement_token1] = ACTIONS(5084),
    [aux_sym_assign_statement_token1] = ACTIONS(5084),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token2] = ACTIONS(5084),
    [aux_sym_coarray_statement_token6] = ACTIONS(5084),
    [aux_sym_coarray_statement_token8] = ACTIONS(5084),
    [aux_sym_coarray_statement_token11] = ACTIONS(5084),
    [aux_sym_coarray_statement_token12] = ACTIONS(5084),
    [aux_sym_coarray_statement_token13] = ACTIONS(5084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5084),
    [aux_sym_identifier_token1] = ACTIONS(5084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1092] = {
    [ts_builtin_sym_end] = ACTIONS(5106),
    [aux_sym_preproc_include_token1] = ACTIONS(5102),
    [aux_sym_preproc_def_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5102),
    [sym_preproc_directive] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [sym_preproc_comment] = ACTIONS(5480),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5102),
    [aux_sym_end_program_statement_token1] = ACTIONS(5102),
    [aux_sym_end_program_statement_token2] = ACTIONS(5102),
    [aux_sym_module_statement_token1] = ACTIONS(5102),
    [aux_sym_submodule_statement_token1] = ACTIONS(5102),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5102),
    [aux_sym_block_data_statement_token1] = ACTIONS(5102),
    [aux_sym_block_data_statement_token2] = ACTIONS(5102),
    [aux_sym_block_data_statement_token3] = ACTIONS(5102),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5102),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5102),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5102),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5102),
    [aux_sym_function_statement_token1] = ACTIONS(5102),
    [aux_sym_language_binding_token1] = ACTIONS(5102),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5102),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5102),
    [aux_sym_contains_statement_token1] = ACTIONS(5102),
    [aux_sym_use_statement_token1] = ACTIONS(5102),
    [aux_sym_use_statement_token2] = ACTIONS(5102),
    [aux_sym_implicit_statement_token1] = ACTIONS(5102),
    [aux_sym_implicit_statement_token3] = ACTIONS(5102),
    [aux_sym_implicit_statement_token4] = ACTIONS(5102),
    [aux_sym_save_statement_token1] = ACTIONS(5102),
    [aux_sym_private_statement_token1] = ACTIONS(5102),
    [aux_sym_public_statement_token1] = ACTIONS(5102),
    [aux_sym_namelist_statement_token1] = ACTIONS(5102),
    [aux_sym_common_statement_token1] = ACTIONS(5102),
    [aux_sym_import_statement_token1] = ACTIONS(5102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5102),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5102),
    [aux_sym_variable_attributes_token1] = ACTIONS(5102),
    [aux_sym_variable_attributes_token2] = ACTIONS(5102),
    [aux_sym_variable_attributes_token3] = ACTIONS(5102),
    [aux_sym_variable_attributes_token4] = ACTIONS(5102),
    [aux_sym_variable_attributes_token5] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5102),
    [aux_sym_derived_type_token1] = ACTIONS(5102),
    [aux_sym_declared_type_token1] = ACTIONS(5102),
    [aux_sym_declared_type_token2] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5102),
    [aux_sym_type_qualifier_token1] = ACTIONS(5102),
    [aux_sym_type_qualifier_token2] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5102),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5102),
    [aux_sym_stop_statement_token2] = ACTIONS(5102),
    [aux_sym_subroutine_call_token1] = ACTIONS(5102),
    [aux_sym_keyword_statement_token1] = ACTIONS(5102),
    [aux_sym_keyword_statement_token2] = ACTIONS(5102),
    [aux_sym_keyword_statement_token3] = ACTIONS(5102),
    [aux_sym_keyword_statement_token4] = ACTIONS(5102),
    [aux_sym_keyword_statement_token6] = ACTIONS(5102),
    [aux_sym_keyword_statement_token7] = ACTIONS(5102),
    [aux_sym_include_statement_token1] = ACTIONS(5102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5102),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5102),
    [aux_sym_end_if_statement_token1] = ACTIONS(5102),
    [aux_sym_elseif_clause_token2] = ACTIONS(5102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5102),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5102),
    [aux_sym_select_case_statement_token1] = ACTIONS(5102),
    [aux_sym_select_case_statement_token3] = ACTIONS(5102),
    [aux_sym_select_type_statement_token1] = ACTIONS(5102),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5102),
    [aux_sym_associate_statement_token1] = ACTIONS(5102),
    [aux_sym_format_statement_token1] = ACTIONS(5102),
    [aux_sym_print_statement_token1] = ACTIONS(5102),
    [aux_sym_open_statement_token1] = ACTIONS(5102),
    [aux_sym_close_statement_token1] = ACTIONS(5102),
    [aux_sym_inquire_statement_token1] = ACTIONS(5102),
    [aux_sym_enum_statement_token1] = ACTIONS(5102),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5102),
    [aux_sym_file_position_statement_token1] = ACTIONS(5102),
    [aux_sym_file_position_statement_token2] = ACTIONS(5102),
    [aux_sym_file_position_statement_token3] = ACTIONS(5102),
    [aux_sym_file_position_statement_token4] = ACTIONS(5102),
    [aux_sym_allocate_statement_token1] = ACTIONS(5102),
    [aux_sym_entry_statement_token1] = ACTIONS(5102),
    [aux_sym_assign_statement_token1] = ACTIONS(5102),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5102),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5102),
    [aux_sym_coarray_statement_token1] = ACTIONS(5102),
    [aux_sym_coarray_statement_token2] = ACTIONS(5102),
    [aux_sym_coarray_statement_token6] = ACTIONS(5102),
    [aux_sym_coarray_statement_token8] = ACTIONS(5102),
    [aux_sym_coarray_statement_token11] = ACTIONS(5102),
    [aux_sym_coarray_statement_token12] = ACTIONS(5102),
    [aux_sym_coarray_statement_token13] = ACTIONS(5102),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5102),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5102),
    [aux_sym_identifier_token1] = ACTIONS(5102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1094] = {
    [ts_builtin_sym_end] = ACTIONS(5094),
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [sym_preproc_comment] = ACTIONS(5484),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token2] = ACTIONS(5090),
    [aux_sym_module_statement_token1] = ACTIONS(5090),
    [aux_sym_submodule_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_block_data_statement_token1] = ACTIONS(5090),
    [aux_sym_block_data_statement_token2] = ACTIONS(5090),
    [aux_sym_block_data_statement_token3] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_function_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_assign_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [aux_sym_boolean_literal_token1] = ACTIONS(5094),
    [aux_sym_boolean_literal_token2] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5094),
    [sym__float_literal] = ACTIONS(5094),
    [sym__boz_literal] = ACTIONS(5094),
    [sym__string_literal] = ACTIONS(5094),
    [sym__string_literal_kind] = ACTIONS(5094),
  },
  [1095] = {
    [ts_builtin_sym_end] = ACTIONS(5098),
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [sym_preproc_comment] = ACTIONS(5488),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token2] = ACTIONS(5090),
    [aux_sym_module_statement_token1] = ACTIONS(5090),
    [aux_sym_submodule_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_block_data_statement_token1] = ACTIONS(5090),
    [aux_sym_block_data_statement_token2] = ACTIONS(5090),
    [aux_sym_block_data_statement_token3] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_function_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5090),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_assign_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [aux_sym_boolean_literal_token1] = ACTIONS(5094),
    [aux_sym_boolean_literal_token2] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5094),
    [sym__float_literal] = ACTIONS(5094),
    [sym__boz_literal] = ACTIONS(5094),
    [sym__string_literal] = ACTIONS(5094),
    [sym__string_literal_kind] = ACTIONS(5094),
  },
  [1097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5084),
    [aux_sym_preproc_def_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token1] = ACTIONS(5084),
    [aux_sym_preproc_if_token2] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5084),
    [sym_preproc_directive] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [sym_preproc_comment] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token1] = ACTIONS(5084),
    [aux_sym_end_program_statement_token2] = ACTIONS(5084),
    [aux_sym_module_statement_token1] = ACTIONS(5084),
    [aux_sym_submodule_statement_token1] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_interface_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token1] = ACTIONS(5084),
    [aux_sym_block_data_statement_token2] = ACTIONS(5084),
    [aux_sym_block_data_statement_token3] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5084),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5084),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5084),
    [aux_sym_function_statement_token1] = ACTIONS(5084),
    [aux_sym_language_binding_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5084),
    [aux_sym_contains_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token1] = ACTIONS(5084),
    [aux_sym_use_statement_token2] = ACTIONS(5084),
    [aux_sym_implicit_statement_token1] = ACTIONS(5084),
    [aux_sym_implicit_statement_token3] = ACTIONS(5084),
    [aux_sym_implicit_statement_token4] = ACTIONS(5084),
    [aux_sym_save_statement_token1] = ACTIONS(5084),
    [aux_sym_private_statement_token1] = ACTIONS(5084),
    [aux_sym_public_statement_token1] = ACTIONS(5084),
    [aux_sym_namelist_statement_token1] = ACTIONS(5084),
    [aux_sym_common_statement_token1] = ACTIONS(5084),
    [aux_sym_import_statement_token1] = ACTIONS(5084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5084),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5084),
    [aux_sym_variable_attributes_token1] = ACTIONS(5084),
    [aux_sym_variable_attributes_token2] = ACTIONS(5084),
    [aux_sym_variable_attributes_token3] = ACTIONS(5084),
    [aux_sym_variable_attributes_token4] = ACTIONS(5084),
    [aux_sym_variable_attributes_token5] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5084),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5084),
    [aux_sym_derived_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token1] = ACTIONS(5084),
    [aux_sym_declared_type_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5084),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5084),
    [aux_sym_type_qualifier_token1] = ACTIONS(5084),
    [aux_sym_type_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5084),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5084),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5084),
    [aux_sym_stop_statement_token2] = ACTIONS(5084),
    [aux_sym_subroutine_call_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token1] = ACTIONS(5084),
    [aux_sym_keyword_statement_token2] = ACTIONS(5084),
    [aux_sym_keyword_statement_token3] = ACTIONS(5084),
    [aux_sym_keyword_statement_token4] = ACTIONS(5084),
    [aux_sym_keyword_statement_token6] = ACTIONS(5084),
    [aux_sym_keyword_statement_token7] = ACTIONS(5084),
    [aux_sym_include_statement_token1] = ACTIONS(5084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5084),
    [aux_sym_end_if_statement_token1] = ACTIONS(5084),
    [aux_sym_elseif_clause_token2] = ACTIONS(5084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token1] = ACTIONS(5084),
    [aux_sym_select_case_statement_token3] = ACTIONS(5084),
    [aux_sym_select_type_statement_token1] = ACTIONS(5084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5084),
    [aux_sym_associate_statement_token1] = ACTIONS(5084),
    [aux_sym_format_statement_token1] = ACTIONS(5084),
    [aux_sym_print_statement_token1] = ACTIONS(5084),
    [aux_sym_open_statement_token1] = ACTIONS(5084),
    [aux_sym_close_statement_token1] = ACTIONS(5084),
    [aux_sym_inquire_statement_token1] = ACTIONS(5084),
    [aux_sym_enum_statement_token1] = ACTIONS(5084),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token1] = ACTIONS(5084),
    [aux_sym_file_position_statement_token2] = ACTIONS(5084),
    [aux_sym_file_position_statement_token3] = ACTIONS(5084),
    [aux_sym_file_position_statement_token4] = ACTIONS(5084),
    [aux_sym_allocate_statement_token1] = ACTIONS(5084),
    [aux_sym_entry_statement_token1] = ACTIONS(5084),
    [aux_sym_assign_statement_token1] = ACTIONS(5084),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_statement_token2] = ACTIONS(5084),
    [aux_sym_coarray_statement_token6] = ACTIONS(5084),
    [aux_sym_coarray_statement_token8] = ACTIONS(5084),
    [aux_sym_coarray_statement_token11] = ACTIONS(5084),
    [aux_sym_coarray_statement_token12] = ACTIONS(5084),
    [aux_sym_coarray_statement_token13] = ACTIONS(5084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5084),
    [aux_sym_identifier_token1] = ACTIONS(5084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1098] = {
    [ts_builtin_sym_end] = ACTIONS(5492),
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5060),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_module_statement_token1] = ACTIONS(5060),
    [aux_sym_submodule_statement_token1] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_block_data_statement_token3] = ACTIONS(5060),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5060),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_function_statement_token1] = ACTIONS(5060),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5060),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5060),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1099] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5134),
    [aux_sym_preproc_def_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token2] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5134),
    [sym_preproc_directive] = ACTIONS(5134),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [sym_preproc_comment] = ACTIONS(5496),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5134),
    [aux_sym_end_program_statement_token1] = ACTIONS(5134),
    [aux_sym_end_program_statement_token2] = ACTIONS(5134),
    [aux_sym_module_statement_token1] = ACTIONS(5134),
    [aux_sym_submodule_statement_token1] = ACTIONS(5134),
    [anon_sym_SEMI] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5134),
    [aux_sym_block_data_statement_token1] = ACTIONS(5134),
    [aux_sym_block_data_statement_token2] = ACTIONS(5134),
    [aux_sym_block_data_statement_token3] = ACTIONS(5134),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5134),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5134),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5134),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5134),
    [aux_sym_function_statement_token1] = ACTIONS(5134),
    [aux_sym_language_binding_token1] = ACTIONS(5134),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5134),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5134),
    [aux_sym_contains_statement_token1] = ACTIONS(5134),
    [aux_sym_use_statement_token1] = ACTIONS(5134),
    [aux_sym_use_statement_token2] = ACTIONS(5134),
    [aux_sym_implicit_statement_token1] = ACTIONS(5134),
    [aux_sym_implicit_statement_token3] = ACTIONS(5134),
    [aux_sym_implicit_statement_token4] = ACTIONS(5134),
    [aux_sym_save_statement_token1] = ACTIONS(5134),
    [aux_sym_private_statement_token1] = ACTIONS(5134),
    [aux_sym_public_statement_token1] = ACTIONS(5134),
    [aux_sym_namelist_statement_token1] = ACTIONS(5134),
    [aux_sym_common_statement_token1] = ACTIONS(5134),
    [aux_sym_import_statement_token1] = ACTIONS(5134),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5134),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5134),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5134),
    [aux_sym_variable_attributes_token1] = ACTIONS(5134),
    [aux_sym_variable_attributes_token2] = ACTIONS(5134),
    [aux_sym_variable_attributes_token3] = ACTIONS(5134),
    [aux_sym_variable_attributes_token4] = ACTIONS(5134),
    [aux_sym_variable_attributes_token5] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5134),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5134),
    [aux_sym_derived_type_token1] = ACTIONS(5134),
    [aux_sym_declared_type_token1] = ACTIONS(5134),
    [aux_sym_declared_type_token2] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5134),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5134),
    [aux_sym_type_qualifier_token1] = ACTIONS(5134),
    [aux_sym_type_qualifier_token2] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5134),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5134),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5134),
    [aux_sym_stop_statement_token2] = ACTIONS(5134),
    [aux_sym_subroutine_call_token1] = ACTIONS(5134),
    [aux_sym_keyword_statement_token1] = ACTIONS(5134),
    [aux_sym_keyword_statement_token2] = ACTIONS(5134),
    [aux_sym_keyword_statement_token3] = ACTIONS(5134),
    [aux_sym_keyword_statement_token4] = ACTIONS(5134),
    [aux_sym_keyword_statement_token6] = ACTIONS(5134),
    [aux_sym_keyword_statement_token7] = ACTIONS(5134),
    [aux_sym_include_statement_token1] = ACTIONS(5134),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5134),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5134),
    [aux_sym_end_if_statement_token1] = ACTIONS(5134),
    [aux_sym_elseif_clause_token2] = ACTIONS(5134),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5134),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5134),
    [aux_sym_select_case_statement_token1] = ACTIONS(5134),
    [aux_sym_select_case_statement_token3] = ACTIONS(5134),
    [aux_sym_select_type_statement_token1] = ACTIONS(5134),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5134),
    [aux_sym_associate_statement_token1] = ACTIONS(5134),
    [aux_sym_format_statement_token1] = ACTIONS(5134),
    [aux_sym_print_statement_token1] = ACTIONS(5134),
    [aux_sym_open_statement_token1] = ACTIONS(5134),
    [aux_sym_close_statement_token1] = ACTIONS(5134),
    [aux_sym_inquire_statement_token1] = ACTIONS(5134),
    [aux_sym_enum_statement_token1] = ACTIONS(5134),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5134),
    [aux_sym_file_position_statement_token1] = ACTIONS(5134),
    [aux_sym_file_position_statement_token2] = ACTIONS(5134),
    [aux_sym_file_position_statement_token3] = ACTIONS(5134),
    [aux_sym_file_position_statement_token4] = ACTIONS(5134),
    [aux_sym_allocate_statement_token1] = ACTIONS(5134),
    [aux_sym_entry_statement_token1] = ACTIONS(5134),
    [aux_sym_assign_statement_token1] = ACTIONS(5134),
    [aux_sym_logical_expression_token5] = ACTIONS(5138),
    [anon_sym_DOT] = ACTIONS(5134),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [aux_sym_boolean_literal_token1] = ACTIONS(5138),
    [aux_sym_boolean_literal_token2] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5134),
    [aux_sym_coarray_statement_token1] = ACTIONS(5134),
    [aux_sym_coarray_statement_token2] = ACTIONS(5134),
    [aux_sym_coarray_statement_token6] = ACTIONS(5134),
    [aux_sym_coarray_statement_token8] = ACTIONS(5134),
    [aux_sym_coarray_statement_token11] = ACTIONS(5134),
    [aux_sym_coarray_statement_token12] = ACTIONS(5134),
    [aux_sym_coarray_statement_token13] = ACTIONS(5134),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5134),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5134),
    [aux_sym_identifier_token1] = ACTIONS(5134),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5138),
    [sym__float_literal] = ACTIONS(5138),
    [sym__boz_literal] = ACTIONS(5138),
    [sym__string_literal] = ACTIONS(5138),
    [sym__string_literal_kind] = ACTIONS(5138),
  },
  [1100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5102),
    [aux_sym_preproc_def_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token2] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5102),
    [sym_preproc_directive] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [sym_preproc_comment] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5102),
    [aux_sym_end_program_statement_token1] = ACTIONS(5102),
    [aux_sym_end_program_statement_token2] = ACTIONS(5102),
    [aux_sym_module_statement_token1] = ACTIONS(5102),
    [aux_sym_submodule_statement_token1] = ACTIONS(5102),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_interface_statement_token1] = ACTIONS(5102),
    [aux_sym_block_data_statement_token1] = ACTIONS(5102),
    [aux_sym_block_data_statement_token2] = ACTIONS(5102),
    [aux_sym_block_data_statement_token3] = ACTIONS(5102),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5102),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5102),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5102),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5102),
    [aux_sym_function_statement_token1] = ACTIONS(5102),
    [aux_sym_language_binding_token1] = ACTIONS(5102),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5102),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5102),
    [aux_sym_contains_statement_token1] = ACTIONS(5102),
    [aux_sym_use_statement_token1] = ACTIONS(5102),
    [aux_sym_use_statement_token2] = ACTIONS(5102),
    [aux_sym_implicit_statement_token1] = ACTIONS(5102),
    [aux_sym_implicit_statement_token3] = ACTIONS(5102),
    [aux_sym_implicit_statement_token4] = ACTIONS(5102),
    [aux_sym_save_statement_token1] = ACTIONS(5102),
    [aux_sym_private_statement_token1] = ACTIONS(5102),
    [aux_sym_public_statement_token1] = ACTIONS(5102),
    [aux_sym_namelist_statement_token1] = ACTIONS(5102),
    [aux_sym_common_statement_token1] = ACTIONS(5102),
    [aux_sym_import_statement_token1] = ACTIONS(5102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5102),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5102),
    [aux_sym_variable_attributes_token1] = ACTIONS(5102),
    [aux_sym_variable_attributes_token2] = ACTIONS(5102),
    [aux_sym_variable_attributes_token3] = ACTIONS(5102),
    [aux_sym_variable_attributes_token4] = ACTIONS(5102),
    [aux_sym_variable_attributes_token5] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5102),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5102),
    [aux_sym_derived_type_token1] = ACTIONS(5102),
    [aux_sym_declared_type_token1] = ACTIONS(5102),
    [aux_sym_declared_type_token2] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5102),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5102),
    [aux_sym_type_qualifier_token1] = ACTIONS(5102),
    [aux_sym_type_qualifier_token2] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5102),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5102),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5102),
    [aux_sym_stop_statement_token2] = ACTIONS(5102),
    [aux_sym_subroutine_call_token1] = ACTIONS(5102),
    [aux_sym_keyword_statement_token1] = ACTIONS(5102),
    [aux_sym_keyword_statement_token2] = ACTIONS(5102),
    [aux_sym_keyword_statement_token3] = ACTIONS(5102),
    [aux_sym_keyword_statement_token4] = ACTIONS(5102),
    [aux_sym_keyword_statement_token6] = ACTIONS(5102),
    [aux_sym_keyword_statement_token7] = ACTIONS(5102),
    [aux_sym_include_statement_token1] = ACTIONS(5102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5102),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5102),
    [aux_sym_end_if_statement_token1] = ACTIONS(5102),
    [aux_sym_elseif_clause_token2] = ACTIONS(5102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5102),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5102),
    [aux_sym_select_case_statement_token1] = ACTIONS(5102),
    [aux_sym_select_case_statement_token3] = ACTIONS(5102),
    [aux_sym_select_type_statement_token1] = ACTIONS(5102),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5102),
    [aux_sym_associate_statement_token1] = ACTIONS(5102),
    [aux_sym_format_statement_token1] = ACTIONS(5102),
    [aux_sym_print_statement_token1] = ACTIONS(5102),
    [aux_sym_open_statement_token1] = ACTIONS(5102),
    [aux_sym_close_statement_token1] = ACTIONS(5102),
    [aux_sym_inquire_statement_token1] = ACTIONS(5102),
    [aux_sym_enum_statement_token1] = ACTIONS(5102),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5102),
    [aux_sym_file_position_statement_token1] = ACTIONS(5102),
    [aux_sym_file_position_statement_token2] = ACTIONS(5102),
    [aux_sym_file_position_statement_token3] = ACTIONS(5102),
    [aux_sym_file_position_statement_token4] = ACTIONS(5102),
    [aux_sym_allocate_statement_token1] = ACTIONS(5102),
    [aux_sym_entry_statement_token1] = ACTIONS(5102),
    [aux_sym_assign_statement_token1] = ACTIONS(5102),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5102),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5102),
    [aux_sym_coarray_statement_token1] = ACTIONS(5102),
    [aux_sym_coarray_statement_token2] = ACTIONS(5102),
    [aux_sym_coarray_statement_token6] = ACTIONS(5102),
    [aux_sym_coarray_statement_token8] = ACTIONS(5102),
    [aux_sym_coarray_statement_token11] = ACTIONS(5102),
    [aux_sym_coarray_statement_token12] = ACTIONS(5102),
    [aux_sym_coarray_statement_token13] = ACTIONS(5102),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5102),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5102),
    [aux_sym_identifier_token1] = ACTIONS(5102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [sym_preproc_comment] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [aux_sym_boolean_literal_token1] = ACTIONS(5116),
    [aux_sym_boolean_literal_token2] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5116),
    [sym__float_literal] = ACTIONS(5116),
    [sym__boz_literal] = ACTIONS(5116),
    [sym__string_literal] = ACTIONS(5116),
    [sym__string_literal_kind] = ACTIONS(5116),
  },
  [1102] = {
    [ts_builtin_sym_end] = ACTIONS(5048),
    [aux_sym_preproc_include_token1] = ACTIONS(5044),
    [aux_sym_preproc_def_token1] = ACTIONS(5044),
    [aux_sym_preproc_if_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5044),
    [sym_preproc_directive] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [sym_preproc_comment] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token1] = ACTIONS(5044),
    [aux_sym_end_program_statement_token2] = ACTIONS(5044),
    [aux_sym_module_statement_token1] = ACTIONS(5044),
    [aux_sym_submodule_statement_token1] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_interface_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token1] = ACTIONS(5044),
    [aux_sym_block_data_statement_token2] = ACTIONS(5044),
    [aux_sym_block_data_statement_token3] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5044),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5044),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5044),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5044),
    [aux_sym_function_statement_token1] = ACTIONS(5044),
    [aux_sym_language_binding_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5044),
    [aux_sym_contains_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token1] = ACTIONS(5044),
    [aux_sym_use_statement_token2] = ACTIONS(5044),
    [aux_sym_implicit_statement_token1] = ACTIONS(5044),
    [aux_sym_implicit_statement_token3] = ACTIONS(5044),
    [aux_sym_implicit_statement_token4] = ACTIONS(5044),
    [aux_sym_save_statement_token1] = ACTIONS(5044),
    [aux_sym_private_statement_token1] = ACTIONS(5044),
    [aux_sym_public_statement_token1] = ACTIONS(5044),
    [aux_sym_namelist_statement_token1] = ACTIONS(5044),
    [aux_sym_common_statement_token1] = ACTIONS(5044),
    [aux_sym_import_statement_token1] = ACTIONS(5044),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5044),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5044),
    [aux_sym_variable_attributes_token1] = ACTIONS(5044),
    [aux_sym_variable_attributes_token2] = ACTIONS(5044),
    [aux_sym_variable_attributes_token3] = ACTIONS(5044),
    [aux_sym_variable_attributes_token4] = ACTIONS(5044),
    [aux_sym_variable_attributes_token5] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5044),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5044),
    [aux_sym_derived_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token1] = ACTIONS(5044),
    [aux_sym_declared_type_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5044),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5044),
    [aux_sym_type_qualifier_token1] = ACTIONS(5044),
    [aux_sym_type_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5044),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5044),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5044),
    [aux_sym_stop_statement_token2] = ACTIONS(5044),
    [aux_sym_subroutine_call_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token1] = ACTIONS(5044),
    [aux_sym_keyword_statement_token2] = ACTIONS(5044),
    [aux_sym_keyword_statement_token3] = ACTIONS(5044),
    [aux_sym_keyword_statement_token4] = ACTIONS(5044),
    [aux_sym_keyword_statement_token6] = ACTIONS(5044),
    [aux_sym_keyword_statement_token7] = ACTIONS(5044),
    [aux_sym_include_statement_token1] = ACTIONS(5044),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5044),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5044),
    [aux_sym_end_if_statement_token1] = ACTIONS(5044),
    [aux_sym_elseif_clause_token2] = ACTIONS(5044),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5044),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token1] = ACTIONS(5044),
    [aux_sym_select_case_statement_token3] = ACTIONS(5044),
    [aux_sym_select_type_statement_token1] = ACTIONS(5044),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5044),
    [aux_sym_associate_statement_token1] = ACTIONS(5044),
    [aux_sym_format_statement_token1] = ACTIONS(5044),
    [aux_sym_print_statement_token1] = ACTIONS(5044),
    [aux_sym_open_statement_token1] = ACTIONS(5044),
    [aux_sym_close_statement_token1] = ACTIONS(5044),
    [aux_sym_inquire_statement_token1] = ACTIONS(5044),
    [aux_sym_enum_statement_token1] = ACTIONS(5044),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token1] = ACTIONS(5044),
    [aux_sym_file_position_statement_token2] = ACTIONS(5044),
    [aux_sym_file_position_statement_token3] = ACTIONS(5044),
    [aux_sym_file_position_statement_token4] = ACTIONS(5044),
    [aux_sym_allocate_statement_token1] = ACTIONS(5044),
    [aux_sym_entry_statement_token1] = ACTIONS(5044),
    [aux_sym_assign_statement_token1] = ACTIONS(5044),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5044),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_statement_token2] = ACTIONS(5044),
    [aux_sym_coarray_statement_token6] = ACTIONS(5044),
    [aux_sym_coarray_statement_token8] = ACTIONS(5044),
    [aux_sym_coarray_statement_token11] = ACTIONS(5044),
    [aux_sym_coarray_statement_token12] = ACTIONS(5044),
    [aux_sym_coarray_statement_token13] = ACTIONS(5044),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5044),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5044),
    [aux_sym_identifier_token1] = ACTIONS(5044),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5148),
    [aux_sym_preproc_def_token1] = ACTIONS(5148),
    [aux_sym_preproc_if_token1] = ACTIONS(5148),
    [aux_sym_preproc_if_token2] = ACTIONS(5148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5148),
    [sym_preproc_directive] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [sym_preproc_comment] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5152),
    [anon_sym_DASH] = ACTIONS(5152),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5148),
    [aux_sym_end_program_statement_token1] = ACTIONS(5148),
    [aux_sym_end_program_statement_token2] = ACTIONS(5148),
    [aux_sym_module_statement_token1] = ACTIONS(5148),
    [aux_sym_submodule_statement_token1] = ACTIONS(5148),
    [anon_sym_SEMI] = ACTIONS(5152),
    [aux_sym_interface_statement_token1] = ACTIONS(5148),
    [aux_sym_block_data_statement_token1] = ACTIONS(5148),
    [aux_sym_block_data_statement_token2] = ACTIONS(5148),
    [aux_sym_block_data_statement_token3] = ACTIONS(5148),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5148),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5148),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5148),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5148),
    [aux_sym_function_statement_token1] = ACTIONS(5148),
    [aux_sym_language_binding_token1] = ACTIONS(5148),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5148),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5148),
    [aux_sym_contains_statement_token1] = ACTIONS(5148),
    [aux_sym_use_statement_token1] = ACTIONS(5148),
    [aux_sym_use_statement_token2] = ACTIONS(5148),
    [aux_sym_implicit_statement_token1] = ACTIONS(5148),
    [aux_sym_implicit_statement_token3] = ACTIONS(5148),
    [aux_sym_implicit_statement_token4] = ACTIONS(5148),
    [aux_sym_save_statement_token1] = ACTIONS(5148),
    [aux_sym_private_statement_token1] = ACTIONS(5148),
    [aux_sym_public_statement_token1] = ACTIONS(5148),
    [aux_sym_namelist_statement_token1] = ACTIONS(5148),
    [aux_sym_common_statement_token1] = ACTIONS(5148),
    [aux_sym_import_statement_token1] = ACTIONS(5148),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5148),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5148),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5148),
    [aux_sym_variable_attributes_token1] = ACTIONS(5148),
    [aux_sym_variable_attributes_token2] = ACTIONS(5148),
    [aux_sym_variable_attributes_token3] = ACTIONS(5148),
    [aux_sym_variable_attributes_token4] = ACTIONS(5148),
    [aux_sym_variable_attributes_token5] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5148),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5148),
    [aux_sym_derived_type_token1] = ACTIONS(5148),
    [aux_sym_declared_type_token1] = ACTIONS(5148),
    [aux_sym_declared_type_token2] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5148),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5148),
    [aux_sym_type_qualifier_token1] = ACTIONS(5148),
    [aux_sym_type_qualifier_token2] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5148),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5148),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5148),
    [aux_sym_stop_statement_token1] = ACTIONS(5148),
    [aux_sym_stop_statement_token2] = ACTIONS(5148),
    [aux_sym_subroutine_call_token1] = ACTIONS(5148),
    [aux_sym_keyword_statement_token1] = ACTIONS(5148),
    [aux_sym_keyword_statement_token2] = ACTIONS(5148),
    [aux_sym_keyword_statement_token3] = ACTIONS(5148),
    [aux_sym_keyword_statement_token4] = ACTIONS(5148),
    [aux_sym_keyword_statement_token6] = ACTIONS(5148),
    [aux_sym_keyword_statement_token7] = ACTIONS(5148),
    [aux_sym_include_statement_token1] = ACTIONS(5148),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5148),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5148),
    [aux_sym_end_if_statement_token1] = ACTIONS(5148),
    [aux_sym_elseif_clause_token2] = ACTIONS(5148),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5148),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5148),
    [aux_sym_select_case_statement_token1] = ACTIONS(5148),
    [aux_sym_select_case_statement_token3] = ACTIONS(5148),
    [aux_sym_select_type_statement_token1] = ACTIONS(5148),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5148),
    [aux_sym_associate_statement_token1] = ACTIONS(5148),
    [aux_sym_format_statement_token1] = ACTIONS(5148),
    [aux_sym_print_statement_token1] = ACTIONS(5148),
    [aux_sym_open_statement_token1] = ACTIONS(5148),
    [aux_sym_close_statement_token1] = ACTIONS(5148),
    [aux_sym_inquire_statement_token1] = ACTIONS(5148),
    [aux_sym_enum_statement_token1] = ACTIONS(5148),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5148),
    [aux_sym_file_position_statement_token1] = ACTIONS(5148),
    [aux_sym_file_position_statement_token2] = ACTIONS(5148),
    [aux_sym_file_position_statement_token3] = ACTIONS(5148),
    [aux_sym_file_position_statement_token4] = ACTIONS(5148),
    [aux_sym_allocate_statement_token1] = ACTIONS(5148),
    [aux_sym_entry_statement_token1] = ACTIONS(5148),
    [aux_sym_assign_statement_token1] = ACTIONS(5148),
    [aux_sym_logical_expression_token5] = ACTIONS(5152),
    [anon_sym_DOT] = ACTIONS(5148),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [aux_sym_boolean_literal_token1] = ACTIONS(5152),
    [aux_sym_boolean_literal_token2] = ACTIONS(5152),
    [aux_sym_null_literal_token1] = ACTIONS(5148),
    [aux_sym_coarray_statement_token1] = ACTIONS(5148),
    [aux_sym_coarray_statement_token2] = ACTIONS(5148),
    [aux_sym_coarray_statement_token6] = ACTIONS(5148),
    [aux_sym_coarray_statement_token8] = ACTIONS(5148),
    [aux_sym_coarray_statement_token11] = ACTIONS(5148),
    [aux_sym_coarray_statement_token12] = ACTIONS(5148),
    [aux_sym_coarray_statement_token13] = ACTIONS(5148),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5148),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5148),
    [aux_sym_identifier_token1] = ACTIONS(5148),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5152),
    [sym__float_literal] = ACTIONS(5152),
    [sym__boz_literal] = ACTIONS(5152),
    [sym__string_literal] = ACTIONS(5152),
    [sym__string_literal_kind] = ACTIONS(5152),
  },
  [1104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5056),
    [aux_sym_preproc_def_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token1] = ACTIONS(5056),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5056),
    [sym_preproc_directive] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [sym_preproc_comment] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token2] = ACTIONS(5056),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token1] = ACTIONS(5056),
    [aux_sym_block_data_statement_token2] = ACTIONS(5056),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5056),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5056),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5056),
    [aux_sym_contains_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token1] = ACTIONS(5056),
    [aux_sym_use_statement_token2] = ACTIONS(5056),
    [aux_sym_implicit_statement_token1] = ACTIONS(5056),
    [aux_sym_implicit_statement_token3] = ACTIONS(5056),
    [aux_sym_implicit_statement_token4] = ACTIONS(5056),
    [aux_sym_save_statement_token1] = ACTIONS(5056),
    [aux_sym_private_statement_token1] = ACTIONS(5056),
    [aux_sym_public_statement_token1] = ACTIONS(5056),
    [aux_sym_namelist_statement_token1] = ACTIONS(5056),
    [aux_sym_common_statement_token1] = ACTIONS(5056),
    [aux_sym_import_statement_token1] = ACTIONS(5056),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5056),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5056),
    [aux_sym_variable_attributes_token1] = ACTIONS(5056),
    [aux_sym_variable_attributes_token2] = ACTIONS(5056),
    [aux_sym_variable_attributes_token3] = ACTIONS(5056),
    [aux_sym_variable_attributes_token4] = ACTIONS(5056),
    [aux_sym_variable_attributes_token5] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5056),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5056),
    [aux_sym_derived_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token1] = ACTIONS(5056),
    [aux_sym_declared_type_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5056),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5056),
    [aux_sym_type_qualifier_token1] = ACTIONS(5056),
    [aux_sym_type_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5056),
    [aux_sym_stop_statement_token2] = ACTIONS(5056),
    [aux_sym_subroutine_call_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token1] = ACTIONS(5056),
    [aux_sym_keyword_statement_token2] = ACTIONS(5056),
    [aux_sym_keyword_statement_token3] = ACTIONS(5056),
    [aux_sym_keyword_statement_token4] = ACTIONS(5056),
    [aux_sym_keyword_statement_token6] = ACTIONS(5056),
    [aux_sym_keyword_statement_token7] = ACTIONS(5056),
    [aux_sym_include_statement_token1] = ACTIONS(5056),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5056),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5056),
    [aux_sym_end_if_statement_token1] = ACTIONS(5056),
    [aux_sym_elseif_clause_token2] = ACTIONS(5056),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5056),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token1] = ACTIONS(5056),
    [aux_sym_select_case_statement_token3] = ACTIONS(5056),
    [aux_sym_select_type_statement_token1] = ACTIONS(5056),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5056),
    [aux_sym_associate_statement_token1] = ACTIONS(5056),
    [aux_sym_format_statement_token1] = ACTIONS(5056),
    [aux_sym_print_statement_token1] = ACTIONS(5056),
    [aux_sym_open_statement_token1] = ACTIONS(5056),
    [aux_sym_close_statement_token1] = ACTIONS(5056),
    [aux_sym_inquire_statement_token1] = ACTIONS(5056),
    [aux_sym_enum_statement_token1] = ACTIONS(5056),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token1] = ACTIONS(5056),
    [aux_sym_file_position_statement_token2] = ACTIONS(5056),
    [aux_sym_file_position_statement_token3] = ACTIONS(5056),
    [aux_sym_file_position_statement_token4] = ACTIONS(5056),
    [aux_sym_allocate_statement_token1] = ACTIONS(5056),
    [aux_sym_entry_statement_token1] = ACTIONS(5056),
    [aux_sym_assign_statement_token1] = ACTIONS(5056),
    [aux_sym_logical_expression_token5] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5128),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [aux_sym_boolean_literal_token1] = ACTIONS(5128),
    [aux_sym_boolean_literal_token2] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_statement_token2] = ACTIONS(5056),
    [aux_sym_coarray_statement_token6] = ACTIONS(5056),
    [aux_sym_coarray_statement_token8] = ACTIONS(5056),
    [aux_sym_coarray_statement_token11] = ACTIONS(5056),
    [aux_sym_coarray_statement_token12] = ACTIONS(5056),
    [aux_sym_coarray_statement_token13] = ACTIONS(5056),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5056),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5056),
    [aux_sym_identifier_token1] = ACTIONS(5056),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5128),
    [sym__float_literal] = ACTIONS(5128),
    [sym__boz_literal] = ACTIONS(5128),
    [sym__string_literal] = ACTIONS(5128),
    [sym__string_literal_kind] = ACTIONS(5128),
  },
  [1105] = {
    [ts_builtin_sym_end] = ACTIONS(5202),
    [aux_sym_preproc_include_token1] = ACTIONS(5200),
    [aux_sym_preproc_def_token1] = ACTIONS(5200),
    [aux_sym_preproc_if_token1] = ACTIONS(5200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5200),
    [sym_preproc_directive] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5200),
    [aux_sym_end_program_statement_token1] = ACTIONS(5200),
    [aux_sym_end_program_statement_token2] = ACTIONS(5200),
    [aux_sym_module_statement_token1] = ACTIONS(5200),
    [aux_sym_submodule_statement_token1] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5202),
    [aux_sym_interface_statement_token1] = ACTIONS(5200),
    [aux_sym_block_data_statement_token1] = ACTIONS(5200),
    [aux_sym_block_data_statement_token2] = ACTIONS(5200),
    [aux_sym_block_data_statement_token3] = ACTIONS(5200),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5200),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5200),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5200),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5200),
    [aux_sym_function_statement_token1] = ACTIONS(5200),
    [aux_sym_language_binding_token1] = ACTIONS(5200),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5200),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5200),
    [aux_sym_contains_statement_token1] = ACTIONS(5200),
    [aux_sym_use_statement_token1] = ACTIONS(5200),
    [aux_sym_use_statement_token2] = ACTIONS(5200),
    [aux_sym_implicit_statement_token1] = ACTIONS(5200),
    [aux_sym_implicit_statement_token3] = ACTIONS(5200),
    [aux_sym_implicit_statement_token4] = ACTIONS(5200),
    [aux_sym_save_statement_token1] = ACTIONS(5200),
    [aux_sym_private_statement_token1] = ACTIONS(5200),
    [aux_sym_public_statement_token1] = ACTIONS(5200),
    [aux_sym_namelist_statement_token1] = ACTIONS(5200),
    [aux_sym_common_statement_token1] = ACTIONS(5200),
    [aux_sym_import_statement_token1] = ACTIONS(5200),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5200),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5200),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5200),
    [aux_sym_variable_attributes_token1] = ACTIONS(5200),
    [aux_sym_variable_attributes_token2] = ACTIONS(5200),
    [aux_sym_variable_attributes_token3] = ACTIONS(5200),
    [aux_sym_variable_attributes_token4] = ACTIONS(5200),
    [aux_sym_variable_attributes_token5] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5200),
    [aux_sym_derived_type_token1] = ACTIONS(5200),
    [aux_sym_declared_type_token1] = ACTIONS(5200),
    [aux_sym_declared_type_token2] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5200),
    [aux_sym_type_qualifier_token1] = ACTIONS(5200),
    [aux_sym_type_qualifier_token2] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5200),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5200),
    [aux_sym_stop_statement_token1] = ACTIONS(5200),
    [aux_sym_stop_statement_token2] = ACTIONS(5200),
    [aux_sym_subroutine_call_token1] = ACTIONS(5200),
    [aux_sym_keyword_statement_token1] = ACTIONS(5200),
    [aux_sym_keyword_statement_token2] = ACTIONS(5200),
    [aux_sym_keyword_statement_token3] = ACTIONS(5200),
    [aux_sym_keyword_statement_token4] = ACTIONS(5200),
    [aux_sym_keyword_statement_token6] = ACTIONS(5200),
    [aux_sym_keyword_statement_token7] = ACTIONS(5200),
    [aux_sym_include_statement_token1] = ACTIONS(5200),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5200),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5200),
    [aux_sym_end_if_statement_token1] = ACTIONS(5200),
    [aux_sym_elseif_clause_token2] = ACTIONS(5200),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5200),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5200),
    [aux_sym_select_case_statement_token1] = ACTIONS(5200),
    [aux_sym_select_case_statement_token3] = ACTIONS(5200),
    [aux_sym_select_type_statement_token1] = ACTIONS(5200),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5200),
    [aux_sym_associate_statement_token1] = ACTIONS(5200),
    [aux_sym_format_statement_token1] = ACTIONS(5200),
    [aux_sym_print_statement_token1] = ACTIONS(5200),
    [aux_sym_open_statement_token1] = ACTIONS(5200),
    [aux_sym_close_statement_token1] = ACTIONS(5200),
    [aux_sym_inquire_statement_token1] = ACTIONS(5200),
    [aux_sym_enum_statement_token1] = ACTIONS(5200),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5200),
    [aux_sym_file_position_statement_token1] = ACTIONS(5200),
    [aux_sym_file_position_statement_token2] = ACTIONS(5200),
    [aux_sym_file_position_statement_token3] = ACTIONS(5200),
    [aux_sym_file_position_statement_token4] = ACTIONS(5200),
    [aux_sym_allocate_statement_token1] = ACTIONS(5200),
    [aux_sym_entry_statement_token1] = ACTIONS(5200),
    [aux_sym_assign_statement_token1] = ACTIONS(5200),
    [aux_sym_logical_expression_token5] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [aux_sym_boolean_literal_token1] = ACTIONS(5202),
    [aux_sym_boolean_literal_token2] = ACTIONS(5202),
    [aux_sym_null_literal_token1] = ACTIONS(5200),
    [aux_sym_coarray_statement_token1] = ACTIONS(5200),
    [aux_sym_coarray_statement_token2] = ACTIONS(5200),
    [aux_sym_coarray_statement_token6] = ACTIONS(5200),
    [aux_sym_coarray_statement_token8] = ACTIONS(5200),
    [aux_sym_coarray_statement_token11] = ACTIONS(5200),
    [aux_sym_coarray_statement_token12] = ACTIONS(5200),
    [aux_sym_coarray_statement_token13] = ACTIONS(5200),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5200),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5200),
    [aux_sym_identifier_token1] = ACTIONS(5200),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5202),
    [sym__float_literal] = ACTIONS(5202),
    [sym__boz_literal] = ACTIONS(5202),
    [sym__string_literal] = ACTIONS(5202),
    [sym__string_literal_kind] = ACTIONS(5202),
  },
  [1106] = {
    [ts_builtin_sym_end] = ACTIONS(5402),
    [aux_sym_preproc_include_token1] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5400),
    [aux_sym_end_program_statement_token1] = ACTIONS(5400),
    [aux_sym_end_program_statement_token2] = ACTIONS(5400),
    [aux_sym_module_statement_token1] = ACTIONS(5400),
    [aux_sym_submodule_statement_token1] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5400),
    [aux_sym_block_data_statement_token1] = ACTIONS(5400),
    [aux_sym_block_data_statement_token2] = ACTIONS(5400),
    [aux_sym_block_data_statement_token3] = ACTIONS(5400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5400),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5400),
    [aux_sym_function_statement_token1] = ACTIONS(5400),
    [aux_sym_language_binding_token1] = ACTIONS(5400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5400),
    [aux_sym_contains_statement_token1] = ACTIONS(5400),
    [aux_sym_use_statement_token1] = ACTIONS(5400),
    [aux_sym_use_statement_token2] = ACTIONS(5400),
    [aux_sym_implicit_statement_token1] = ACTIONS(5400),
    [aux_sym_implicit_statement_token3] = ACTIONS(5400),
    [aux_sym_implicit_statement_token4] = ACTIONS(5400),
    [aux_sym_save_statement_token1] = ACTIONS(5400),
    [aux_sym_private_statement_token1] = ACTIONS(5400),
    [aux_sym_public_statement_token1] = ACTIONS(5400),
    [aux_sym_namelist_statement_token1] = ACTIONS(5400),
    [aux_sym_common_statement_token1] = ACTIONS(5400),
    [aux_sym_import_statement_token1] = ACTIONS(5400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5400),
    [aux_sym_variable_attributes_token1] = ACTIONS(5400),
    [aux_sym_variable_attributes_token2] = ACTIONS(5400),
    [aux_sym_variable_attributes_token3] = ACTIONS(5400),
    [aux_sym_variable_attributes_token4] = ACTIONS(5400),
    [aux_sym_variable_attributes_token5] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5400),
    [aux_sym_derived_type_token1] = ACTIONS(5400),
    [aux_sym_declared_type_token1] = ACTIONS(5400),
    [aux_sym_declared_type_token2] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5400),
    [aux_sym_type_qualifier_token1] = ACTIONS(5400),
    [aux_sym_type_qualifier_token2] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5400),
    [aux_sym_stop_statement_token1] = ACTIONS(5400),
    [aux_sym_stop_statement_token2] = ACTIONS(5400),
    [aux_sym_subroutine_call_token1] = ACTIONS(5400),
    [aux_sym_keyword_statement_token1] = ACTIONS(5400),
    [aux_sym_keyword_statement_token2] = ACTIONS(5400),
    [aux_sym_keyword_statement_token3] = ACTIONS(5400),
    [aux_sym_keyword_statement_token4] = ACTIONS(5400),
    [aux_sym_keyword_statement_token6] = ACTIONS(5400),
    [aux_sym_keyword_statement_token7] = ACTIONS(5400),
    [aux_sym_include_statement_token1] = ACTIONS(5400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5400),
    [aux_sym_end_if_statement_token1] = ACTIONS(5400),
    [aux_sym_elseif_clause_token2] = ACTIONS(5400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5400),
    [aux_sym_select_case_statement_token1] = ACTIONS(5400),
    [aux_sym_select_case_statement_token3] = ACTIONS(5400),
    [aux_sym_select_type_statement_token1] = ACTIONS(5400),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5400),
    [aux_sym_associate_statement_token1] = ACTIONS(5400),
    [aux_sym_format_statement_token1] = ACTIONS(5400),
    [aux_sym_print_statement_token1] = ACTIONS(5400),
    [aux_sym_open_statement_token1] = ACTIONS(5400),
    [aux_sym_close_statement_token1] = ACTIONS(5400),
    [aux_sym_inquire_statement_token1] = ACTIONS(5400),
    [aux_sym_enum_statement_token1] = ACTIONS(5400),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5400),
    [aux_sym_file_position_statement_token1] = ACTIONS(5400),
    [aux_sym_file_position_statement_token2] = ACTIONS(5400),
    [aux_sym_file_position_statement_token3] = ACTIONS(5400),
    [aux_sym_file_position_statement_token4] = ACTIONS(5400),
    [aux_sym_allocate_statement_token1] = ACTIONS(5400),
    [aux_sym_entry_statement_token1] = ACTIONS(5400),
    [aux_sym_assign_statement_token1] = ACTIONS(5400),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5400),
    [aux_sym_coarray_statement_token1] = ACTIONS(5400),
    [aux_sym_coarray_statement_token2] = ACTIONS(5400),
    [aux_sym_coarray_statement_token6] = ACTIONS(5400),
    [aux_sym_coarray_statement_token8] = ACTIONS(5400),
    [aux_sym_coarray_statement_token11] = ACTIONS(5400),
    [aux_sym_coarray_statement_token12] = ACTIONS(5400),
    [aux_sym_coarray_statement_token13] = ACTIONS(5400),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5400),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5400),
    [aux_sym_identifier_token1] = ACTIONS(5400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token2] = ACTIONS(5384),
    [aux_sym_module_statement_token1] = ACTIONS(5384),
    [aux_sym_submodule_statement_token1] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_block_data_statement_token3] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_function_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [aux_sym_boolean_literal_token1] = ACTIONS(5386),
    [aux_sym_boolean_literal_token2] = ACTIONS(5386),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5386),
    [sym__float_literal] = ACTIONS(5386),
    [sym__boz_literal] = ACTIONS(5386),
    [sym__string_literal] = ACTIONS(5386),
    [sym__string_literal_kind] = ACTIONS(5386),
  },
  [1108] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5392),
    [aux_sym_end_program_statement_token1] = ACTIONS(5392),
    [aux_sym_end_program_statement_token2] = ACTIONS(5392),
    [aux_sym_module_statement_token1] = ACTIONS(5392),
    [aux_sym_submodule_statement_token1] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5392),
    [aux_sym_block_data_statement_token1] = ACTIONS(5392),
    [aux_sym_block_data_statement_token2] = ACTIONS(5392),
    [aux_sym_block_data_statement_token3] = ACTIONS(5392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5392),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5392),
    [aux_sym_function_statement_token1] = ACTIONS(5392),
    [aux_sym_language_binding_token1] = ACTIONS(5392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5392),
    [aux_sym_contains_statement_token1] = ACTIONS(5392),
    [aux_sym_use_statement_token1] = ACTIONS(5392),
    [aux_sym_use_statement_token2] = ACTIONS(5392),
    [aux_sym_implicit_statement_token1] = ACTIONS(5392),
    [aux_sym_implicit_statement_token3] = ACTIONS(5392),
    [aux_sym_implicit_statement_token4] = ACTIONS(5392),
    [aux_sym_save_statement_token1] = ACTIONS(5392),
    [aux_sym_private_statement_token1] = ACTIONS(5392),
    [aux_sym_public_statement_token1] = ACTIONS(5392),
    [aux_sym_namelist_statement_token1] = ACTIONS(5392),
    [aux_sym_common_statement_token1] = ACTIONS(5392),
    [aux_sym_import_statement_token1] = ACTIONS(5392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5392),
    [aux_sym_variable_attributes_token1] = ACTIONS(5392),
    [aux_sym_variable_attributes_token2] = ACTIONS(5392),
    [aux_sym_variable_attributes_token3] = ACTIONS(5392),
    [aux_sym_variable_attributes_token4] = ACTIONS(5392),
    [aux_sym_variable_attributes_token5] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5392),
    [aux_sym_derived_type_token1] = ACTIONS(5392),
    [aux_sym_declared_type_token1] = ACTIONS(5392),
    [aux_sym_declared_type_token2] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5392),
    [aux_sym_type_qualifier_token1] = ACTIONS(5392),
    [aux_sym_type_qualifier_token2] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5392),
    [aux_sym_stop_statement_token1] = ACTIONS(5392),
    [aux_sym_stop_statement_token2] = ACTIONS(5392),
    [aux_sym_subroutine_call_token1] = ACTIONS(5392),
    [aux_sym_keyword_statement_token1] = ACTIONS(5392),
    [aux_sym_keyword_statement_token2] = ACTIONS(5392),
    [aux_sym_keyword_statement_token3] = ACTIONS(5392),
    [aux_sym_keyword_statement_token4] = ACTIONS(5392),
    [aux_sym_keyword_statement_token6] = ACTIONS(5392),
    [aux_sym_keyword_statement_token7] = ACTIONS(5392),
    [aux_sym_include_statement_token1] = ACTIONS(5392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5392),
    [aux_sym_end_if_statement_token1] = ACTIONS(5392),
    [aux_sym_elseif_clause_token2] = ACTIONS(5392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5392),
    [aux_sym_select_case_statement_token1] = ACTIONS(5392),
    [aux_sym_select_case_statement_token3] = ACTIONS(5392),
    [aux_sym_select_type_statement_token1] = ACTIONS(5392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5392),
    [aux_sym_associate_statement_token1] = ACTIONS(5392),
    [aux_sym_format_statement_token1] = ACTIONS(5392),
    [aux_sym_print_statement_token1] = ACTIONS(5392),
    [aux_sym_open_statement_token1] = ACTIONS(5392),
    [aux_sym_close_statement_token1] = ACTIONS(5392),
    [aux_sym_inquire_statement_token1] = ACTIONS(5392),
    [aux_sym_enum_statement_token1] = ACTIONS(5392),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5392),
    [aux_sym_file_position_statement_token1] = ACTIONS(5392),
    [aux_sym_file_position_statement_token2] = ACTIONS(5392),
    [aux_sym_file_position_statement_token3] = ACTIONS(5392),
    [aux_sym_file_position_statement_token4] = ACTIONS(5392),
    [aux_sym_allocate_statement_token1] = ACTIONS(5392),
    [aux_sym_entry_statement_token1] = ACTIONS(5392),
    [aux_sym_assign_statement_token1] = ACTIONS(5392),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5392),
    [aux_sym_coarray_statement_token1] = ACTIONS(5392),
    [aux_sym_coarray_statement_token2] = ACTIONS(5392),
    [aux_sym_coarray_statement_token6] = ACTIONS(5392),
    [aux_sym_coarray_statement_token8] = ACTIONS(5392),
    [aux_sym_coarray_statement_token11] = ACTIONS(5392),
    [aux_sym_coarray_statement_token12] = ACTIONS(5392),
    [aux_sym_coarray_statement_token13] = ACTIONS(5392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5392),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5392),
    [aux_sym_identifier_token1] = ACTIONS(5392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1109] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5412),
    [aux_sym_end_program_statement_token1] = ACTIONS(5412),
    [aux_sym_end_program_statement_token2] = ACTIONS(5412),
    [aux_sym_module_statement_token1] = ACTIONS(5412),
    [aux_sym_submodule_statement_token1] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [aux_sym_interface_statement_token1] = ACTIONS(5412),
    [aux_sym_block_data_statement_token1] = ACTIONS(5412),
    [aux_sym_block_data_statement_token2] = ACTIONS(5412),
    [aux_sym_block_data_statement_token3] = ACTIONS(5412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5412),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5412),
    [aux_sym_function_statement_token1] = ACTIONS(5412),
    [aux_sym_language_binding_token1] = ACTIONS(5412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5412),
    [aux_sym_contains_statement_token1] = ACTIONS(5412),
    [aux_sym_use_statement_token1] = ACTIONS(5412),
    [aux_sym_use_statement_token2] = ACTIONS(5412),
    [aux_sym_implicit_statement_token1] = ACTIONS(5412),
    [aux_sym_implicit_statement_token3] = ACTIONS(5412),
    [aux_sym_implicit_statement_token4] = ACTIONS(5412),
    [aux_sym_save_statement_token1] = ACTIONS(5412),
    [aux_sym_private_statement_token1] = ACTIONS(5412),
    [aux_sym_public_statement_token1] = ACTIONS(5412),
    [aux_sym_namelist_statement_token1] = ACTIONS(5412),
    [aux_sym_common_statement_token1] = ACTIONS(5412),
    [aux_sym_import_statement_token1] = ACTIONS(5412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5412),
    [aux_sym_variable_attributes_token1] = ACTIONS(5412),
    [aux_sym_variable_attributes_token2] = ACTIONS(5412),
    [aux_sym_variable_attributes_token3] = ACTIONS(5412),
    [aux_sym_variable_attributes_token4] = ACTIONS(5412),
    [aux_sym_variable_attributes_token5] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5412),
    [aux_sym_derived_type_token1] = ACTIONS(5412),
    [aux_sym_declared_type_token1] = ACTIONS(5412),
    [aux_sym_declared_type_token2] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5412),
    [aux_sym_type_qualifier_token1] = ACTIONS(5412),
    [aux_sym_type_qualifier_token2] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5412),
    [aux_sym_stop_statement_token1] = ACTIONS(5412),
    [aux_sym_stop_statement_token2] = ACTIONS(5412),
    [aux_sym_subroutine_call_token1] = ACTIONS(5412),
    [aux_sym_keyword_statement_token1] = ACTIONS(5412),
    [aux_sym_keyword_statement_token2] = ACTIONS(5412),
    [aux_sym_keyword_statement_token3] = ACTIONS(5412),
    [aux_sym_keyword_statement_token4] = ACTIONS(5412),
    [aux_sym_keyword_statement_token6] = ACTIONS(5412),
    [aux_sym_keyword_statement_token7] = ACTIONS(5412),
    [aux_sym_include_statement_token1] = ACTIONS(5412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5412),
    [aux_sym_end_if_statement_token1] = ACTIONS(5412),
    [aux_sym_elseif_clause_token2] = ACTIONS(5412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5412),
    [aux_sym_select_case_statement_token1] = ACTIONS(5412),
    [aux_sym_select_case_statement_token3] = ACTIONS(5412),
    [aux_sym_select_type_statement_token1] = ACTIONS(5412),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5412),
    [aux_sym_associate_statement_token1] = ACTIONS(5412),
    [aux_sym_format_statement_token1] = ACTIONS(5412),
    [aux_sym_print_statement_token1] = ACTIONS(5412),
    [aux_sym_open_statement_token1] = ACTIONS(5412),
    [aux_sym_close_statement_token1] = ACTIONS(5412),
    [aux_sym_inquire_statement_token1] = ACTIONS(5412),
    [aux_sym_enum_statement_token1] = ACTIONS(5412),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5412),
    [aux_sym_file_position_statement_token1] = ACTIONS(5412),
    [aux_sym_file_position_statement_token2] = ACTIONS(5412),
    [aux_sym_file_position_statement_token3] = ACTIONS(5412),
    [aux_sym_file_position_statement_token4] = ACTIONS(5412),
    [aux_sym_allocate_statement_token1] = ACTIONS(5412),
    [aux_sym_entry_statement_token1] = ACTIONS(5412),
    [aux_sym_assign_statement_token1] = ACTIONS(5412),
    [aux_sym_logical_expression_token5] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [aux_sym_boolean_literal_token1] = ACTIONS(5414),
    [aux_sym_boolean_literal_token2] = ACTIONS(5414),
    [aux_sym_null_literal_token1] = ACTIONS(5412),
    [aux_sym_coarray_statement_token1] = ACTIONS(5412),
    [aux_sym_coarray_statement_token2] = ACTIONS(5412),
    [aux_sym_coarray_statement_token6] = ACTIONS(5412),
    [aux_sym_coarray_statement_token8] = ACTIONS(5412),
    [aux_sym_coarray_statement_token11] = ACTIONS(5412),
    [aux_sym_coarray_statement_token12] = ACTIONS(5412),
    [aux_sym_coarray_statement_token13] = ACTIONS(5412),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5412),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5412),
    [aux_sym_identifier_token1] = ACTIONS(5412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5414),
    [sym__float_literal] = ACTIONS(5414),
    [sym__boz_literal] = ACTIONS(5414),
    [sym__string_literal] = ACTIONS(5414),
    [sym__string_literal_kind] = ACTIONS(5414),
  },
  [1110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5416),
    [aux_sym_end_program_statement_token1] = ACTIONS(5416),
    [aux_sym_end_program_statement_token2] = ACTIONS(5416),
    [aux_sym_module_statement_token1] = ACTIONS(5416),
    [aux_sym_submodule_statement_token1] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [aux_sym_interface_statement_token1] = ACTIONS(5416),
    [aux_sym_block_data_statement_token1] = ACTIONS(5416),
    [aux_sym_block_data_statement_token2] = ACTIONS(5416),
    [aux_sym_block_data_statement_token3] = ACTIONS(5416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5416),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5416),
    [aux_sym_function_statement_token1] = ACTIONS(5416),
    [aux_sym_language_binding_token1] = ACTIONS(5416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5416),
    [aux_sym_contains_statement_token1] = ACTIONS(5416),
    [aux_sym_use_statement_token1] = ACTIONS(5416),
    [aux_sym_use_statement_token2] = ACTIONS(5416),
    [aux_sym_implicit_statement_token1] = ACTIONS(5416),
    [aux_sym_implicit_statement_token3] = ACTIONS(5416),
    [aux_sym_implicit_statement_token4] = ACTIONS(5416),
    [aux_sym_save_statement_token1] = ACTIONS(5416),
    [aux_sym_private_statement_token1] = ACTIONS(5416),
    [aux_sym_public_statement_token1] = ACTIONS(5416),
    [aux_sym_namelist_statement_token1] = ACTIONS(5416),
    [aux_sym_common_statement_token1] = ACTIONS(5416),
    [aux_sym_import_statement_token1] = ACTIONS(5416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5416),
    [aux_sym_variable_attributes_token1] = ACTIONS(5416),
    [aux_sym_variable_attributes_token2] = ACTIONS(5416),
    [aux_sym_variable_attributes_token3] = ACTIONS(5416),
    [aux_sym_variable_attributes_token4] = ACTIONS(5416),
    [aux_sym_variable_attributes_token5] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5416),
    [aux_sym_derived_type_token1] = ACTIONS(5416),
    [aux_sym_declared_type_token1] = ACTIONS(5416),
    [aux_sym_declared_type_token2] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5416),
    [aux_sym_type_qualifier_token1] = ACTIONS(5416),
    [aux_sym_type_qualifier_token2] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5416),
    [aux_sym_stop_statement_token1] = ACTIONS(5416),
    [aux_sym_stop_statement_token2] = ACTIONS(5416),
    [aux_sym_subroutine_call_token1] = ACTIONS(5416),
    [aux_sym_keyword_statement_token1] = ACTIONS(5416),
    [aux_sym_keyword_statement_token2] = ACTIONS(5416),
    [aux_sym_keyword_statement_token3] = ACTIONS(5416),
    [aux_sym_keyword_statement_token4] = ACTIONS(5416),
    [aux_sym_keyword_statement_token6] = ACTIONS(5416),
    [aux_sym_keyword_statement_token7] = ACTIONS(5416),
    [aux_sym_include_statement_token1] = ACTIONS(5416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5416),
    [aux_sym_end_if_statement_token1] = ACTIONS(5416),
    [aux_sym_elseif_clause_token2] = ACTIONS(5416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5416),
    [aux_sym_select_case_statement_token1] = ACTIONS(5416),
    [aux_sym_select_case_statement_token3] = ACTIONS(5416),
    [aux_sym_select_type_statement_token1] = ACTIONS(5416),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5416),
    [aux_sym_associate_statement_token1] = ACTIONS(5416),
    [aux_sym_format_statement_token1] = ACTIONS(5416),
    [aux_sym_print_statement_token1] = ACTIONS(5416),
    [aux_sym_open_statement_token1] = ACTIONS(5416),
    [aux_sym_close_statement_token1] = ACTIONS(5416),
    [aux_sym_inquire_statement_token1] = ACTIONS(5416),
    [aux_sym_enum_statement_token1] = ACTIONS(5416),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5416),
    [aux_sym_file_position_statement_token1] = ACTIONS(5416),
    [aux_sym_file_position_statement_token2] = ACTIONS(5416),
    [aux_sym_file_position_statement_token3] = ACTIONS(5416),
    [aux_sym_file_position_statement_token4] = ACTIONS(5416),
    [aux_sym_allocate_statement_token1] = ACTIONS(5416),
    [aux_sym_entry_statement_token1] = ACTIONS(5416),
    [aux_sym_assign_statement_token1] = ACTIONS(5416),
    [aux_sym_logical_expression_token5] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5418),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [aux_sym_boolean_literal_token1] = ACTIONS(5418),
    [aux_sym_boolean_literal_token2] = ACTIONS(5418),
    [aux_sym_null_literal_token1] = ACTIONS(5416),
    [aux_sym_coarray_statement_token1] = ACTIONS(5416),
    [aux_sym_coarray_statement_token2] = ACTIONS(5416),
    [aux_sym_coarray_statement_token6] = ACTIONS(5416),
    [aux_sym_coarray_statement_token8] = ACTIONS(5416),
    [aux_sym_coarray_statement_token11] = ACTIONS(5416),
    [aux_sym_coarray_statement_token12] = ACTIONS(5416),
    [aux_sym_coarray_statement_token13] = ACTIONS(5416),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5416),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5416),
    [aux_sym_identifier_token1] = ACTIONS(5416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5418),
    [sym__float_literal] = ACTIONS(5418),
    [sym__boz_literal] = ACTIONS(5418),
    [sym__string_literal] = ACTIONS(5418),
    [sym__string_literal_kind] = ACTIONS(5418),
  },
  [1111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5432),
    [aux_sym_end_program_statement_token1] = ACTIONS(5432),
    [aux_sym_end_program_statement_token2] = ACTIONS(5432),
    [aux_sym_module_statement_token1] = ACTIONS(5432),
    [aux_sym_submodule_statement_token1] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [aux_sym_interface_statement_token1] = ACTIONS(5432),
    [aux_sym_block_data_statement_token1] = ACTIONS(5432),
    [aux_sym_block_data_statement_token2] = ACTIONS(5432),
    [aux_sym_block_data_statement_token3] = ACTIONS(5432),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5432),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5432),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5432),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5432),
    [aux_sym_function_statement_token1] = ACTIONS(5432),
    [aux_sym_language_binding_token1] = ACTIONS(5432),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5432),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5432),
    [aux_sym_contains_statement_token1] = ACTIONS(5432),
    [aux_sym_use_statement_token1] = ACTIONS(5432),
    [aux_sym_use_statement_token2] = ACTIONS(5432),
    [aux_sym_implicit_statement_token1] = ACTIONS(5432),
    [aux_sym_implicit_statement_token3] = ACTIONS(5432),
    [aux_sym_implicit_statement_token4] = ACTIONS(5432),
    [aux_sym_save_statement_token1] = ACTIONS(5432),
    [aux_sym_private_statement_token1] = ACTIONS(5432),
    [aux_sym_public_statement_token1] = ACTIONS(5432),
    [aux_sym_namelist_statement_token1] = ACTIONS(5432),
    [aux_sym_common_statement_token1] = ACTIONS(5432),
    [aux_sym_import_statement_token1] = ACTIONS(5432),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5432),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5432),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5432),
    [aux_sym_variable_attributes_token1] = ACTIONS(5432),
    [aux_sym_variable_attributes_token2] = ACTIONS(5432),
    [aux_sym_variable_attributes_token3] = ACTIONS(5432),
    [aux_sym_variable_attributes_token4] = ACTIONS(5432),
    [aux_sym_variable_attributes_token5] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5432),
    [aux_sym_derived_type_token1] = ACTIONS(5432),
    [aux_sym_declared_type_token1] = ACTIONS(5432),
    [aux_sym_declared_type_token2] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5432),
    [aux_sym_type_qualifier_token1] = ACTIONS(5432),
    [aux_sym_type_qualifier_token2] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5432),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5432),
    [aux_sym_stop_statement_token1] = ACTIONS(5432),
    [aux_sym_stop_statement_token2] = ACTIONS(5432),
    [aux_sym_subroutine_call_token1] = ACTIONS(5432),
    [aux_sym_keyword_statement_token1] = ACTIONS(5432),
    [aux_sym_keyword_statement_token2] = ACTIONS(5432),
    [aux_sym_keyword_statement_token3] = ACTIONS(5432),
    [aux_sym_keyword_statement_token4] = ACTIONS(5432),
    [aux_sym_keyword_statement_token6] = ACTIONS(5432),
    [aux_sym_keyword_statement_token7] = ACTIONS(5432),
    [aux_sym_include_statement_token1] = ACTIONS(5432),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5432),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5432),
    [aux_sym_end_if_statement_token1] = ACTIONS(5432),
    [aux_sym_elseif_clause_token2] = ACTIONS(5432),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5432),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5432),
    [aux_sym_select_case_statement_token1] = ACTIONS(5432),
    [aux_sym_select_case_statement_token3] = ACTIONS(5432),
    [aux_sym_select_type_statement_token1] = ACTIONS(5432),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5432),
    [aux_sym_associate_statement_token1] = ACTIONS(5432),
    [aux_sym_format_statement_token1] = ACTIONS(5432),
    [aux_sym_print_statement_token1] = ACTIONS(5432),
    [aux_sym_open_statement_token1] = ACTIONS(5432),
    [aux_sym_close_statement_token1] = ACTIONS(5432),
    [aux_sym_inquire_statement_token1] = ACTIONS(5432),
    [aux_sym_enum_statement_token1] = ACTIONS(5432),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5432),
    [aux_sym_file_position_statement_token1] = ACTIONS(5432),
    [aux_sym_file_position_statement_token2] = ACTIONS(5432),
    [aux_sym_file_position_statement_token3] = ACTIONS(5432),
    [aux_sym_file_position_statement_token4] = ACTIONS(5432),
    [aux_sym_allocate_statement_token1] = ACTIONS(5432),
    [aux_sym_entry_statement_token1] = ACTIONS(5432),
    [aux_sym_assign_statement_token1] = ACTIONS(5432),
    [aux_sym_logical_expression_token5] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [aux_sym_boolean_literal_token1] = ACTIONS(5434),
    [aux_sym_boolean_literal_token2] = ACTIONS(5434),
    [aux_sym_null_literal_token1] = ACTIONS(5432),
    [aux_sym_coarray_statement_token1] = ACTIONS(5432),
    [aux_sym_coarray_statement_token2] = ACTIONS(5432),
    [aux_sym_coarray_statement_token6] = ACTIONS(5432),
    [aux_sym_coarray_statement_token8] = ACTIONS(5432),
    [aux_sym_coarray_statement_token11] = ACTIONS(5432),
    [aux_sym_coarray_statement_token12] = ACTIONS(5432),
    [aux_sym_coarray_statement_token13] = ACTIONS(5432),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5432),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5432),
    [aux_sym_identifier_token1] = ACTIONS(5432),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5434),
    [sym__float_literal] = ACTIONS(5434),
    [sym__boz_literal] = ACTIONS(5434),
    [sym__string_literal] = ACTIONS(5434),
    [sym__string_literal_kind] = ACTIONS(5434),
  },
  [1112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5184),
    [aux_sym_preproc_def_token1] = ACTIONS(5184),
    [aux_sym_preproc_if_token1] = ACTIONS(5184),
    [aux_sym_preproc_if_token2] = ACTIONS(5184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5184),
    [sym_preproc_directive] = ACTIONS(5184),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5184),
    [aux_sym_end_program_statement_token1] = ACTIONS(5184),
    [aux_sym_end_program_statement_token2] = ACTIONS(5184),
    [aux_sym_module_statement_token1] = ACTIONS(5184),
    [aux_sym_submodule_statement_token1] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [aux_sym_interface_statement_token1] = ACTIONS(5184),
    [aux_sym_block_data_statement_token1] = ACTIONS(5184),
    [aux_sym_block_data_statement_token2] = ACTIONS(5184),
    [aux_sym_block_data_statement_token3] = ACTIONS(5184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5184),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5184),
    [aux_sym_function_statement_token1] = ACTIONS(5184),
    [aux_sym_language_binding_token1] = ACTIONS(5184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5184),
    [aux_sym_contains_statement_token1] = ACTIONS(5184),
    [aux_sym_use_statement_token1] = ACTIONS(5184),
    [aux_sym_use_statement_token2] = ACTIONS(5184),
    [aux_sym_implicit_statement_token1] = ACTIONS(5184),
    [aux_sym_implicit_statement_token3] = ACTIONS(5184),
    [aux_sym_implicit_statement_token4] = ACTIONS(5184),
    [aux_sym_save_statement_token1] = ACTIONS(5184),
    [aux_sym_private_statement_token1] = ACTIONS(5184),
    [aux_sym_public_statement_token1] = ACTIONS(5184),
    [aux_sym_namelist_statement_token1] = ACTIONS(5184),
    [aux_sym_common_statement_token1] = ACTIONS(5184),
    [aux_sym_import_statement_token1] = ACTIONS(5184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5184),
    [aux_sym_variable_attributes_token1] = ACTIONS(5184),
    [aux_sym_variable_attributes_token2] = ACTIONS(5184),
    [aux_sym_variable_attributes_token3] = ACTIONS(5184),
    [aux_sym_variable_attributes_token4] = ACTIONS(5184),
    [aux_sym_variable_attributes_token5] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5184),
    [aux_sym_derived_type_token1] = ACTIONS(5184),
    [aux_sym_declared_type_token1] = ACTIONS(5184),
    [aux_sym_declared_type_token2] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5184),
    [aux_sym_type_qualifier_token1] = ACTIONS(5184),
    [aux_sym_type_qualifier_token2] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5184),
    [aux_sym_stop_statement_token1] = ACTIONS(5184),
    [aux_sym_stop_statement_token2] = ACTIONS(5184),
    [aux_sym_subroutine_call_token1] = ACTIONS(5184),
    [aux_sym_keyword_statement_token1] = ACTIONS(5184),
    [aux_sym_keyword_statement_token2] = ACTIONS(5184),
    [aux_sym_keyword_statement_token3] = ACTIONS(5184),
    [aux_sym_keyword_statement_token4] = ACTIONS(5184),
    [aux_sym_keyword_statement_token6] = ACTIONS(5184),
    [aux_sym_keyword_statement_token7] = ACTIONS(5184),
    [aux_sym_include_statement_token1] = ACTIONS(5184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5184),
    [aux_sym_end_if_statement_token1] = ACTIONS(5184),
    [aux_sym_elseif_clause_token2] = ACTIONS(5184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5184),
    [aux_sym_select_case_statement_token1] = ACTIONS(5184),
    [aux_sym_select_case_statement_token3] = ACTIONS(5184),
    [aux_sym_select_type_statement_token1] = ACTIONS(5184),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5184),
    [aux_sym_associate_statement_token1] = ACTIONS(5184),
    [aux_sym_format_statement_token1] = ACTIONS(5184),
    [aux_sym_print_statement_token1] = ACTIONS(5184),
    [aux_sym_open_statement_token1] = ACTIONS(5184),
    [aux_sym_close_statement_token1] = ACTIONS(5184),
    [aux_sym_inquire_statement_token1] = ACTIONS(5184),
    [aux_sym_enum_statement_token1] = ACTIONS(5184),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5184),
    [aux_sym_file_position_statement_token1] = ACTIONS(5184),
    [aux_sym_file_position_statement_token2] = ACTIONS(5184),
    [aux_sym_file_position_statement_token3] = ACTIONS(5184),
    [aux_sym_file_position_statement_token4] = ACTIONS(5184),
    [aux_sym_allocate_statement_token1] = ACTIONS(5184),
    [aux_sym_entry_statement_token1] = ACTIONS(5184),
    [aux_sym_assign_statement_token1] = ACTIONS(5184),
    [aux_sym_logical_expression_token5] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [aux_sym_boolean_literal_token1] = ACTIONS(5186),
    [aux_sym_boolean_literal_token2] = ACTIONS(5186),
    [aux_sym_null_literal_token1] = ACTIONS(5184),
    [aux_sym_coarray_statement_token1] = ACTIONS(5184),
    [aux_sym_coarray_statement_token2] = ACTIONS(5184),
    [aux_sym_coarray_statement_token6] = ACTIONS(5184),
    [aux_sym_coarray_statement_token8] = ACTIONS(5184),
    [aux_sym_coarray_statement_token11] = ACTIONS(5184),
    [aux_sym_coarray_statement_token12] = ACTIONS(5184),
    [aux_sym_coarray_statement_token13] = ACTIONS(5184),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5184),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5184),
    [aux_sym_identifier_token1] = ACTIONS(5184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5186),
    [sym__float_literal] = ACTIONS(5186),
    [sym__boz_literal] = ACTIONS(5186),
    [sym__string_literal] = ACTIONS(5186),
    [sym__string_literal_kind] = ACTIONS(5186),
  },
  [1113] = {
    [ts_builtin_sym_end] = ACTIONS(5116),
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [aux_sym_boolean_literal_token1] = ACTIONS(5116),
    [aux_sym_boolean_literal_token2] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5116),
    [sym__float_literal] = ACTIONS(5116),
    [sym__boz_literal] = ACTIONS(5116),
    [sym__string_literal] = ACTIONS(5116),
    [sym__string_literal_kind] = ACTIONS(5116),
  },
  [1114] = {
    [ts_builtin_sym_end] = ACTIONS(5116),
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token2] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5344),
    [anon_sym_PLUS] = ACTIONS(5346),
    [anon_sym_DASH] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5344),
    [aux_sym_end_program_statement_token1] = ACTIONS(5344),
    [aux_sym_end_program_statement_token2] = ACTIONS(5344),
    [aux_sym_module_statement_token1] = ACTIONS(5344),
    [aux_sym_submodule_statement_token1] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [aux_sym_interface_statement_token1] = ACTIONS(5344),
    [aux_sym_block_data_statement_token1] = ACTIONS(5344),
    [aux_sym_block_data_statement_token2] = ACTIONS(5344),
    [aux_sym_block_data_statement_token3] = ACTIONS(5344),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5344),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5344),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5344),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5344),
    [aux_sym_function_statement_token1] = ACTIONS(5344),
    [aux_sym_language_binding_token1] = ACTIONS(5344),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5344),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5344),
    [aux_sym_contains_statement_token1] = ACTIONS(5344),
    [aux_sym_use_statement_token1] = ACTIONS(5344),
    [aux_sym_use_statement_token2] = ACTIONS(5344),
    [aux_sym_implicit_statement_token1] = ACTIONS(5344),
    [aux_sym_implicit_statement_token3] = ACTIONS(5344),
    [aux_sym_implicit_statement_token4] = ACTIONS(5344),
    [aux_sym_save_statement_token1] = ACTIONS(5344),
    [aux_sym_private_statement_token1] = ACTIONS(5344),
    [aux_sym_public_statement_token1] = ACTIONS(5344),
    [aux_sym_namelist_statement_token1] = ACTIONS(5344),
    [aux_sym_common_statement_token1] = ACTIONS(5344),
    [aux_sym_import_statement_token1] = ACTIONS(5344),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5344),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5344),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5344),
    [aux_sym_variable_attributes_token1] = ACTIONS(5344),
    [aux_sym_variable_attributes_token2] = ACTIONS(5344),
    [aux_sym_variable_attributes_token3] = ACTIONS(5344),
    [aux_sym_variable_attributes_token4] = ACTIONS(5344),
    [aux_sym_variable_attributes_token5] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5344),
    [aux_sym_derived_type_token1] = ACTIONS(5344),
    [aux_sym_declared_type_token1] = ACTIONS(5344),
    [aux_sym_declared_type_token2] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5344),
    [aux_sym_type_qualifier_token1] = ACTIONS(5344),
    [aux_sym_type_qualifier_token2] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5344),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5344),
    [aux_sym_stop_statement_token1] = ACTIONS(5344),
    [aux_sym_stop_statement_token2] = ACTIONS(5344),
    [aux_sym_subroutine_call_token1] = ACTIONS(5344),
    [aux_sym_keyword_statement_token1] = ACTIONS(5344),
    [aux_sym_keyword_statement_token2] = ACTIONS(5344),
    [aux_sym_keyword_statement_token3] = ACTIONS(5344),
    [aux_sym_keyword_statement_token4] = ACTIONS(5344),
    [aux_sym_keyword_statement_token6] = ACTIONS(5344),
    [aux_sym_keyword_statement_token7] = ACTIONS(5344),
    [aux_sym_include_statement_token1] = ACTIONS(5344),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5344),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5344),
    [aux_sym_end_if_statement_token1] = ACTIONS(5344),
    [aux_sym_elseif_clause_token2] = ACTIONS(5344),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5344),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5344),
    [aux_sym_select_case_statement_token1] = ACTIONS(5344),
    [aux_sym_select_case_statement_token3] = ACTIONS(5344),
    [aux_sym_select_type_statement_token1] = ACTIONS(5344),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5344),
    [aux_sym_associate_statement_token1] = ACTIONS(5344),
    [aux_sym_format_statement_token1] = ACTIONS(5344),
    [aux_sym_print_statement_token1] = ACTIONS(5344),
    [aux_sym_open_statement_token1] = ACTIONS(5344),
    [aux_sym_close_statement_token1] = ACTIONS(5344),
    [aux_sym_inquire_statement_token1] = ACTIONS(5344),
    [aux_sym_enum_statement_token1] = ACTIONS(5344),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5344),
    [aux_sym_file_position_statement_token1] = ACTIONS(5344),
    [aux_sym_file_position_statement_token2] = ACTIONS(5344),
    [aux_sym_file_position_statement_token3] = ACTIONS(5344),
    [aux_sym_file_position_statement_token4] = ACTIONS(5344),
    [aux_sym_allocate_statement_token1] = ACTIONS(5344),
    [aux_sym_entry_statement_token1] = ACTIONS(5344),
    [aux_sym_assign_statement_token1] = ACTIONS(5344),
    [aux_sym_logical_expression_token5] = ACTIONS(5346),
    [anon_sym_DOT] = ACTIONS(5344),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5346),
    [aux_sym_boolean_literal_token1] = ACTIONS(5346),
    [aux_sym_boolean_literal_token2] = ACTIONS(5346),
    [aux_sym_null_literal_token1] = ACTIONS(5344),
    [aux_sym_coarray_statement_token1] = ACTIONS(5344),
    [aux_sym_coarray_statement_token2] = ACTIONS(5344),
    [aux_sym_coarray_statement_token6] = ACTIONS(5344),
    [aux_sym_coarray_statement_token8] = ACTIONS(5344),
    [aux_sym_coarray_statement_token11] = ACTIONS(5344),
    [aux_sym_coarray_statement_token12] = ACTIONS(5344),
    [aux_sym_coarray_statement_token13] = ACTIONS(5344),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5344),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5344),
    [aux_sym_identifier_token1] = ACTIONS(5344),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5346),
    [sym__float_literal] = ACTIONS(5346),
    [sym__boz_literal] = ACTIONS(5346),
    [sym__string_literal] = ACTIONS(5346),
    [sym__string_literal_kind] = ACTIONS(5346),
  },
  [1116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token2] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5348),
    [aux_sym_end_program_statement_token1] = ACTIONS(5348),
    [aux_sym_end_program_statement_token2] = ACTIONS(5348),
    [aux_sym_module_statement_token1] = ACTIONS(5348),
    [aux_sym_submodule_statement_token1] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [aux_sym_interface_statement_token1] = ACTIONS(5348),
    [aux_sym_block_data_statement_token1] = ACTIONS(5348),
    [aux_sym_block_data_statement_token2] = ACTIONS(5348),
    [aux_sym_block_data_statement_token3] = ACTIONS(5348),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5348),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5348),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5348),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5348),
    [aux_sym_function_statement_token1] = ACTIONS(5348),
    [aux_sym_language_binding_token1] = ACTIONS(5348),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5348),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5348),
    [aux_sym_contains_statement_token1] = ACTIONS(5348),
    [aux_sym_use_statement_token1] = ACTIONS(5348),
    [aux_sym_use_statement_token2] = ACTIONS(5348),
    [aux_sym_implicit_statement_token1] = ACTIONS(5348),
    [aux_sym_implicit_statement_token3] = ACTIONS(5348),
    [aux_sym_implicit_statement_token4] = ACTIONS(5348),
    [aux_sym_save_statement_token1] = ACTIONS(5348),
    [aux_sym_private_statement_token1] = ACTIONS(5348),
    [aux_sym_public_statement_token1] = ACTIONS(5348),
    [aux_sym_namelist_statement_token1] = ACTIONS(5348),
    [aux_sym_common_statement_token1] = ACTIONS(5348),
    [aux_sym_import_statement_token1] = ACTIONS(5348),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5348),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5348),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5348),
    [aux_sym_variable_attributes_token1] = ACTIONS(5348),
    [aux_sym_variable_attributes_token2] = ACTIONS(5348),
    [aux_sym_variable_attributes_token3] = ACTIONS(5348),
    [aux_sym_variable_attributes_token4] = ACTIONS(5348),
    [aux_sym_variable_attributes_token5] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5348),
    [aux_sym_derived_type_token1] = ACTIONS(5348),
    [aux_sym_declared_type_token1] = ACTIONS(5348),
    [aux_sym_declared_type_token2] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5348),
    [aux_sym_type_qualifier_token1] = ACTIONS(5348),
    [aux_sym_type_qualifier_token2] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5348),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5348),
    [aux_sym_stop_statement_token1] = ACTIONS(5348),
    [aux_sym_stop_statement_token2] = ACTIONS(5348),
    [aux_sym_subroutine_call_token1] = ACTIONS(5348),
    [aux_sym_keyword_statement_token1] = ACTIONS(5348),
    [aux_sym_keyword_statement_token2] = ACTIONS(5348),
    [aux_sym_keyword_statement_token3] = ACTIONS(5348),
    [aux_sym_keyword_statement_token4] = ACTIONS(5348),
    [aux_sym_keyword_statement_token6] = ACTIONS(5348),
    [aux_sym_keyword_statement_token7] = ACTIONS(5348),
    [aux_sym_include_statement_token1] = ACTIONS(5348),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5348),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5348),
    [aux_sym_end_if_statement_token1] = ACTIONS(5348),
    [aux_sym_elseif_clause_token2] = ACTIONS(5348),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5348),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5348),
    [aux_sym_select_case_statement_token1] = ACTIONS(5348),
    [aux_sym_select_case_statement_token3] = ACTIONS(5348),
    [aux_sym_select_type_statement_token1] = ACTIONS(5348),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5348),
    [aux_sym_associate_statement_token1] = ACTIONS(5348),
    [aux_sym_format_statement_token1] = ACTIONS(5348),
    [aux_sym_print_statement_token1] = ACTIONS(5348),
    [aux_sym_open_statement_token1] = ACTIONS(5348),
    [aux_sym_close_statement_token1] = ACTIONS(5348),
    [aux_sym_inquire_statement_token1] = ACTIONS(5348),
    [aux_sym_enum_statement_token1] = ACTIONS(5348),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5348),
    [aux_sym_file_position_statement_token1] = ACTIONS(5348),
    [aux_sym_file_position_statement_token2] = ACTIONS(5348),
    [aux_sym_file_position_statement_token3] = ACTIONS(5348),
    [aux_sym_file_position_statement_token4] = ACTIONS(5348),
    [aux_sym_allocate_statement_token1] = ACTIONS(5348),
    [aux_sym_entry_statement_token1] = ACTIONS(5348),
    [aux_sym_assign_statement_token1] = ACTIONS(5348),
    [aux_sym_logical_expression_token5] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5348),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [aux_sym_boolean_literal_token1] = ACTIONS(5350),
    [aux_sym_boolean_literal_token2] = ACTIONS(5350),
    [aux_sym_null_literal_token1] = ACTIONS(5348),
    [aux_sym_coarray_statement_token1] = ACTIONS(5348),
    [aux_sym_coarray_statement_token2] = ACTIONS(5348),
    [aux_sym_coarray_statement_token6] = ACTIONS(5348),
    [aux_sym_coarray_statement_token8] = ACTIONS(5348),
    [aux_sym_coarray_statement_token11] = ACTIONS(5348),
    [aux_sym_coarray_statement_token12] = ACTIONS(5348),
    [aux_sym_coarray_statement_token13] = ACTIONS(5348),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5348),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5348),
    [aux_sym_identifier_token1] = ACTIONS(5348),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5350),
    [sym__float_literal] = ACTIONS(5350),
    [sym__boz_literal] = ACTIONS(5350),
    [sym__string_literal] = ACTIONS(5350),
    [sym__string_literal_kind] = ACTIONS(5350),
  },
  [1117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token2] = ACTIONS(5352),
    [aux_sym_module_statement_token1] = ACTIONS(5352),
    [aux_sym_submodule_statement_token1] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_block_data_statement_token3] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_function_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [aux_sym_boolean_literal_token1] = ACTIONS(5354),
    [aux_sym_boolean_literal_token2] = ACTIONS(5354),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5354),
    [sym__float_literal] = ACTIONS(5354),
    [sym__boz_literal] = ACTIONS(5354),
    [sym__string_literal] = ACTIONS(5354),
    [sym__string_literal_kind] = ACTIONS(5354),
  },
  [1118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5356),
    [aux_sym_preproc_def_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5356),
    [sym_preproc_directive] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5356),
    [aux_sym_end_program_statement_token1] = ACTIONS(5356),
    [aux_sym_end_program_statement_token2] = ACTIONS(5356),
    [aux_sym_module_statement_token1] = ACTIONS(5356),
    [aux_sym_submodule_statement_token1] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [aux_sym_interface_statement_token1] = ACTIONS(5356),
    [aux_sym_block_data_statement_token1] = ACTIONS(5356),
    [aux_sym_block_data_statement_token2] = ACTIONS(5356),
    [aux_sym_block_data_statement_token3] = ACTIONS(5356),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5356),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5356),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5356),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5356),
    [aux_sym_function_statement_token1] = ACTIONS(5356),
    [aux_sym_language_binding_token1] = ACTIONS(5356),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5356),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5356),
    [aux_sym_contains_statement_token1] = ACTIONS(5356),
    [aux_sym_use_statement_token1] = ACTIONS(5356),
    [aux_sym_use_statement_token2] = ACTIONS(5356),
    [aux_sym_implicit_statement_token1] = ACTIONS(5356),
    [aux_sym_implicit_statement_token3] = ACTIONS(5356),
    [aux_sym_implicit_statement_token4] = ACTIONS(5356),
    [aux_sym_save_statement_token1] = ACTIONS(5356),
    [aux_sym_private_statement_token1] = ACTIONS(5356),
    [aux_sym_public_statement_token1] = ACTIONS(5356),
    [aux_sym_namelist_statement_token1] = ACTIONS(5356),
    [aux_sym_common_statement_token1] = ACTIONS(5356),
    [aux_sym_import_statement_token1] = ACTIONS(5356),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5356),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5356),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5356),
    [aux_sym_variable_attributes_token1] = ACTIONS(5356),
    [aux_sym_variable_attributes_token2] = ACTIONS(5356),
    [aux_sym_variable_attributes_token3] = ACTIONS(5356),
    [aux_sym_variable_attributes_token4] = ACTIONS(5356),
    [aux_sym_variable_attributes_token5] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5356),
    [aux_sym_derived_type_token1] = ACTIONS(5356),
    [aux_sym_declared_type_token1] = ACTIONS(5356),
    [aux_sym_declared_type_token2] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5356),
    [aux_sym_type_qualifier_token1] = ACTIONS(5356),
    [aux_sym_type_qualifier_token2] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5356),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5356),
    [aux_sym_stop_statement_token1] = ACTIONS(5356),
    [aux_sym_stop_statement_token2] = ACTIONS(5356),
    [aux_sym_subroutine_call_token1] = ACTIONS(5356),
    [aux_sym_keyword_statement_token1] = ACTIONS(5356),
    [aux_sym_keyword_statement_token2] = ACTIONS(5356),
    [aux_sym_keyword_statement_token3] = ACTIONS(5356),
    [aux_sym_keyword_statement_token4] = ACTIONS(5356),
    [aux_sym_keyword_statement_token6] = ACTIONS(5356),
    [aux_sym_keyword_statement_token7] = ACTIONS(5356),
    [aux_sym_include_statement_token1] = ACTIONS(5356),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5356),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5356),
    [aux_sym_end_if_statement_token1] = ACTIONS(5356),
    [aux_sym_elseif_clause_token2] = ACTIONS(5356),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5356),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5356),
    [aux_sym_select_case_statement_token1] = ACTIONS(5356),
    [aux_sym_select_case_statement_token3] = ACTIONS(5356),
    [aux_sym_select_type_statement_token1] = ACTIONS(5356),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5356),
    [aux_sym_associate_statement_token1] = ACTIONS(5356),
    [aux_sym_format_statement_token1] = ACTIONS(5356),
    [aux_sym_print_statement_token1] = ACTIONS(5356),
    [aux_sym_open_statement_token1] = ACTIONS(5356),
    [aux_sym_close_statement_token1] = ACTIONS(5356),
    [aux_sym_inquire_statement_token1] = ACTIONS(5356),
    [aux_sym_enum_statement_token1] = ACTIONS(5356),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5356),
    [aux_sym_file_position_statement_token1] = ACTIONS(5356),
    [aux_sym_file_position_statement_token2] = ACTIONS(5356),
    [aux_sym_file_position_statement_token3] = ACTIONS(5356),
    [aux_sym_file_position_statement_token4] = ACTIONS(5356),
    [aux_sym_allocate_statement_token1] = ACTIONS(5356),
    [aux_sym_entry_statement_token1] = ACTIONS(5356),
    [aux_sym_assign_statement_token1] = ACTIONS(5356),
    [aux_sym_logical_expression_token5] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [aux_sym_boolean_literal_token1] = ACTIONS(5358),
    [aux_sym_boolean_literal_token2] = ACTIONS(5358),
    [aux_sym_null_literal_token1] = ACTIONS(5356),
    [aux_sym_coarray_statement_token1] = ACTIONS(5356),
    [aux_sym_coarray_statement_token2] = ACTIONS(5356),
    [aux_sym_coarray_statement_token6] = ACTIONS(5356),
    [aux_sym_coarray_statement_token8] = ACTIONS(5356),
    [aux_sym_coarray_statement_token11] = ACTIONS(5356),
    [aux_sym_coarray_statement_token12] = ACTIONS(5356),
    [aux_sym_coarray_statement_token13] = ACTIONS(5356),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5356),
    [aux_sym_identifier_token1] = ACTIONS(5356),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5358),
    [sym__float_literal] = ACTIONS(5358),
    [sym__boz_literal] = ACTIONS(5358),
    [sym__string_literal] = ACTIONS(5358),
    [sym__string_literal_kind] = ACTIONS(5358),
  },
  [1119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_PLUS] = ACTIONS(5366),
    [anon_sym_DASH] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5364),
    [aux_sym_end_program_statement_token1] = ACTIONS(5364),
    [aux_sym_end_program_statement_token2] = ACTIONS(5364),
    [aux_sym_module_statement_token1] = ACTIONS(5364),
    [aux_sym_submodule_statement_token1] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [aux_sym_interface_statement_token1] = ACTIONS(5364),
    [aux_sym_block_data_statement_token1] = ACTIONS(5364),
    [aux_sym_block_data_statement_token2] = ACTIONS(5364),
    [aux_sym_block_data_statement_token3] = ACTIONS(5364),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5364),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5364),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5364),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5364),
    [aux_sym_function_statement_token1] = ACTIONS(5364),
    [aux_sym_language_binding_token1] = ACTIONS(5364),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5364),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5364),
    [aux_sym_contains_statement_token1] = ACTIONS(5364),
    [aux_sym_use_statement_token1] = ACTIONS(5364),
    [aux_sym_use_statement_token2] = ACTIONS(5364),
    [aux_sym_implicit_statement_token1] = ACTIONS(5364),
    [aux_sym_implicit_statement_token3] = ACTIONS(5364),
    [aux_sym_implicit_statement_token4] = ACTIONS(5364),
    [aux_sym_save_statement_token1] = ACTIONS(5364),
    [aux_sym_private_statement_token1] = ACTIONS(5364),
    [aux_sym_public_statement_token1] = ACTIONS(5364),
    [aux_sym_namelist_statement_token1] = ACTIONS(5364),
    [aux_sym_common_statement_token1] = ACTIONS(5364),
    [aux_sym_import_statement_token1] = ACTIONS(5364),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5364),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5364),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5364),
    [aux_sym_variable_attributes_token1] = ACTIONS(5364),
    [aux_sym_variable_attributes_token2] = ACTIONS(5364),
    [aux_sym_variable_attributes_token3] = ACTIONS(5364),
    [aux_sym_variable_attributes_token4] = ACTIONS(5364),
    [aux_sym_variable_attributes_token5] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5364),
    [aux_sym_derived_type_token1] = ACTIONS(5364),
    [aux_sym_declared_type_token1] = ACTIONS(5364),
    [aux_sym_declared_type_token2] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5364),
    [aux_sym_type_qualifier_token1] = ACTIONS(5364),
    [aux_sym_type_qualifier_token2] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5364),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5364),
    [aux_sym_stop_statement_token1] = ACTIONS(5364),
    [aux_sym_stop_statement_token2] = ACTIONS(5364),
    [aux_sym_subroutine_call_token1] = ACTIONS(5364),
    [aux_sym_keyword_statement_token1] = ACTIONS(5364),
    [aux_sym_keyword_statement_token2] = ACTIONS(5364),
    [aux_sym_keyword_statement_token3] = ACTIONS(5364),
    [aux_sym_keyword_statement_token4] = ACTIONS(5364),
    [aux_sym_keyword_statement_token6] = ACTIONS(5364),
    [aux_sym_keyword_statement_token7] = ACTIONS(5364),
    [aux_sym_include_statement_token1] = ACTIONS(5364),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5364),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5364),
    [aux_sym_end_if_statement_token1] = ACTIONS(5364),
    [aux_sym_elseif_clause_token2] = ACTIONS(5364),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5364),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5364),
    [aux_sym_select_case_statement_token1] = ACTIONS(5364),
    [aux_sym_select_case_statement_token3] = ACTIONS(5364),
    [aux_sym_select_type_statement_token1] = ACTIONS(5364),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5364),
    [aux_sym_associate_statement_token1] = ACTIONS(5364),
    [aux_sym_format_statement_token1] = ACTIONS(5364),
    [aux_sym_print_statement_token1] = ACTIONS(5364),
    [aux_sym_open_statement_token1] = ACTIONS(5364),
    [aux_sym_close_statement_token1] = ACTIONS(5364),
    [aux_sym_inquire_statement_token1] = ACTIONS(5364),
    [aux_sym_enum_statement_token1] = ACTIONS(5364),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5364),
    [aux_sym_file_position_statement_token1] = ACTIONS(5364),
    [aux_sym_file_position_statement_token2] = ACTIONS(5364),
    [aux_sym_file_position_statement_token3] = ACTIONS(5364),
    [aux_sym_file_position_statement_token4] = ACTIONS(5364),
    [aux_sym_allocate_statement_token1] = ACTIONS(5364),
    [aux_sym_entry_statement_token1] = ACTIONS(5364),
    [aux_sym_assign_statement_token1] = ACTIONS(5364),
    [aux_sym_logical_expression_token5] = ACTIONS(5366),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [aux_sym_boolean_literal_token1] = ACTIONS(5366),
    [aux_sym_boolean_literal_token2] = ACTIONS(5366),
    [aux_sym_null_literal_token1] = ACTIONS(5364),
    [aux_sym_coarray_statement_token1] = ACTIONS(5364),
    [aux_sym_coarray_statement_token2] = ACTIONS(5364),
    [aux_sym_coarray_statement_token6] = ACTIONS(5364),
    [aux_sym_coarray_statement_token8] = ACTIONS(5364),
    [aux_sym_coarray_statement_token11] = ACTIONS(5364),
    [aux_sym_coarray_statement_token12] = ACTIONS(5364),
    [aux_sym_coarray_statement_token13] = ACTIONS(5364),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5364),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5364),
    [aux_sym_identifier_token1] = ACTIONS(5364),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5366),
    [sym__float_literal] = ACTIONS(5366),
    [sym__boz_literal] = ACTIONS(5366),
    [sym__string_literal] = ACTIONS(5366),
    [sym__string_literal_kind] = ACTIONS(5366),
  },
  [1120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5192),
    [aux_sym_preproc_def_token1] = ACTIONS(5192),
    [aux_sym_preproc_if_token1] = ACTIONS(5192),
    [aux_sym_preproc_if_token2] = ACTIONS(5192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5192),
    [sym_preproc_directive] = ACTIONS(5192),
    [anon_sym_LPAREN2] = ACTIONS(5192),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5192),
    [aux_sym_end_program_statement_token1] = ACTIONS(5192),
    [aux_sym_end_program_statement_token2] = ACTIONS(5192),
    [aux_sym_module_statement_token1] = ACTIONS(5192),
    [aux_sym_submodule_statement_token1] = ACTIONS(5192),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5192),
    [aux_sym_block_data_statement_token1] = ACTIONS(5192),
    [aux_sym_block_data_statement_token2] = ACTIONS(5192),
    [aux_sym_block_data_statement_token3] = ACTIONS(5192),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5192),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5192),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5192),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5192),
    [aux_sym_function_statement_token1] = ACTIONS(5192),
    [aux_sym_language_binding_token1] = ACTIONS(5192),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5192),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5192),
    [aux_sym_contains_statement_token1] = ACTIONS(5192),
    [aux_sym_use_statement_token1] = ACTIONS(5192),
    [aux_sym_use_statement_token2] = ACTIONS(5192),
    [aux_sym_implicit_statement_token1] = ACTIONS(5192),
    [aux_sym_implicit_statement_token3] = ACTIONS(5192),
    [aux_sym_implicit_statement_token4] = ACTIONS(5192),
    [aux_sym_save_statement_token1] = ACTIONS(5192),
    [aux_sym_private_statement_token1] = ACTIONS(5192),
    [aux_sym_public_statement_token1] = ACTIONS(5192),
    [aux_sym_namelist_statement_token1] = ACTIONS(5192),
    [aux_sym_common_statement_token1] = ACTIONS(5192),
    [aux_sym_import_statement_token1] = ACTIONS(5192),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5192),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5192),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5192),
    [aux_sym_variable_attributes_token1] = ACTIONS(5192),
    [aux_sym_variable_attributes_token2] = ACTIONS(5192),
    [aux_sym_variable_attributes_token3] = ACTIONS(5192),
    [aux_sym_variable_attributes_token4] = ACTIONS(5192),
    [aux_sym_variable_attributes_token5] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5192),
    [aux_sym_derived_type_token1] = ACTIONS(5192),
    [aux_sym_declared_type_token1] = ACTIONS(5192),
    [aux_sym_declared_type_token2] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5192),
    [aux_sym_type_qualifier_token1] = ACTIONS(5192),
    [aux_sym_type_qualifier_token2] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5192),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5192),
    [aux_sym_stop_statement_token1] = ACTIONS(5192),
    [aux_sym_stop_statement_token2] = ACTIONS(5192),
    [aux_sym_subroutine_call_token1] = ACTIONS(5192),
    [aux_sym_keyword_statement_token1] = ACTIONS(5192),
    [aux_sym_keyword_statement_token2] = ACTIONS(5192),
    [aux_sym_keyword_statement_token3] = ACTIONS(5192),
    [aux_sym_keyword_statement_token4] = ACTIONS(5192),
    [aux_sym_keyword_statement_token6] = ACTIONS(5192),
    [aux_sym_keyword_statement_token7] = ACTIONS(5192),
    [aux_sym_include_statement_token1] = ACTIONS(5192),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5192),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5192),
    [aux_sym_end_if_statement_token1] = ACTIONS(5192),
    [aux_sym_elseif_clause_token2] = ACTIONS(5192),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5192),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5192),
    [aux_sym_select_case_statement_token1] = ACTIONS(5192),
    [aux_sym_select_case_statement_token3] = ACTIONS(5192),
    [aux_sym_select_type_statement_token1] = ACTIONS(5192),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5192),
    [aux_sym_associate_statement_token1] = ACTIONS(5192),
    [aux_sym_format_statement_token1] = ACTIONS(5192),
    [aux_sym_print_statement_token1] = ACTIONS(5192),
    [aux_sym_open_statement_token1] = ACTIONS(5192),
    [aux_sym_close_statement_token1] = ACTIONS(5192),
    [aux_sym_inquire_statement_token1] = ACTIONS(5192),
    [aux_sym_enum_statement_token1] = ACTIONS(5192),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5192),
    [aux_sym_file_position_statement_token1] = ACTIONS(5192),
    [aux_sym_file_position_statement_token2] = ACTIONS(5192),
    [aux_sym_file_position_statement_token3] = ACTIONS(5192),
    [aux_sym_file_position_statement_token4] = ACTIONS(5192),
    [aux_sym_allocate_statement_token1] = ACTIONS(5192),
    [aux_sym_entry_statement_token1] = ACTIONS(5192),
    [aux_sym_assign_statement_token1] = ACTIONS(5192),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5192),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5192),
    [aux_sym_coarray_statement_token1] = ACTIONS(5192),
    [aux_sym_coarray_statement_token2] = ACTIONS(5192),
    [aux_sym_coarray_statement_token6] = ACTIONS(5192),
    [aux_sym_coarray_statement_token8] = ACTIONS(5192),
    [aux_sym_coarray_statement_token11] = ACTIONS(5192),
    [aux_sym_coarray_statement_token12] = ACTIONS(5192),
    [aux_sym_coarray_statement_token13] = ACTIONS(5192),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5192),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5192),
    [aux_sym_identifier_token1] = ACTIONS(5192),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5316),
    [aux_sym_preproc_def_token1] = ACTIONS(5316),
    [aux_sym_preproc_if_token1] = ACTIONS(5316),
    [aux_sym_preproc_if_token2] = ACTIONS(5316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5316),
    [sym_preproc_directive] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5316),
    [aux_sym_end_program_statement_token1] = ACTIONS(5316),
    [aux_sym_end_program_statement_token2] = ACTIONS(5316),
    [aux_sym_module_statement_token1] = ACTIONS(5316),
    [aux_sym_submodule_statement_token1] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [aux_sym_interface_statement_token1] = ACTIONS(5316),
    [aux_sym_block_data_statement_token1] = ACTIONS(5316),
    [aux_sym_block_data_statement_token2] = ACTIONS(5316),
    [aux_sym_block_data_statement_token3] = ACTIONS(5316),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5316),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5316),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5316),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5316),
    [aux_sym_function_statement_token1] = ACTIONS(5316),
    [aux_sym_language_binding_token1] = ACTIONS(5316),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5316),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5316),
    [aux_sym_contains_statement_token1] = ACTIONS(5316),
    [aux_sym_use_statement_token1] = ACTIONS(5316),
    [aux_sym_use_statement_token2] = ACTIONS(5316),
    [aux_sym_implicit_statement_token1] = ACTIONS(5316),
    [aux_sym_implicit_statement_token3] = ACTIONS(5316),
    [aux_sym_implicit_statement_token4] = ACTIONS(5316),
    [aux_sym_save_statement_token1] = ACTIONS(5316),
    [aux_sym_private_statement_token1] = ACTIONS(5316),
    [aux_sym_public_statement_token1] = ACTIONS(5316),
    [aux_sym_namelist_statement_token1] = ACTIONS(5316),
    [aux_sym_common_statement_token1] = ACTIONS(5316),
    [aux_sym_import_statement_token1] = ACTIONS(5316),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5316),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5316),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5316),
    [aux_sym_variable_attributes_token1] = ACTIONS(5316),
    [aux_sym_variable_attributes_token2] = ACTIONS(5316),
    [aux_sym_variable_attributes_token3] = ACTIONS(5316),
    [aux_sym_variable_attributes_token4] = ACTIONS(5316),
    [aux_sym_variable_attributes_token5] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5316),
    [aux_sym_derived_type_token1] = ACTIONS(5316),
    [aux_sym_declared_type_token1] = ACTIONS(5316),
    [aux_sym_declared_type_token2] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5316),
    [aux_sym_type_qualifier_token1] = ACTIONS(5316),
    [aux_sym_type_qualifier_token2] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5316),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5316),
    [aux_sym_stop_statement_token1] = ACTIONS(5316),
    [aux_sym_stop_statement_token2] = ACTIONS(5316),
    [aux_sym_subroutine_call_token1] = ACTIONS(5316),
    [aux_sym_keyword_statement_token1] = ACTIONS(5316),
    [aux_sym_keyword_statement_token2] = ACTIONS(5316),
    [aux_sym_keyword_statement_token3] = ACTIONS(5316),
    [aux_sym_keyword_statement_token4] = ACTIONS(5316),
    [aux_sym_keyword_statement_token6] = ACTIONS(5316),
    [aux_sym_keyword_statement_token7] = ACTIONS(5316),
    [aux_sym_include_statement_token1] = ACTIONS(5316),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5316),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5316),
    [aux_sym_end_if_statement_token1] = ACTIONS(5316),
    [aux_sym_elseif_clause_token2] = ACTIONS(5316),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5316),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5316),
    [aux_sym_select_case_statement_token1] = ACTIONS(5316),
    [aux_sym_select_case_statement_token3] = ACTIONS(5316),
    [aux_sym_select_type_statement_token1] = ACTIONS(5316),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5316),
    [aux_sym_associate_statement_token1] = ACTIONS(5316),
    [aux_sym_format_statement_token1] = ACTIONS(5316),
    [aux_sym_print_statement_token1] = ACTIONS(5316),
    [aux_sym_open_statement_token1] = ACTIONS(5316),
    [aux_sym_close_statement_token1] = ACTIONS(5316),
    [aux_sym_inquire_statement_token1] = ACTIONS(5316),
    [aux_sym_enum_statement_token1] = ACTIONS(5316),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5316),
    [aux_sym_file_position_statement_token1] = ACTIONS(5316),
    [aux_sym_file_position_statement_token2] = ACTIONS(5316),
    [aux_sym_file_position_statement_token3] = ACTIONS(5316),
    [aux_sym_file_position_statement_token4] = ACTIONS(5316),
    [aux_sym_allocate_statement_token1] = ACTIONS(5316),
    [aux_sym_entry_statement_token1] = ACTIONS(5316),
    [aux_sym_assign_statement_token1] = ACTIONS(5316),
    [aux_sym_logical_expression_token5] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [aux_sym_boolean_literal_token1] = ACTIONS(5318),
    [aux_sym_boolean_literal_token2] = ACTIONS(5318),
    [aux_sym_null_literal_token1] = ACTIONS(5316),
    [aux_sym_coarray_statement_token1] = ACTIONS(5316),
    [aux_sym_coarray_statement_token2] = ACTIONS(5316),
    [aux_sym_coarray_statement_token6] = ACTIONS(5316),
    [aux_sym_coarray_statement_token8] = ACTIONS(5316),
    [aux_sym_coarray_statement_token11] = ACTIONS(5316),
    [aux_sym_coarray_statement_token12] = ACTIONS(5316),
    [aux_sym_coarray_statement_token13] = ACTIONS(5316),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5316),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5316),
    [aux_sym_identifier_token1] = ACTIONS(5316),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5318),
    [sym__float_literal] = ACTIONS(5318),
    [sym__boz_literal] = ACTIONS(5318),
    [sym__string_literal] = ACTIONS(5318),
    [sym__string_literal_kind] = ACTIONS(5318),
  },
  [1122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5368),
    [aux_sym_end_program_statement_token1] = ACTIONS(5368),
    [aux_sym_end_program_statement_token2] = ACTIONS(5368),
    [aux_sym_module_statement_token1] = ACTIONS(5368),
    [aux_sym_submodule_statement_token1] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5368),
    [aux_sym_block_data_statement_token1] = ACTIONS(5368),
    [aux_sym_block_data_statement_token2] = ACTIONS(5368),
    [aux_sym_block_data_statement_token3] = ACTIONS(5368),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5368),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5368),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5368),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5368),
    [aux_sym_function_statement_token1] = ACTIONS(5368),
    [aux_sym_language_binding_token1] = ACTIONS(5368),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5368),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5368),
    [aux_sym_contains_statement_token1] = ACTIONS(5368),
    [aux_sym_use_statement_token1] = ACTIONS(5368),
    [aux_sym_use_statement_token2] = ACTIONS(5368),
    [aux_sym_implicit_statement_token1] = ACTIONS(5368),
    [aux_sym_implicit_statement_token3] = ACTIONS(5368),
    [aux_sym_implicit_statement_token4] = ACTIONS(5368),
    [aux_sym_save_statement_token1] = ACTIONS(5368),
    [aux_sym_private_statement_token1] = ACTIONS(5368),
    [aux_sym_public_statement_token1] = ACTIONS(5368),
    [aux_sym_namelist_statement_token1] = ACTIONS(5368),
    [aux_sym_common_statement_token1] = ACTIONS(5368),
    [aux_sym_import_statement_token1] = ACTIONS(5368),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5368),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5368),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5368),
    [aux_sym_variable_attributes_token1] = ACTIONS(5368),
    [aux_sym_variable_attributes_token2] = ACTIONS(5368),
    [aux_sym_variable_attributes_token3] = ACTIONS(5368),
    [aux_sym_variable_attributes_token4] = ACTIONS(5368),
    [aux_sym_variable_attributes_token5] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5368),
    [aux_sym_derived_type_token1] = ACTIONS(5368),
    [aux_sym_declared_type_token1] = ACTIONS(5368),
    [aux_sym_declared_type_token2] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5368),
    [aux_sym_type_qualifier_token1] = ACTIONS(5368),
    [aux_sym_type_qualifier_token2] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5368),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5368),
    [aux_sym_stop_statement_token1] = ACTIONS(5368),
    [aux_sym_stop_statement_token2] = ACTIONS(5368),
    [aux_sym_subroutine_call_token1] = ACTIONS(5368),
    [aux_sym_keyword_statement_token1] = ACTIONS(5368),
    [aux_sym_keyword_statement_token2] = ACTIONS(5368),
    [aux_sym_keyword_statement_token3] = ACTIONS(5368),
    [aux_sym_keyword_statement_token4] = ACTIONS(5368),
    [aux_sym_keyword_statement_token6] = ACTIONS(5368),
    [aux_sym_keyword_statement_token7] = ACTIONS(5368),
    [aux_sym_include_statement_token1] = ACTIONS(5368),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5368),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5368),
    [aux_sym_end_if_statement_token1] = ACTIONS(5368),
    [aux_sym_elseif_clause_token2] = ACTIONS(5368),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5368),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5368),
    [aux_sym_select_case_statement_token1] = ACTIONS(5368),
    [aux_sym_select_case_statement_token3] = ACTIONS(5368),
    [aux_sym_select_type_statement_token1] = ACTIONS(5368),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5368),
    [aux_sym_associate_statement_token1] = ACTIONS(5368),
    [aux_sym_format_statement_token1] = ACTIONS(5368),
    [aux_sym_print_statement_token1] = ACTIONS(5368),
    [aux_sym_open_statement_token1] = ACTIONS(5368),
    [aux_sym_close_statement_token1] = ACTIONS(5368),
    [aux_sym_inquire_statement_token1] = ACTIONS(5368),
    [aux_sym_enum_statement_token1] = ACTIONS(5368),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5368),
    [aux_sym_file_position_statement_token1] = ACTIONS(5368),
    [aux_sym_file_position_statement_token2] = ACTIONS(5368),
    [aux_sym_file_position_statement_token3] = ACTIONS(5368),
    [aux_sym_file_position_statement_token4] = ACTIONS(5368),
    [aux_sym_allocate_statement_token1] = ACTIONS(5368),
    [aux_sym_entry_statement_token1] = ACTIONS(5368),
    [aux_sym_assign_statement_token1] = ACTIONS(5368),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5368),
    [aux_sym_coarray_statement_token1] = ACTIONS(5368),
    [aux_sym_coarray_statement_token2] = ACTIONS(5368),
    [aux_sym_coarray_statement_token6] = ACTIONS(5368),
    [aux_sym_coarray_statement_token8] = ACTIONS(5368),
    [aux_sym_coarray_statement_token11] = ACTIONS(5368),
    [aux_sym_coarray_statement_token12] = ACTIONS(5368),
    [aux_sym_coarray_statement_token13] = ACTIONS(5368),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5368),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5368),
    [aux_sym_identifier_token1] = ACTIONS(5368),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1123] = {
    [ts_builtin_sym_end] = ACTIONS(5282),
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [aux_sym_module_statement_token1] = ACTIONS(5280),
    [aux_sym_submodule_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_block_data_statement_token3] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_function_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1124] = {
    [ts_builtin_sym_end] = ACTIONS(5286),
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [aux_sym_module_statement_token1] = ACTIONS(5284),
    [aux_sym_submodule_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_block_data_statement_token3] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_function_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1125] = {
    [ts_builtin_sym_end] = ACTIONS(5438),
    [aux_sym_preproc_include_token1] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5436),
    [aux_sym_end_program_statement_token1] = ACTIONS(5436),
    [aux_sym_end_program_statement_token2] = ACTIONS(5436),
    [aux_sym_module_statement_token1] = ACTIONS(5436),
    [aux_sym_submodule_statement_token1] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [aux_sym_interface_statement_token1] = ACTIONS(5436),
    [aux_sym_block_data_statement_token1] = ACTIONS(5436),
    [aux_sym_block_data_statement_token2] = ACTIONS(5436),
    [aux_sym_block_data_statement_token3] = ACTIONS(5436),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5436),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5436),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5436),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5436),
    [aux_sym_function_statement_token1] = ACTIONS(5436),
    [aux_sym_language_binding_token1] = ACTIONS(5436),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5436),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5436),
    [aux_sym_contains_statement_token1] = ACTIONS(5436),
    [aux_sym_use_statement_token1] = ACTIONS(5436),
    [aux_sym_use_statement_token2] = ACTIONS(5436),
    [aux_sym_implicit_statement_token1] = ACTIONS(5436),
    [aux_sym_implicit_statement_token3] = ACTIONS(5436),
    [aux_sym_implicit_statement_token4] = ACTIONS(5436),
    [aux_sym_save_statement_token1] = ACTIONS(5436),
    [aux_sym_private_statement_token1] = ACTIONS(5436),
    [aux_sym_public_statement_token1] = ACTIONS(5436),
    [aux_sym_namelist_statement_token1] = ACTIONS(5436),
    [aux_sym_common_statement_token1] = ACTIONS(5436),
    [aux_sym_import_statement_token1] = ACTIONS(5436),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5436),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5436),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5436),
    [aux_sym_variable_attributes_token1] = ACTIONS(5436),
    [aux_sym_variable_attributes_token2] = ACTIONS(5436),
    [aux_sym_variable_attributes_token3] = ACTIONS(5436),
    [aux_sym_variable_attributes_token4] = ACTIONS(5436),
    [aux_sym_variable_attributes_token5] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5436),
    [aux_sym_derived_type_token1] = ACTIONS(5436),
    [aux_sym_declared_type_token1] = ACTIONS(5436),
    [aux_sym_declared_type_token2] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5436),
    [aux_sym_type_qualifier_token1] = ACTIONS(5436),
    [aux_sym_type_qualifier_token2] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5436),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5436),
    [aux_sym_stop_statement_token1] = ACTIONS(5436),
    [aux_sym_stop_statement_token2] = ACTIONS(5436),
    [aux_sym_subroutine_call_token1] = ACTIONS(5436),
    [aux_sym_keyword_statement_token1] = ACTIONS(5436),
    [aux_sym_keyword_statement_token2] = ACTIONS(5436),
    [aux_sym_keyword_statement_token3] = ACTIONS(5436),
    [aux_sym_keyword_statement_token4] = ACTIONS(5436),
    [aux_sym_keyword_statement_token6] = ACTIONS(5436),
    [aux_sym_keyword_statement_token7] = ACTIONS(5436),
    [aux_sym_include_statement_token1] = ACTIONS(5436),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5436),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5436),
    [aux_sym_end_if_statement_token1] = ACTIONS(5436),
    [aux_sym_elseif_clause_token2] = ACTIONS(5436),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5436),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5436),
    [aux_sym_select_case_statement_token1] = ACTIONS(5436),
    [aux_sym_select_case_statement_token3] = ACTIONS(5436),
    [aux_sym_select_type_statement_token1] = ACTIONS(5436),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5436),
    [aux_sym_associate_statement_token1] = ACTIONS(5436),
    [aux_sym_format_statement_token1] = ACTIONS(5436),
    [aux_sym_print_statement_token1] = ACTIONS(5436),
    [aux_sym_open_statement_token1] = ACTIONS(5436),
    [aux_sym_close_statement_token1] = ACTIONS(5436),
    [aux_sym_inquire_statement_token1] = ACTIONS(5436),
    [aux_sym_enum_statement_token1] = ACTIONS(5436),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5436),
    [aux_sym_file_position_statement_token1] = ACTIONS(5436),
    [aux_sym_file_position_statement_token2] = ACTIONS(5436),
    [aux_sym_file_position_statement_token3] = ACTIONS(5436),
    [aux_sym_file_position_statement_token4] = ACTIONS(5436),
    [aux_sym_allocate_statement_token1] = ACTIONS(5436),
    [aux_sym_entry_statement_token1] = ACTIONS(5436),
    [aux_sym_assign_statement_token1] = ACTIONS(5436),
    [aux_sym_logical_expression_token5] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [aux_sym_boolean_literal_token1] = ACTIONS(5438),
    [aux_sym_boolean_literal_token2] = ACTIONS(5438),
    [aux_sym_null_literal_token1] = ACTIONS(5436),
    [aux_sym_coarray_statement_token1] = ACTIONS(5436),
    [aux_sym_coarray_statement_token2] = ACTIONS(5436),
    [aux_sym_coarray_statement_token6] = ACTIONS(5436),
    [aux_sym_coarray_statement_token8] = ACTIONS(5436),
    [aux_sym_coarray_statement_token11] = ACTIONS(5436),
    [aux_sym_coarray_statement_token12] = ACTIONS(5436),
    [aux_sym_coarray_statement_token13] = ACTIONS(5436),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5436),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5436),
    [aux_sym_identifier_token1] = ACTIONS(5436),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5438),
    [sym__float_literal] = ACTIONS(5438),
    [sym__boz_literal] = ACTIONS(5438),
    [sym__string_literal] = ACTIONS(5438),
    [sym__string_literal_kind] = ACTIONS(5438),
  },
  [1126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1127] = {
    [ts_builtin_sym_end] = ACTIONS(5398),
    [aux_sym_preproc_include_token1] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5396),
    [aux_sym_end_program_statement_token1] = ACTIONS(5396),
    [aux_sym_end_program_statement_token2] = ACTIONS(5396),
    [aux_sym_module_statement_token1] = ACTIONS(5396),
    [aux_sym_submodule_statement_token1] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [aux_sym_interface_statement_token1] = ACTIONS(5396),
    [aux_sym_block_data_statement_token1] = ACTIONS(5396),
    [aux_sym_block_data_statement_token2] = ACTIONS(5396),
    [aux_sym_block_data_statement_token3] = ACTIONS(5396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5396),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5396),
    [aux_sym_function_statement_token1] = ACTIONS(5396),
    [aux_sym_language_binding_token1] = ACTIONS(5396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5396),
    [aux_sym_contains_statement_token1] = ACTIONS(5396),
    [aux_sym_use_statement_token1] = ACTIONS(5396),
    [aux_sym_use_statement_token2] = ACTIONS(5396),
    [aux_sym_implicit_statement_token1] = ACTIONS(5396),
    [aux_sym_implicit_statement_token3] = ACTIONS(5396),
    [aux_sym_implicit_statement_token4] = ACTIONS(5396),
    [aux_sym_save_statement_token1] = ACTIONS(5396),
    [aux_sym_private_statement_token1] = ACTIONS(5396),
    [aux_sym_public_statement_token1] = ACTIONS(5396),
    [aux_sym_namelist_statement_token1] = ACTIONS(5396),
    [aux_sym_common_statement_token1] = ACTIONS(5396),
    [aux_sym_import_statement_token1] = ACTIONS(5396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5396),
    [aux_sym_variable_attributes_token1] = ACTIONS(5396),
    [aux_sym_variable_attributes_token2] = ACTIONS(5396),
    [aux_sym_variable_attributes_token3] = ACTIONS(5396),
    [aux_sym_variable_attributes_token4] = ACTIONS(5396),
    [aux_sym_variable_attributes_token5] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5396),
    [aux_sym_derived_type_token1] = ACTIONS(5396),
    [aux_sym_declared_type_token1] = ACTIONS(5396),
    [aux_sym_declared_type_token2] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5396),
    [aux_sym_type_qualifier_token1] = ACTIONS(5396),
    [aux_sym_type_qualifier_token2] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5396),
    [aux_sym_stop_statement_token1] = ACTIONS(5396),
    [aux_sym_stop_statement_token2] = ACTIONS(5396),
    [aux_sym_subroutine_call_token1] = ACTIONS(5396),
    [aux_sym_keyword_statement_token1] = ACTIONS(5396),
    [aux_sym_keyword_statement_token2] = ACTIONS(5396),
    [aux_sym_keyword_statement_token3] = ACTIONS(5396),
    [aux_sym_keyword_statement_token4] = ACTIONS(5396),
    [aux_sym_keyword_statement_token6] = ACTIONS(5396),
    [aux_sym_keyword_statement_token7] = ACTIONS(5396),
    [aux_sym_include_statement_token1] = ACTIONS(5396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5396),
    [aux_sym_end_if_statement_token1] = ACTIONS(5396),
    [aux_sym_elseif_clause_token2] = ACTIONS(5396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5396),
    [aux_sym_select_case_statement_token1] = ACTIONS(5396),
    [aux_sym_select_case_statement_token3] = ACTIONS(5396),
    [aux_sym_select_type_statement_token1] = ACTIONS(5396),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5396),
    [aux_sym_associate_statement_token1] = ACTIONS(5396),
    [aux_sym_format_statement_token1] = ACTIONS(5396),
    [aux_sym_print_statement_token1] = ACTIONS(5396),
    [aux_sym_open_statement_token1] = ACTIONS(5396),
    [aux_sym_close_statement_token1] = ACTIONS(5396),
    [aux_sym_inquire_statement_token1] = ACTIONS(5396),
    [aux_sym_enum_statement_token1] = ACTIONS(5396),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5396),
    [aux_sym_file_position_statement_token1] = ACTIONS(5396),
    [aux_sym_file_position_statement_token2] = ACTIONS(5396),
    [aux_sym_file_position_statement_token3] = ACTIONS(5396),
    [aux_sym_file_position_statement_token4] = ACTIONS(5396),
    [aux_sym_allocate_statement_token1] = ACTIONS(5396),
    [aux_sym_entry_statement_token1] = ACTIONS(5396),
    [aux_sym_assign_statement_token1] = ACTIONS(5396),
    [aux_sym_logical_expression_token5] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [aux_sym_boolean_literal_token1] = ACTIONS(5398),
    [aux_sym_boolean_literal_token2] = ACTIONS(5398),
    [aux_sym_null_literal_token1] = ACTIONS(5396),
    [aux_sym_coarray_statement_token1] = ACTIONS(5396),
    [aux_sym_coarray_statement_token2] = ACTIONS(5396),
    [aux_sym_coarray_statement_token6] = ACTIONS(5396),
    [aux_sym_coarray_statement_token8] = ACTIONS(5396),
    [aux_sym_coarray_statement_token11] = ACTIONS(5396),
    [aux_sym_coarray_statement_token12] = ACTIONS(5396),
    [aux_sym_coarray_statement_token13] = ACTIONS(5396),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5396),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5396),
    [aux_sym_identifier_token1] = ACTIONS(5396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5398),
    [sym__float_literal] = ACTIONS(5398),
    [sym__boz_literal] = ACTIONS(5398),
    [sym__string_literal] = ACTIONS(5398),
    [sym__string_literal_kind] = ACTIONS(5398),
  },
  [1128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5360),
    [aux_sym_preproc_def_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5360),
    [sym_preproc_directive] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5362),
    [anon_sym_DASH] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5360),
    [aux_sym_end_program_statement_token1] = ACTIONS(5360),
    [aux_sym_end_program_statement_token2] = ACTIONS(5360),
    [aux_sym_module_statement_token1] = ACTIONS(5360),
    [aux_sym_submodule_statement_token1] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [aux_sym_interface_statement_token1] = ACTIONS(5360),
    [aux_sym_block_data_statement_token1] = ACTIONS(5360),
    [aux_sym_block_data_statement_token2] = ACTIONS(5360),
    [aux_sym_block_data_statement_token3] = ACTIONS(5360),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5360),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5360),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5360),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5360),
    [aux_sym_function_statement_token1] = ACTIONS(5360),
    [aux_sym_language_binding_token1] = ACTIONS(5360),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5360),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5360),
    [aux_sym_contains_statement_token1] = ACTIONS(5360),
    [aux_sym_use_statement_token1] = ACTIONS(5360),
    [aux_sym_use_statement_token2] = ACTIONS(5360),
    [aux_sym_implicit_statement_token1] = ACTIONS(5360),
    [aux_sym_implicit_statement_token3] = ACTIONS(5360),
    [aux_sym_implicit_statement_token4] = ACTIONS(5360),
    [aux_sym_save_statement_token1] = ACTIONS(5360),
    [aux_sym_private_statement_token1] = ACTIONS(5360),
    [aux_sym_public_statement_token1] = ACTIONS(5360),
    [aux_sym_namelist_statement_token1] = ACTIONS(5360),
    [aux_sym_common_statement_token1] = ACTIONS(5360),
    [aux_sym_import_statement_token1] = ACTIONS(5360),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5360),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5360),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5360),
    [aux_sym_variable_attributes_token1] = ACTIONS(5360),
    [aux_sym_variable_attributes_token2] = ACTIONS(5360),
    [aux_sym_variable_attributes_token3] = ACTIONS(5360),
    [aux_sym_variable_attributes_token4] = ACTIONS(5360),
    [aux_sym_variable_attributes_token5] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5360),
    [aux_sym_derived_type_token1] = ACTIONS(5360),
    [aux_sym_declared_type_token1] = ACTIONS(5360),
    [aux_sym_declared_type_token2] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5360),
    [aux_sym_type_qualifier_token1] = ACTIONS(5360),
    [aux_sym_type_qualifier_token2] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5360),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5360),
    [aux_sym_stop_statement_token1] = ACTIONS(5360),
    [aux_sym_stop_statement_token2] = ACTIONS(5360),
    [aux_sym_subroutine_call_token1] = ACTIONS(5360),
    [aux_sym_keyword_statement_token1] = ACTIONS(5360),
    [aux_sym_keyword_statement_token2] = ACTIONS(5360),
    [aux_sym_keyword_statement_token3] = ACTIONS(5360),
    [aux_sym_keyword_statement_token4] = ACTIONS(5360),
    [aux_sym_keyword_statement_token6] = ACTIONS(5360),
    [aux_sym_keyword_statement_token7] = ACTIONS(5360),
    [aux_sym_include_statement_token1] = ACTIONS(5360),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5360),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5360),
    [aux_sym_end_if_statement_token1] = ACTIONS(5360),
    [aux_sym_elseif_clause_token2] = ACTIONS(5360),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5360),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5360),
    [aux_sym_select_case_statement_token1] = ACTIONS(5360),
    [aux_sym_select_case_statement_token3] = ACTIONS(5360),
    [aux_sym_select_type_statement_token1] = ACTIONS(5360),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5360),
    [aux_sym_associate_statement_token1] = ACTIONS(5360),
    [aux_sym_format_statement_token1] = ACTIONS(5360),
    [aux_sym_print_statement_token1] = ACTIONS(5360),
    [aux_sym_open_statement_token1] = ACTIONS(5360),
    [aux_sym_close_statement_token1] = ACTIONS(5360),
    [aux_sym_inquire_statement_token1] = ACTIONS(5360),
    [aux_sym_enum_statement_token1] = ACTIONS(5360),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5360),
    [aux_sym_file_position_statement_token1] = ACTIONS(5360),
    [aux_sym_file_position_statement_token2] = ACTIONS(5360),
    [aux_sym_file_position_statement_token3] = ACTIONS(5360),
    [aux_sym_file_position_statement_token4] = ACTIONS(5360),
    [aux_sym_allocate_statement_token1] = ACTIONS(5360),
    [aux_sym_entry_statement_token1] = ACTIONS(5360),
    [aux_sym_assign_statement_token1] = ACTIONS(5360),
    [aux_sym_logical_expression_token5] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5360),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [aux_sym_boolean_literal_token1] = ACTIONS(5362),
    [aux_sym_boolean_literal_token2] = ACTIONS(5362),
    [aux_sym_null_literal_token1] = ACTIONS(5360),
    [aux_sym_coarray_statement_token1] = ACTIONS(5360),
    [aux_sym_coarray_statement_token2] = ACTIONS(5360),
    [aux_sym_coarray_statement_token6] = ACTIONS(5360),
    [aux_sym_coarray_statement_token8] = ACTIONS(5360),
    [aux_sym_coarray_statement_token11] = ACTIONS(5360),
    [aux_sym_coarray_statement_token12] = ACTIONS(5360),
    [aux_sym_coarray_statement_token13] = ACTIONS(5360),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5360),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5360),
    [aux_sym_identifier_token1] = ACTIONS(5360),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5362),
    [sym__float_literal] = ACTIONS(5362),
    [sym__boz_literal] = ACTIONS(5362),
    [sym__string_literal] = ACTIONS(5362),
    [sym__string_literal_kind] = ACTIONS(5362),
  },
  [1129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token2] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5408),
    [aux_sym_end_program_statement_token1] = ACTIONS(5408),
    [aux_sym_end_program_statement_token2] = ACTIONS(5408),
    [aux_sym_module_statement_token1] = ACTIONS(5408),
    [aux_sym_submodule_statement_token1] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [aux_sym_interface_statement_token1] = ACTIONS(5408),
    [aux_sym_block_data_statement_token1] = ACTIONS(5408),
    [aux_sym_block_data_statement_token2] = ACTIONS(5408),
    [aux_sym_block_data_statement_token3] = ACTIONS(5408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5408),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5408),
    [aux_sym_function_statement_token1] = ACTIONS(5408),
    [aux_sym_language_binding_token1] = ACTIONS(5408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5408),
    [aux_sym_contains_statement_token1] = ACTIONS(5408),
    [aux_sym_use_statement_token1] = ACTIONS(5408),
    [aux_sym_use_statement_token2] = ACTIONS(5408),
    [aux_sym_implicit_statement_token1] = ACTIONS(5408),
    [aux_sym_implicit_statement_token3] = ACTIONS(5408),
    [aux_sym_implicit_statement_token4] = ACTIONS(5408),
    [aux_sym_save_statement_token1] = ACTIONS(5408),
    [aux_sym_private_statement_token1] = ACTIONS(5408),
    [aux_sym_public_statement_token1] = ACTIONS(5408),
    [aux_sym_namelist_statement_token1] = ACTIONS(5408),
    [aux_sym_common_statement_token1] = ACTIONS(5408),
    [aux_sym_import_statement_token1] = ACTIONS(5408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5408),
    [aux_sym_variable_attributes_token1] = ACTIONS(5408),
    [aux_sym_variable_attributes_token2] = ACTIONS(5408),
    [aux_sym_variable_attributes_token3] = ACTIONS(5408),
    [aux_sym_variable_attributes_token4] = ACTIONS(5408),
    [aux_sym_variable_attributes_token5] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5408),
    [aux_sym_derived_type_token1] = ACTIONS(5408),
    [aux_sym_declared_type_token1] = ACTIONS(5408),
    [aux_sym_declared_type_token2] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5408),
    [aux_sym_type_qualifier_token1] = ACTIONS(5408),
    [aux_sym_type_qualifier_token2] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5408),
    [aux_sym_stop_statement_token1] = ACTIONS(5408),
    [aux_sym_stop_statement_token2] = ACTIONS(5408),
    [aux_sym_subroutine_call_token1] = ACTIONS(5408),
    [aux_sym_keyword_statement_token1] = ACTIONS(5408),
    [aux_sym_keyword_statement_token2] = ACTIONS(5408),
    [aux_sym_keyword_statement_token3] = ACTIONS(5408),
    [aux_sym_keyword_statement_token4] = ACTIONS(5408),
    [aux_sym_keyword_statement_token6] = ACTIONS(5408),
    [aux_sym_keyword_statement_token7] = ACTIONS(5408),
    [aux_sym_include_statement_token1] = ACTIONS(5408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5408),
    [aux_sym_end_if_statement_token1] = ACTIONS(5408),
    [aux_sym_elseif_clause_token2] = ACTIONS(5408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5408),
    [aux_sym_select_case_statement_token1] = ACTIONS(5408),
    [aux_sym_select_case_statement_token3] = ACTIONS(5408),
    [aux_sym_select_type_statement_token1] = ACTIONS(5408),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5408),
    [aux_sym_associate_statement_token1] = ACTIONS(5408),
    [aux_sym_format_statement_token1] = ACTIONS(5408),
    [aux_sym_print_statement_token1] = ACTIONS(5408),
    [aux_sym_open_statement_token1] = ACTIONS(5408),
    [aux_sym_close_statement_token1] = ACTIONS(5408),
    [aux_sym_inquire_statement_token1] = ACTIONS(5408),
    [aux_sym_enum_statement_token1] = ACTIONS(5408),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5408),
    [aux_sym_file_position_statement_token1] = ACTIONS(5408),
    [aux_sym_file_position_statement_token2] = ACTIONS(5408),
    [aux_sym_file_position_statement_token3] = ACTIONS(5408),
    [aux_sym_file_position_statement_token4] = ACTIONS(5408),
    [aux_sym_allocate_statement_token1] = ACTIONS(5408),
    [aux_sym_entry_statement_token1] = ACTIONS(5408),
    [aux_sym_assign_statement_token1] = ACTIONS(5408),
    [aux_sym_logical_expression_token5] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [aux_sym_boolean_literal_token1] = ACTIONS(5410),
    [aux_sym_boolean_literal_token2] = ACTIONS(5410),
    [aux_sym_null_literal_token1] = ACTIONS(5408),
    [aux_sym_coarray_statement_token1] = ACTIONS(5408),
    [aux_sym_coarray_statement_token2] = ACTIONS(5408),
    [aux_sym_coarray_statement_token6] = ACTIONS(5408),
    [aux_sym_coarray_statement_token8] = ACTIONS(5408),
    [aux_sym_coarray_statement_token11] = ACTIONS(5408),
    [aux_sym_coarray_statement_token12] = ACTIONS(5408),
    [aux_sym_coarray_statement_token13] = ACTIONS(5408),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5408),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5408),
    [aux_sym_identifier_token1] = ACTIONS(5408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5410),
    [sym__float_literal] = ACTIONS(5410),
    [sym__boz_literal] = ACTIONS(5410),
    [sym__string_literal] = ACTIONS(5410),
    [sym__string_literal_kind] = ACTIONS(5410),
  },
  [1130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5420),
    [aux_sym_end_program_statement_token1] = ACTIONS(5420),
    [aux_sym_end_program_statement_token2] = ACTIONS(5420),
    [aux_sym_module_statement_token1] = ACTIONS(5420),
    [aux_sym_submodule_statement_token1] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [aux_sym_interface_statement_token1] = ACTIONS(5420),
    [aux_sym_block_data_statement_token1] = ACTIONS(5420),
    [aux_sym_block_data_statement_token2] = ACTIONS(5420),
    [aux_sym_block_data_statement_token3] = ACTIONS(5420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5420),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5420),
    [aux_sym_function_statement_token1] = ACTIONS(5420),
    [aux_sym_language_binding_token1] = ACTIONS(5420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5420),
    [aux_sym_contains_statement_token1] = ACTIONS(5420),
    [aux_sym_use_statement_token1] = ACTIONS(5420),
    [aux_sym_use_statement_token2] = ACTIONS(5420),
    [aux_sym_implicit_statement_token1] = ACTIONS(5420),
    [aux_sym_implicit_statement_token3] = ACTIONS(5420),
    [aux_sym_implicit_statement_token4] = ACTIONS(5420),
    [aux_sym_save_statement_token1] = ACTIONS(5420),
    [aux_sym_private_statement_token1] = ACTIONS(5420),
    [aux_sym_public_statement_token1] = ACTIONS(5420),
    [aux_sym_namelist_statement_token1] = ACTIONS(5420),
    [aux_sym_common_statement_token1] = ACTIONS(5420),
    [aux_sym_import_statement_token1] = ACTIONS(5420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5420),
    [aux_sym_variable_attributes_token1] = ACTIONS(5420),
    [aux_sym_variable_attributes_token2] = ACTIONS(5420),
    [aux_sym_variable_attributes_token3] = ACTIONS(5420),
    [aux_sym_variable_attributes_token4] = ACTIONS(5420),
    [aux_sym_variable_attributes_token5] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5420),
    [aux_sym_derived_type_token1] = ACTIONS(5420),
    [aux_sym_declared_type_token1] = ACTIONS(5420),
    [aux_sym_declared_type_token2] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5420),
    [aux_sym_type_qualifier_token1] = ACTIONS(5420),
    [aux_sym_type_qualifier_token2] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5420),
    [aux_sym_stop_statement_token1] = ACTIONS(5420),
    [aux_sym_stop_statement_token2] = ACTIONS(5420),
    [aux_sym_subroutine_call_token1] = ACTIONS(5420),
    [aux_sym_keyword_statement_token1] = ACTIONS(5420),
    [aux_sym_keyword_statement_token2] = ACTIONS(5420),
    [aux_sym_keyword_statement_token3] = ACTIONS(5420),
    [aux_sym_keyword_statement_token4] = ACTIONS(5420),
    [aux_sym_keyword_statement_token6] = ACTIONS(5420),
    [aux_sym_keyword_statement_token7] = ACTIONS(5420),
    [aux_sym_include_statement_token1] = ACTIONS(5420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5420),
    [aux_sym_end_if_statement_token1] = ACTIONS(5420),
    [aux_sym_elseif_clause_token2] = ACTIONS(5420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5420),
    [aux_sym_select_case_statement_token1] = ACTIONS(5420),
    [aux_sym_select_case_statement_token3] = ACTIONS(5420),
    [aux_sym_select_type_statement_token1] = ACTIONS(5420),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5420),
    [aux_sym_associate_statement_token1] = ACTIONS(5420),
    [aux_sym_format_statement_token1] = ACTIONS(5420),
    [aux_sym_print_statement_token1] = ACTIONS(5420),
    [aux_sym_open_statement_token1] = ACTIONS(5420),
    [aux_sym_close_statement_token1] = ACTIONS(5420),
    [aux_sym_inquire_statement_token1] = ACTIONS(5420),
    [aux_sym_enum_statement_token1] = ACTIONS(5420),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5420),
    [aux_sym_file_position_statement_token1] = ACTIONS(5420),
    [aux_sym_file_position_statement_token2] = ACTIONS(5420),
    [aux_sym_file_position_statement_token3] = ACTIONS(5420),
    [aux_sym_file_position_statement_token4] = ACTIONS(5420),
    [aux_sym_allocate_statement_token1] = ACTIONS(5420),
    [aux_sym_entry_statement_token1] = ACTIONS(5420),
    [aux_sym_assign_statement_token1] = ACTIONS(5420),
    [aux_sym_logical_expression_token5] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [aux_sym_boolean_literal_token1] = ACTIONS(5422),
    [aux_sym_boolean_literal_token2] = ACTIONS(5422),
    [aux_sym_null_literal_token1] = ACTIONS(5420),
    [aux_sym_coarray_statement_token1] = ACTIONS(5420),
    [aux_sym_coarray_statement_token2] = ACTIONS(5420),
    [aux_sym_coarray_statement_token6] = ACTIONS(5420),
    [aux_sym_coarray_statement_token8] = ACTIONS(5420),
    [aux_sym_coarray_statement_token11] = ACTIONS(5420),
    [aux_sym_coarray_statement_token12] = ACTIONS(5420),
    [aux_sym_coarray_statement_token13] = ACTIONS(5420),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5420),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5420),
    [aux_sym_identifier_token1] = ACTIONS(5420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5422),
    [sym__float_literal] = ACTIONS(5422),
    [sym__boz_literal] = ACTIONS(5422),
    [sym__string_literal] = ACTIONS(5422),
    [sym__string_literal_kind] = ACTIONS(5422),
  },
  [1131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5424),
    [aux_sym_end_program_statement_token1] = ACTIONS(5424),
    [aux_sym_end_program_statement_token2] = ACTIONS(5424),
    [aux_sym_module_statement_token1] = ACTIONS(5424),
    [aux_sym_submodule_statement_token1] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [aux_sym_interface_statement_token1] = ACTIONS(5424),
    [aux_sym_block_data_statement_token1] = ACTIONS(5424),
    [aux_sym_block_data_statement_token2] = ACTIONS(5424),
    [aux_sym_block_data_statement_token3] = ACTIONS(5424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5424),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5424),
    [aux_sym_function_statement_token1] = ACTIONS(5424),
    [aux_sym_language_binding_token1] = ACTIONS(5424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5424),
    [aux_sym_contains_statement_token1] = ACTIONS(5424),
    [aux_sym_use_statement_token1] = ACTIONS(5424),
    [aux_sym_use_statement_token2] = ACTIONS(5424),
    [aux_sym_implicit_statement_token1] = ACTIONS(5424),
    [aux_sym_implicit_statement_token3] = ACTIONS(5424),
    [aux_sym_implicit_statement_token4] = ACTIONS(5424),
    [aux_sym_save_statement_token1] = ACTIONS(5424),
    [aux_sym_private_statement_token1] = ACTIONS(5424),
    [aux_sym_public_statement_token1] = ACTIONS(5424),
    [aux_sym_namelist_statement_token1] = ACTIONS(5424),
    [aux_sym_common_statement_token1] = ACTIONS(5424),
    [aux_sym_import_statement_token1] = ACTIONS(5424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5424),
    [aux_sym_variable_attributes_token1] = ACTIONS(5424),
    [aux_sym_variable_attributes_token2] = ACTIONS(5424),
    [aux_sym_variable_attributes_token3] = ACTIONS(5424),
    [aux_sym_variable_attributes_token4] = ACTIONS(5424),
    [aux_sym_variable_attributes_token5] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5424),
    [aux_sym_derived_type_token1] = ACTIONS(5424),
    [aux_sym_declared_type_token1] = ACTIONS(5424),
    [aux_sym_declared_type_token2] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5424),
    [aux_sym_type_qualifier_token1] = ACTIONS(5424),
    [aux_sym_type_qualifier_token2] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5424),
    [aux_sym_stop_statement_token1] = ACTIONS(5424),
    [aux_sym_stop_statement_token2] = ACTIONS(5424),
    [aux_sym_subroutine_call_token1] = ACTIONS(5424),
    [aux_sym_keyword_statement_token1] = ACTIONS(5424),
    [aux_sym_keyword_statement_token2] = ACTIONS(5424),
    [aux_sym_keyword_statement_token3] = ACTIONS(5424),
    [aux_sym_keyword_statement_token4] = ACTIONS(5424),
    [aux_sym_keyword_statement_token6] = ACTIONS(5424),
    [aux_sym_keyword_statement_token7] = ACTIONS(5424),
    [aux_sym_include_statement_token1] = ACTIONS(5424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5424),
    [aux_sym_end_if_statement_token1] = ACTIONS(5424),
    [aux_sym_elseif_clause_token2] = ACTIONS(5424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5424),
    [aux_sym_select_case_statement_token1] = ACTIONS(5424),
    [aux_sym_select_case_statement_token3] = ACTIONS(5424),
    [aux_sym_select_type_statement_token1] = ACTIONS(5424),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5424),
    [aux_sym_associate_statement_token1] = ACTIONS(5424),
    [aux_sym_format_statement_token1] = ACTIONS(5424),
    [aux_sym_print_statement_token1] = ACTIONS(5424),
    [aux_sym_open_statement_token1] = ACTIONS(5424),
    [aux_sym_close_statement_token1] = ACTIONS(5424),
    [aux_sym_inquire_statement_token1] = ACTIONS(5424),
    [aux_sym_enum_statement_token1] = ACTIONS(5424),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5424),
    [aux_sym_file_position_statement_token1] = ACTIONS(5424),
    [aux_sym_file_position_statement_token2] = ACTIONS(5424),
    [aux_sym_file_position_statement_token3] = ACTIONS(5424),
    [aux_sym_file_position_statement_token4] = ACTIONS(5424),
    [aux_sym_allocate_statement_token1] = ACTIONS(5424),
    [aux_sym_entry_statement_token1] = ACTIONS(5424),
    [aux_sym_assign_statement_token1] = ACTIONS(5424),
    [aux_sym_logical_expression_token5] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [aux_sym_boolean_literal_token1] = ACTIONS(5426),
    [aux_sym_boolean_literal_token2] = ACTIONS(5426),
    [aux_sym_null_literal_token1] = ACTIONS(5424),
    [aux_sym_coarray_statement_token1] = ACTIONS(5424),
    [aux_sym_coarray_statement_token2] = ACTIONS(5424),
    [aux_sym_coarray_statement_token6] = ACTIONS(5424),
    [aux_sym_coarray_statement_token8] = ACTIONS(5424),
    [aux_sym_coarray_statement_token11] = ACTIONS(5424),
    [aux_sym_coarray_statement_token12] = ACTIONS(5424),
    [aux_sym_coarray_statement_token13] = ACTIONS(5424),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5424),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5424),
    [aux_sym_identifier_token1] = ACTIONS(5424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5426),
    [sym__float_literal] = ACTIONS(5426),
    [sym__boz_literal] = ACTIONS(5426),
    [sym__string_literal] = ACTIONS(5426),
    [sym__string_literal_kind] = ACTIONS(5426),
  },
  [1132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5428),
    [aux_sym_end_program_statement_token1] = ACTIONS(5428),
    [aux_sym_end_program_statement_token2] = ACTIONS(5428),
    [aux_sym_module_statement_token1] = ACTIONS(5428),
    [aux_sym_submodule_statement_token1] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [aux_sym_interface_statement_token1] = ACTIONS(5428),
    [aux_sym_block_data_statement_token1] = ACTIONS(5428),
    [aux_sym_block_data_statement_token2] = ACTIONS(5428),
    [aux_sym_block_data_statement_token3] = ACTIONS(5428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5428),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5428),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5428),
    [aux_sym_function_statement_token1] = ACTIONS(5428),
    [aux_sym_language_binding_token1] = ACTIONS(5428),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5428),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5428),
    [aux_sym_contains_statement_token1] = ACTIONS(5428),
    [aux_sym_use_statement_token1] = ACTIONS(5428),
    [aux_sym_use_statement_token2] = ACTIONS(5428),
    [aux_sym_implicit_statement_token1] = ACTIONS(5428),
    [aux_sym_implicit_statement_token3] = ACTIONS(5428),
    [aux_sym_implicit_statement_token4] = ACTIONS(5428),
    [aux_sym_save_statement_token1] = ACTIONS(5428),
    [aux_sym_private_statement_token1] = ACTIONS(5428),
    [aux_sym_public_statement_token1] = ACTIONS(5428),
    [aux_sym_namelist_statement_token1] = ACTIONS(5428),
    [aux_sym_common_statement_token1] = ACTIONS(5428),
    [aux_sym_import_statement_token1] = ACTIONS(5428),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5428),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5428),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5428),
    [aux_sym_variable_attributes_token1] = ACTIONS(5428),
    [aux_sym_variable_attributes_token2] = ACTIONS(5428),
    [aux_sym_variable_attributes_token3] = ACTIONS(5428),
    [aux_sym_variable_attributes_token4] = ACTIONS(5428),
    [aux_sym_variable_attributes_token5] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5428),
    [aux_sym_derived_type_token1] = ACTIONS(5428),
    [aux_sym_declared_type_token1] = ACTIONS(5428),
    [aux_sym_declared_type_token2] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5428),
    [aux_sym_type_qualifier_token1] = ACTIONS(5428),
    [aux_sym_type_qualifier_token2] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5428),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5428),
    [aux_sym_stop_statement_token1] = ACTIONS(5428),
    [aux_sym_stop_statement_token2] = ACTIONS(5428),
    [aux_sym_subroutine_call_token1] = ACTIONS(5428),
    [aux_sym_keyword_statement_token1] = ACTIONS(5428),
    [aux_sym_keyword_statement_token2] = ACTIONS(5428),
    [aux_sym_keyword_statement_token3] = ACTIONS(5428),
    [aux_sym_keyword_statement_token4] = ACTIONS(5428),
    [aux_sym_keyword_statement_token6] = ACTIONS(5428),
    [aux_sym_keyword_statement_token7] = ACTIONS(5428),
    [aux_sym_include_statement_token1] = ACTIONS(5428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5428),
    [aux_sym_end_if_statement_token1] = ACTIONS(5428),
    [aux_sym_elseif_clause_token2] = ACTIONS(5428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5428),
    [aux_sym_select_case_statement_token1] = ACTIONS(5428),
    [aux_sym_select_case_statement_token3] = ACTIONS(5428),
    [aux_sym_select_type_statement_token1] = ACTIONS(5428),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5428),
    [aux_sym_associate_statement_token1] = ACTIONS(5428),
    [aux_sym_format_statement_token1] = ACTIONS(5428),
    [aux_sym_print_statement_token1] = ACTIONS(5428),
    [aux_sym_open_statement_token1] = ACTIONS(5428),
    [aux_sym_close_statement_token1] = ACTIONS(5428),
    [aux_sym_inquire_statement_token1] = ACTIONS(5428),
    [aux_sym_enum_statement_token1] = ACTIONS(5428),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5428),
    [aux_sym_file_position_statement_token1] = ACTIONS(5428),
    [aux_sym_file_position_statement_token2] = ACTIONS(5428),
    [aux_sym_file_position_statement_token3] = ACTIONS(5428),
    [aux_sym_file_position_statement_token4] = ACTIONS(5428),
    [aux_sym_allocate_statement_token1] = ACTIONS(5428),
    [aux_sym_entry_statement_token1] = ACTIONS(5428),
    [aux_sym_assign_statement_token1] = ACTIONS(5428),
    [aux_sym_logical_expression_token5] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [aux_sym_boolean_literal_token1] = ACTIONS(5430),
    [aux_sym_boolean_literal_token2] = ACTIONS(5430),
    [aux_sym_null_literal_token1] = ACTIONS(5428),
    [aux_sym_coarray_statement_token1] = ACTIONS(5428),
    [aux_sym_coarray_statement_token2] = ACTIONS(5428),
    [aux_sym_coarray_statement_token6] = ACTIONS(5428),
    [aux_sym_coarray_statement_token8] = ACTIONS(5428),
    [aux_sym_coarray_statement_token11] = ACTIONS(5428),
    [aux_sym_coarray_statement_token12] = ACTIONS(5428),
    [aux_sym_coarray_statement_token13] = ACTIONS(5428),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5428),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5428),
    [aux_sym_identifier_token1] = ACTIONS(5428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5430),
    [sym__float_literal] = ACTIONS(5430),
    [sym__boz_literal] = ACTIONS(5430),
    [sym__string_literal] = ACTIONS(5430),
    [sym__string_literal_kind] = ACTIONS(5430),
  },
  [1133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5180),
    [aux_sym_preproc_def_token1] = ACTIONS(5180),
    [aux_sym_preproc_if_token1] = ACTIONS(5180),
    [aux_sym_preproc_if_token2] = ACTIONS(5180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5180),
    [sym_preproc_directive] = ACTIONS(5180),
    [anon_sym_LPAREN2] = ACTIONS(5180),
    [anon_sym_PLUS] = ACTIONS(5182),
    [anon_sym_DASH] = ACTIONS(5182),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5180),
    [aux_sym_end_program_statement_token1] = ACTIONS(5180),
    [aux_sym_end_program_statement_token2] = ACTIONS(5180),
    [aux_sym_module_statement_token1] = ACTIONS(5180),
    [aux_sym_submodule_statement_token1] = ACTIONS(5180),
    [anon_sym_SEMI] = ACTIONS(5182),
    [aux_sym_interface_statement_token1] = ACTIONS(5180),
    [aux_sym_block_data_statement_token1] = ACTIONS(5180),
    [aux_sym_block_data_statement_token2] = ACTIONS(5180),
    [aux_sym_block_data_statement_token3] = ACTIONS(5180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5180),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5180),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5180),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5180),
    [aux_sym_function_statement_token1] = ACTIONS(5180),
    [aux_sym_language_binding_token1] = ACTIONS(5180),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5180),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5180),
    [aux_sym_contains_statement_token1] = ACTIONS(5180),
    [aux_sym_use_statement_token1] = ACTIONS(5180),
    [aux_sym_use_statement_token2] = ACTIONS(5180),
    [aux_sym_implicit_statement_token1] = ACTIONS(5180),
    [aux_sym_implicit_statement_token3] = ACTIONS(5180),
    [aux_sym_implicit_statement_token4] = ACTIONS(5180),
    [aux_sym_save_statement_token1] = ACTIONS(5180),
    [aux_sym_private_statement_token1] = ACTIONS(5180),
    [aux_sym_public_statement_token1] = ACTIONS(5180),
    [aux_sym_namelist_statement_token1] = ACTIONS(5180),
    [aux_sym_common_statement_token1] = ACTIONS(5180),
    [aux_sym_import_statement_token1] = ACTIONS(5180),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5180),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5180),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5180),
    [aux_sym_variable_attributes_token1] = ACTIONS(5180),
    [aux_sym_variable_attributes_token2] = ACTIONS(5180),
    [aux_sym_variable_attributes_token3] = ACTIONS(5180),
    [aux_sym_variable_attributes_token4] = ACTIONS(5180),
    [aux_sym_variable_attributes_token5] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5180),
    [aux_sym_derived_type_token1] = ACTIONS(5180),
    [aux_sym_declared_type_token1] = ACTIONS(5180),
    [aux_sym_declared_type_token2] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5180),
    [aux_sym_type_qualifier_token1] = ACTIONS(5180),
    [aux_sym_type_qualifier_token2] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5180),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5180),
    [aux_sym_stop_statement_token1] = ACTIONS(5180),
    [aux_sym_stop_statement_token2] = ACTIONS(5180),
    [aux_sym_subroutine_call_token1] = ACTIONS(5180),
    [aux_sym_keyword_statement_token1] = ACTIONS(5180),
    [aux_sym_keyword_statement_token2] = ACTIONS(5180),
    [aux_sym_keyword_statement_token3] = ACTIONS(5180),
    [aux_sym_keyword_statement_token4] = ACTIONS(5180),
    [aux_sym_keyword_statement_token6] = ACTIONS(5180),
    [aux_sym_keyword_statement_token7] = ACTIONS(5180),
    [aux_sym_include_statement_token1] = ACTIONS(5180),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5180),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5180),
    [aux_sym_end_if_statement_token1] = ACTIONS(5180),
    [aux_sym_elseif_clause_token2] = ACTIONS(5180),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5180),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5180),
    [aux_sym_select_case_statement_token1] = ACTIONS(5180),
    [aux_sym_select_case_statement_token3] = ACTIONS(5180),
    [aux_sym_select_type_statement_token1] = ACTIONS(5180),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5180),
    [aux_sym_associate_statement_token1] = ACTIONS(5180),
    [aux_sym_format_statement_token1] = ACTIONS(5180),
    [aux_sym_print_statement_token1] = ACTIONS(5180),
    [aux_sym_open_statement_token1] = ACTIONS(5180),
    [aux_sym_close_statement_token1] = ACTIONS(5180),
    [aux_sym_inquire_statement_token1] = ACTIONS(5180),
    [aux_sym_enum_statement_token1] = ACTIONS(5180),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5180),
    [aux_sym_file_position_statement_token1] = ACTIONS(5180),
    [aux_sym_file_position_statement_token2] = ACTIONS(5180),
    [aux_sym_file_position_statement_token3] = ACTIONS(5180),
    [aux_sym_file_position_statement_token4] = ACTIONS(5180),
    [aux_sym_allocate_statement_token1] = ACTIONS(5180),
    [aux_sym_entry_statement_token1] = ACTIONS(5180),
    [aux_sym_assign_statement_token1] = ACTIONS(5180),
    [aux_sym_logical_expression_token5] = ACTIONS(5182),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5182),
    [anon_sym_LBRACK] = ACTIONS(5182),
    [aux_sym_boolean_literal_token1] = ACTIONS(5182),
    [aux_sym_boolean_literal_token2] = ACTIONS(5182),
    [aux_sym_null_literal_token1] = ACTIONS(5180),
    [aux_sym_coarray_statement_token1] = ACTIONS(5180),
    [aux_sym_coarray_statement_token2] = ACTIONS(5180),
    [aux_sym_coarray_statement_token6] = ACTIONS(5180),
    [aux_sym_coarray_statement_token8] = ACTIONS(5180),
    [aux_sym_coarray_statement_token11] = ACTIONS(5180),
    [aux_sym_coarray_statement_token12] = ACTIONS(5180),
    [aux_sym_coarray_statement_token13] = ACTIONS(5180),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5180),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5180),
    [aux_sym_identifier_token1] = ACTIONS(5180),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5182),
    [sym__float_literal] = ACTIONS(5182),
    [sym__boz_literal] = ACTIONS(5182),
    [sym__string_literal] = ACTIONS(5182),
    [sym__string_literal_kind] = ACTIONS(5182),
  },
  [1134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [aux_sym_module_statement_token1] = ACTIONS(5188),
    [aux_sym_submodule_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_block_data_statement_token3] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_function_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [aux_sym_boolean_literal_token1] = ACTIONS(5190),
    [aux_sym_boolean_literal_token2] = ACTIONS(5190),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5190),
    [sym__float_literal] = ACTIONS(5190),
    [sym__boz_literal] = ACTIONS(5190),
    [sym__string_literal] = ACTIONS(5190),
    [sym__string_literal_kind] = ACTIONS(5190),
  },
  [1135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5198),
    [anon_sym_DASH] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5196),
    [aux_sym_end_program_statement_token1] = ACTIONS(5196),
    [aux_sym_end_program_statement_token2] = ACTIONS(5196),
    [aux_sym_module_statement_token1] = ACTIONS(5196),
    [aux_sym_submodule_statement_token1] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5198),
    [aux_sym_interface_statement_token1] = ACTIONS(5196),
    [aux_sym_block_data_statement_token1] = ACTIONS(5196),
    [aux_sym_block_data_statement_token2] = ACTIONS(5196),
    [aux_sym_block_data_statement_token3] = ACTIONS(5196),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5196),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5196),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5196),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5196),
    [aux_sym_function_statement_token1] = ACTIONS(5196),
    [aux_sym_language_binding_token1] = ACTIONS(5196),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5196),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5196),
    [aux_sym_contains_statement_token1] = ACTIONS(5196),
    [aux_sym_use_statement_token1] = ACTIONS(5196),
    [aux_sym_use_statement_token2] = ACTIONS(5196),
    [aux_sym_implicit_statement_token1] = ACTIONS(5196),
    [aux_sym_implicit_statement_token3] = ACTIONS(5196),
    [aux_sym_implicit_statement_token4] = ACTIONS(5196),
    [aux_sym_save_statement_token1] = ACTIONS(5196),
    [aux_sym_private_statement_token1] = ACTIONS(5196),
    [aux_sym_public_statement_token1] = ACTIONS(5196),
    [aux_sym_namelist_statement_token1] = ACTIONS(5196),
    [aux_sym_common_statement_token1] = ACTIONS(5196),
    [aux_sym_import_statement_token1] = ACTIONS(5196),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5196),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5196),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5196),
    [aux_sym_variable_attributes_token1] = ACTIONS(5196),
    [aux_sym_variable_attributes_token2] = ACTIONS(5196),
    [aux_sym_variable_attributes_token3] = ACTIONS(5196),
    [aux_sym_variable_attributes_token4] = ACTIONS(5196),
    [aux_sym_variable_attributes_token5] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5196),
    [aux_sym_derived_type_token1] = ACTIONS(5196),
    [aux_sym_declared_type_token1] = ACTIONS(5196),
    [aux_sym_declared_type_token2] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5196),
    [aux_sym_type_qualifier_token1] = ACTIONS(5196),
    [aux_sym_type_qualifier_token2] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5196),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5196),
    [aux_sym_stop_statement_token1] = ACTIONS(5196),
    [aux_sym_stop_statement_token2] = ACTIONS(5196),
    [aux_sym_subroutine_call_token1] = ACTIONS(5196),
    [aux_sym_keyword_statement_token1] = ACTIONS(5196),
    [aux_sym_keyword_statement_token2] = ACTIONS(5196),
    [aux_sym_keyword_statement_token3] = ACTIONS(5196),
    [aux_sym_keyword_statement_token4] = ACTIONS(5196),
    [aux_sym_keyword_statement_token6] = ACTIONS(5196),
    [aux_sym_keyword_statement_token7] = ACTIONS(5196),
    [aux_sym_include_statement_token1] = ACTIONS(5196),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5196),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5196),
    [aux_sym_end_if_statement_token1] = ACTIONS(5196),
    [aux_sym_elseif_clause_token2] = ACTIONS(5196),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5196),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5196),
    [aux_sym_select_case_statement_token1] = ACTIONS(5196),
    [aux_sym_select_case_statement_token3] = ACTIONS(5196),
    [aux_sym_select_type_statement_token1] = ACTIONS(5196),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5196),
    [aux_sym_associate_statement_token1] = ACTIONS(5196),
    [aux_sym_format_statement_token1] = ACTIONS(5196),
    [aux_sym_print_statement_token1] = ACTIONS(5196),
    [aux_sym_open_statement_token1] = ACTIONS(5196),
    [aux_sym_close_statement_token1] = ACTIONS(5196),
    [aux_sym_inquire_statement_token1] = ACTIONS(5196),
    [aux_sym_enum_statement_token1] = ACTIONS(5196),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5196),
    [aux_sym_file_position_statement_token1] = ACTIONS(5196),
    [aux_sym_file_position_statement_token2] = ACTIONS(5196),
    [aux_sym_file_position_statement_token3] = ACTIONS(5196),
    [aux_sym_file_position_statement_token4] = ACTIONS(5196),
    [aux_sym_allocate_statement_token1] = ACTIONS(5196),
    [aux_sym_entry_statement_token1] = ACTIONS(5196),
    [aux_sym_assign_statement_token1] = ACTIONS(5196),
    [aux_sym_logical_expression_token5] = ACTIONS(5198),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5198),
    [anon_sym_LBRACK] = ACTIONS(5198),
    [aux_sym_boolean_literal_token1] = ACTIONS(5198),
    [aux_sym_boolean_literal_token2] = ACTIONS(5198),
    [aux_sym_null_literal_token1] = ACTIONS(5196),
    [aux_sym_coarray_statement_token1] = ACTIONS(5196),
    [aux_sym_coarray_statement_token2] = ACTIONS(5196),
    [aux_sym_coarray_statement_token6] = ACTIONS(5196),
    [aux_sym_coarray_statement_token8] = ACTIONS(5196),
    [aux_sym_coarray_statement_token11] = ACTIONS(5196),
    [aux_sym_coarray_statement_token12] = ACTIONS(5196),
    [aux_sym_coarray_statement_token13] = ACTIONS(5196),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5196),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5196),
    [aux_sym_identifier_token1] = ACTIONS(5196),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5198),
    [sym__float_literal] = ACTIONS(5198),
    [sym__boz_literal] = ACTIONS(5198),
    [sym__string_literal] = ACTIONS(5198),
    [sym__string_literal_kind] = ACTIONS(5198),
  },
  [1136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5200),
    [aux_sym_preproc_def_token1] = ACTIONS(5200),
    [aux_sym_preproc_if_token1] = ACTIONS(5200),
    [aux_sym_preproc_if_token2] = ACTIONS(5200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5200),
    [sym_preproc_directive] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5200),
    [aux_sym_end_program_statement_token1] = ACTIONS(5200),
    [aux_sym_end_program_statement_token2] = ACTIONS(5200),
    [aux_sym_module_statement_token1] = ACTIONS(5200),
    [aux_sym_submodule_statement_token1] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5202),
    [aux_sym_interface_statement_token1] = ACTIONS(5200),
    [aux_sym_block_data_statement_token1] = ACTIONS(5200),
    [aux_sym_block_data_statement_token2] = ACTIONS(5200),
    [aux_sym_block_data_statement_token3] = ACTIONS(5200),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5200),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5200),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5200),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5200),
    [aux_sym_function_statement_token1] = ACTIONS(5200),
    [aux_sym_language_binding_token1] = ACTIONS(5200),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5200),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5200),
    [aux_sym_contains_statement_token1] = ACTIONS(5200),
    [aux_sym_use_statement_token1] = ACTIONS(5200),
    [aux_sym_use_statement_token2] = ACTIONS(5200),
    [aux_sym_implicit_statement_token1] = ACTIONS(5200),
    [aux_sym_implicit_statement_token3] = ACTIONS(5200),
    [aux_sym_implicit_statement_token4] = ACTIONS(5200),
    [aux_sym_save_statement_token1] = ACTIONS(5200),
    [aux_sym_private_statement_token1] = ACTIONS(5200),
    [aux_sym_public_statement_token1] = ACTIONS(5200),
    [aux_sym_namelist_statement_token1] = ACTIONS(5200),
    [aux_sym_common_statement_token1] = ACTIONS(5200),
    [aux_sym_import_statement_token1] = ACTIONS(5200),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5200),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5200),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5200),
    [aux_sym_variable_attributes_token1] = ACTIONS(5200),
    [aux_sym_variable_attributes_token2] = ACTIONS(5200),
    [aux_sym_variable_attributes_token3] = ACTIONS(5200),
    [aux_sym_variable_attributes_token4] = ACTIONS(5200),
    [aux_sym_variable_attributes_token5] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5200),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5200),
    [aux_sym_derived_type_token1] = ACTIONS(5200),
    [aux_sym_declared_type_token1] = ACTIONS(5200),
    [aux_sym_declared_type_token2] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5200),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5200),
    [aux_sym_type_qualifier_token1] = ACTIONS(5200),
    [aux_sym_type_qualifier_token2] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5200),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5200),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5200),
    [aux_sym_stop_statement_token1] = ACTIONS(5200),
    [aux_sym_stop_statement_token2] = ACTIONS(5200),
    [aux_sym_subroutine_call_token1] = ACTIONS(5200),
    [aux_sym_keyword_statement_token1] = ACTIONS(5200),
    [aux_sym_keyword_statement_token2] = ACTIONS(5200),
    [aux_sym_keyword_statement_token3] = ACTIONS(5200),
    [aux_sym_keyword_statement_token4] = ACTIONS(5200),
    [aux_sym_keyword_statement_token6] = ACTIONS(5200),
    [aux_sym_keyword_statement_token7] = ACTIONS(5200),
    [aux_sym_include_statement_token1] = ACTIONS(5200),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5200),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5200),
    [aux_sym_end_if_statement_token1] = ACTIONS(5200),
    [aux_sym_elseif_clause_token2] = ACTIONS(5200),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5200),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5200),
    [aux_sym_select_case_statement_token1] = ACTIONS(5200),
    [aux_sym_select_case_statement_token3] = ACTIONS(5200),
    [aux_sym_select_type_statement_token1] = ACTIONS(5200),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5200),
    [aux_sym_associate_statement_token1] = ACTIONS(5200),
    [aux_sym_format_statement_token1] = ACTIONS(5200),
    [aux_sym_print_statement_token1] = ACTIONS(5200),
    [aux_sym_open_statement_token1] = ACTIONS(5200),
    [aux_sym_close_statement_token1] = ACTIONS(5200),
    [aux_sym_inquire_statement_token1] = ACTIONS(5200),
    [aux_sym_enum_statement_token1] = ACTIONS(5200),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5200),
    [aux_sym_file_position_statement_token1] = ACTIONS(5200),
    [aux_sym_file_position_statement_token2] = ACTIONS(5200),
    [aux_sym_file_position_statement_token3] = ACTIONS(5200),
    [aux_sym_file_position_statement_token4] = ACTIONS(5200),
    [aux_sym_allocate_statement_token1] = ACTIONS(5200),
    [aux_sym_entry_statement_token1] = ACTIONS(5200),
    [aux_sym_assign_statement_token1] = ACTIONS(5200),
    [aux_sym_logical_expression_token5] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [aux_sym_boolean_literal_token1] = ACTIONS(5202),
    [aux_sym_boolean_literal_token2] = ACTIONS(5202),
    [aux_sym_null_literal_token1] = ACTIONS(5200),
    [aux_sym_coarray_statement_token1] = ACTIONS(5200),
    [aux_sym_coarray_statement_token2] = ACTIONS(5200),
    [aux_sym_coarray_statement_token6] = ACTIONS(5200),
    [aux_sym_coarray_statement_token8] = ACTIONS(5200),
    [aux_sym_coarray_statement_token11] = ACTIONS(5200),
    [aux_sym_coarray_statement_token12] = ACTIONS(5200),
    [aux_sym_coarray_statement_token13] = ACTIONS(5200),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5200),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5200),
    [aux_sym_identifier_token1] = ACTIONS(5200),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5202),
    [sym__float_literal] = ACTIONS(5202),
    [sym__boz_literal] = ACTIONS(5202),
    [sym__string_literal] = ACTIONS(5202),
    [sym__string_literal_kind] = ACTIONS(5202),
  },
  [1137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [aux_sym_module_statement_token1] = ACTIONS(5204),
    [aux_sym_submodule_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5206),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_block_data_statement_token3] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_function_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5206),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5206),
    [anon_sym_LBRACK] = ACTIONS(5206),
    [aux_sym_boolean_literal_token1] = ACTIONS(5206),
    [aux_sym_boolean_literal_token2] = ACTIONS(5206),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5206),
    [sym__float_literal] = ACTIONS(5206),
    [sym__boz_literal] = ACTIONS(5206),
    [sym__string_literal] = ACTIONS(5206),
    [sym__string_literal_kind] = ACTIONS(5206),
  },
  [1138] = {
    [ts_builtin_sym_end] = ACTIONS(5214),
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token2] = ACTIONS(5212),
    [aux_sym_module_statement_token1] = ACTIONS(5212),
    [aux_sym_submodule_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_block_data_statement_token3] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_function_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1139] = {
    [ts_builtin_sym_end] = ACTIONS(5128),
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1142] = {
    [ts_builtin_sym_end] = ACTIONS(5418),
    [aux_sym_preproc_include_token1] = ACTIONS(5416),
    [aux_sym_preproc_def_token1] = ACTIONS(5416),
    [aux_sym_preproc_if_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5416),
    [sym_preproc_directive] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5416),
    [anon_sym_PLUS] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5416),
    [aux_sym_end_program_statement_token1] = ACTIONS(5416),
    [aux_sym_end_program_statement_token2] = ACTIONS(5416),
    [aux_sym_module_statement_token1] = ACTIONS(5416),
    [aux_sym_submodule_statement_token1] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(5418),
    [aux_sym_interface_statement_token1] = ACTIONS(5416),
    [aux_sym_block_data_statement_token1] = ACTIONS(5416),
    [aux_sym_block_data_statement_token2] = ACTIONS(5416),
    [aux_sym_block_data_statement_token3] = ACTIONS(5416),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5416),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5416),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5416),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5416),
    [aux_sym_function_statement_token1] = ACTIONS(5416),
    [aux_sym_language_binding_token1] = ACTIONS(5416),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5416),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5416),
    [aux_sym_contains_statement_token1] = ACTIONS(5416),
    [aux_sym_use_statement_token1] = ACTIONS(5416),
    [aux_sym_use_statement_token2] = ACTIONS(5416),
    [aux_sym_implicit_statement_token1] = ACTIONS(5416),
    [aux_sym_implicit_statement_token3] = ACTIONS(5416),
    [aux_sym_implicit_statement_token4] = ACTIONS(5416),
    [aux_sym_save_statement_token1] = ACTIONS(5416),
    [aux_sym_private_statement_token1] = ACTIONS(5416),
    [aux_sym_public_statement_token1] = ACTIONS(5416),
    [aux_sym_namelist_statement_token1] = ACTIONS(5416),
    [aux_sym_common_statement_token1] = ACTIONS(5416),
    [aux_sym_import_statement_token1] = ACTIONS(5416),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5416),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5416),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5416),
    [aux_sym_variable_attributes_token1] = ACTIONS(5416),
    [aux_sym_variable_attributes_token2] = ACTIONS(5416),
    [aux_sym_variable_attributes_token3] = ACTIONS(5416),
    [aux_sym_variable_attributes_token4] = ACTIONS(5416),
    [aux_sym_variable_attributes_token5] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5416),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5416),
    [aux_sym_derived_type_token1] = ACTIONS(5416),
    [aux_sym_declared_type_token1] = ACTIONS(5416),
    [aux_sym_declared_type_token2] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5416),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5416),
    [aux_sym_type_qualifier_token1] = ACTIONS(5416),
    [aux_sym_type_qualifier_token2] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5416),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5416),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5416),
    [aux_sym_stop_statement_token1] = ACTIONS(5416),
    [aux_sym_stop_statement_token2] = ACTIONS(5416),
    [aux_sym_subroutine_call_token1] = ACTIONS(5416),
    [aux_sym_keyword_statement_token1] = ACTIONS(5416),
    [aux_sym_keyword_statement_token2] = ACTIONS(5416),
    [aux_sym_keyword_statement_token3] = ACTIONS(5416),
    [aux_sym_keyword_statement_token4] = ACTIONS(5416),
    [aux_sym_keyword_statement_token6] = ACTIONS(5416),
    [aux_sym_keyword_statement_token7] = ACTIONS(5416),
    [aux_sym_include_statement_token1] = ACTIONS(5416),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5416),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5416),
    [aux_sym_end_if_statement_token1] = ACTIONS(5416),
    [aux_sym_elseif_clause_token2] = ACTIONS(5416),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5416),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5416),
    [aux_sym_select_case_statement_token1] = ACTIONS(5416),
    [aux_sym_select_case_statement_token3] = ACTIONS(5416),
    [aux_sym_select_type_statement_token1] = ACTIONS(5416),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5416),
    [aux_sym_associate_statement_token1] = ACTIONS(5416),
    [aux_sym_format_statement_token1] = ACTIONS(5416),
    [aux_sym_print_statement_token1] = ACTIONS(5416),
    [aux_sym_open_statement_token1] = ACTIONS(5416),
    [aux_sym_close_statement_token1] = ACTIONS(5416),
    [aux_sym_inquire_statement_token1] = ACTIONS(5416),
    [aux_sym_enum_statement_token1] = ACTIONS(5416),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5416),
    [aux_sym_file_position_statement_token1] = ACTIONS(5416),
    [aux_sym_file_position_statement_token2] = ACTIONS(5416),
    [aux_sym_file_position_statement_token3] = ACTIONS(5416),
    [aux_sym_file_position_statement_token4] = ACTIONS(5416),
    [aux_sym_allocate_statement_token1] = ACTIONS(5416),
    [aux_sym_entry_statement_token1] = ACTIONS(5416),
    [aux_sym_assign_statement_token1] = ACTIONS(5416),
    [aux_sym_logical_expression_token5] = ACTIONS(5418),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5418),
    [anon_sym_LBRACK] = ACTIONS(5418),
    [aux_sym_boolean_literal_token1] = ACTIONS(5418),
    [aux_sym_boolean_literal_token2] = ACTIONS(5418),
    [aux_sym_null_literal_token1] = ACTIONS(5416),
    [aux_sym_coarray_statement_token1] = ACTIONS(5416),
    [aux_sym_coarray_statement_token2] = ACTIONS(5416),
    [aux_sym_coarray_statement_token6] = ACTIONS(5416),
    [aux_sym_coarray_statement_token8] = ACTIONS(5416),
    [aux_sym_coarray_statement_token11] = ACTIONS(5416),
    [aux_sym_coarray_statement_token12] = ACTIONS(5416),
    [aux_sym_coarray_statement_token13] = ACTIONS(5416),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5416),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5416),
    [aux_sym_identifier_token1] = ACTIONS(5416),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5418),
    [sym__float_literal] = ACTIONS(5418),
    [sym__boz_literal] = ACTIONS(5418),
    [sym__string_literal] = ACTIONS(5418),
    [sym__string_literal_kind] = ACTIONS(5418),
  },
  [1143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5340),
    [aux_sym_preproc_def_token1] = ACTIONS(5340),
    [aux_sym_preproc_if_token1] = ACTIONS(5340),
    [aux_sym_preproc_if_token2] = ACTIONS(5340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5340),
    [sym_preproc_directive] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_PLUS] = ACTIONS(5342),
    [anon_sym_DASH] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5340),
    [aux_sym_end_program_statement_token1] = ACTIONS(5340),
    [aux_sym_end_program_statement_token2] = ACTIONS(5340),
    [aux_sym_module_statement_token1] = ACTIONS(5340),
    [aux_sym_submodule_statement_token1] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5342),
    [aux_sym_interface_statement_token1] = ACTIONS(5340),
    [aux_sym_block_data_statement_token1] = ACTIONS(5340),
    [aux_sym_block_data_statement_token2] = ACTIONS(5340),
    [aux_sym_block_data_statement_token3] = ACTIONS(5340),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5340),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5340),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5340),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5340),
    [aux_sym_function_statement_token1] = ACTIONS(5340),
    [aux_sym_language_binding_token1] = ACTIONS(5340),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5340),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5340),
    [aux_sym_contains_statement_token1] = ACTIONS(5340),
    [aux_sym_use_statement_token1] = ACTIONS(5340),
    [aux_sym_use_statement_token2] = ACTIONS(5340),
    [aux_sym_implicit_statement_token1] = ACTIONS(5340),
    [aux_sym_implicit_statement_token3] = ACTIONS(5340),
    [aux_sym_implicit_statement_token4] = ACTIONS(5340),
    [aux_sym_save_statement_token1] = ACTIONS(5340),
    [aux_sym_private_statement_token1] = ACTIONS(5340),
    [aux_sym_public_statement_token1] = ACTIONS(5340),
    [aux_sym_namelist_statement_token1] = ACTIONS(5340),
    [aux_sym_common_statement_token1] = ACTIONS(5340),
    [aux_sym_import_statement_token1] = ACTIONS(5340),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5340),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5340),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5340),
    [aux_sym_variable_attributes_token1] = ACTIONS(5340),
    [aux_sym_variable_attributes_token2] = ACTIONS(5340),
    [aux_sym_variable_attributes_token3] = ACTIONS(5340),
    [aux_sym_variable_attributes_token4] = ACTIONS(5340),
    [aux_sym_variable_attributes_token5] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5340),
    [aux_sym_derived_type_token1] = ACTIONS(5340),
    [aux_sym_declared_type_token1] = ACTIONS(5340),
    [aux_sym_declared_type_token2] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5340),
    [aux_sym_type_qualifier_token1] = ACTIONS(5340),
    [aux_sym_type_qualifier_token2] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5340),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5340),
    [aux_sym_stop_statement_token1] = ACTIONS(5340),
    [aux_sym_stop_statement_token2] = ACTIONS(5340),
    [aux_sym_subroutine_call_token1] = ACTIONS(5340),
    [aux_sym_keyword_statement_token1] = ACTIONS(5340),
    [aux_sym_keyword_statement_token2] = ACTIONS(5340),
    [aux_sym_keyword_statement_token3] = ACTIONS(5340),
    [aux_sym_keyword_statement_token4] = ACTIONS(5340),
    [aux_sym_keyword_statement_token6] = ACTIONS(5340),
    [aux_sym_keyword_statement_token7] = ACTIONS(5340),
    [aux_sym_include_statement_token1] = ACTIONS(5340),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5340),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5340),
    [aux_sym_end_if_statement_token1] = ACTIONS(5340),
    [aux_sym_elseif_clause_token2] = ACTIONS(5340),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5340),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5340),
    [aux_sym_select_case_statement_token1] = ACTIONS(5340),
    [aux_sym_select_case_statement_token3] = ACTIONS(5340),
    [aux_sym_select_type_statement_token1] = ACTIONS(5340),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5340),
    [aux_sym_associate_statement_token1] = ACTIONS(5340),
    [aux_sym_format_statement_token1] = ACTIONS(5340),
    [aux_sym_print_statement_token1] = ACTIONS(5340),
    [aux_sym_open_statement_token1] = ACTIONS(5340),
    [aux_sym_close_statement_token1] = ACTIONS(5340),
    [aux_sym_inquire_statement_token1] = ACTIONS(5340),
    [aux_sym_enum_statement_token1] = ACTIONS(5340),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5340),
    [aux_sym_file_position_statement_token1] = ACTIONS(5340),
    [aux_sym_file_position_statement_token2] = ACTIONS(5340),
    [aux_sym_file_position_statement_token3] = ACTIONS(5340),
    [aux_sym_file_position_statement_token4] = ACTIONS(5340),
    [aux_sym_allocate_statement_token1] = ACTIONS(5340),
    [aux_sym_entry_statement_token1] = ACTIONS(5340),
    [aux_sym_assign_statement_token1] = ACTIONS(5340),
    [aux_sym_logical_expression_token5] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5340),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [aux_sym_boolean_literal_token1] = ACTIONS(5342),
    [aux_sym_boolean_literal_token2] = ACTIONS(5342),
    [aux_sym_null_literal_token1] = ACTIONS(5340),
    [aux_sym_coarray_statement_token1] = ACTIONS(5340),
    [aux_sym_coarray_statement_token2] = ACTIONS(5340),
    [aux_sym_coarray_statement_token6] = ACTIONS(5340),
    [aux_sym_coarray_statement_token8] = ACTIONS(5340),
    [aux_sym_coarray_statement_token11] = ACTIONS(5340),
    [aux_sym_coarray_statement_token12] = ACTIONS(5340),
    [aux_sym_coarray_statement_token13] = ACTIONS(5340),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5340),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5340),
    [aux_sym_identifier_token1] = ACTIONS(5340),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5342),
    [sym__float_literal] = ACTIONS(5342),
    [sym__boz_literal] = ACTIONS(5342),
    [sym__string_literal] = ACTIONS(5342),
    [sym__string_literal_kind] = ACTIONS(5342),
  },
  [1144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token2] = ACTIONS(5118),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_interface_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token2] = ACTIONS(5118),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5118),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5118),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5118),
    [aux_sym_contains_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token2] = ACTIONS(5118),
    [aux_sym_implicit_statement_token1] = ACTIONS(5118),
    [aux_sym_implicit_statement_token3] = ACTIONS(5118),
    [aux_sym_implicit_statement_token4] = ACTIONS(5118),
    [aux_sym_save_statement_token1] = ACTIONS(5118),
    [aux_sym_private_statement_token1] = ACTIONS(5118),
    [aux_sym_public_statement_token1] = ACTIONS(5118),
    [aux_sym_namelist_statement_token1] = ACTIONS(5118),
    [aux_sym_common_statement_token1] = ACTIONS(5118),
    [aux_sym_import_statement_token1] = ACTIONS(5118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5118),
    [aux_sym_variable_attributes_token1] = ACTIONS(5118),
    [aux_sym_variable_attributes_token2] = ACTIONS(5118),
    [aux_sym_variable_attributes_token3] = ACTIONS(5118),
    [aux_sym_variable_attributes_token4] = ACTIONS(5118),
    [aux_sym_variable_attributes_token5] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5118),
    [aux_sym_derived_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5118),
    [aux_sym_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token2] = ACTIONS(5118),
    [aux_sym_subroutine_call_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token2] = ACTIONS(5118),
    [aux_sym_keyword_statement_token3] = ACTIONS(5118),
    [aux_sym_keyword_statement_token4] = ACTIONS(5118),
    [aux_sym_keyword_statement_token6] = ACTIONS(5118),
    [aux_sym_keyword_statement_token7] = ACTIONS(5118),
    [aux_sym_include_statement_token1] = ACTIONS(5118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5118),
    [aux_sym_end_if_statement_token1] = ACTIONS(5118),
    [aux_sym_elseif_clause_token2] = ACTIONS(5118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token3] = ACTIONS(5118),
    [aux_sym_select_type_statement_token1] = ACTIONS(5118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5118),
    [aux_sym_associate_statement_token1] = ACTIONS(5118),
    [aux_sym_format_statement_token1] = ACTIONS(5118),
    [aux_sym_print_statement_token1] = ACTIONS(5118),
    [aux_sym_open_statement_token1] = ACTIONS(5118),
    [aux_sym_close_statement_token1] = ACTIONS(5118),
    [aux_sym_inquire_statement_token1] = ACTIONS(5118),
    [aux_sym_enum_statement_token1] = ACTIONS(5118),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token2] = ACTIONS(5118),
    [aux_sym_file_position_statement_token3] = ACTIONS(5118),
    [aux_sym_file_position_statement_token4] = ACTIONS(5118),
    [aux_sym_allocate_statement_token1] = ACTIONS(5118),
    [aux_sym_entry_statement_token1] = ACTIONS(5118),
    [aux_sym_assign_statement_token1] = ACTIONS(5118),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token2] = ACTIONS(5118),
    [aux_sym_coarray_statement_token6] = ACTIONS(5118),
    [aux_sym_coarray_statement_token8] = ACTIONS(5118),
    [aux_sym_coarray_statement_token11] = ACTIONS(5118),
    [aux_sym_coarray_statement_token12] = ACTIONS(5118),
    [aux_sym_coarray_statement_token13] = ACTIONS(5118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5118),
    [aux_sym_identifier_token1] = ACTIONS(5118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token2] = ACTIONS(5308),
    [aux_sym_module_statement_token1] = ACTIONS(5308),
    [aux_sym_submodule_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_block_data_statement_token3] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_function_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5372),
    [aux_sym_preproc_def_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token2] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5372),
    [sym_preproc_directive] = ACTIONS(5372),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5372),
    [aux_sym_end_program_statement_token1] = ACTIONS(5372),
    [aux_sym_end_program_statement_token2] = ACTIONS(5372),
    [aux_sym_module_statement_token1] = ACTIONS(5372),
    [aux_sym_submodule_statement_token1] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [aux_sym_interface_statement_token1] = ACTIONS(5372),
    [aux_sym_block_data_statement_token1] = ACTIONS(5372),
    [aux_sym_block_data_statement_token2] = ACTIONS(5372),
    [aux_sym_block_data_statement_token3] = ACTIONS(5372),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5372),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5372),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5372),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5372),
    [aux_sym_function_statement_token1] = ACTIONS(5372),
    [aux_sym_language_binding_token1] = ACTIONS(5372),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5372),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5372),
    [aux_sym_contains_statement_token1] = ACTIONS(5372),
    [aux_sym_use_statement_token1] = ACTIONS(5372),
    [aux_sym_use_statement_token2] = ACTIONS(5372),
    [aux_sym_implicit_statement_token1] = ACTIONS(5372),
    [aux_sym_implicit_statement_token3] = ACTIONS(5372),
    [aux_sym_implicit_statement_token4] = ACTIONS(5372),
    [aux_sym_save_statement_token1] = ACTIONS(5372),
    [aux_sym_private_statement_token1] = ACTIONS(5372),
    [aux_sym_public_statement_token1] = ACTIONS(5372),
    [aux_sym_namelist_statement_token1] = ACTIONS(5372),
    [aux_sym_common_statement_token1] = ACTIONS(5372),
    [aux_sym_import_statement_token1] = ACTIONS(5372),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5372),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5372),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5372),
    [aux_sym_variable_attributes_token1] = ACTIONS(5372),
    [aux_sym_variable_attributes_token2] = ACTIONS(5372),
    [aux_sym_variable_attributes_token3] = ACTIONS(5372),
    [aux_sym_variable_attributes_token4] = ACTIONS(5372),
    [aux_sym_variable_attributes_token5] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5372),
    [aux_sym_derived_type_token1] = ACTIONS(5372),
    [aux_sym_declared_type_token1] = ACTIONS(5372),
    [aux_sym_declared_type_token2] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5372),
    [aux_sym_type_qualifier_token1] = ACTIONS(5372),
    [aux_sym_type_qualifier_token2] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5372),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5372),
    [aux_sym_stop_statement_token1] = ACTIONS(5372),
    [aux_sym_stop_statement_token2] = ACTIONS(5372),
    [aux_sym_subroutine_call_token1] = ACTIONS(5372),
    [aux_sym_keyword_statement_token1] = ACTIONS(5372),
    [aux_sym_keyword_statement_token2] = ACTIONS(5372),
    [aux_sym_keyword_statement_token3] = ACTIONS(5372),
    [aux_sym_keyword_statement_token4] = ACTIONS(5372),
    [aux_sym_keyword_statement_token6] = ACTIONS(5372),
    [aux_sym_keyword_statement_token7] = ACTIONS(5372),
    [aux_sym_include_statement_token1] = ACTIONS(5372),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5372),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5372),
    [aux_sym_end_if_statement_token1] = ACTIONS(5372),
    [aux_sym_elseif_clause_token2] = ACTIONS(5372),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5372),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5372),
    [aux_sym_select_case_statement_token1] = ACTIONS(5372),
    [aux_sym_select_case_statement_token3] = ACTIONS(5372),
    [aux_sym_select_type_statement_token1] = ACTIONS(5372),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5372),
    [aux_sym_associate_statement_token1] = ACTIONS(5372),
    [aux_sym_format_statement_token1] = ACTIONS(5372),
    [aux_sym_print_statement_token1] = ACTIONS(5372),
    [aux_sym_open_statement_token1] = ACTIONS(5372),
    [aux_sym_close_statement_token1] = ACTIONS(5372),
    [aux_sym_inquire_statement_token1] = ACTIONS(5372),
    [aux_sym_enum_statement_token1] = ACTIONS(5372),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5372),
    [aux_sym_file_position_statement_token1] = ACTIONS(5372),
    [aux_sym_file_position_statement_token2] = ACTIONS(5372),
    [aux_sym_file_position_statement_token3] = ACTIONS(5372),
    [aux_sym_file_position_statement_token4] = ACTIONS(5372),
    [aux_sym_allocate_statement_token1] = ACTIONS(5372),
    [aux_sym_entry_statement_token1] = ACTIONS(5372),
    [aux_sym_assign_statement_token1] = ACTIONS(5372),
    [aux_sym_logical_expression_token5] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [aux_sym_boolean_literal_token1] = ACTIONS(5374),
    [aux_sym_boolean_literal_token2] = ACTIONS(5374),
    [aux_sym_null_literal_token1] = ACTIONS(5372),
    [aux_sym_coarray_statement_token1] = ACTIONS(5372),
    [aux_sym_coarray_statement_token2] = ACTIONS(5372),
    [aux_sym_coarray_statement_token6] = ACTIONS(5372),
    [aux_sym_coarray_statement_token8] = ACTIONS(5372),
    [aux_sym_coarray_statement_token11] = ACTIONS(5372),
    [aux_sym_coarray_statement_token12] = ACTIONS(5372),
    [aux_sym_coarray_statement_token13] = ACTIONS(5372),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5372),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5372),
    [aux_sym_identifier_token1] = ACTIONS(5372),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5374),
    [sym__float_literal] = ACTIONS(5374),
    [sym__boz_literal] = ACTIONS(5374),
    [sym__string_literal] = ACTIONS(5374),
    [sym__string_literal_kind] = ACTIONS(5374),
  },
  [1147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5320),
    [aux_sym_preproc_def_token1] = ACTIONS(5320),
    [aux_sym_preproc_if_token1] = ACTIONS(5320),
    [aux_sym_preproc_if_token2] = ACTIONS(5320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5320),
    [sym_preproc_directive] = ACTIONS(5320),
    [anon_sym_LPAREN2] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5322),
    [anon_sym_DASH] = ACTIONS(5322),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5320),
    [aux_sym_end_program_statement_token1] = ACTIONS(5320),
    [aux_sym_end_program_statement_token2] = ACTIONS(5320),
    [aux_sym_module_statement_token1] = ACTIONS(5320),
    [aux_sym_submodule_statement_token1] = ACTIONS(5320),
    [anon_sym_SEMI] = ACTIONS(5322),
    [aux_sym_interface_statement_token1] = ACTIONS(5320),
    [aux_sym_block_data_statement_token1] = ACTIONS(5320),
    [aux_sym_block_data_statement_token2] = ACTIONS(5320),
    [aux_sym_block_data_statement_token3] = ACTIONS(5320),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5320),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5320),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5320),
    [aux_sym_function_statement_token1] = ACTIONS(5320),
    [aux_sym_language_binding_token1] = ACTIONS(5320),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5320),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5320),
    [aux_sym_contains_statement_token1] = ACTIONS(5320),
    [aux_sym_use_statement_token1] = ACTIONS(5320),
    [aux_sym_use_statement_token2] = ACTIONS(5320),
    [aux_sym_implicit_statement_token1] = ACTIONS(5320),
    [aux_sym_implicit_statement_token3] = ACTIONS(5320),
    [aux_sym_implicit_statement_token4] = ACTIONS(5320),
    [aux_sym_save_statement_token1] = ACTIONS(5320),
    [aux_sym_private_statement_token1] = ACTIONS(5320),
    [aux_sym_public_statement_token1] = ACTIONS(5320),
    [aux_sym_namelist_statement_token1] = ACTIONS(5320),
    [aux_sym_common_statement_token1] = ACTIONS(5320),
    [aux_sym_import_statement_token1] = ACTIONS(5320),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5320),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5320),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5320),
    [aux_sym_variable_attributes_token1] = ACTIONS(5320),
    [aux_sym_variable_attributes_token2] = ACTIONS(5320),
    [aux_sym_variable_attributes_token3] = ACTIONS(5320),
    [aux_sym_variable_attributes_token4] = ACTIONS(5320),
    [aux_sym_variable_attributes_token5] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5320),
    [aux_sym_derived_type_token1] = ACTIONS(5320),
    [aux_sym_declared_type_token1] = ACTIONS(5320),
    [aux_sym_declared_type_token2] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5320),
    [aux_sym_type_qualifier_token1] = ACTIONS(5320),
    [aux_sym_type_qualifier_token2] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5320),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5320),
    [aux_sym_stop_statement_token1] = ACTIONS(5320),
    [aux_sym_stop_statement_token2] = ACTIONS(5320),
    [aux_sym_subroutine_call_token1] = ACTIONS(5320),
    [aux_sym_keyword_statement_token1] = ACTIONS(5320),
    [aux_sym_keyword_statement_token2] = ACTIONS(5320),
    [aux_sym_keyword_statement_token3] = ACTIONS(5320),
    [aux_sym_keyword_statement_token4] = ACTIONS(5320),
    [aux_sym_keyword_statement_token6] = ACTIONS(5320),
    [aux_sym_keyword_statement_token7] = ACTIONS(5320),
    [aux_sym_include_statement_token1] = ACTIONS(5320),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5320),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5320),
    [aux_sym_end_if_statement_token1] = ACTIONS(5320),
    [aux_sym_elseif_clause_token2] = ACTIONS(5320),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5320),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5320),
    [aux_sym_select_case_statement_token1] = ACTIONS(5320),
    [aux_sym_select_case_statement_token3] = ACTIONS(5320),
    [aux_sym_select_type_statement_token1] = ACTIONS(5320),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5320),
    [aux_sym_associate_statement_token1] = ACTIONS(5320),
    [aux_sym_format_statement_token1] = ACTIONS(5320),
    [aux_sym_print_statement_token1] = ACTIONS(5320),
    [aux_sym_open_statement_token1] = ACTIONS(5320),
    [aux_sym_close_statement_token1] = ACTIONS(5320),
    [aux_sym_inquire_statement_token1] = ACTIONS(5320),
    [aux_sym_enum_statement_token1] = ACTIONS(5320),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5320),
    [aux_sym_file_position_statement_token1] = ACTIONS(5320),
    [aux_sym_file_position_statement_token2] = ACTIONS(5320),
    [aux_sym_file_position_statement_token3] = ACTIONS(5320),
    [aux_sym_file_position_statement_token4] = ACTIONS(5320),
    [aux_sym_allocate_statement_token1] = ACTIONS(5320),
    [aux_sym_entry_statement_token1] = ACTIONS(5320),
    [aux_sym_assign_statement_token1] = ACTIONS(5320),
    [aux_sym_logical_expression_token5] = ACTIONS(5322),
    [anon_sym_DOT] = ACTIONS(5320),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5322),
    [aux_sym_boolean_literal_token1] = ACTIONS(5322),
    [aux_sym_boolean_literal_token2] = ACTIONS(5322),
    [aux_sym_null_literal_token1] = ACTIONS(5320),
    [aux_sym_coarray_statement_token1] = ACTIONS(5320),
    [aux_sym_coarray_statement_token2] = ACTIONS(5320),
    [aux_sym_coarray_statement_token6] = ACTIONS(5320),
    [aux_sym_coarray_statement_token8] = ACTIONS(5320),
    [aux_sym_coarray_statement_token11] = ACTIONS(5320),
    [aux_sym_coarray_statement_token12] = ACTIONS(5320),
    [aux_sym_coarray_statement_token13] = ACTIONS(5320),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5320),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5320),
    [aux_sym_identifier_token1] = ACTIONS(5320),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5322),
    [sym__float_literal] = ACTIONS(5322),
    [sym__boz_literal] = ACTIONS(5322),
    [sym__string_literal] = ACTIONS(5322),
    [sym__string_literal_kind] = ACTIONS(5322),
  },
  [1148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5380),
    [aux_sym_preproc_def_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token2] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5380),
    [sym_preproc_directive] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5380),
    [aux_sym_end_program_statement_token1] = ACTIONS(5380),
    [aux_sym_end_program_statement_token2] = ACTIONS(5380),
    [aux_sym_module_statement_token1] = ACTIONS(5380),
    [aux_sym_submodule_statement_token1] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [aux_sym_interface_statement_token1] = ACTIONS(5380),
    [aux_sym_block_data_statement_token1] = ACTIONS(5380),
    [aux_sym_block_data_statement_token2] = ACTIONS(5380),
    [aux_sym_block_data_statement_token3] = ACTIONS(5380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5380),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5380),
    [aux_sym_function_statement_token1] = ACTIONS(5380),
    [aux_sym_language_binding_token1] = ACTIONS(5380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5380),
    [aux_sym_contains_statement_token1] = ACTIONS(5380),
    [aux_sym_use_statement_token1] = ACTIONS(5380),
    [aux_sym_use_statement_token2] = ACTIONS(5380),
    [aux_sym_implicit_statement_token1] = ACTIONS(5380),
    [aux_sym_implicit_statement_token3] = ACTIONS(5380),
    [aux_sym_implicit_statement_token4] = ACTIONS(5380),
    [aux_sym_save_statement_token1] = ACTIONS(5380),
    [aux_sym_private_statement_token1] = ACTIONS(5380),
    [aux_sym_public_statement_token1] = ACTIONS(5380),
    [aux_sym_namelist_statement_token1] = ACTIONS(5380),
    [aux_sym_common_statement_token1] = ACTIONS(5380),
    [aux_sym_import_statement_token1] = ACTIONS(5380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5380),
    [aux_sym_variable_attributes_token1] = ACTIONS(5380),
    [aux_sym_variable_attributes_token2] = ACTIONS(5380),
    [aux_sym_variable_attributes_token3] = ACTIONS(5380),
    [aux_sym_variable_attributes_token4] = ACTIONS(5380),
    [aux_sym_variable_attributes_token5] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5380),
    [aux_sym_derived_type_token1] = ACTIONS(5380),
    [aux_sym_declared_type_token1] = ACTIONS(5380),
    [aux_sym_declared_type_token2] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5380),
    [aux_sym_type_qualifier_token1] = ACTIONS(5380),
    [aux_sym_type_qualifier_token2] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5380),
    [aux_sym_stop_statement_token1] = ACTIONS(5380),
    [aux_sym_stop_statement_token2] = ACTIONS(5380),
    [aux_sym_subroutine_call_token1] = ACTIONS(5380),
    [aux_sym_keyword_statement_token1] = ACTIONS(5380),
    [aux_sym_keyword_statement_token2] = ACTIONS(5380),
    [aux_sym_keyword_statement_token3] = ACTIONS(5380),
    [aux_sym_keyword_statement_token4] = ACTIONS(5380),
    [aux_sym_keyword_statement_token6] = ACTIONS(5380),
    [aux_sym_keyword_statement_token7] = ACTIONS(5380),
    [aux_sym_include_statement_token1] = ACTIONS(5380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5380),
    [aux_sym_end_if_statement_token1] = ACTIONS(5380),
    [aux_sym_elseif_clause_token2] = ACTIONS(5380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5380),
    [aux_sym_select_case_statement_token1] = ACTIONS(5380),
    [aux_sym_select_case_statement_token3] = ACTIONS(5380),
    [aux_sym_select_type_statement_token1] = ACTIONS(5380),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5380),
    [aux_sym_associate_statement_token1] = ACTIONS(5380),
    [aux_sym_format_statement_token1] = ACTIONS(5380),
    [aux_sym_print_statement_token1] = ACTIONS(5380),
    [aux_sym_open_statement_token1] = ACTIONS(5380),
    [aux_sym_close_statement_token1] = ACTIONS(5380),
    [aux_sym_inquire_statement_token1] = ACTIONS(5380),
    [aux_sym_enum_statement_token1] = ACTIONS(5380),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5380),
    [aux_sym_file_position_statement_token1] = ACTIONS(5380),
    [aux_sym_file_position_statement_token2] = ACTIONS(5380),
    [aux_sym_file_position_statement_token3] = ACTIONS(5380),
    [aux_sym_file_position_statement_token4] = ACTIONS(5380),
    [aux_sym_allocate_statement_token1] = ACTIONS(5380),
    [aux_sym_entry_statement_token1] = ACTIONS(5380),
    [aux_sym_assign_statement_token1] = ACTIONS(5380),
    [aux_sym_logical_expression_token5] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [aux_sym_boolean_literal_token1] = ACTIONS(5382),
    [aux_sym_boolean_literal_token2] = ACTIONS(5382),
    [aux_sym_null_literal_token1] = ACTIONS(5380),
    [aux_sym_coarray_statement_token1] = ACTIONS(5380),
    [aux_sym_coarray_statement_token2] = ACTIONS(5380),
    [aux_sym_coarray_statement_token6] = ACTIONS(5380),
    [aux_sym_coarray_statement_token8] = ACTIONS(5380),
    [aux_sym_coarray_statement_token11] = ACTIONS(5380),
    [aux_sym_coarray_statement_token12] = ACTIONS(5380),
    [aux_sym_coarray_statement_token13] = ACTIONS(5380),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5380),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5380),
    [aux_sym_identifier_token1] = ACTIONS(5380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5382),
    [sym__float_literal] = ACTIONS(5382),
    [sym__boz_literal] = ACTIONS(5382),
    [sym__string_literal] = ACTIONS(5382),
    [sym__string_literal_kind] = ACTIONS(5382),
  },
  [1149] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token2] = ACTIONS(5300),
    [aux_sym_module_statement_token1] = ACTIONS(5300),
    [aux_sym_submodule_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_block_data_statement_token3] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_function_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1150] = {
    [ts_builtin_sym_end] = ACTIONS(5434),
    [aux_sym_preproc_include_token1] = ACTIONS(5432),
    [aux_sym_preproc_def_token1] = ACTIONS(5432),
    [aux_sym_preproc_if_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5432),
    [sym_preproc_directive] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5432),
    [aux_sym_end_program_statement_token1] = ACTIONS(5432),
    [aux_sym_end_program_statement_token2] = ACTIONS(5432),
    [aux_sym_module_statement_token1] = ACTIONS(5432),
    [aux_sym_submodule_statement_token1] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [aux_sym_interface_statement_token1] = ACTIONS(5432),
    [aux_sym_block_data_statement_token1] = ACTIONS(5432),
    [aux_sym_block_data_statement_token2] = ACTIONS(5432),
    [aux_sym_block_data_statement_token3] = ACTIONS(5432),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5432),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5432),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5432),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5432),
    [aux_sym_function_statement_token1] = ACTIONS(5432),
    [aux_sym_language_binding_token1] = ACTIONS(5432),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5432),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5432),
    [aux_sym_contains_statement_token1] = ACTIONS(5432),
    [aux_sym_use_statement_token1] = ACTIONS(5432),
    [aux_sym_use_statement_token2] = ACTIONS(5432),
    [aux_sym_implicit_statement_token1] = ACTIONS(5432),
    [aux_sym_implicit_statement_token3] = ACTIONS(5432),
    [aux_sym_implicit_statement_token4] = ACTIONS(5432),
    [aux_sym_save_statement_token1] = ACTIONS(5432),
    [aux_sym_private_statement_token1] = ACTIONS(5432),
    [aux_sym_public_statement_token1] = ACTIONS(5432),
    [aux_sym_namelist_statement_token1] = ACTIONS(5432),
    [aux_sym_common_statement_token1] = ACTIONS(5432),
    [aux_sym_import_statement_token1] = ACTIONS(5432),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5432),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5432),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5432),
    [aux_sym_variable_attributes_token1] = ACTIONS(5432),
    [aux_sym_variable_attributes_token2] = ACTIONS(5432),
    [aux_sym_variable_attributes_token3] = ACTIONS(5432),
    [aux_sym_variable_attributes_token4] = ACTIONS(5432),
    [aux_sym_variable_attributes_token5] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5432),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5432),
    [aux_sym_derived_type_token1] = ACTIONS(5432),
    [aux_sym_declared_type_token1] = ACTIONS(5432),
    [aux_sym_declared_type_token2] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5432),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5432),
    [aux_sym_type_qualifier_token1] = ACTIONS(5432),
    [aux_sym_type_qualifier_token2] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5432),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5432),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5432),
    [aux_sym_stop_statement_token1] = ACTIONS(5432),
    [aux_sym_stop_statement_token2] = ACTIONS(5432),
    [aux_sym_subroutine_call_token1] = ACTIONS(5432),
    [aux_sym_keyword_statement_token1] = ACTIONS(5432),
    [aux_sym_keyword_statement_token2] = ACTIONS(5432),
    [aux_sym_keyword_statement_token3] = ACTIONS(5432),
    [aux_sym_keyword_statement_token4] = ACTIONS(5432),
    [aux_sym_keyword_statement_token6] = ACTIONS(5432),
    [aux_sym_keyword_statement_token7] = ACTIONS(5432),
    [aux_sym_include_statement_token1] = ACTIONS(5432),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5432),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5432),
    [aux_sym_end_if_statement_token1] = ACTIONS(5432),
    [aux_sym_elseif_clause_token2] = ACTIONS(5432),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5432),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5432),
    [aux_sym_select_case_statement_token1] = ACTIONS(5432),
    [aux_sym_select_case_statement_token3] = ACTIONS(5432),
    [aux_sym_select_type_statement_token1] = ACTIONS(5432),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5432),
    [aux_sym_associate_statement_token1] = ACTIONS(5432),
    [aux_sym_format_statement_token1] = ACTIONS(5432),
    [aux_sym_print_statement_token1] = ACTIONS(5432),
    [aux_sym_open_statement_token1] = ACTIONS(5432),
    [aux_sym_close_statement_token1] = ACTIONS(5432),
    [aux_sym_inquire_statement_token1] = ACTIONS(5432),
    [aux_sym_enum_statement_token1] = ACTIONS(5432),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5432),
    [aux_sym_file_position_statement_token1] = ACTIONS(5432),
    [aux_sym_file_position_statement_token2] = ACTIONS(5432),
    [aux_sym_file_position_statement_token3] = ACTIONS(5432),
    [aux_sym_file_position_statement_token4] = ACTIONS(5432),
    [aux_sym_allocate_statement_token1] = ACTIONS(5432),
    [aux_sym_entry_statement_token1] = ACTIONS(5432),
    [aux_sym_assign_statement_token1] = ACTIONS(5432),
    [aux_sym_logical_expression_token5] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [aux_sym_boolean_literal_token1] = ACTIONS(5434),
    [aux_sym_boolean_literal_token2] = ACTIONS(5434),
    [aux_sym_null_literal_token1] = ACTIONS(5432),
    [aux_sym_coarray_statement_token1] = ACTIONS(5432),
    [aux_sym_coarray_statement_token2] = ACTIONS(5432),
    [aux_sym_coarray_statement_token6] = ACTIONS(5432),
    [aux_sym_coarray_statement_token8] = ACTIONS(5432),
    [aux_sym_coarray_statement_token11] = ACTIONS(5432),
    [aux_sym_coarray_statement_token12] = ACTIONS(5432),
    [aux_sym_coarray_statement_token13] = ACTIONS(5432),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5432),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5432),
    [aux_sym_identifier_token1] = ACTIONS(5432),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5434),
    [sym__float_literal] = ACTIONS(5434),
    [sym__boz_literal] = ACTIONS(5434),
    [sym__string_literal] = ACTIONS(5434),
    [sym__string_literal_kind] = ACTIONS(5434),
  },
  [1151] = {
    [ts_builtin_sym_end] = ACTIONS(5218),
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [aux_sym_module_statement_token1] = ACTIONS(5216),
    [aux_sym_submodule_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_block_data_statement_token3] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_function_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5400),
    [aux_sym_preproc_def_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token1] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5400),
    [sym_preproc_directive] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5400),
    [aux_sym_end_program_statement_token1] = ACTIONS(5400),
    [aux_sym_end_program_statement_token2] = ACTIONS(5400),
    [aux_sym_module_statement_token1] = ACTIONS(5400),
    [aux_sym_submodule_statement_token1] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [aux_sym_interface_statement_token1] = ACTIONS(5400),
    [aux_sym_block_data_statement_token1] = ACTIONS(5400),
    [aux_sym_block_data_statement_token2] = ACTIONS(5400),
    [aux_sym_block_data_statement_token3] = ACTIONS(5400),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5400),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5400),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5400),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5400),
    [aux_sym_function_statement_token1] = ACTIONS(5400),
    [aux_sym_language_binding_token1] = ACTIONS(5400),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5400),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5400),
    [aux_sym_contains_statement_token1] = ACTIONS(5400),
    [aux_sym_use_statement_token1] = ACTIONS(5400),
    [aux_sym_use_statement_token2] = ACTIONS(5400),
    [aux_sym_implicit_statement_token1] = ACTIONS(5400),
    [aux_sym_implicit_statement_token3] = ACTIONS(5400),
    [aux_sym_implicit_statement_token4] = ACTIONS(5400),
    [aux_sym_save_statement_token1] = ACTIONS(5400),
    [aux_sym_private_statement_token1] = ACTIONS(5400),
    [aux_sym_public_statement_token1] = ACTIONS(5400),
    [aux_sym_namelist_statement_token1] = ACTIONS(5400),
    [aux_sym_common_statement_token1] = ACTIONS(5400),
    [aux_sym_import_statement_token1] = ACTIONS(5400),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5400),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5400),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5400),
    [aux_sym_variable_attributes_token1] = ACTIONS(5400),
    [aux_sym_variable_attributes_token2] = ACTIONS(5400),
    [aux_sym_variable_attributes_token3] = ACTIONS(5400),
    [aux_sym_variable_attributes_token4] = ACTIONS(5400),
    [aux_sym_variable_attributes_token5] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5400),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5400),
    [aux_sym_derived_type_token1] = ACTIONS(5400),
    [aux_sym_declared_type_token1] = ACTIONS(5400),
    [aux_sym_declared_type_token2] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5400),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5400),
    [aux_sym_type_qualifier_token1] = ACTIONS(5400),
    [aux_sym_type_qualifier_token2] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5400),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5400),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5400),
    [aux_sym_stop_statement_token1] = ACTIONS(5400),
    [aux_sym_stop_statement_token2] = ACTIONS(5400),
    [aux_sym_subroutine_call_token1] = ACTIONS(5400),
    [aux_sym_keyword_statement_token1] = ACTIONS(5400),
    [aux_sym_keyword_statement_token2] = ACTIONS(5400),
    [aux_sym_keyword_statement_token3] = ACTIONS(5400),
    [aux_sym_keyword_statement_token4] = ACTIONS(5400),
    [aux_sym_keyword_statement_token6] = ACTIONS(5400),
    [aux_sym_keyword_statement_token7] = ACTIONS(5400),
    [aux_sym_include_statement_token1] = ACTIONS(5400),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5400),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5400),
    [aux_sym_end_if_statement_token1] = ACTIONS(5400),
    [aux_sym_elseif_clause_token2] = ACTIONS(5400),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5400),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5400),
    [aux_sym_select_case_statement_token1] = ACTIONS(5400),
    [aux_sym_select_case_statement_token3] = ACTIONS(5400),
    [aux_sym_select_type_statement_token1] = ACTIONS(5400),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5400),
    [aux_sym_associate_statement_token1] = ACTIONS(5400),
    [aux_sym_format_statement_token1] = ACTIONS(5400),
    [aux_sym_print_statement_token1] = ACTIONS(5400),
    [aux_sym_open_statement_token1] = ACTIONS(5400),
    [aux_sym_close_statement_token1] = ACTIONS(5400),
    [aux_sym_inquire_statement_token1] = ACTIONS(5400),
    [aux_sym_enum_statement_token1] = ACTIONS(5400),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5400),
    [aux_sym_file_position_statement_token1] = ACTIONS(5400),
    [aux_sym_file_position_statement_token2] = ACTIONS(5400),
    [aux_sym_file_position_statement_token3] = ACTIONS(5400),
    [aux_sym_file_position_statement_token4] = ACTIONS(5400),
    [aux_sym_allocate_statement_token1] = ACTIONS(5400),
    [aux_sym_entry_statement_token1] = ACTIONS(5400),
    [aux_sym_assign_statement_token1] = ACTIONS(5400),
    [aux_sym_logical_expression_token5] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [aux_sym_boolean_literal_token1] = ACTIONS(5402),
    [aux_sym_boolean_literal_token2] = ACTIONS(5402),
    [aux_sym_null_literal_token1] = ACTIONS(5400),
    [aux_sym_coarray_statement_token1] = ACTIONS(5400),
    [aux_sym_coarray_statement_token2] = ACTIONS(5400),
    [aux_sym_coarray_statement_token6] = ACTIONS(5400),
    [aux_sym_coarray_statement_token8] = ACTIONS(5400),
    [aux_sym_coarray_statement_token11] = ACTIONS(5400),
    [aux_sym_coarray_statement_token12] = ACTIONS(5400),
    [aux_sym_coarray_statement_token13] = ACTIONS(5400),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5400),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5400),
    [aux_sym_identifier_token1] = ACTIONS(5400),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5402),
    [sym__float_literal] = ACTIONS(5402),
    [sym__boz_literal] = ACTIONS(5402),
    [sym__string_literal] = ACTIONS(5402),
    [sym__string_literal_kind] = ACTIONS(5402),
  },
  [1153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token1] = ACTIONS(5112),
    [aux_sym_block_data_statement_token2] = ACTIONS(5112),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_assign_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5116),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [aux_sym_boolean_literal_token1] = ACTIONS(5116),
    [aux_sym_boolean_literal_token2] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5116),
    [sym__float_literal] = ACTIONS(5116),
    [sym__boz_literal] = ACTIONS(5116),
    [sym__string_literal] = ACTIONS(5116),
    [sym__string_literal_kind] = ACTIONS(5116),
  },
  [1154] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5396),
    [aux_sym_preproc_def_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token1] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5396),
    [sym_preproc_directive] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5396),
    [aux_sym_end_program_statement_token1] = ACTIONS(5396),
    [aux_sym_end_program_statement_token2] = ACTIONS(5396),
    [aux_sym_module_statement_token1] = ACTIONS(5396),
    [aux_sym_submodule_statement_token1] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [aux_sym_interface_statement_token1] = ACTIONS(5396),
    [aux_sym_block_data_statement_token1] = ACTIONS(5396),
    [aux_sym_block_data_statement_token2] = ACTIONS(5396),
    [aux_sym_block_data_statement_token3] = ACTIONS(5396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5396),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5396),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5396),
    [aux_sym_function_statement_token1] = ACTIONS(5396),
    [aux_sym_language_binding_token1] = ACTIONS(5396),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5396),
    [aux_sym_contains_statement_token1] = ACTIONS(5396),
    [aux_sym_use_statement_token1] = ACTIONS(5396),
    [aux_sym_use_statement_token2] = ACTIONS(5396),
    [aux_sym_implicit_statement_token1] = ACTIONS(5396),
    [aux_sym_implicit_statement_token3] = ACTIONS(5396),
    [aux_sym_implicit_statement_token4] = ACTIONS(5396),
    [aux_sym_save_statement_token1] = ACTIONS(5396),
    [aux_sym_private_statement_token1] = ACTIONS(5396),
    [aux_sym_public_statement_token1] = ACTIONS(5396),
    [aux_sym_namelist_statement_token1] = ACTIONS(5396),
    [aux_sym_common_statement_token1] = ACTIONS(5396),
    [aux_sym_import_statement_token1] = ACTIONS(5396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5396),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5396),
    [aux_sym_variable_attributes_token1] = ACTIONS(5396),
    [aux_sym_variable_attributes_token2] = ACTIONS(5396),
    [aux_sym_variable_attributes_token3] = ACTIONS(5396),
    [aux_sym_variable_attributes_token4] = ACTIONS(5396),
    [aux_sym_variable_attributes_token5] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5396),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5396),
    [aux_sym_derived_type_token1] = ACTIONS(5396),
    [aux_sym_declared_type_token1] = ACTIONS(5396),
    [aux_sym_declared_type_token2] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5396),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5396),
    [aux_sym_type_qualifier_token1] = ACTIONS(5396),
    [aux_sym_type_qualifier_token2] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5396),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5396),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5396),
    [aux_sym_stop_statement_token1] = ACTIONS(5396),
    [aux_sym_stop_statement_token2] = ACTIONS(5396),
    [aux_sym_subroutine_call_token1] = ACTIONS(5396),
    [aux_sym_keyword_statement_token1] = ACTIONS(5396),
    [aux_sym_keyword_statement_token2] = ACTIONS(5396),
    [aux_sym_keyword_statement_token3] = ACTIONS(5396),
    [aux_sym_keyword_statement_token4] = ACTIONS(5396),
    [aux_sym_keyword_statement_token6] = ACTIONS(5396),
    [aux_sym_keyword_statement_token7] = ACTIONS(5396),
    [aux_sym_include_statement_token1] = ACTIONS(5396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5396),
    [aux_sym_end_if_statement_token1] = ACTIONS(5396),
    [aux_sym_elseif_clause_token2] = ACTIONS(5396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5396),
    [aux_sym_select_case_statement_token1] = ACTIONS(5396),
    [aux_sym_select_case_statement_token3] = ACTIONS(5396),
    [aux_sym_select_type_statement_token1] = ACTIONS(5396),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5396),
    [aux_sym_associate_statement_token1] = ACTIONS(5396),
    [aux_sym_format_statement_token1] = ACTIONS(5396),
    [aux_sym_print_statement_token1] = ACTIONS(5396),
    [aux_sym_open_statement_token1] = ACTIONS(5396),
    [aux_sym_close_statement_token1] = ACTIONS(5396),
    [aux_sym_inquire_statement_token1] = ACTIONS(5396),
    [aux_sym_enum_statement_token1] = ACTIONS(5396),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5396),
    [aux_sym_file_position_statement_token1] = ACTIONS(5396),
    [aux_sym_file_position_statement_token2] = ACTIONS(5396),
    [aux_sym_file_position_statement_token3] = ACTIONS(5396),
    [aux_sym_file_position_statement_token4] = ACTIONS(5396),
    [aux_sym_allocate_statement_token1] = ACTIONS(5396),
    [aux_sym_entry_statement_token1] = ACTIONS(5396),
    [aux_sym_assign_statement_token1] = ACTIONS(5396),
    [aux_sym_logical_expression_token5] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [aux_sym_boolean_literal_token1] = ACTIONS(5398),
    [aux_sym_boolean_literal_token2] = ACTIONS(5398),
    [aux_sym_null_literal_token1] = ACTIONS(5396),
    [aux_sym_coarray_statement_token1] = ACTIONS(5396),
    [aux_sym_coarray_statement_token2] = ACTIONS(5396),
    [aux_sym_coarray_statement_token6] = ACTIONS(5396),
    [aux_sym_coarray_statement_token8] = ACTIONS(5396),
    [aux_sym_coarray_statement_token11] = ACTIONS(5396),
    [aux_sym_coarray_statement_token12] = ACTIONS(5396),
    [aux_sym_coarray_statement_token13] = ACTIONS(5396),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5396),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5396),
    [aux_sym_identifier_token1] = ACTIONS(5396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5398),
    [sym__float_literal] = ACTIONS(5398),
    [sym__boz_literal] = ACTIONS(5398),
    [sym__string_literal] = ACTIONS(5398),
    [sym__string_literal_kind] = ACTIONS(5398),
  },
  [1156] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5212),
    [aux_sym_preproc_def_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token1] = ACTIONS(5212),
    [aux_sym_preproc_if_token2] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5212),
    [sym_preproc_directive] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token1] = ACTIONS(5212),
    [aux_sym_end_program_statement_token2] = ACTIONS(5212),
    [aux_sym_module_statement_token1] = ACTIONS(5212),
    [aux_sym_submodule_statement_token1] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [aux_sym_interface_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token1] = ACTIONS(5212),
    [aux_sym_block_data_statement_token2] = ACTIONS(5212),
    [aux_sym_block_data_statement_token3] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5212),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5212),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5212),
    [aux_sym_function_statement_token1] = ACTIONS(5212),
    [aux_sym_language_binding_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5212),
    [aux_sym_contains_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token1] = ACTIONS(5212),
    [aux_sym_use_statement_token2] = ACTIONS(5212),
    [aux_sym_implicit_statement_token1] = ACTIONS(5212),
    [aux_sym_implicit_statement_token3] = ACTIONS(5212),
    [aux_sym_implicit_statement_token4] = ACTIONS(5212),
    [aux_sym_save_statement_token1] = ACTIONS(5212),
    [aux_sym_private_statement_token1] = ACTIONS(5212),
    [aux_sym_public_statement_token1] = ACTIONS(5212),
    [aux_sym_namelist_statement_token1] = ACTIONS(5212),
    [aux_sym_common_statement_token1] = ACTIONS(5212),
    [aux_sym_import_statement_token1] = ACTIONS(5212),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5212),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5212),
    [aux_sym_variable_attributes_token1] = ACTIONS(5212),
    [aux_sym_variable_attributes_token2] = ACTIONS(5212),
    [aux_sym_variable_attributes_token3] = ACTIONS(5212),
    [aux_sym_variable_attributes_token4] = ACTIONS(5212),
    [aux_sym_variable_attributes_token5] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5212),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5212),
    [aux_sym_derived_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token1] = ACTIONS(5212),
    [aux_sym_declared_type_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5212),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5212),
    [aux_sym_type_qualifier_token1] = ACTIONS(5212),
    [aux_sym_type_qualifier_token2] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5212),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5212),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token1] = ACTIONS(5212),
    [aux_sym_stop_statement_token2] = ACTIONS(5212),
    [aux_sym_subroutine_call_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token1] = ACTIONS(5212),
    [aux_sym_keyword_statement_token2] = ACTIONS(5212),
    [aux_sym_keyword_statement_token3] = ACTIONS(5212),
    [aux_sym_keyword_statement_token4] = ACTIONS(5212),
    [aux_sym_keyword_statement_token6] = ACTIONS(5212),
    [aux_sym_keyword_statement_token7] = ACTIONS(5212),
    [aux_sym_include_statement_token1] = ACTIONS(5212),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5212),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5212),
    [aux_sym_end_if_statement_token1] = ACTIONS(5212),
    [aux_sym_elseif_clause_token2] = ACTIONS(5212),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5212),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token1] = ACTIONS(5212),
    [aux_sym_select_case_statement_token3] = ACTIONS(5212),
    [aux_sym_select_type_statement_token1] = ACTIONS(5212),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5212),
    [aux_sym_associate_statement_token1] = ACTIONS(5212),
    [aux_sym_format_statement_token1] = ACTIONS(5212),
    [aux_sym_print_statement_token1] = ACTIONS(5212),
    [aux_sym_open_statement_token1] = ACTIONS(5212),
    [aux_sym_close_statement_token1] = ACTIONS(5212),
    [aux_sym_inquire_statement_token1] = ACTIONS(5212),
    [aux_sym_enum_statement_token1] = ACTIONS(5212),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token1] = ACTIONS(5212),
    [aux_sym_file_position_statement_token2] = ACTIONS(5212),
    [aux_sym_file_position_statement_token3] = ACTIONS(5212),
    [aux_sym_file_position_statement_token4] = ACTIONS(5212),
    [aux_sym_allocate_statement_token1] = ACTIONS(5212),
    [aux_sym_entry_statement_token1] = ACTIONS(5212),
    [aux_sym_assign_statement_token1] = ACTIONS(5212),
    [aux_sym_logical_expression_token5] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [aux_sym_boolean_literal_token1] = ACTIONS(5214),
    [aux_sym_boolean_literal_token2] = ACTIONS(5214),
    [aux_sym_null_literal_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_statement_token2] = ACTIONS(5212),
    [aux_sym_coarray_statement_token6] = ACTIONS(5212),
    [aux_sym_coarray_statement_token8] = ACTIONS(5212),
    [aux_sym_coarray_statement_token11] = ACTIONS(5212),
    [aux_sym_coarray_statement_token12] = ACTIONS(5212),
    [aux_sym_coarray_statement_token13] = ACTIONS(5212),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5212),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5212),
    [aux_sym_identifier_token1] = ACTIONS(5212),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5214),
    [sym__float_literal] = ACTIONS(5214),
    [sym__boz_literal] = ACTIONS(5214),
    [sym__string_literal] = ACTIONS(5214),
    [sym__string_literal_kind] = ACTIONS(5214),
  },
  [1157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5256),
    [aux_sym_preproc_def_token1] = ACTIONS(5256),
    [aux_sym_preproc_if_token1] = ACTIONS(5256),
    [aux_sym_preproc_if_token2] = ACTIONS(5256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5256),
    [sym_preproc_directive] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_PLUS] = ACTIONS(5258),
    [anon_sym_DASH] = ACTIONS(5258),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5256),
    [aux_sym_end_program_statement_token1] = ACTIONS(5256),
    [aux_sym_end_program_statement_token2] = ACTIONS(5256),
    [aux_sym_module_statement_token1] = ACTIONS(5256),
    [aux_sym_submodule_statement_token1] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5258),
    [aux_sym_interface_statement_token1] = ACTIONS(5256),
    [aux_sym_block_data_statement_token1] = ACTIONS(5256),
    [aux_sym_block_data_statement_token2] = ACTIONS(5256),
    [aux_sym_block_data_statement_token3] = ACTIONS(5256),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5256),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5256),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5256),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5256),
    [aux_sym_function_statement_token1] = ACTIONS(5256),
    [aux_sym_language_binding_token1] = ACTIONS(5256),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5256),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5256),
    [aux_sym_contains_statement_token1] = ACTIONS(5256),
    [aux_sym_use_statement_token1] = ACTIONS(5256),
    [aux_sym_use_statement_token2] = ACTIONS(5256),
    [aux_sym_implicit_statement_token1] = ACTIONS(5256),
    [aux_sym_implicit_statement_token3] = ACTIONS(5256),
    [aux_sym_implicit_statement_token4] = ACTIONS(5256),
    [aux_sym_save_statement_token1] = ACTIONS(5256),
    [aux_sym_private_statement_token1] = ACTIONS(5256),
    [aux_sym_public_statement_token1] = ACTIONS(5256),
    [aux_sym_namelist_statement_token1] = ACTIONS(5256),
    [aux_sym_common_statement_token1] = ACTIONS(5256),
    [aux_sym_import_statement_token1] = ACTIONS(5256),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5256),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5256),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5256),
    [aux_sym_variable_attributes_token1] = ACTIONS(5256),
    [aux_sym_variable_attributes_token2] = ACTIONS(5256),
    [aux_sym_variable_attributes_token3] = ACTIONS(5256),
    [aux_sym_variable_attributes_token4] = ACTIONS(5256),
    [aux_sym_variable_attributes_token5] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5256),
    [aux_sym_derived_type_token1] = ACTIONS(5256),
    [aux_sym_declared_type_token1] = ACTIONS(5256),
    [aux_sym_declared_type_token2] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5256),
    [aux_sym_type_qualifier_token1] = ACTIONS(5256),
    [aux_sym_type_qualifier_token2] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5256),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5256),
    [aux_sym_stop_statement_token1] = ACTIONS(5256),
    [aux_sym_stop_statement_token2] = ACTIONS(5256),
    [aux_sym_subroutine_call_token1] = ACTIONS(5256),
    [aux_sym_keyword_statement_token1] = ACTIONS(5256),
    [aux_sym_keyword_statement_token2] = ACTIONS(5256),
    [aux_sym_keyword_statement_token3] = ACTIONS(5256),
    [aux_sym_keyword_statement_token4] = ACTIONS(5256),
    [aux_sym_keyword_statement_token6] = ACTIONS(5256),
    [aux_sym_keyword_statement_token7] = ACTIONS(5256),
    [aux_sym_include_statement_token1] = ACTIONS(5256),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5256),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5256),
    [aux_sym_end_if_statement_token1] = ACTIONS(5256),
    [aux_sym_elseif_clause_token2] = ACTIONS(5256),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5256),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5256),
    [aux_sym_select_case_statement_token1] = ACTIONS(5256),
    [aux_sym_select_case_statement_token3] = ACTIONS(5256),
    [aux_sym_select_type_statement_token1] = ACTIONS(5256),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5256),
    [aux_sym_associate_statement_token1] = ACTIONS(5256),
    [aux_sym_format_statement_token1] = ACTIONS(5256),
    [aux_sym_print_statement_token1] = ACTIONS(5256),
    [aux_sym_open_statement_token1] = ACTIONS(5256),
    [aux_sym_close_statement_token1] = ACTIONS(5256),
    [aux_sym_inquire_statement_token1] = ACTIONS(5256),
    [aux_sym_enum_statement_token1] = ACTIONS(5256),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5256),
    [aux_sym_file_position_statement_token1] = ACTIONS(5256),
    [aux_sym_file_position_statement_token2] = ACTIONS(5256),
    [aux_sym_file_position_statement_token3] = ACTIONS(5256),
    [aux_sym_file_position_statement_token4] = ACTIONS(5256),
    [aux_sym_allocate_statement_token1] = ACTIONS(5256),
    [aux_sym_entry_statement_token1] = ACTIONS(5256),
    [aux_sym_assign_statement_token1] = ACTIONS(5256),
    [aux_sym_logical_expression_token5] = ACTIONS(5258),
    [anon_sym_DOT] = ACTIONS(5256),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5258),
    [anon_sym_LBRACK] = ACTIONS(5258),
    [aux_sym_boolean_literal_token1] = ACTIONS(5258),
    [aux_sym_boolean_literal_token2] = ACTIONS(5258),
    [aux_sym_null_literal_token1] = ACTIONS(5256),
    [aux_sym_coarray_statement_token1] = ACTIONS(5256),
    [aux_sym_coarray_statement_token2] = ACTIONS(5256),
    [aux_sym_coarray_statement_token6] = ACTIONS(5256),
    [aux_sym_coarray_statement_token8] = ACTIONS(5256),
    [aux_sym_coarray_statement_token11] = ACTIONS(5256),
    [aux_sym_coarray_statement_token12] = ACTIONS(5256),
    [aux_sym_coarray_statement_token13] = ACTIONS(5256),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5256),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5256),
    [aux_sym_identifier_token1] = ACTIONS(5256),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5258),
    [sym__float_literal] = ACTIONS(5258),
    [sym__boz_literal] = ACTIONS(5258),
    [sym__string_literal] = ACTIONS(5258),
    [sym__string_literal_kind] = ACTIONS(5258),
  },
  [1158] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5164),
    [aux_sym_preproc_def_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token2] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5164),
    [sym_preproc_directive] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5164),
    [anon_sym_PLUS] = ACTIONS(5166),
    [anon_sym_DASH] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5164),
    [aux_sym_end_program_statement_token1] = ACTIONS(5164),
    [aux_sym_end_program_statement_token2] = ACTIONS(5164),
    [aux_sym_module_statement_token1] = ACTIONS(5164),
    [aux_sym_submodule_statement_token1] = ACTIONS(5164),
    [anon_sym_SEMI] = ACTIONS(5166),
    [aux_sym_interface_statement_token1] = ACTIONS(5164),
    [aux_sym_block_data_statement_token1] = ACTIONS(5164),
    [aux_sym_block_data_statement_token2] = ACTIONS(5164),
    [aux_sym_block_data_statement_token3] = ACTIONS(5164),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5164),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5164),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5164),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5164),
    [aux_sym_function_statement_token1] = ACTIONS(5164),
    [aux_sym_language_binding_token1] = ACTIONS(5164),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5164),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5164),
    [aux_sym_contains_statement_token1] = ACTIONS(5164),
    [aux_sym_use_statement_token1] = ACTIONS(5164),
    [aux_sym_use_statement_token2] = ACTIONS(5164),
    [aux_sym_implicit_statement_token1] = ACTIONS(5164),
    [aux_sym_implicit_statement_token3] = ACTIONS(5164),
    [aux_sym_implicit_statement_token4] = ACTIONS(5164),
    [aux_sym_save_statement_token1] = ACTIONS(5164),
    [aux_sym_private_statement_token1] = ACTIONS(5164),
    [aux_sym_public_statement_token1] = ACTIONS(5164),
    [aux_sym_namelist_statement_token1] = ACTIONS(5164),
    [aux_sym_common_statement_token1] = ACTIONS(5164),
    [aux_sym_import_statement_token1] = ACTIONS(5164),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5164),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5164),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5164),
    [aux_sym_variable_attributes_token1] = ACTIONS(5164),
    [aux_sym_variable_attributes_token2] = ACTIONS(5164),
    [aux_sym_variable_attributes_token3] = ACTIONS(5164),
    [aux_sym_variable_attributes_token4] = ACTIONS(5164),
    [aux_sym_variable_attributes_token5] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5164),
    [aux_sym_derived_type_token1] = ACTIONS(5164),
    [aux_sym_declared_type_token1] = ACTIONS(5164),
    [aux_sym_declared_type_token2] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5164),
    [aux_sym_type_qualifier_token1] = ACTIONS(5164),
    [aux_sym_type_qualifier_token2] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5164),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5164),
    [aux_sym_stop_statement_token1] = ACTIONS(5164),
    [aux_sym_stop_statement_token2] = ACTIONS(5164),
    [aux_sym_subroutine_call_token1] = ACTIONS(5164),
    [aux_sym_keyword_statement_token1] = ACTIONS(5164),
    [aux_sym_keyword_statement_token2] = ACTIONS(5164),
    [aux_sym_keyword_statement_token3] = ACTIONS(5164),
    [aux_sym_keyword_statement_token4] = ACTIONS(5164),
    [aux_sym_keyword_statement_token6] = ACTIONS(5164),
    [aux_sym_keyword_statement_token7] = ACTIONS(5164),
    [aux_sym_include_statement_token1] = ACTIONS(5164),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5164),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5164),
    [aux_sym_end_if_statement_token1] = ACTIONS(5164),
    [aux_sym_elseif_clause_token2] = ACTIONS(5164),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5164),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5164),
    [aux_sym_select_case_statement_token1] = ACTIONS(5164),
    [aux_sym_select_case_statement_token3] = ACTIONS(5164),
    [aux_sym_select_type_statement_token1] = ACTIONS(5164),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5164),
    [aux_sym_associate_statement_token1] = ACTIONS(5164),
    [aux_sym_format_statement_token1] = ACTIONS(5164),
    [aux_sym_print_statement_token1] = ACTIONS(5164),
    [aux_sym_open_statement_token1] = ACTIONS(5164),
    [aux_sym_close_statement_token1] = ACTIONS(5164),
    [aux_sym_inquire_statement_token1] = ACTIONS(5164),
    [aux_sym_enum_statement_token1] = ACTIONS(5164),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5164),
    [aux_sym_file_position_statement_token1] = ACTIONS(5164),
    [aux_sym_file_position_statement_token2] = ACTIONS(5164),
    [aux_sym_file_position_statement_token3] = ACTIONS(5164),
    [aux_sym_file_position_statement_token4] = ACTIONS(5164),
    [aux_sym_allocate_statement_token1] = ACTIONS(5164),
    [aux_sym_entry_statement_token1] = ACTIONS(5164),
    [aux_sym_assign_statement_token1] = ACTIONS(5164),
    [aux_sym_logical_expression_token5] = ACTIONS(5166),
    [anon_sym_DOT] = ACTIONS(5164),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5166),
    [anon_sym_LBRACK] = ACTIONS(5166),
    [aux_sym_boolean_literal_token1] = ACTIONS(5166),
    [aux_sym_boolean_literal_token2] = ACTIONS(5166),
    [aux_sym_null_literal_token1] = ACTIONS(5164),
    [aux_sym_coarray_statement_token1] = ACTIONS(5164),
    [aux_sym_coarray_statement_token2] = ACTIONS(5164),
    [aux_sym_coarray_statement_token6] = ACTIONS(5164),
    [aux_sym_coarray_statement_token8] = ACTIONS(5164),
    [aux_sym_coarray_statement_token11] = ACTIONS(5164),
    [aux_sym_coarray_statement_token12] = ACTIONS(5164),
    [aux_sym_coarray_statement_token13] = ACTIONS(5164),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5164),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5164),
    [aux_sym_identifier_token1] = ACTIONS(5164),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5166),
    [sym__float_literal] = ACTIONS(5166),
    [sym__boz_literal] = ACTIONS(5166),
    [sym__string_literal] = ACTIONS(5166),
    [sym__string_literal_kind] = ACTIONS(5166),
  },
  [1159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5208),
    [aux_sym_preproc_def_token1] = ACTIONS(5208),
    [aux_sym_preproc_if_token1] = ACTIONS(5208),
    [aux_sym_preproc_if_token2] = ACTIONS(5208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5208),
    [sym_preproc_directive] = ACTIONS(5208),
    [anon_sym_LPAREN2] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5208),
    [aux_sym_end_program_statement_token1] = ACTIONS(5208),
    [aux_sym_end_program_statement_token2] = ACTIONS(5208),
    [aux_sym_module_statement_token1] = ACTIONS(5208),
    [aux_sym_submodule_statement_token1] = ACTIONS(5208),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5208),
    [aux_sym_block_data_statement_token1] = ACTIONS(5208),
    [aux_sym_block_data_statement_token2] = ACTIONS(5208),
    [aux_sym_block_data_statement_token3] = ACTIONS(5208),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5208),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5208),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5208),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5208),
    [aux_sym_function_statement_token1] = ACTIONS(5208),
    [aux_sym_language_binding_token1] = ACTIONS(5208),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5208),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5208),
    [aux_sym_contains_statement_token1] = ACTIONS(5208),
    [aux_sym_use_statement_token1] = ACTIONS(5208),
    [aux_sym_use_statement_token2] = ACTIONS(5208),
    [aux_sym_implicit_statement_token1] = ACTIONS(5208),
    [aux_sym_implicit_statement_token3] = ACTIONS(5208),
    [aux_sym_implicit_statement_token4] = ACTIONS(5208),
    [aux_sym_save_statement_token1] = ACTIONS(5208),
    [aux_sym_private_statement_token1] = ACTIONS(5208),
    [aux_sym_public_statement_token1] = ACTIONS(5208),
    [aux_sym_namelist_statement_token1] = ACTIONS(5208),
    [aux_sym_common_statement_token1] = ACTIONS(5208),
    [aux_sym_import_statement_token1] = ACTIONS(5208),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5208),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5208),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5208),
    [aux_sym_variable_attributes_token1] = ACTIONS(5208),
    [aux_sym_variable_attributes_token2] = ACTIONS(5208),
    [aux_sym_variable_attributes_token3] = ACTIONS(5208),
    [aux_sym_variable_attributes_token4] = ACTIONS(5208),
    [aux_sym_variable_attributes_token5] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5208),
    [aux_sym_derived_type_token1] = ACTIONS(5208),
    [aux_sym_declared_type_token1] = ACTIONS(5208),
    [aux_sym_declared_type_token2] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5208),
    [aux_sym_type_qualifier_token1] = ACTIONS(5208),
    [aux_sym_type_qualifier_token2] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5208),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5208),
    [aux_sym_stop_statement_token1] = ACTIONS(5208),
    [aux_sym_stop_statement_token2] = ACTIONS(5208),
    [aux_sym_subroutine_call_token1] = ACTIONS(5208),
    [aux_sym_keyword_statement_token1] = ACTIONS(5208),
    [aux_sym_keyword_statement_token2] = ACTIONS(5208),
    [aux_sym_keyword_statement_token3] = ACTIONS(5208),
    [aux_sym_keyword_statement_token4] = ACTIONS(5208),
    [aux_sym_keyword_statement_token6] = ACTIONS(5208),
    [aux_sym_keyword_statement_token7] = ACTIONS(5208),
    [aux_sym_include_statement_token1] = ACTIONS(5208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5208),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5208),
    [aux_sym_end_if_statement_token1] = ACTIONS(5208),
    [aux_sym_elseif_clause_token2] = ACTIONS(5208),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5208),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5208),
    [aux_sym_select_case_statement_token1] = ACTIONS(5208),
    [aux_sym_select_case_statement_token3] = ACTIONS(5208),
    [aux_sym_select_type_statement_token1] = ACTIONS(5208),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5208),
    [aux_sym_associate_statement_token1] = ACTIONS(5208),
    [aux_sym_format_statement_token1] = ACTIONS(5208),
    [aux_sym_print_statement_token1] = ACTIONS(5208),
    [aux_sym_open_statement_token1] = ACTIONS(5208),
    [aux_sym_close_statement_token1] = ACTIONS(5208),
    [aux_sym_inquire_statement_token1] = ACTIONS(5208),
    [aux_sym_enum_statement_token1] = ACTIONS(5208),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5208),
    [aux_sym_file_position_statement_token1] = ACTIONS(5208),
    [aux_sym_file_position_statement_token2] = ACTIONS(5208),
    [aux_sym_file_position_statement_token3] = ACTIONS(5208),
    [aux_sym_file_position_statement_token4] = ACTIONS(5208),
    [aux_sym_allocate_statement_token1] = ACTIONS(5208),
    [aux_sym_entry_statement_token1] = ACTIONS(5208),
    [aux_sym_assign_statement_token1] = ACTIONS(5208),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5208),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5208),
    [aux_sym_coarray_statement_token1] = ACTIONS(5208),
    [aux_sym_coarray_statement_token2] = ACTIONS(5208),
    [aux_sym_coarray_statement_token6] = ACTIONS(5208),
    [aux_sym_coarray_statement_token8] = ACTIONS(5208),
    [aux_sym_coarray_statement_token11] = ACTIONS(5208),
    [aux_sym_coarray_statement_token12] = ACTIONS(5208),
    [aux_sym_coarray_statement_token13] = ACTIONS(5208),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5208),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5208),
    [aux_sym_identifier_token1] = ACTIONS(5208),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5376),
    [aux_sym_preproc_def_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5376),
    [sym_preproc_directive] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5376),
    [aux_sym_end_program_statement_token1] = ACTIONS(5376),
    [aux_sym_end_program_statement_token2] = ACTIONS(5376),
    [aux_sym_module_statement_token1] = ACTIONS(5376),
    [aux_sym_submodule_statement_token1] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [aux_sym_interface_statement_token1] = ACTIONS(5376),
    [aux_sym_block_data_statement_token1] = ACTIONS(5376),
    [aux_sym_block_data_statement_token2] = ACTIONS(5376),
    [aux_sym_block_data_statement_token3] = ACTIONS(5376),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5376),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5376),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5376),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5376),
    [aux_sym_function_statement_token1] = ACTIONS(5376),
    [aux_sym_language_binding_token1] = ACTIONS(5376),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5376),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5376),
    [aux_sym_contains_statement_token1] = ACTIONS(5376),
    [aux_sym_use_statement_token1] = ACTIONS(5376),
    [aux_sym_use_statement_token2] = ACTIONS(5376),
    [aux_sym_implicit_statement_token1] = ACTIONS(5376),
    [aux_sym_implicit_statement_token3] = ACTIONS(5376),
    [aux_sym_implicit_statement_token4] = ACTIONS(5376),
    [aux_sym_save_statement_token1] = ACTIONS(5376),
    [aux_sym_private_statement_token1] = ACTIONS(5376),
    [aux_sym_public_statement_token1] = ACTIONS(5376),
    [aux_sym_namelist_statement_token1] = ACTIONS(5376),
    [aux_sym_common_statement_token1] = ACTIONS(5376),
    [aux_sym_import_statement_token1] = ACTIONS(5376),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5376),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5376),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5376),
    [aux_sym_variable_attributes_token1] = ACTIONS(5376),
    [aux_sym_variable_attributes_token2] = ACTIONS(5376),
    [aux_sym_variable_attributes_token3] = ACTIONS(5376),
    [aux_sym_variable_attributes_token4] = ACTIONS(5376),
    [aux_sym_variable_attributes_token5] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5376),
    [aux_sym_derived_type_token1] = ACTIONS(5376),
    [aux_sym_declared_type_token1] = ACTIONS(5376),
    [aux_sym_declared_type_token2] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5376),
    [aux_sym_type_qualifier_token1] = ACTIONS(5376),
    [aux_sym_type_qualifier_token2] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5376),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5376),
    [aux_sym_stop_statement_token1] = ACTIONS(5376),
    [aux_sym_stop_statement_token2] = ACTIONS(5376),
    [aux_sym_subroutine_call_token1] = ACTIONS(5376),
    [aux_sym_keyword_statement_token1] = ACTIONS(5376),
    [aux_sym_keyword_statement_token2] = ACTIONS(5376),
    [aux_sym_keyword_statement_token3] = ACTIONS(5376),
    [aux_sym_keyword_statement_token4] = ACTIONS(5376),
    [aux_sym_keyword_statement_token6] = ACTIONS(5376),
    [aux_sym_keyword_statement_token7] = ACTIONS(5376),
    [aux_sym_include_statement_token1] = ACTIONS(5376),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5376),
    [aux_sym_end_if_statement_token1] = ACTIONS(5376),
    [aux_sym_elseif_clause_token2] = ACTIONS(5376),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5376),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5376),
    [aux_sym_select_case_statement_token1] = ACTIONS(5376),
    [aux_sym_select_case_statement_token3] = ACTIONS(5376),
    [aux_sym_select_type_statement_token1] = ACTIONS(5376),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5376),
    [aux_sym_associate_statement_token1] = ACTIONS(5376),
    [aux_sym_format_statement_token1] = ACTIONS(5376),
    [aux_sym_print_statement_token1] = ACTIONS(5376),
    [aux_sym_open_statement_token1] = ACTIONS(5376),
    [aux_sym_close_statement_token1] = ACTIONS(5376),
    [aux_sym_inquire_statement_token1] = ACTIONS(5376),
    [aux_sym_enum_statement_token1] = ACTIONS(5376),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5376),
    [aux_sym_file_position_statement_token1] = ACTIONS(5376),
    [aux_sym_file_position_statement_token2] = ACTIONS(5376),
    [aux_sym_file_position_statement_token3] = ACTIONS(5376),
    [aux_sym_file_position_statement_token4] = ACTIONS(5376),
    [aux_sym_allocate_statement_token1] = ACTIONS(5376),
    [aux_sym_entry_statement_token1] = ACTIONS(5376),
    [aux_sym_assign_statement_token1] = ACTIONS(5376),
    [aux_sym_logical_expression_token5] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [aux_sym_boolean_literal_token1] = ACTIONS(5378),
    [aux_sym_boolean_literal_token2] = ACTIONS(5378),
    [aux_sym_null_literal_token1] = ACTIONS(5376),
    [aux_sym_coarray_statement_token1] = ACTIONS(5376),
    [aux_sym_coarray_statement_token2] = ACTIONS(5376),
    [aux_sym_coarray_statement_token6] = ACTIONS(5376),
    [aux_sym_coarray_statement_token8] = ACTIONS(5376),
    [aux_sym_coarray_statement_token11] = ACTIONS(5376),
    [aux_sym_coarray_statement_token12] = ACTIONS(5376),
    [aux_sym_coarray_statement_token13] = ACTIONS(5376),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5376),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5376),
    [aux_sym_identifier_token1] = ACTIONS(5376),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5378),
    [sym__float_literal] = ACTIONS(5378),
    [sym__boz_literal] = ACTIONS(5378),
    [sym__string_literal] = ACTIONS(5378),
    [sym__string_literal_kind] = ACTIONS(5378),
  },
  [1161] = {
    [ts_builtin_sym_end] = ACTIONS(5186),
    [aux_sym_preproc_include_token1] = ACTIONS(5184),
    [aux_sym_preproc_def_token1] = ACTIONS(5184),
    [aux_sym_preproc_if_token1] = ACTIONS(5184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5184),
    [sym_preproc_directive] = ACTIONS(5184),
    [anon_sym_LPAREN2] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5184),
    [aux_sym_end_program_statement_token1] = ACTIONS(5184),
    [aux_sym_end_program_statement_token2] = ACTIONS(5184),
    [aux_sym_module_statement_token1] = ACTIONS(5184),
    [aux_sym_submodule_statement_token1] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [aux_sym_interface_statement_token1] = ACTIONS(5184),
    [aux_sym_block_data_statement_token1] = ACTIONS(5184),
    [aux_sym_block_data_statement_token2] = ACTIONS(5184),
    [aux_sym_block_data_statement_token3] = ACTIONS(5184),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5184),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5184),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5184),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5184),
    [aux_sym_function_statement_token1] = ACTIONS(5184),
    [aux_sym_language_binding_token1] = ACTIONS(5184),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5184),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5184),
    [aux_sym_contains_statement_token1] = ACTIONS(5184),
    [aux_sym_use_statement_token1] = ACTIONS(5184),
    [aux_sym_use_statement_token2] = ACTIONS(5184),
    [aux_sym_implicit_statement_token1] = ACTIONS(5184),
    [aux_sym_implicit_statement_token3] = ACTIONS(5184),
    [aux_sym_implicit_statement_token4] = ACTIONS(5184),
    [aux_sym_save_statement_token1] = ACTIONS(5184),
    [aux_sym_private_statement_token1] = ACTIONS(5184),
    [aux_sym_public_statement_token1] = ACTIONS(5184),
    [aux_sym_namelist_statement_token1] = ACTIONS(5184),
    [aux_sym_common_statement_token1] = ACTIONS(5184),
    [aux_sym_import_statement_token1] = ACTIONS(5184),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5184),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5184),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5184),
    [aux_sym_variable_attributes_token1] = ACTIONS(5184),
    [aux_sym_variable_attributes_token2] = ACTIONS(5184),
    [aux_sym_variable_attributes_token3] = ACTIONS(5184),
    [aux_sym_variable_attributes_token4] = ACTIONS(5184),
    [aux_sym_variable_attributes_token5] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5184),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5184),
    [aux_sym_derived_type_token1] = ACTIONS(5184),
    [aux_sym_declared_type_token1] = ACTIONS(5184),
    [aux_sym_declared_type_token2] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5184),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5184),
    [aux_sym_type_qualifier_token1] = ACTIONS(5184),
    [aux_sym_type_qualifier_token2] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5184),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5184),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5184),
    [aux_sym_stop_statement_token1] = ACTIONS(5184),
    [aux_sym_stop_statement_token2] = ACTIONS(5184),
    [aux_sym_subroutine_call_token1] = ACTIONS(5184),
    [aux_sym_keyword_statement_token1] = ACTIONS(5184),
    [aux_sym_keyword_statement_token2] = ACTIONS(5184),
    [aux_sym_keyword_statement_token3] = ACTIONS(5184),
    [aux_sym_keyword_statement_token4] = ACTIONS(5184),
    [aux_sym_keyword_statement_token6] = ACTIONS(5184),
    [aux_sym_keyword_statement_token7] = ACTIONS(5184),
    [aux_sym_include_statement_token1] = ACTIONS(5184),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5184),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5184),
    [aux_sym_end_if_statement_token1] = ACTIONS(5184),
    [aux_sym_elseif_clause_token2] = ACTIONS(5184),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5184),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5184),
    [aux_sym_select_case_statement_token1] = ACTIONS(5184),
    [aux_sym_select_case_statement_token3] = ACTIONS(5184),
    [aux_sym_select_type_statement_token1] = ACTIONS(5184),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5184),
    [aux_sym_associate_statement_token1] = ACTIONS(5184),
    [aux_sym_format_statement_token1] = ACTIONS(5184),
    [aux_sym_print_statement_token1] = ACTIONS(5184),
    [aux_sym_open_statement_token1] = ACTIONS(5184),
    [aux_sym_close_statement_token1] = ACTIONS(5184),
    [aux_sym_inquire_statement_token1] = ACTIONS(5184),
    [aux_sym_enum_statement_token1] = ACTIONS(5184),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5184),
    [aux_sym_file_position_statement_token1] = ACTIONS(5184),
    [aux_sym_file_position_statement_token2] = ACTIONS(5184),
    [aux_sym_file_position_statement_token3] = ACTIONS(5184),
    [aux_sym_file_position_statement_token4] = ACTIONS(5184),
    [aux_sym_allocate_statement_token1] = ACTIONS(5184),
    [aux_sym_entry_statement_token1] = ACTIONS(5184),
    [aux_sym_assign_statement_token1] = ACTIONS(5184),
    [aux_sym_logical_expression_token5] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [aux_sym_boolean_literal_token1] = ACTIONS(5186),
    [aux_sym_boolean_literal_token2] = ACTIONS(5186),
    [aux_sym_null_literal_token1] = ACTIONS(5184),
    [aux_sym_coarray_statement_token1] = ACTIONS(5184),
    [aux_sym_coarray_statement_token2] = ACTIONS(5184),
    [aux_sym_coarray_statement_token6] = ACTIONS(5184),
    [aux_sym_coarray_statement_token8] = ACTIONS(5184),
    [aux_sym_coarray_statement_token11] = ACTIONS(5184),
    [aux_sym_coarray_statement_token12] = ACTIONS(5184),
    [aux_sym_coarray_statement_token13] = ACTIONS(5184),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5184),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5184),
    [aux_sym_identifier_token1] = ACTIONS(5184),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5186),
    [sym__float_literal] = ACTIONS(5186),
    [sym__boz_literal] = ACTIONS(5186),
    [sym__string_literal] = ACTIONS(5186),
    [sym__string_literal_kind] = ACTIONS(5186),
  },
  [1162] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token2] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5404),
    [aux_sym_end_program_statement_token1] = ACTIONS(5404),
    [aux_sym_end_program_statement_token2] = ACTIONS(5404),
    [aux_sym_module_statement_token1] = ACTIONS(5404),
    [aux_sym_submodule_statement_token1] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [aux_sym_interface_statement_token1] = ACTIONS(5404),
    [aux_sym_block_data_statement_token1] = ACTIONS(5404),
    [aux_sym_block_data_statement_token2] = ACTIONS(5404),
    [aux_sym_block_data_statement_token3] = ACTIONS(5404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5404),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5404),
    [aux_sym_function_statement_token1] = ACTIONS(5404),
    [aux_sym_language_binding_token1] = ACTIONS(5404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5404),
    [aux_sym_contains_statement_token1] = ACTIONS(5404),
    [aux_sym_use_statement_token1] = ACTIONS(5404),
    [aux_sym_use_statement_token2] = ACTIONS(5404),
    [aux_sym_implicit_statement_token1] = ACTIONS(5404),
    [aux_sym_implicit_statement_token3] = ACTIONS(5404),
    [aux_sym_implicit_statement_token4] = ACTIONS(5404),
    [aux_sym_save_statement_token1] = ACTIONS(5404),
    [aux_sym_private_statement_token1] = ACTIONS(5404),
    [aux_sym_public_statement_token1] = ACTIONS(5404),
    [aux_sym_namelist_statement_token1] = ACTIONS(5404),
    [aux_sym_common_statement_token1] = ACTIONS(5404),
    [aux_sym_import_statement_token1] = ACTIONS(5404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5404),
    [aux_sym_variable_attributes_token1] = ACTIONS(5404),
    [aux_sym_variable_attributes_token2] = ACTIONS(5404),
    [aux_sym_variable_attributes_token3] = ACTIONS(5404),
    [aux_sym_variable_attributes_token4] = ACTIONS(5404),
    [aux_sym_variable_attributes_token5] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5404),
    [aux_sym_derived_type_token1] = ACTIONS(5404),
    [aux_sym_declared_type_token1] = ACTIONS(5404),
    [aux_sym_declared_type_token2] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5404),
    [aux_sym_type_qualifier_token1] = ACTIONS(5404),
    [aux_sym_type_qualifier_token2] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5404),
    [aux_sym_stop_statement_token1] = ACTIONS(5404),
    [aux_sym_stop_statement_token2] = ACTIONS(5404),
    [aux_sym_subroutine_call_token1] = ACTIONS(5404),
    [aux_sym_keyword_statement_token1] = ACTIONS(5404),
    [aux_sym_keyword_statement_token2] = ACTIONS(5404),
    [aux_sym_keyword_statement_token3] = ACTIONS(5404),
    [aux_sym_keyword_statement_token4] = ACTIONS(5404),
    [aux_sym_keyword_statement_token6] = ACTIONS(5404),
    [aux_sym_keyword_statement_token7] = ACTIONS(5404),
    [aux_sym_include_statement_token1] = ACTIONS(5404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5404),
    [aux_sym_end_if_statement_token1] = ACTIONS(5404),
    [aux_sym_elseif_clause_token2] = ACTIONS(5404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5404),
    [aux_sym_select_case_statement_token1] = ACTIONS(5404),
    [aux_sym_select_case_statement_token3] = ACTIONS(5404),
    [aux_sym_select_type_statement_token1] = ACTIONS(5404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5404),
    [aux_sym_associate_statement_token1] = ACTIONS(5404),
    [aux_sym_format_statement_token1] = ACTIONS(5404),
    [aux_sym_print_statement_token1] = ACTIONS(5404),
    [aux_sym_open_statement_token1] = ACTIONS(5404),
    [aux_sym_close_statement_token1] = ACTIONS(5404),
    [aux_sym_inquire_statement_token1] = ACTIONS(5404),
    [aux_sym_enum_statement_token1] = ACTIONS(5404),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5404),
    [aux_sym_file_position_statement_token1] = ACTIONS(5404),
    [aux_sym_file_position_statement_token2] = ACTIONS(5404),
    [aux_sym_file_position_statement_token3] = ACTIONS(5404),
    [aux_sym_file_position_statement_token4] = ACTIONS(5404),
    [aux_sym_allocate_statement_token1] = ACTIONS(5404),
    [aux_sym_entry_statement_token1] = ACTIONS(5404),
    [aux_sym_assign_statement_token1] = ACTIONS(5404),
    [aux_sym_logical_expression_token5] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [aux_sym_boolean_literal_token1] = ACTIONS(5406),
    [aux_sym_boolean_literal_token2] = ACTIONS(5406),
    [aux_sym_null_literal_token1] = ACTIONS(5404),
    [aux_sym_coarray_statement_token1] = ACTIONS(5404),
    [aux_sym_coarray_statement_token2] = ACTIONS(5404),
    [aux_sym_coarray_statement_token6] = ACTIONS(5404),
    [aux_sym_coarray_statement_token8] = ACTIONS(5404),
    [aux_sym_coarray_statement_token11] = ACTIONS(5404),
    [aux_sym_coarray_statement_token12] = ACTIONS(5404),
    [aux_sym_coarray_statement_token13] = ACTIONS(5404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5404),
    [aux_sym_identifier_token1] = ACTIONS(5404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5406),
    [sym__float_literal] = ACTIONS(5406),
    [sym__boz_literal] = ACTIONS(5406),
    [sym__string_literal] = ACTIONS(5406),
    [sym__string_literal_kind] = ACTIONS(5406),
  },
  [1163] = {
    [ts_builtin_sym_end] = ACTIONS(5386),
    [aux_sym_preproc_include_token1] = ACTIONS(5384),
    [aux_sym_preproc_def_token1] = ACTIONS(5384),
    [aux_sym_preproc_if_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5384),
    [sym_preproc_directive] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token1] = ACTIONS(5384),
    [aux_sym_end_program_statement_token2] = ACTIONS(5384),
    [aux_sym_module_statement_token1] = ACTIONS(5384),
    [aux_sym_submodule_statement_token1] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5386),
    [aux_sym_interface_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token1] = ACTIONS(5384),
    [aux_sym_block_data_statement_token2] = ACTIONS(5384),
    [aux_sym_block_data_statement_token3] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5384),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5384),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5384),
    [aux_sym_function_statement_token1] = ACTIONS(5384),
    [aux_sym_language_binding_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5384),
    [aux_sym_contains_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token1] = ACTIONS(5384),
    [aux_sym_use_statement_token2] = ACTIONS(5384),
    [aux_sym_implicit_statement_token1] = ACTIONS(5384),
    [aux_sym_implicit_statement_token3] = ACTIONS(5384),
    [aux_sym_implicit_statement_token4] = ACTIONS(5384),
    [aux_sym_save_statement_token1] = ACTIONS(5384),
    [aux_sym_private_statement_token1] = ACTIONS(5384),
    [aux_sym_public_statement_token1] = ACTIONS(5384),
    [aux_sym_namelist_statement_token1] = ACTIONS(5384),
    [aux_sym_common_statement_token1] = ACTIONS(5384),
    [aux_sym_import_statement_token1] = ACTIONS(5384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5384),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5384),
    [aux_sym_variable_attributes_token1] = ACTIONS(5384),
    [aux_sym_variable_attributes_token2] = ACTIONS(5384),
    [aux_sym_variable_attributes_token3] = ACTIONS(5384),
    [aux_sym_variable_attributes_token4] = ACTIONS(5384),
    [aux_sym_variable_attributes_token5] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5384),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5384),
    [aux_sym_derived_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token1] = ACTIONS(5384),
    [aux_sym_declared_type_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5384),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5384),
    [aux_sym_type_qualifier_token1] = ACTIONS(5384),
    [aux_sym_type_qualifier_token2] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5384),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5384),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token1] = ACTIONS(5384),
    [aux_sym_stop_statement_token2] = ACTIONS(5384),
    [aux_sym_subroutine_call_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token1] = ACTIONS(5384),
    [aux_sym_keyword_statement_token2] = ACTIONS(5384),
    [aux_sym_keyword_statement_token3] = ACTIONS(5384),
    [aux_sym_keyword_statement_token4] = ACTIONS(5384),
    [aux_sym_keyword_statement_token6] = ACTIONS(5384),
    [aux_sym_keyword_statement_token7] = ACTIONS(5384),
    [aux_sym_include_statement_token1] = ACTIONS(5384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5384),
    [aux_sym_end_if_statement_token1] = ACTIONS(5384),
    [aux_sym_elseif_clause_token2] = ACTIONS(5384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token1] = ACTIONS(5384),
    [aux_sym_select_case_statement_token3] = ACTIONS(5384),
    [aux_sym_select_type_statement_token1] = ACTIONS(5384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5384),
    [aux_sym_associate_statement_token1] = ACTIONS(5384),
    [aux_sym_format_statement_token1] = ACTIONS(5384),
    [aux_sym_print_statement_token1] = ACTIONS(5384),
    [aux_sym_open_statement_token1] = ACTIONS(5384),
    [aux_sym_close_statement_token1] = ACTIONS(5384),
    [aux_sym_inquire_statement_token1] = ACTIONS(5384),
    [aux_sym_enum_statement_token1] = ACTIONS(5384),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token1] = ACTIONS(5384),
    [aux_sym_file_position_statement_token2] = ACTIONS(5384),
    [aux_sym_file_position_statement_token3] = ACTIONS(5384),
    [aux_sym_file_position_statement_token4] = ACTIONS(5384),
    [aux_sym_allocate_statement_token1] = ACTIONS(5384),
    [aux_sym_entry_statement_token1] = ACTIONS(5384),
    [aux_sym_assign_statement_token1] = ACTIONS(5384),
    [aux_sym_logical_expression_token5] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [aux_sym_boolean_literal_token1] = ACTIONS(5386),
    [aux_sym_boolean_literal_token2] = ACTIONS(5386),
    [aux_sym_null_literal_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_statement_token2] = ACTIONS(5384),
    [aux_sym_coarray_statement_token6] = ACTIONS(5384),
    [aux_sym_coarray_statement_token8] = ACTIONS(5384),
    [aux_sym_coarray_statement_token11] = ACTIONS(5384),
    [aux_sym_coarray_statement_token12] = ACTIONS(5384),
    [aux_sym_coarray_statement_token13] = ACTIONS(5384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5384),
    [aux_sym_identifier_token1] = ACTIONS(5384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5386),
    [sym__float_literal] = ACTIONS(5386),
    [sym__boz_literal] = ACTIONS(5386),
    [sym__string_literal] = ACTIONS(5386),
    [sym__string_literal_kind] = ACTIONS(5386),
  },
  [1164] = {
    [ts_builtin_sym_end] = ACTIONS(5390),
    [aux_sym_preproc_include_token1] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5388),
    [aux_sym_end_program_statement_token1] = ACTIONS(5388),
    [aux_sym_end_program_statement_token2] = ACTIONS(5388),
    [aux_sym_module_statement_token1] = ACTIONS(5388),
    [aux_sym_submodule_statement_token1] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [aux_sym_interface_statement_token1] = ACTIONS(5388),
    [aux_sym_block_data_statement_token1] = ACTIONS(5388),
    [aux_sym_block_data_statement_token2] = ACTIONS(5388),
    [aux_sym_block_data_statement_token3] = ACTIONS(5388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5388),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5388),
    [aux_sym_function_statement_token1] = ACTIONS(5388),
    [aux_sym_language_binding_token1] = ACTIONS(5388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5388),
    [aux_sym_contains_statement_token1] = ACTIONS(5388),
    [aux_sym_use_statement_token1] = ACTIONS(5388),
    [aux_sym_use_statement_token2] = ACTIONS(5388),
    [aux_sym_implicit_statement_token1] = ACTIONS(5388),
    [aux_sym_implicit_statement_token3] = ACTIONS(5388),
    [aux_sym_implicit_statement_token4] = ACTIONS(5388),
    [aux_sym_save_statement_token1] = ACTIONS(5388),
    [aux_sym_private_statement_token1] = ACTIONS(5388),
    [aux_sym_public_statement_token1] = ACTIONS(5388),
    [aux_sym_namelist_statement_token1] = ACTIONS(5388),
    [aux_sym_common_statement_token1] = ACTIONS(5388),
    [aux_sym_import_statement_token1] = ACTIONS(5388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5388),
    [aux_sym_variable_attributes_token1] = ACTIONS(5388),
    [aux_sym_variable_attributes_token2] = ACTIONS(5388),
    [aux_sym_variable_attributes_token3] = ACTIONS(5388),
    [aux_sym_variable_attributes_token4] = ACTIONS(5388),
    [aux_sym_variable_attributes_token5] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5388),
    [aux_sym_derived_type_token1] = ACTIONS(5388),
    [aux_sym_declared_type_token1] = ACTIONS(5388),
    [aux_sym_declared_type_token2] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5388),
    [aux_sym_type_qualifier_token1] = ACTIONS(5388),
    [aux_sym_type_qualifier_token2] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5388),
    [aux_sym_stop_statement_token1] = ACTIONS(5388),
    [aux_sym_stop_statement_token2] = ACTIONS(5388),
    [aux_sym_subroutine_call_token1] = ACTIONS(5388),
    [aux_sym_keyword_statement_token1] = ACTIONS(5388),
    [aux_sym_keyword_statement_token2] = ACTIONS(5388),
    [aux_sym_keyword_statement_token3] = ACTIONS(5388),
    [aux_sym_keyword_statement_token4] = ACTIONS(5388),
    [aux_sym_keyword_statement_token6] = ACTIONS(5388),
    [aux_sym_keyword_statement_token7] = ACTIONS(5388),
    [aux_sym_include_statement_token1] = ACTIONS(5388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5388),
    [aux_sym_end_if_statement_token1] = ACTIONS(5388),
    [aux_sym_elseif_clause_token2] = ACTIONS(5388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5388),
    [aux_sym_select_case_statement_token1] = ACTIONS(5388),
    [aux_sym_select_case_statement_token3] = ACTIONS(5388),
    [aux_sym_select_type_statement_token1] = ACTIONS(5388),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5388),
    [aux_sym_associate_statement_token1] = ACTIONS(5388),
    [aux_sym_format_statement_token1] = ACTIONS(5388),
    [aux_sym_print_statement_token1] = ACTIONS(5388),
    [aux_sym_open_statement_token1] = ACTIONS(5388),
    [aux_sym_close_statement_token1] = ACTIONS(5388),
    [aux_sym_inquire_statement_token1] = ACTIONS(5388),
    [aux_sym_enum_statement_token1] = ACTIONS(5388),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5388),
    [aux_sym_file_position_statement_token1] = ACTIONS(5388),
    [aux_sym_file_position_statement_token2] = ACTIONS(5388),
    [aux_sym_file_position_statement_token3] = ACTIONS(5388),
    [aux_sym_file_position_statement_token4] = ACTIONS(5388),
    [aux_sym_allocate_statement_token1] = ACTIONS(5388),
    [aux_sym_entry_statement_token1] = ACTIONS(5388),
    [aux_sym_assign_statement_token1] = ACTIONS(5388),
    [aux_sym_logical_expression_token5] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [aux_sym_boolean_literal_token1] = ACTIONS(5390),
    [aux_sym_boolean_literal_token2] = ACTIONS(5390),
    [aux_sym_null_literal_token1] = ACTIONS(5388),
    [aux_sym_coarray_statement_token1] = ACTIONS(5388),
    [aux_sym_coarray_statement_token2] = ACTIONS(5388),
    [aux_sym_coarray_statement_token6] = ACTIONS(5388),
    [aux_sym_coarray_statement_token8] = ACTIONS(5388),
    [aux_sym_coarray_statement_token11] = ACTIONS(5388),
    [aux_sym_coarray_statement_token12] = ACTIONS(5388),
    [aux_sym_coarray_statement_token13] = ACTIONS(5388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5388),
    [aux_sym_identifier_token1] = ACTIONS(5388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5390),
    [sym__float_literal] = ACTIONS(5390),
    [sym__boz_literal] = ACTIONS(5390),
    [sym__string_literal] = ACTIONS(5390),
    [sym__string_literal_kind] = ACTIONS(5390),
  },
  [1165] = {
    [ts_builtin_sym_end] = ACTIONS(5362),
    [aux_sym_preproc_include_token1] = ACTIONS(5360),
    [aux_sym_preproc_def_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5360),
    [sym_preproc_directive] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5362),
    [anon_sym_DASH] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5360),
    [aux_sym_end_program_statement_token1] = ACTIONS(5360),
    [aux_sym_end_program_statement_token2] = ACTIONS(5360),
    [aux_sym_module_statement_token1] = ACTIONS(5360),
    [aux_sym_submodule_statement_token1] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [aux_sym_interface_statement_token1] = ACTIONS(5360),
    [aux_sym_block_data_statement_token1] = ACTIONS(5360),
    [aux_sym_block_data_statement_token2] = ACTIONS(5360),
    [aux_sym_block_data_statement_token3] = ACTIONS(5360),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5360),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5360),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5360),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5360),
    [aux_sym_function_statement_token1] = ACTIONS(5360),
    [aux_sym_language_binding_token1] = ACTIONS(5360),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5360),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5360),
    [aux_sym_contains_statement_token1] = ACTIONS(5360),
    [aux_sym_use_statement_token1] = ACTIONS(5360),
    [aux_sym_use_statement_token2] = ACTIONS(5360),
    [aux_sym_implicit_statement_token1] = ACTIONS(5360),
    [aux_sym_implicit_statement_token3] = ACTIONS(5360),
    [aux_sym_implicit_statement_token4] = ACTIONS(5360),
    [aux_sym_save_statement_token1] = ACTIONS(5360),
    [aux_sym_private_statement_token1] = ACTIONS(5360),
    [aux_sym_public_statement_token1] = ACTIONS(5360),
    [aux_sym_namelist_statement_token1] = ACTIONS(5360),
    [aux_sym_common_statement_token1] = ACTIONS(5360),
    [aux_sym_import_statement_token1] = ACTIONS(5360),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5360),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5360),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5360),
    [aux_sym_variable_attributes_token1] = ACTIONS(5360),
    [aux_sym_variable_attributes_token2] = ACTIONS(5360),
    [aux_sym_variable_attributes_token3] = ACTIONS(5360),
    [aux_sym_variable_attributes_token4] = ACTIONS(5360),
    [aux_sym_variable_attributes_token5] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5360),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5360),
    [aux_sym_derived_type_token1] = ACTIONS(5360),
    [aux_sym_declared_type_token1] = ACTIONS(5360),
    [aux_sym_declared_type_token2] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5360),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5360),
    [aux_sym_type_qualifier_token1] = ACTIONS(5360),
    [aux_sym_type_qualifier_token2] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5360),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5360),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5360),
    [aux_sym_stop_statement_token1] = ACTIONS(5360),
    [aux_sym_stop_statement_token2] = ACTIONS(5360),
    [aux_sym_subroutine_call_token1] = ACTIONS(5360),
    [aux_sym_keyword_statement_token1] = ACTIONS(5360),
    [aux_sym_keyword_statement_token2] = ACTIONS(5360),
    [aux_sym_keyword_statement_token3] = ACTIONS(5360),
    [aux_sym_keyword_statement_token4] = ACTIONS(5360),
    [aux_sym_keyword_statement_token6] = ACTIONS(5360),
    [aux_sym_keyword_statement_token7] = ACTIONS(5360),
    [aux_sym_include_statement_token1] = ACTIONS(5360),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5360),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5360),
    [aux_sym_end_if_statement_token1] = ACTIONS(5360),
    [aux_sym_elseif_clause_token2] = ACTIONS(5360),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5360),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5360),
    [aux_sym_select_case_statement_token1] = ACTIONS(5360),
    [aux_sym_select_case_statement_token3] = ACTIONS(5360),
    [aux_sym_select_type_statement_token1] = ACTIONS(5360),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5360),
    [aux_sym_associate_statement_token1] = ACTIONS(5360),
    [aux_sym_format_statement_token1] = ACTIONS(5360),
    [aux_sym_print_statement_token1] = ACTIONS(5360),
    [aux_sym_open_statement_token1] = ACTIONS(5360),
    [aux_sym_close_statement_token1] = ACTIONS(5360),
    [aux_sym_inquire_statement_token1] = ACTIONS(5360),
    [aux_sym_enum_statement_token1] = ACTIONS(5360),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5360),
    [aux_sym_file_position_statement_token1] = ACTIONS(5360),
    [aux_sym_file_position_statement_token2] = ACTIONS(5360),
    [aux_sym_file_position_statement_token3] = ACTIONS(5360),
    [aux_sym_file_position_statement_token4] = ACTIONS(5360),
    [aux_sym_allocate_statement_token1] = ACTIONS(5360),
    [aux_sym_entry_statement_token1] = ACTIONS(5360),
    [aux_sym_assign_statement_token1] = ACTIONS(5360),
    [aux_sym_logical_expression_token5] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5360),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [aux_sym_boolean_literal_token1] = ACTIONS(5362),
    [aux_sym_boolean_literal_token2] = ACTIONS(5362),
    [aux_sym_null_literal_token1] = ACTIONS(5360),
    [aux_sym_coarray_statement_token1] = ACTIONS(5360),
    [aux_sym_coarray_statement_token2] = ACTIONS(5360),
    [aux_sym_coarray_statement_token6] = ACTIONS(5360),
    [aux_sym_coarray_statement_token8] = ACTIONS(5360),
    [aux_sym_coarray_statement_token11] = ACTIONS(5360),
    [aux_sym_coarray_statement_token12] = ACTIONS(5360),
    [aux_sym_coarray_statement_token13] = ACTIONS(5360),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5360),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5360),
    [aux_sym_identifier_token1] = ACTIONS(5360),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5362),
    [sym__float_literal] = ACTIONS(5362),
    [sym__boz_literal] = ACTIONS(5362),
    [sym__string_literal] = ACTIONS(5362),
    [sym__string_literal_kind] = ACTIONS(5362),
  },
  [1166] = {
    [ts_builtin_sym_end] = ACTIONS(5258),
    [aux_sym_preproc_include_token1] = ACTIONS(5256),
    [aux_sym_preproc_def_token1] = ACTIONS(5256),
    [aux_sym_preproc_if_token1] = ACTIONS(5256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5256),
    [sym_preproc_directive] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_PLUS] = ACTIONS(5258),
    [anon_sym_DASH] = ACTIONS(5258),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5256),
    [aux_sym_end_program_statement_token1] = ACTIONS(5256),
    [aux_sym_end_program_statement_token2] = ACTIONS(5256),
    [aux_sym_module_statement_token1] = ACTIONS(5256),
    [aux_sym_submodule_statement_token1] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5258),
    [aux_sym_interface_statement_token1] = ACTIONS(5256),
    [aux_sym_block_data_statement_token1] = ACTIONS(5256),
    [aux_sym_block_data_statement_token2] = ACTIONS(5256),
    [aux_sym_block_data_statement_token3] = ACTIONS(5256),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5256),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5256),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5256),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5256),
    [aux_sym_function_statement_token1] = ACTIONS(5256),
    [aux_sym_language_binding_token1] = ACTIONS(5256),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5256),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5256),
    [aux_sym_contains_statement_token1] = ACTIONS(5256),
    [aux_sym_use_statement_token1] = ACTIONS(5256),
    [aux_sym_use_statement_token2] = ACTIONS(5256),
    [aux_sym_implicit_statement_token1] = ACTIONS(5256),
    [aux_sym_implicit_statement_token3] = ACTIONS(5256),
    [aux_sym_implicit_statement_token4] = ACTIONS(5256),
    [aux_sym_save_statement_token1] = ACTIONS(5256),
    [aux_sym_private_statement_token1] = ACTIONS(5256),
    [aux_sym_public_statement_token1] = ACTIONS(5256),
    [aux_sym_namelist_statement_token1] = ACTIONS(5256),
    [aux_sym_common_statement_token1] = ACTIONS(5256),
    [aux_sym_import_statement_token1] = ACTIONS(5256),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5256),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5256),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5256),
    [aux_sym_variable_attributes_token1] = ACTIONS(5256),
    [aux_sym_variable_attributes_token2] = ACTIONS(5256),
    [aux_sym_variable_attributes_token3] = ACTIONS(5256),
    [aux_sym_variable_attributes_token4] = ACTIONS(5256),
    [aux_sym_variable_attributes_token5] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5256),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5256),
    [aux_sym_derived_type_token1] = ACTIONS(5256),
    [aux_sym_declared_type_token1] = ACTIONS(5256),
    [aux_sym_declared_type_token2] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5256),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5256),
    [aux_sym_type_qualifier_token1] = ACTIONS(5256),
    [aux_sym_type_qualifier_token2] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5256),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5256),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5256),
    [aux_sym_stop_statement_token1] = ACTIONS(5256),
    [aux_sym_stop_statement_token2] = ACTIONS(5256),
    [aux_sym_subroutine_call_token1] = ACTIONS(5256),
    [aux_sym_keyword_statement_token1] = ACTIONS(5256),
    [aux_sym_keyword_statement_token2] = ACTIONS(5256),
    [aux_sym_keyword_statement_token3] = ACTIONS(5256),
    [aux_sym_keyword_statement_token4] = ACTIONS(5256),
    [aux_sym_keyword_statement_token6] = ACTIONS(5256),
    [aux_sym_keyword_statement_token7] = ACTIONS(5256),
    [aux_sym_include_statement_token1] = ACTIONS(5256),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5256),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5256),
    [aux_sym_end_if_statement_token1] = ACTIONS(5256),
    [aux_sym_elseif_clause_token2] = ACTIONS(5256),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5256),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5256),
    [aux_sym_select_case_statement_token1] = ACTIONS(5256),
    [aux_sym_select_case_statement_token3] = ACTIONS(5256),
    [aux_sym_select_type_statement_token1] = ACTIONS(5256),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5256),
    [aux_sym_associate_statement_token1] = ACTIONS(5256),
    [aux_sym_format_statement_token1] = ACTIONS(5256),
    [aux_sym_print_statement_token1] = ACTIONS(5256),
    [aux_sym_open_statement_token1] = ACTIONS(5256),
    [aux_sym_close_statement_token1] = ACTIONS(5256),
    [aux_sym_inquire_statement_token1] = ACTIONS(5256),
    [aux_sym_enum_statement_token1] = ACTIONS(5256),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5256),
    [aux_sym_file_position_statement_token1] = ACTIONS(5256),
    [aux_sym_file_position_statement_token2] = ACTIONS(5256),
    [aux_sym_file_position_statement_token3] = ACTIONS(5256),
    [aux_sym_file_position_statement_token4] = ACTIONS(5256),
    [aux_sym_allocate_statement_token1] = ACTIONS(5256),
    [aux_sym_entry_statement_token1] = ACTIONS(5256),
    [aux_sym_assign_statement_token1] = ACTIONS(5256),
    [aux_sym_logical_expression_token5] = ACTIONS(5258),
    [anon_sym_DOT] = ACTIONS(5256),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5258),
    [anon_sym_LBRACK] = ACTIONS(5258),
    [aux_sym_boolean_literal_token1] = ACTIONS(5258),
    [aux_sym_boolean_literal_token2] = ACTIONS(5258),
    [aux_sym_null_literal_token1] = ACTIONS(5256),
    [aux_sym_coarray_statement_token1] = ACTIONS(5256),
    [aux_sym_coarray_statement_token2] = ACTIONS(5256),
    [aux_sym_coarray_statement_token6] = ACTIONS(5256),
    [aux_sym_coarray_statement_token8] = ACTIONS(5256),
    [aux_sym_coarray_statement_token11] = ACTIONS(5256),
    [aux_sym_coarray_statement_token12] = ACTIONS(5256),
    [aux_sym_coarray_statement_token13] = ACTIONS(5256),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5256),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5256),
    [aux_sym_identifier_token1] = ACTIONS(5256),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5258),
    [sym__float_literal] = ACTIONS(5258),
    [sym__boz_literal] = ACTIONS(5258),
    [sym__string_literal] = ACTIONS(5258),
    [sym__string_literal_kind] = ACTIONS(5258),
  },
  [1167] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5388),
    [aux_sym_preproc_def_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token1] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5388),
    [sym_preproc_directive] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5388),
    [anon_sym_PLUS] = ACTIONS(5390),
    [anon_sym_DASH] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5388),
    [aux_sym_end_program_statement_token1] = ACTIONS(5388),
    [aux_sym_end_program_statement_token2] = ACTIONS(5388),
    [aux_sym_module_statement_token1] = ACTIONS(5388),
    [aux_sym_submodule_statement_token1] = ACTIONS(5388),
    [anon_sym_SEMI] = ACTIONS(5390),
    [aux_sym_interface_statement_token1] = ACTIONS(5388),
    [aux_sym_block_data_statement_token1] = ACTIONS(5388),
    [aux_sym_block_data_statement_token2] = ACTIONS(5388),
    [aux_sym_block_data_statement_token3] = ACTIONS(5388),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5388),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5388),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5388),
    [aux_sym_function_statement_token1] = ACTIONS(5388),
    [aux_sym_language_binding_token1] = ACTIONS(5388),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5388),
    [aux_sym_contains_statement_token1] = ACTIONS(5388),
    [aux_sym_use_statement_token1] = ACTIONS(5388),
    [aux_sym_use_statement_token2] = ACTIONS(5388),
    [aux_sym_implicit_statement_token1] = ACTIONS(5388),
    [aux_sym_implicit_statement_token3] = ACTIONS(5388),
    [aux_sym_implicit_statement_token4] = ACTIONS(5388),
    [aux_sym_save_statement_token1] = ACTIONS(5388),
    [aux_sym_private_statement_token1] = ACTIONS(5388),
    [aux_sym_public_statement_token1] = ACTIONS(5388),
    [aux_sym_namelist_statement_token1] = ACTIONS(5388),
    [aux_sym_common_statement_token1] = ACTIONS(5388),
    [aux_sym_import_statement_token1] = ACTIONS(5388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5388),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5388),
    [aux_sym_variable_attributes_token1] = ACTIONS(5388),
    [aux_sym_variable_attributes_token2] = ACTIONS(5388),
    [aux_sym_variable_attributes_token3] = ACTIONS(5388),
    [aux_sym_variable_attributes_token4] = ACTIONS(5388),
    [aux_sym_variable_attributes_token5] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5388),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5388),
    [aux_sym_derived_type_token1] = ACTIONS(5388),
    [aux_sym_declared_type_token1] = ACTIONS(5388),
    [aux_sym_declared_type_token2] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5388),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5388),
    [aux_sym_type_qualifier_token1] = ACTIONS(5388),
    [aux_sym_type_qualifier_token2] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5388),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5388),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5388),
    [aux_sym_stop_statement_token1] = ACTIONS(5388),
    [aux_sym_stop_statement_token2] = ACTIONS(5388),
    [aux_sym_subroutine_call_token1] = ACTIONS(5388),
    [aux_sym_keyword_statement_token1] = ACTIONS(5388),
    [aux_sym_keyword_statement_token2] = ACTIONS(5388),
    [aux_sym_keyword_statement_token3] = ACTIONS(5388),
    [aux_sym_keyword_statement_token4] = ACTIONS(5388),
    [aux_sym_keyword_statement_token6] = ACTIONS(5388),
    [aux_sym_keyword_statement_token7] = ACTIONS(5388),
    [aux_sym_include_statement_token1] = ACTIONS(5388),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5388),
    [aux_sym_end_if_statement_token1] = ACTIONS(5388),
    [aux_sym_elseif_clause_token2] = ACTIONS(5388),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5388),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5388),
    [aux_sym_select_case_statement_token1] = ACTIONS(5388),
    [aux_sym_select_case_statement_token3] = ACTIONS(5388),
    [aux_sym_select_type_statement_token1] = ACTIONS(5388),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5388),
    [aux_sym_associate_statement_token1] = ACTIONS(5388),
    [aux_sym_format_statement_token1] = ACTIONS(5388),
    [aux_sym_print_statement_token1] = ACTIONS(5388),
    [aux_sym_open_statement_token1] = ACTIONS(5388),
    [aux_sym_close_statement_token1] = ACTIONS(5388),
    [aux_sym_inquire_statement_token1] = ACTIONS(5388),
    [aux_sym_enum_statement_token1] = ACTIONS(5388),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5388),
    [aux_sym_file_position_statement_token1] = ACTIONS(5388),
    [aux_sym_file_position_statement_token2] = ACTIONS(5388),
    [aux_sym_file_position_statement_token3] = ACTIONS(5388),
    [aux_sym_file_position_statement_token4] = ACTIONS(5388),
    [aux_sym_allocate_statement_token1] = ACTIONS(5388),
    [aux_sym_entry_statement_token1] = ACTIONS(5388),
    [aux_sym_assign_statement_token1] = ACTIONS(5388),
    [aux_sym_logical_expression_token5] = ACTIONS(5390),
    [anon_sym_DOT] = ACTIONS(5388),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5390),
    [anon_sym_LBRACK] = ACTIONS(5390),
    [aux_sym_boolean_literal_token1] = ACTIONS(5390),
    [aux_sym_boolean_literal_token2] = ACTIONS(5390),
    [aux_sym_null_literal_token1] = ACTIONS(5388),
    [aux_sym_coarray_statement_token1] = ACTIONS(5388),
    [aux_sym_coarray_statement_token2] = ACTIONS(5388),
    [aux_sym_coarray_statement_token6] = ACTIONS(5388),
    [aux_sym_coarray_statement_token8] = ACTIONS(5388),
    [aux_sym_coarray_statement_token11] = ACTIONS(5388),
    [aux_sym_coarray_statement_token12] = ACTIONS(5388),
    [aux_sym_coarray_statement_token13] = ACTIONS(5388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5388),
    [aux_sym_identifier_token1] = ACTIONS(5388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5390),
    [sym__float_literal] = ACTIONS(5390),
    [sym__boz_literal] = ACTIONS(5390),
    [sym__string_literal] = ACTIONS(5390),
    [sym__string_literal_kind] = ACTIONS(5390),
  },
  [1168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5168),
    [aux_sym_preproc_def_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token2] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5168),
    [sym_preproc_directive] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5168),
    [anon_sym_PLUS] = ACTIONS(5170),
    [anon_sym_DASH] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5168),
    [aux_sym_end_program_statement_token1] = ACTIONS(5168),
    [aux_sym_end_program_statement_token2] = ACTIONS(5168),
    [aux_sym_module_statement_token1] = ACTIONS(5168),
    [aux_sym_submodule_statement_token1] = ACTIONS(5168),
    [anon_sym_SEMI] = ACTIONS(5170),
    [aux_sym_interface_statement_token1] = ACTIONS(5168),
    [aux_sym_block_data_statement_token1] = ACTIONS(5168),
    [aux_sym_block_data_statement_token2] = ACTIONS(5168),
    [aux_sym_block_data_statement_token3] = ACTIONS(5168),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5168),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5168),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5168),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5168),
    [aux_sym_function_statement_token1] = ACTIONS(5168),
    [aux_sym_language_binding_token1] = ACTIONS(5168),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5168),
    [aux_sym_contains_statement_token1] = ACTIONS(5168),
    [aux_sym_use_statement_token1] = ACTIONS(5168),
    [aux_sym_use_statement_token2] = ACTIONS(5168),
    [aux_sym_implicit_statement_token1] = ACTIONS(5168),
    [aux_sym_implicit_statement_token3] = ACTIONS(5168),
    [aux_sym_implicit_statement_token4] = ACTIONS(5168),
    [aux_sym_save_statement_token1] = ACTIONS(5168),
    [aux_sym_private_statement_token1] = ACTIONS(5168),
    [aux_sym_public_statement_token1] = ACTIONS(5168),
    [aux_sym_namelist_statement_token1] = ACTIONS(5168),
    [aux_sym_common_statement_token1] = ACTIONS(5168),
    [aux_sym_import_statement_token1] = ACTIONS(5168),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5168),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5168),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5168),
    [aux_sym_variable_attributes_token1] = ACTIONS(5168),
    [aux_sym_variable_attributes_token2] = ACTIONS(5168),
    [aux_sym_variable_attributes_token3] = ACTIONS(5168),
    [aux_sym_variable_attributes_token4] = ACTIONS(5168),
    [aux_sym_variable_attributes_token5] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5168),
    [aux_sym_derived_type_token1] = ACTIONS(5168),
    [aux_sym_declared_type_token1] = ACTIONS(5168),
    [aux_sym_declared_type_token2] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5168),
    [aux_sym_type_qualifier_token1] = ACTIONS(5168),
    [aux_sym_type_qualifier_token2] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5168),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5168),
    [aux_sym_stop_statement_token1] = ACTIONS(5168),
    [aux_sym_stop_statement_token2] = ACTIONS(5168),
    [aux_sym_subroutine_call_token1] = ACTIONS(5168),
    [aux_sym_keyword_statement_token1] = ACTIONS(5168),
    [aux_sym_keyword_statement_token2] = ACTIONS(5168),
    [aux_sym_keyword_statement_token3] = ACTIONS(5168),
    [aux_sym_keyword_statement_token4] = ACTIONS(5168),
    [aux_sym_keyword_statement_token6] = ACTIONS(5168),
    [aux_sym_keyword_statement_token7] = ACTIONS(5168),
    [aux_sym_include_statement_token1] = ACTIONS(5168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5168),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5168),
    [aux_sym_end_if_statement_token1] = ACTIONS(5168),
    [aux_sym_elseif_clause_token2] = ACTIONS(5168),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5168),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5168),
    [aux_sym_select_case_statement_token1] = ACTIONS(5168),
    [aux_sym_select_case_statement_token3] = ACTIONS(5168),
    [aux_sym_select_type_statement_token1] = ACTIONS(5168),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5168),
    [aux_sym_associate_statement_token1] = ACTIONS(5168),
    [aux_sym_format_statement_token1] = ACTIONS(5168),
    [aux_sym_print_statement_token1] = ACTIONS(5168),
    [aux_sym_open_statement_token1] = ACTIONS(5168),
    [aux_sym_close_statement_token1] = ACTIONS(5168),
    [aux_sym_inquire_statement_token1] = ACTIONS(5168),
    [aux_sym_enum_statement_token1] = ACTIONS(5168),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5168),
    [aux_sym_file_position_statement_token1] = ACTIONS(5168),
    [aux_sym_file_position_statement_token2] = ACTIONS(5168),
    [aux_sym_file_position_statement_token3] = ACTIONS(5168),
    [aux_sym_file_position_statement_token4] = ACTIONS(5168),
    [aux_sym_allocate_statement_token1] = ACTIONS(5168),
    [aux_sym_entry_statement_token1] = ACTIONS(5168),
    [aux_sym_assign_statement_token1] = ACTIONS(5168),
    [aux_sym_logical_expression_token5] = ACTIONS(5170),
    [anon_sym_DOT] = ACTIONS(5168),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5170),
    [anon_sym_LBRACK] = ACTIONS(5170),
    [aux_sym_boolean_literal_token1] = ACTIONS(5170),
    [aux_sym_boolean_literal_token2] = ACTIONS(5170),
    [aux_sym_null_literal_token1] = ACTIONS(5168),
    [aux_sym_coarray_statement_token1] = ACTIONS(5168),
    [aux_sym_coarray_statement_token2] = ACTIONS(5168),
    [aux_sym_coarray_statement_token6] = ACTIONS(5168),
    [aux_sym_coarray_statement_token8] = ACTIONS(5168),
    [aux_sym_coarray_statement_token11] = ACTIONS(5168),
    [aux_sym_coarray_statement_token12] = ACTIONS(5168),
    [aux_sym_coarray_statement_token13] = ACTIONS(5168),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5168),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5168),
    [aux_sym_identifier_token1] = ACTIONS(5168),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5170),
    [sym__float_literal] = ACTIONS(5170),
    [sym__boz_literal] = ACTIONS(5170),
    [sym__string_literal] = ACTIONS(5170),
    [sym__string_literal_kind] = ACTIONS(5170),
  },
  [1169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5324),
    [aux_sym_preproc_def_token1] = ACTIONS(5324),
    [aux_sym_preproc_if_token1] = ACTIONS(5324),
    [aux_sym_preproc_if_token2] = ACTIONS(5324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5324),
    [sym_preproc_directive] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5324),
    [aux_sym_end_program_statement_token1] = ACTIONS(5324),
    [aux_sym_end_program_statement_token2] = ACTIONS(5324),
    [aux_sym_module_statement_token1] = ACTIONS(5324),
    [aux_sym_submodule_statement_token1] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5326),
    [aux_sym_interface_statement_token1] = ACTIONS(5324),
    [aux_sym_block_data_statement_token1] = ACTIONS(5324),
    [aux_sym_block_data_statement_token2] = ACTIONS(5324),
    [aux_sym_block_data_statement_token3] = ACTIONS(5324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5324),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5324),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5324),
    [aux_sym_function_statement_token1] = ACTIONS(5324),
    [aux_sym_language_binding_token1] = ACTIONS(5324),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5324),
    [aux_sym_contains_statement_token1] = ACTIONS(5324),
    [aux_sym_use_statement_token1] = ACTIONS(5324),
    [aux_sym_use_statement_token2] = ACTIONS(5324),
    [aux_sym_implicit_statement_token1] = ACTIONS(5324),
    [aux_sym_implicit_statement_token3] = ACTIONS(5324),
    [aux_sym_implicit_statement_token4] = ACTIONS(5324),
    [aux_sym_save_statement_token1] = ACTIONS(5324),
    [aux_sym_private_statement_token1] = ACTIONS(5324),
    [aux_sym_public_statement_token1] = ACTIONS(5324),
    [aux_sym_namelist_statement_token1] = ACTIONS(5324),
    [aux_sym_common_statement_token1] = ACTIONS(5324),
    [aux_sym_import_statement_token1] = ACTIONS(5324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5324),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5324),
    [aux_sym_variable_attributes_token1] = ACTIONS(5324),
    [aux_sym_variable_attributes_token2] = ACTIONS(5324),
    [aux_sym_variable_attributes_token3] = ACTIONS(5324),
    [aux_sym_variable_attributes_token4] = ACTIONS(5324),
    [aux_sym_variable_attributes_token5] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5324),
    [aux_sym_derived_type_token1] = ACTIONS(5324),
    [aux_sym_declared_type_token1] = ACTIONS(5324),
    [aux_sym_declared_type_token2] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5324),
    [aux_sym_type_qualifier_token1] = ACTIONS(5324),
    [aux_sym_type_qualifier_token2] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5324),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5324),
    [aux_sym_stop_statement_token1] = ACTIONS(5324),
    [aux_sym_stop_statement_token2] = ACTIONS(5324),
    [aux_sym_subroutine_call_token1] = ACTIONS(5324),
    [aux_sym_keyword_statement_token1] = ACTIONS(5324),
    [aux_sym_keyword_statement_token2] = ACTIONS(5324),
    [aux_sym_keyword_statement_token3] = ACTIONS(5324),
    [aux_sym_keyword_statement_token4] = ACTIONS(5324),
    [aux_sym_keyword_statement_token6] = ACTIONS(5324),
    [aux_sym_keyword_statement_token7] = ACTIONS(5324),
    [aux_sym_include_statement_token1] = ACTIONS(5324),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5324),
    [aux_sym_end_if_statement_token1] = ACTIONS(5324),
    [aux_sym_elseif_clause_token2] = ACTIONS(5324),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5324),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5324),
    [aux_sym_select_case_statement_token1] = ACTIONS(5324),
    [aux_sym_select_case_statement_token3] = ACTIONS(5324),
    [aux_sym_select_type_statement_token1] = ACTIONS(5324),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5324),
    [aux_sym_associate_statement_token1] = ACTIONS(5324),
    [aux_sym_format_statement_token1] = ACTIONS(5324),
    [aux_sym_print_statement_token1] = ACTIONS(5324),
    [aux_sym_open_statement_token1] = ACTIONS(5324),
    [aux_sym_close_statement_token1] = ACTIONS(5324),
    [aux_sym_inquire_statement_token1] = ACTIONS(5324),
    [aux_sym_enum_statement_token1] = ACTIONS(5324),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5324),
    [aux_sym_file_position_statement_token1] = ACTIONS(5324),
    [aux_sym_file_position_statement_token2] = ACTIONS(5324),
    [aux_sym_file_position_statement_token3] = ACTIONS(5324),
    [aux_sym_file_position_statement_token4] = ACTIONS(5324),
    [aux_sym_allocate_statement_token1] = ACTIONS(5324),
    [aux_sym_entry_statement_token1] = ACTIONS(5324),
    [aux_sym_assign_statement_token1] = ACTIONS(5324),
    [aux_sym_logical_expression_token5] = ACTIONS(5326),
    [anon_sym_DOT] = ACTIONS(5324),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5326),
    [anon_sym_LBRACK] = ACTIONS(5326),
    [aux_sym_boolean_literal_token1] = ACTIONS(5326),
    [aux_sym_boolean_literal_token2] = ACTIONS(5326),
    [aux_sym_null_literal_token1] = ACTIONS(5324),
    [aux_sym_coarray_statement_token1] = ACTIONS(5324),
    [aux_sym_coarray_statement_token2] = ACTIONS(5324),
    [aux_sym_coarray_statement_token6] = ACTIONS(5324),
    [aux_sym_coarray_statement_token8] = ACTIONS(5324),
    [aux_sym_coarray_statement_token11] = ACTIONS(5324),
    [aux_sym_coarray_statement_token12] = ACTIONS(5324),
    [aux_sym_coarray_statement_token13] = ACTIONS(5324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5324),
    [aux_sym_identifier_token1] = ACTIONS(5324),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5326),
    [sym__float_literal] = ACTIONS(5326),
    [sym__boz_literal] = ACTIONS(5326),
    [sym__string_literal] = ACTIONS(5326),
    [sym__string_literal_kind] = ACTIONS(5326),
  },
  [1170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token2] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token2] = ACTIONS(5336),
    [aux_sym_module_statement_token1] = ACTIONS(5336),
    [aux_sym_submodule_statement_token1] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5338),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_block_data_statement_token3] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_function_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5338),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5338),
    [anon_sym_LBRACK] = ACTIONS(5338),
    [aux_sym_boolean_literal_token1] = ACTIONS(5338),
    [aux_sym_boolean_literal_token2] = ACTIONS(5338),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5338),
    [sym__float_literal] = ACTIONS(5338),
    [sym__boz_literal] = ACTIONS(5338),
    [sym__string_literal] = ACTIONS(5338),
    [sym__string_literal_kind] = ACTIONS(5338),
  },
  [1171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token2] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token2] = ACTIONS(5232),
    [aux_sym_module_statement_token1] = ACTIONS(5232),
    [aux_sym_submodule_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_block_data_statement_token3] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_function_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5436),
    [aux_sym_preproc_def_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token1] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5436),
    [sym_preproc_directive] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5436),
    [aux_sym_end_program_statement_token1] = ACTIONS(5436),
    [aux_sym_end_program_statement_token2] = ACTIONS(5436),
    [aux_sym_module_statement_token1] = ACTIONS(5436),
    [aux_sym_submodule_statement_token1] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [aux_sym_interface_statement_token1] = ACTIONS(5436),
    [aux_sym_block_data_statement_token1] = ACTIONS(5436),
    [aux_sym_block_data_statement_token2] = ACTIONS(5436),
    [aux_sym_block_data_statement_token3] = ACTIONS(5436),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5436),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5436),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5436),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5436),
    [aux_sym_function_statement_token1] = ACTIONS(5436),
    [aux_sym_language_binding_token1] = ACTIONS(5436),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5436),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5436),
    [aux_sym_contains_statement_token1] = ACTIONS(5436),
    [aux_sym_use_statement_token1] = ACTIONS(5436),
    [aux_sym_use_statement_token2] = ACTIONS(5436),
    [aux_sym_implicit_statement_token1] = ACTIONS(5436),
    [aux_sym_implicit_statement_token3] = ACTIONS(5436),
    [aux_sym_implicit_statement_token4] = ACTIONS(5436),
    [aux_sym_save_statement_token1] = ACTIONS(5436),
    [aux_sym_private_statement_token1] = ACTIONS(5436),
    [aux_sym_public_statement_token1] = ACTIONS(5436),
    [aux_sym_namelist_statement_token1] = ACTIONS(5436),
    [aux_sym_common_statement_token1] = ACTIONS(5436),
    [aux_sym_import_statement_token1] = ACTIONS(5436),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5436),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5436),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5436),
    [aux_sym_variable_attributes_token1] = ACTIONS(5436),
    [aux_sym_variable_attributes_token2] = ACTIONS(5436),
    [aux_sym_variable_attributes_token3] = ACTIONS(5436),
    [aux_sym_variable_attributes_token4] = ACTIONS(5436),
    [aux_sym_variable_attributes_token5] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5436),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5436),
    [aux_sym_derived_type_token1] = ACTIONS(5436),
    [aux_sym_declared_type_token1] = ACTIONS(5436),
    [aux_sym_declared_type_token2] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5436),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5436),
    [aux_sym_type_qualifier_token1] = ACTIONS(5436),
    [aux_sym_type_qualifier_token2] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5436),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5436),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5436),
    [aux_sym_stop_statement_token1] = ACTIONS(5436),
    [aux_sym_stop_statement_token2] = ACTIONS(5436),
    [aux_sym_subroutine_call_token1] = ACTIONS(5436),
    [aux_sym_keyword_statement_token1] = ACTIONS(5436),
    [aux_sym_keyword_statement_token2] = ACTIONS(5436),
    [aux_sym_keyword_statement_token3] = ACTIONS(5436),
    [aux_sym_keyword_statement_token4] = ACTIONS(5436),
    [aux_sym_keyword_statement_token6] = ACTIONS(5436),
    [aux_sym_keyword_statement_token7] = ACTIONS(5436),
    [aux_sym_include_statement_token1] = ACTIONS(5436),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5436),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5436),
    [aux_sym_end_if_statement_token1] = ACTIONS(5436),
    [aux_sym_elseif_clause_token2] = ACTIONS(5436),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5436),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5436),
    [aux_sym_select_case_statement_token1] = ACTIONS(5436),
    [aux_sym_select_case_statement_token3] = ACTIONS(5436),
    [aux_sym_select_type_statement_token1] = ACTIONS(5436),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5436),
    [aux_sym_associate_statement_token1] = ACTIONS(5436),
    [aux_sym_format_statement_token1] = ACTIONS(5436),
    [aux_sym_print_statement_token1] = ACTIONS(5436),
    [aux_sym_open_statement_token1] = ACTIONS(5436),
    [aux_sym_close_statement_token1] = ACTIONS(5436),
    [aux_sym_inquire_statement_token1] = ACTIONS(5436),
    [aux_sym_enum_statement_token1] = ACTIONS(5436),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5436),
    [aux_sym_file_position_statement_token1] = ACTIONS(5436),
    [aux_sym_file_position_statement_token2] = ACTIONS(5436),
    [aux_sym_file_position_statement_token3] = ACTIONS(5436),
    [aux_sym_file_position_statement_token4] = ACTIONS(5436),
    [aux_sym_allocate_statement_token1] = ACTIONS(5436),
    [aux_sym_entry_statement_token1] = ACTIONS(5436),
    [aux_sym_assign_statement_token1] = ACTIONS(5436),
    [aux_sym_logical_expression_token5] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [aux_sym_boolean_literal_token1] = ACTIONS(5438),
    [aux_sym_boolean_literal_token2] = ACTIONS(5438),
    [aux_sym_null_literal_token1] = ACTIONS(5436),
    [aux_sym_coarray_statement_token1] = ACTIONS(5436),
    [aux_sym_coarray_statement_token2] = ACTIONS(5436),
    [aux_sym_coarray_statement_token6] = ACTIONS(5436),
    [aux_sym_coarray_statement_token8] = ACTIONS(5436),
    [aux_sym_coarray_statement_token11] = ACTIONS(5436),
    [aux_sym_coarray_statement_token12] = ACTIONS(5436),
    [aux_sym_coarray_statement_token13] = ACTIONS(5436),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5436),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5436),
    [aux_sym_identifier_token1] = ACTIONS(5436),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5438),
    [sym__float_literal] = ACTIONS(5438),
    [sym__boz_literal] = ACTIONS(5438),
    [sym__string_literal] = ACTIONS(5438),
    [sym__string_literal_kind] = ACTIONS(5438),
  },
  [1173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5056),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_module_statement_token1] = ACTIONS(5056),
    [aux_sym_submodule_statement_token1] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_block_data_statement_token3] = ACTIONS(5056),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5056),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_function_statement_token1] = ACTIONS(5056),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5056),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5056),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token2] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token2] = ACTIONS(5228),
    [aux_sym_module_statement_token1] = ACTIONS(5228),
    [aux_sym_submodule_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_block_data_statement_token3] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_function_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token2] = ACTIONS(5292),
    [aux_sym_module_statement_token1] = ACTIONS(5292),
    [aux_sym_submodule_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_block_data_statement_token3] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_function_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token2] = ACTIONS(5304),
    [aux_sym_module_statement_token1] = ACTIONS(5304),
    [aux_sym_submodule_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_block_data_statement_token3] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_function_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token2] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_DASH] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [aux_sym_module_statement_token1] = ACTIONS(5312),
    [aux_sym_submodule_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5314),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_block_data_statement_token3] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_function_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5314),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5314),
    [anon_sym_LBRACK] = ACTIONS(5314),
    [aux_sym_boolean_literal_token1] = ACTIONS(5314),
    [aux_sym_boolean_literal_token2] = ACTIONS(5314),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5314),
    [sym__float_literal] = ACTIONS(5314),
    [sym__boz_literal] = ACTIONS(5314),
    [sym__string_literal] = ACTIONS(5314),
    [sym__string_literal_kind] = ACTIONS(5314),
  },
  [1178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5328),
    [aux_sym_preproc_def_token1] = ACTIONS(5328),
    [aux_sym_preproc_if_token1] = ACTIONS(5328),
    [aux_sym_preproc_if_token2] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5328),
    [sym_preproc_directive] = ACTIONS(5328),
    [anon_sym_LPAREN2] = ACTIONS(5328),
    [anon_sym_PLUS] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5330),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5328),
    [aux_sym_end_program_statement_token1] = ACTIONS(5328),
    [aux_sym_end_program_statement_token2] = ACTIONS(5328),
    [aux_sym_module_statement_token1] = ACTIONS(5328),
    [aux_sym_submodule_statement_token1] = ACTIONS(5328),
    [anon_sym_SEMI] = ACTIONS(5330),
    [aux_sym_interface_statement_token1] = ACTIONS(5328),
    [aux_sym_block_data_statement_token1] = ACTIONS(5328),
    [aux_sym_block_data_statement_token2] = ACTIONS(5328),
    [aux_sym_block_data_statement_token3] = ACTIONS(5328),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5328),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5328),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5328),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5328),
    [aux_sym_function_statement_token1] = ACTIONS(5328),
    [aux_sym_language_binding_token1] = ACTIONS(5328),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5328),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5328),
    [aux_sym_contains_statement_token1] = ACTIONS(5328),
    [aux_sym_use_statement_token1] = ACTIONS(5328),
    [aux_sym_use_statement_token2] = ACTIONS(5328),
    [aux_sym_implicit_statement_token1] = ACTIONS(5328),
    [aux_sym_implicit_statement_token3] = ACTIONS(5328),
    [aux_sym_implicit_statement_token4] = ACTIONS(5328),
    [aux_sym_save_statement_token1] = ACTIONS(5328),
    [aux_sym_private_statement_token1] = ACTIONS(5328),
    [aux_sym_public_statement_token1] = ACTIONS(5328),
    [aux_sym_namelist_statement_token1] = ACTIONS(5328),
    [aux_sym_common_statement_token1] = ACTIONS(5328),
    [aux_sym_import_statement_token1] = ACTIONS(5328),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5328),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5328),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5328),
    [aux_sym_variable_attributes_token1] = ACTIONS(5328),
    [aux_sym_variable_attributes_token2] = ACTIONS(5328),
    [aux_sym_variable_attributes_token3] = ACTIONS(5328),
    [aux_sym_variable_attributes_token4] = ACTIONS(5328),
    [aux_sym_variable_attributes_token5] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5328),
    [aux_sym_derived_type_token1] = ACTIONS(5328),
    [aux_sym_declared_type_token1] = ACTIONS(5328),
    [aux_sym_declared_type_token2] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5328),
    [aux_sym_type_qualifier_token1] = ACTIONS(5328),
    [aux_sym_type_qualifier_token2] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5328),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5328),
    [aux_sym_stop_statement_token1] = ACTIONS(5328),
    [aux_sym_stop_statement_token2] = ACTIONS(5328),
    [aux_sym_subroutine_call_token1] = ACTIONS(5328),
    [aux_sym_keyword_statement_token1] = ACTIONS(5328),
    [aux_sym_keyword_statement_token2] = ACTIONS(5328),
    [aux_sym_keyword_statement_token3] = ACTIONS(5328),
    [aux_sym_keyword_statement_token4] = ACTIONS(5328),
    [aux_sym_keyword_statement_token6] = ACTIONS(5328),
    [aux_sym_keyword_statement_token7] = ACTIONS(5328),
    [aux_sym_include_statement_token1] = ACTIONS(5328),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5328),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5328),
    [aux_sym_end_if_statement_token1] = ACTIONS(5328),
    [aux_sym_elseif_clause_token2] = ACTIONS(5328),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5328),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5328),
    [aux_sym_select_case_statement_token1] = ACTIONS(5328),
    [aux_sym_select_case_statement_token3] = ACTIONS(5328),
    [aux_sym_select_type_statement_token1] = ACTIONS(5328),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5328),
    [aux_sym_associate_statement_token1] = ACTIONS(5328),
    [aux_sym_format_statement_token1] = ACTIONS(5328),
    [aux_sym_print_statement_token1] = ACTIONS(5328),
    [aux_sym_open_statement_token1] = ACTIONS(5328),
    [aux_sym_close_statement_token1] = ACTIONS(5328),
    [aux_sym_inquire_statement_token1] = ACTIONS(5328),
    [aux_sym_enum_statement_token1] = ACTIONS(5328),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5328),
    [aux_sym_file_position_statement_token1] = ACTIONS(5328),
    [aux_sym_file_position_statement_token2] = ACTIONS(5328),
    [aux_sym_file_position_statement_token3] = ACTIONS(5328),
    [aux_sym_file_position_statement_token4] = ACTIONS(5328),
    [aux_sym_allocate_statement_token1] = ACTIONS(5328),
    [aux_sym_entry_statement_token1] = ACTIONS(5328),
    [aux_sym_assign_statement_token1] = ACTIONS(5328),
    [aux_sym_logical_expression_token5] = ACTIONS(5330),
    [anon_sym_DOT] = ACTIONS(5328),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [aux_sym_boolean_literal_token1] = ACTIONS(5330),
    [aux_sym_boolean_literal_token2] = ACTIONS(5330),
    [aux_sym_null_literal_token1] = ACTIONS(5328),
    [aux_sym_coarray_statement_token1] = ACTIONS(5328),
    [aux_sym_coarray_statement_token2] = ACTIONS(5328),
    [aux_sym_coarray_statement_token6] = ACTIONS(5328),
    [aux_sym_coarray_statement_token8] = ACTIONS(5328),
    [aux_sym_coarray_statement_token11] = ACTIONS(5328),
    [aux_sym_coarray_statement_token12] = ACTIONS(5328),
    [aux_sym_coarray_statement_token13] = ACTIONS(5328),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5328),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5328),
    [aux_sym_identifier_token1] = ACTIONS(5328),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5330),
    [sym__float_literal] = ACTIONS(5330),
    [sym__boz_literal] = ACTIONS(5330),
    [sym__string_literal] = ACTIONS(5330),
    [sym__string_literal_kind] = ACTIONS(5330),
  },
  [1179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5332),
    [aux_sym_preproc_def_token1] = ACTIONS(5332),
    [aux_sym_preproc_if_token1] = ACTIONS(5332),
    [aux_sym_preproc_if_token2] = ACTIONS(5332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5332),
    [sym_preproc_directive] = ACTIONS(5332),
    [anon_sym_LPAREN2] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5332),
    [aux_sym_end_program_statement_token1] = ACTIONS(5332),
    [aux_sym_end_program_statement_token2] = ACTIONS(5332),
    [aux_sym_module_statement_token1] = ACTIONS(5332),
    [aux_sym_submodule_statement_token1] = ACTIONS(5332),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5332),
    [aux_sym_block_data_statement_token1] = ACTIONS(5332),
    [aux_sym_block_data_statement_token2] = ACTIONS(5332),
    [aux_sym_block_data_statement_token3] = ACTIONS(5332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5332),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5332),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5332),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5332),
    [aux_sym_function_statement_token1] = ACTIONS(5332),
    [aux_sym_language_binding_token1] = ACTIONS(5332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5332),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5332),
    [aux_sym_contains_statement_token1] = ACTIONS(5332),
    [aux_sym_use_statement_token1] = ACTIONS(5332),
    [aux_sym_use_statement_token2] = ACTIONS(5332),
    [aux_sym_implicit_statement_token1] = ACTIONS(5332),
    [aux_sym_implicit_statement_token3] = ACTIONS(5332),
    [aux_sym_implicit_statement_token4] = ACTIONS(5332),
    [aux_sym_save_statement_token1] = ACTIONS(5332),
    [aux_sym_private_statement_token1] = ACTIONS(5332),
    [aux_sym_public_statement_token1] = ACTIONS(5332),
    [aux_sym_namelist_statement_token1] = ACTIONS(5332),
    [aux_sym_common_statement_token1] = ACTIONS(5332),
    [aux_sym_import_statement_token1] = ACTIONS(5332),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5332),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5332),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5332),
    [aux_sym_variable_attributes_token1] = ACTIONS(5332),
    [aux_sym_variable_attributes_token2] = ACTIONS(5332),
    [aux_sym_variable_attributes_token3] = ACTIONS(5332),
    [aux_sym_variable_attributes_token4] = ACTIONS(5332),
    [aux_sym_variable_attributes_token5] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5332),
    [aux_sym_derived_type_token1] = ACTIONS(5332),
    [aux_sym_declared_type_token1] = ACTIONS(5332),
    [aux_sym_declared_type_token2] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5332),
    [aux_sym_type_qualifier_token1] = ACTIONS(5332),
    [aux_sym_type_qualifier_token2] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5332),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5332),
    [aux_sym_stop_statement_token1] = ACTIONS(5332),
    [aux_sym_stop_statement_token2] = ACTIONS(5332),
    [aux_sym_subroutine_call_token1] = ACTIONS(5332),
    [aux_sym_keyword_statement_token1] = ACTIONS(5332),
    [aux_sym_keyword_statement_token2] = ACTIONS(5332),
    [aux_sym_keyword_statement_token3] = ACTIONS(5332),
    [aux_sym_keyword_statement_token4] = ACTIONS(5332),
    [aux_sym_keyword_statement_token6] = ACTIONS(5332),
    [aux_sym_keyword_statement_token7] = ACTIONS(5332),
    [aux_sym_include_statement_token1] = ACTIONS(5332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5332),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5332),
    [aux_sym_end_if_statement_token1] = ACTIONS(5332),
    [aux_sym_elseif_clause_token2] = ACTIONS(5332),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5332),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5332),
    [aux_sym_select_case_statement_token1] = ACTIONS(5332),
    [aux_sym_select_case_statement_token3] = ACTIONS(5332),
    [aux_sym_select_type_statement_token1] = ACTIONS(5332),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5332),
    [aux_sym_associate_statement_token1] = ACTIONS(5332),
    [aux_sym_format_statement_token1] = ACTIONS(5332),
    [aux_sym_print_statement_token1] = ACTIONS(5332),
    [aux_sym_open_statement_token1] = ACTIONS(5332),
    [aux_sym_close_statement_token1] = ACTIONS(5332),
    [aux_sym_inquire_statement_token1] = ACTIONS(5332),
    [aux_sym_enum_statement_token1] = ACTIONS(5332),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5332),
    [aux_sym_file_position_statement_token1] = ACTIONS(5332),
    [aux_sym_file_position_statement_token2] = ACTIONS(5332),
    [aux_sym_file_position_statement_token3] = ACTIONS(5332),
    [aux_sym_file_position_statement_token4] = ACTIONS(5332),
    [aux_sym_allocate_statement_token1] = ACTIONS(5332),
    [aux_sym_entry_statement_token1] = ACTIONS(5332),
    [aux_sym_assign_statement_token1] = ACTIONS(5332),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5332),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5332),
    [aux_sym_coarray_statement_token1] = ACTIONS(5332),
    [aux_sym_coarray_statement_token2] = ACTIONS(5332),
    [aux_sym_coarray_statement_token6] = ACTIONS(5332),
    [aux_sym_coarray_statement_token8] = ACTIONS(5332),
    [aux_sym_coarray_statement_token11] = ACTIONS(5332),
    [aux_sym_coarray_statement_token12] = ACTIONS(5332),
    [aux_sym_coarray_statement_token13] = ACTIONS(5332),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5332),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5332),
    [aux_sym_identifier_token1] = ACTIONS(5332),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token2] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token2] = ACTIONS(5220),
    [aux_sym_module_statement_token1] = ACTIONS(5220),
    [aux_sym_submodule_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_block_data_statement_token3] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_function_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token2] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token2] = ACTIONS(5248),
    [aux_sym_module_statement_token1] = ACTIONS(5248),
    [aux_sym_submodule_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_block_data_statement_token3] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_function_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5260),
    [aux_sym_preproc_def_token1] = ACTIONS(5260),
    [aux_sym_preproc_if_token1] = ACTIONS(5260),
    [aux_sym_preproc_if_token2] = ACTIONS(5260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5260),
    [sym_preproc_directive] = ACTIONS(5260),
    [anon_sym_LPAREN2] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5260),
    [aux_sym_end_program_statement_token1] = ACTIONS(5260),
    [aux_sym_end_program_statement_token2] = ACTIONS(5260),
    [aux_sym_module_statement_token1] = ACTIONS(5260),
    [aux_sym_submodule_statement_token1] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [aux_sym_interface_statement_token1] = ACTIONS(5260),
    [aux_sym_block_data_statement_token1] = ACTIONS(5260),
    [aux_sym_block_data_statement_token2] = ACTIONS(5260),
    [aux_sym_block_data_statement_token3] = ACTIONS(5260),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5260),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5260),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5260),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5260),
    [aux_sym_function_statement_token1] = ACTIONS(5260),
    [aux_sym_language_binding_token1] = ACTIONS(5260),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5260),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5260),
    [aux_sym_contains_statement_token1] = ACTIONS(5260),
    [aux_sym_use_statement_token1] = ACTIONS(5260),
    [aux_sym_use_statement_token2] = ACTIONS(5260),
    [aux_sym_implicit_statement_token1] = ACTIONS(5260),
    [aux_sym_implicit_statement_token3] = ACTIONS(5260),
    [aux_sym_implicit_statement_token4] = ACTIONS(5260),
    [aux_sym_save_statement_token1] = ACTIONS(5260),
    [aux_sym_private_statement_token1] = ACTIONS(5260),
    [aux_sym_public_statement_token1] = ACTIONS(5260),
    [aux_sym_namelist_statement_token1] = ACTIONS(5260),
    [aux_sym_common_statement_token1] = ACTIONS(5260),
    [aux_sym_import_statement_token1] = ACTIONS(5260),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5260),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5260),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5260),
    [aux_sym_variable_attributes_token1] = ACTIONS(5260),
    [aux_sym_variable_attributes_token2] = ACTIONS(5260),
    [aux_sym_variable_attributes_token3] = ACTIONS(5260),
    [aux_sym_variable_attributes_token4] = ACTIONS(5260),
    [aux_sym_variable_attributes_token5] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5260),
    [aux_sym_derived_type_token1] = ACTIONS(5260),
    [aux_sym_declared_type_token1] = ACTIONS(5260),
    [aux_sym_declared_type_token2] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5260),
    [aux_sym_type_qualifier_token1] = ACTIONS(5260),
    [aux_sym_type_qualifier_token2] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5260),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5260),
    [aux_sym_stop_statement_token1] = ACTIONS(5260),
    [aux_sym_stop_statement_token2] = ACTIONS(5260),
    [aux_sym_subroutine_call_token1] = ACTIONS(5260),
    [aux_sym_keyword_statement_token1] = ACTIONS(5260),
    [aux_sym_keyword_statement_token2] = ACTIONS(5260),
    [aux_sym_keyword_statement_token3] = ACTIONS(5260),
    [aux_sym_keyword_statement_token4] = ACTIONS(5260),
    [aux_sym_keyword_statement_token6] = ACTIONS(5260),
    [aux_sym_keyword_statement_token7] = ACTIONS(5260),
    [aux_sym_include_statement_token1] = ACTIONS(5260),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5260),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5260),
    [aux_sym_end_if_statement_token1] = ACTIONS(5260),
    [aux_sym_elseif_clause_token2] = ACTIONS(5260),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5260),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5260),
    [aux_sym_select_case_statement_token1] = ACTIONS(5260),
    [aux_sym_select_case_statement_token3] = ACTIONS(5260),
    [aux_sym_select_type_statement_token1] = ACTIONS(5260),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5260),
    [aux_sym_associate_statement_token1] = ACTIONS(5260),
    [aux_sym_format_statement_token1] = ACTIONS(5260),
    [aux_sym_print_statement_token1] = ACTIONS(5260),
    [aux_sym_open_statement_token1] = ACTIONS(5260),
    [aux_sym_close_statement_token1] = ACTIONS(5260),
    [aux_sym_inquire_statement_token1] = ACTIONS(5260),
    [aux_sym_enum_statement_token1] = ACTIONS(5260),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5260),
    [aux_sym_file_position_statement_token1] = ACTIONS(5260),
    [aux_sym_file_position_statement_token2] = ACTIONS(5260),
    [aux_sym_file_position_statement_token3] = ACTIONS(5260),
    [aux_sym_file_position_statement_token4] = ACTIONS(5260),
    [aux_sym_allocate_statement_token1] = ACTIONS(5260),
    [aux_sym_entry_statement_token1] = ACTIONS(5260),
    [aux_sym_assign_statement_token1] = ACTIONS(5260),
    [aux_sym_logical_expression_token5] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5262),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [aux_sym_boolean_literal_token1] = ACTIONS(5262),
    [aux_sym_boolean_literal_token2] = ACTIONS(5262),
    [aux_sym_null_literal_token1] = ACTIONS(5260),
    [aux_sym_coarray_statement_token1] = ACTIONS(5260),
    [aux_sym_coarray_statement_token2] = ACTIONS(5260),
    [aux_sym_coarray_statement_token6] = ACTIONS(5260),
    [aux_sym_coarray_statement_token8] = ACTIONS(5260),
    [aux_sym_coarray_statement_token11] = ACTIONS(5260),
    [aux_sym_coarray_statement_token12] = ACTIONS(5260),
    [aux_sym_coarray_statement_token13] = ACTIONS(5260),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5260),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5260),
    [aux_sym_identifier_token1] = ACTIONS(5260),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5262),
    [sym__float_literal] = ACTIONS(5262),
    [sym__boz_literal] = ACTIONS(5262),
    [sym__string_literal] = ACTIONS(5262),
    [sym__string_literal_kind] = ACTIONS(5262),
  },
  [1185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token2] = ACTIONS(5296),
    [aux_sym_module_statement_token1] = ACTIONS(5296),
    [aux_sym_submodule_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_block_data_statement_token3] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_function_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [aux_sym_module_statement_token1] = ACTIONS(5112),
    [aux_sym_submodule_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_block_data_statement_token3] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_function_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5112),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [aux_sym_module_statement_token1] = ACTIONS(5216),
    [aux_sym_submodule_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_block_data_statement_token3] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_function_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5216),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [aux_sym_module_statement_token1] = ACTIONS(5224),
    [aux_sym_submodule_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_block_data_statement_token3] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_function_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token2] = ACTIONS(5160),
    [aux_sym_module_statement_token1] = ACTIONS(5160),
    [aux_sym_submodule_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_block_data_statement_token3] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_function_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [aux_sym_module_statement_token1] = ACTIONS(5236),
    [aux_sym_submodule_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_block_data_statement_token3] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_function_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [aux_sym_module_statement_token1] = ACTIONS(5240),
    [aux_sym_submodule_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_block_data_statement_token3] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_function_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [aux_sym_module_statement_token1] = ACTIONS(5244),
    [aux_sym_submodule_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_block_data_statement_token3] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_function_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1193] = {
    [ts_builtin_sym_end] = ACTIONS(5170),
    [aux_sym_preproc_include_token1] = ACTIONS(5168),
    [aux_sym_preproc_def_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5168),
    [sym_preproc_directive] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5168),
    [anon_sym_PLUS] = ACTIONS(5170),
    [anon_sym_DASH] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5168),
    [aux_sym_end_program_statement_token1] = ACTIONS(5168),
    [aux_sym_end_program_statement_token2] = ACTIONS(5168),
    [aux_sym_module_statement_token1] = ACTIONS(5168),
    [aux_sym_submodule_statement_token1] = ACTIONS(5168),
    [anon_sym_SEMI] = ACTIONS(5170),
    [aux_sym_interface_statement_token1] = ACTIONS(5168),
    [aux_sym_block_data_statement_token1] = ACTIONS(5168),
    [aux_sym_block_data_statement_token2] = ACTIONS(5168),
    [aux_sym_block_data_statement_token3] = ACTIONS(5168),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5168),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5168),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5168),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5168),
    [aux_sym_function_statement_token1] = ACTIONS(5168),
    [aux_sym_language_binding_token1] = ACTIONS(5168),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5168),
    [aux_sym_contains_statement_token1] = ACTIONS(5168),
    [aux_sym_use_statement_token1] = ACTIONS(5168),
    [aux_sym_use_statement_token2] = ACTIONS(5168),
    [aux_sym_implicit_statement_token1] = ACTIONS(5168),
    [aux_sym_implicit_statement_token3] = ACTIONS(5168),
    [aux_sym_implicit_statement_token4] = ACTIONS(5168),
    [aux_sym_save_statement_token1] = ACTIONS(5168),
    [aux_sym_private_statement_token1] = ACTIONS(5168),
    [aux_sym_public_statement_token1] = ACTIONS(5168),
    [aux_sym_namelist_statement_token1] = ACTIONS(5168),
    [aux_sym_common_statement_token1] = ACTIONS(5168),
    [aux_sym_import_statement_token1] = ACTIONS(5168),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5168),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5168),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5168),
    [aux_sym_variable_attributes_token1] = ACTIONS(5168),
    [aux_sym_variable_attributes_token2] = ACTIONS(5168),
    [aux_sym_variable_attributes_token3] = ACTIONS(5168),
    [aux_sym_variable_attributes_token4] = ACTIONS(5168),
    [aux_sym_variable_attributes_token5] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5168),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5168),
    [aux_sym_derived_type_token1] = ACTIONS(5168),
    [aux_sym_declared_type_token1] = ACTIONS(5168),
    [aux_sym_declared_type_token2] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5168),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5168),
    [aux_sym_type_qualifier_token1] = ACTIONS(5168),
    [aux_sym_type_qualifier_token2] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5168),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5168),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5168),
    [aux_sym_stop_statement_token1] = ACTIONS(5168),
    [aux_sym_stop_statement_token2] = ACTIONS(5168),
    [aux_sym_subroutine_call_token1] = ACTIONS(5168),
    [aux_sym_keyword_statement_token1] = ACTIONS(5168),
    [aux_sym_keyword_statement_token2] = ACTIONS(5168),
    [aux_sym_keyword_statement_token3] = ACTIONS(5168),
    [aux_sym_keyword_statement_token4] = ACTIONS(5168),
    [aux_sym_keyword_statement_token6] = ACTIONS(5168),
    [aux_sym_keyword_statement_token7] = ACTIONS(5168),
    [aux_sym_include_statement_token1] = ACTIONS(5168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5168),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5168),
    [aux_sym_end_if_statement_token1] = ACTIONS(5168),
    [aux_sym_elseif_clause_token2] = ACTIONS(5168),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5168),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5168),
    [aux_sym_select_case_statement_token1] = ACTIONS(5168),
    [aux_sym_select_case_statement_token3] = ACTIONS(5168),
    [aux_sym_select_type_statement_token1] = ACTIONS(5168),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5168),
    [aux_sym_associate_statement_token1] = ACTIONS(5168),
    [aux_sym_format_statement_token1] = ACTIONS(5168),
    [aux_sym_print_statement_token1] = ACTIONS(5168),
    [aux_sym_open_statement_token1] = ACTIONS(5168),
    [aux_sym_close_statement_token1] = ACTIONS(5168),
    [aux_sym_inquire_statement_token1] = ACTIONS(5168),
    [aux_sym_enum_statement_token1] = ACTIONS(5168),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5168),
    [aux_sym_file_position_statement_token1] = ACTIONS(5168),
    [aux_sym_file_position_statement_token2] = ACTIONS(5168),
    [aux_sym_file_position_statement_token3] = ACTIONS(5168),
    [aux_sym_file_position_statement_token4] = ACTIONS(5168),
    [aux_sym_allocate_statement_token1] = ACTIONS(5168),
    [aux_sym_entry_statement_token1] = ACTIONS(5168),
    [aux_sym_assign_statement_token1] = ACTIONS(5168),
    [aux_sym_logical_expression_token5] = ACTIONS(5170),
    [anon_sym_DOT] = ACTIONS(5168),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5170),
    [anon_sym_LBRACK] = ACTIONS(5170),
    [aux_sym_boolean_literal_token1] = ACTIONS(5170),
    [aux_sym_boolean_literal_token2] = ACTIONS(5170),
    [aux_sym_null_literal_token1] = ACTIONS(5168),
    [aux_sym_coarray_statement_token1] = ACTIONS(5168),
    [aux_sym_coarray_statement_token2] = ACTIONS(5168),
    [aux_sym_coarray_statement_token6] = ACTIONS(5168),
    [aux_sym_coarray_statement_token8] = ACTIONS(5168),
    [aux_sym_coarray_statement_token11] = ACTIONS(5168),
    [aux_sym_coarray_statement_token12] = ACTIONS(5168),
    [aux_sym_coarray_statement_token13] = ACTIONS(5168),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5168),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5168),
    [aux_sym_identifier_token1] = ACTIONS(5168),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5170),
    [sym__float_literal] = ACTIONS(5170),
    [sym__boz_literal] = ACTIONS(5170),
    [sym__string_literal] = ACTIONS(5170),
    [sym__string_literal_kind] = ACTIONS(5170),
  },
  [1194] = {
    [ts_builtin_sym_end] = ACTIONS(5234),
    [aux_sym_preproc_include_token1] = ACTIONS(5232),
    [aux_sym_preproc_def_token1] = ACTIONS(5232),
    [aux_sym_preproc_if_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5232),
    [sym_preproc_directive] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token1] = ACTIONS(5232),
    [aux_sym_end_program_statement_token2] = ACTIONS(5232),
    [aux_sym_module_statement_token1] = ACTIONS(5232),
    [aux_sym_submodule_statement_token1] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [aux_sym_interface_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token1] = ACTIONS(5232),
    [aux_sym_block_data_statement_token2] = ACTIONS(5232),
    [aux_sym_block_data_statement_token3] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5232),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5232),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5232),
    [aux_sym_function_statement_token1] = ACTIONS(5232),
    [aux_sym_language_binding_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5232),
    [aux_sym_contains_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token1] = ACTIONS(5232),
    [aux_sym_use_statement_token2] = ACTIONS(5232),
    [aux_sym_implicit_statement_token1] = ACTIONS(5232),
    [aux_sym_implicit_statement_token3] = ACTIONS(5232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5232),
    [aux_sym_save_statement_token1] = ACTIONS(5232),
    [aux_sym_private_statement_token1] = ACTIONS(5232),
    [aux_sym_public_statement_token1] = ACTIONS(5232),
    [aux_sym_namelist_statement_token1] = ACTIONS(5232),
    [aux_sym_common_statement_token1] = ACTIONS(5232),
    [aux_sym_import_statement_token1] = ACTIONS(5232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5232),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5232),
    [aux_sym_variable_attributes_token1] = ACTIONS(5232),
    [aux_sym_variable_attributes_token2] = ACTIONS(5232),
    [aux_sym_variable_attributes_token3] = ACTIONS(5232),
    [aux_sym_variable_attributes_token4] = ACTIONS(5232),
    [aux_sym_variable_attributes_token5] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5232),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5232),
    [aux_sym_derived_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token1] = ACTIONS(5232),
    [aux_sym_declared_type_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5232),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5232),
    [aux_sym_type_qualifier_token1] = ACTIONS(5232),
    [aux_sym_type_qualifier_token2] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5232),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5232),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token1] = ACTIONS(5232),
    [aux_sym_stop_statement_token2] = ACTIONS(5232),
    [aux_sym_subroutine_call_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token1] = ACTIONS(5232),
    [aux_sym_keyword_statement_token2] = ACTIONS(5232),
    [aux_sym_keyword_statement_token3] = ACTIONS(5232),
    [aux_sym_keyword_statement_token4] = ACTIONS(5232),
    [aux_sym_keyword_statement_token6] = ACTIONS(5232),
    [aux_sym_keyword_statement_token7] = ACTIONS(5232),
    [aux_sym_include_statement_token1] = ACTIONS(5232),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5232),
    [aux_sym_end_if_statement_token1] = ACTIONS(5232),
    [aux_sym_elseif_clause_token2] = ACTIONS(5232),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5232),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token1] = ACTIONS(5232),
    [aux_sym_select_case_statement_token3] = ACTIONS(5232),
    [aux_sym_select_type_statement_token1] = ACTIONS(5232),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5232),
    [aux_sym_associate_statement_token1] = ACTIONS(5232),
    [aux_sym_format_statement_token1] = ACTIONS(5232),
    [aux_sym_print_statement_token1] = ACTIONS(5232),
    [aux_sym_open_statement_token1] = ACTIONS(5232),
    [aux_sym_close_statement_token1] = ACTIONS(5232),
    [aux_sym_inquire_statement_token1] = ACTIONS(5232),
    [aux_sym_enum_statement_token1] = ACTIONS(5232),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token1] = ACTIONS(5232),
    [aux_sym_file_position_statement_token2] = ACTIONS(5232),
    [aux_sym_file_position_statement_token3] = ACTIONS(5232),
    [aux_sym_file_position_statement_token4] = ACTIONS(5232),
    [aux_sym_allocate_statement_token1] = ACTIONS(5232),
    [aux_sym_entry_statement_token1] = ACTIONS(5232),
    [aux_sym_assign_statement_token1] = ACTIONS(5232),
    [aux_sym_logical_expression_token5] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [aux_sym_boolean_literal_token1] = ACTIONS(5234),
    [aux_sym_boolean_literal_token2] = ACTIONS(5234),
    [aux_sym_null_literal_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_statement_token2] = ACTIONS(5232),
    [aux_sym_coarray_statement_token6] = ACTIONS(5232),
    [aux_sym_coarray_statement_token8] = ACTIONS(5232),
    [aux_sym_coarray_statement_token11] = ACTIONS(5232),
    [aux_sym_coarray_statement_token12] = ACTIONS(5232),
    [aux_sym_coarray_statement_token13] = ACTIONS(5232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5232),
    [aux_sym_identifier_token1] = ACTIONS(5232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5234),
    [sym__float_literal] = ACTIONS(5234),
    [sym__boz_literal] = ACTIONS(5234),
    [sym__string_literal] = ACTIONS(5234),
    [sym__string_literal_kind] = ACTIONS(5234),
  },
  [1195] = {
    [ts_builtin_sym_end] = ACTIONS(5166),
    [aux_sym_preproc_include_token1] = ACTIONS(5164),
    [aux_sym_preproc_def_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5164),
    [sym_preproc_directive] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5164),
    [anon_sym_PLUS] = ACTIONS(5166),
    [anon_sym_DASH] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5164),
    [aux_sym_end_program_statement_token1] = ACTIONS(5164),
    [aux_sym_end_program_statement_token2] = ACTIONS(5164),
    [aux_sym_module_statement_token1] = ACTIONS(5164),
    [aux_sym_submodule_statement_token1] = ACTIONS(5164),
    [anon_sym_SEMI] = ACTIONS(5166),
    [aux_sym_interface_statement_token1] = ACTIONS(5164),
    [aux_sym_block_data_statement_token1] = ACTIONS(5164),
    [aux_sym_block_data_statement_token2] = ACTIONS(5164),
    [aux_sym_block_data_statement_token3] = ACTIONS(5164),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5164),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5164),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5164),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5164),
    [aux_sym_function_statement_token1] = ACTIONS(5164),
    [aux_sym_language_binding_token1] = ACTIONS(5164),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5164),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5164),
    [aux_sym_contains_statement_token1] = ACTIONS(5164),
    [aux_sym_use_statement_token1] = ACTIONS(5164),
    [aux_sym_use_statement_token2] = ACTIONS(5164),
    [aux_sym_implicit_statement_token1] = ACTIONS(5164),
    [aux_sym_implicit_statement_token3] = ACTIONS(5164),
    [aux_sym_implicit_statement_token4] = ACTIONS(5164),
    [aux_sym_save_statement_token1] = ACTIONS(5164),
    [aux_sym_private_statement_token1] = ACTIONS(5164),
    [aux_sym_public_statement_token1] = ACTIONS(5164),
    [aux_sym_namelist_statement_token1] = ACTIONS(5164),
    [aux_sym_common_statement_token1] = ACTIONS(5164),
    [aux_sym_import_statement_token1] = ACTIONS(5164),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5164),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5164),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5164),
    [aux_sym_variable_attributes_token1] = ACTIONS(5164),
    [aux_sym_variable_attributes_token2] = ACTIONS(5164),
    [aux_sym_variable_attributes_token3] = ACTIONS(5164),
    [aux_sym_variable_attributes_token4] = ACTIONS(5164),
    [aux_sym_variable_attributes_token5] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5164),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5164),
    [aux_sym_derived_type_token1] = ACTIONS(5164),
    [aux_sym_declared_type_token1] = ACTIONS(5164),
    [aux_sym_declared_type_token2] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5164),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5164),
    [aux_sym_type_qualifier_token1] = ACTIONS(5164),
    [aux_sym_type_qualifier_token2] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5164),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5164),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5164),
    [aux_sym_stop_statement_token1] = ACTIONS(5164),
    [aux_sym_stop_statement_token2] = ACTIONS(5164),
    [aux_sym_subroutine_call_token1] = ACTIONS(5164),
    [aux_sym_keyword_statement_token1] = ACTIONS(5164),
    [aux_sym_keyword_statement_token2] = ACTIONS(5164),
    [aux_sym_keyword_statement_token3] = ACTIONS(5164),
    [aux_sym_keyword_statement_token4] = ACTIONS(5164),
    [aux_sym_keyword_statement_token6] = ACTIONS(5164),
    [aux_sym_keyword_statement_token7] = ACTIONS(5164),
    [aux_sym_include_statement_token1] = ACTIONS(5164),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5164),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5164),
    [aux_sym_end_if_statement_token1] = ACTIONS(5164),
    [aux_sym_elseif_clause_token2] = ACTIONS(5164),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5164),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5164),
    [aux_sym_select_case_statement_token1] = ACTIONS(5164),
    [aux_sym_select_case_statement_token3] = ACTIONS(5164),
    [aux_sym_select_type_statement_token1] = ACTIONS(5164),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5164),
    [aux_sym_associate_statement_token1] = ACTIONS(5164),
    [aux_sym_format_statement_token1] = ACTIONS(5164),
    [aux_sym_print_statement_token1] = ACTIONS(5164),
    [aux_sym_open_statement_token1] = ACTIONS(5164),
    [aux_sym_close_statement_token1] = ACTIONS(5164),
    [aux_sym_inquire_statement_token1] = ACTIONS(5164),
    [aux_sym_enum_statement_token1] = ACTIONS(5164),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5164),
    [aux_sym_file_position_statement_token1] = ACTIONS(5164),
    [aux_sym_file_position_statement_token2] = ACTIONS(5164),
    [aux_sym_file_position_statement_token3] = ACTIONS(5164),
    [aux_sym_file_position_statement_token4] = ACTIONS(5164),
    [aux_sym_allocate_statement_token1] = ACTIONS(5164),
    [aux_sym_entry_statement_token1] = ACTIONS(5164),
    [aux_sym_assign_statement_token1] = ACTIONS(5164),
    [aux_sym_logical_expression_token5] = ACTIONS(5166),
    [anon_sym_DOT] = ACTIONS(5164),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5166),
    [anon_sym_LBRACK] = ACTIONS(5166),
    [aux_sym_boolean_literal_token1] = ACTIONS(5166),
    [aux_sym_boolean_literal_token2] = ACTIONS(5166),
    [aux_sym_null_literal_token1] = ACTIONS(5164),
    [aux_sym_coarray_statement_token1] = ACTIONS(5164),
    [aux_sym_coarray_statement_token2] = ACTIONS(5164),
    [aux_sym_coarray_statement_token6] = ACTIONS(5164),
    [aux_sym_coarray_statement_token8] = ACTIONS(5164),
    [aux_sym_coarray_statement_token11] = ACTIONS(5164),
    [aux_sym_coarray_statement_token12] = ACTIONS(5164),
    [aux_sym_coarray_statement_token13] = ACTIONS(5164),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5164),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5164),
    [aux_sym_identifier_token1] = ACTIONS(5164),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5166),
    [sym__float_literal] = ACTIONS(5166),
    [sym__boz_literal] = ACTIONS(5166),
    [sym__string_literal] = ACTIONS(5166),
    [sym__string_literal_kind] = ACTIONS(5166),
  },
  [1196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [aux_sym_module_statement_token1] = ACTIONS(5252),
    [aux_sym_submodule_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_block_data_statement_token3] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_function_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [aux_sym_module_statement_token1] = ACTIONS(5264),
    [aux_sym_submodule_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_block_data_statement_token3] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_function_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [aux_sym_module_statement_token1] = ACTIONS(5268),
    [aux_sym_submodule_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_block_data_statement_token3] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_function_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [aux_sym_module_statement_token1] = ACTIONS(5272),
    [aux_sym_submodule_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_block_data_statement_token3] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_function_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [aux_sym_module_statement_token1] = ACTIONS(5280),
    [aux_sym_submodule_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_block_data_statement_token3] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_function_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5280),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [aux_sym_module_statement_token1] = ACTIONS(5284),
    [aux_sym_submodule_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_block_data_statement_token3] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_function_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5284),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [aux_sym_module_statement_token1] = ACTIONS(5288),
    [aux_sym_submodule_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_block_data_statement_token3] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_function_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [aux_sym_module_statement_token1] = ACTIONS(5276),
    [aux_sym_submodule_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_block_data_statement_token3] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_function_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1204] = {
    [ts_builtin_sym_end] = ACTIONS(5210),
    [aux_sym_preproc_include_token1] = ACTIONS(5208),
    [aux_sym_preproc_def_token1] = ACTIONS(5208),
    [aux_sym_preproc_if_token1] = ACTIONS(5208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5208),
    [sym_preproc_directive] = ACTIONS(5208),
    [anon_sym_LPAREN2] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5208),
    [aux_sym_end_program_statement_token1] = ACTIONS(5208),
    [aux_sym_end_program_statement_token2] = ACTIONS(5208),
    [aux_sym_module_statement_token1] = ACTIONS(5208),
    [aux_sym_submodule_statement_token1] = ACTIONS(5208),
    [anon_sym_SEMI] = ACTIONS(5210),
    [aux_sym_interface_statement_token1] = ACTIONS(5208),
    [aux_sym_block_data_statement_token1] = ACTIONS(5208),
    [aux_sym_block_data_statement_token2] = ACTIONS(5208),
    [aux_sym_block_data_statement_token3] = ACTIONS(5208),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5208),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5208),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5208),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5208),
    [aux_sym_function_statement_token1] = ACTIONS(5208),
    [aux_sym_language_binding_token1] = ACTIONS(5208),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5208),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5208),
    [aux_sym_contains_statement_token1] = ACTIONS(5208),
    [aux_sym_use_statement_token1] = ACTIONS(5208),
    [aux_sym_use_statement_token2] = ACTIONS(5208),
    [aux_sym_implicit_statement_token1] = ACTIONS(5208),
    [aux_sym_implicit_statement_token3] = ACTIONS(5208),
    [aux_sym_implicit_statement_token4] = ACTIONS(5208),
    [aux_sym_save_statement_token1] = ACTIONS(5208),
    [aux_sym_private_statement_token1] = ACTIONS(5208),
    [aux_sym_public_statement_token1] = ACTIONS(5208),
    [aux_sym_namelist_statement_token1] = ACTIONS(5208),
    [aux_sym_common_statement_token1] = ACTIONS(5208),
    [aux_sym_import_statement_token1] = ACTIONS(5208),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5208),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5208),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5208),
    [aux_sym_variable_attributes_token1] = ACTIONS(5208),
    [aux_sym_variable_attributes_token2] = ACTIONS(5208),
    [aux_sym_variable_attributes_token3] = ACTIONS(5208),
    [aux_sym_variable_attributes_token4] = ACTIONS(5208),
    [aux_sym_variable_attributes_token5] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5208),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5208),
    [aux_sym_derived_type_token1] = ACTIONS(5208),
    [aux_sym_declared_type_token1] = ACTIONS(5208),
    [aux_sym_declared_type_token2] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5208),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5208),
    [aux_sym_type_qualifier_token1] = ACTIONS(5208),
    [aux_sym_type_qualifier_token2] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5208),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5208),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5208),
    [aux_sym_stop_statement_token1] = ACTIONS(5208),
    [aux_sym_stop_statement_token2] = ACTIONS(5208),
    [aux_sym_subroutine_call_token1] = ACTIONS(5208),
    [aux_sym_keyword_statement_token1] = ACTIONS(5208),
    [aux_sym_keyword_statement_token2] = ACTIONS(5208),
    [aux_sym_keyword_statement_token3] = ACTIONS(5208),
    [aux_sym_keyword_statement_token4] = ACTIONS(5208),
    [aux_sym_keyword_statement_token6] = ACTIONS(5208),
    [aux_sym_keyword_statement_token7] = ACTIONS(5208),
    [aux_sym_include_statement_token1] = ACTIONS(5208),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5208),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5208),
    [aux_sym_end_if_statement_token1] = ACTIONS(5208),
    [aux_sym_elseif_clause_token2] = ACTIONS(5208),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5208),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5208),
    [aux_sym_select_case_statement_token1] = ACTIONS(5208),
    [aux_sym_select_case_statement_token3] = ACTIONS(5208),
    [aux_sym_select_type_statement_token1] = ACTIONS(5208),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5208),
    [aux_sym_associate_statement_token1] = ACTIONS(5208),
    [aux_sym_format_statement_token1] = ACTIONS(5208),
    [aux_sym_print_statement_token1] = ACTIONS(5208),
    [aux_sym_open_statement_token1] = ACTIONS(5208),
    [aux_sym_close_statement_token1] = ACTIONS(5208),
    [aux_sym_inquire_statement_token1] = ACTIONS(5208),
    [aux_sym_enum_statement_token1] = ACTIONS(5208),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5208),
    [aux_sym_file_position_statement_token1] = ACTIONS(5208),
    [aux_sym_file_position_statement_token2] = ACTIONS(5208),
    [aux_sym_file_position_statement_token3] = ACTIONS(5208),
    [aux_sym_file_position_statement_token4] = ACTIONS(5208),
    [aux_sym_allocate_statement_token1] = ACTIONS(5208),
    [aux_sym_entry_statement_token1] = ACTIONS(5208),
    [aux_sym_assign_statement_token1] = ACTIONS(5208),
    [aux_sym_logical_expression_token5] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5208),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [aux_sym_boolean_literal_token1] = ACTIONS(5210),
    [aux_sym_boolean_literal_token2] = ACTIONS(5210),
    [aux_sym_null_literal_token1] = ACTIONS(5208),
    [aux_sym_coarray_statement_token1] = ACTIONS(5208),
    [aux_sym_coarray_statement_token2] = ACTIONS(5208),
    [aux_sym_coarray_statement_token6] = ACTIONS(5208),
    [aux_sym_coarray_statement_token8] = ACTIONS(5208),
    [aux_sym_coarray_statement_token11] = ACTIONS(5208),
    [aux_sym_coarray_statement_token12] = ACTIONS(5208),
    [aux_sym_coarray_statement_token13] = ACTIONS(5208),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5208),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5208),
    [aux_sym_identifier_token1] = ACTIONS(5208),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5210),
    [sym__float_literal] = ACTIONS(5210),
    [sym__boz_literal] = ACTIONS(5210),
    [sym__string_literal] = ACTIONS(5210),
    [sym__string_literal_kind] = ACTIONS(5210),
  },
  [1205] = {
    [ts_builtin_sym_end] = ACTIONS(5378),
    [aux_sym_preproc_include_token1] = ACTIONS(5376),
    [aux_sym_preproc_def_token1] = ACTIONS(5376),
    [aux_sym_preproc_if_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5376),
    [sym_preproc_directive] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5378),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5376),
    [aux_sym_end_program_statement_token1] = ACTIONS(5376),
    [aux_sym_end_program_statement_token2] = ACTIONS(5376),
    [aux_sym_module_statement_token1] = ACTIONS(5376),
    [aux_sym_submodule_statement_token1] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [aux_sym_interface_statement_token1] = ACTIONS(5376),
    [aux_sym_block_data_statement_token1] = ACTIONS(5376),
    [aux_sym_block_data_statement_token2] = ACTIONS(5376),
    [aux_sym_block_data_statement_token3] = ACTIONS(5376),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5376),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5376),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5376),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5376),
    [aux_sym_function_statement_token1] = ACTIONS(5376),
    [aux_sym_language_binding_token1] = ACTIONS(5376),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5376),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5376),
    [aux_sym_contains_statement_token1] = ACTIONS(5376),
    [aux_sym_use_statement_token1] = ACTIONS(5376),
    [aux_sym_use_statement_token2] = ACTIONS(5376),
    [aux_sym_implicit_statement_token1] = ACTIONS(5376),
    [aux_sym_implicit_statement_token3] = ACTIONS(5376),
    [aux_sym_implicit_statement_token4] = ACTIONS(5376),
    [aux_sym_save_statement_token1] = ACTIONS(5376),
    [aux_sym_private_statement_token1] = ACTIONS(5376),
    [aux_sym_public_statement_token1] = ACTIONS(5376),
    [aux_sym_namelist_statement_token1] = ACTIONS(5376),
    [aux_sym_common_statement_token1] = ACTIONS(5376),
    [aux_sym_import_statement_token1] = ACTIONS(5376),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5376),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5376),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5376),
    [aux_sym_variable_attributes_token1] = ACTIONS(5376),
    [aux_sym_variable_attributes_token2] = ACTIONS(5376),
    [aux_sym_variable_attributes_token3] = ACTIONS(5376),
    [aux_sym_variable_attributes_token4] = ACTIONS(5376),
    [aux_sym_variable_attributes_token5] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5376),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5376),
    [aux_sym_derived_type_token1] = ACTIONS(5376),
    [aux_sym_declared_type_token1] = ACTIONS(5376),
    [aux_sym_declared_type_token2] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5376),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5376),
    [aux_sym_type_qualifier_token1] = ACTIONS(5376),
    [aux_sym_type_qualifier_token2] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5376),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5376),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5376),
    [aux_sym_stop_statement_token1] = ACTIONS(5376),
    [aux_sym_stop_statement_token2] = ACTIONS(5376),
    [aux_sym_subroutine_call_token1] = ACTIONS(5376),
    [aux_sym_keyword_statement_token1] = ACTIONS(5376),
    [aux_sym_keyword_statement_token2] = ACTIONS(5376),
    [aux_sym_keyword_statement_token3] = ACTIONS(5376),
    [aux_sym_keyword_statement_token4] = ACTIONS(5376),
    [aux_sym_keyword_statement_token6] = ACTIONS(5376),
    [aux_sym_keyword_statement_token7] = ACTIONS(5376),
    [aux_sym_include_statement_token1] = ACTIONS(5376),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5376),
    [aux_sym_end_if_statement_token1] = ACTIONS(5376),
    [aux_sym_elseif_clause_token2] = ACTIONS(5376),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5376),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5376),
    [aux_sym_select_case_statement_token1] = ACTIONS(5376),
    [aux_sym_select_case_statement_token3] = ACTIONS(5376),
    [aux_sym_select_type_statement_token1] = ACTIONS(5376),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5376),
    [aux_sym_associate_statement_token1] = ACTIONS(5376),
    [aux_sym_format_statement_token1] = ACTIONS(5376),
    [aux_sym_print_statement_token1] = ACTIONS(5376),
    [aux_sym_open_statement_token1] = ACTIONS(5376),
    [aux_sym_close_statement_token1] = ACTIONS(5376),
    [aux_sym_inquire_statement_token1] = ACTIONS(5376),
    [aux_sym_enum_statement_token1] = ACTIONS(5376),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5376),
    [aux_sym_file_position_statement_token1] = ACTIONS(5376),
    [aux_sym_file_position_statement_token2] = ACTIONS(5376),
    [aux_sym_file_position_statement_token3] = ACTIONS(5376),
    [aux_sym_file_position_statement_token4] = ACTIONS(5376),
    [aux_sym_allocate_statement_token1] = ACTIONS(5376),
    [aux_sym_entry_statement_token1] = ACTIONS(5376),
    [aux_sym_assign_statement_token1] = ACTIONS(5376),
    [aux_sym_logical_expression_token5] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [aux_sym_boolean_literal_token1] = ACTIONS(5378),
    [aux_sym_boolean_literal_token2] = ACTIONS(5378),
    [aux_sym_null_literal_token1] = ACTIONS(5376),
    [aux_sym_coarray_statement_token1] = ACTIONS(5376),
    [aux_sym_coarray_statement_token2] = ACTIONS(5376),
    [aux_sym_coarray_statement_token6] = ACTIONS(5376),
    [aux_sym_coarray_statement_token8] = ACTIONS(5376),
    [aux_sym_coarray_statement_token11] = ACTIONS(5376),
    [aux_sym_coarray_statement_token12] = ACTIONS(5376),
    [aux_sym_coarray_statement_token13] = ACTIONS(5376),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5376),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5376),
    [aux_sym_identifier_token1] = ACTIONS(5376),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5378),
    [sym__float_literal] = ACTIONS(5378),
    [sym__boz_literal] = ACTIONS(5378),
    [sym__string_literal] = ACTIONS(5378),
    [sym__string_literal_kind] = ACTIONS(5378),
  },
  [1206] = {
    [ts_builtin_sym_end] = ACTIONS(5410),
    [aux_sym_preproc_include_token1] = ACTIONS(5408),
    [aux_sym_preproc_def_token1] = ACTIONS(5408),
    [aux_sym_preproc_if_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5408),
    [sym_preproc_directive] = ACTIONS(5408),
    [anon_sym_LPAREN2] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5408),
    [aux_sym_end_program_statement_token1] = ACTIONS(5408),
    [aux_sym_end_program_statement_token2] = ACTIONS(5408),
    [aux_sym_module_statement_token1] = ACTIONS(5408),
    [aux_sym_submodule_statement_token1] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [aux_sym_interface_statement_token1] = ACTIONS(5408),
    [aux_sym_block_data_statement_token1] = ACTIONS(5408),
    [aux_sym_block_data_statement_token2] = ACTIONS(5408),
    [aux_sym_block_data_statement_token3] = ACTIONS(5408),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5408),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5408),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5408),
    [aux_sym_function_statement_token1] = ACTIONS(5408),
    [aux_sym_language_binding_token1] = ACTIONS(5408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5408),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5408),
    [aux_sym_contains_statement_token1] = ACTIONS(5408),
    [aux_sym_use_statement_token1] = ACTIONS(5408),
    [aux_sym_use_statement_token2] = ACTIONS(5408),
    [aux_sym_implicit_statement_token1] = ACTIONS(5408),
    [aux_sym_implicit_statement_token3] = ACTIONS(5408),
    [aux_sym_implicit_statement_token4] = ACTIONS(5408),
    [aux_sym_save_statement_token1] = ACTIONS(5408),
    [aux_sym_private_statement_token1] = ACTIONS(5408),
    [aux_sym_public_statement_token1] = ACTIONS(5408),
    [aux_sym_namelist_statement_token1] = ACTIONS(5408),
    [aux_sym_common_statement_token1] = ACTIONS(5408),
    [aux_sym_import_statement_token1] = ACTIONS(5408),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5408),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5408),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5408),
    [aux_sym_variable_attributes_token1] = ACTIONS(5408),
    [aux_sym_variable_attributes_token2] = ACTIONS(5408),
    [aux_sym_variable_attributes_token3] = ACTIONS(5408),
    [aux_sym_variable_attributes_token4] = ACTIONS(5408),
    [aux_sym_variable_attributes_token5] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5408),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5408),
    [aux_sym_derived_type_token1] = ACTIONS(5408),
    [aux_sym_declared_type_token1] = ACTIONS(5408),
    [aux_sym_declared_type_token2] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5408),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5408),
    [aux_sym_type_qualifier_token1] = ACTIONS(5408),
    [aux_sym_type_qualifier_token2] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5408),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5408),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5408),
    [aux_sym_stop_statement_token1] = ACTIONS(5408),
    [aux_sym_stop_statement_token2] = ACTIONS(5408),
    [aux_sym_subroutine_call_token1] = ACTIONS(5408),
    [aux_sym_keyword_statement_token1] = ACTIONS(5408),
    [aux_sym_keyword_statement_token2] = ACTIONS(5408),
    [aux_sym_keyword_statement_token3] = ACTIONS(5408),
    [aux_sym_keyword_statement_token4] = ACTIONS(5408),
    [aux_sym_keyword_statement_token6] = ACTIONS(5408),
    [aux_sym_keyword_statement_token7] = ACTIONS(5408),
    [aux_sym_include_statement_token1] = ACTIONS(5408),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5408),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5408),
    [aux_sym_end_if_statement_token1] = ACTIONS(5408),
    [aux_sym_elseif_clause_token2] = ACTIONS(5408),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5408),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5408),
    [aux_sym_select_case_statement_token1] = ACTIONS(5408),
    [aux_sym_select_case_statement_token3] = ACTIONS(5408),
    [aux_sym_select_type_statement_token1] = ACTIONS(5408),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5408),
    [aux_sym_associate_statement_token1] = ACTIONS(5408),
    [aux_sym_format_statement_token1] = ACTIONS(5408),
    [aux_sym_print_statement_token1] = ACTIONS(5408),
    [aux_sym_open_statement_token1] = ACTIONS(5408),
    [aux_sym_close_statement_token1] = ACTIONS(5408),
    [aux_sym_inquire_statement_token1] = ACTIONS(5408),
    [aux_sym_enum_statement_token1] = ACTIONS(5408),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5408),
    [aux_sym_file_position_statement_token1] = ACTIONS(5408),
    [aux_sym_file_position_statement_token2] = ACTIONS(5408),
    [aux_sym_file_position_statement_token3] = ACTIONS(5408),
    [aux_sym_file_position_statement_token4] = ACTIONS(5408),
    [aux_sym_allocate_statement_token1] = ACTIONS(5408),
    [aux_sym_entry_statement_token1] = ACTIONS(5408),
    [aux_sym_assign_statement_token1] = ACTIONS(5408),
    [aux_sym_logical_expression_token5] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [aux_sym_boolean_literal_token1] = ACTIONS(5410),
    [aux_sym_boolean_literal_token2] = ACTIONS(5410),
    [aux_sym_null_literal_token1] = ACTIONS(5408),
    [aux_sym_coarray_statement_token1] = ACTIONS(5408),
    [aux_sym_coarray_statement_token2] = ACTIONS(5408),
    [aux_sym_coarray_statement_token6] = ACTIONS(5408),
    [aux_sym_coarray_statement_token8] = ACTIONS(5408),
    [aux_sym_coarray_statement_token11] = ACTIONS(5408),
    [aux_sym_coarray_statement_token12] = ACTIONS(5408),
    [aux_sym_coarray_statement_token13] = ACTIONS(5408),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5408),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5408),
    [aux_sym_identifier_token1] = ACTIONS(5408),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5410),
    [sym__float_literal] = ACTIONS(5410),
    [sym__boz_literal] = ACTIONS(5410),
    [sym__string_literal] = ACTIONS(5410),
    [sym__string_literal_kind] = ACTIONS(5410),
  },
  [1207] = {
    [ts_builtin_sym_end] = ACTIONS(5422),
    [aux_sym_preproc_include_token1] = ACTIONS(5420),
    [aux_sym_preproc_def_token1] = ACTIONS(5420),
    [aux_sym_preproc_if_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5420),
    [sym_preproc_directive] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5420),
    [aux_sym_end_program_statement_token1] = ACTIONS(5420),
    [aux_sym_end_program_statement_token2] = ACTIONS(5420),
    [aux_sym_module_statement_token1] = ACTIONS(5420),
    [aux_sym_submodule_statement_token1] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [aux_sym_interface_statement_token1] = ACTIONS(5420),
    [aux_sym_block_data_statement_token1] = ACTIONS(5420),
    [aux_sym_block_data_statement_token2] = ACTIONS(5420),
    [aux_sym_block_data_statement_token3] = ACTIONS(5420),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5420),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5420),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5420),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5420),
    [aux_sym_function_statement_token1] = ACTIONS(5420),
    [aux_sym_language_binding_token1] = ACTIONS(5420),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5420),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5420),
    [aux_sym_contains_statement_token1] = ACTIONS(5420),
    [aux_sym_use_statement_token1] = ACTIONS(5420),
    [aux_sym_use_statement_token2] = ACTIONS(5420),
    [aux_sym_implicit_statement_token1] = ACTIONS(5420),
    [aux_sym_implicit_statement_token3] = ACTIONS(5420),
    [aux_sym_implicit_statement_token4] = ACTIONS(5420),
    [aux_sym_save_statement_token1] = ACTIONS(5420),
    [aux_sym_private_statement_token1] = ACTIONS(5420),
    [aux_sym_public_statement_token1] = ACTIONS(5420),
    [aux_sym_namelist_statement_token1] = ACTIONS(5420),
    [aux_sym_common_statement_token1] = ACTIONS(5420),
    [aux_sym_import_statement_token1] = ACTIONS(5420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5420),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5420),
    [aux_sym_variable_attributes_token1] = ACTIONS(5420),
    [aux_sym_variable_attributes_token2] = ACTIONS(5420),
    [aux_sym_variable_attributes_token3] = ACTIONS(5420),
    [aux_sym_variable_attributes_token4] = ACTIONS(5420),
    [aux_sym_variable_attributes_token5] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5420),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5420),
    [aux_sym_derived_type_token1] = ACTIONS(5420),
    [aux_sym_declared_type_token1] = ACTIONS(5420),
    [aux_sym_declared_type_token2] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5420),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5420),
    [aux_sym_type_qualifier_token1] = ACTIONS(5420),
    [aux_sym_type_qualifier_token2] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5420),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5420),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5420),
    [aux_sym_stop_statement_token1] = ACTIONS(5420),
    [aux_sym_stop_statement_token2] = ACTIONS(5420),
    [aux_sym_subroutine_call_token1] = ACTIONS(5420),
    [aux_sym_keyword_statement_token1] = ACTIONS(5420),
    [aux_sym_keyword_statement_token2] = ACTIONS(5420),
    [aux_sym_keyword_statement_token3] = ACTIONS(5420),
    [aux_sym_keyword_statement_token4] = ACTIONS(5420),
    [aux_sym_keyword_statement_token6] = ACTIONS(5420),
    [aux_sym_keyword_statement_token7] = ACTIONS(5420),
    [aux_sym_include_statement_token1] = ACTIONS(5420),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5420),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5420),
    [aux_sym_end_if_statement_token1] = ACTIONS(5420),
    [aux_sym_elseif_clause_token2] = ACTIONS(5420),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5420),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5420),
    [aux_sym_select_case_statement_token1] = ACTIONS(5420),
    [aux_sym_select_case_statement_token3] = ACTIONS(5420),
    [aux_sym_select_type_statement_token1] = ACTIONS(5420),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5420),
    [aux_sym_associate_statement_token1] = ACTIONS(5420),
    [aux_sym_format_statement_token1] = ACTIONS(5420),
    [aux_sym_print_statement_token1] = ACTIONS(5420),
    [aux_sym_open_statement_token1] = ACTIONS(5420),
    [aux_sym_close_statement_token1] = ACTIONS(5420),
    [aux_sym_inquire_statement_token1] = ACTIONS(5420),
    [aux_sym_enum_statement_token1] = ACTIONS(5420),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5420),
    [aux_sym_file_position_statement_token1] = ACTIONS(5420),
    [aux_sym_file_position_statement_token2] = ACTIONS(5420),
    [aux_sym_file_position_statement_token3] = ACTIONS(5420),
    [aux_sym_file_position_statement_token4] = ACTIONS(5420),
    [aux_sym_allocate_statement_token1] = ACTIONS(5420),
    [aux_sym_entry_statement_token1] = ACTIONS(5420),
    [aux_sym_assign_statement_token1] = ACTIONS(5420),
    [aux_sym_logical_expression_token5] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [aux_sym_boolean_literal_token1] = ACTIONS(5422),
    [aux_sym_boolean_literal_token2] = ACTIONS(5422),
    [aux_sym_null_literal_token1] = ACTIONS(5420),
    [aux_sym_coarray_statement_token1] = ACTIONS(5420),
    [aux_sym_coarray_statement_token2] = ACTIONS(5420),
    [aux_sym_coarray_statement_token6] = ACTIONS(5420),
    [aux_sym_coarray_statement_token8] = ACTIONS(5420),
    [aux_sym_coarray_statement_token11] = ACTIONS(5420),
    [aux_sym_coarray_statement_token12] = ACTIONS(5420),
    [aux_sym_coarray_statement_token13] = ACTIONS(5420),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5420),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5420),
    [aux_sym_identifier_token1] = ACTIONS(5420),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5422),
    [sym__float_literal] = ACTIONS(5422),
    [sym__boz_literal] = ACTIONS(5422),
    [sym__string_literal] = ACTIONS(5422),
    [sym__string_literal_kind] = ACTIONS(5422),
  },
  [1208] = {
    [ts_builtin_sym_end] = ACTIONS(5426),
    [aux_sym_preproc_include_token1] = ACTIONS(5424),
    [aux_sym_preproc_def_token1] = ACTIONS(5424),
    [aux_sym_preproc_if_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5424),
    [sym_preproc_directive] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5424),
    [aux_sym_end_program_statement_token1] = ACTIONS(5424),
    [aux_sym_end_program_statement_token2] = ACTIONS(5424),
    [aux_sym_module_statement_token1] = ACTIONS(5424),
    [aux_sym_submodule_statement_token1] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [aux_sym_interface_statement_token1] = ACTIONS(5424),
    [aux_sym_block_data_statement_token1] = ACTIONS(5424),
    [aux_sym_block_data_statement_token2] = ACTIONS(5424),
    [aux_sym_block_data_statement_token3] = ACTIONS(5424),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5424),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5424),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5424),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5424),
    [aux_sym_function_statement_token1] = ACTIONS(5424),
    [aux_sym_language_binding_token1] = ACTIONS(5424),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5424),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5424),
    [aux_sym_contains_statement_token1] = ACTIONS(5424),
    [aux_sym_use_statement_token1] = ACTIONS(5424),
    [aux_sym_use_statement_token2] = ACTIONS(5424),
    [aux_sym_implicit_statement_token1] = ACTIONS(5424),
    [aux_sym_implicit_statement_token3] = ACTIONS(5424),
    [aux_sym_implicit_statement_token4] = ACTIONS(5424),
    [aux_sym_save_statement_token1] = ACTIONS(5424),
    [aux_sym_private_statement_token1] = ACTIONS(5424),
    [aux_sym_public_statement_token1] = ACTIONS(5424),
    [aux_sym_namelist_statement_token1] = ACTIONS(5424),
    [aux_sym_common_statement_token1] = ACTIONS(5424),
    [aux_sym_import_statement_token1] = ACTIONS(5424),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5424),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5424),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5424),
    [aux_sym_variable_attributes_token1] = ACTIONS(5424),
    [aux_sym_variable_attributes_token2] = ACTIONS(5424),
    [aux_sym_variable_attributes_token3] = ACTIONS(5424),
    [aux_sym_variable_attributes_token4] = ACTIONS(5424),
    [aux_sym_variable_attributes_token5] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5424),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5424),
    [aux_sym_derived_type_token1] = ACTIONS(5424),
    [aux_sym_declared_type_token1] = ACTIONS(5424),
    [aux_sym_declared_type_token2] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5424),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5424),
    [aux_sym_type_qualifier_token1] = ACTIONS(5424),
    [aux_sym_type_qualifier_token2] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5424),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5424),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5424),
    [aux_sym_stop_statement_token1] = ACTIONS(5424),
    [aux_sym_stop_statement_token2] = ACTIONS(5424),
    [aux_sym_subroutine_call_token1] = ACTIONS(5424),
    [aux_sym_keyword_statement_token1] = ACTIONS(5424),
    [aux_sym_keyword_statement_token2] = ACTIONS(5424),
    [aux_sym_keyword_statement_token3] = ACTIONS(5424),
    [aux_sym_keyword_statement_token4] = ACTIONS(5424),
    [aux_sym_keyword_statement_token6] = ACTIONS(5424),
    [aux_sym_keyword_statement_token7] = ACTIONS(5424),
    [aux_sym_include_statement_token1] = ACTIONS(5424),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5424),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5424),
    [aux_sym_end_if_statement_token1] = ACTIONS(5424),
    [aux_sym_elseif_clause_token2] = ACTIONS(5424),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5424),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5424),
    [aux_sym_select_case_statement_token1] = ACTIONS(5424),
    [aux_sym_select_case_statement_token3] = ACTIONS(5424),
    [aux_sym_select_type_statement_token1] = ACTIONS(5424),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5424),
    [aux_sym_associate_statement_token1] = ACTIONS(5424),
    [aux_sym_format_statement_token1] = ACTIONS(5424),
    [aux_sym_print_statement_token1] = ACTIONS(5424),
    [aux_sym_open_statement_token1] = ACTIONS(5424),
    [aux_sym_close_statement_token1] = ACTIONS(5424),
    [aux_sym_inquire_statement_token1] = ACTIONS(5424),
    [aux_sym_enum_statement_token1] = ACTIONS(5424),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5424),
    [aux_sym_file_position_statement_token1] = ACTIONS(5424),
    [aux_sym_file_position_statement_token2] = ACTIONS(5424),
    [aux_sym_file_position_statement_token3] = ACTIONS(5424),
    [aux_sym_file_position_statement_token4] = ACTIONS(5424),
    [aux_sym_allocate_statement_token1] = ACTIONS(5424),
    [aux_sym_entry_statement_token1] = ACTIONS(5424),
    [aux_sym_assign_statement_token1] = ACTIONS(5424),
    [aux_sym_logical_expression_token5] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [aux_sym_boolean_literal_token1] = ACTIONS(5426),
    [aux_sym_boolean_literal_token2] = ACTIONS(5426),
    [aux_sym_null_literal_token1] = ACTIONS(5424),
    [aux_sym_coarray_statement_token1] = ACTIONS(5424),
    [aux_sym_coarray_statement_token2] = ACTIONS(5424),
    [aux_sym_coarray_statement_token6] = ACTIONS(5424),
    [aux_sym_coarray_statement_token8] = ACTIONS(5424),
    [aux_sym_coarray_statement_token11] = ACTIONS(5424),
    [aux_sym_coarray_statement_token12] = ACTIONS(5424),
    [aux_sym_coarray_statement_token13] = ACTIONS(5424),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5424),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5424),
    [aux_sym_identifier_token1] = ACTIONS(5424),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5426),
    [sym__float_literal] = ACTIONS(5426),
    [sym__boz_literal] = ACTIONS(5426),
    [sym__string_literal] = ACTIONS(5426),
    [sym__string_literal_kind] = ACTIONS(5426),
  },
  [1209] = {
    [ts_builtin_sym_end] = ACTIONS(5430),
    [aux_sym_preproc_include_token1] = ACTIONS(5428),
    [aux_sym_preproc_def_token1] = ACTIONS(5428),
    [aux_sym_preproc_if_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5428),
    [sym_preproc_directive] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5428),
    [aux_sym_end_program_statement_token1] = ACTIONS(5428),
    [aux_sym_end_program_statement_token2] = ACTIONS(5428),
    [aux_sym_module_statement_token1] = ACTIONS(5428),
    [aux_sym_submodule_statement_token1] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [aux_sym_interface_statement_token1] = ACTIONS(5428),
    [aux_sym_block_data_statement_token1] = ACTIONS(5428),
    [aux_sym_block_data_statement_token2] = ACTIONS(5428),
    [aux_sym_block_data_statement_token3] = ACTIONS(5428),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5428),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5428),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5428),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5428),
    [aux_sym_function_statement_token1] = ACTIONS(5428),
    [aux_sym_language_binding_token1] = ACTIONS(5428),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5428),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5428),
    [aux_sym_contains_statement_token1] = ACTIONS(5428),
    [aux_sym_use_statement_token1] = ACTIONS(5428),
    [aux_sym_use_statement_token2] = ACTIONS(5428),
    [aux_sym_implicit_statement_token1] = ACTIONS(5428),
    [aux_sym_implicit_statement_token3] = ACTIONS(5428),
    [aux_sym_implicit_statement_token4] = ACTIONS(5428),
    [aux_sym_save_statement_token1] = ACTIONS(5428),
    [aux_sym_private_statement_token1] = ACTIONS(5428),
    [aux_sym_public_statement_token1] = ACTIONS(5428),
    [aux_sym_namelist_statement_token1] = ACTIONS(5428),
    [aux_sym_common_statement_token1] = ACTIONS(5428),
    [aux_sym_import_statement_token1] = ACTIONS(5428),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5428),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5428),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5428),
    [aux_sym_variable_attributes_token1] = ACTIONS(5428),
    [aux_sym_variable_attributes_token2] = ACTIONS(5428),
    [aux_sym_variable_attributes_token3] = ACTIONS(5428),
    [aux_sym_variable_attributes_token4] = ACTIONS(5428),
    [aux_sym_variable_attributes_token5] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5428),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5428),
    [aux_sym_derived_type_token1] = ACTIONS(5428),
    [aux_sym_declared_type_token1] = ACTIONS(5428),
    [aux_sym_declared_type_token2] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5428),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5428),
    [aux_sym_type_qualifier_token1] = ACTIONS(5428),
    [aux_sym_type_qualifier_token2] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5428),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5428),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5428),
    [aux_sym_stop_statement_token1] = ACTIONS(5428),
    [aux_sym_stop_statement_token2] = ACTIONS(5428),
    [aux_sym_subroutine_call_token1] = ACTIONS(5428),
    [aux_sym_keyword_statement_token1] = ACTIONS(5428),
    [aux_sym_keyword_statement_token2] = ACTIONS(5428),
    [aux_sym_keyword_statement_token3] = ACTIONS(5428),
    [aux_sym_keyword_statement_token4] = ACTIONS(5428),
    [aux_sym_keyword_statement_token6] = ACTIONS(5428),
    [aux_sym_keyword_statement_token7] = ACTIONS(5428),
    [aux_sym_include_statement_token1] = ACTIONS(5428),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5428),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5428),
    [aux_sym_end_if_statement_token1] = ACTIONS(5428),
    [aux_sym_elseif_clause_token2] = ACTIONS(5428),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5428),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5428),
    [aux_sym_select_case_statement_token1] = ACTIONS(5428),
    [aux_sym_select_case_statement_token3] = ACTIONS(5428),
    [aux_sym_select_type_statement_token1] = ACTIONS(5428),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5428),
    [aux_sym_associate_statement_token1] = ACTIONS(5428),
    [aux_sym_format_statement_token1] = ACTIONS(5428),
    [aux_sym_print_statement_token1] = ACTIONS(5428),
    [aux_sym_open_statement_token1] = ACTIONS(5428),
    [aux_sym_close_statement_token1] = ACTIONS(5428),
    [aux_sym_inquire_statement_token1] = ACTIONS(5428),
    [aux_sym_enum_statement_token1] = ACTIONS(5428),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5428),
    [aux_sym_file_position_statement_token1] = ACTIONS(5428),
    [aux_sym_file_position_statement_token2] = ACTIONS(5428),
    [aux_sym_file_position_statement_token3] = ACTIONS(5428),
    [aux_sym_file_position_statement_token4] = ACTIONS(5428),
    [aux_sym_allocate_statement_token1] = ACTIONS(5428),
    [aux_sym_entry_statement_token1] = ACTIONS(5428),
    [aux_sym_assign_statement_token1] = ACTIONS(5428),
    [aux_sym_logical_expression_token5] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [aux_sym_boolean_literal_token1] = ACTIONS(5430),
    [aux_sym_boolean_literal_token2] = ACTIONS(5430),
    [aux_sym_null_literal_token1] = ACTIONS(5428),
    [aux_sym_coarray_statement_token1] = ACTIONS(5428),
    [aux_sym_coarray_statement_token2] = ACTIONS(5428),
    [aux_sym_coarray_statement_token6] = ACTIONS(5428),
    [aux_sym_coarray_statement_token8] = ACTIONS(5428),
    [aux_sym_coarray_statement_token11] = ACTIONS(5428),
    [aux_sym_coarray_statement_token12] = ACTIONS(5428),
    [aux_sym_coarray_statement_token13] = ACTIONS(5428),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5428),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5428),
    [aux_sym_identifier_token1] = ACTIONS(5428),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5430),
    [sym__float_literal] = ACTIONS(5430),
    [sym__boz_literal] = ACTIONS(5430),
    [sym__string_literal] = ACTIONS(5430),
    [sym__string_literal_kind] = ACTIONS(5430),
  },
  [1210] = {
    [ts_builtin_sym_end] = ACTIONS(5182),
    [aux_sym_preproc_include_token1] = ACTIONS(5180),
    [aux_sym_preproc_def_token1] = ACTIONS(5180),
    [aux_sym_preproc_if_token1] = ACTIONS(5180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5180),
    [sym_preproc_directive] = ACTIONS(5180),
    [anon_sym_LPAREN2] = ACTIONS(5180),
    [anon_sym_PLUS] = ACTIONS(5182),
    [anon_sym_DASH] = ACTIONS(5182),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5180),
    [aux_sym_end_program_statement_token1] = ACTIONS(5180),
    [aux_sym_end_program_statement_token2] = ACTIONS(5180),
    [aux_sym_module_statement_token1] = ACTIONS(5180),
    [aux_sym_submodule_statement_token1] = ACTIONS(5180),
    [anon_sym_SEMI] = ACTIONS(5182),
    [aux_sym_interface_statement_token1] = ACTIONS(5180),
    [aux_sym_block_data_statement_token1] = ACTIONS(5180),
    [aux_sym_block_data_statement_token2] = ACTIONS(5180),
    [aux_sym_block_data_statement_token3] = ACTIONS(5180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5180),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5180),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5180),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5180),
    [aux_sym_function_statement_token1] = ACTIONS(5180),
    [aux_sym_language_binding_token1] = ACTIONS(5180),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5180),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5180),
    [aux_sym_contains_statement_token1] = ACTIONS(5180),
    [aux_sym_use_statement_token1] = ACTIONS(5180),
    [aux_sym_use_statement_token2] = ACTIONS(5180),
    [aux_sym_implicit_statement_token1] = ACTIONS(5180),
    [aux_sym_implicit_statement_token3] = ACTIONS(5180),
    [aux_sym_implicit_statement_token4] = ACTIONS(5180),
    [aux_sym_save_statement_token1] = ACTIONS(5180),
    [aux_sym_private_statement_token1] = ACTIONS(5180),
    [aux_sym_public_statement_token1] = ACTIONS(5180),
    [aux_sym_namelist_statement_token1] = ACTIONS(5180),
    [aux_sym_common_statement_token1] = ACTIONS(5180),
    [aux_sym_import_statement_token1] = ACTIONS(5180),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5180),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5180),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5180),
    [aux_sym_variable_attributes_token1] = ACTIONS(5180),
    [aux_sym_variable_attributes_token2] = ACTIONS(5180),
    [aux_sym_variable_attributes_token3] = ACTIONS(5180),
    [aux_sym_variable_attributes_token4] = ACTIONS(5180),
    [aux_sym_variable_attributes_token5] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5180),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5180),
    [aux_sym_derived_type_token1] = ACTIONS(5180),
    [aux_sym_declared_type_token1] = ACTIONS(5180),
    [aux_sym_declared_type_token2] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5180),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5180),
    [aux_sym_type_qualifier_token1] = ACTIONS(5180),
    [aux_sym_type_qualifier_token2] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5180),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5180),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5180),
    [aux_sym_stop_statement_token1] = ACTIONS(5180),
    [aux_sym_stop_statement_token2] = ACTIONS(5180),
    [aux_sym_subroutine_call_token1] = ACTIONS(5180),
    [aux_sym_keyword_statement_token1] = ACTIONS(5180),
    [aux_sym_keyword_statement_token2] = ACTIONS(5180),
    [aux_sym_keyword_statement_token3] = ACTIONS(5180),
    [aux_sym_keyword_statement_token4] = ACTIONS(5180),
    [aux_sym_keyword_statement_token6] = ACTIONS(5180),
    [aux_sym_keyword_statement_token7] = ACTIONS(5180),
    [aux_sym_include_statement_token1] = ACTIONS(5180),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5180),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5180),
    [aux_sym_end_if_statement_token1] = ACTIONS(5180),
    [aux_sym_elseif_clause_token2] = ACTIONS(5180),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5180),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5180),
    [aux_sym_select_case_statement_token1] = ACTIONS(5180),
    [aux_sym_select_case_statement_token3] = ACTIONS(5180),
    [aux_sym_select_type_statement_token1] = ACTIONS(5180),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5180),
    [aux_sym_associate_statement_token1] = ACTIONS(5180),
    [aux_sym_format_statement_token1] = ACTIONS(5180),
    [aux_sym_print_statement_token1] = ACTIONS(5180),
    [aux_sym_open_statement_token1] = ACTIONS(5180),
    [aux_sym_close_statement_token1] = ACTIONS(5180),
    [aux_sym_inquire_statement_token1] = ACTIONS(5180),
    [aux_sym_enum_statement_token1] = ACTIONS(5180),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5180),
    [aux_sym_file_position_statement_token1] = ACTIONS(5180),
    [aux_sym_file_position_statement_token2] = ACTIONS(5180),
    [aux_sym_file_position_statement_token3] = ACTIONS(5180),
    [aux_sym_file_position_statement_token4] = ACTIONS(5180),
    [aux_sym_allocate_statement_token1] = ACTIONS(5180),
    [aux_sym_entry_statement_token1] = ACTIONS(5180),
    [aux_sym_assign_statement_token1] = ACTIONS(5180),
    [aux_sym_logical_expression_token5] = ACTIONS(5182),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5182),
    [anon_sym_LBRACK] = ACTIONS(5182),
    [aux_sym_boolean_literal_token1] = ACTIONS(5182),
    [aux_sym_boolean_literal_token2] = ACTIONS(5182),
    [aux_sym_null_literal_token1] = ACTIONS(5180),
    [aux_sym_coarray_statement_token1] = ACTIONS(5180),
    [aux_sym_coarray_statement_token2] = ACTIONS(5180),
    [aux_sym_coarray_statement_token6] = ACTIONS(5180),
    [aux_sym_coarray_statement_token8] = ACTIONS(5180),
    [aux_sym_coarray_statement_token11] = ACTIONS(5180),
    [aux_sym_coarray_statement_token12] = ACTIONS(5180),
    [aux_sym_coarray_statement_token13] = ACTIONS(5180),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5180),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5180),
    [aux_sym_identifier_token1] = ACTIONS(5180),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5182),
    [sym__float_literal] = ACTIONS(5182),
    [sym__boz_literal] = ACTIONS(5182),
    [sym__string_literal] = ACTIONS(5182),
    [sym__string_literal_kind] = ACTIONS(5182),
  },
  [1211] = {
    [ts_builtin_sym_end] = ACTIONS(5190),
    [aux_sym_preproc_include_token1] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token1] = ACTIONS(5188),
    [aux_sym_end_program_statement_token2] = ACTIONS(5188),
    [aux_sym_module_statement_token1] = ACTIONS(5188),
    [aux_sym_submodule_statement_token1] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [aux_sym_interface_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token1] = ACTIONS(5188),
    [aux_sym_block_data_statement_token2] = ACTIONS(5188),
    [aux_sym_block_data_statement_token3] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5188),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5188),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5188),
    [aux_sym_function_statement_token1] = ACTIONS(5188),
    [aux_sym_language_binding_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5188),
    [aux_sym_contains_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token1] = ACTIONS(5188),
    [aux_sym_use_statement_token2] = ACTIONS(5188),
    [aux_sym_implicit_statement_token1] = ACTIONS(5188),
    [aux_sym_implicit_statement_token3] = ACTIONS(5188),
    [aux_sym_implicit_statement_token4] = ACTIONS(5188),
    [aux_sym_save_statement_token1] = ACTIONS(5188),
    [aux_sym_private_statement_token1] = ACTIONS(5188),
    [aux_sym_public_statement_token1] = ACTIONS(5188),
    [aux_sym_namelist_statement_token1] = ACTIONS(5188),
    [aux_sym_common_statement_token1] = ACTIONS(5188),
    [aux_sym_import_statement_token1] = ACTIONS(5188),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5188),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5188),
    [aux_sym_variable_attributes_token1] = ACTIONS(5188),
    [aux_sym_variable_attributes_token2] = ACTIONS(5188),
    [aux_sym_variable_attributes_token3] = ACTIONS(5188),
    [aux_sym_variable_attributes_token4] = ACTIONS(5188),
    [aux_sym_variable_attributes_token5] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5188),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5188),
    [aux_sym_derived_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token1] = ACTIONS(5188),
    [aux_sym_declared_type_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5188),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5188),
    [aux_sym_type_qualifier_token1] = ACTIONS(5188),
    [aux_sym_type_qualifier_token2] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5188),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5188),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token1] = ACTIONS(5188),
    [aux_sym_stop_statement_token2] = ACTIONS(5188),
    [aux_sym_subroutine_call_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token1] = ACTIONS(5188),
    [aux_sym_keyword_statement_token2] = ACTIONS(5188),
    [aux_sym_keyword_statement_token3] = ACTIONS(5188),
    [aux_sym_keyword_statement_token4] = ACTIONS(5188),
    [aux_sym_keyword_statement_token6] = ACTIONS(5188),
    [aux_sym_keyword_statement_token7] = ACTIONS(5188),
    [aux_sym_include_statement_token1] = ACTIONS(5188),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5188),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5188),
    [aux_sym_end_if_statement_token1] = ACTIONS(5188),
    [aux_sym_elseif_clause_token2] = ACTIONS(5188),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5188),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token1] = ACTIONS(5188),
    [aux_sym_select_case_statement_token3] = ACTIONS(5188),
    [aux_sym_select_type_statement_token1] = ACTIONS(5188),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5188),
    [aux_sym_associate_statement_token1] = ACTIONS(5188),
    [aux_sym_format_statement_token1] = ACTIONS(5188),
    [aux_sym_print_statement_token1] = ACTIONS(5188),
    [aux_sym_open_statement_token1] = ACTIONS(5188),
    [aux_sym_close_statement_token1] = ACTIONS(5188),
    [aux_sym_inquire_statement_token1] = ACTIONS(5188),
    [aux_sym_enum_statement_token1] = ACTIONS(5188),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token1] = ACTIONS(5188),
    [aux_sym_file_position_statement_token2] = ACTIONS(5188),
    [aux_sym_file_position_statement_token3] = ACTIONS(5188),
    [aux_sym_file_position_statement_token4] = ACTIONS(5188),
    [aux_sym_allocate_statement_token1] = ACTIONS(5188),
    [aux_sym_entry_statement_token1] = ACTIONS(5188),
    [aux_sym_assign_statement_token1] = ACTIONS(5188),
    [aux_sym_logical_expression_token5] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [aux_sym_boolean_literal_token1] = ACTIONS(5190),
    [aux_sym_boolean_literal_token2] = ACTIONS(5190),
    [aux_sym_null_literal_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_statement_token2] = ACTIONS(5188),
    [aux_sym_coarray_statement_token6] = ACTIONS(5188),
    [aux_sym_coarray_statement_token8] = ACTIONS(5188),
    [aux_sym_coarray_statement_token11] = ACTIONS(5188),
    [aux_sym_coarray_statement_token12] = ACTIONS(5188),
    [aux_sym_coarray_statement_token13] = ACTIONS(5188),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5188),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5188),
    [aux_sym_identifier_token1] = ACTIONS(5188),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5190),
    [sym__float_literal] = ACTIONS(5190),
    [sym__boz_literal] = ACTIONS(5190),
    [sym__string_literal] = ACTIONS(5190),
    [sym__string_literal_kind] = ACTIONS(5190),
  },
  [1212] = {
    [ts_builtin_sym_end] = ACTIONS(5198),
    [aux_sym_preproc_include_token1] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5198),
    [anon_sym_DASH] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5196),
    [aux_sym_end_program_statement_token1] = ACTIONS(5196),
    [aux_sym_end_program_statement_token2] = ACTIONS(5196),
    [aux_sym_module_statement_token1] = ACTIONS(5196),
    [aux_sym_submodule_statement_token1] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5198),
    [aux_sym_interface_statement_token1] = ACTIONS(5196),
    [aux_sym_block_data_statement_token1] = ACTIONS(5196),
    [aux_sym_block_data_statement_token2] = ACTIONS(5196),
    [aux_sym_block_data_statement_token3] = ACTIONS(5196),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5196),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5196),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5196),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5196),
    [aux_sym_function_statement_token1] = ACTIONS(5196),
    [aux_sym_language_binding_token1] = ACTIONS(5196),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5196),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5196),
    [aux_sym_contains_statement_token1] = ACTIONS(5196),
    [aux_sym_use_statement_token1] = ACTIONS(5196),
    [aux_sym_use_statement_token2] = ACTIONS(5196),
    [aux_sym_implicit_statement_token1] = ACTIONS(5196),
    [aux_sym_implicit_statement_token3] = ACTIONS(5196),
    [aux_sym_implicit_statement_token4] = ACTIONS(5196),
    [aux_sym_save_statement_token1] = ACTIONS(5196),
    [aux_sym_private_statement_token1] = ACTIONS(5196),
    [aux_sym_public_statement_token1] = ACTIONS(5196),
    [aux_sym_namelist_statement_token1] = ACTIONS(5196),
    [aux_sym_common_statement_token1] = ACTIONS(5196),
    [aux_sym_import_statement_token1] = ACTIONS(5196),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5196),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5196),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5196),
    [aux_sym_variable_attributes_token1] = ACTIONS(5196),
    [aux_sym_variable_attributes_token2] = ACTIONS(5196),
    [aux_sym_variable_attributes_token3] = ACTIONS(5196),
    [aux_sym_variable_attributes_token4] = ACTIONS(5196),
    [aux_sym_variable_attributes_token5] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5196),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5196),
    [aux_sym_derived_type_token1] = ACTIONS(5196),
    [aux_sym_declared_type_token1] = ACTIONS(5196),
    [aux_sym_declared_type_token2] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5196),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5196),
    [aux_sym_type_qualifier_token1] = ACTIONS(5196),
    [aux_sym_type_qualifier_token2] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5196),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5196),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5196),
    [aux_sym_stop_statement_token1] = ACTIONS(5196),
    [aux_sym_stop_statement_token2] = ACTIONS(5196),
    [aux_sym_subroutine_call_token1] = ACTIONS(5196),
    [aux_sym_keyword_statement_token1] = ACTIONS(5196),
    [aux_sym_keyword_statement_token2] = ACTIONS(5196),
    [aux_sym_keyword_statement_token3] = ACTIONS(5196),
    [aux_sym_keyword_statement_token4] = ACTIONS(5196),
    [aux_sym_keyword_statement_token6] = ACTIONS(5196),
    [aux_sym_keyword_statement_token7] = ACTIONS(5196),
    [aux_sym_include_statement_token1] = ACTIONS(5196),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5196),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5196),
    [aux_sym_end_if_statement_token1] = ACTIONS(5196),
    [aux_sym_elseif_clause_token2] = ACTIONS(5196),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5196),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5196),
    [aux_sym_select_case_statement_token1] = ACTIONS(5196),
    [aux_sym_select_case_statement_token3] = ACTIONS(5196),
    [aux_sym_select_type_statement_token1] = ACTIONS(5196),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5196),
    [aux_sym_associate_statement_token1] = ACTIONS(5196),
    [aux_sym_format_statement_token1] = ACTIONS(5196),
    [aux_sym_print_statement_token1] = ACTIONS(5196),
    [aux_sym_open_statement_token1] = ACTIONS(5196),
    [aux_sym_close_statement_token1] = ACTIONS(5196),
    [aux_sym_inquire_statement_token1] = ACTIONS(5196),
    [aux_sym_enum_statement_token1] = ACTIONS(5196),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5196),
    [aux_sym_file_position_statement_token1] = ACTIONS(5196),
    [aux_sym_file_position_statement_token2] = ACTIONS(5196),
    [aux_sym_file_position_statement_token3] = ACTIONS(5196),
    [aux_sym_file_position_statement_token4] = ACTIONS(5196),
    [aux_sym_allocate_statement_token1] = ACTIONS(5196),
    [aux_sym_entry_statement_token1] = ACTIONS(5196),
    [aux_sym_assign_statement_token1] = ACTIONS(5196),
    [aux_sym_logical_expression_token5] = ACTIONS(5198),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5198),
    [anon_sym_LBRACK] = ACTIONS(5198),
    [aux_sym_boolean_literal_token1] = ACTIONS(5198),
    [aux_sym_boolean_literal_token2] = ACTIONS(5198),
    [aux_sym_null_literal_token1] = ACTIONS(5196),
    [aux_sym_coarray_statement_token1] = ACTIONS(5196),
    [aux_sym_coarray_statement_token2] = ACTIONS(5196),
    [aux_sym_coarray_statement_token6] = ACTIONS(5196),
    [aux_sym_coarray_statement_token8] = ACTIONS(5196),
    [aux_sym_coarray_statement_token11] = ACTIONS(5196),
    [aux_sym_coarray_statement_token12] = ACTIONS(5196),
    [aux_sym_coarray_statement_token13] = ACTIONS(5196),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5196),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5196),
    [aux_sym_identifier_token1] = ACTIONS(5196),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5198),
    [sym__float_literal] = ACTIONS(5198),
    [sym__boz_literal] = ACTIONS(5198),
    [sym__string_literal] = ACTIONS(5198),
    [sym__string_literal_kind] = ACTIONS(5198),
  },
  [1213] = {
    [ts_builtin_sym_end] = ACTIONS(5238),
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [aux_sym_module_statement_token1] = ACTIONS(5236),
    [aux_sym_submodule_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_block_data_statement_token3] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_function_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5236),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1214] = {
    [ts_builtin_sym_end] = ACTIONS(5242),
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [aux_sym_module_statement_token1] = ACTIONS(5240),
    [aux_sym_submodule_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_block_data_statement_token3] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_function_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5240),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1215] = {
    [ts_builtin_sym_end] = ACTIONS(5206),
    [aux_sym_preproc_include_token1] = ACTIONS(5204),
    [aux_sym_preproc_def_token1] = ACTIONS(5204),
    [aux_sym_preproc_if_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5204),
    [sym_preproc_directive] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token1] = ACTIONS(5204),
    [aux_sym_end_program_statement_token2] = ACTIONS(5204),
    [aux_sym_module_statement_token1] = ACTIONS(5204),
    [aux_sym_submodule_statement_token1] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5206),
    [aux_sym_interface_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token1] = ACTIONS(5204),
    [aux_sym_block_data_statement_token2] = ACTIONS(5204),
    [aux_sym_block_data_statement_token3] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5204),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5204),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5204),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5204),
    [aux_sym_function_statement_token1] = ACTIONS(5204),
    [aux_sym_language_binding_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5204),
    [aux_sym_contains_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token1] = ACTIONS(5204),
    [aux_sym_use_statement_token2] = ACTIONS(5204),
    [aux_sym_implicit_statement_token1] = ACTIONS(5204),
    [aux_sym_implicit_statement_token3] = ACTIONS(5204),
    [aux_sym_implicit_statement_token4] = ACTIONS(5204),
    [aux_sym_save_statement_token1] = ACTIONS(5204),
    [aux_sym_private_statement_token1] = ACTIONS(5204),
    [aux_sym_public_statement_token1] = ACTIONS(5204),
    [aux_sym_namelist_statement_token1] = ACTIONS(5204),
    [aux_sym_common_statement_token1] = ACTIONS(5204),
    [aux_sym_import_statement_token1] = ACTIONS(5204),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5204),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5204),
    [aux_sym_variable_attributes_token1] = ACTIONS(5204),
    [aux_sym_variable_attributes_token2] = ACTIONS(5204),
    [aux_sym_variable_attributes_token3] = ACTIONS(5204),
    [aux_sym_variable_attributes_token4] = ACTIONS(5204),
    [aux_sym_variable_attributes_token5] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5204),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5204),
    [aux_sym_derived_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token1] = ACTIONS(5204),
    [aux_sym_declared_type_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5204),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5204),
    [aux_sym_type_qualifier_token1] = ACTIONS(5204),
    [aux_sym_type_qualifier_token2] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5204),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5204),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token1] = ACTIONS(5204),
    [aux_sym_stop_statement_token2] = ACTIONS(5204),
    [aux_sym_subroutine_call_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token1] = ACTIONS(5204),
    [aux_sym_keyword_statement_token2] = ACTIONS(5204),
    [aux_sym_keyword_statement_token3] = ACTIONS(5204),
    [aux_sym_keyword_statement_token4] = ACTIONS(5204),
    [aux_sym_keyword_statement_token6] = ACTIONS(5204),
    [aux_sym_keyword_statement_token7] = ACTIONS(5204),
    [aux_sym_include_statement_token1] = ACTIONS(5204),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5204),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5204),
    [aux_sym_end_if_statement_token1] = ACTIONS(5204),
    [aux_sym_elseif_clause_token2] = ACTIONS(5204),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5204),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token1] = ACTIONS(5204),
    [aux_sym_select_case_statement_token3] = ACTIONS(5204),
    [aux_sym_select_type_statement_token1] = ACTIONS(5204),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5204),
    [aux_sym_associate_statement_token1] = ACTIONS(5204),
    [aux_sym_format_statement_token1] = ACTIONS(5204),
    [aux_sym_print_statement_token1] = ACTIONS(5204),
    [aux_sym_open_statement_token1] = ACTIONS(5204),
    [aux_sym_close_statement_token1] = ACTIONS(5204),
    [aux_sym_inquire_statement_token1] = ACTIONS(5204),
    [aux_sym_enum_statement_token1] = ACTIONS(5204),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token1] = ACTIONS(5204),
    [aux_sym_file_position_statement_token2] = ACTIONS(5204),
    [aux_sym_file_position_statement_token3] = ACTIONS(5204),
    [aux_sym_file_position_statement_token4] = ACTIONS(5204),
    [aux_sym_allocate_statement_token1] = ACTIONS(5204),
    [aux_sym_entry_statement_token1] = ACTIONS(5204),
    [aux_sym_assign_statement_token1] = ACTIONS(5204),
    [aux_sym_logical_expression_token5] = ACTIONS(5206),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5206),
    [anon_sym_LBRACK] = ACTIONS(5206),
    [aux_sym_boolean_literal_token1] = ACTIONS(5206),
    [aux_sym_boolean_literal_token2] = ACTIONS(5206),
    [aux_sym_null_literal_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_statement_token2] = ACTIONS(5204),
    [aux_sym_coarray_statement_token6] = ACTIONS(5204),
    [aux_sym_coarray_statement_token8] = ACTIONS(5204),
    [aux_sym_coarray_statement_token11] = ACTIONS(5204),
    [aux_sym_coarray_statement_token12] = ACTIONS(5204),
    [aux_sym_coarray_statement_token13] = ACTIONS(5204),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5204),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5204),
    [aux_sym_identifier_token1] = ACTIONS(5204),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5206),
    [sym__float_literal] = ACTIONS(5206),
    [sym__boz_literal] = ACTIONS(5206),
    [sym__string_literal] = ACTIONS(5206),
    [sym__string_literal_kind] = ACTIONS(5206),
  },
  [1216] = {
    [ts_builtin_sym_end] = ACTIONS(5230),
    [aux_sym_preproc_include_token1] = ACTIONS(5228),
    [aux_sym_preproc_def_token1] = ACTIONS(5228),
    [aux_sym_preproc_if_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5228),
    [sym_preproc_directive] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token1] = ACTIONS(5228),
    [aux_sym_end_program_statement_token2] = ACTIONS(5228),
    [aux_sym_module_statement_token1] = ACTIONS(5228),
    [aux_sym_submodule_statement_token1] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [aux_sym_interface_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token1] = ACTIONS(5228),
    [aux_sym_block_data_statement_token2] = ACTIONS(5228),
    [aux_sym_block_data_statement_token3] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5228),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5228),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5228),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5228),
    [aux_sym_function_statement_token1] = ACTIONS(5228),
    [aux_sym_language_binding_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5228),
    [aux_sym_contains_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token1] = ACTIONS(5228),
    [aux_sym_use_statement_token2] = ACTIONS(5228),
    [aux_sym_implicit_statement_token1] = ACTIONS(5228),
    [aux_sym_implicit_statement_token3] = ACTIONS(5228),
    [aux_sym_implicit_statement_token4] = ACTIONS(5228),
    [aux_sym_save_statement_token1] = ACTIONS(5228),
    [aux_sym_private_statement_token1] = ACTIONS(5228),
    [aux_sym_public_statement_token1] = ACTIONS(5228),
    [aux_sym_namelist_statement_token1] = ACTIONS(5228),
    [aux_sym_common_statement_token1] = ACTIONS(5228),
    [aux_sym_import_statement_token1] = ACTIONS(5228),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5228),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5228),
    [aux_sym_variable_attributes_token1] = ACTIONS(5228),
    [aux_sym_variable_attributes_token2] = ACTIONS(5228),
    [aux_sym_variable_attributes_token3] = ACTIONS(5228),
    [aux_sym_variable_attributes_token4] = ACTIONS(5228),
    [aux_sym_variable_attributes_token5] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5228),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5228),
    [aux_sym_derived_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token1] = ACTIONS(5228),
    [aux_sym_declared_type_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5228),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5228),
    [aux_sym_type_qualifier_token1] = ACTIONS(5228),
    [aux_sym_type_qualifier_token2] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5228),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5228),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token1] = ACTIONS(5228),
    [aux_sym_stop_statement_token2] = ACTIONS(5228),
    [aux_sym_subroutine_call_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token1] = ACTIONS(5228),
    [aux_sym_keyword_statement_token2] = ACTIONS(5228),
    [aux_sym_keyword_statement_token3] = ACTIONS(5228),
    [aux_sym_keyword_statement_token4] = ACTIONS(5228),
    [aux_sym_keyword_statement_token6] = ACTIONS(5228),
    [aux_sym_keyword_statement_token7] = ACTIONS(5228),
    [aux_sym_include_statement_token1] = ACTIONS(5228),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5228),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5228),
    [aux_sym_end_if_statement_token1] = ACTIONS(5228),
    [aux_sym_elseif_clause_token2] = ACTIONS(5228),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5228),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token1] = ACTIONS(5228),
    [aux_sym_select_case_statement_token3] = ACTIONS(5228),
    [aux_sym_select_type_statement_token1] = ACTIONS(5228),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5228),
    [aux_sym_associate_statement_token1] = ACTIONS(5228),
    [aux_sym_format_statement_token1] = ACTIONS(5228),
    [aux_sym_print_statement_token1] = ACTIONS(5228),
    [aux_sym_open_statement_token1] = ACTIONS(5228),
    [aux_sym_close_statement_token1] = ACTIONS(5228),
    [aux_sym_inquire_statement_token1] = ACTIONS(5228),
    [aux_sym_enum_statement_token1] = ACTIONS(5228),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token1] = ACTIONS(5228),
    [aux_sym_file_position_statement_token2] = ACTIONS(5228),
    [aux_sym_file_position_statement_token3] = ACTIONS(5228),
    [aux_sym_file_position_statement_token4] = ACTIONS(5228),
    [aux_sym_allocate_statement_token1] = ACTIONS(5228),
    [aux_sym_entry_statement_token1] = ACTIONS(5228),
    [aux_sym_assign_statement_token1] = ACTIONS(5228),
    [aux_sym_logical_expression_token5] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [aux_sym_boolean_literal_token1] = ACTIONS(5230),
    [aux_sym_boolean_literal_token2] = ACTIONS(5230),
    [aux_sym_null_literal_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_statement_token2] = ACTIONS(5228),
    [aux_sym_coarray_statement_token6] = ACTIONS(5228),
    [aux_sym_coarray_statement_token8] = ACTIONS(5228),
    [aux_sym_coarray_statement_token11] = ACTIONS(5228),
    [aux_sym_coarray_statement_token12] = ACTIONS(5228),
    [aux_sym_coarray_statement_token13] = ACTIONS(5228),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5228),
    [aux_sym_identifier_token1] = ACTIONS(5228),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5230),
    [sym__float_literal] = ACTIONS(5230),
    [sym__boz_literal] = ACTIONS(5230),
    [sym__string_literal] = ACTIONS(5230),
    [sym__string_literal_kind] = ACTIONS(5230),
  },
  [1217] = {
    [ts_builtin_sym_end] = ACTIONS(5294),
    [aux_sym_preproc_include_token1] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token1] = ACTIONS(5292),
    [aux_sym_end_program_statement_token2] = ACTIONS(5292),
    [aux_sym_module_statement_token1] = ACTIONS(5292),
    [aux_sym_submodule_statement_token1] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [aux_sym_interface_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token1] = ACTIONS(5292),
    [aux_sym_block_data_statement_token2] = ACTIONS(5292),
    [aux_sym_block_data_statement_token3] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5292),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5292),
    [aux_sym_function_statement_token1] = ACTIONS(5292),
    [aux_sym_language_binding_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5292),
    [aux_sym_contains_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token1] = ACTIONS(5292),
    [aux_sym_use_statement_token2] = ACTIONS(5292),
    [aux_sym_implicit_statement_token1] = ACTIONS(5292),
    [aux_sym_implicit_statement_token3] = ACTIONS(5292),
    [aux_sym_implicit_statement_token4] = ACTIONS(5292),
    [aux_sym_save_statement_token1] = ACTIONS(5292),
    [aux_sym_private_statement_token1] = ACTIONS(5292),
    [aux_sym_public_statement_token1] = ACTIONS(5292),
    [aux_sym_namelist_statement_token1] = ACTIONS(5292),
    [aux_sym_common_statement_token1] = ACTIONS(5292),
    [aux_sym_import_statement_token1] = ACTIONS(5292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5292),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5292),
    [aux_sym_variable_attributes_token1] = ACTIONS(5292),
    [aux_sym_variable_attributes_token2] = ACTIONS(5292),
    [aux_sym_variable_attributes_token3] = ACTIONS(5292),
    [aux_sym_variable_attributes_token4] = ACTIONS(5292),
    [aux_sym_variable_attributes_token5] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5292),
    [aux_sym_derived_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token1] = ACTIONS(5292),
    [aux_sym_declared_type_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5292),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5292),
    [aux_sym_type_qualifier_token1] = ACTIONS(5292),
    [aux_sym_type_qualifier_token2] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5292),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5292),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token1] = ACTIONS(5292),
    [aux_sym_stop_statement_token2] = ACTIONS(5292),
    [aux_sym_subroutine_call_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token1] = ACTIONS(5292),
    [aux_sym_keyword_statement_token2] = ACTIONS(5292),
    [aux_sym_keyword_statement_token3] = ACTIONS(5292),
    [aux_sym_keyword_statement_token4] = ACTIONS(5292),
    [aux_sym_keyword_statement_token6] = ACTIONS(5292),
    [aux_sym_keyword_statement_token7] = ACTIONS(5292),
    [aux_sym_include_statement_token1] = ACTIONS(5292),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5292),
    [aux_sym_end_if_statement_token1] = ACTIONS(5292),
    [aux_sym_elseif_clause_token2] = ACTIONS(5292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5292),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token1] = ACTIONS(5292),
    [aux_sym_select_case_statement_token3] = ACTIONS(5292),
    [aux_sym_select_type_statement_token1] = ACTIONS(5292),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5292),
    [aux_sym_associate_statement_token1] = ACTIONS(5292),
    [aux_sym_format_statement_token1] = ACTIONS(5292),
    [aux_sym_print_statement_token1] = ACTIONS(5292),
    [aux_sym_open_statement_token1] = ACTIONS(5292),
    [aux_sym_close_statement_token1] = ACTIONS(5292),
    [aux_sym_inquire_statement_token1] = ACTIONS(5292),
    [aux_sym_enum_statement_token1] = ACTIONS(5292),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token1] = ACTIONS(5292),
    [aux_sym_file_position_statement_token2] = ACTIONS(5292),
    [aux_sym_file_position_statement_token3] = ACTIONS(5292),
    [aux_sym_file_position_statement_token4] = ACTIONS(5292),
    [aux_sym_allocate_statement_token1] = ACTIONS(5292),
    [aux_sym_entry_statement_token1] = ACTIONS(5292),
    [aux_sym_assign_statement_token1] = ACTIONS(5292),
    [aux_sym_logical_expression_token5] = ACTIONS(5294),
    [anon_sym_DOT] = ACTIONS(5292),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5294),
    [aux_sym_boolean_literal_token1] = ACTIONS(5294),
    [aux_sym_boolean_literal_token2] = ACTIONS(5294),
    [aux_sym_null_literal_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_statement_token2] = ACTIONS(5292),
    [aux_sym_coarray_statement_token6] = ACTIONS(5292),
    [aux_sym_coarray_statement_token8] = ACTIONS(5292),
    [aux_sym_coarray_statement_token11] = ACTIONS(5292),
    [aux_sym_coarray_statement_token12] = ACTIONS(5292),
    [aux_sym_coarray_statement_token13] = ACTIONS(5292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5292),
    [aux_sym_identifier_token1] = ACTIONS(5292),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5294),
    [sym__float_literal] = ACTIONS(5294),
    [sym__boz_literal] = ACTIONS(5294),
    [sym__string_literal] = ACTIONS(5294),
    [sym__string_literal_kind] = ACTIONS(5294),
  },
  [1218] = {
    [ts_builtin_sym_end] = ACTIONS(5306),
    [aux_sym_preproc_include_token1] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token1] = ACTIONS(5304),
    [aux_sym_end_program_statement_token2] = ACTIONS(5304),
    [aux_sym_module_statement_token1] = ACTIONS(5304),
    [aux_sym_submodule_statement_token1] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [aux_sym_interface_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token1] = ACTIONS(5304),
    [aux_sym_block_data_statement_token2] = ACTIONS(5304),
    [aux_sym_block_data_statement_token3] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5304),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5304),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5304),
    [aux_sym_function_statement_token1] = ACTIONS(5304),
    [aux_sym_language_binding_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5304),
    [aux_sym_contains_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token1] = ACTIONS(5304),
    [aux_sym_use_statement_token2] = ACTIONS(5304),
    [aux_sym_implicit_statement_token1] = ACTIONS(5304),
    [aux_sym_implicit_statement_token3] = ACTIONS(5304),
    [aux_sym_implicit_statement_token4] = ACTIONS(5304),
    [aux_sym_save_statement_token1] = ACTIONS(5304),
    [aux_sym_private_statement_token1] = ACTIONS(5304),
    [aux_sym_public_statement_token1] = ACTIONS(5304),
    [aux_sym_namelist_statement_token1] = ACTIONS(5304),
    [aux_sym_common_statement_token1] = ACTIONS(5304),
    [aux_sym_import_statement_token1] = ACTIONS(5304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5304),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5304),
    [aux_sym_variable_attributes_token1] = ACTIONS(5304),
    [aux_sym_variable_attributes_token2] = ACTIONS(5304),
    [aux_sym_variable_attributes_token3] = ACTIONS(5304),
    [aux_sym_variable_attributes_token4] = ACTIONS(5304),
    [aux_sym_variable_attributes_token5] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5304),
    [aux_sym_derived_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token1] = ACTIONS(5304),
    [aux_sym_declared_type_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5304),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5304),
    [aux_sym_type_qualifier_token1] = ACTIONS(5304),
    [aux_sym_type_qualifier_token2] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5304),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5304),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token1] = ACTIONS(5304),
    [aux_sym_stop_statement_token2] = ACTIONS(5304),
    [aux_sym_subroutine_call_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token1] = ACTIONS(5304),
    [aux_sym_keyword_statement_token2] = ACTIONS(5304),
    [aux_sym_keyword_statement_token3] = ACTIONS(5304),
    [aux_sym_keyword_statement_token4] = ACTIONS(5304),
    [aux_sym_keyword_statement_token6] = ACTIONS(5304),
    [aux_sym_keyword_statement_token7] = ACTIONS(5304),
    [aux_sym_include_statement_token1] = ACTIONS(5304),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5304),
    [aux_sym_end_if_statement_token1] = ACTIONS(5304),
    [aux_sym_elseif_clause_token2] = ACTIONS(5304),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5304),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token1] = ACTIONS(5304),
    [aux_sym_select_case_statement_token3] = ACTIONS(5304),
    [aux_sym_select_type_statement_token1] = ACTIONS(5304),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5304),
    [aux_sym_associate_statement_token1] = ACTIONS(5304),
    [aux_sym_format_statement_token1] = ACTIONS(5304),
    [aux_sym_print_statement_token1] = ACTIONS(5304),
    [aux_sym_open_statement_token1] = ACTIONS(5304),
    [aux_sym_close_statement_token1] = ACTIONS(5304),
    [aux_sym_inquire_statement_token1] = ACTIONS(5304),
    [aux_sym_enum_statement_token1] = ACTIONS(5304),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token1] = ACTIONS(5304),
    [aux_sym_file_position_statement_token2] = ACTIONS(5304),
    [aux_sym_file_position_statement_token3] = ACTIONS(5304),
    [aux_sym_file_position_statement_token4] = ACTIONS(5304),
    [aux_sym_allocate_statement_token1] = ACTIONS(5304),
    [aux_sym_entry_statement_token1] = ACTIONS(5304),
    [aux_sym_assign_statement_token1] = ACTIONS(5304),
    [aux_sym_logical_expression_token5] = ACTIONS(5306),
    [anon_sym_DOT] = ACTIONS(5304),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5306),
    [aux_sym_boolean_literal_token1] = ACTIONS(5306),
    [aux_sym_boolean_literal_token2] = ACTIONS(5306),
    [aux_sym_null_literal_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_statement_token2] = ACTIONS(5304),
    [aux_sym_coarray_statement_token6] = ACTIONS(5304),
    [aux_sym_coarray_statement_token8] = ACTIONS(5304),
    [aux_sym_coarray_statement_token11] = ACTIONS(5304),
    [aux_sym_coarray_statement_token12] = ACTIONS(5304),
    [aux_sym_coarray_statement_token13] = ACTIONS(5304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5304),
    [aux_sym_identifier_token1] = ACTIONS(5304),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5306),
    [sym__float_literal] = ACTIONS(5306),
    [sym__boz_literal] = ACTIONS(5306),
    [sym__string_literal] = ACTIONS(5306),
    [sym__string_literal_kind] = ACTIONS(5306),
  },
  [1219] = {
    [ts_builtin_sym_end] = ACTIONS(5314),
    [aux_sym_preproc_include_token1] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_DASH] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token1] = ACTIONS(5312),
    [aux_sym_end_program_statement_token2] = ACTIONS(5312),
    [aux_sym_module_statement_token1] = ACTIONS(5312),
    [aux_sym_submodule_statement_token1] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5314),
    [aux_sym_interface_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token1] = ACTIONS(5312),
    [aux_sym_block_data_statement_token2] = ACTIONS(5312),
    [aux_sym_block_data_statement_token3] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5312),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5312),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5312),
    [aux_sym_function_statement_token1] = ACTIONS(5312),
    [aux_sym_language_binding_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5312),
    [aux_sym_contains_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token1] = ACTIONS(5312),
    [aux_sym_use_statement_token2] = ACTIONS(5312),
    [aux_sym_implicit_statement_token1] = ACTIONS(5312),
    [aux_sym_implicit_statement_token3] = ACTIONS(5312),
    [aux_sym_implicit_statement_token4] = ACTIONS(5312),
    [aux_sym_save_statement_token1] = ACTIONS(5312),
    [aux_sym_private_statement_token1] = ACTIONS(5312),
    [aux_sym_public_statement_token1] = ACTIONS(5312),
    [aux_sym_namelist_statement_token1] = ACTIONS(5312),
    [aux_sym_common_statement_token1] = ACTIONS(5312),
    [aux_sym_import_statement_token1] = ACTIONS(5312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5312),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5312),
    [aux_sym_variable_attributes_token1] = ACTIONS(5312),
    [aux_sym_variable_attributes_token2] = ACTIONS(5312),
    [aux_sym_variable_attributes_token3] = ACTIONS(5312),
    [aux_sym_variable_attributes_token4] = ACTIONS(5312),
    [aux_sym_variable_attributes_token5] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5312),
    [aux_sym_derived_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token1] = ACTIONS(5312),
    [aux_sym_declared_type_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5312),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5312),
    [aux_sym_type_qualifier_token1] = ACTIONS(5312),
    [aux_sym_type_qualifier_token2] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5312),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5312),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token1] = ACTIONS(5312),
    [aux_sym_stop_statement_token2] = ACTIONS(5312),
    [aux_sym_subroutine_call_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token1] = ACTIONS(5312),
    [aux_sym_keyword_statement_token2] = ACTIONS(5312),
    [aux_sym_keyword_statement_token3] = ACTIONS(5312),
    [aux_sym_keyword_statement_token4] = ACTIONS(5312),
    [aux_sym_keyword_statement_token6] = ACTIONS(5312),
    [aux_sym_keyword_statement_token7] = ACTIONS(5312),
    [aux_sym_include_statement_token1] = ACTIONS(5312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5312),
    [aux_sym_end_if_statement_token1] = ACTIONS(5312),
    [aux_sym_elseif_clause_token2] = ACTIONS(5312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token1] = ACTIONS(5312),
    [aux_sym_select_case_statement_token3] = ACTIONS(5312),
    [aux_sym_select_type_statement_token1] = ACTIONS(5312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5312),
    [aux_sym_associate_statement_token1] = ACTIONS(5312),
    [aux_sym_format_statement_token1] = ACTIONS(5312),
    [aux_sym_print_statement_token1] = ACTIONS(5312),
    [aux_sym_open_statement_token1] = ACTIONS(5312),
    [aux_sym_close_statement_token1] = ACTIONS(5312),
    [aux_sym_inquire_statement_token1] = ACTIONS(5312),
    [aux_sym_enum_statement_token1] = ACTIONS(5312),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token1] = ACTIONS(5312),
    [aux_sym_file_position_statement_token2] = ACTIONS(5312),
    [aux_sym_file_position_statement_token3] = ACTIONS(5312),
    [aux_sym_file_position_statement_token4] = ACTIONS(5312),
    [aux_sym_allocate_statement_token1] = ACTIONS(5312),
    [aux_sym_entry_statement_token1] = ACTIONS(5312),
    [aux_sym_assign_statement_token1] = ACTIONS(5312),
    [aux_sym_logical_expression_token5] = ACTIONS(5314),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5314),
    [anon_sym_LBRACK] = ACTIONS(5314),
    [aux_sym_boolean_literal_token1] = ACTIONS(5314),
    [aux_sym_boolean_literal_token2] = ACTIONS(5314),
    [aux_sym_null_literal_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_statement_token2] = ACTIONS(5312),
    [aux_sym_coarray_statement_token6] = ACTIONS(5312),
    [aux_sym_coarray_statement_token8] = ACTIONS(5312),
    [aux_sym_coarray_statement_token11] = ACTIONS(5312),
    [aux_sym_coarray_statement_token12] = ACTIONS(5312),
    [aux_sym_coarray_statement_token13] = ACTIONS(5312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5312),
    [aux_sym_identifier_token1] = ACTIONS(5312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5314),
    [sym__float_literal] = ACTIONS(5314),
    [sym__boz_literal] = ACTIONS(5314),
    [sym__string_literal] = ACTIONS(5314),
    [sym__string_literal_kind] = ACTIONS(5314),
  },
  [1220] = {
    [ts_builtin_sym_end] = ACTIONS(5406),
    [aux_sym_preproc_include_token1] = ACTIONS(5404),
    [aux_sym_preproc_def_token1] = ACTIONS(5404),
    [aux_sym_preproc_if_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5404),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5404),
    [sym_preproc_directive] = ACTIONS(5404),
    [anon_sym_LPAREN2] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5404),
    [aux_sym_end_program_statement_token1] = ACTIONS(5404),
    [aux_sym_end_program_statement_token2] = ACTIONS(5404),
    [aux_sym_module_statement_token1] = ACTIONS(5404),
    [aux_sym_submodule_statement_token1] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [aux_sym_interface_statement_token1] = ACTIONS(5404),
    [aux_sym_block_data_statement_token1] = ACTIONS(5404),
    [aux_sym_block_data_statement_token2] = ACTIONS(5404),
    [aux_sym_block_data_statement_token3] = ACTIONS(5404),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5404),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5404),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5404),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5404),
    [aux_sym_function_statement_token1] = ACTIONS(5404),
    [aux_sym_language_binding_token1] = ACTIONS(5404),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5404),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5404),
    [aux_sym_contains_statement_token1] = ACTIONS(5404),
    [aux_sym_use_statement_token1] = ACTIONS(5404),
    [aux_sym_use_statement_token2] = ACTIONS(5404),
    [aux_sym_implicit_statement_token1] = ACTIONS(5404),
    [aux_sym_implicit_statement_token3] = ACTIONS(5404),
    [aux_sym_implicit_statement_token4] = ACTIONS(5404),
    [aux_sym_save_statement_token1] = ACTIONS(5404),
    [aux_sym_private_statement_token1] = ACTIONS(5404),
    [aux_sym_public_statement_token1] = ACTIONS(5404),
    [aux_sym_namelist_statement_token1] = ACTIONS(5404),
    [aux_sym_common_statement_token1] = ACTIONS(5404),
    [aux_sym_import_statement_token1] = ACTIONS(5404),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5404),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5404),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5404),
    [aux_sym_variable_attributes_token1] = ACTIONS(5404),
    [aux_sym_variable_attributes_token2] = ACTIONS(5404),
    [aux_sym_variable_attributes_token3] = ACTIONS(5404),
    [aux_sym_variable_attributes_token4] = ACTIONS(5404),
    [aux_sym_variable_attributes_token5] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5404),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5404),
    [aux_sym_derived_type_token1] = ACTIONS(5404),
    [aux_sym_declared_type_token1] = ACTIONS(5404),
    [aux_sym_declared_type_token2] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5404),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5404),
    [aux_sym_type_qualifier_token1] = ACTIONS(5404),
    [aux_sym_type_qualifier_token2] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5404),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5404),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5404),
    [aux_sym_stop_statement_token1] = ACTIONS(5404),
    [aux_sym_stop_statement_token2] = ACTIONS(5404),
    [aux_sym_subroutine_call_token1] = ACTIONS(5404),
    [aux_sym_keyword_statement_token1] = ACTIONS(5404),
    [aux_sym_keyword_statement_token2] = ACTIONS(5404),
    [aux_sym_keyword_statement_token3] = ACTIONS(5404),
    [aux_sym_keyword_statement_token4] = ACTIONS(5404),
    [aux_sym_keyword_statement_token6] = ACTIONS(5404),
    [aux_sym_keyword_statement_token7] = ACTIONS(5404),
    [aux_sym_include_statement_token1] = ACTIONS(5404),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5404),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5404),
    [aux_sym_end_if_statement_token1] = ACTIONS(5404),
    [aux_sym_elseif_clause_token2] = ACTIONS(5404),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5404),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5404),
    [aux_sym_select_case_statement_token1] = ACTIONS(5404),
    [aux_sym_select_case_statement_token3] = ACTIONS(5404),
    [aux_sym_select_type_statement_token1] = ACTIONS(5404),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5404),
    [aux_sym_associate_statement_token1] = ACTIONS(5404),
    [aux_sym_format_statement_token1] = ACTIONS(5404),
    [aux_sym_print_statement_token1] = ACTIONS(5404),
    [aux_sym_open_statement_token1] = ACTIONS(5404),
    [aux_sym_close_statement_token1] = ACTIONS(5404),
    [aux_sym_inquire_statement_token1] = ACTIONS(5404),
    [aux_sym_enum_statement_token1] = ACTIONS(5404),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5404),
    [aux_sym_file_position_statement_token1] = ACTIONS(5404),
    [aux_sym_file_position_statement_token2] = ACTIONS(5404),
    [aux_sym_file_position_statement_token3] = ACTIONS(5404),
    [aux_sym_file_position_statement_token4] = ACTIONS(5404),
    [aux_sym_allocate_statement_token1] = ACTIONS(5404),
    [aux_sym_entry_statement_token1] = ACTIONS(5404),
    [aux_sym_assign_statement_token1] = ACTIONS(5404),
    [aux_sym_logical_expression_token5] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [aux_sym_boolean_literal_token1] = ACTIONS(5406),
    [aux_sym_boolean_literal_token2] = ACTIONS(5406),
    [aux_sym_null_literal_token1] = ACTIONS(5404),
    [aux_sym_coarray_statement_token1] = ACTIONS(5404),
    [aux_sym_coarray_statement_token2] = ACTIONS(5404),
    [aux_sym_coarray_statement_token6] = ACTIONS(5404),
    [aux_sym_coarray_statement_token8] = ACTIONS(5404),
    [aux_sym_coarray_statement_token11] = ACTIONS(5404),
    [aux_sym_coarray_statement_token12] = ACTIONS(5404),
    [aux_sym_coarray_statement_token13] = ACTIONS(5404),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5404),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5404),
    [aux_sym_identifier_token1] = ACTIONS(5404),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5406),
    [sym__float_literal] = ACTIONS(5406),
    [sym__boz_literal] = ACTIONS(5406),
    [sym__string_literal] = ACTIONS(5406),
    [sym__string_literal_kind] = ACTIONS(5406),
  },
  [1221] = {
    [ts_builtin_sym_end] = ACTIONS(5330),
    [aux_sym_preproc_include_token1] = ACTIONS(5328),
    [aux_sym_preproc_def_token1] = ACTIONS(5328),
    [aux_sym_preproc_if_token1] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5328),
    [sym_preproc_directive] = ACTIONS(5328),
    [anon_sym_LPAREN2] = ACTIONS(5328),
    [anon_sym_PLUS] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5330),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5328),
    [aux_sym_end_program_statement_token1] = ACTIONS(5328),
    [aux_sym_end_program_statement_token2] = ACTIONS(5328),
    [aux_sym_module_statement_token1] = ACTIONS(5328),
    [aux_sym_submodule_statement_token1] = ACTIONS(5328),
    [anon_sym_SEMI] = ACTIONS(5330),
    [aux_sym_interface_statement_token1] = ACTIONS(5328),
    [aux_sym_block_data_statement_token1] = ACTIONS(5328),
    [aux_sym_block_data_statement_token2] = ACTIONS(5328),
    [aux_sym_block_data_statement_token3] = ACTIONS(5328),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5328),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5328),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5328),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5328),
    [aux_sym_function_statement_token1] = ACTIONS(5328),
    [aux_sym_language_binding_token1] = ACTIONS(5328),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5328),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5328),
    [aux_sym_contains_statement_token1] = ACTIONS(5328),
    [aux_sym_use_statement_token1] = ACTIONS(5328),
    [aux_sym_use_statement_token2] = ACTIONS(5328),
    [aux_sym_implicit_statement_token1] = ACTIONS(5328),
    [aux_sym_implicit_statement_token3] = ACTIONS(5328),
    [aux_sym_implicit_statement_token4] = ACTIONS(5328),
    [aux_sym_save_statement_token1] = ACTIONS(5328),
    [aux_sym_private_statement_token1] = ACTIONS(5328),
    [aux_sym_public_statement_token1] = ACTIONS(5328),
    [aux_sym_namelist_statement_token1] = ACTIONS(5328),
    [aux_sym_common_statement_token1] = ACTIONS(5328),
    [aux_sym_import_statement_token1] = ACTIONS(5328),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5328),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5328),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5328),
    [aux_sym_variable_attributes_token1] = ACTIONS(5328),
    [aux_sym_variable_attributes_token2] = ACTIONS(5328),
    [aux_sym_variable_attributes_token3] = ACTIONS(5328),
    [aux_sym_variable_attributes_token4] = ACTIONS(5328),
    [aux_sym_variable_attributes_token5] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5328),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5328),
    [aux_sym_derived_type_token1] = ACTIONS(5328),
    [aux_sym_declared_type_token1] = ACTIONS(5328),
    [aux_sym_declared_type_token2] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5328),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5328),
    [aux_sym_type_qualifier_token1] = ACTIONS(5328),
    [aux_sym_type_qualifier_token2] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5328),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5328),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5328),
    [aux_sym_stop_statement_token1] = ACTIONS(5328),
    [aux_sym_stop_statement_token2] = ACTIONS(5328),
    [aux_sym_subroutine_call_token1] = ACTIONS(5328),
    [aux_sym_keyword_statement_token1] = ACTIONS(5328),
    [aux_sym_keyword_statement_token2] = ACTIONS(5328),
    [aux_sym_keyword_statement_token3] = ACTIONS(5328),
    [aux_sym_keyword_statement_token4] = ACTIONS(5328),
    [aux_sym_keyword_statement_token6] = ACTIONS(5328),
    [aux_sym_keyword_statement_token7] = ACTIONS(5328),
    [aux_sym_include_statement_token1] = ACTIONS(5328),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5328),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5328),
    [aux_sym_end_if_statement_token1] = ACTIONS(5328),
    [aux_sym_elseif_clause_token2] = ACTIONS(5328),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5328),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5328),
    [aux_sym_select_case_statement_token1] = ACTIONS(5328),
    [aux_sym_select_case_statement_token3] = ACTIONS(5328),
    [aux_sym_select_type_statement_token1] = ACTIONS(5328),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5328),
    [aux_sym_associate_statement_token1] = ACTIONS(5328),
    [aux_sym_format_statement_token1] = ACTIONS(5328),
    [aux_sym_print_statement_token1] = ACTIONS(5328),
    [aux_sym_open_statement_token1] = ACTIONS(5328),
    [aux_sym_close_statement_token1] = ACTIONS(5328),
    [aux_sym_inquire_statement_token1] = ACTIONS(5328),
    [aux_sym_enum_statement_token1] = ACTIONS(5328),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5328),
    [aux_sym_file_position_statement_token1] = ACTIONS(5328),
    [aux_sym_file_position_statement_token2] = ACTIONS(5328),
    [aux_sym_file_position_statement_token3] = ACTIONS(5328),
    [aux_sym_file_position_statement_token4] = ACTIONS(5328),
    [aux_sym_allocate_statement_token1] = ACTIONS(5328),
    [aux_sym_entry_statement_token1] = ACTIONS(5328),
    [aux_sym_assign_statement_token1] = ACTIONS(5328),
    [aux_sym_logical_expression_token5] = ACTIONS(5330),
    [anon_sym_DOT] = ACTIONS(5328),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [aux_sym_boolean_literal_token1] = ACTIONS(5330),
    [aux_sym_boolean_literal_token2] = ACTIONS(5330),
    [aux_sym_null_literal_token1] = ACTIONS(5328),
    [aux_sym_coarray_statement_token1] = ACTIONS(5328),
    [aux_sym_coarray_statement_token2] = ACTIONS(5328),
    [aux_sym_coarray_statement_token6] = ACTIONS(5328),
    [aux_sym_coarray_statement_token8] = ACTIONS(5328),
    [aux_sym_coarray_statement_token11] = ACTIONS(5328),
    [aux_sym_coarray_statement_token12] = ACTIONS(5328),
    [aux_sym_coarray_statement_token13] = ACTIONS(5328),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5328),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5328),
    [aux_sym_identifier_token1] = ACTIONS(5328),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5330),
    [sym__float_literal] = ACTIONS(5330),
    [sym__boz_literal] = ACTIONS(5330),
    [sym__string_literal] = ACTIONS(5330),
    [sym__string_literal_kind] = ACTIONS(5330),
  },
  [1222] = {
    [ts_builtin_sym_end] = ACTIONS(5334),
    [aux_sym_preproc_include_token1] = ACTIONS(5332),
    [aux_sym_preproc_def_token1] = ACTIONS(5332),
    [aux_sym_preproc_if_token1] = ACTIONS(5332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5332),
    [sym_preproc_directive] = ACTIONS(5332),
    [anon_sym_LPAREN2] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5332),
    [aux_sym_end_program_statement_token1] = ACTIONS(5332),
    [aux_sym_end_program_statement_token2] = ACTIONS(5332),
    [aux_sym_module_statement_token1] = ACTIONS(5332),
    [aux_sym_submodule_statement_token1] = ACTIONS(5332),
    [anon_sym_SEMI] = ACTIONS(5334),
    [aux_sym_interface_statement_token1] = ACTIONS(5332),
    [aux_sym_block_data_statement_token1] = ACTIONS(5332),
    [aux_sym_block_data_statement_token2] = ACTIONS(5332),
    [aux_sym_block_data_statement_token3] = ACTIONS(5332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5332),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5332),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5332),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5332),
    [aux_sym_function_statement_token1] = ACTIONS(5332),
    [aux_sym_language_binding_token1] = ACTIONS(5332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5332),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5332),
    [aux_sym_contains_statement_token1] = ACTIONS(5332),
    [aux_sym_use_statement_token1] = ACTIONS(5332),
    [aux_sym_use_statement_token2] = ACTIONS(5332),
    [aux_sym_implicit_statement_token1] = ACTIONS(5332),
    [aux_sym_implicit_statement_token3] = ACTIONS(5332),
    [aux_sym_implicit_statement_token4] = ACTIONS(5332),
    [aux_sym_save_statement_token1] = ACTIONS(5332),
    [aux_sym_private_statement_token1] = ACTIONS(5332),
    [aux_sym_public_statement_token1] = ACTIONS(5332),
    [aux_sym_namelist_statement_token1] = ACTIONS(5332),
    [aux_sym_common_statement_token1] = ACTIONS(5332),
    [aux_sym_import_statement_token1] = ACTIONS(5332),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5332),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5332),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5332),
    [aux_sym_variable_attributes_token1] = ACTIONS(5332),
    [aux_sym_variable_attributes_token2] = ACTIONS(5332),
    [aux_sym_variable_attributes_token3] = ACTIONS(5332),
    [aux_sym_variable_attributes_token4] = ACTIONS(5332),
    [aux_sym_variable_attributes_token5] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5332),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5332),
    [aux_sym_derived_type_token1] = ACTIONS(5332),
    [aux_sym_declared_type_token1] = ACTIONS(5332),
    [aux_sym_declared_type_token2] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5332),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5332),
    [aux_sym_type_qualifier_token1] = ACTIONS(5332),
    [aux_sym_type_qualifier_token2] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5332),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5332),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5332),
    [aux_sym_stop_statement_token1] = ACTIONS(5332),
    [aux_sym_stop_statement_token2] = ACTIONS(5332),
    [aux_sym_subroutine_call_token1] = ACTIONS(5332),
    [aux_sym_keyword_statement_token1] = ACTIONS(5332),
    [aux_sym_keyword_statement_token2] = ACTIONS(5332),
    [aux_sym_keyword_statement_token3] = ACTIONS(5332),
    [aux_sym_keyword_statement_token4] = ACTIONS(5332),
    [aux_sym_keyword_statement_token6] = ACTIONS(5332),
    [aux_sym_keyword_statement_token7] = ACTIONS(5332),
    [aux_sym_include_statement_token1] = ACTIONS(5332),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5332),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5332),
    [aux_sym_end_if_statement_token1] = ACTIONS(5332),
    [aux_sym_elseif_clause_token2] = ACTIONS(5332),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5332),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5332),
    [aux_sym_select_case_statement_token1] = ACTIONS(5332),
    [aux_sym_select_case_statement_token3] = ACTIONS(5332),
    [aux_sym_select_type_statement_token1] = ACTIONS(5332),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5332),
    [aux_sym_associate_statement_token1] = ACTIONS(5332),
    [aux_sym_format_statement_token1] = ACTIONS(5332),
    [aux_sym_print_statement_token1] = ACTIONS(5332),
    [aux_sym_open_statement_token1] = ACTIONS(5332),
    [aux_sym_close_statement_token1] = ACTIONS(5332),
    [aux_sym_inquire_statement_token1] = ACTIONS(5332),
    [aux_sym_enum_statement_token1] = ACTIONS(5332),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5332),
    [aux_sym_file_position_statement_token1] = ACTIONS(5332),
    [aux_sym_file_position_statement_token2] = ACTIONS(5332),
    [aux_sym_file_position_statement_token3] = ACTIONS(5332),
    [aux_sym_file_position_statement_token4] = ACTIONS(5332),
    [aux_sym_allocate_statement_token1] = ACTIONS(5332),
    [aux_sym_entry_statement_token1] = ACTIONS(5332),
    [aux_sym_assign_statement_token1] = ACTIONS(5332),
    [aux_sym_logical_expression_token5] = ACTIONS(5334),
    [anon_sym_DOT] = ACTIONS(5332),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5334),
    [aux_sym_boolean_literal_token1] = ACTIONS(5334),
    [aux_sym_boolean_literal_token2] = ACTIONS(5334),
    [aux_sym_null_literal_token1] = ACTIONS(5332),
    [aux_sym_coarray_statement_token1] = ACTIONS(5332),
    [aux_sym_coarray_statement_token2] = ACTIONS(5332),
    [aux_sym_coarray_statement_token6] = ACTIONS(5332),
    [aux_sym_coarray_statement_token8] = ACTIONS(5332),
    [aux_sym_coarray_statement_token11] = ACTIONS(5332),
    [aux_sym_coarray_statement_token12] = ACTIONS(5332),
    [aux_sym_coarray_statement_token13] = ACTIONS(5332),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5332),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5332),
    [aux_sym_identifier_token1] = ACTIONS(5332),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5334),
    [sym__float_literal] = ACTIONS(5334),
    [sym__boz_literal] = ACTIONS(5334),
    [sym__string_literal] = ACTIONS(5334),
    [sym__string_literal_kind] = ACTIONS(5334),
  },
  [1223] = {
    [ts_builtin_sym_end] = ACTIONS(5266),
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [aux_sym_module_statement_token1] = ACTIONS(5264),
    [aux_sym_submodule_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_block_data_statement_token3] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_function_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5264),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1224] = {
    [ts_builtin_sym_end] = ACTIONS(5270),
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [aux_sym_module_statement_token1] = ACTIONS(5268),
    [aux_sym_submodule_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_block_data_statement_token3] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_function_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5268),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1225] = {
    [ts_builtin_sym_end] = ACTIONS(5254),
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [aux_sym_module_statement_token1] = ACTIONS(5252),
    [aux_sym_submodule_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_block_data_statement_token3] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_function_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5252),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1226] = {
    [ts_builtin_sym_end] = ACTIONS(5394),
    [aux_sym_preproc_include_token1] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5392),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5392),
    [aux_sym_end_program_statement_token1] = ACTIONS(5392),
    [aux_sym_end_program_statement_token2] = ACTIONS(5392),
    [aux_sym_module_statement_token1] = ACTIONS(5392),
    [aux_sym_submodule_statement_token1] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [aux_sym_interface_statement_token1] = ACTIONS(5392),
    [aux_sym_block_data_statement_token1] = ACTIONS(5392),
    [aux_sym_block_data_statement_token2] = ACTIONS(5392),
    [aux_sym_block_data_statement_token3] = ACTIONS(5392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5392),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5392),
    [aux_sym_function_statement_token1] = ACTIONS(5392),
    [aux_sym_language_binding_token1] = ACTIONS(5392),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5392),
    [aux_sym_contains_statement_token1] = ACTIONS(5392),
    [aux_sym_use_statement_token1] = ACTIONS(5392),
    [aux_sym_use_statement_token2] = ACTIONS(5392),
    [aux_sym_implicit_statement_token1] = ACTIONS(5392),
    [aux_sym_implicit_statement_token3] = ACTIONS(5392),
    [aux_sym_implicit_statement_token4] = ACTIONS(5392),
    [aux_sym_save_statement_token1] = ACTIONS(5392),
    [aux_sym_private_statement_token1] = ACTIONS(5392),
    [aux_sym_public_statement_token1] = ACTIONS(5392),
    [aux_sym_namelist_statement_token1] = ACTIONS(5392),
    [aux_sym_common_statement_token1] = ACTIONS(5392),
    [aux_sym_import_statement_token1] = ACTIONS(5392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5392),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5392),
    [aux_sym_variable_attributes_token1] = ACTIONS(5392),
    [aux_sym_variable_attributes_token2] = ACTIONS(5392),
    [aux_sym_variable_attributes_token3] = ACTIONS(5392),
    [aux_sym_variable_attributes_token4] = ACTIONS(5392),
    [aux_sym_variable_attributes_token5] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5392),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5392),
    [aux_sym_derived_type_token1] = ACTIONS(5392),
    [aux_sym_declared_type_token1] = ACTIONS(5392),
    [aux_sym_declared_type_token2] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5392),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5392),
    [aux_sym_type_qualifier_token1] = ACTIONS(5392),
    [aux_sym_type_qualifier_token2] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5392),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5392),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5392),
    [aux_sym_stop_statement_token1] = ACTIONS(5392),
    [aux_sym_stop_statement_token2] = ACTIONS(5392),
    [aux_sym_subroutine_call_token1] = ACTIONS(5392),
    [aux_sym_keyword_statement_token1] = ACTIONS(5392),
    [aux_sym_keyword_statement_token2] = ACTIONS(5392),
    [aux_sym_keyword_statement_token3] = ACTIONS(5392),
    [aux_sym_keyword_statement_token4] = ACTIONS(5392),
    [aux_sym_keyword_statement_token6] = ACTIONS(5392),
    [aux_sym_keyword_statement_token7] = ACTIONS(5392),
    [aux_sym_include_statement_token1] = ACTIONS(5392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5392),
    [aux_sym_end_if_statement_token1] = ACTIONS(5392),
    [aux_sym_elseif_clause_token2] = ACTIONS(5392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5392),
    [aux_sym_select_case_statement_token1] = ACTIONS(5392),
    [aux_sym_select_case_statement_token3] = ACTIONS(5392),
    [aux_sym_select_type_statement_token1] = ACTIONS(5392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5392),
    [aux_sym_associate_statement_token1] = ACTIONS(5392),
    [aux_sym_format_statement_token1] = ACTIONS(5392),
    [aux_sym_print_statement_token1] = ACTIONS(5392),
    [aux_sym_open_statement_token1] = ACTIONS(5392),
    [aux_sym_close_statement_token1] = ACTIONS(5392),
    [aux_sym_inquire_statement_token1] = ACTIONS(5392),
    [aux_sym_enum_statement_token1] = ACTIONS(5392),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5392),
    [aux_sym_file_position_statement_token1] = ACTIONS(5392),
    [aux_sym_file_position_statement_token2] = ACTIONS(5392),
    [aux_sym_file_position_statement_token3] = ACTIONS(5392),
    [aux_sym_file_position_statement_token4] = ACTIONS(5392),
    [aux_sym_allocate_statement_token1] = ACTIONS(5392),
    [aux_sym_entry_statement_token1] = ACTIONS(5392),
    [aux_sym_assign_statement_token1] = ACTIONS(5392),
    [aux_sym_logical_expression_token5] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5394),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [aux_sym_boolean_literal_token1] = ACTIONS(5394),
    [aux_sym_boolean_literal_token2] = ACTIONS(5394),
    [aux_sym_null_literal_token1] = ACTIONS(5392),
    [aux_sym_coarray_statement_token1] = ACTIONS(5392),
    [aux_sym_coarray_statement_token2] = ACTIONS(5392),
    [aux_sym_coarray_statement_token6] = ACTIONS(5392),
    [aux_sym_coarray_statement_token8] = ACTIONS(5392),
    [aux_sym_coarray_statement_token11] = ACTIONS(5392),
    [aux_sym_coarray_statement_token12] = ACTIONS(5392),
    [aux_sym_coarray_statement_token13] = ACTIONS(5392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5392),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5392),
    [aux_sym_identifier_token1] = ACTIONS(5392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5394),
    [sym__float_literal] = ACTIONS(5394),
    [sym__boz_literal] = ACTIONS(5394),
    [sym__string_literal] = ACTIONS(5394),
    [sym__string_literal_kind] = ACTIONS(5394),
  },
  [1227] = {
    [ts_builtin_sym_end] = ACTIONS(5290),
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [aux_sym_module_statement_token1] = ACTIONS(5288),
    [aux_sym_submodule_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_block_data_statement_token3] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_function_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5288),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1228] = {
    [ts_builtin_sym_end] = ACTIONS(5098),
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5070),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_module_statement_token1] = ACTIONS(5070),
    [aux_sym_submodule_statement_token1] = ACTIONS(5070),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_block_data_statement_token3] = ACTIONS(5070),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5070),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_function_statement_token1] = ACTIONS(5070),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5070),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5070),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1229] = {
    [ts_builtin_sym_end] = ACTIONS(5274),
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [aux_sym_module_statement_token1] = ACTIONS(5272),
    [aux_sym_submodule_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_block_data_statement_token3] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_function_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5272),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1230] = {
    [ts_builtin_sym_end] = ACTIONS(5346),
    [aux_sym_preproc_include_token1] = ACTIONS(5344),
    [aux_sym_preproc_def_token1] = ACTIONS(5344),
    [aux_sym_preproc_if_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5344),
    [sym_preproc_directive] = ACTIONS(5344),
    [anon_sym_LPAREN2] = ACTIONS(5344),
    [anon_sym_PLUS] = ACTIONS(5346),
    [anon_sym_DASH] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5344),
    [aux_sym_end_program_statement_token1] = ACTIONS(5344),
    [aux_sym_end_program_statement_token2] = ACTIONS(5344),
    [aux_sym_module_statement_token1] = ACTIONS(5344),
    [aux_sym_submodule_statement_token1] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5346),
    [aux_sym_interface_statement_token1] = ACTIONS(5344),
    [aux_sym_block_data_statement_token1] = ACTIONS(5344),
    [aux_sym_block_data_statement_token2] = ACTIONS(5344),
    [aux_sym_block_data_statement_token3] = ACTIONS(5344),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5344),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5344),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5344),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5344),
    [aux_sym_function_statement_token1] = ACTIONS(5344),
    [aux_sym_language_binding_token1] = ACTIONS(5344),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5344),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5344),
    [aux_sym_contains_statement_token1] = ACTIONS(5344),
    [aux_sym_use_statement_token1] = ACTIONS(5344),
    [aux_sym_use_statement_token2] = ACTIONS(5344),
    [aux_sym_implicit_statement_token1] = ACTIONS(5344),
    [aux_sym_implicit_statement_token3] = ACTIONS(5344),
    [aux_sym_implicit_statement_token4] = ACTIONS(5344),
    [aux_sym_save_statement_token1] = ACTIONS(5344),
    [aux_sym_private_statement_token1] = ACTIONS(5344),
    [aux_sym_public_statement_token1] = ACTIONS(5344),
    [aux_sym_namelist_statement_token1] = ACTIONS(5344),
    [aux_sym_common_statement_token1] = ACTIONS(5344),
    [aux_sym_import_statement_token1] = ACTIONS(5344),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5344),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5344),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5344),
    [aux_sym_variable_attributes_token1] = ACTIONS(5344),
    [aux_sym_variable_attributes_token2] = ACTIONS(5344),
    [aux_sym_variable_attributes_token3] = ACTIONS(5344),
    [aux_sym_variable_attributes_token4] = ACTIONS(5344),
    [aux_sym_variable_attributes_token5] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5344),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5344),
    [aux_sym_derived_type_token1] = ACTIONS(5344),
    [aux_sym_declared_type_token1] = ACTIONS(5344),
    [aux_sym_declared_type_token2] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5344),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5344),
    [aux_sym_type_qualifier_token1] = ACTIONS(5344),
    [aux_sym_type_qualifier_token2] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5344),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5344),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5344),
    [aux_sym_stop_statement_token1] = ACTIONS(5344),
    [aux_sym_stop_statement_token2] = ACTIONS(5344),
    [aux_sym_subroutine_call_token1] = ACTIONS(5344),
    [aux_sym_keyword_statement_token1] = ACTIONS(5344),
    [aux_sym_keyword_statement_token2] = ACTIONS(5344),
    [aux_sym_keyword_statement_token3] = ACTIONS(5344),
    [aux_sym_keyword_statement_token4] = ACTIONS(5344),
    [aux_sym_keyword_statement_token6] = ACTIONS(5344),
    [aux_sym_keyword_statement_token7] = ACTIONS(5344),
    [aux_sym_include_statement_token1] = ACTIONS(5344),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5344),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5344),
    [aux_sym_end_if_statement_token1] = ACTIONS(5344),
    [aux_sym_elseif_clause_token2] = ACTIONS(5344),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5344),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5344),
    [aux_sym_select_case_statement_token1] = ACTIONS(5344),
    [aux_sym_select_case_statement_token3] = ACTIONS(5344),
    [aux_sym_select_type_statement_token1] = ACTIONS(5344),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5344),
    [aux_sym_associate_statement_token1] = ACTIONS(5344),
    [aux_sym_format_statement_token1] = ACTIONS(5344),
    [aux_sym_print_statement_token1] = ACTIONS(5344),
    [aux_sym_open_statement_token1] = ACTIONS(5344),
    [aux_sym_close_statement_token1] = ACTIONS(5344),
    [aux_sym_inquire_statement_token1] = ACTIONS(5344),
    [aux_sym_enum_statement_token1] = ACTIONS(5344),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5344),
    [aux_sym_file_position_statement_token1] = ACTIONS(5344),
    [aux_sym_file_position_statement_token2] = ACTIONS(5344),
    [aux_sym_file_position_statement_token3] = ACTIONS(5344),
    [aux_sym_file_position_statement_token4] = ACTIONS(5344),
    [aux_sym_allocate_statement_token1] = ACTIONS(5344),
    [aux_sym_entry_statement_token1] = ACTIONS(5344),
    [aux_sym_assign_statement_token1] = ACTIONS(5344),
    [aux_sym_logical_expression_token5] = ACTIONS(5346),
    [anon_sym_DOT] = ACTIONS(5344),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5346),
    [aux_sym_boolean_literal_token1] = ACTIONS(5346),
    [aux_sym_boolean_literal_token2] = ACTIONS(5346),
    [aux_sym_null_literal_token1] = ACTIONS(5344),
    [aux_sym_coarray_statement_token1] = ACTIONS(5344),
    [aux_sym_coarray_statement_token2] = ACTIONS(5344),
    [aux_sym_coarray_statement_token6] = ACTIONS(5344),
    [aux_sym_coarray_statement_token8] = ACTIONS(5344),
    [aux_sym_coarray_statement_token11] = ACTIONS(5344),
    [aux_sym_coarray_statement_token12] = ACTIONS(5344),
    [aux_sym_coarray_statement_token13] = ACTIONS(5344),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5344),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5344),
    [aux_sym_identifier_token1] = ACTIONS(5344),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5346),
    [sym__float_literal] = ACTIONS(5346),
    [sym__boz_literal] = ACTIONS(5346),
    [sym__string_literal] = ACTIONS(5346),
    [sym__string_literal_kind] = ACTIONS(5346),
  },
  [1231] = {
    [ts_builtin_sym_end] = ACTIONS(5122),
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1232] = {
    [ts_builtin_sym_end] = ACTIONS(5342),
    [aux_sym_preproc_include_token1] = ACTIONS(5340),
    [aux_sym_preproc_def_token1] = ACTIONS(5340),
    [aux_sym_preproc_if_token1] = ACTIONS(5340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5340),
    [sym_preproc_directive] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_PLUS] = ACTIONS(5342),
    [anon_sym_DASH] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5340),
    [aux_sym_end_program_statement_token1] = ACTIONS(5340),
    [aux_sym_end_program_statement_token2] = ACTIONS(5340),
    [aux_sym_module_statement_token1] = ACTIONS(5340),
    [aux_sym_submodule_statement_token1] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5342),
    [aux_sym_interface_statement_token1] = ACTIONS(5340),
    [aux_sym_block_data_statement_token1] = ACTIONS(5340),
    [aux_sym_block_data_statement_token2] = ACTIONS(5340),
    [aux_sym_block_data_statement_token3] = ACTIONS(5340),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5340),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5340),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5340),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5340),
    [aux_sym_function_statement_token1] = ACTIONS(5340),
    [aux_sym_language_binding_token1] = ACTIONS(5340),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5340),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5340),
    [aux_sym_contains_statement_token1] = ACTIONS(5340),
    [aux_sym_use_statement_token1] = ACTIONS(5340),
    [aux_sym_use_statement_token2] = ACTIONS(5340),
    [aux_sym_implicit_statement_token1] = ACTIONS(5340),
    [aux_sym_implicit_statement_token3] = ACTIONS(5340),
    [aux_sym_implicit_statement_token4] = ACTIONS(5340),
    [aux_sym_save_statement_token1] = ACTIONS(5340),
    [aux_sym_private_statement_token1] = ACTIONS(5340),
    [aux_sym_public_statement_token1] = ACTIONS(5340),
    [aux_sym_namelist_statement_token1] = ACTIONS(5340),
    [aux_sym_common_statement_token1] = ACTIONS(5340),
    [aux_sym_import_statement_token1] = ACTIONS(5340),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5340),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5340),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5340),
    [aux_sym_variable_attributes_token1] = ACTIONS(5340),
    [aux_sym_variable_attributes_token2] = ACTIONS(5340),
    [aux_sym_variable_attributes_token3] = ACTIONS(5340),
    [aux_sym_variable_attributes_token4] = ACTIONS(5340),
    [aux_sym_variable_attributes_token5] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5340),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5340),
    [aux_sym_derived_type_token1] = ACTIONS(5340),
    [aux_sym_declared_type_token1] = ACTIONS(5340),
    [aux_sym_declared_type_token2] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5340),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5340),
    [aux_sym_type_qualifier_token1] = ACTIONS(5340),
    [aux_sym_type_qualifier_token2] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5340),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5340),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5340),
    [aux_sym_stop_statement_token1] = ACTIONS(5340),
    [aux_sym_stop_statement_token2] = ACTIONS(5340),
    [aux_sym_subroutine_call_token1] = ACTIONS(5340),
    [aux_sym_keyword_statement_token1] = ACTIONS(5340),
    [aux_sym_keyword_statement_token2] = ACTIONS(5340),
    [aux_sym_keyword_statement_token3] = ACTIONS(5340),
    [aux_sym_keyword_statement_token4] = ACTIONS(5340),
    [aux_sym_keyword_statement_token6] = ACTIONS(5340),
    [aux_sym_keyword_statement_token7] = ACTIONS(5340),
    [aux_sym_include_statement_token1] = ACTIONS(5340),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5340),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5340),
    [aux_sym_end_if_statement_token1] = ACTIONS(5340),
    [aux_sym_elseif_clause_token2] = ACTIONS(5340),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5340),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5340),
    [aux_sym_select_case_statement_token1] = ACTIONS(5340),
    [aux_sym_select_case_statement_token3] = ACTIONS(5340),
    [aux_sym_select_type_statement_token1] = ACTIONS(5340),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5340),
    [aux_sym_associate_statement_token1] = ACTIONS(5340),
    [aux_sym_format_statement_token1] = ACTIONS(5340),
    [aux_sym_print_statement_token1] = ACTIONS(5340),
    [aux_sym_open_statement_token1] = ACTIONS(5340),
    [aux_sym_close_statement_token1] = ACTIONS(5340),
    [aux_sym_inquire_statement_token1] = ACTIONS(5340),
    [aux_sym_enum_statement_token1] = ACTIONS(5340),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5340),
    [aux_sym_file_position_statement_token1] = ACTIONS(5340),
    [aux_sym_file_position_statement_token2] = ACTIONS(5340),
    [aux_sym_file_position_statement_token3] = ACTIONS(5340),
    [aux_sym_file_position_statement_token4] = ACTIONS(5340),
    [aux_sym_allocate_statement_token1] = ACTIONS(5340),
    [aux_sym_entry_statement_token1] = ACTIONS(5340),
    [aux_sym_assign_statement_token1] = ACTIONS(5340),
    [aux_sym_logical_expression_token5] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5340),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [aux_sym_boolean_literal_token1] = ACTIONS(5342),
    [aux_sym_boolean_literal_token2] = ACTIONS(5342),
    [aux_sym_null_literal_token1] = ACTIONS(5340),
    [aux_sym_coarray_statement_token1] = ACTIONS(5340),
    [aux_sym_coarray_statement_token2] = ACTIONS(5340),
    [aux_sym_coarray_statement_token6] = ACTIONS(5340),
    [aux_sym_coarray_statement_token8] = ACTIONS(5340),
    [aux_sym_coarray_statement_token11] = ACTIONS(5340),
    [aux_sym_coarray_statement_token12] = ACTIONS(5340),
    [aux_sym_coarray_statement_token13] = ACTIONS(5340),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5340),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5340),
    [aux_sym_identifier_token1] = ACTIONS(5340),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5342),
    [sym__float_literal] = ACTIONS(5342),
    [sym__boz_literal] = ACTIONS(5342),
    [sym__string_literal] = ACTIONS(5342),
    [sym__string_literal_kind] = ACTIONS(5342),
  },
  [1233] = {
    [ts_builtin_sym_end] = ACTIONS(5122),
    [aux_sym_preproc_include_token1] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token1] = ACTIONS(5118),
    [aux_sym_end_program_statement_token2] = ACTIONS(5118),
    [aux_sym_module_statement_token1] = ACTIONS(5118),
    [aux_sym_submodule_statement_token1] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_interface_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token1] = ACTIONS(5118),
    [aux_sym_block_data_statement_token2] = ACTIONS(5118),
    [aux_sym_block_data_statement_token3] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5118),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5118),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5118),
    [aux_sym_function_statement_token1] = ACTIONS(5118),
    [aux_sym_language_binding_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5118),
    [aux_sym_contains_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token1] = ACTIONS(5118),
    [aux_sym_use_statement_token2] = ACTIONS(5118),
    [aux_sym_implicit_statement_token1] = ACTIONS(5118),
    [aux_sym_implicit_statement_token3] = ACTIONS(5118),
    [aux_sym_implicit_statement_token4] = ACTIONS(5118),
    [aux_sym_save_statement_token1] = ACTIONS(5118),
    [aux_sym_private_statement_token1] = ACTIONS(5118),
    [aux_sym_public_statement_token1] = ACTIONS(5118),
    [aux_sym_namelist_statement_token1] = ACTIONS(5118),
    [aux_sym_common_statement_token1] = ACTIONS(5118),
    [aux_sym_import_statement_token1] = ACTIONS(5118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5118),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5118),
    [aux_sym_variable_attributes_token1] = ACTIONS(5118),
    [aux_sym_variable_attributes_token2] = ACTIONS(5118),
    [aux_sym_variable_attributes_token3] = ACTIONS(5118),
    [aux_sym_variable_attributes_token4] = ACTIONS(5118),
    [aux_sym_variable_attributes_token5] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5118),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5118),
    [aux_sym_derived_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token1] = ACTIONS(5118),
    [aux_sym_declared_type_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5118),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5118),
    [aux_sym_type_qualifier_token1] = ACTIONS(5118),
    [aux_sym_type_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5118),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5118),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5118),
    [aux_sym_stop_statement_token2] = ACTIONS(5118),
    [aux_sym_subroutine_call_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token1] = ACTIONS(5118),
    [aux_sym_keyword_statement_token2] = ACTIONS(5118),
    [aux_sym_keyword_statement_token3] = ACTIONS(5118),
    [aux_sym_keyword_statement_token4] = ACTIONS(5118),
    [aux_sym_keyword_statement_token6] = ACTIONS(5118),
    [aux_sym_keyword_statement_token7] = ACTIONS(5118),
    [aux_sym_include_statement_token1] = ACTIONS(5118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5118),
    [aux_sym_end_if_statement_token1] = ACTIONS(5118),
    [aux_sym_elseif_clause_token2] = ACTIONS(5118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token1] = ACTIONS(5118),
    [aux_sym_select_case_statement_token3] = ACTIONS(5118),
    [aux_sym_select_type_statement_token1] = ACTIONS(5118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5118),
    [aux_sym_associate_statement_token1] = ACTIONS(5118),
    [aux_sym_format_statement_token1] = ACTIONS(5118),
    [aux_sym_print_statement_token1] = ACTIONS(5118),
    [aux_sym_open_statement_token1] = ACTIONS(5118),
    [aux_sym_close_statement_token1] = ACTIONS(5118),
    [aux_sym_inquire_statement_token1] = ACTIONS(5118),
    [aux_sym_enum_statement_token1] = ACTIONS(5118),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token1] = ACTIONS(5118),
    [aux_sym_file_position_statement_token2] = ACTIONS(5118),
    [aux_sym_file_position_statement_token3] = ACTIONS(5118),
    [aux_sym_file_position_statement_token4] = ACTIONS(5118),
    [aux_sym_allocate_statement_token1] = ACTIONS(5118),
    [aux_sym_entry_statement_token1] = ACTIONS(5118),
    [aux_sym_assign_statement_token1] = ACTIONS(5118),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_statement_token2] = ACTIONS(5118),
    [aux_sym_coarray_statement_token6] = ACTIONS(5118),
    [aux_sym_coarray_statement_token8] = ACTIONS(5118),
    [aux_sym_coarray_statement_token11] = ACTIONS(5118),
    [aux_sym_coarray_statement_token12] = ACTIONS(5118),
    [aux_sym_coarray_statement_token13] = ACTIONS(5118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5118),
    [aux_sym_identifier_token1] = ACTIONS(5118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1234] = {
    [ts_builtin_sym_end] = ACTIONS(5278),
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [aux_sym_module_statement_token1] = ACTIONS(5276),
    [aux_sym_submodule_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_block_data_statement_token3] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_function_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5276),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1235] = {
    [ts_builtin_sym_end] = ACTIONS(5310),
    [aux_sym_preproc_include_token1] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token1] = ACTIONS(5308),
    [aux_sym_end_program_statement_token2] = ACTIONS(5308),
    [aux_sym_module_statement_token1] = ACTIONS(5308),
    [aux_sym_submodule_statement_token1] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [aux_sym_interface_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token1] = ACTIONS(5308),
    [aux_sym_block_data_statement_token2] = ACTIONS(5308),
    [aux_sym_block_data_statement_token3] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5308),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5308),
    [aux_sym_function_statement_token1] = ACTIONS(5308),
    [aux_sym_language_binding_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5308),
    [aux_sym_contains_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token1] = ACTIONS(5308),
    [aux_sym_use_statement_token2] = ACTIONS(5308),
    [aux_sym_implicit_statement_token1] = ACTIONS(5308),
    [aux_sym_implicit_statement_token3] = ACTIONS(5308),
    [aux_sym_implicit_statement_token4] = ACTIONS(5308),
    [aux_sym_save_statement_token1] = ACTIONS(5308),
    [aux_sym_private_statement_token1] = ACTIONS(5308),
    [aux_sym_public_statement_token1] = ACTIONS(5308),
    [aux_sym_namelist_statement_token1] = ACTIONS(5308),
    [aux_sym_common_statement_token1] = ACTIONS(5308),
    [aux_sym_import_statement_token1] = ACTIONS(5308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5308),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5308),
    [aux_sym_variable_attributes_token1] = ACTIONS(5308),
    [aux_sym_variable_attributes_token2] = ACTIONS(5308),
    [aux_sym_variable_attributes_token3] = ACTIONS(5308),
    [aux_sym_variable_attributes_token4] = ACTIONS(5308),
    [aux_sym_variable_attributes_token5] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5308),
    [aux_sym_derived_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token1] = ACTIONS(5308),
    [aux_sym_declared_type_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5308),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5308),
    [aux_sym_type_qualifier_token1] = ACTIONS(5308),
    [aux_sym_type_qualifier_token2] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5308),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5308),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token1] = ACTIONS(5308),
    [aux_sym_stop_statement_token2] = ACTIONS(5308),
    [aux_sym_subroutine_call_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token1] = ACTIONS(5308),
    [aux_sym_keyword_statement_token2] = ACTIONS(5308),
    [aux_sym_keyword_statement_token3] = ACTIONS(5308),
    [aux_sym_keyword_statement_token4] = ACTIONS(5308),
    [aux_sym_keyword_statement_token6] = ACTIONS(5308),
    [aux_sym_keyword_statement_token7] = ACTIONS(5308),
    [aux_sym_include_statement_token1] = ACTIONS(5308),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5308),
    [aux_sym_end_if_statement_token1] = ACTIONS(5308),
    [aux_sym_elseif_clause_token2] = ACTIONS(5308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5308),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token1] = ACTIONS(5308),
    [aux_sym_select_case_statement_token3] = ACTIONS(5308),
    [aux_sym_select_type_statement_token1] = ACTIONS(5308),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5308),
    [aux_sym_associate_statement_token1] = ACTIONS(5308),
    [aux_sym_format_statement_token1] = ACTIONS(5308),
    [aux_sym_print_statement_token1] = ACTIONS(5308),
    [aux_sym_open_statement_token1] = ACTIONS(5308),
    [aux_sym_close_statement_token1] = ACTIONS(5308),
    [aux_sym_inquire_statement_token1] = ACTIONS(5308),
    [aux_sym_enum_statement_token1] = ACTIONS(5308),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token1] = ACTIONS(5308),
    [aux_sym_file_position_statement_token2] = ACTIONS(5308),
    [aux_sym_file_position_statement_token3] = ACTIONS(5308),
    [aux_sym_file_position_statement_token4] = ACTIONS(5308),
    [aux_sym_allocate_statement_token1] = ACTIONS(5308),
    [aux_sym_entry_statement_token1] = ACTIONS(5308),
    [aux_sym_assign_statement_token1] = ACTIONS(5308),
    [aux_sym_logical_expression_token5] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5308),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [aux_sym_boolean_literal_token1] = ACTIONS(5310),
    [aux_sym_boolean_literal_token2] = ACTIONS(5310),
    [aux_sym_null_literal_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_statement_token2] = ACTIONS(5308),
    [aux_sym_coarray_statement_token6] = ACTIONS(5308),
    [aux_sym_coarray_statement_token8] = ACTIONS(5308),
    [aux_sym_coarray_statement_token11] = ACTIONS(5308),
    [aux_sym_coarray_statement_token12] = ACTIONS(5308),
    [aux_sym_coarray_statement_token13] = ACTIONS(5308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5308),
    [aux_sym_identifier_token1] = ACTIONS(5308),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5310),
    [sym__float_literal] = ACTIONS(5310),
    [sym__boz_literal] = ACTIONS(5310),
    [sym__string_literal] = ACTIONS(5310),
    [sym__string_literal_kind] = ACTIONS(5310),
  },
  [1236] = {
    [ts_builtin_sym_end] = ACTIONS(5350),
    [aux_sym_preproc_include_token1] = ACTIONS(5348),
    [aux_sym_preproc_def_token1] = ACTIONS(5348),
    [aux_sym_preproc_if_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5348),
    [sym_preproc_directive] = ACTIONS(5348),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5348),
    [aux_sym_end_program_statement_token1] = ACTIONS(5348),
    [aux_sym_end_program_statement_token2] = ACTIONS(5348),
    [aux_sym_module_statement_token1] = ACTIONS(5348),
    [aux_sym_submodule_statement_token1] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [aux_sym_interface_statement_token1] = ACTIONS(5348),
    [aux_sym_block_data_statement_token1] = ACTIONS(5348),
    [aux_sym_block_data_statement_token2] = ACTIONS(5348),
    [aux_sym_block_data_statement_token3] = ACTIONS(5348),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5348),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5348),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5348),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5348),
    [aux_sym_function_statement_token1] = ACTIONS(5348),
    [aux_sym_language_binding_token1] = ACTIONS(5348),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5348),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5348),
    [aux_sym_contains_statement_token1] = ACTIONS(5348),
    [aux_sym_use_statement_token1] = ACTIONS(5348),
    [aux_sym_use_statement_token2] = ACTIONS(5348),
    [aux_sym_implicit_statement_token1] = ACTIONS(5348),
    [aux_sym_implicit_statement_token3] = ACTIONS(5348),
    [aux_sym_implicit_statement_token4] = ACTIONS(5348),
    [aux_sym_save_statement_token1] = ACTIONS(5348),
    [aux_sym_private_statement_token1] = ACTIONS(5348),
    [aux_sym_public_statement_token1] = ACTIONS(5348),
    [aux_sym_namelist_statement_token1] = ACTIONS(5348),
    [aux_sym_common_statement_token1] = ACTIONS(5348),
    [aux_sym_import_statement_token1] = ACTIONS(5348),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5348),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5348),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5348),
    [aux_sym_variable_attributes_token1] = ACTIONS(5348),
    [aux_sym_variable_attributes_token2] = ACTIONS(5348),
    [aux_sym_variable_attributes_token3] = ACTIONS(5348),
    [aux_sym_variable_attributes_token4] = ACTIONS(5348),
    [aux_sym_variable_attributes_token5] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5348),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5348),
    [aux_sym_derived_type_token1] = ACTIONS(5348),
    [aux_sym_declared_type_token1] = ACTIONS(5348),
    [aux_sym_declared_type_token2] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5348),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5348),
    [aux_sym_type_qualifier_token1] = ACTIONS(5348),
    [aux_sym_type_qualifier_token2] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5348),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5348),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5348),
    [aux_sym_stop_statement_token1] = ACTIONS(5348),
    [aux_sym_stop_statement_token2] = ACTIONS(5348),
    [aux_sym_subroutine_call_token1] = ACTIONS(5348),
    [aux_sym_keyword_statement_token1] = ACTIONS(5348),
    [aux_sym_keyword_statement_token2] = ACTIONS(5348),
    [aux_sym_keyword_statement_token3] = ACTIONS(5348),
    [aux_sym_keyword_statement_token4] = ACTIONS(5348),
    [aux_sym_keyword_statement_token6] = ACTIONS(5348),
    [aux_sym_keyword_statement_token7] = ACTIONS(5348),
    [aux_sym_include_statement_token1] = ACTIONS(5348),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5348),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5348),
    [aux_sym_end_if_statement_token1] = ACTIONS(5348),
    [aux_sym_elseif_clause_token2] = ACTIONS(5348),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5348),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5348),
    [aux_sym_select_case_statement_token1] = ACTIONS(5348),
    [aux_sym_select_case_statement_token3] = ACTIONS(5348),
    [aux_sym_select_type_statement_token1] = ACTIONS(5348),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5348),
    [aux_sym_associate_statement_token1] = ACTIONS(5348),
    [aux_sym_format_statement_token1] = ACTIONS(5348),
    [aux_sym_print_statement_token1] = ACTIONS(5348),
    [aux_sym_open_statement_token1] = ACTIONS(5348),
    [aux_sym_close_statement_token1] = ACTIONS(5348),
    [aux_sym_inquire_statement_token1] = ACTIONS(5348),
    [aux_sym_enum_statement_token1] = ACTIONS(5348),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5348),
    [aux_sym_file_position_statement_token1] = ACTIONS(5348),
    [aux_sym_file_position_statement_token2] = ACTIONS(5348),
    [aux_sym_file_position_statement_token3] = ACTIONS(5348),
    [aux_sym_file_position_statement_token4] = ACTIONS(5348),
    [aux_sym_allocate_statement_token1] = ACTIONS(5348),
    [aux_sym_entry_statement_token1] = ACTIONS(5348),
    [aux_sym_assign_statement_token1] = ACTIONS(5348),
    [aux_sym_logical_expression_token5] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5348),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [aux_sym_boolean_literal_token1] = ACTIONS(5350),
    [aux_sym_boolean_literal_token2] = ACTIONS(5350),
    [aux_sym_null_literal_token1] = ACTIONS(5348),
    [aux_sym_coarray_statement_token1] = ACTIONS(5348),
    [aux_sym_coarray_statement_token2] = ACTIONS(5348),
    [aux_sym_coarray_statement_token6] = ACTIONS(5348),
    [aux_sym_coarray_statement_token8] = ACTIONS(5348),
    [aux_sym_coarray_statement_token11] = ACTIONS(5348),
    [aux_sym_coarray_statement_token12] = ACTIONS(5348),
    [aux_sym_coarray_statement_token13] = ACTIONS(5348),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5348),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5348),
    [aux_sym_identifier_token1] = ACTIONS(5348),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5350),
    [sym__float_literal] = ACTIONS(5350),
    [sym__boz_literal] = ACTIONS(5350),
    [sym__string_literal] = ACTIONS(5350),
    [sym__string_literal_kind] = ACTIONS(5350),
  },
  [1237] = {
    [ts_builtin_sym_end] = ACTIONS(5354),
    [aux_sym_preproc_include_token1] = ACTIONS(5352),
    [aux_sym_preproc_def_token1] = ACTIONS(5352),
    [aux_sym_preproc_if_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5352),
    [sym_preproc_directive] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token1] = ACTIONS(5352),
    [aux_sym_end_program_statement_token2] = ACTIONS(5352),
    [aux_sym_module_statement_token1] = ACTIONS(5352),
    [aux_sym_submodule_statement_token1] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [aux_sym_interface_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token1] = ACTIONS(5352),
    [aux_sym_block_data_statement_token2] = ACTIONS(5352),
    [aux_sym_block_data_statement_token3] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5352),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5352),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5352),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5352),
    [aux_sym_function_statement_token1] = ACTIONS(5352),
    [aux_sym_language_binding_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5352),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5352),
    [aux_sym_contains_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token1] = ACTIONS(5352),
    [aux_sym_use_statement_token2] = ACTIONS(5352),
    [aux_sym_implicit_statement_token1] = ACTIONS(5352),
    [aux_sym_implicit_statement_token3] = ACTIONS(5352),
    [aux_sym_implicit_statement_token4] = ACTIONS(5352),
    [aux_sym_save_statement_token1] = ACTIONS(5352),
    [aux_sym_private_statement_token1] = ACTIONS(5352),
    [aux_sym_public_statement_token1] = ACTIONS(5352),
    [aux_sym_namelist_statement_token1] = ACTIONS(5352),
    [aux_sym_common_statement_token1] = ACTIONS(5352),
    [aux_sym_import_statement_token1] = ACTIONS(5352),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5352),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5352),
    [aux_sym_variable_attributes_token1] = ACTIONS(5352),
    [aux_sym_variable_attributes_token2] = ACTIONS(5352),
    [aux_sym_variable_attributes_token3] = ACTIONS(5352),
    [aux_sym_variable_attributes_token4] = ACTIONS(5352),
    [aux_sym_variable_attributes_token5] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5352),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5352),
    [aux_sym_derived_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token1] = ACTIONS(5352),
    [aux_sym_declared_type_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5352),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5352),
    [aux_sym_type_qualifier_token1] = ACTIONS(5352),
    [aux_sym_type_qualifier_token2] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5352),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5352),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token1] = ACTIONS(5352),
    [aux_sym_stop_statement_token2] = ACTIONS(5352),
    [aux_sym_subroutine_call_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token1] = ACTIONS(5352),
    [aux_sym_keyword_statement_token2] = ACTIONS(5352),
    [aux_sym_keyword_statement_token3] = ACTIONS(5352),
    [aux_sym_keyword_statement_token4] = ACTIONS(5352),
    [aux_sym_keyword_statement_token6] = ACTIONS(5352),
    [aux_sym_keyword_statement_token7] = ACTIONS(5352),
    [aux_sym_include_statement_token1] = ACTIONS(5352),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5352),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5352),
    [aux_sym_end_if_statement_token1] = ACTIONS(5352),
    [aux_sym_elseif_clause_token2] = ACTIONS(5352),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5352),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token1] = ACTIONS(5352),
    [aux_sym_select_case_statement_token3] = ACTIONS(5352),
    [aux_sym_select_type_statement_token1] = ACTIONS(5352),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5352),
    [aux_sym_associate_statement_token1] = ACTIONS(5352),
    [aux_sym_format_statement_token1] = ACTIONS(5352),
    [aux_sym_print_statement_token1] = ACTIONS(5352),
    [aux_sym_open_statement_token1] = ACTIONS(5352),
    [aux_sym_close_statement_token1] = ACTIONS(5352),
    [aux_sym_inquire_statement_token1] = ACTIONS(5352),
    [aux_sym_enum_statement_token1] = ACTIONS(5352),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token1] = ACTIONS(5352),
    [aux_sym_file_position_statement_token2] = ACTIONS(5352),
    [aux_sym_file_position_statement_token3] = ACTIONS(5352),
    [aux_sym_file_position_statement_token4] = ACTIONS(5352),
    [aux_sym_allocate_statement_token1] = ACTIONS(5352),
    [aux_sym_entry_statement_token1] = ACTIONS(5352),
    [aux_sym_assign_statement_token1] = ACTIONS(5352),
    [aux_sym_logical_expression_token5] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [aux_sym_boolean_literal_token1] = ACTIONS(5354),
    [aux_sym_boolean_literal_token2] = ACTIONS(5354),
    [aux_sym_null_literal_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_statement_token2] = ACTIONS(5352),
    [aux_sym_coarray_statement_token6] = ACTIONS(5352),
    [aux_sym_coarray_statement_token8] = ACTIONS(5352),
    [aux_sym_coarray_statement_token11] = ACTIONS(5352),
    [aux_sym_coarray_statement_token12] = ACTIONS(5352),
    [aux_sym_coarray_statement_token13] = ACTIONS(5352),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5352),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5352),
    [aux_sym_identifier_token1] = ACTIONS(5352),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5354),
    [sym__float_literal] = ACTIONS(5354),
    [sym__boz_literal] = ACTIONS(5354),
    [sym__string_literal] = ACTIONS(5354),
    [sym__string_literal_kind] = ACTIONS(5354),
  },
  [1238] = {
    [ts_builtin_sym_end] = ACTIONS(5358),
    [aux_sym_preproc_include_token1] = ACTIONS(5356),
    [aux_sym_preproc_def_token1] = ACTIONS(5356),
    [aux_sym_preproc_if_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5356),
    [sym_preproc_directive] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5356),
    [aux_sym_end_program_statement_token1] = ACTIONS(5356),
    [aux_sym_end_program_statement_token2] = ACTIONS(5356),
    [aux_sym_module_statement_token1] = ACTIONS(5356),
    [aux_sym_submodule_statement_token1] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [aux_sym_interface_statement_token1] = ACTIONS(5356),
    [aux_sym_block_data_statement_token1] = ACTIONS(5356),
    [aux_sym_block_data_statement_token2] = ACTIONS(5356),
    [aux_sym_block_data_statement_token3] = ACTIONS(5356),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5356),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5356),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5356),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5356),
    [aux_sym_function_statement_token1] = ACTIONS(5356),
    [aux_sym_language_binding_token1] = ACTIONS(5356),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5356),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5356),
    [aux_sym_contains_statement_token1] = ACTIONS(5356),
    [aux_sym_use_statement_token1] = ACTIONS(5356),
    [aux_sym_use_statement_token2] = ACTIONS(5356),
    [aux_sym_implicit_statement_token1] = ACTIONS(5356),
    [aux_sym_implicit_statement_token3] = ACTIONS(5356),
    [aux_sym_implicit_statement_token4] = ACTIONS(5356),
    [aux_sym_save_statement_token1] = ACTIONS(5356),
    [aux_sym_private_statement_token1] = ACTIONS(5356),
    [aux_sym_public_statement_token1] = ACTIONS(5356),
    [aux_sym_namelist_statement_token1] = ACTIONS(5356),
    [aux_sym_common_statement_token1] = ACTIONS(5356),
    [aux_sym_import_statement_token1] = ACTIONS(5356),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5356),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5356),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5356),
    [aux_sym_variable_attributes_token1] = ACTIONS(5356),
    [aux_sym_variable_attributes_token2] = ACTIONS(5356),
    [aux_sym_variable_attributes_token3] = ACTIONS(5356),
    [aux_sym_variable_attributes_token4] = ACTIONS(5356),
    [aux_sym_variable_attributes_token5] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5356),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5356),
    [aux_sym_derived_type_token1] = ACTIONS(5356),
    [aux_sym_declared_type_token1] = ACTIONS(5356),
    [aux_sym_declared_type_token2] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5356),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5356),
    [aux_sym_type_qualifier_token1] = ACTIONS(5356),
    [aux_sym_type_qualifier_token2] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5356),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5356),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5356),
    [aux_sym_stop_statement_token1] = ACTIONS(5356),
    [aux_sym_stop_statement_token2] = ACTIONS(5356),
    [aux_sym_subroutine_call_token1] = ACTIONS(5356),
    [aux_sym_keyword_statement_token1] = ACTIONS(5356),
    [aux_sym_keyword_statement_token2] = ACTIONS(5356),
    [aux_sym_keyword_statement_token3] = ACTIONS(5356),
    [aux_sym_keyword_statement_token4] = ACTIONS(5356),
    [aux_sym_keyword_statement_token6] = ACTIONS(5356),
    [aux_sym_keyword_statement_token7] = ACTIONS(5356),
    [aux_sym_include_statement_token1] = ACTIONS(5356),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5356),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5356),
    [aux_sym_end_if_statement_token1] = ACTIONS(5356),
    [aux_sym_elseif_clause_token2] = ACTIONS(5356),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5356),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5356),
    [aux_sym_select_case_statement_token1] = ACTIONS(5356),
    [aux_sym_select_case_statement_token3] = ACTIONS(5356),
    [aux_sym_select_type_statement_token1] = ACTIONS(5356),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5356),
    [aux_sym_associate_statement_token1] = ACTIONS(5356),
    [aux_sym_format_statement_token1] = ACTIONS(5356),
    [aux_sym_print_statement_token1] = ACTIONS(5356),
    [aux_sym_open_statement_token1] = ACTIONS(5356),
    [aux_sym_close_statement_token1] = ACTIONS(5356),
    [aux_sym_inquire_statement_token1] = ACTIONS(5356),
    [aux_sym_enum_statement_token1] = ACTIONS(5356),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5356),
    [aux_sym_file_position_statement_token1] = ACTIONS(5356),
    [aux_sym_file_position_statement_token2] = ACTIONS(5356),
    [aux_sym_file_position_statement_token3] = ACTIONS(5356),
    [aux_sym_file_position_statement_token4] = ACTIONS(5356),
    [aux_sym_allocate_statement_token1] = ACTIONS(5356),
    [aux_sym_entry_statement_token1] = ACTIONS(5356),
    [aux_sym_assign_statement_token1] = ACTIONS(5356),
    [aux_sym_logical_expression_token5] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [aux_sym_boolean_literal_token1] = ACTIONS(5358),
    [aux_sym_boolean_literal_token2] = ACTIONS(5358),
    [aux_sym_null_literal_token1] = ACTIONS(5356),
    [aux_sym_coarray_statement_token1] = ACTIONS(5356),
    [aux_sym_coarray_statement_token2] = ACTIONS(5356),
    [aux_sym_coarray_statement_token6] = ACTIONS(5356),
    [aux_sym_coarray_statement_token8] = ACTIONS(5356),
    [aux_sym_coarray_statement_token11] = ACTIONS(5356),
    [aux_sym_coarray_statement_token12] = ACTIONS(5356),
    [aux_sym_coarray_statement_token13] = ACTIONS(5356),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5356),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5356),
    [aux_sym_identifier_token1] = ACTIONS(5356),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5358),
    [sym__float_literal] = ACTIONS(5358),
    [sym__boz_literal] = ACTIONS(5358),
    [sym__string_literal] = ACTIONS(5358),
    [sym__string_literal_kind] = ACTIONS(5358),
  },
  [1239] = {
    [ts_builtin_sym_end] = ACTIONS(5366),
    [aux_sym_preproc_include_token1] = ACTIONS(5364),
    [aux_sym_preproc_def_token1] = ACTIONS(5364),
    [aux_sym_preproc_if_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5364),
    [sym_preproc_directive] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_PLUS] = ACTIONS(5366),
    [anon_sym_DASH] = ACTIONS(5366),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5364),
    [aux_sym_end_program_statement_token1] = ACTIONS(5364),
    [aux_sym_end_program_statement_token2] = ACTIONS(5364),
    [aux_sym_module_statement_token1] = ACTIONS(5364),
    [aux_sym_submodule_statement_token1] = ACTIONS(5364),
    [anon_sym_SEMI] = ACTIONS(5366),
    [aux_sym_interface_statement_token1] = ACTIONS(5364),
    [aux_sym_block_data_statement_token1] = ACTIONS(5364),
    [aux_sym_block_data_statement_token2] = ACTIONS(5364),
    [aux_sym_block_data_statement_token3] = ACTIONS(5364),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5364),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5364),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5364),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5364),
    [aux_sym_function_statement_token1] = ACTIONS(5364),
    [aux_sym_language_binding_token1] = ACTIONS(5364),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5364),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5364),
    [aux_sym_contains_statement_token1] = ACTIONS(5364),
    [aux_sym_use_statement_token1] = ACTIONS(5364),
    [aux_sym_use_statement_token2] = ACTIONS(5364),
    [aux_sym_implicit_statement_token1] = ACTIONS(5364),
    [aux_sym_implicit_statement_token3] = ACTIONS(5364),
    [aux_sym_implicit_statement_token4] = ACTIONS(5364),
    [aux_sym_save_statement_token1] = ACTIONS(5364),
    [aux_sym_private_statement_token1] = ACTIONS(5364),
    [aux_sym_public_statement_token1] = ACTIONS(5364),
    [aux_sym_namelist_statement_token1] = ACTIONS(5364),
    [aux_sym_common_statement_token1] = ACTIONS(5364),
    [aux_sym_import_statement_token1] = ACTIONS(5364),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5364),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5364),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5364),
    [aux_sym_variable_attributes_token1] = ACTIONS(5364),
    [aux_sym_variable_attributes_token2] = ACTIONS(5364),
    [aux_sym_variable_attributes_token3] = ACTIONS(5364),
    [aux_sym_variable_attributes_token4] = ACTIONS(5364),
    [aux_sym_variable_attributes_token5] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5364),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5364),
    [aux_sym_derived_type_token1] = ACTIONS(5364),
    [aux_sym_declared_type_token1] = ACTIONS(5364),
    [aux_sym_declared_type_token2] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5364),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5364),
    [aux_sym_type_qualifier_token1] = ACTIONS(5364),
    [aux_sym_type_qualifier_token2] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5364),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5364),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5364),
    [aux_sym_stop_statement_token1] = ACTIONS(5364),
    [aux_sym_stop_statement_token2] = ACTIONS(5364),
    [aux_sym_subroutine_call_token1] = ACTIONS(5364),
    [aux_sym_keyword_statement_token1] = ACTIONS(5364),
    [aux_sym_keyword_statement_token2] = ACTIONS(5364),
    [aux_sym_keyword_statement_token3] = ACTIONS(5364),
    [aux_sym_keyword_statement_token4] = ACTIONS(5364),
    [aux_sym_keyword_statement_token6] = ACTIONS(5364),
    [aux_sym_keyword_statement_token7] = ACTIONS(5364),
    [aux_sym_include_statement_token1] = ACTIONS(5364),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5364),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5364),
    [aux_sym_end_if_statement_token1] = ACTIONS(5364),
    [aux_sym_elseif_clause_token2] = ACTIONS(5364),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5364),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5364),
    [aux_sym_select_case_statement_token1] = ACTIONS(5364),
    [aux_sym_select_case_statement_token3] = ACTIONS(5364),
    [aux_sym_select_type_statement_token1] = ACTIONS(5364),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5364),
    [aux_sym_associate_statement_token1] = ACTIONS(5364),
    [aux_sym_format_statement_token1] = ACTIONS(5364),
    [aux_sym_print_statement_token1] = ACTIONS(5364),
    [aux_sym_open_statement_token1] = ACTIONS(5364),
    [aux_sym_close_statement_token1] = ACTIONS(5364),
    [aux_sym_inquire_statement_token1] = ACTIONS(5364),
    [aux_sym_enum_statement_token1] = ACTIONS(5364),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5364),
    [aux_sym_file_position_statement_token1] = ACTIONS(5364),
    [aux_sym_file_position_statement_token2] = ACTIONS(5364),
    [aux_sym_file_position_statement_token3] = ACTIONS(5364),
    [aux_sym_file_position_statement_token4] = ACTIONS(5364),
    [aux_sym_allocate_statement_token1] = ACTIONS(5364),
    [aux_sym_entry_statement_token1] = ACTIONS(5364),
    [aux_sym_assign_statement_token1] = ACTIONS(5364),
    [aux_sym_logical_expression_token5] = ACTIONS(5366),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [aux_sym_boolean_literal_token1] = ACTIONS(5366),
    [aux_sym_boolean_literal_token2] = ACTIONS(5366),
    [aux_sym_null_literal_token1] = ACTIONS(5364),
    [aux_sym_coarray_statement_token1] = ACTIONS(5364),
    [aux_sym_coarray_statement_token2] = ACTIONS(5364),
    [aux_sym_coarray_statement_token6] = ACTIONS(5364),
    [aux_sym_coarray_statement_token8] = ACTIONS(5364),
    [aux_sym_coarray_statement_token11] = ACTIONS(5364),
    [aux_sym_coarray_statement_token12] = ACTIONS(5364),
    [aux_sym_coarray_statement_token13] = ACTIONS(5364),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5364),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5364),
    [aux_sym_identifier_token1] = ACTIONS(5364),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5366),
    [sym__float_literal] = ACTIONS(5366),
    [sym__boz_literal] = ACTIONS(5366),
    [sym__string_literal] = ACTIONS(5366),
    [sym__string_literal_kind] = ACTIONS(5366),
  },
  [1240] = {
    [ts_builtin_sym_end] = ACTIONS(5374),
    [aux_sym_preproc_include_token1] = ACTIONS(5372),
    [aux_sym_preproc_def_token1] = ACTIONS(5372),
    [aux_sym_preproc_if_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5372),
    [sym_preproc_directive] = ACTIONS(5372),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5372),
    [aux_sym_end_program_statement_token1] = ACTIONS(5372),
    [aux_sym_end_program_statement_token2] = ACTIONS(5372),
    [aux_sym_module_statement_token1] = ACTIONS(5372),
    [aux_sym_submodule_statement_token1] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [aux_sym_interface_statement_token1] = ACTIONS(5372),
    [aux_sym_block_data_statement_token1] = ACTIONS(5372),
    [aux_sym_block_data_statement_token2] = ACTIONS(5372),
    [aux_sym_block_data_statement_token3] = ACTIONS(5372),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5372),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5372),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5372),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5372),
    [aux_sym_function_statement_token1] = ACTIONS(5372),
    [aux_sym_language_binding_token1] = ACTIONS(5372),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5372),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5372),
    [aux_sym_contains_statement_token1] = ACTIONS(5372),
    [aux_sym_use_statement_token1] = ACTIONS(5372),
    [aux_sym_use_statement_token2] = ACTIONS(5372),
    [aux_sym_implicit_statement_token1] = ACTIONS(5372),
    [aux_sym_implicit_statement_token3] = ACTIONS(5372),
    [aux_sym_implicit_statement_token4] = ACTIONS(5372),
    [aux_sym_save_statement_token1] = ACTIONS(5372),
    [aux_sym_private_statement_token1] = ACTIONS(5372),
    [aux_sym_public_statement_token1] = ACTIONS(5372),
    [aux_sym_namelist_statement_token1] = ACTIONS(5372),
    [aux_sym_common_statement_token1] = ACTIONS(5372),
    [aux_sym_import_statement_token1] = ACTIONS(5372),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5372),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5372),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5372),
    [aux_sym_variable_attributes_token1] = ACTIONS(5372),
    [aux_sym_variable_attributes_token2] = ACTIONS(5372),
    [aux_sym_variable_attributes_token3] = ACTIONS(5372),
    [aux_sym_variable_attributes_token4] = ACTIONS(5372),
    [aux_sym_variable_attributes_token5] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5372),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5372),
    [aux_sym_derived_type_token1] = ACTIONS(5372),
    [aux_sym_declared_type_token1] = ACTIONS(5372),
    [aux_sym_declared_type_token2] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5372),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5372),
    [aux_sym_type_qualifier_token1] = ACTIONS(5372),
    [aux_sym_type_qualifier_token2] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5372),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5372),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5372),
    [aux_sym_stop_statement_token1] = ACTIONS(5372),
    [aux_sym_stop_statement_token2] = ACTIONS(5372),
    [aux_sym_subroutine_call_token1] = ACTIONS(5372),
    [aux_sym_keyword_statement_token1] = ACTIONS(5372),
    [aux_sym_keyword_statement_token2] = ACTIONS(5372),
    [aux_sym_keyword_statement_token3] = ACTIONS(5372),
    [aux_sym_keyword_statement_token4] = ACTIONS(5372),
    [aux_sym_keyword_statement_token6] = ACTIONS(5372),
    [aux_sym_keyword_statement_token7] = ACTIONS(5372),
    [aux_sym_include_statement_token1] = ACTIONS(5372),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5372),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5372),
    [aux_sym_end_if_statement_token1] = ACTIONS(5372),
    [aux_sym_elseif_clause_token2] = ACTIONS(5372),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5372),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5372),
    [aux_sym_select_case_statement_token1] = ACTIONS(5372),
    [aux_sym_select_case_statement_token3] = ACTIONS(5372),
    [aux_sym_select_type_statement_token1] = ACTIONS(5372),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5372),
    [aux_sym_associate_statement_token1] = ACTIONS(5372),
    [aux_sym_format_statement_token1] = ACTIONS(5372),
    [aux_sym_print_statement_token1] = ACTIONS(5372),
    [aux_sym_open_statement_token1] = ACTIONS(5372),
    [aux_sym_close_statement_token1] = ACTIONS(5372),
    [aux_sym_inquire_statement_token1] = ACTIONS(5372),
    [aux_sym_enum_statement_token1] = ACTIONS(5372),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5372),
    [aux_sym_file_position_statement_token1] = ACTIONS(5372),
    [aux_sym_file_position_statement_token2] = ACTIONS(5372),
    [aux_sym_file_position_statement_token3] = ACTIONS(5372),
    [aux_sym_file_position_statement_token4] = ACTIONS(5372),
    [aux_sym_allocate_statement_token1] = ACTIONS(5372),
    [aux_sym_entry_statement_token1] = ACTIONS(5372),
    [aux_sym_assign_statement_token1] = ACTIONS(5372),
    [aux_sym_logical_expression_token5] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [aux_sym_boolean_literal_token1] = ACTIONS(5374),
    [aux_sym_boolean_literal_token2] = ACTIONS(5374),
    [aux_sym_null_literal_token1] = ACTIONS(5372),
    [aux_sym_coarray_statement_token1] = ACTIONS(5372),
    [aux_sym_coarray_statement_token2] = ACTIONS(5372),
    [aux_sym_coarray_statement_token6] = ACTIONS(5372),
    [aux_sym_coarray_statement_token8] = ACTIONS(5372),
    [aux_sym_coarray_statement_token11] = ACTIONS(5372),
    [aux_sym_coarray_statement_token12] = ACTIONS(5372),
    [aux_sym_coarray_statement_token13] = ACTIONS(5372),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5372),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5372),
    [aux_sym_identifier_token1] = ACTIONS(5372),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5374),
    [sym__float_literal] = ACTIONS(5374),
    [sym__boz_literal] = ACTIONS(5374),
    [sym__string_literal] = ACTIONS(5374),
    [sym__string_literal_kind] = ACTIONS(5374),
  },
  [1241] = {
    [ts_builtin_sym_end] = ACTIONS(5322),
    [aux_sym_preproc_include_token1] = ACTIONS(5320),
    [aux_sym_preproc_def_token1] = ACTIONS(5320),
    [aux_sym_preproc_if_token1] = ACTIONS(5320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5320),
    [sym_preproc_directive] = ACTIONS(5320),
    [anon_sym_LPAREN2] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5322),
    [anon_sym_DASH] = ACTIONS(5322),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5320),
    [aux_sym_end_program_statement_token1] = ACTIONS(5320),
    [aux_sym_end_program_statement_token2] = ACTIONS(5320),
    [aux_sym_module_statement_token1] = ACTIONS(5320),
    [aux_sym_submodule_statement_token1] = ACTIONS(5320),
    [anon_sym_SEMI] = ACTIONS(5322),
    [aux_sym_interface_statement_token1] = ACTIONS(5320),
    [aux_sym_block_data_statement_token1] = ACTIONS(5320),
    [aux_sym_block_data_statement_token2] = ACTIONS(5320),
    [aux_sym_block_data_statement_token3] = ACTIONS(5320),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5320),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5320),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5320),
    [aux_sym_function_statement_token1] = ACTIONS(5320),
    [aux_sym_language_binding_token1] = ACTIONS(5320),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5320),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5320),
    [aux_sym_contains_statement_token1] = ACTIONS(5320),
    [aux_sym_use_statement_token1] = ACTIONS(5320),
    [aux_sym_use_statement_token2] = ACTIONS(5320),
    [aux_sym_implicit_statement_token1] = ACTIONS(5320),
    [aux_sym_implicit_statement_token3] = ACTIONS(5320),
    [aux_sym_implicit_statement_token4] = ACTIONS(5320),
    [aux_sym_save_statement_token1] = ACTIONS(5320),
    [aux_sym_private_statement_token1] = ACTIONS(5320),
    [aux_sym_public_statement_token1] = ACTIONS(5320),
    [aux_sym_namelist_statement_token1] = ACTIONS(5320),
    [aux_sym_common_statement_token1] = ACTIONS(5320),
    [aux_sym_import_statement_token1] = ACTIONS(5320),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5320),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5320),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5320),
    [aux_sym_variable_attributes_token1] = ACTIONS(5320),
    [aux_sym_variable_attributes_token2] = ACTIONS(5320),
    [aux_sym_variable_attributes_token3] = ACTIONS(5320),
    [aux_sym_variable_attributes_token4] = ACTIONS(5320),
    [aux_sym_variable_attributes_token5] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5320),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5320),
    [aux_sym_derived_type_token1] = ACTIONS(5320),
    [aux_sym_declared_type_token1] = ACTIONS(5320),
    [aux_sym_declared_type_token2] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5320),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5320),
    [aux_sym_type_qualifier_token1] = ACTIONS(5320),
    [aux_sym_type_qualifier_token2] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5320),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5320),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5320),
    [aux_sym_stop_statement_token1] = ACTIONS(5320),
    [aux_sym_stop_statement_token2] = ACTIONS(5320),
    [aux_sym_subroutine_call_token1] = ACTIONS(5320),
    [aux_sym_keyword_statement_token1] = ACTIONS(5320),
    [aux_sym_keyword_statement_token2] = ACTIONS(5320),
    [aux_sym_keyword_statement_token3] = ACTIONS(5320),
    [aux_sym_keyword_statement_token4] = ACTIONS(5320),
    [aux_sym_keyword_statement_token6] = ACTIONS(5320),
    [aux_sym_keyword_statement_token7] = ACTIONS(5320),
    [aux_sym_include_statement_token1] = ACTIONS(5320),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5320),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5320),
    [aux_sym_end_if_statement_token1] = ACTIONS(5320),
    [aux_sym_elseif_clause_token2] = ACTIONS(5320),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5320),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5320),
    [aux_sym_select_case_statement_token1] = ACTIONS(5320),
    [aux_sym_select_case_statement_token3] = ACTIONS(5320),
    [aux_sym_select_type_statement_token1] = ACTIONS(5320),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5320),
    [aux_sym_associate_statement_token1] = ACTIONS(5320),
    [aux_sym_format_statement_token1] = ACTIONS(5320),
    [aux_sym_print_statement_token1] = ACTIONS(5320),
    [aux_sym_open_statement_token1] = ACTIONS(5320),
    [aux_sym_close_statement_token1] = ACTIONS(5320),
    [aux_sym_inquire_statement_token1] = ACTIONS(5320),
    [aux_sym_enum_statement_token1] = ACTIONS(5320),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5320),
    [aux_sym_file_position_statement_token1] = ACTIONS(5320),
    [aux_sym_file_position_statement_token2] = ACTIONS(5320),
    [aux_sym_file_position_statement_token3] = ACTIONS(5320),
    [aux_sym_file_position_statement_token4] = ACTIONS(5320),
    [aux_sym_allocate_statement_token1] = ACTIONS(5320),
    [aux_sym_entry_statement_token1] = ACTIONS(5320),
    [aux_sym_assign_statement_token1] = ACTIONS(5320),
    [aux_sym_logical_expression_token5] = ACTIONS(5322),
    [anon_sym_DOT] = ACTIONS(5320),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5322),
    [aux_sym_boolean_literal_token1] = ACTIONS(5322),
    [aux_sym_boolean_literal_token2] = ACTIONS(5322),
    [aux_sym_null_literal_token1] = ACTIONS(5320),
    [aux_sym_coarray_statement_token1] = ACTIONS(5320),
    [aux_sym_coarray_statement_token2] = ACTIONS(5320),
    [aux_sym_coarray_statement_token6] = ACTIONS(5320),
    [aux_sym_coarray_statement_token8] = ACTIONS(5320),
    [aux_sym_coarray_statement_token11] = ACTIONS(5320),
    [aux_sym_coarray_statement_token12] = ACTIONS(5320),
    [aux_sym_coarray_statement_token13] = ACTIONS(5320),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5320),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5320),
    [aux_sym_identifier_token1] = ACTIONS(5320),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5322),
    [sym__float_literal] = ACTIONS(5322),
    [sym__boz_literal] = ACTIONS(5322),
    [sym__string_literal] = ACTIONS(5322),
    [sym__string_literal_kind] = ACTIONS(5322),
  },
  [1242] = {
    [ts_builtin_sym_end] = ACTIONS(5246),
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [aux_sym_module_statement_token1] = ACTIONS(5244),
    [aux_sym_submodule_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_block_data_statement_token3] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_function_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5244),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1243] = {
    [ts_builtin_sym_end] = ACTIONS(5382),
    [aux_sym_preproc_include_token1] = ACTIONS(5380),
    [aux_sym_preproc_def_token1] = ACTIONS(5380),
    [aux_sym_preproc_if_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5380),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5380),
    [sym_preproc_directive] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5380),
    [aux_sym_end_program_statement_token1] = ACTIONS(5380),
    [aux_sym_end_program_statement_token2] = ACTIONS(5380),
    [aux_sym_module_statement_token1] = ACTIONS(5380),
    [aux_sym_submodule_statement_token1] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [aux_sym_interface_statement_token1] = ACTIONS(5380),
    [aux_sym_block_data_statement_token1] = ACTIONS(5380),
    [aux_sym_block_data_statement_token2] = ACTIONS(5380),
    [aux_sym_block_data_statement_token3] = ACTIONS(5380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5380),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5380),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5380),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5380),
    [aux_sym_function_statement_token1] = ACTIONS(5380),
    [aux_sym_language_binding_token1] = ACTIONS(5380),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5380),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5380),
    [aux_sym_contains_statement_token1] = ACTIONS(5380),
    [aux_sym_use_statement_token1] = ACTIONS(5380),
    [aux_sym_use_statement_token2] = ACTIONS(5380),
    [aux_sym_implicit_statement_token1] = ACTIONS(5380),
    [aux_sym_implicit_statement_token3] = ACTIONS(5380),
    [aux_sym_implicit_statement_token4] = ACTIONS(5380),
    [aux_sym_save_statement_token1] = ACTIONS(5380),
    [aux_sym_private_statement_token1] = ACTIONS(5380),
    [aux_sym_public_statement_token1] = ACTIONS(5380),
    [aux_sym_namelist_statement_token1] = ACTIONS(5380),
    [aux_sym_common_statement_token1] = ACTIONS(5380),
    [aux_sym_import_statement_token1] = ACTIONS(5380),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5380),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5380),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5380),
    [aux_sym_variable_attributes_token1] = ACTIONS(5380),
    [aux_sym_variable_attributes_token2] = ACTIONS(5380),
    [aux_sym_variable_attributes_token3] = ACTIONS(5380),
    [aux_sym_variable_attributes_token4] = ACTIONS(5380),
    [aux_sym_variable_attributes_token5] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5380),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5380),
    [aux_sym_derived_type_token1] = ACTIONS(5380),
    [aux_sym_declared_type_token1] = ACTIONS(5380),
    [aux_sym_declared_type_token2] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5380),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5380),
    [aux_sym_type_qualifier_token1] = ACTIONS(5380),
    [aux_sym_type_qualifier_token2] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5380),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5380),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5380),
    [aux_sym_stop_statement_token1] = ACTIONS(5380),
    [aux_sym_stop_statement_token2] = ACTIONS(5380),
    [aux_sym_subroutine_call_token1] = ACTIONS(5380),
    [aux_sym_keyword_statement_token1] = ACTIONS(5380),
    [aux_sym_keyword_statement_token2] = ACTIONS(5380),
    [aux_sym_keyword_statement_token3] = ACTIONS(5380),
    [aux_sym_keyword_statement_token4] = ACTIONS(5380),
    [aux_sym_keyword_statement_token6] = ACTIONS(5380),
    [aux_sym_keyword_statement_token7] = ACTIONS(5380),
    [aux_sym_include_statement_token1] = ACTIONS(5380),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5380),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5380),
    [aux_sym_end_if_statement_token1] = ACTIONS(5380),
    [aux_sym_elseif_clause_token2] = ACTIONS(5380),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5380),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5380),
    [aux_sym_select_case_statement_token1] = ACTIONS(5380),
    [aux_sym_select_case_statement_token3] = ACTIONS(5380),
    [aux_sym_select_type_statement_token1] = ACTIONS(5380),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5380),
    [aux_sym_associate_statement_token1] = ACTIONS(5380),
    [aux_sym_format_statement_token1] = ACTIONS(5380),
    [aux_sym_print_statement_token1] = ACTIONS(5380),
    [aux_sym_open_statement_token1] = ACTIONS(5380),
    [aux_sym_close_statement_token1] = ACTIONS(5380),
    [aux_sym_inquire_statement_token1] = ACTIONS(5380),
    [aux_sym_enum_statement_token1] = ACTIONS(5380),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5380),
    [aux_sym_file_position_statement_token1] = ACTIONS(5380),
    [aux_sym_file_position_statement_token2] = ACTIONS(5380),
    [aux_sym_file_position_statement_token3] = ACTIONS(5380),
    [aux_sym_file_position_statement_token4] = ACTIONS(5380),
    [aux_sym_allocate_statement_token1] = ACTIONS(5380),
    [aux_sym_entry_statement_token1] = ACTIONS(5380),
    [aux_sym_assign_statement_token1] = ACTIONS(5380),
    [aux_sym_logical_expression_token5] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [aux_sym_boolean_literal_token1] = ACTIONS(5382),
    [aux_sym_boolean_literal_token2] = ACTIONS(5382),
    [aux_sym_null_literal_token1] = ACTIONS(5380),
    [aux_sym_coarray_statement_token1] = ACTIONS(5380),
    [aux_sym_coarray_statement_token2] = ACTIONS(5380),
    [aux_sym_coarray_statement_token6] = ACTIONS(5380),
    [aux_sym_coarray_statement_token8] = ACTIONS(5380),
    [aux_sym_coarray_statement_token11] = ACTIONS(5380),
    [aux_sym_coarray_statement_token12] = ACTIONS(5380),
    [aux_sym_coarray_statement_token13] = ACTIONS(5380),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5380),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5380),
    [aux_sym_identifier_token1] = ACTIONS(5380),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5382),
    [sym__float_literal] = ACTIONS(5382),
    [sym__boz_literal] = ACTIONS(5382),
    [sym__string_literal] = ACTIONS(5382),
    [sym__string_literal_kind] = ACTIONS(5382),
  },
  [1244] = {
    [ts_builtin_sym_end] = ACTIONS(5302),
    [aux_sym_preproc_include_token1] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token1] = ACTIONS(5300),
    [aux_sym_end_program_statement_token2] = ACTIONS(5300),
    [aux_sym_module_statement_token1] = ACTIONS(5300),
    [aux_sym_submodule_statement_token1] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [aux_sym_interface_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token1] = ACTIONS(5300),
    [aux_sym_block_data_statement_token2] = ACTIONS(5300),
    [aux_sym_block_data_statement_token3] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5300),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5300),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5300),
    [aux_sym_function_statement_token1] = ACTIONS(5300),
    [aux_sym_language_binding_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5300),
    [aux_sym_contains_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token1] = ACTIONS(5300),
    [aux_sym_use_statement_token2] = ACTIONS(5300),
    [aux_sym_implicit_statement_token1] = ACTIONS(5300),
    [aux_sym_implicit_statement_token3] = ACTIONS(5300),
    [aux_sym_implicit_statement_token4] = ACTIONS(5300),
    [aux_sym_save_statement_token1] = ACTIONS(5300),
    [aux_sym_private_statement_token1] = ACTIONS(5300),
    [aux_sym_public_statement_token1] = ACTIONS(5300),
    [aux_sym_namelist_statement_token1] = ACTIONS(5300),
    [aux_sym_common_statement_token1] = ACTIONS(5300),
    [aux_sym_import_statement_token1] = ACTIONS(5300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5300),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5300),
    [aux_sym_variable_attributes_token1] = ACTIONS(5300),
    [aux_sym_variable_attributes_token2] = ACTIONS(5300),
    [aux_sym_variable_attributes_token3] = ACTIONS(5300),
    [aux_sym_variable_attributes_token4] = ACTIONS(5300),
    [aux_sym_variable_attributes_token5] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5300),
    [aux_sym_derived_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token1] = ACTIONS(5300),
    [aux_sym_declared_type_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5300),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5300),
    [aux_sym_type_qualifier_token1] = ACTIONS(5300),
    [aux_sym_type_qualifier_token2] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5300),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5300),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token1] = ACTIONS(5300),
    [aux_sym_stop_statement_token2] = ACTIONS(5300),
    [aux_sym_subroutine_call_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token1] = ACTIONS(5300),
    [aux_sym_keyword_statement_token2] = ACTIONS(5300),
    [aux_sym_keyword_statement_token3] = ACTIONS(5300),
    [aux_sym_keyword_statement_token4] = ACTIONS(5300),
    [aux_sym_keyword_statement_token6] = ACTIONS(5300),
    [aux_sym_keyword_statement_token7] = ACTIONS(5300),
    [aux_sym_include_statement_token1] = ACTIONS(5300),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5300),
    [aux_sym_end_if_statement_token1] = ACTIONS(5300),
    [aux_sym_elseif_clause_token2] = ACTIONS(5300),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5300),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token1] = ACTIONS(5300),
    [aux_sym_select_case_statement_token3] = ACTIONS(5300),
    [aux_sym_select_type_statement_token1] = ACTIONS(5300),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5300),
    [aux_sym_associate_statement_token1] = ACTIONS(5300),
    [aux_sym_format_statement_token1] = ACTIONS(5300),
    [aux_sym_print_statement_token1] = ACTIONS(5300),
    [aux_sym_open_statement_token1] = ACTIONS(5300),
    [aux_sym_close_statement_token1] = ACTIONS(5300),
    [aux_sym_inquire_statement_token1] = ACTIONS(5300),
    [aux_sym_enum_statement_token1] = ACTIONS(5300),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token1] = ACTIONS(5300),
    [aux_sym_file_position_statement_token2] = ACTIONS(5300),
    [aux_sym_file_position_statement_token3] = ACTIONS(5300),
    [aux_sym_file_position_statement_token4] = ACTIONS(5300),
    [aux_sym_allocate_statement_token1] = ACTIONS(5300),
    [aux_sym_entry_statement_token1] = ACTIONS(5300),
    [aux_sym_assign_statement_token1] = ACTIONS(5300),
    [aux_sym_logical_expression_token5] = ACTIONS(5302),
    [anon_sym_DOT] = ACTIONS(5300),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [aux_sym_boolean_literal_token1] = ACTIONS(5302),
    [aux_sym_boolean_literal_token2] = ACTIONS(5302),
    [aux_sym_null_literal_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_statement_token2] = ACTIONS(5300),
    [aux_sym_coarray_statement_token6] = ACTIONS(5300),
    [aux_sym_coarray_statement_token8] = ACTIONS(5300),
    [aux_sym_coarray_statement_token11] = ACTIONS(5300),
    [aux_sym_coarray_statement_token12] = ACTIONS(5300),
    [aux_sym_coarray_statement_token13] = ACTIONS(5300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5300),
    [aux_sym_identifier_token1] = ACTIONS(5300),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5302),
    [sym__float_literal] = ACTIONS(5302),
    [sym__boz_literal] = ACTIONS(5302),
    [sym__string_literal] = ACTIONS(5302),
    [sym__string_literal_kind] = ACTIONS(5302),
  },
  [1245] = {
    [ts_builtin_sym_end] = ACTIONS(5194),
    [aux_sym_preproc_include_token1] = ACTIONS(5192),
    [aux_sym_preproc_def_token1] = ACTIONS(5192),
    [aux_sym_preproc_if_token1] = ACTIONS(5192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5192),
    [sym_preproc_directive] = ACTIONS(5192),
    [anon_sym_LPAREN2] = ACTIONS(5192),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5192),
    [aux_sym_end_program_statement_token1] = ACTIONS(5192),
    [aux_sym_end_program_statement_token2] = ACTIONS(5192),
    [aux_sym_module_statement_token1] = ACTIONS(5192),
    [aux_sym_submodule_statement_token1] = ACTIONS(5192),
    [anon_sym_SEMI] = ACTIONS(5194),
    [aux_sym_interface_statement_token1] = ACTIONS(5192),
    [aux_sym_block_data_statement_token1] = ACTIONS(5192),
    [aux_sym_block_data_statement_token2] = ACTIONS(5192),
    [aux_sym_block_data_statement_token3] = ACTIONS(5192),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5192),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5192),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5192),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5192),
    [aux_sym_function_statement_token1] = ACTIONS(5192),
    [aux_sym_language_binding_token1] = ACTIONS(5192),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5192),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5192),
    [aux_sym_contains_statement_token1] = ACTIONS(5192),
    [aux_sym_use_statement_token1] = ACTIONS(5192),
    [aux_sym_use_statement_token2] = ACTIONS(5192),
    [aux_sym_implicit_statement_token1] = ACTIONS(5192),
    [aux_sym_implicit_statement_token3] = ACTIONS(5192),
    [aux_sym_implicit_statement_token4] = ACTIONS(5192),
    [aux_sym_save_statement_token1] = ACTIONS(5192),
    [aux_sym_private_statement_token1] = ACTIONS(5192),
    [aux_sym_public_statement_token1] = ACTIONS(5192),
    [aux_sym_namelist_statement_token1] = ACTIONS(5192),
    [aux_sym_common_statement_token1] = ACTIONS(5192),
    [aux_sym_import_statement_token1] = ACTIONS(5192),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5192),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5192),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5192),
    [aux_sym_variable_attributes_token1] = ACTIONS(5192),
    [aux_sym_variable_attributes_token2] = ACTIONS(5192),
    [aux_sym_variable_attributes_token3] = ACTIONS(5192),
    [aux_sym_variable_attributes_token4] = ACTIONS(5192),
    [aux_sym_variable_attributes_token5] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5192),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5192),
    [aux_sym_derived_type_token1] = ACTIONS(5192),
    [aux_sym_declared_type_token1] = ACTIONS(5192),
    [aux_sym_declared_type_token2] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5192),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5192),
    [aux_sym_type_qualifier_token1] = ACTIONS(5192),
    [aux_sym_type_qualifier_token2] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5192),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5192),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5192),
    [aux_sym_stop_statement_token1] = ACTIONS(5192),
    [aux_sym_stop_statement_token2] = ACTIONS(5192),
    [aux_sym_subroutine_call_token1] = ACTIONS(5192),
    [aux_sym_keyword_statement_token1] = ACTIONS(5192),
    [aux_sym_keyword_statement_token2] = ACTIONS(5192),
    [aux_sym_keyword_statement_token3] = ACTIONS(5192),
    [aux_sym_keyword_statement_token4] = ACTIONS(5192),
    [aux_sym_keyword_statement_token6] = ACTIONS(5192),
    [aux_sym_keyword_statement_token7] = ACTIONS(5192),
    [aux_sym_include_statement_token1] = ACTIONS(5192),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5192),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5192),
    [aux_sym_end_if_statement_token1] = ACTIONS(5192),
    [aux_sym_elseif_clause_token2] = ACTIONS(5192),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5192),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5192),
    [aux_sym_select_case_statement_token1] = ACTIONS(5192),
    [aux_sym_select_case_statement_token3] = ACTIONS(5192),
    [aux_sym_select_type_statement_token1] = ACTIONS(5192),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5192),
    [aux_sym_associate_statement_token1] = ACTIONS(5192),
    [aux_sym_format_statement_token1] = ACTIONS(5192),
    [aux_sym_print_statement_token1] = ACTIONS(5192),
    [aux_sym_open_statement_token1] = ACTIONS(5192),
    [aux_sym_close_statement_token1] = ACTIONS(5192),
    [aux_sym_inquire_statement_token1] = ACTIONS(5192),
    [aux_sym_enum_statement_token1] = ACTIONS(5192),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5192),
    [aux_sym_file_position_statement_token1] = ACTIONS(5192),
    [aux_sym_file_position_statement_token2] = ACTIONS(5192),
    [aux_sym_file_position_statement_token3] = ACTIONS(5192),
    [aux_sym_file_position_statement_token4] = ACTIONS(5192),
    [aux_sym_allocate_statement_token1] = ACTIONS(5192),
    [aux_sym_entry_statement_token1] = ACTIONS(5192),
    [aux_sym_assign_statement_token1] = ACTIONS(5192),
    [aux_sym_logical_expression_token5] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5192),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [aux_sym_boolean_literal_token1] = ACTIONS(5194),
    [aux_sym_boolean_literal_token2] = ACTIONS(5194),
    [aux_sym_null_literal_token1] = ACTIONS(5192),
    [aux_sym_coarray_statement_token1] = ACTIONS(5192),
    [aux_sym_coarray_statement_token2] = ACTIONS(5192),
    [aux_sym_coarray_statement_token6] = ACTIONS(5192),
    [aux_sym_coarray_statement_token8] = ACTIONS(5192),
    [aux_sym_coarray_statement_token11] = ACTIONS(5192),
    [aux_sym_coarray_statement_token12] = ACTIONS(5192),
    [aux_sym_coarray_statement_token13] = ACTIONS(5192),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5192),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5192),
    [aux_sym_identifier_token1] = ACTIONS(5192),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5194),
    [sym__float_literal] = ACTIONS(5194),
    [sym__boz_literal] = ACTIONS(5194),
    [sym__string_literal] = ACTIONS(5194),
    [sym__string_literal_kind] = ACTIONS(5194),
  },
  [1246] = {
    [ts_builtin_sym_end] = ACTIONS(5226),
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [aux_sym_module_statement_token1] = ACTIONS(5224),
    [aux_sym_submodule_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_block_data_statement_token3] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_function_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5224),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1247] = {
    [ts_builtin_sym_end] = ACTIONS(5162),
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token2] = ACTIONS(5160),
    [aux_sym_module_statement_token1] = ACTIONS(5160),
    [aux_sym_submodule_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_block_data_statement_token3] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_function_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5160),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1248] = {
    [ts_builtin_sym_end] = ACTIONS(5318),
    [aux_sym_preproc_include_token1] = ACTIONS(5316),
    [aux_sym_preproc_def_token1] = ACTIONS(5316),
    [aux_sym_preproc_if_token1] = ACTIONS(5316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5316),
    [sym_preproc_directive] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5316),
    [aux_sym_end_program_statement_token1] = ACTIONS(5316),
    [aux_sym_end_program_statement_token2] = ACTIONS(5316),
    [aux_sym_module_statement_token1] = ACTIONS(5316),
    [aux_sym_submodule_statement_token1] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [aux_sym_interface_statement_token1] = ACTIONS(5316),
    [aux_sym_block_data_statement_token1] = ACTIONS(5316),
    [aux_sym_block_data_statement_token2] = ACTIONS(5316),
    [aux_sym_block_data_statement_token3] = ACTIONS(5316),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5316),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5316),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5316),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5316),
    [aux_sym_function_statement_token1] = ACTIONS(5316),
    [aux_sym_language_binding_token1] = ACTIONS(5316),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5316),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5316),
    [aux_sym_contains_statement_token1] = ACTIONS(5316),
    [aux_sym_use_statement_token1] = ACTIONS(5316),
    [aux_sym_use_statement_token2] = ACTIONS(5316),
    [aux_sym_implicit_statement_token1] = ACTIONS(5316),
    [aux_sym_implicit_statement_token3] = ACTIONS(5316),
    [aux_sym_implicit_statement_token4] = ACTIONS(5316),
    [aux_sym_save_statement_token1] = ACTIONS(5316),
    [aux_sym_private_statement_token1] = ACTIONS(5316),
    [aux_sym_public_statement_token1] = ACTIONS(5316),
    [aux_sym_namelist_statement_token1] = ACTIONS(5316),
    [aux_sym_common_statement_token1] = ACTIONS(5316),
    [aux_sym_import_statement_token1] = ACTIONS(5316),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5316),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5316),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5316),
    [aux_sym_variable_attributes_token1] = ACTIONS(5316),
    [aux_sym_variable_attributes_token2] = ACTIONS(5316),
    [aux_sym_variable_attributes_token3] = ACTIONS(5316),
    [aux_sym_variable_attributes_token4] = ACTIONS(5316),
    [aux_sym_variable_attributes_token5] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5316),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5316),
    [aux_sym_derived_type_token1] = ACTIONS(5316),
    [aux_sym_declared_type_token1] = ACTIONS(5316),
    [aux_sym_declared_type_token2] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5316),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5316),
    [aux_sym_type_qualifier_token1] = ACTIONS(5316),
    [aux_sym_type_qualifier_token2] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5316),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5316),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5316),
    [aux_sym_stop_statement_token1] = ACTIONS(5316),
    [aux_sym_stop_statement_token2] = ACTIONS(5316),
    [aux_sym_subroutine_call_token1] = ACTIONS(5316),
    [aux_sym_keyword_statement_token1] = ACTIONS(5316),
    [aux_sym_keyword_statement_token2] = ACTIONS(5316),
    [aux_sym_keyword_statement_token3] = ACTIONS(5316),
    [aux_sym_keyword_statement_token4] = ACTIONS(5316),
    [aux_sym_keyword_statement_token6] = ACTIONS(5316),
    [aux_sym_keyword_statement_token7] = ACTIONS(5316),
    [aux_sym_include_statement_token1] = ACTIONS(5316),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5316),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5316),
    [aux_sym_end_if_statement_token1] = ACTIONS(5316),
    [aux_sym_elseif_clause_token2] = ACTIONS(5316),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5316),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5316),
    [aux_sym_select_case_statement_token1] = ACTIONS(5316),
    [aux_sym_select_case_statement_token3] = ACTIONS(5316),
    [aux_sym_select_type_statement_token1] = ACTIONS(5316),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5316),
    [aux_sym_associate_statement_token1] = ACTIONS(5316),
    [aux_sym_format_statement_token1] = ACTIONS(5316),
    [aux_sym_print_statement_token1] = ACTIONS(5316),
    [aux_sym_open_statement_token1] = ACTIONS(5316),
    [aux_sym_close_statement_token1] = ACTIONS(5316),
    [aux_sym_inquire_statement_token1] = ACTIONS(5316),
    [aux_sym_enum_statement_token1] = ACTIONS(5316),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5316),
    [aux_sym_file_position_statement_token1] = ACTIONS(5316),
    [aux_sym_file_position_statement_token2] = ACTIONS(5316),
    [aux_sym_file_position_statement_token3] = ACTIONS(5316),
    [aux_sym_file_position_statement_token4] = ACTIONS(5316),
    [aux_sym_allocate_statement_token1] = ACTIONS(5316),
    [aux_sym_entry_statement_token1] = ACTIONS(5316),
    [aux_sym_assign_statement_token1] = ACTIONS(5316),
    [aux_sym_logical_expression_token5] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [aux_sym_boolean_literal_token1] = ACTIONS(5318),
    [aux_sym_boolean_literal_token2] = ACTIONS(5318),
    [aux_sym_null_literal_token1] = ACTIONS(5316),
    [aux_sym_coarray_statement_token1] = ACTIONS(5316),
    [aux_sym_coarray_statement_token2] = ACTIONS(5316),
    [aux_sym_coarray_statement_token6] = ACTIONS(5316),
    [aux_sym_coarray_statement_token8] = ACTIONS(5316),
    [aux_sym_coarray_statement_token11] = ACTIONS(5316),
    [aux_sym_coarray_statement_token12] = ACTIONS(5316),
    [aux_sym_coarray_statement_token13] = ACTIONS(5316),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5316),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5316),
    [aux_sym_identifier_token1] = ACTIONS(5316),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5318),
    [sym__float_literal] = ACTIONS(5318),
    [sym__boz_literal] = ACTIONS(5318),
    [sym__string_literal] = ACTIONS(5318),
    [sym__string_literal_kind] = ACTIONS(5318),
  },
  [1249] = {
    [ts_builtin_sym_end] = ACTIONS(5370),
    [aux_sym_preproc_include_token1] = ACTIONS(5368),
    [aux_sym_preproc_def_token1] = ACTIONS(5368),
    [aux_sym_preproc_if_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5368),
    [sym_preproc_directive] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5368),
    [aux_sym_end_program_statement_token1] = ACTIONS(5368),
    [aux_sym_end_program_statement_token2] = ACTIONS(5368),
    [aux_sym_module_statement_token1] = ACTIONS(5368),
    [aux_sym_submodule_statement_token1] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [aux_sym_interface_statement_token1] = ACTIONS(5368),
    [aux_sym_block_data_statement_token1] = ACTIONS(5368),
    [aux_sym_block_data_statement_token2] = ACTIONS(5368),
    [aux_sym_block_data_statement_token3] = ACTIONS(5368),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5368),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5368),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5368),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5368),
    [aux_sym_function_statement_token1] = ACTIONS(5368),
    [aux_sym_language_binding_token1] = ACTIONS(5368),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5368),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5368),
    [aux_sym_contains_statement_token1] = ACTIONS(5368),
    [aux_sym_use_statement_token1] = ACTIONS(5368),
    [aux_sym_use_statement_token2] = ACTIONS(5368),
    [aux_sym_implicit_statement_token1] = ACTIONS(5368),
    [aux_sym_implicit_statement_token3] = ACTIONS(5368),
    [aux_sym_implicit_statement_token4] = ACTIONS(5368),
    [aux_sym_save_statement_token1] = ACTIONS(5368),
    [aux_sym_private_statement_token1] = ACTIONS(5368),
    [aux_sym_public_statement_token1] = ACTIONS(5368),
    [aux_sym_namelist_statement_token1] = ACTIONS(5368),
    [aux_sym_common_statement_token1] = ACTIONS(5368),
    [aux_sym_import_statement_token1] = ACTIONS(5368),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5368),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5368),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5368),
    [aux_sym_variable_attributes_token1] = ACTIONS(5368),
    [aux_sym_variable_attributes_token2] = ACTIONS(5368),
    [aux_sym_variable_attributes_token3] = ACTIONS(5368),
    [aux_sym_variable_attributes_token4] = ACTIONS(5368),
    [aux_sym_variable_attributes_token5] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5368),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5368),
    [aux_sym_derived_type_token1] = ACTIONS(5368),
    [aux_sym_declared_type_token1] = ACTIONS(5368),
    [aux_sym_declared_type_token2] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5368),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5368),
    [aux_sym_type_qualifier_token1] = ACTIONS(5368),
    [aux_sym_type_qualifier_token2] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5368),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5368),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5368),
    [aux_sym_stop_statement_token1] = ACTIONS(5368),
    [aux_sym_stop_statement_token2] = ACTIONS(5368),
    [aux_sym_subroutine_call_token1] = ACTIONS(5368),
    [aux_sym_keyword_statement_token1] = ACTIONS(5368),
    [aux_sym_keyword_statement_token2] = ACTIONS(5368),
    [aux_sym_keyword_statement_token3] = ACTIONS(5368),
    [aux_sym_keyword_statement_token4] = ACTIONS(5368),
    [aux_sym_keyword_statement_token6] = ACTIONS(5368),
    [aux_sym_keyword_statement_token7] = ACTIONS(5368),
    [aux_sym_include_statement_token1] = ACTIONS(5368),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5368),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5368),
    [aux_sym_end_if_statement_token1] = ACTIONS(5368),
    [aux_sym_elseif_clause_token2] = ACTIONS(5368),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5368),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5368),
    [aux_sym_select_case_statement_token1] = ACTIONS(5368),
    [aux_sym_select_case_statement_token3] = ACTIONS(5368),
    [aux_sym_select_type_statement_token1] = ACTIONS(5368),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5368),
    [aux_sym_associate_statement_token1] = ACTIONS(5368),
    [aux_sym_format_statement_token1] = ACTIONS(5368),
    [aux_sym_print_statement_token1] = ACTIONS(5368),
    [aux_sym_open_statement_token1] = ACTIONS(5368),
    [aux_sym_close_statement_token1] = ACTIONS(5368),
    [aux_sym_inquire_statement_token1] = ACTIONS(5368),
    [aux_sym_enum_statement_token1] = ACTIONS(5368),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5368),
    [aux_sym_file_position_statement_token1] = ACTIONS(5368),
    [aux_sym_file_position_statement_token2] = ACTIONS(5368),
    [aux_sym_file_position_statement_token3] = ACTIONS(5368),
    [aux_sym_file_position_statement_token4] = ACTIONS(5368),
    [aux_sym_allocate_statement_token1] = ACTIONS(5368),
    [aux_sym_entry_statement_token1] = ACTIONS(5368),
    [aux_sym_assign_statement_token1] = ACTIONS(5368),
    [aux_sym_logical_expression_token5] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [aux_sym_boolean_literal_token1] = ACTIONS(5370),
    [aux_sym_boolean_literal_token2] = ACTIONS(5370),
    [aux_sym_null_literal_token1] = ACTIONS(5368),
    [aux_sym_coarray_statement_token1] = ACTIONS(5368),
    [aux_sym_coarray_statement_token2] = ACTIONS(5368),
    [aux_sym_coarray_statement_token6] = ACTIONS(5368),
    [aux_sym_coarray_statement_token8] = ACTIONS(5368),
    [aux_sym_coarray_statement_token11] = ACTIONS(5368),
    [aux_sym_coarray_statement_token12] = ACTIONS(5368),
    [aux_sym_coarray_statement_token13] = ACTIONS(5368),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5368),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5368),
    [aux_sym_identifier_token1] = ACTIONS(5368),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5370),
    [sym__float_literal] = ACTIONS(5370),
    [sym__boz_literal] = ACTIONS(5370),
    [sym__string_literal] = ACTIONS(5370),
    [sym__string_literal_kind] = ACTIONS(5370),
  },
  [1250] = {
    [ts_builtin_sym_end] = ACTIONS(5222),
    [aux_sym_preproc_include_token1] = ACTIONS(5220),
    [aux_sym_preproc_def_token1] = ACTIONS(5220),
    [aux_sym_preproc_if_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5220),
    [sym_preproc_directive] = ACTIONS(5220),
    [anon_sym_LPAREN2] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token1] = ACTIONS(5220),
    [aux_sym_end_program_statement_token2] = ACTIONS(5220),
    [aux_sym_module_statement_token1] = ACTIONS(5220),
    [aux_sym_submodule_statement_token1] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [aux_sym_interface_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token1] = ACTIONS(5220),
    [aux_sym_block_data_statement_token2] = ACTIONS(5220),
    [aux_sym_block_data_statement_token3] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5220),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5220),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5220),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5220),
    [aux_sym_function_statement_token1] = ACTIONS(5220),
    [aux_sym_language_binding_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5220),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5220),
    [aux_sym_contains_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token1] = ACTIONS(5220),
    [aux_sym_use_statement_token2] = ACTIONS(5220),
    [aux_sym_implicit_statement_token1] = ACTIONS(5220),
    [aux_sym_implicit_statement_token3] = ACTIONS(5220),
    [aux_sym_implicit_statement_token4] = ACTIONS(5220),
    [aux_sym_save_statement_token1] = ACTIONS(5220),
    [aux_sym_private_statement_token1] = ACTIONS(5220),
    [aux_sym_public_statement_token1] = ACTIONS(5220),
    [aux_sym_namelist_statement_token1] = ACTIONS(5220),
    [aux_sym_common_statement_token1] = ACTIONS(5220),
    [aux_sym_import_statement_token1] = ACTIONS(5220),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5220),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5220),
    [aux_sym_variable_attributes_token1] = ACTIONS(5220),
    [aux_sym_variable_attributes_token2] = ACTIONS(5220),
    [aux_sym_variable_attributes_token3] = ACTIONS(5220),
    [aux_sym_variable_attributes_token4] = ACTIONS(5220),
    [aux_sym_variable_attributes_token5] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5220),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5220),
    [aux_sym_derived_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token1] = ACTIONS(5220),
    [aux_sym_declared_type_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5220),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5220),
    [aux_sym_type_qualifier_token1] = ACTIONS(5220),
    [aux_sym_type_qualifier_token2] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5220),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5220),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token1] = ACTIONS(5220),
    [aux_sym_stop_statement_token2] = ACTIONS(5220),
    [aux_sym_subroutine_call_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token1] = ACTIONS(5220),
    [aux_sym_keyword_statement_token2] = ACTIONS(5220),
    [aux_sym_keyword_statement_token3] = ACTIONS(5220),
    [aux_sym_keyword_statement_token4] = ACTIONS(5220),
    [aux_sym_keyword_statement_token6] = ACTIONS(5220),
    [aux_sym_keyword_statement_token7] = ACTIONS(5220),
    [aux_sym_include_statement_token1] = ACTIONS(5220),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5220),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5220),
    [aux_sym_end_if_statement_token1] = ACTIONS(5220),
    [aux_sym_elseif_clause_token2] = ACTIONS(5220),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5220),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token1] = ACTIONS(5220),
    [aux_sym_select_case_statement_token3] = ACTIONS(5220),
    [aux_sym_select_type_statement_token1] = ACTIONS(5220),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5220),
    [aux_sym_associate_statement_token1] = ACTIONS(5220),
    [aux_sym_format_statement_token1] = ACTIONS(5220),
    [aux_sym_print_statement_token1] = ACTIONS(5220),
    [aux_sym_open_statement_token1] = ACTIONS(5220),
    [aux_sym_close_statement_token1] = ACTIONS(5220),
    [aux_sym_inquire_statement_token1] = ACTIONS(5220),
    [aux_sym_enum_statement_token1] = ACTIONS(5220),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token1] = ACTIONS(5220),
    [aux_sym_file_position_statement_token2] = ACTIONS(5220),
    [aux_sym_file_position_statement_token3] = ACTIONS(5220),
    [aux_sym_file_position_statement_token4] = ACTIONS(5220),
    [aux_sym_allocate_statement_token1] = ACTIONS(5220),
    [aux_sym_entry_statement_token1] = ACTIONS(5220),
    [aux_sym_assign_statement_token1] = ACTIONS(5220),
    [aux_sym_logical_expression_token5] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [aux_sym_boolean_literal_token1] = ACTIONS(5222),
    [aux_sym_boolean_literal_token2] = ACTIONS(5222),
    [aux_sym_null_literal_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_statement_token2] = ACTIONS(5220),
    [aux_sym_coarray_statement_token6] = ACTIONS(5220),
    [aux_sym_coarray_statement_token8] = ACTIONS(5220),
    [aux_sym_coarray_statement_token11] = ACTIONS(5220),
    [aux_sym_coarray_statement_token12] = ACTIONS(5220),
    [aux_sym_coarray_statement_token13] = ACTIONS(5220),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5220),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5220),
    [aux_sym_identifier_token1] = ACTIONS(5220),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5222),
    [sym__float_literal] = ACTIONS(5222),
    [sym__boz_literal] = ACTIONS(5222),
    [sym__string_literal] = ACTIONS(5222),
    [sym__string_literal_kind] = ACTIONS(5222),
  },
  [1251] = {
    [ts_builtin_sym_end] = ACTIONS(5250),
    [aux_sym_preproc_include_token1] = ACTIONS(5248),
    [aux_sym_preproc_def_token1] = ACTIONS(5248),
    [aux_sym_preproc_if_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5248),
    [sym_preproc_directive] = ACTIONS(5248),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5250),
    [anon_sym_DASH] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token1] = ACTIONS(5248),
    [aux_sym_end_program_statement_token2] = ACTIONS(5248),
    [aux_sym_module_statement_token1] = ACTIONS(5248),
    [aux_sym_submodule_statement_token1] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [aux_sym_interface_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token1] = ACTIONS(5248),
    [aux_sym_block_data_statement_token2] = ACTIONS(5248),
    [aux_sym_block_data_statement_token3] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5248),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5248),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5248),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5248),
    [aux_sym_function_statement_token1] = ACTIONS(5248),
    [aux_sym_language_binding_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5248),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5248),
    [aux_sym_contains_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token1] = ACTIONS(5248),
    [aux_sym_use_statement_token2] = ACTIONS(5248),
    [aux_sym_implicit_statement_token1] = ACTIONS(5248),
    [aux_sym_implicit_statement_token3] = ACTIONS(5248),
    [aux_sym_implicit_statement_token4] = ACTIONS(5248),
    [aux_sym_save_statement_token1] = ACTIONS(5248),
    [aux_sym_private_statement_token1] = ACTIONS(5248),
    [aux_sym_public_statement_token1] = ACTIONS(5248),
    [aux_sym_namelist_statement_token1] = ACTIONS(5248),
    [aux_sym_common_statement_token1] = ACTIONS(5248),
    [aux_sym_import_statement_token1] = ACTIONS(5248),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5248),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5248),
    [aux_sym_variable_attributes_token1] = ACTIONS(5248),
    [aux_sym_variable_attributes_token2] = ACTIONS(5248),
    [aux_sym_variable_attributes_token3] = ACTIONS(5248),
    [aux_sym_variable_attributes_token4] = ACTIONS(5248),
    [aux_sym_variable_attributes_token5] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5248),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5248),
    [aux_sym_derived_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token1] = ACTIONS(5248),
    [aux_sym_declared_type_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5248),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5248),
    [aux_sym_type_qualifier_token1] = ACTIONS(5248),
    [aux_sym_type_qualifier_token2] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5248),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5248),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token1] = ACTIONS(5248),
    [aux_sym_stop_statement_token2] = ACTIONS(5248),
    [aux_sym_subroutine_call_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token1] = ACTIONS(5248),
    [aux_sym_keyword_statement_token2] = ACTIONS(5248),
    [aux_sym_keyword_statement_token3] = ACTIONS(5248),
    [aux_sym_keyword_statement_token4] = ACTIONS(5248),
    [aux_sym_keyword_statement_token6] = ACTIONS(5248),
    [aux_sym_keyword_statement_token7] = ACTIONS(5248),
    [aux_sym_include_statement_token1] = ACTIONS(5248),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5248),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5248),
    [aux_sym_end_if_statement_token1] = ACTIONS(5248),
    [aux_sym_elseif_clause_token2] = ACTIONS(5248),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5248),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token1] = ACTIONS(5248),
    [aux_sym_select_case_statement_token3] = ACTIONS(5248),
    [aux_sym_select_type_statement_token1] = ACTIONS(5248),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5248),
    [aux_sym_associate_statement_token1] = ACTIONS(5248),
    [aux_sym_format_statement_token1] = ACTIONS(5248),
    [aux_sym_print_statement_token1] = ACTIONS(5248),
    [aux_sym_open_statement_token1] = ACTIONS(5248),
    [aux_sym_close_statement_token1] = ACTIONS(5248),
    [aux_sym_inquire_statement_token1] = ACTIONS(5248),
    [aux_sym_enum_statement_token1] = ACTIONS(5248),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token1] = ACTIONS(5248),
    [aux_sym_file_position_statement_token2] = ACTIONS(5248),
    [aux_sym_file_position_statement_token3] = ACTIONS(5248),
    [aux_sym_file_position_statement_token4] = ACTIONS(5248),
    [aux_sym_allocate_statement_token1] = ACTIONS(5248),
    [aux_sym_entry_statement_token1] = ACTIONS(5248),
    [aux_sym_assign_statement_token1] = ACTIONS(5248),
    [aux_sym_logical_expression_token5] = ACTIONS(5250),
    [anon_sym_DOT] = ACTIONS(5248),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [aux_sym_boolean_literal_token1] = ACTIONS(5250),
    [aux_sym_boolean_literal_token2] = ACTIONS(5250),
    [aux_sym_null_literal_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_statement_token2] = ACTIONS(5248),
    [aux_sym_coarray_statement_token6] = ACTIONS(5248),
    [aux_sym_coarray_statement_token8] = ACTIONS(5248),
    [aux_sym_coarray_statement_token11] = ACTIONS(5248),
    [aux_sym_coarray_statement_token12] = ACTIONS(5248),
    [aux_sym_coarray_statement_token13] = ACTIONS(5248),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5248),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5248),
    [aux_sym_identifier_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5250),
    [sym__float_literal] = ACTIONS(5250),
    [sym__boz_literal] = ACTIONS(5250),
    [sym__string_literal] = ACTIONS(5250),
    [sym__string_literal_kind] = ACTIONS(5250),
  },
  [1252] = {
    [ts_builtin_sym_end] = ACTIONS(5326),
    [aux_sym_preproc_include_token1] = ACTIONS(5324),
    [aux_sym_preproc_def_token1] = ACTIONS(5324),
    [aux_sym_preproc_if_token1] = ACTIONS(5324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5324),
    [sym_preproc_directive] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5324),
    [aux_sym_end_program_statement_token1] = ACTIONS(5324),
    [aux_sym_end_program_statement_token2] = ACTIONS(5324),
    [aux_sym_module_statement_token1] = ACTIONS(5324),
    [aux_sym_submodule_statement_token1] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5326),
    [aux_sym_interface_statement_token1] = ACTIONS(5324),
    [aux_sym_block_data_statement_token1] = ACTIONS(5324),
    [aux_sym_block_data_statement_token2] = ACTIONS(5324),
    [aux_sym_block_data_statement_token3] = ACTIONS(5324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5324),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5324),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5324),
    [aux_sym_function_statement_token1] = ACTIONS(5324),
    [aux_sym_language_binding_token1] = ACTIONS(5324),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5324),
    [aux_sym_contains_statement_token1] = ACTIONS(5324),
    [aux_sym_use_statement_token1] = ACTIONS(5324),
    [aux_sym_use_statement_token2] = ACTIONS(5324),
    [aux_sym_implicit_statement_token1] = ACTIONS(5324),
    [aux_sym_implicit_statement_token3] = ACTIONS(5324),
    [aux_sym_implicit_statement_token4] = ACTIONS(5324),
    [aux_sym_save_statement_token1] = ACTIONS(5324),
    [aux_sym_private_statement_token1] = ACTIONS(5324),
    [aux_sym_public_statement_token1] = ACTIONS(5324),
    [aux_sym_namelist_statement_token1] = ACTIONS(5324),
    [aux_sym_common_statement_token1] = ACTIONS(5324),
    [aux_sym_import_statement_token1] = ACTIONS(5324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5324),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5324),
    [aux_sym_variable_attributes_token1] = ACTIONS(5324),
    [aux_sym_variable_attributes_token2] = ACTIONS(5324),
    [aux_sym_variable_attributes_token3] = ACTIONS(5324),
    [aux_sym_variable_attributes_token4] = ACTIONS(5324),
    [aux_sym_variable_attributes_token5] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5324),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5324),
    [aux_sym_derived_type_token1] = ACTIONS(5324),
    [aux_sym_declared_type_token1] = ACTIONS(5324),
    [aux_sym_declared_type_token2] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5324),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5324),
    [aux_sym_type_qualifier_token1] = ACTIONS(5324),
    [aux_sym_type_qualifier_token2] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5324),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5324),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5324),
    [aux_sym_stop_statement_token1] = ACTIONS(5324),
    [aux_sym_stop_statement_token2] = ACTIONS(5324),
    [aux_sym_subroutine_call_token1] = ACTIONS(5324),
    [aux_sym_keyword_statement_token1] = ACTIONS(5324),
    [aux_sym_keyword_statement_token2] = ACTIONS(5324),
    [aux_sym_keyword_statement_token3] = ACTIONS(5324),
    [aux_sym_keyword_statement_token4] = ACTIONS(5324),
    [aux_sym_keyword_statement_token6] = ACTIONS(5324),
    [aux_sym_keyword_statement_token7] = ACTIONS(5324),
    [aux_sym_include_statement_token1] = ACTIONS(5324),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5324),
    [aux_sym_end_if_statement_token1] = ACTIONS(5324),
    [aux_sym_elseif_clause_token2] = ACTIONS(5324),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5324),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5324),
    [aux_sym_select_case_statement_token1] = ACTIONS(5324),
    [aux_sym_select_case_statement_token3] = ACTIONS(5324),
    [aux_sym_select_type_statement_token1] = ACTIONS(5324),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5324),
    [aux_sym_associate_statement_token1] = ACTIONS(5324),
    [aux_sym_format_statement_token1] = ACTIONS(5324),
    [aux_sym_print_statement_token1] = ACTIONS(5324),
    [aux_sym_open_statement_token1] = ACTIONS(5324),
    [aux_sym_close_statement_token1] = ACTIONS(5324),
    [aux_sym_inquire_statement_token1] = ACTIONS(5324),
    [aux_sym_enum_statement_token1] = ACTIONS(5324),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5324),
    [aux_sym_file_position_statement_token1] = ACTIONS(5324),
    [aux_sym_file_position_statement_token2] = ACTIONS(5324),
    [aux_sym_file_position_statement_token3] = ACTIONS(5324),
    [aux_sym_file_position_statement_token4] = ACTIONS(5324),
    [aux_sym_allocate_statement_token1] = ACTIONS(5324),
    [aux_sym_entry_statement_token1] = ACTIONS(5324),
    [aux_sym_assign_statement_token1] = ACTIONS(5324),
    [aux_sym_logical_expression_token5] = ACTIONS(5326),
    [anon_sym_DOT] = ACTIONS(5324),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5326),
    [anon_sym_LBRACK] = ACTIONS(5326),
    [aux_sym_boolean_literal_token1] = ACTIONS(5326),
    [aux_sym_boolean_literal_token2] = ACTIONS(5326),
    [aux_sym_null_literal_token1] = ACTIONS(5324),
    [aux_sym_coarray_statement_token1] = ACTIONS(5324),
    [aux_sym_coarray_statement_token2] = ACTIONS(5324),
    [aux_sym_coarray_statement_token6] = ACTIONS(5324),
    [aux_sym_coarray_statement_token8] = ACTIONS(5324),
    [aux_sym_coarray_statement_token11] = ACTIONS(5324),
    [aux_sym_coarray_statement_token12] = ACTIONS(5324),
    [aux_sym_coarray_statement_token13] = ACTIONS(5324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5324),
    [aux_sym_identifier_token1] = ACTIONS(5324),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5326),
    [sym__float_literal] = ACTIONS(5326),
    [sym__boz_literal] = ACTIONS(5326),
    [sym__string_literal] = ACTIONS(5326),
    [sym__string_literal_kind] = ACTIONS(5326),
  },
  [1253] = {
    [ts_builtin_sym_end] = ACTIONS(5338),
    [aux_sym_preproc_include_token1] = ACTIONS(5336),
    [aux_sym_preproc_def_token1] = ACTIONS(5336),
    [aux_sym_preproc_if_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5336),
    [sym_preproc_directive] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token1] = ACTIONS(5336),
    [aux_sym_end_program_statement_token2] = ACTIONS(5336),
    [aux_sym_module_statement_token1] = ACTIONS(5336),
    [aux_sym_submodule_statement_token1] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5338),
    [aux_sym_interface_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token1] = ACTIONS(5336),
    [aux_sym_block_data_statement_token2] = ACTIONS(5336),
    [aux_sym_block_data_statement_token3] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5336),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5336),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5336),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5336),
    [aux_sym_function_statement_token1] = ACTIONS(5336),
    [aux_sym_language_binding_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5336),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5336),
    [aux_sym_contains_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token1] = ACTIONS(5336),
    [aux_sym_use_statement_token2] = ACTIONS(5336),
    [aux_sym_implicit_statement_token1] = ACTIONS(5336),
    [aux_sym_implicit_statement_token3] = ACTIONS(5336),
    [aux_sym_implicit_statement_token4] = ACTIONS(5336),
    [aux_sym_save_statement_token1] = ACTIONS(5336),
    [aux_sym_private_statement_token1] = ACTIONS(5336),
    [aux_sym_public_statement_token1] = ACTIONS(5336),
    [aux_sym_namelist_statement_token1] = ACTIONS(5336),
    [aux_sym_common_statement_token1] = ACTIONS(5336),
    [aux_sym_import_statement_token1] = ACTIONS(5336),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5336),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5336),
    [aux_sym_variable_attributes_token1] = ACTIONS(5336),
    [aux_sym_variable_attributes_token2] = ACTIONS(5336),
    [aux_sym_variable_attributes_token3] = ACTIONS(5336),
    [aux_sym_variable_attributes_token4] = ACTIONS(5336),
    [aux_sym_variable_attributes_token5] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5336),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5336),
    [aux_sym_derived_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token1] = ACTIONS(5336),
    [aux_sym_declared_type_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5336),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5336),
    [aux_sym_type_qualifier_token1] = ACTIONS(5336),
    [aux_sym_type_qualifier_token2] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5336),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5336),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token1] = ACTIONS(5336),
    [aux_sym_stop_statement_token2] = ACTIONS(5336),
    [aux_sym_subroutine_call_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token1] = ACTIONS(5336),
    [aux_sym_keyword_statement_token2] = ACTIONS(5336),
    [aux_sym_keyword_statement_token3] = ACTIONS(5336),
    [aux_sym_keyword_statement_token4] = ACTIONS(5336),
    [aux_sym_keyword_statement_token6] = ACTIONS(5336),
    [aux_sym_keyword_statement_token7] = ACTIONS(5336),
    [aux_sym_include_statement_token1] = ACTIONS(5336),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5336),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5336),
    [aux_sym_end_if_statement_token1] = ACTIONS(5336),
    [aux_sym_elseif_clause_token2] = ACTIONS(5336),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5336),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token1] = ACTIONS(5336),
    [aux_sym_select_case_statement_token3] = ACTIONS(5336),
    [aux_sym_select_type_statement_token1] = ACTIONS(5336),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5336),
    [aux_sym_associate_statement_token1] = ACTIONS(5336),
    [aux_sym_format_statement_token1] = ACTIONS(5336),
    [aux_sym_print_statement_token1] = ACTIONS(5336),
    [aux_sym_open_statement_token1] = ACTIONS(5336),
    [aux_sym_close_statement_token1] = ACTIONS(5336),
    [aux_sym_inquire_statement_token1] = ACTIONS(5336),
    [aux_sym_enum_statement_token1] = ACTIONS(5336),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token1] = ACTIONS(5336),
    [aux_sym_file_position_statement_token2] = ACTIONS(5336),
    [aux_sym_file_position_statement_token3] = ACTIONS(5336),
    [aux_sym_file_position_statement_token4] = ACTIONS(5336),
    [aux_sym_allocate_statement_token1] = ACTIONS(5336),
    [aux_sym_entry_statement_token1] = ACTIONS(5336),
    [aux_sym_assign_statement_token1] = ACTIONS(5336),
    [aux_sym_logical_expression_token5] = ACTIONS(5338),
    [anon_sym_DOT] = ACTIONS(5336),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5338),
    [anon_sym_LBRACK] = ACTIONS(5338),
    [aux_sym_boolean_literal_token1] = ACTIONS(5338),
    [aux_sym_boolean_literal_token2] = ACTIONS(5338),
    [aux_sym_null_literal_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_statement_token2] = ACTIONS(5336),
    [aux_sym_coarray_statement_token6] = ACTIONS(5336),
    [aux_sym_coarray_statement_token8] = ACTIONS(5336),
    [aux_sym_coarray_statement_token11] = ACTIONS(5336),
    [aux_sym_coarray_statement_token12] = ACTIONS(5336),
    [aux_sym_coarray_statement_token13] = ACTIONS(5336),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5336),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5336),
    [aux_sym_identifier_token1] = ACTIONS(5336),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5338),
    [sym__float_literal] = ACTIONS(5338),
    [sym__boz_literal] = ACTIONS(5338),
    [sym__string_literal] = ACTIONS(5338),
    [sym__string_literal_kind] = ACTIONS(5338),
  },
  [1254] = {
    [ts_builtin_sym_end] = ACTIONS(5262),
    [aux_sym_preproc_include_token1] = ACTIONS(5260),
    [aux_sym_preproc_def_token1] = ACTIONS(5260),
    [aux_sym_preproc_if_token1] = ACTIONS(5260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5260),
    [sym_preproc_directive] = ACTIONS(5260),
    [anon_sym_LPAREN2] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5260),
    [aux_sym_end_program_statement_token1] = ACTIONS(5260),
    [aux_sym_end_program_statement_token2] = ACTIONS(5260),
    [aux_sym_module_statement_token1] = ACTIONS(5260),
    [aux_sym_submodule_statement_token1] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [aux_sym_interface_statement_token1] = ACTIONS(5260),
    [aux_sym_block_data_statement_token1] = ACTIONS(5260),
    [aux_sym_block_data_statement_token2] = ACTIONS(5260),
    [aux_sym_block_data_statement_token3] = ACTIONS(5260),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5260),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5260),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5260),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5260),
    [aux_sym_function_statement_token1] = ACTIONS(5260),
    [aux_sym_language_binding_token1] = ACTIONS(5260),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5260),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5260),
    [aux_sym_contains_statement_token1] = ACTIONS(5260),
    [aux_sym_use_statement_token1] = ACTIONS(5260),
    [aux_sym_use_statement_token2] = ACTIONS(5260),
    [aux_sym_implicit_statement_token1] = ACTIONS(5260),
    [aux_sym_implicit_statement_token3] = ACTIONS(5260),
    [aux_sym_implicit_statement_token4] = ACTIONS(5260),
    [aux_sym_save_statement_token1] = ACTIONS(5260),
    [aux_sym_private_statement_token1] = ACTIONS(5260),
    [aux_sym_public_statement_token1] = ACTIONS(5260),
    [aux_sym_namelist_statement_token1] = ACTIONS(5260),
    [aux_sym_common_statement_token1] = ACTIONS(5260),
    [aux_sym_import_statement_token1] = ACTIONS(5260),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5260),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5260),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5260),
    [aux_sym_variable_attributes_token1] = ACTIONS(5260),
    [aux_sym_variable_attributes_token2] = ACTIONS(5260),
    [aux_sym_variable_attributes_token3] = ACTIONS(5260),
    [aux_sym_variable_attributes_token4] = ACTIONS(5260),
    [aux_sym_variable_attributes_token5] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5260),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5260),
    [aux_sym_derived_type_token1] = ACTIONS(5260),
    [aux_sym_declared_type_token1] = ACTIONS(5260),
    [aux_sym_declared_type_token2] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5260),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5260),
    [aux_sym_type_qualifier_token1] = ACTIONS(5260),
    [aux_sym_type_qualifier_token2] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5260),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5260),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5260),
    [aux_sym_stop_statement_token1] = ACTIONS(5260),
    [aux_sym_stop_statement_token2] = ACTIONS(5260),
    [aux_sym_subroutine_call_token1] = ACTIONS(5260),
    [aux_sym_keyword_statement_token1] = ACTIONS(5260),
    [aux_sym_keyword_statement_token2] = ACTIONS(5260),
    [aux_sym_keyword_statement_token3] = ACTIONS(5260),
    [aux_sym_keyword_statement_token4] = ACTIONS(5260),
    [aux_sym_keyword_statement_token6] = ACTIONS(5260),
    [aux_sym_keyword_statement_token7] = ACTIONS(5260),
    [aux_sym_include_statement_token1] = ACTIONS(5260),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5260),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5260),
    [aux_sym_end_if_statement_token1] = ACTIONS(5260),
    [aux_sym_elseif_clause_token2] = ACTIONS(5260),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5260),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5260),
    [aux_sym_select_case_statement_token1] = ACTIONS(5260),
    [aux_sym_select_case_statement_token3] = ACTIONS(5260),
    [aux_sym_select_type_statement_token1] = ACTIONS(5260),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5260),
    [aux_sym_associate_statement_token1] = ACTIONS(5260),
    [aux_sym_format_statement_token1] = ACTIONS(5260),
    [aux_sym_print_statement_token1] = ACTIONS(5260),
    [aux_sym_open_statement_token1] = ACTIONS(5260),
    [aux_sym_close_statement_token1] = ACTIONS(5260),
    [aux_sym_inquire_statement_token1] = ACTIONS(5260),
    [aux_sym_enum_statement_token1] = ACTIONS(5260),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5260),
    [aux_sym_file_position_statement_token1] = ACTIONS(5260),
    [aux_sym_file_position_statement_token2] = ACTIONS(5260),
    [aux_sym_file_position_statement_token3] = ACTIONS(5260),
    [aux_sym_file_position_statement_token4] = ACTIONS(5260),
    [aux_sym_allocate_statement_token1] = ACTIONS(5260),
    [aux_sym_entry_statement_token1] = ACTIONS(5260),
    [aux_sym_assign_statement_token1] = ACTIONS(5260),
    [aux_sym_logical_expression_token5] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5262),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [aux_sym_boolean_literal_token1] = ACTIONS(5262),
    [aux_sym_boolean_literal_token2] = ACTIONS(5262),
    [aux_sym_null_literal_token1] = ACTIONS(5260),
    [aux_sym_coarray_statement_token1] = ACTIONS(5260),
    [aux_sym_coarray_statement_token2] = ACTIONS(5260),
    [aux_sym_coarray_statement_token6] = ACTIONS(5260),
    [aux_sym_coarray_statement_token8] = ACTIONS(5260),
    [aux_sym_coarray_statement_token11] = ACTIONS(5260),
    [aux_sym_coarray_statement_token12] = ACTIONS(5260),
    [aux_sym_coarray_statement_token13] = ACTIONS(5260),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5260),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5260),
    [aux_sym_identifier_token1] = ACTIONS(5260),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5262),
    [sym__float_literal] = ACTIONS(5262),
    [sym__boz_literal] = ACTIONS(5262),
    [sym__string_literal] = ACTIONS(5262),
    [sym__string_literal_kind] = ACTIONS(5262),
  },
  [1255] = {
    [ts_builtin_sym_end] = ACTIONS(5298),
    [aux_sym_preproc_include_token1] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token1] = ACTIONS(5296),
    [aux_sym_end_program_statement_token2] = ACTIONS(5296),
    [aux_sym_module_statement_token1] = ACTIONS(5296),
    [aux_sym_submodule_statement_token1] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [aux_sym_interface_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token1] = ACTIONS(5296),
    [aux_sym_block_data_statement_token2] = ACTIONS(5296),
    [aux_sym_block_data_statement_token3] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5296),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5296),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5296),
    [aux_sym_function_statement_token1] = ACTIONS(5296),
    [aux_sym_language_binding_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5296),
    [aux_sym_contains_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token1] = ACTIONS(5296),
    [aux_sym_use_statement_token2] = ACTIONS(5296),
    [aux_sym_implicit_statement_token1] = ACTIONS(5296),
    [aux_sym_implicit_statement_token3] = ACTIONS(5296),
    [aux_sym_implicit_statement_token4] = ACTIONS(5296),
    [aux_sym_save_statement_token1] = ACTIONS(5296),
    [aux_sym_private_statement_token1] = ACTIONS(5296),
    [aux_sym_public_statement_token1] = ACTIONS(5296),
    [aux_sym_namelist_statement_token1] = ACTIONS(5296),
    [aux_sym_common_statement_token1] = ACTIONS(5296),
    [aux_sym_import_statement_token1] = ACTIONS(5296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5296),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5296),
    [aux_sym_variable_attributes_token1] = ACTIONS(5296),
    [aux_sym_variable_attributes_token2] = ACTIONS(5296),
    [aux_sym_variable_attributes_token3] = ACTIONS(5296),
    [aux_sym_variable_attributes_token4] = ACTIONS(5296),
    [aux_sym_variable_attributes_token5] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5296),
    [aux_sym_derived_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token1] = ACTIONS(5296),
    [aux_sym_declared_type_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5296),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5296),
    [aux_sym_type_qualifier_token1] = ACTIONS(5296),
    [aux_sym_type_qualifier_token2] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5296),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5296),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token1] = ACTIONS(5296),
    [aux_sym_stop_statement_token2] = ACTIONS(5296),
    [aux_sym_subroutine_call_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token1] = ACTIONS(5296),
    [aux_sym_keyword_statement_token2] = ACTIONS(5296),
    [aux_sym_keyword_statement_token3] = ACTIONS(5296),
    [aux_sym_keyword_statement_token4] = ACTIONS(5296),
    [aux_sym_keyword_statement_token6] = ACTIONS(5296),
    [aux_sym_keyword_statement_token7] = ACTIONS(5296),
    [aux_sym_include_statement_token1] = ACTIONS(5296),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5296),
    [aux_sym_end_if_statement_token1] = ACTIONS(5296),
    [aux_sym_elseif_clause_token2] = ACTIONS(5296),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5296),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token1] = ACTIONS(5296),
    [aux_sym_select_case_statement_token3] = ACTIONS(5296),
    [aux_sym_select_type_statement_token1] = ACTIONS(5296),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5296),
    [aux_sym_associate_statement_token1] = ACTIONS(5296),
    [aux_sym_format_statement_token1] = ACTIONS(5296),
    [aux_sym_print_statement_token1] = ACTIONS(5296),
    [aux_sym_open_statement_token1] = ACTIONS(5296),
    [aux_sym_close_statement_token1] = ACTIONS(5296),
    [aux_sym_inquire_statement_token1] = ACTIONS(5296),
    [aux_sym_enum_statement_token1] = ACTIONS(5296),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token1] = ACTIONS(5296),
    [aux_sym_file_position_statement_token2] = ACTIONS(5296),
    [aux_sym_file_position_statement_token3] = ACTIONS(5296),
    [aux_sym_file_position_statement_token4] = ACTIONS(5296),
    [aux_sym_allocate_statement_token1] = ACTIONS(5296),
    [aux_sym_entry_statement_token1] = ACTIONS(5296),
    [aux_sym_assign_statement_token1] = ACTIONS(5296),
    [aux_sym_logical_expression_token5] = ACTIONS(5298),
    [anon_sym_DOT] = ACTIONS(5296),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [aux_sym_boolean_literal_token1] = ACTIONS(5298),
    [aux_sym_boolean_literal_token2] = ACTIONS(5298),
    [aux_sym_null_literal_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_statement_token2] = ACTIONS(5296),
    [aux_sym_coarray_statement_token6] = ACTIONS(5296),
    [aux_sym_coarray_statement_token8] = ACTIONS(5296),
    [aux_sym_coarray_statement_token11] = ACTIONS(5296),
    [aux_sym_coarray_statement_token12] = ACTIONS(5296),
    [aux_sym_coarray_statement_token13] = ACTIONS(5296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5296),
    [aux_sym_identifier_token1] = ACTIONS(5296),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5298),
    [sym__float_literal] = ACTIONS(5298),
    [sym__boz_literal] = ACTIONS(5298),
    [sym__string_literal] = ACTIONS(5298),
    [sym__string_literal_kind] = ACTIONS(5298),
  },
  [1256] = {
    [ts_builtin_sym_end] = ACTIONS(5414),
    [aux_sym_preproc_include_token1] = ACTIONS(5412),
    [aux_sym_preproc_def_token1] = ACTIONS(5412),
    [aux_sym_preproc_if_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5412),
    [sym_preproc_directive] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(5412),
    [aux_sym_end_program_statement_token1] = ACTIONS(5412),
    [aux_sym_end_program_statement_token2] = ACTIONS(5412),
    [aux_sym_module_statement_token1] = ACTIONS(5412),
    [aux_sym_submodule_statement_token1] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [aux_sym_interface_statement_token1] = ACTIONS(5412),
    [aux_sym_block_data_statement_token1] = ACTIONS(5412),
    [aux_sym_block_data_statement_token2] = ACTIONS(5412),
    [aux_sym_block_data_statement_token3] = ACTIONS(5412),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5412),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5412),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5412),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5412),
    [aux_sym_function_statement_token1] = ACTIONS(5412),
    [aux_sym_language_binding_token1] = ACTIONS(5412),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5412),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5412),
    [aux_sym_contains_statement_token1] = ACTIONS(5412),
    [aux_sym_use_statement_token1] = ACTIONS(5412),
    [aux_sym_use_statement_token2] = ACTIONS(5412),
    [aux_sym_implicit_statement_token1] = ACTIONS(5412),
    [aux_sym_implicit_statement_token3] = ACTIONS(5412),
    [aux_sym_implicit_statement_token4] = ACTIONS(5412),
    [aux_sym_save_statement_token1] = ACTIONS(5412),
    [aux_sym_private_statement_token1] = ACTIONS(5412),
    [aux_sym_public_statement_token1] = ACTIONS(5412),
    [aux_sym_namelist_statement_token1] = ACTIONS(5412),
    [aux_sym_common_statement_token1] = ACTIONS(5412),
    [aux_sym_import_statement_token1] = ACTIONS(5412),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5412),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5412),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5412),
    [aux_sym_variable_attributes_token1] = ACTIONS(5412),
    [aux_sym_variable_attributes_token2] = ACTIONS(5412),
    [aux_sym_variable_attributes_token3] = ACTIONS(5412),
    [aux_sym_variable_attributes_token4] = ACTIONS(5412),
    [aux_sym_variable_attributes_token5] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5412),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5412),
    [aux_sym_derived_type_token1] = ACTIONS(5412),
    [aux_sym_declared_type_token1] = ACTIONS(5412),
    [aux_sym_declared_type_token2] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5412),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5412),
    [aux_sym_type_qualifier_token1] = ACTIONS(5412),
    [aux_sym_type_qualifier_token2] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5412),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5412),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5412),
    [aux_sym_stop_statement_token1] = ACTIONS(5412),
    [aux_sym_stop_statement_token2] = ACTIONS(5412),
    [aux_sym_subroutine_call_token1] = ACTIONS(5412),
    [aux_sym_keyword_statement_token1] = ACTIONS(5412),
    [aux_sym_keyword_statement_token2] = ACTIONS(5412),
    [aux_sym_keyword_statement_token3] = ACTIONS(5412),
    [aux_sym_keyword_statement_token4] = ACTIONS(5412),
    [aux_sym_keyword_statement_token6] = ACTIONS(5412),
    [aux_sym_keyword_statement_token7] = ACTIONS(5412),
    [aux_sym_include_statement_token1] = ACTIONS(5412),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5412),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5412),
    [aux_sym_end_if_statement_token1] = ACTIONS(5412),
    [aux_sym_elseif_clause_token2] = ACTIONS(5412),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5412),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5412),
    [aux_sym_select_case_statement_token1] = ACTIONS(5412),
    [aux_sym_select_case_statement_token3] = ACTIONS(5412),
    [aux_sym_select_type_statement_token1] = ACTIONS(5412),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5412),
    [aux_sym_associate_statement_token1] = ACTIONS(5412),
    [aux_sym_format_statement_token1] = ACTIONS(5412),
    [aux_sym_print_statement_token1] = ACTIONS(5412),
    [aux_sym_open_statement_token1] = ACTIONS(5412),
    [aux_sym_close_statement_token1] = ACTIONS(5412),
    [aux_sym_inquire_statement_token1] = ACTIONS(5412),
    [aux_sym_enum_statement_token1] = ACTIONS(5412),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5412),
    [aux_sym_file_position_statement_token1] = ACTIONS(5412),
    [aux_sym_file_position_statement_token2] = ACTIONS(5412),
    [aux_sym_file_position_statement_token3] = ACTIONS(5412),
    [aux_sym_file_position_statement_token4] = ACTIONS(5412),
    [aux_sym_allocate_statement_token1] = ACTIONS(5412),
    [aux_sym_entry_statement_token1] = ACTIONS(5412),
    [aux_sym_assign_statement_token1] = ACTIONS(5412),
    [aux_sym_logical_expression_token5] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [aux_sym_boolean_literal_token1] = ACTIONS(5414),
    [aux_sym_boolean_literal_token2] = ACTIONS(5414),
    [aux_sym_null_literal_token1] = ACTIONS(5412),
    [aux_sym_coarray_statement_token1] = ACTIONS(5412),
    [aux_sym_coarray_statement_token2] = ACTIONS(5412),
    [aux_sym_coarray_statement_token6] = ACTIONS(5412),
    [aux_sym_coarray_statement_token8] = ACTIONS(5412),
    [aux_sym_coarray_statement_token11] = ACTIONS(5412),
    [aux_sym_coarray_statement_token12] = ACTIONS(5412),
    [aux_sym_coarray_statement_token13] = ACTIONS(5412),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5412),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5412),
    [aux_sym_identifier_token1] = ACTIONS(5412),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5414),
    [sym__float_literal] = ACTIONS(5414),
    [sym__boz_literal] = ACTIONS(5414),
    [sym__string_literal] = ACTIONS(5414),
    [sym__string_literal_kind] = ACTIONS(5414),
  },
  [1257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token2] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [aux_sym_preproc_else_token1] = ACTIONS(5514),
    [aux_sym_preproc_elif_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(5516),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [aux_sym_end_program_statement_token2] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [aux_sym_end_program_statement_token2] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5528),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [aux_sym_end_program_statement_token2] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5532),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(5536),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [aux_sym_end_program_statement_token2] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5540),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(5544),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [aux_sym_end_program_statement_token2] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5552),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5558),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_program_statement_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [aux_sym_end_program_statement_token2] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [aux_sym_preproc_else_token1] = ACTIONS(5578),
    [aux_sym_preproc_elif_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [aux_sym_end_program_statement_token2] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5586),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token2] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [aux_sym_end_program_statement_token2] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [aux_sym_end_program_statement_token2] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5610),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_program_statement_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token2] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [aux_sym_preproc_else_token1] = ACTIONS(5076),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [sym_preproc_comment] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_interface_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5076),
    [aux_sym_language_binding_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_contains_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token1] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_namelist_statement_token1] = ACTIONS(5076),
    [aux_sym_common_statement_token1] = ACTIONS(5076),
    [aux_sym_import_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token1] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token4] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5076),
    [aux_sym_derived_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token1] = ACTIONS(5076),
    [aux_sym_declared_type_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_keyword_statement_token6] = ACTIONS(5076),
    [aux_sym_keyword_statement_token7] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token3] = ACTIONS(5076),
    [aux_sym_select_type_statement_token1] = ACTIONS(5076),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5076),
    [aux_sym_associate_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_close_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_enum_statement_token1] = ACTIONS(5076),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token2] = ACTIONS(5076),
    [aux_sym_file_position_statement_token3] = ACTIONS(5076),
    [aux_sym_file_position_statement_token4] = ACTIONS(5076),
    [aux_sym_allocate_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [aux_sym_assign_statement_token1] = ACTIONS(5076),
    [aux_sym_logical_expression_token5] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_boolean_literal_token1] = ACTIONS(5078),
    [aux_sym_boolean_literal_token2] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_statement_token13] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5078),
    [sym__float_literal] = ACTIONS(5078),
    [sym__boz_literal] = ACTIONS(5078),
    [sym__string_literal] = ACTIONS(5078),
    [sym__string_literal_kind] = ACTIONS(5078),
  },
  [1283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [sym_preproc_comment] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [1284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [sym_preproc_comment] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5130),
    [aux_sym_preproc_def_token1] = ACTIONS(5130),
    [aux_sym_preproc_if_token1] = ACTIONS(5130),
    [aux_sym_preproc_if_token2] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5130),
    [aux_sym_preproc_else_token1] = ACTIONS(5130),
    [aux_sym_preproc_elif_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5130),
    [sym_preproc_directive] = ACTIONS(5130),
    [anon_sym_LPAREN2] = ACTIONS(5130),
    [sym_preproc_comment] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5130),
    [aux_sym_block_data_statement_token1] = ACTIONS(5130),
    [aux_sym_block_data_statement_token2] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5130),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5130),
    [aux_sym_language_binding_token1] = ACTIONS(5130),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5130),
    [aux_sym_contains_statement_token1] = ACTIONS(5130),
    [aux_sym_use_statement_token1] = ACTIONS(5130),
    [aux_sym_use_statement_token2] = ACTIONS(5130),
    [aux_sym_implicit_statement_token1] = ACTIONS(5130),
    [aux_sym_implicit_statement_token3] = ACTIONS(5130),
    [aux_sym_implicit_statement_token4] = ACTIONS(5130),
    [aux_sym_save_statement_token1] = ACTIONS(5130),
    [aux_sym_private_statement_token1] = ACTIONS(5130),
    [aux_sym_public_statement_token1] = ACTIONS(5130),
    [aux_sym_namelist_statement_token1] = ACTIONS(5130),
    [aux_sym_common_statement_token1] = ACTIONS(5130),
    [aux_sym_import_statement_token1] = ACTIONS(5130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5130),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5130),
    [aux_sym_variable_attributes_token1] = ACTIONS(5130),
    [aux_sym_variable_attributes_token2] = ACTIONS(5130),
    [aux_sym_variable_attributes_token3] = ACTIONS(5130),
    [aux_sym_variable_attributes_token4] = ACTIONS(5130),
    [aux_sym_variable_attributes_token5] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5130),
    [aux_sym_derived_type_token1] = ACTIONS(5130),
    [aux_sym_declared_type_token1] = ACTIONS(5130),
    [aux_sym_declared_type_token2] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5130),
    [aux_sym_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5130),
    [aux_sym_stop_statement_token2] = ACTIONS(5130),
    [aux_sym_subroutine_call_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token2] = ACTIONS(5130),
    [aux_sym_keyword_statement_token3] = ACTIONS(5130),
    [aux_sym_keyword_statement_token4] = ACTIONS(5130),
    [aux_sym_keyword_statement_token6] = ACTIONS(5130),
    [aux_sym_keyword_statement_token7] = ACTIONS(5130),
    [aux_sym_include_statement_token1] = ACTIONS(5130),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5130),
    [aux_sym_end_if_statement_token1] = ACTIONS(5130),
    [aux_sym_elseif_clause_token2] = ACTIONS(5130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5130),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token3] = ACTIONS(5130),
    [aux_sym_select_type_statement_token1] = ACTIONS(5130),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5130),
    [aux_sym_associate_statement_token1] = ACTIONS(5130),
    [aux_sym_format_statement_token1] = ACTIONS(5130),
    [aux_sym_print_statement_token1] = ACTIONS(5130),
    [aux_sym_open_statement_token1] = ACTIONS(5130),
    [aux_sym_close_statement_token1] = ACTIONS(5130),
    [aux_sym_inquire_statement_token1] = ACTIONS(5130),
    [aux_sym_enum_statement_token1] = ACTIONS(5130),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5130),
    [aux_sym_file_position_statement_token1] = ACTIONS(5130),
    [aux_sym_file_position_statement_token2] = ACTIONS(5130),
    [aux_sym_file_position_statement_token3] = ACTIONS(5130),
    [aux_sym_file_position_statement_token4] = ACTIONS(5130),
    [aux_sym_allocate_statement_token1] = ACTIONS(5130),
    [aux_sym_entry_statement_token1] = ACTIONS(5130),
    [aux_sym_assign_statement_token1] = ACTIONS(5130),
    [aux_sym_logical_expression_token5] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [aux_sym_boolean_literal_token1] = ACTIONS(5132),
    [aux_sym_boolean_literal_token2] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token2] = ACTIONS(5130),
    [aux_sym_coarray_statement_token6] = ACTIONS(5130),
    [aux_sym_coarray_statement_token8] = ACTIONS(5130),
    [aux_sym_coarray_statement_token11] = ACTIONS(5130),
    [aux_sym_coarray_statement_token12] = ACTIONS(5130),
    [aux_sym_coarray_statement_token13] = ACTIONS(5130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5130),
    [aux_sym_identifier_token1] = ACTIONS(5130),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5132),
    [sym__float_literal] = ACTIONS(5132),
    [sym__boz_literal] = ACTIONS(5132),
    [sym__string_literal] = ACTIONS(5132),
    [sym__string_literal_kind] = ACTIONS(5132),
  },
  [1286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token2] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [aux_sym_preproc_else_token1] = ACTIONS(5154),
    [aux_sym_preproc_elif_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [sym_preproc_comment] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5154),
    [anon_sym_SEMI] = ACTIONS(5156),
    [aux_sym_interface_statement_token1] = ACTIONS(5154),
    [aux_sym_block_data_statement_token1] = ACTIONS(5154),
    [aux_sym_block_data_statement_token2] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5154),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5154),
    [aux_sym_language_binding_token1] = ACTIONS(5154),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5154),
    [aux_sym_contains_statement_token1] = ACTIONS(5154),
    [aux_sym_use_statement_token1] = ACTIONS(5154),
    [aux_sym_use_statement_token2] = ACTIONS(5154),
    [aux_sym_implicit_statement_token1] = ACTIONS(5154),
    [aux_sym_implicit_statement_token3] = ACTIONS(5154),
    [aux_sym_implicit_statement_token4] = ACTIONS(5154),
    [aux_sym_save_statement_token1] = ACTIONS(5154),
    [aux_sym_private_statement_token1] = ACTIONS(5154),
    [aux_sym_public_statement_token1] = ACTIONS(5154),
    [aux_sym_namelist_statement_token1] = ACTIONS(5154),
    [aux_sym_common_statement_token1] = ACTIONS(5154),
    [aux_sym_import_statement_token1] = ACTIONS(5154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5154),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5154),
    [aux_sym_variable_attributes_token1] = ACTIONS(5154),
    [aux_sym_variable_attributes_token2] = ACTIONS(5154),
    [aux_sym_variable_attributes_token3] = ACTIONS(5154),
    [aux_sym_variable_attributes_token4] = ACTIONS(5154),
    [aux_sym_variable_attributes_token5] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5154),
    [aux_sym_derived_type_token1] = ACTIONS(5154),
    [aux_sym_declared_type_token1] = ACTIONS(5154),
    [aux_sym_declared_type_token2] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5154),
    [aux_sym_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5154),
    [aux_sym_stop_statement_token1] = ACTIONS(5154),
    [aux_sym_stop_statement_token2] = ACTIONS(5154),
    [aux_sym_subroutine_call_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token2] = ACTIONS(5154),
    [aux_sym_keyword_statement_token3] = ACTIONS(5154),
    [aux_sym_keyword_statement_token4] = ACTIONS(5154),
    [aux_sym_keyword_statement_token6] = ACTIONS(5154),
    [aux_sym_keyword_statement_token7] = ACTIONS(5154),
    [aux_sym_include_statement_token1] = ACTIONS(5154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5154),
    [aux_sym_end_if_statement_token1] = ACTIONS(5154),
    [aux_sym_elseif_clause_token2] = ACTIONS(5154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token3] = ACTIONS(5154),
    [aux_sym_select_type_statement_token1] = ACTIONS(5154),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5154),
    [aux_sym_associate_statement_token1] = ACTIONS(5154),
    [aux_sym_format_statement_token1] = ACTIONS(5154),
    [aux_sym_print_statement_token1] = ACTIONS(5154),
    [aux_sym_open_statement_token1] = ACTIONS(5154),
    [aux_sym_close_statement_token1] = ACTIONS(5154),
    [aux_sym_inquire_statement_token1] = ACTIONS(5154),
    [aux_sym_enum_statement_token1] = ACTIONS(5154),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5154),
    [aux_sym_file_position_statement_token1] = ACTIONS(5154),
    [aux_sym_file_position_statement_token2] = ACTIONS(5154),
    [aux_sym_file_position_statement_token3] = ACTIONS(5154),
    [aux_sym_file_position_statement_token4] = ACTIONS(5154),
    [aux_sym_allocate_statement_token1] = ACTIONS(5154),
    [aux_sym_entry_statement_token1] = ACTIONS(5154),
    [aux_sym_assign_statement_token1] = ACTIONS(5154),
    [aux_sym_logical_expression_token5] = ACTIONS(5156),
    [anon_sym_DOT] = ACTIONS(5154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [aux_sym_boolean_literal_token1] = ACTIONS(5156),
    [aux_sym_boolean_literal_token2] = ACTIONS(5156),
    [aux_sym_null_literal_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token2] = ACTIONS(5154),
    [aux_sym_coarray_statement_token6] = ACTIONS(5154),
    [aux_sym_coarray_statement_token8] = ACTIONS(5154),
    [aux_sym_coarray_statement_token11] = ACTIONS(5154),
    [aux_sym_coarray_statement_token12] = ACTIONS(5154),
    [aux_sym_coarray_statement_token13] = ACTIONS(5154),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5154),
    [aux_sym_identifier_token1] = ACTIONS(5154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5156),
    [sym__float_literal] = ACTIONS(5156),
    [sym__boz_literal] = ACTIONS(5156),
    [sym__string_literal] = ACTIONS(5156),
    [sym__string_literal_kind] = ACTIONS(5156),
  },
  [1287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [aux_sym_preproc_else_token1] = ACTIONS(5140),
    [aux_sym_preproc_elif_token1] = ACTIONS(5140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5618),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(5628),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5630),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5058),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [aux_sym_preproc_else_token1] = ACTIONS(5578),
    [aux_sym_preproc_elif_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token2] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token2] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [aux_sym_preproc_else_token1] = ACTIONS(5514),
    [aux_sym_preproc_elif_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [sym_preproc_comment] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5080),
    [aux_sym_language_binding_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token1] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_namelist_statement_token1] = ACTIONS(5080),
    [aux_sym_common_statement_token1] = ACTIONS(5080),
    [aux_sym_import_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token1] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token4] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5080),
    [aux_sym_derived_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token1] = ACTIONS(5080),
    [aux_sym_declared_type_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_enum_statement_token1] = ACTIONS(5080),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [1309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1311] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token2] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [aux_sym_preproc_else_token1] = ACTIONS(5662),
    [aux_sym_preproc_elif_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [aux_sym_end_program_statement_token2] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [aux_sym_preproc_else_token1] = ACTIONS(5140),
    [aux_sym_preproc_elif_token1] = ACTIONS(5140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5058),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [aux_sym_end_program_statement_token2] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token2] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [aux_sym_preproc_else_token1] = ACTIONS(5680),
    [aux_sym_preproc_elif_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [aux_sym_end_program_statement_token2] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token2] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [aux_sym_preproc_else_token1] = ACTIONS(5684),
    [aux_sym_preproc_elif_token1] = ACTIONS(5684),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [aux_sym_end_program_statement_token2] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token2] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [aux_sym_preproc_else_token1] = ACTIONS(5688),
    [aux_sym_preproc_elif_token1] = ACTIONS(5688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [aux_sym_end_program_statement_token2] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token2] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [aux_sym_preproc_else_token1] = ACTIONS(5692),
    [aux_sym_preproc_elif_token1] = ACTIONS(5692),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [aux_sym_end_program_statement_token2] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token2] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [aux_sym_preproc_else_token1] = ACTIONS(5696),
    [aux_sym_preproc_elif_token1] = ACTIONS(5696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [aux_sym_end_program_statement_token2] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token2] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [aux_sym_preproc_else_token1] = ACTIONS(5700),
    [aux_sym_preproc_elif_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_end_program_statement_token2] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token2] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [aux_sym_preproc_else_token1] = ACTIONS(5704),
    [aux_sym_preproc_elif_token1] = ACTIONS(5704),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [aux_sym_end_program_statement_token2] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [aux_sym_end_program_statement_token2] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [aux_sym_end_program_statement_token2] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token2] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [aux_sym_preproc_else_token1] = ACTIONS(5716),
    [aux_sym_preproc_elif_token1] = ACTIONS(5716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [aux_sym_end_program_statement_token2] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [aux_sym_end_program_statement_token2] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [aux_sym_preproc_else_token1] = ACTIONS(5724),
    [aux_sym_preproc_elif_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [aux_sym_end_program_statement_token2] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5728),
    [aux_sym_preproc_def_token1] = ACTIONS(5728),
    [aux_sym_preproc_if_token1] = ACTIONS(5728),
    [aux_sym_preproc_if_token2] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5728),
    [aux_sym_preproc_else_token1] = ACTIONS(5731),
    [aux_sym_preproc_elif_token1] = ACTIONS(5731),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5731),
    [sym_preproc_directive] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_PLUS] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5728),
    [aux_sym_end_program_statement_token2] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5733),
    [aux_sym_interface_statement_token1] = ACTIONS(5728),
    [aux_sym_block_data_statement_token1] = ACTIONS(5728),
    [aux_sym_block_data_statement_token2] = ACTIONS(5728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5728),
    [aux_sym_language_binding_token1] = ACTIONS(5728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5728),
    [aux_sym_contains_statement_token1] = ACTIONS(5728),
    [aux_sym_use_statement_token1] = ACTIONS(5728),
    [aux_sym_use_statement_token2] = ACTIONS(5728),
    [aux_sym_implicit_statement_token1] = ACTIONS(5728),
    [aux_sym_implicit_statement_token3] = ACTIONS(5728),
    [aux_sym_implicit_statement_token4] = ACTIONS(5728),
    [aux_sym_save_statement_token1] = ACTIONS(5728),
    [aux_sym_private_statement_token1] = ACTIONS(5728),
    [aux_sym_public_statement_token1] = ACTIONS(5728),
    [aux_sym_namelist_statement_token1] = ACTIONS(5728),
    [aux_sym_common_statement_token1] = ACTIONS(5728),
    [aux_sym_import_statement_token1] = ACTIONS(5728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5728),
    [aux_sym_variable_attributes_token1] = ACTIONS(5728),
    [aux_sym_variable_attributes_token2] = ACTIONS(5728),
    [aux_sym_variable_attributes_token3] = ACTIONS(5728),
    [aux_sym_variable_attributes_token4] = ACTIONS(5728),
    [aux_sym_variable_attributes_token5] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5728),
    [aux_sym_derived_type_token1] = ACTIONS(5728),
    [aux_sym_declared_type_token1] = ACTIONS(5728),
    [aux_sym_declared_type_token2] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5728),
    [aux_sym_type_qualifier_token1] = ACTIONS(5728),
    [aux_sym_type_qualifier_token2] = ACTIONS(5728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5728),
    [aux_sym_stop_statement_token2] = ACTIONS(5728),
    [aux_sym_subroutine_call_token1] = ACTIONS(5728),
    [aux_sym_keyword_statement_token1] = ACTIONS(5728),
    [aux_sym_keyword_statement_token2] = ACTIONS(5728),
    [aux_sym_keyword_statement_token3] = ACTIONS(5728),
    [aux_sym_keyword_statement_token4] = ACTIONS(5728),
    [aux_sym_keyword_statement_token6] = ACTIONS(5728),
    [aux_sym_keyword_statement_token7] = ACTIONS(5728),
    [aux_sym_include_statement_token1] = ACTIONS(5728),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5728),
    [aux_sym_end_if_statement_token1] = ACTIONS(5728),
    [aux_sym_elseif_clause_token2] = ACTIONS(5728),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5728),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5728),
    [aux_sym_select_case_statement_token1] = ACTIONS(5728),
    [aux_sym_select_case_statement_token3] = ACTIONS(5728),
    [aux_sym_select_type_statement_token1] = ACTIONS(5728),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5728),
    [aux_sym_associate_statement_token1] = ACTIONS(5728),
    [aux_sym_format_statement_token1] = ACTIONS(5728),
    [aux_sym_print_statement_token1] = ACTIONS(5728),
    [aux_sym_open_statement_token1] = ACTIONS(5728),
    [aux_sym_close_statement_token1] = ACTIONS(5728),
    [aux_sym_inquire_statement_token1] = ACTIONS(5728),
    [aux_sym_enum_statement_token1] = ACTIONS(5728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5728),
    [aux_sym_file_position_statement_token1] = ACTIONS(5728),
    [aux_sym_file_position_statement_token2] = ACTIONS(5728),
    [aux_sym_file_position_statement_token3] = ACTIONS(5728),
    [aux_sym_file_position_statement_token4] = ACTIONS(5728),
    [aux_sym_allocate_statement_token1] = ACTIONS(5728),
    [aux_sym_entry_statement_token1] = ACTIONS(5728),
    [aux_sym_assign_statement_token1] = ACTIONS(5728),
    [aux_sym_logical_expression_token5] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5733),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [aux_sym_boolean_literal_token1] = ACTIONS(5733),
    [aux_sym_boolean_literal_token2] = ACTIONS(5733),
    [aux_sym_null_literal_token1] = ACTIONS(5728),
    [aux_sym_coarray_statement_token1] = ACTIONS(5728),
    [aux_sym_coarray_statement_token2] = ACTIONS(5728),
    [aux_sym_coarray_statement_token6] = ACTIONS(5728),
    [aux_sym_coarray_statement_token8] = ACTIONS(5728),
    [aux_sym_coarray_statement_token11] = ACTIONS(5728),
    [aux_sym_coarray_statement_token12] = ACTIONS(5728),
    [aux_sym_coarray_statement_token13] = ACTIONS(5728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5728),
    [aux_sym_identifier_token1] = ACTIONS(5728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5733),
    [sym__float_literal] = ACTIONS(5733),
    [sym__boz_literal] = ACTIONS(5733),
    [sym__string_literal] = ACTIONS(5733),
    [sym__string_literal_kind] = ACTIONS(5733),
  },
  [1332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token2] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [aux_sym_preproc_else_token1] = ACTIONS(5738),
    [aux_sym_preproc_elif_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [aux_sym_end_program_statement_token2] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token2] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [aux_sym_preproc_else_token1] = ACTIONS(5742),
    [aux_sym_preproc_elif_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [aux_sym_end_program_statement_token2] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [aux_sym_preproc_else_token1] = ACTIONS(5746),
    [aux_sym_preproc_elif_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [aux_sym_end_program_statement_token2] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [aux_sym_preproc_else_token1] = ACTIONS(5750),
    [aux_sym_preproc_elif_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [aux_sym_end_program_statement_token2] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token2] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [aux_sym_preproc_else_token1] = ACTIONS(5754),
    [aux_sym_preproc_elif_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [aux_sym_end_program_statement_token2] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token2] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [aux_sym_preproc_else_token1] = ACTIONS(5758),
    [aux_sym_preproc_elif_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [aux_sym_end_program_statement_token2] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token2] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [aux_sym_preproc_else_token1] = ACTIONS(5762),
    [aux_sym_preproc_elif_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [aux_sym_end_program_statement_token2] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [aux_sym_preproc_else_token1] = ACTIONS(5766),
    [aux_sym_preproc_elif_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [aux_sym_end_program_statement_token2] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1341] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [aux_sym_preproc_else_token1] = ACTIONS(5770),
    [aux_sym_preproc_elif_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [aux_sym_end_program_statement_token2] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token2] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [aux_sym_preproc_else_token1] = ACTIONS(5774),
    [aux_sym_preproc_elif_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [aux_sym_end_program_statement_token2] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token2] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [aux_sym_preproc_else_token1] = ACTIONS(5778),
    [aux_sym_preproc_elif_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [aux_sym_end_program_statement_token2] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [aux_sym_preproc_else_token1] = ACTIONS(5782),
    [aux_sym_preproc_elif_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [aux_sym_end_program_statement_token2] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [aux_sym_preproc_else_token1] = ACTIONS(5786),
    [aux_sym_preproc_elif_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [aux_sym_end_program_statement_token2] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [aux_sym_preproc_else_token1] = ACTIONS(5790),
    [aux_sym_preproc_elif_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [aux_sym_end_program_statement_token2] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token2] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [aux_sym_preproc_else_token1] = ACTIONS(5794),
    [aux_sym_preproc_elif_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [aux_sym_end_program_statement_token2] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [aux_sym_preproc_else_token1] = ACTIONS(5798),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_program_statement_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token2] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [aux_sym_preproc_else_token1] = ACTIONS(5802),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [aux_sym_end_program_statement_token2] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [aux_sym_preproc_else_token1] = ACTIONS(5806),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [aux_sym_end_program_statement_token2] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [aux_sym_preproc_else_token1] = ACTIONS(5770),
    [aux_sym_preproc_elif_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token2] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [aux_sym_preproc_else_token1] = ACTIONS(5774),
    [aux_sym_preproc_elif_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token2] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [aux_sym_preproc_else_token1] = ACTIONS(5778),
    [aux_sym_preproc_elif_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [aux_sym_preproc_else_token1] = ACTIONS(5724),
    [aux_sym_preproc_elif_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5252),
    [aux_sym_preproc_elif_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token2] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [aux_sym_preproc_else_token1] = ACTIONS(5680),
    [aux_sym_preproc_elif_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token2] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [aux_sym_preproc_else_token1] = ACTIONS(5754),
    [aux_sym_preproc_elif_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token2] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [aux_sym_preproc_else_token1] = ACTIONS(5758),
    [aux_sym_preproc_elif_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token2] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [aux_sym_preproc_else_token1] = ACTIONS(5762),
    [aux_sym_preproc_elif_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token2] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [aux_sym_preproc_else_token1] = ACTIONS(5684),
    [aux_sym_preproc_elif_token1] = ACTIONS(5684),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [aux_sym_preproc_else_token1] = ACTIONS(5782),
    [aux_sym_preproc_elif_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token2] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [aux_sym_preproc_else_token1] = ACTIONS(5688),
    [aux_sym_preproc_elif_token1] = ACTIONS(5688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [aux_sym_preproc_else_token1] = ACTIONS(5806),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [aux_sym_preproc_else_token1] = ACTIONS(5786),
    [aux_sym_preproc_elif_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token2] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [aux_sym_preproc_else_token1] = ACTIONS(5692),
    [aux_sym_preproc_elif_token1] = ACTIONS(5692),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token2] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [aux_sym_preproc_else_token1] = ACTIONS(5696),
    [aux_sym_preproc_elif_token1] = ACTIONS(5696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [aux_sym_preproc_else_token1] = ACTIONS(5790),
    [aux_sym_preproc_elif_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token2] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [aux_sym_preproc_else_token1] = ACTIONS(5794),
    [aux_sym_preproc_elif_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [aux_sym_preproc_else_token1] = ACTIONS(5798),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1403] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token2] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [aux_sym_preproc_else_token1] = ACTIONS(5802),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1404] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token2] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [aux_sym_preproc_else_token1] = ACTIONS(5662),
    [aux_sym_preproc_elif_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1406] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [aux_sym_preproc_else_token1] = ACTIONS(5746),
    [aux_sym_preproc_elif_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1407] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token2] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [aux_sym_preproc_else_token1] = ACTIONS(5700),
    [aux_sym_preproc_elif_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token2] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [aux_sym_preproc_else_token1] = ACTIONS(5704),
    [aux_sym_preproc_elif_token1] = ACTIONS(5704),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token2] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [aux_sym_preproc_else_token1] = ACTIONS(5716),
    [aux_sym_preproc_elif_token1] = ACTIONS(5716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [aux_sym_preproc_else_token1] = ACTIONS(5216),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [aux_sym_preproc_else_token1] = ACTIONS(5224),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [aux_sym_preproc_else_token1] = ACTIONS(5160),
    [aux_sym_preproc_elif_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [aux_sym_preproc_else_token1] = ACTIONS(5244),
    [aux_sym_preproc_elif_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token2] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [aux_sym_preproc_else_token1] = ACTIONS(5738),
    [aux_sym_preproc_elif_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token2] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [aux_sym_preproc_else_token1] = ACTIONS(5742),
    [aux_sym_preproc_elif_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [aux_sym_preproc_else_token1] = ACTIONS(5750),
    [aux_sym_preproc_elif_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [aux_sym_preproc_else_token1] = ACTIONS(5766),
    [aux_sym_preproc_elif_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(5810),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [aux_sym_end_program_statement_token2] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5812),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [aux_sym_end_program_statement_token2] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5816),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5820),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [aux_sym_end_program_statement_token2] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token2] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [aux_sym_end_program_statement_token2] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5826),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5830),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_program_statement_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token2] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(5832),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [aux_sym_end_program_statement_token2] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5834),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(5836),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [aux_sym_end_program_statement_token2] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(5838),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5840),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(5842),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5844),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [aux_sym_end_program_statement_token2] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(5848),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [aux_sym_end_program_statement_token2] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5850),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5852),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [aux_sym_end_program_statement_token2] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5854),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_program_statement_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5858),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_program_statement_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(5868),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [aux_sym_end_program_statement_token2] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(5870),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5872),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(5876),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5880),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5884),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(5886),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5888),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5892),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(5898),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(5900),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(5902),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(5904),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_end_function_statement_token1] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5910),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_end_function_statement_token1] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(5914),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_end_function_statement_token1] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5916),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5918),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_end_function_statement_token1] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(5920),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_end_function_statement_token1] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_end_function_statement_token1] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_end_function_statement_token1] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5930),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_end_function_statement_token1] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5932),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_end_function_statement_token1] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5936),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_end_function_statement_token1] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(5942),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_end_function_statement_token1] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_end_function_statement_token1] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_end_function_statement_token1] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(5950),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_end_function_statement_token1] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_end_function_statement_token1] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(5954),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_end_function_statement_token1] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_end_function_statement_token1] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_end_function_statement_token1] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5964),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5968),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_end_function_statement_token1] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [aux_sym_end_program_statement_token2] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token2] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [aux_sym_end_program_statement_token2] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token2] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [aux_sym_end_program_statement_token2] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token2] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [aux_sym_end_program_statement_token2] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [aux_sym_end_program_statement_token2] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token2] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [aux_sym_end_program_statement_token2] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token2] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [aux_sym_end_program_statement_token2] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [aux_sym_end_program_statement_token2] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [aux_sym_end_program_statement_token2] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token2] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [aux_sym_end_program_statement_token2] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [aux_sym_end_program_statement_token2] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [aux_sym_end_program_statement_token2] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5972),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(5974),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token2] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [aux_sym_end_program_statement_token2] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token2] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [aux_sym_end_program_statement_token2] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token2] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [aux_sym_end_program_statement_token2] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5976),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_end_function_statement_token1] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [aux_sym_end_program_statement_token2] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [aux_sym_end_program_statement_token2] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [aux_sym_end_program_statement_token2] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token2] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [aux_sym_end_program_statement_token2] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_program_statement_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token2] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [aux_sym_end_program_statement_token2] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token2] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [aux_sym_end_program_statement_token2] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [aux_sym_end_program_statement_token2] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token2] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_end_program_statement_token2] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token2] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [aux_sym_end_program_statement_token2] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5978),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [aux_sym_end_program_statement_token2] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(5980),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(5982),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5984),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5988),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token2] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [aux_sym_end_program_statement_token2] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [aux_sym_end_program_statement_token2] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(5990),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(5992),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [aux_sym_end_program_statement_token2] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [aux_sym_end_program_statement_token2] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(5996),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6000),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6002),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token2] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [aux_sym_end_program_statement_token2] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token2] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [aux_sym_end_program_statement_token2] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6004),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6006),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(6008),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6010),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6012),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6014),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6016),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6018),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6020),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6022),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6024),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6026),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(6028),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6030),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6032),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6036),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6038),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6040),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6042),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6044),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(6046),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1583] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6048),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6050),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6052),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token2] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6054),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1587] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6056),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6058),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6060),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6062),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token2] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6064),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6066),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [aux_sym_end_program_statement_token2] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6068),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6070),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1595] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6072),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [aux_sym_end_program_statement_token2] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1597] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6076),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_program_statement_token2] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token2] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6078),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1599] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6080),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6082),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6084),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6086),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [aux_sym_end_program_statement_token2] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6088),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6090),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [aux_sym_end_program_statement_token2] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6092),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1606] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6094),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [aux_sym_end_program_statement_token2] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(6098),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [aux_sym_end_program_statement_token2] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1609] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6100),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6102),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1611] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1612] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6104),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [aux_sym_end_program_statement_token2] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6106),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5728),
    [aux_sym_preproc_def_token1] = ACTIONS(5728),
    [aux_sym_preproc_if_token1] = ACTIONS(5728),
    [aux_sym_preproc_if_token2] = ACTIONS(5731),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5728),
    [sym_preproc_directive] = ACTIONS(5728),
    [anon_sym_LPAREN2] = ACTIONS(5728),
    [anon_sym_PLUS] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5728),
    [aux_sym_end_program_statement_token2] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5733),
    [aux_sym_interface_statement_token1] = ACTIONS(5728),
    [aux_sym_block_data_statement_token1] = ACTIONS(5728),
    [aux_sym_block_data_statement_token2] = ACTIONS(5728),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5728),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5728),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5728),
    [aux_sym_language_binding_token1] = ACTIONS(5728),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5728),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5728),
    [aux_sym_contains_statement_token1] = ACTIONS(5728),
    [aux_sym_use_statement_token1] = ACTIONS(5728),
    [aux_sym_use_statement_token2] = ACTIONS(5728),
    [aux_sym_implicit_statement_token1] = ACTIONS(5728),
    [aux_sym_implicit_statement_token3] = ACTIONS(5728),
    [aux_sym_implicit_statement_token4] = ACTIONS(5728),
    [aux_sym_save_statement_token1] = ACTIONS(5728),
    [aux_sym_private_statement_token1] = ACTIONS(5728),
    [aux_sym_public_statement_token1] = ACTIONS(5728),
    [aux_sym_namelist_statement_token1] = ACTIONS(5728),
    [aux_sym_common_statement_token1] = ACTIONS(5728),
    [aux_sym_import_statement_token1] = ACTIONS(5728),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5728),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5728),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5728),
    [aux_sym_variable_attributes_token1] = ACTIONS(5728),
    [aux_sym_variable_attributes_token2] = ACTIONS(5728),
    [aux_sym_variable_attributes_token3] = ACTIONS(5728),
    [aux_sym_variable_attributes_token4] = ACTIONS(5728),
    [aux_sym_variable_attributes_token5] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5728),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5728),
    [aux_sym_derived_type_token1] = ACTIONS(5728),
    [aux_sym_declared_type_token1] = ACTIONS(5728),
    [aux_sym_declared_type_token2] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5728),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5728),
    [aux_sym_type_qualifier_token1] = ACTIONS(5728),
    [aux_sym_type_qualifier_token2] = ACTIONS(5728),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5728),
    [aux_sym_stop_statement_token2] = ACTIONS(5728),
    [aux_sym_subroutine_call_token1] = ACTIONS(5728),
    [aux_sym_keyword_statement_token1] = ACTIONS(5728),
    [aux_sym_keyword_statement_token2] = ACTIONS(5728),
    [aux_sym_keyword_statement_token3] = ACTIONS(5728),
    [aux_sym_keyword_statement_token4] = ACTIONS(5728),
    [aux_sym_keyword_statement_token6] = ACTIONS(5728),
    [aux_sym_keyword_statement_token7] = ACTIONS(5728),
    [aux_sym_include_statement_token1] = ACTIONS(5728),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5728),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5728),
    [aux_sym_end_if_statement_token1] = ACTIONS(5728),
    [aux_sym_elseif_clause_token2] = ACTIONS(5728),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5728),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5728),
    [aux_sym_select_case_statement_token1] = ACTIONS(5728),
    [aux_sym_select_case_statement_token3] = ACTIONS(5728),
    [aux_sym_select_type_statement_token1] = ACTIONS(5728),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5728),
    [aux_sym_associate_statement_token1] = ACTIONS(5728),
    [aux_sym_format_statement_token1] = ACTIONS(5728),
    [aux_sym_print_statement_token1] = ACTIONS(5728),
    [aux_sym_open_statement_token1] = ACTIONS(5728),
    [aux_sym_close_statement_token1] = ACTIONS(5728),
    [aux_sym_inquire_statement_token1] = ACTIONS(5728),
    [aux_sym_enum_statement_token1] = ACTIONS(5728),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5728),
    [aux_sym_file_position_statement_token1] = ACTIONS(5728),
    [aux_sym_file_position_statement_token2] = ACTIONS(5728),
    [aux_sym_file_position_statement_token3] = ACTIONS(5728),
    [aux_sym_file_position_statement_token4] = ACTIONS(5728),
    [aux_sym_allocate_statement_token1] = ACTIONS(5728),
    [aux_sym_entry_statement_token1] = ACTIONS(5728),
    [aux_sym_assign_statement_token1] = ACTIONS(5728),
    [aux_sym_logical_expression_token5] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5728),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5733),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [aux_sym_boolean_literal_token1] = ACTIONS(5733),
    [aux_sym_boolean_literal_token2] = ACTIONS(5733),
    [aux_sym_null_literal_token1] = ACTIONS(5728),
    [aux_sym_coarray_statement_token1] = ACTIONS(5728),
    [aux_sym_coarray_statement_token2] = ACTIONS(5728),
    [aux_sym_coarray_statement_token6] = ACTIONS(5728),
    [aux_sym_coarray_statement_token8] = ACTIONS(5728),
    [aux_sym_coarray_statement_token11] = ACTIONS(5728),
    [aux_sym_coarray_statement_token12] = ACTIONS(5728),
    [aux_sym_coarray_statement_token13] = ACTIONS(5728),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5728),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5728),
    [aux_sym_identifier_token1] = ACTIONS(5728),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5733),
    [sym__float_literal] = ACTIONS(5733),
    [sym__boz_literal] = ACTIONS(5733),
    [sym__string_literal] = ACTIONS(5733),
    [sym__string_literal_kind] = ACTIONS(5733),
  },
  [1616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6110),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6112),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_end_function_statement_token1] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6114),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6116),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_end_function_statement_token1] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6118),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_end_function_statement_token1] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6120),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6122),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6126),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_end_function_statement_token1] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_end_function_statement_token1] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6130),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6132),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_end_function_statement_token1] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6134),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_end_function_statement_token1] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_end_function_statement_token1] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token2] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [aux_sym_end_program_statement_token2] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1634] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1635] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [aux_sym_end_program_statement_token2] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6138),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [aux_sym_end_program_statement_token2] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [aux_sym_end_program_statement_token2] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_end_function_statement_token1] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6140),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1644] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6142),
    [aux_sym_preproc_def_token1] = ACTIONS(6142),
    [aux_sym_preproc_if_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6142),
    [sym_preproc_directive] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(6142),
    [anon_sym_PLUS] = ACTIONS(6144),
    [anon_sym_DASH] = ACTIONS(6144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6142),
    [anon_sym_SEMI] = ACTIONS(6144),
    [aux_sym_interface_statement_token1] = ACTIONS(6142),
    [aux_sym_block_data_statement_token1] = ACTIONS(6142),
    [aux_sym_block_data_statement_token2] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6142),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6142),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6142),
    [aux_sym_language_binding_token1] = ACTIONS(6142),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6142),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6142),
    [aux_sym_contains_statement_token1] = ACTIONS(6142),
    [aux_sym_use_statement_token1] = ACTIONS(6142),
    [aux_sym_use_statement_token2] = ACTIONS(6142),
    [aux_sym_implicit_statement_token1] = ACTIONS(6142),
    [aux_sym_implicit_statement_token3] = ACTIONS(6142),
    [aux_sym_implicit_statement_token4] = ACTIONS(6142),
    [aux_sym_save_statement_token1] = ACTIONS(6142),
    [aux_sym_private_statement_token1] = ACTIONS(6142),
    [aux_sym_public_statement_token1] = ACTIONS(6142),
    [aux_sym_namelist_statement_token1] = ACTIONS(6142),
    [aux_sym_common_statement_token1] = ACTIONS(6142),
    [aux_sym_import_statement_token1] = ACTIONS(6142),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6142),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6142),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6142),
    [aux_sym_variable_attributes_token1] = ACTIONS(6142),
    [aux_sym_variable_attributes_token2] = ACTIONS(6142),
    [aux_sym_variable_attributes_token3] = ACTIONS(6142),
    [aux_sym_variable_attributes_token4] = ACTIONS(6142),
    [aux_sym_variable_attributes_token5] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6142),
    [aux_sym_derived_type_token1] = ACTIONS(6142),
    [aux_sym_declared_type_token1] = ACTIONS(6142),
    [aux_sym_declared_type_token2] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6142),
    [aux_sym_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym_type_qualifier_token2] = ACTIONS(6142),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6142),
    [aux_sym_stop_statement_token1] = ACTIONS(6142),
    [aux_sym_stop_statement_token2] = ACTIONS(6142),
    [aux_sym_subroutine_call_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token2] = ACTIONS(6142),
    [aux_sym_keyword_statement_token3] = ACTIONS(6142),
    [aux_sym_keyword_statement_token4] = ACTIONS(6142),
    [aux_sym_keyword_statement_token6] = ACTIONS(6142),
    [aux_sym_keyword_statement_token7] = ACTIONS(6142),
    [aux_sym_include_statement_token1] = ACTIONS(6142),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6142),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6142),
    [aux_sym_end_if_statement_token1] = ACTIONS(6142),
    [aux_sym_elseif_clause_token2] = ACTIONS(6142),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6142),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token3] = ACTIONS(6142),
    [aux_sym_select_type_statement_token1] = ACTIONS(6142),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6142),
    [aux_sym_associate_statement_token1] = ACTIONS(6142),
    [aux_sym_format_statement_token1] = ACTIONS(6142),
    [aux_sym_print_statement_token1] = ACTIONS(6142),
    [aux_sym_open_statement_token1] = ACTIONS(6142),
    [aux_sym_close_statement_token1] = ACTIONS(6142),
    [aux_sym_inquire_statement_token1] = ACTIONS(6142),
    [aux_sym_enum_statement_token1] = ACTIONS(6142),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token2] = ACTIONS(6142),
    [aux_sym_file_position_statement_token3] = ACTIONS(6142),
    [aux_sym_file_position_statement_token4] = ACTIONS(6142),
    [aux_sym_allocate_statement_token1] = ACTIONS(6142),
    [aux_sym_entry_statement_token1] = ACTIONS(6142),
    [aux_sym_assign_statement_token1] = ACTIONS(6142),
    [aux_sym_logical_expression_token5] = ACTIONS(6144),
    [anon_sym_DOT] = ACTIONS(6142),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6144),
    [anon_sym_LBRACK] = ACTIONS(6144),
    [aux_sym_boolean_literal_token1] = ACTIONS(6144),
    [aux_sym_boolean_literal_token2] = ACTIONS(6144),
    [aux_sym_null_literal_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token2] = ACTIONS(6142),
    [aux_sym_coarray_statement_token6] = ACTIONS(6142),
    [aux_sym_coarray_statement_token8] = ACTIONS(6142),
    [aux_sym_coarray_statement_token11] = ACTIONS(6142),
    [aux_sym_coarray_statement_token12] = ACTIONS(6142),
    [aux_sym_coarray_statement_token13] = ACTIONS(6142),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6142),
    [aux_sym_identifier_token1] = ACTIONS(6142),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6144),
    [sym__float_literal] = ACTIONS(6144),
    [sym__boz_literal] = ACTIONS(6144),
    [sym__string_literal] = ACTIONS(6144),
    [sym__string_literal_kind] = ACTIONS(6144),
  },
  [1645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_end_function_statement_token1] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_end_function_statement_token1] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_end_function_statement_token1] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1648] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_end_function_statement_token1] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6146),
    [aux_sym_preproc_def_token1] = ACTIONS(6146),
    [aux_sym_preproc_if_token1] = ACTIONS(6146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6146),
    [sym_preproc_directive] = ACTIONS(6146),
    [anon_sym_LPAREN2] = ACTIONS(6146),
    [anon_sym_PLUS] = ACTIONS(6148),
    [anon_sym_DASH] = ACTIONS(6148),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6146),
    [anon_sym_SEMI] = ACTIONS(6148),
    [aux_sym_interface_statement_token1] = ACTIONS(6146),
    [aux_sym_block_data_statement_token1] = ACTIONS(6146),
    [aux_sym_block_data_statement_token2] = ACTIONS(6146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6146),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6146),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6146),
    [aux_sym_language_binding_token1] = ACTIONS(6146),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6146),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6146),
    [aux_sym_end_function_statement_token1] = ACTIONS(6146),
    [aux_sym_contains_statement_token1] = ACTIONS(6146),
    [aux_sym_use_statement_token1] = ACTIONS(6146),
    [aux_sym_use_statement_token2] = ACTIONS(6146),
    [aux_sym_implicit_statement_token1] = ACTIONS(6146),
    [aux_sym_implicit_statement_token3] = ACTIONS(6146),
    [aux_sym_implicit_statement_token4] = ACTIONS(6146),
    [aux_sym_save_statement_token1] = ACTIONS(6146),
    [aux_sym_private_statement_token1] = ACTIONS(6146),
    [aux_sym_public_statement_token1] = ACTIONS(6146),
    [aux_sym_namelist_statement_token1] = ACTIONS(6146),
    [aux_sym_common_statement_token1] = ACTIONS(6146),
    [aux_sym_import_statement_token1] = ACTIONS(6146),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6146),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6146),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6146),
    [aux_sym_variable_attributes_token1] = ACTIONS(6146),
    [aux_sym_variable_attributes_token2] = ACTIONS(6146),
    [aux_sym_variable_attributes_token3] = ACTIONS(6146),
    [aux_sym_variable_attributes_token4] = ACTIONS(6146),
    [aux_sym_variable_attributes_token5] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6146),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6146),
    [aux_sym_derived_type_token1] = ACTIONS(6146),
    [aux_sym_declared_type_token1] = ACTIONS(6146),
    [aux_sym_declared_type_token2] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6146),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6146),
    [aux_sym_type_qualifier_token1] = ACTIONS(6146),
    [aux_sym_type_qualifier_token2] = ACTIONS(6146),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6146),
    [aux_sym_stop_statement_token1] = ACTIONS(6146),
    [aux_sym_stop_statement_token2] = ACTIONS(6146),
    [aux_sym_subroutine_call_token1] = ACTIONS(6146),
    [aux_sym_keyword_statement_token1] = ACTIONS(6146),
    [aux_sym_keyword_statement_token2] = ACTIONS(6146),
    [aux_sym_keyword_statement_token3] = ACTIONS(6146),
    [aux_sym_keyword_statement_token4] = ACTIONS(6146),
    [aux_sym_keyword_statement_token6] = ACTIONS(6146),
    [aux_sym_keyword_statement_token7] = ACTIONS(6146),
    [aux_sym_include_statement_token1] = ACTIONS(6146),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6146),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6146),
    [aux_sym_end_if_statement_token1] = ACTIONS(6146),
    [aux_sym_elseif_clause_token2] = ACTIONS(6146),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6146),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6146),
    [aux_sym_select_case_statement_token1] = ACTIONS(6146),
    [aux_sym_select_case_statement_token3] = ACTIONS(6146),
    [aux_sym_select_type_statement_token1] = ACTIONS(6146),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6146),
    [aux_sym_associate_statement_token1] = ACTIONS(6146),
    [aux_sym_format_statement_token1] = ACTIONS(6146),
    [aux_sym_print_statement_token1] = ACTIONS(6146),
    [aux_sym_open_statement_token1] = ACTIONS(6146),
    [aux_sym_close_statement_token1] = ACTIONS(6146),
    [aux_sym_inquire_statement_token1] = ACTIONS(6146),
    [aux_sym_enum_statement_token1] = ACTIONS(6146),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6146),
    [aux_sym_file_position_statement_token1] = ACTIONS(6146),
    [aux_sym_file_position_statement_token2] = ACTIONS(6146),
    [aux_sym_file_position_statement_token3] = ACTIONS(6146),
    [aux_sym_file_position_statement_token4] = ACTIONS(6146),
    [aux_sym_allocate_statement_token1] = ACTIONS(6146),
    [aux_sym_entry_statement_token1] = ACTIONS(6146),
    [aux_sym_assign_statement_token1] = ACTIONS(6146),
    [aux_sym_logical_expression_token5] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(6146),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6148),
    [anon_sym_LBRACK] = ACTIONS(6148),
    [aux_sym_boolean_literal_token1] = ACTIONS(6148),
    [aux_sym_boolean_literal_token2] = ACTIONS(6148),
    [aux_sym_null_literal_token1] = ACTIONS(6146),
    [aux_sym_coarray_statement_token1] = ACTIONS(6146),
    [aux_sym_coarray_statement_token2] = ACTIONS(6146),
    [aux_sym_coarray_statement_token6] = ACTIONS(6146),
    [aux_sym_coarray_statement_token8] = ACTIONS(6146),
    [aux_sym_coarray_statement_token11] = ACTIONS(6146),
    [aux_sym_coarray_statement_token12] = ACTIONS(6146),
    [aux_sym_coarray_statement_token13] = ACTIONS(6146),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6146),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6146),
    [aux_sym_identifier_token1] = ACTIONS(6146),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6148),
    [sym__float_literal] = ACTIONS(6148),
    [sym__boz_literal] = ACTIONS(6148),
    [sym__string_literal] = ACTIONS(6148),
    [sym__string_literal_kind] = ACTIONS(6148),
  },
  [1650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6150),
    [aux_sym_preproc_def_token1] = ACTIONS(6150),
    [aux_sym_preproc_if_token1] = ACTIONS(6150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6150),
    [sym_preproc_directive] = ACTIONS(6150),
    [anon_sym_LPAREN2] = ACTIONS(6150),
    [anon_sym_PLUS] = ACTIONS(6152),
    [anon_sym_DASH] = ACTIONS(6152),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6150),
    [anon_sym_SEMI] = ACTIONS(6152),
    [aux_sym_interface_statement_token1] = ACTIONS(6150),
    [aux_sym_block_data_statement_token1] = ACTIONS(6150),
    [aux_sym_block_data_statement_token2] = ACTIONS(6150),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6150),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6150),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6150),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6150),
    [aux_sym_language_binding_token1] = ACTIONS(6150),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6150),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6150),
    [aux_sym_contains_statement_token1] = ACTIONS(6150),
    [aux_sym_use_statement_token1] = ACTIONS(6150),
    [aux_sym_use_statement_token2] = ACTIONS(6150),
    [aux_sym_implicit_statement_token1] = ACTIONS(6150),
    [aux_sym_implicit_statement_token3] = ACTIONS(6150),
    [aux_sym_implicit_statement_token4] = ACTIONS(6150),
    [aux_sym_save_statement_token1] = ACTIONS(6150),
    [aux_sym_private_statement_token1] = ACTIONS(6150),
    [aux_sym_public_statement_token1] = ACTIONS(6150),
    [aux_sym_namelist_statement_token1] = ACTIONS(6150),
    [aux_sym_common_statement_token1] = ACTIONS(6150),
    [aux_sym_import_statement_token1] = ACTIONS(6150),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6150),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6150),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6150),
    [aux_sym_variable_attributes_token1] = ACTIONS(6150),
    [aux_sym_variable_attributes_token2] = ACTIONS(6150),
    [aux_sym_variable_attributes_token3] = ACTIONS(6150),
    [aux_sym_variable_attributes_token4] = ACTIONS(6150),
    [aux_sym_variable_attributes_token5] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6150),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6150),
    [aux_sym_derived_type_token1] = ACTIONS(6150),
    [aux_sym_declared_type_token1] = ACTIONS(6150),
    [aux_sym_declared_type_token2] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6150),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6150),
    [aux_sym_type_qualifier_token1] = ACTIONS(6150),
    [aux_sym_type_qualifier_token2] = ACTIONS(6150),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6150),
    [aux_sym_stop_statement_token1] = ACTIONS(6150),
    [aux_sym_stop_statement_token2] = ACTIONS(6150),
    [aux_sym_subroutine_call_token1] = ACTIONS(6150),
    [aux_sym_keyword_statement_token1] = ACTIONS(6150),
    [aux_sym_keyword_statement_token2] = ACTIONS(6150),
    [aux_sym_keyword_statement_token3] = ACTIONS(6150),
    [aux_sym_keyword_statement_token4] = ACTIONS(6150),
    [aux_sym_keyword_statement_token6] = ACTIONS(6150),
    [aux_sym_keyword_statement_token7] = ACTIONS(6150),
    [aux_sym_include_statement_token1] = ACTIONS(6150),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6150),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6150),
    [aux_sym_end_if_statement_token1] = ACTIONS(6150),
    [aux_sym_elseif_clause_token2] = ACTIONS(6150),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6150),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6150),
    [aux_sym_select_case_statement_token1] = ACTIONS(6150),
    [aux_sym_select_case_statement_token3] = ACTIONS(6150),
    [aux_sym_select_type_statement_token1] = ACTIONS(6150),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6150),
    [aux_sym_associate_statement_token1] = ACTIONS(6150),
    [aux_sym_format_statement_token1] = ACTIONS(6150),
    [aux_sym_print_statement_token1] = ACTIONS(6150),
    [aux_sym_open_statement_token1] = ACTIONS(6150),
    [aux_sym_close_statement_token1] = ACTIONS(6150),
    [aux_sym_inquire_statement_token1] = ACTIONS(6150),
    [aux_sym_enum_statement_token1] = ACTIONS(6150),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6150),
    [aux_sym_file_position_statement_token1] = ACTIONS(6150),
    [aux_sym_file_position_statement_token2] = ACTIONS(6150),
    [aux_sym_file_position_statement_token3] = ACTIONS(6150),
    [aux_sym_file_position_statement_token4] = ACTIONS(6150),
    [aux_sym_allocate_statement_token1] = ACTIONS(6150),
    [aux_sym_entry_statement_token1] = ACTIONS(6150),
    [aux_sym_assign_statement_token1] = ACTIONS(6150),
    [aux_sym_logical_expression_token5] = ACTIONS(6152),
    [anon_sym_DOT] = ACTIONS(6150),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6152),
    [anon_sym_LBRACK] = ACTIONS(6152),
    [aux_sym_boolean_literal_token1] = ACTIONS(6152),
    [aux_sym_boolean_literal_token2] = ACTIONS(6152),
    [aux_sym_null_literal_token1] = ACTIONS(6150),
    [aux_sym_coarray_statement_token1] = ACTIONS(6150),
    [aux_sym_coarray_statement_token2] = ACTIONS(6150),
    [aux_sym_coarray_statement_token6] = ACTIONS(6150),
    [aux_sym_coarray_statement_token8] = ACTIONS(6150),
    [aux_sym_coarray_statement_token11] = ACTIONS(6150),
    [aux_sym_coarray_statement_token12] = ACTIONS(6150),
    [aux_sym_coarray_statement_token13] = ACTIONS(6150),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6150),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6150),
    [aux_sym_identifier_token1] = ACTIONS(6150),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6152),
    [sym__float_literal] = ACTIONS(6152),
    [sym__boz_literal] = ACTIONS(6152),
    [sym__string_literal] = ACTIONS(6152),
    [sym__string_literal_kind] = ACTIONS(6152),
  },
  [1651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_end_function_statement_token1] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_end_function_statement_token1] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(6154),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_keyword_statement_token6] = ACTIONS(5526),
    [aux_sym_keyword_statement_token7] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token3] = ACTIONS(5526),
    [aux_sym_select_type_statement_token1] = ACTIONS(5526),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5526),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5526),
    [aux_sym_associate_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_close_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token1] = ACTIONS(5526),
    [aux_sym_file_position_statement_token2] = ACTIONS(5526),
    [aux_sym_file_position_statement_token3] = ACTIONS(5526),
    [aux_sym_file_position_statement_token4] = ACTIONS(5526),
    [aux_sym_allocate_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_assign_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_statement_token13] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [1654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6156),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_end_function_statement_token1] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(6158),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_keyword_statement_token6] = ACTIONS(5534),
    [aux_sym_keyword_statement_token7] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token3] = ACTIONS(5534),
    [aux_sym_select_type_statement_token1] = ACTIONS(5534),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5534),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5534),
    [aux_sym_associate_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_close_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token1] = ACTIONS(5534),
    [aux_sym_file_position_statement_token2] = ACTIONS(5534),
    [aux_sym_file_position_statement_token3] = ACTIONS(5534),
    [aux_sym_file_position_statement_token4] = ACTIONS(5534),
    [aux_sym_allocate_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_assign_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_statement_token13] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [1657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6160),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6162),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_keyword_statement_token6] = ACTIONS(5542),
    [aux_sym_keyword_statement_token7] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token3] = ACTIONS(5542),
    [aux_sym_select_type_statement_token1] = ACTIONS(5542),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5542),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5542),
    [aux_sym_associate_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_close_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token1] = ACTIONS(5542),
    [aux_sym_file_position_statement_token2] = ACTIONS(5542),
    [aux_sym_file_position_statement_token3] = ACTIONS(5542),
    [aux_sym_file_position_statement_token4] = ACTIONS(5542),
    [aux_sym_allocate_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_assign_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_statement_token13] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [1659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6164),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_assign_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1661] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6168),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1662] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_keyword_statement_token6] = ACTIONS(5564),
    [aux_sym_keyword_statement_token7] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token3] = ACTIONS(5564),
    [aux_sym_select_type_statement_token1] = ACTIONS(5564),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5564),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5564),
    [aux_sym_associate_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_close_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token1] = ACTIONS(5564),
    [aux_sym_file_position_statement_token2] = ACTIONS(5564),
    [aux_sym_file_position_statement_token3] = ACTIONS(5564),
    [aux_sym_file_position_statement_token4] = ACTIONS(5564),
    [aux_sym_allocate_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_assign_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_statement_token13] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1663] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6172),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1664] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_keyword_statement_token6] = ACTIONS(5578),
    [aux_sym_keyword_statement_token7] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token3] = ACTIONS(5578),
    [aux_sym_select_type_statement_token1] = ACTIONS(5578),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5578),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5578),
    [aux_sym_associate_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_close_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token1] = ACTIONS(5578),
    [aux_sym_file_position_statement_token2] = ACTIONS(5578),
    [aux_sym_file_position_statement_token3] = ACTIONS(5578),
    [aux_sym_file_position_statement_token4] = ACTIONS(5578),
    [aux_sym_allocate_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_assign_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_statement_token13] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [1665] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6178),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_keyword_statement_token6] = ACTIONS(5592),
    [aux_sym_keyword_statement_token7] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token3] = ACTIONS(5592),
    [aux_sym_select_type_statement_token1] = ACTIONS(5592),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5592),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5592),
    [aux_sym_associate_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_close_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token1] = ACTIONS(5592),
    [aux_sym_file_position_statement_token2] = ACTIONS(5592),
    [aux_sym_file_position_statement_token3] = ACTIONS(5592),
    [aux_sym_file_position_statement_token4] = ACTIONS(5592),
    [aux_sym_allocate_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_assign_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_statement_token13] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [1667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6180),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6182),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_keyword_statement_token6] = ACTIONS(5604),
    [aux_sym_keyword_statement_token7] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token3] = ACTIONS(5604),
    [aux_sym_select_type_statement_token1] = ACTIONS(5604),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5604),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5604),
    [aux_sym_associate_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_close_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token1] = ACTIONS(5604),
    [aux_sym_file_position_statement_token2] = ACTIONS(5604),
    [aux_sym_file_position_statement_token3] = ACTIONS(5604),
    [aux_sym_file_position_statement_token4] = ACTIONS(5604),
    [aux_sym_allocate_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_assign_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_statement_token13] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [1669] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6184),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1670] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6186),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_keyword_statement_token6] = ACTIONS(5520),
    [aux_sym_keyword_statement_token7] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token3] = ACTIONS(5520),
    [aux_sym_select_type_statement_token1] = ACTIONS(5520),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5520),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5520),
    [aux_sym_associate_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_close_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token1] = ACTIONS(5520),
    [aux_sym_file_position_statement_token2] = ACTIONS(5520),
    [aux_sym_file_position_statement_token3] = ACTIONS(5520),
    [aux_sym_file_position_statement_token4] = ACTIONS(5520),
    [aux_sym_allocate_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_assign_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_statement_token13] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [1671] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6188),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_keyword_statement_token6] = ACTIONS(5514),
    [aux_sym_keyword_statement_token7] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token3] = ACTIONS(5514),
    [aux_sym_select_type_statement_token1] = ACTIONS(5514),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5514),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5514),
    [aux_sym_associate_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_close_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token1] = ACTIONS(5514),
    [aux_sym_file_position_statement_token2] = ACTIONS(5514),
    [aux_sym_file_position_statement_token3] = ACTIONS(5514),
    [aux_sym_file_position_statement_token4] = ACTIONS(5514),
    [aux_sym_allocate_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_assign_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_statement_token13] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [1672] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1675] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1676] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1677] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1678] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1680] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1682] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1683] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1684] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1685] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1689] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1690] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_end_function_statement_token1] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1694] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_end_function_statement_token1] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1695] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_end_function_statement_token1] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1696] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_end_function_statement_token1] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1698] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_end_function_statement_token1] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1699] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_end_function_statement_token1] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_end_function_statement_token1] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1703] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1704] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_end_function_statement_token1] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1705] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_end_function_statement_token1] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1706] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_end_function_statement_token1] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1707] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_end_function_statement_token1] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1708] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_end_function_statement_token1] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1709] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1710] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1711] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1712] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1713] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_end_function_statement_token1] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1714] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1716] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_end_function_statement_token1] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1717] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1718] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_end_function_statement_token1] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1719] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1721] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6192),
    [aux_sym_preproc_def_token1] = ACTIONS(6192),
    [aux_sym_preproc_if_token1] = ACTIONS(6192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6192),
    [sym_preproc_directive] = ACTIONS(6192),
    [anon_sym_LPAREN2] = ACTIONS(6192),
    [anon_sym_PLUS] = ACTIONS(6194),
    [anon_sym_DASH] = ACTIONS(6194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6192),
    [anon_sym_SEMI] = ACTIONS(6194),
    [aux_sym_interface_statement_token1] = ACTIONS(6192),
    [aux_sym_block_data_statement_token1] = ACTIONS(6192),
    [aux_sym_block_data_statement_token2] = ACTIONS(6192),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6192),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6192),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6192),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6192),
    [aux_sym_language_binding_token1] = ACTIONS(6192),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6192),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6192),
    [aux_sym_contains_statement_token1] = ACTIONS(6192),
    [aux_sym_use_statement_token1] = ACTIONS(6192),
    [aux_sym_use_statement_token2] = ACTIONS(6192),
    [aux_sym_implicit_statement_token1] = ACTIONS(6192),
    [aux_sym_implicit_statement_token3] = ACTIONS(6192),
    [aux_sym_implicit_statement_token4] = ACTIONS(6192),
    [aux_sym_save_statement_token1] = ACTIONS(6192),
    [aux_sym_private_statement_token1] = ACTIONS(6192),
    [aux_sym_public_statement_token1] = ACTIONS(6192),
    [aux_sym_namelist_statement_token1] = ACTIONS(6192),
    [aux_sym_common_statement_token1] = ACTIONS(6192),
    [aux_sym_import_statement_token1] = ACTIONS(6192),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6192),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6192),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6192),
    [aux_sym_variable_attributes_token1] = ACTIONS(6192),
    [aux_sym_variable_attributes_token2] = ACTIONS(6192),
    [aux_sym_variable_attributes_token3] = ACTIONS(6192),
    [aux_sym_variable_attributes_token4] = ACTIONS(6192),
    [aux_sym_variable_attributes_token5] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6192),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6192),
    [aux_sym_derived_type_token1] = ACTIONS(6192),
    [aux_sym_declared_type_token1] = ACTIONS(6192),
    [aux_sym_declared_type_token2] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6192),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6192),
    [aux_sym_type_qualifier_token1] = ACTIONS(6192),
    [aux_sym_type_qualifier_token2] = ACTIONS(6192),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6192),
    [aux_sym_stop_statement_token1] = ACTIONS(6192),
    [aux_sym_stop_statement_token2] = ACTIONS(6192),
    [aux_sym_subroutine_call_token1] = ACTIONS(6192),
    [aux_sym_keyword_statement_token1] = ACTIONS(6192),
    [aux_sym_keyword_statement_token2] = ACTIONS(6192),
    [aux_sym_keyword_statement_token3] = ACTIONS(6192),
    [aux_sym_keyword_statement_token4] = ACTIONS(6192),
    [aux_sym_keyword_statement_token6] = ACTIONS(6192),
    [aux_sym_keyword_statement_token7] = ACTIONS(6192),
    [aux_sym_include_statement_token1] = ACTIONS(6192),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6192),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6192),
    [aux_sym_end_if_statement_token1] = ACTIONS(6192),
    [aux_sym_elseif_clause_token2] = ACTIONS(6192),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6192),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6192),
    [aux_sym_select_case_statement_token1] = ACTIONS(6192),
    [aux_sym_select_case_statement_token3] = ACTIONS(6192),
    [aux_sym_select_type_statement_token1] = ACTIONS(6192),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6192),
    [aux_sym_associate_statement_token1] = ACTIONS(6192),
    [aux_sym_format_statement_token1] = ACTIONS(6192),
    [aux_sym_print_statement_token1] = ACTIONS(6192),
    [aux_sym_open_statement_token1] = ACTIONS(6192),
    [aux_sym_close_statement_token1] = ACTIONS(6192),
    [aux_sym_inquire_statement_token1] = ACTIONS(6192),
    [aux_sym_enum_statement_token1] = ACTIONS(6192),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6192),
    [aux_sym_file_position_statement_token1] = ACTIONS(6192),
    [aux_sym_file_position_statement_token2] = ACTIONS(6192),
    [aux_sym_file_position_statement_token3] = ACTIONS(6192),
    [aux_sym_file_position_statement_token4] = ACTIONS(6192),
    [aux_sym_allocate_statement_token1] = ACTIONS(6192),
    [aux_sym_entry_statement_token1] = ACTIONS(6192),
    [aux_sym_assign_statement_token1] = ACTIONS(6192),
    [aux_sym_logical_expression_token5] = ACTIONS(6194),
    [anon_sym_DOT] = ACTIONS(6192),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6194),
    [anon_sym_LBRACK] = ACTIONS(6194),
    [aux_sym_boolean_literal_token1] = ACTIONS(6194),
    [aux_sym_boolean_literal_token2] = ACTIONS(6194),
    [aux_sym_null_literal_token1] = ACTIONS(6192),
    [aux_sym_coarray_statement_token1] = ACTIONS(6192),
    [aux_sym_coarray_statement_token2] = ACTIONS(6192),
    [aux_sym_coarray_statement_token6] = ACTIONS(6192),
    [aux_sym_coarray_statement_token8] = ACTIONS(6192),
    [aux_sym_coarray_statement_token11] = ACTIONS(6192),
    [aux_sym_coarray_statement_token12] = ACTIONS(6192),
    [aux_sym_coarray_statement_token13] = ACTIONS(6192),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6192),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6192),
    [aux_sym_identifier_token1] = ACTIONS(6192),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6194),
    [sym__float_literal] = ACTIONS(6194),
    [sym__boz_literal] = ACTIONS(6194),
    [sym__string_literal] = ACTIONS(6194),
    [sym__string_literal_kind] = ACTIONS(6194),
  },
  [1722] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1723] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1724] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1725] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1726] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_end_function_statement_token1] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1727] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1728] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1729] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1731] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1732] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_end_function_statement_token1] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1733] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_end_function_statement_token1] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1734] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_end_function_statement_token1] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1735] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_end_function_statement_token1] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1736] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1737] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1738] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1739] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1740] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1741] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1742] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1743] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1745] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_program_statement_token2] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1746] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1747] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1748] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_end_function_statement_token1] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1749] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_end_function_statement_token1] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1750] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1751] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1753] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1754] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_end_function_statement_token1] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1755] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1756] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_end_function_statement_token1] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1757] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1758] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_end_function_statement_token1] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1759] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1760] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1761] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1762] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_end_function_statement_token1] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1763] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1764] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_program_statement_token2] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_end_function_statement_token1] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1766] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1767] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1768] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1769] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [aux_sym_end_program_statement_token2] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1770] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1771] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1772] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_end_function_statement_token1] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1773] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1774] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1776] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1777] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1778] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1779] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token2] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1780] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token2] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1781] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1782] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1783] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1784] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token2] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1785] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token2] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1786] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token2] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1787] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token2] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1788] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token2] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1789] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1790] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_end_function_statement_token1] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1791] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1792] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1793] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1794] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1795] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1796] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token2] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1797] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1798] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1800] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_end_function_statement_token1] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1803] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token2] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6196),
    [aux_sym_preproc_def_token1] = ACTIONS(6196),
    [aux_sym_preproc_if_token1] = ACTIONS(6196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6196),
    [sym_preproc_directive] = ACTIONS(6196),
    [anon_sym_LPAREN2] = ACTIONS(6196),
    [anon_sym_PLUS] = ACTIONS(6198),
    [anon_sym_DASH] = ACTIONS(6198),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6196),
    [anon_sym_SEMI] = ACTIONS(6198),
    [aux_sym_interface_statement_token1] = ACTIONS(6196),
    [aux_sym_block_data_statement_token1] = ACTIONS(6196),
    [aux_sym_block_data_statement_token2] = ACTIONS(6196),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6196),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6196),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6196),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6196),
    [aux_sym_language_binding_token1] = ACTIONS(6196),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6196),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6196),
    [aux_sym_contains_statement_token1] = ACTIONS(6196),
    [aux_sym_use_statement_token1] = ACTIONS(6196),
    [aux_sym_use_statement_token2] = ACTIONS(6196),
    [aux_sym_implicit_statement_token1] = ACTIONS(6196),
    [aux_sym_implicit_statement_token3] = ACTIONS(6196),
    [aux_sym_implicit_statement_token4] = ACTIONS(6196),
    [aux_sym_save_statement_token1] = ACTIONS(6196),
    [aux_sym_private_statement_token1] = ACTIONS(6196),
    [aux_sym_public_statement_token1] = ACTIONS(6196),
    [aux_sym_namelist_statement_token1] = ACTIONS(6196),
    [aux_sym_common_statement_token1] = ACTIONS(6196),
    [aux_sym_import_statement_token1] = ACTIONS(6196),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6196),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6196),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6196),
    [aux_sym_variable_attributes_token1] = ACTIONS(6196),
    [aux_sym_variable_attributes_token2] = ACTIONS(6196),
    [aux_sym_variable_attributes_token3] = ACTIONS(6196),
    [aux_sym_variable_attributes_token4] = ACTIONS(6196),
    [aux_sym_variable_attributes_token5] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6196),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6196),
    [aux_sym_derived_type_token1] = ACTIONS(6196),
    [aux_sym_declared_type_token1] = ACTIONS(6196),
    [aux_sym_declared_type_token2] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6196),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6196),
    [aux_sym_type_qualifier_token1] = ACTIONS(6196),
    [aux_sym_type_qualifier_token2] = ACTIONS(6196),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6196),
    [aux_sym_stop_statement_token1] = ACTIONS(6196),
    [aux_sym_stop_statement_token2] = ACTIONS(6196),
    [aux_sym_subroutine_call_token1] = ACTIONS(6196),
    [aux_sym_keyword_statement_token1] = ACTIONS(6196),
    [aux_sym_keyword_statement_token2] = ACTIONS(6196),
    [aux_sym_keyword_statement_token3] = ACTIONS(6196),
    [aux_sym_keyword_statement_token4] = ACTIONS(6196),
    [aux_sym_keyword_statement_token6] = ACTIONS(6196),
    [aux_sym_keyword_statement_token7] = ACTIONS(6196),
    [aux_sym_include_statement_token1] = ACTIONS(6196),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6196),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6196),
    [aux_sym_end_if_statement_token1] = ACTIONS(6196),
    [aux_sym_elseif_clause_token2] = ACTIONS(6196),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6196),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6196),
    [aux_sym_select_case_statement_token1] = ACTIONS(6196),
    [aux_sym_select_case_statement_token3] = ACTIONS(6196),
    [aux_sym_select_type_statement_token1] = ACTIONS(6196),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6196),
    [aux_sym_associate_statement_token1] = ACTIONS(6196),
    [aux_sym_format_statement_token1] = ACTIONS(6196),
    [aux_sym_print_statement_token1] = ACTIONS(6196),
    [aux_sym_open_statement_token1] = ACTIONS(6196),
    [aux_sym_close_statement_token1] = ACTIONS(6196),
    [aux_sym_inquire_statement_token1] = ACTIONS(6196),
    [aux_sym_enum_statement_token1] = ACTIONS(6196),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6196),
    [aux_sym_file_position_statement_token1] = ACTIONS(6196),
    [aux_sym_file_position_statement_token2] = ACTIONS(6196),
    [aux_sym_file_position_statement_token3] = ACTIONS(6196),
    [aux_sym_file_position_statement_token4] = ACTIONS(6196),
    [aux_sym_allocate_statement_token1] = ACTIONS(6196),
    [aux_sym_entry_statement_token1] = ACTIONS(6196),
    [aux_sym_assign_statement_token1] = ACTIONS(6196),
    [aux_sym_logical_expression_token5] = ACTIONS(6198),
    [anon_sym_DOT] = ACTIONS(6196),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6198),
    [anon_sym_LBRACK] = ACTIONS(6198),
    [aux_sym_boolean_literal_token1] = ACTIONS(6198),
    [aux_sym_boolean_literal_token2] = ACTIONS(6198),
    [aux_sym_null_literal_token1] = ACTIONS(6196),
    [aux_sym_coarray_statement_token1] = ACTIONS(6196),
    [aux_sym_coarray_statement_token2] = ACTIONS(6196),
    [aux_sym_coarray_statement_token6] = ACTIONS(6196),
    [aux_sym_coarray_statement_token8] = ACTIONS(6196),
    [aux_sym_coarray_statement_token11] = ACTIONS(6196),
    [aux_sym_coarray_statement_token12] = ACTIONS(6196),
    [aux_sym_coarray_statement_token13] = ACTIONS(6196),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6196),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6196),
    [aux_sym_identifier_token1] = ACTIONS(6196),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6198),
    [sym__float_literal] = ACTIONS(6198),
    [sym__boz_literal] = ACTIONS(6198),
    [sym__string_literal] = ACTIONS(6198),
    [sym__string_literal_kind] = ACTIONS(6198),
  },
  [1806] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token2] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token2] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6200),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token2] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_end_function_statement_token1] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_end_function_statement_token1] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token2] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [1819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [1820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token2] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token2] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_end_function_statement_token1] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_end_function_statement_token1] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token2] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1831] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token2] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token2] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token2] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token2] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [aux_sym_end_program_statement_token2] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [1840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token2] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token2] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token2] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token2] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token2] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token2] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6202),
    [aux_sym_preproc_def_token1] = ACTIONS(6202),
    [aux_sym_preproc_if_token1] = ACTIONS(6202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6202),
    [sym_preproc_directive] = ACTIONS(6202),
    [anon_sym_LPAREN2] = ACTIONS(6202),
    [anon_sym_PLUS] = ACTIONS(6204),
    [anon_sym_DASH] = ACTIONS(6204),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6202),
    [anon_sym_SEMI] = ACTIONS(6204),
    [aux_sym_interface_statement_token1] = ACTIONS(6202),
    [aux_sym_block_data_statement_token1] = ACTIONS(6202),
    [aux_sym_block_data_statement_token2] = ACTIONS(6202),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6202),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6202),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6202),
    [aux_sym_language_binding_token1] = ACTIONS(6202),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6202),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6202),
    [aux_sym_end_function_statement_token1] = ACTIONS(6202),
    [aux_sym_contains_statement_token1] = ACTIONS(6202),
    [aux_sym_use_statement_token1] = ACTIONS(6202),
    [aux_sym_use_statement_token2] = ACTIONS(6202),
    [aux_sym_implicit_statement_token1] = ACTIONS(6202),
    [aux_sym_implicit_statement_token3] = ACTIONS(6202),
    [aux_sym_implicit_statement_token4] = ACTIONS(6202),
    [aux_sym_save_statement_token1] = ACTIONS(6202),
    [aux_sym_private_statement_token1] = ACTIONS(6202),
    [aux_sym_public_statement_token1] = ACTIONS(6202),
    [aux_sym_namelist_statement_token1] = ACTIONS(6202),
    [aux_sym_common_statement_token1] = ACTIONS(6202),
    [aux_sym_import_statement_token1] = ACTIONS(6202),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6202),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6202),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6202),
    [aux_sym_variable_attributes_token1] = ACTIONS(6202),
    [aux_sym_variable_attributes_token2] = ACTIONS(6202),
    [aux_sym_variable_attributes_token3] = ACTIONS(6202),
    [aux_sym_variable_attributes_token4] = ACTIONS(6202),
    [aux_sym_variable_attributes_token5] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6202),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6202),
    [aux_sym_derived_type_token1] = ACTIONS(6202),
    [aux_sym_declared_type_token1] = ACTIONS(6202),
    [aux_sym_declared_type_token2] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6202),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6202),
    [aux_sym_type_qualifier_token1] = ACTIONS(6202),
    [aux_sym_type_qualifier_token2] = ACTIONS(6202),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6202),
    [aux_sym_stop_statement_token1] = ACTIONS(6202),
    [aux_sym_stop_statement_token2] = ACTIONS(6202),
    [aux_sym_subroutine_call_token1] = ACTIONS(6202),
    [aux_sym_keyword_statement_token1] = ACTIONS(6202),
    [aux_sym_keyword_statement_token2] = ACTIONS(6202),
    [aux_sym_keyword_statement_token3] = ACTIONS(6202),
    [aux_sym_keyword_statement_token4] = ACTIONS(6202),
    [aux_sym_keyword_statement_token6] = ACTIONS(6202),
    [aux_sym_keyword_statement_token7] = ACTIONS(6202),
    [aux_sym_include_statement_token1] = ACTIONS(6202),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6202),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6202),
    [aux_sym_end_if_statement_token1] = ACTIONS(6202),
    [aux_sym_elseif_clause_token2] = ACTIONS(6202),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6202),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6202),
    [aux_sym_select_case_statement_token1] = ACTIONS(6202),
    [aux_sym_select_case_statement_token3] = ACTIONS(6202),
    [aux_sym_select_type_statement_token1] = ACTIONS(6202),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6202),
    [aux_sym_associate_statement_token1] = ACTIONS(6202),
    [aux_sym_format_statement_token1] = ACTIONS(6202),
    [aux_sym_print_statement_token1] = ACTIONS(6202),
    [aux_sym_open_statement_token1] = ACTIONS(6202),
    [aux_sym_close_statement_token1] = ACTIONS(6202),
    [aux_sym_inquire_statement_token1] = ACTIONS(6202),
    [aux_sym_enum_statement_token1] = ACTIONS(6202),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6202),
    [aux_sym_file_position_statement_token1] = ACTIONS(6202),
    [aux_sym_file_position_statement_token2] = ACTIONS(6202),
    [aux_sym_file_position_statement_token3] = ACTIONS(6202),
    [aux_sym_file_position_statement_token4] = ACTIONS(6202),
    [aux_sym_allocate_statement_token1] = ACTIONS(6202),
    [aux_sym_entry_statement_token1] = ACTIONS(6202),
    [aux_sym_assign_statement_token1] = ACTIONS(6202),
    [aux_sym_logical_expression_token5] = ACTIONS(6204),
    [anon_sym_DOT] = ACTIONS(6202),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6204),
    [anon_sym_LBRACK] = ACTIONS(6204),
    [aux_sym_boolean_literal_token1] = ACTIONS(6204),
    [aux_sym_boolean_literal_token2] = ACTIONS(6204),
    [aux_sym_null_literal_token1] = ACTIONS(6202),
    [aux_sym_coarray_statement_token1] = ACTIONS(6202),
    [aux_sym_coarray_statement_token2] = ACTIONS(6202),
    [aux_sym_coarray_statement_token6] = ACTIONS(6202),
    [aux_sym_coarray_statement_token8] = ACTIONS(6202),
    [aux_sym_coarray_statement_token11] = ACTIONS(6202),
    [aux_sym_coarray_statement_token12] = ACTIONS(6202),
    [aux_sym_coarray_statement_token13] = ACTIONS(6202),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6202),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6202),
    [aux_sym_identifier_token1] = ACTIONS(6202),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6204),
    [sym__float_literal] = ACTIONS(6204),
    [sym__boz_literal] = ACTIONS(6204),
    [sym__string_literal] = ACTIONS(6204),
    [sym__string_literal_kind] = ACTIONS(6204),
  },
  [1863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_program_statement_token2] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6206),
    [aux_sym_preproc_def_token1] = ACTIONS(6206),
    [aux_sym_preproc_if_token1] = ACTIONS(6206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6206),
    [sym_preproc_directive] = ACTIONS(6206),
    [anon_sym_LPAREN2] = ACTIONS(6206),
    [anon_sym_PLUS] = ACTIONS(6208),
    [anon_sym_DASH] = ACTIONS(6208),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6206),
    [anon_sym_SEMI] = ACTIONS(6208),
    [aux_sym_interface_statement_token1] = ACTIONS(6206),
    [aux_sym_block_data_statement_token1] = ACTIONS(6206),
    [aux_sym_block_data_statement_token2] = ACTIONS(6206),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6206),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6206),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6206),
    [aux_sym_language_binding_token1] = ACTIONS(6206),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6206),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6206),
    [aux_sym_end_function_statement_token1] = ACTIONS(6206),
    [aux_sym_contains_statement_token1] = ACTIONS(6206),
    [aux_sym_use_statement_token1] = ACTIONS(6206),
    [aux_sym_use_statement_token2] = ACTIONS(6206),
    [aux_sym_implicit_statement_token1] = ACTIONS(6206),
    [aux_sym_implicit_statement_token3] = ACTIONS(6206),
    [aux_sym_implicit_statement_token4] = ACTIONS(6206),
    [aux_sym_save_statement_token1] = ACTIONS(6206),
    [aux_sym_private_statement_token1] = ACTIONS(6206),
    [aux_sym_public_statement_token1] = ACTIONS(6206),
    [aux_sym_namelist_statement_token1] = ACTIONS(6206),
    [aux_sym_common_statement_token1] = ACTIONS(6206),
    [aux_sym_import_statement_token1] = ACTIONS(6206),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6206),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6206),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6206),
    [aux_sym_variable_attributes_token1] = ACTIONS(6206),
    [aux_sym_variable_attributes_token2] = ACTIONS(6206),
    [aux_sym_variable_attributes_token3] = ACTIONS(6206),
    [aux_sym_variable_attributes_token4] = ACTIONS(6206),
    [aux_sym_variable_attributes_token5] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6206),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6206),
    [aux_sym_derived_type_token1] = ACTIONS(6206),
    [aux_sym_declared_type_token1] = ACTIONS(6206),
    [aux_sym_declared_type_token2] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6206),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6206),
    [aux_sym_type_qualifier_token1] = ACTIONS(6206),
    [aux_sym_type_qualifier_token2] = ACTIONS(6206),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6206),
    [aux_sym_stop_statement_token1] = ACTIONS(6206),
    [aux_sym_stop_statement_token2] = ACTIONS(6206),
    [aux_sym_subroutine_call_token1] = ACTIONS(6206),
    [aux_sym_keyword_statement_token1] = ACTIONS(6206),
    [aux_sym_keyword_statement_token2] = ACTIONS(6206),
    [aux_sym_keyword_statement_token3] = ACTIONS(6206),
    [aux_sym_keyword_statement_token4] = ACTIONS(6206),
    [aux_sym_keyword_statement_token6] = ACTIONS(6206),
    [aux_sym_keyword_statement_token7] = ACTIONS(6206),
    [aux_sym_include_statement_token1] = ACTIONS(6206),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6206),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6206),
    [aux_sym_end_if_statement_token1] = ACTIONS(6206),
    [aux_sym_elseif_clause_token2] = ACTIONS(6206),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6206),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6206),
    [aux_sym_select_case_statement_token1] = ACTIONS(6206),
    [aux_sym_select_case_statement_token3] = ACTIONS(6206),
    [aux_sym_select_type_statement_token1] = ACTIONS(6206),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6206),
    [aux_sym_associate_statement_token1] = ACTIONS(6206),
    [aux_sym_format_statement_token1] = ACTIONS(6206),
    [aux_sym_print_statement_token1] = ACTIONS(6206),
    [aux_sym_open_statement_token1] = ACTIONS(6206),
    [aux_sym_close_statement_token1] = ACTIONS(6206),
    [aux_sym_inquire_statement_token1] = ACTIONS(6206),
    [aux_sym_enum_statement_token1] = ACTIONS(6206),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6206),
    [aux_sym_file_position_statement_token1] = ACTIONS(6206),
    [aux_sym_file_position_statement_token2] = ACTIONS(6206),
    [aux_sym_file_position_statement_token3] = ACTIONS(6206),
    [aux_sym_file_position_statement_token4] = ACTIONS(6206),
    [aux_sym_allocate_statement_token1] = ACTIONS(6206),
    [aux_sym_entry_statement_token1] = ACTIONS(6206),
    [aux_sym_assign_statement_token1] = ACTIONS(6206),
    [aux_sym_logical_expression_token5] = ACTIONS(6208),
    [anon_sym_DOT] = ACTIONS(6206),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6208),
    [anon_sym_LBRACK] = ACTIONS(6208),
    [aux_sym_boolean_literal_token1] = ACTIONS(6208),
    [aux_sym_boolean_literal_token2] = ACTIONS(6208),
    [aux_sym_null_literal_token1] = ACTIONS(6206),
    [aux_sym_coarray_statement_token1] = ACTIONS(6206),
    [aux_sym_coarray_statement_token2] = ACTIONS(6206),
    [aux_sym_coarray_statement_token6] = ACTIONS(6206),
    [aux_sym_coarray_statement_token8] = ACTIONS(6206),
    [aux_sym_coarray_statement_token11] = ACTIONS(6206),
    [aux_sym_coarray_statement_token12] = ACTIONS(6206),
    [aux_sym_coarray_statement_token13] = ACTIONS(6206),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6206),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6206),
    [aux_sym_identifier_token1] = ACTIONS(6206),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6208),
    [sym__float_literal] = ACTIONS(6208),
    [sym__boz_literal] = ACTIONS(6208),
    [sym__string_literal] = ACTIONS(6208),
    [sym__string_literal_kind] = ACTIONS(6208),
  },
  [1865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [aux_sym_end_program_statement_token2] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [1866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [aux_sym_end_program_statement_token2] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [1883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_end_function_statement_token1] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [aux_sym_end_program_statement_token2] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [1885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [aux_sym_end_program_statement_token2] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [1886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [aux_sym_end_program_statement_token2] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [1887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_end_function_statement_token1] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_program_statement_token2] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_end_function_statement_token1] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_end_function_statement_token1] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [1897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6210),
    [aux_sym_preproc_def_token1] = ACTIONS(6210),
    [aux_sym_preproc_if_token1] = ACTIONS(6210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6210),
    [sym_preproc_directive] = ACTIONS(6210),
    [anon_sym_LPAREN2] = ACTIONS(6210),
    [anon_sym_PLUS] = ACTIONS(6212),
    [anon_sym_DASH] = ACTIONS(6212),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6210),
    [anon_sym_SEMI] = ACTIONS(6212),
    [aux_sym_interface_statement_token1] = ACTIONS(6210),
    [aux_sym_block_data_statement_token1] = ACTIONS(6210),
    [aux_sym_block_data_statement_token2] = ACTIONS(6210),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6210),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6210),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6210),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6210),
    [aux_sym_language_binding_token1] = ACTIONS(6210),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6210),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6210),
    [aux_sym_contains_statement_token1] = ACTIONS(6210),
    [aux_sym_use_statement_token1] = ACTIONS(6210),
    [aux_sym_use_statement_token2] = ACTIONS(6210),
    [aux_sym_implicit_statement_token1] = ACTIONS(6210),
    [aux_sym_implicit_statement_token3] = ACTIONS(6210),
    [aux_sym_implicit_statement_token4] = ACTIONS(6210),
    [aux_sym_save_statement_token1] = ACTIONS(6210),
    [aux_sym_private_statement_token1] = ACTIONS(6210),
    [aux_sym_public_statement_token1] = ACTIONS(6210),
    [aux_sym_namelist_statement_token1] = ACTIONS(6210),
    [aux_sym_common_statement_token1] = ACTIONS(6210),
    [aux_sym_import_statement_token1] = ACTIONS(6210),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6210),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6210),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6210),
    [aux_sym_variable_attributes_token1] = ACTIONS(6210),
    [aux_sym_variable_attributes_token2] = ACTIONS(6210),
    [aux_sym_variable_attributes_token3] = ACTIONS(6210),
    [aux_sym_variable_attributes_token4] = ACTIONS(6210),
    [aux_sym_variable_attributes_token5] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6210),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6210),
    [aux_sym_derived_type_token1] = ACTIONS(6210),
    [aux_sym_declared_type_token1] = ACTIONS(6210),
    [aux_sym_declared_type_token2] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6210),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6210),
    [aux_sym_type_qualifier_token1] = ACTIONS(6210),
    [aux_sym_type_qualifier_token2] = ACTIONS(6210),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6210),
    [aux_sym_stop_statement_token1] = ACTIONS(6210),
    [aux_sym_stop_statement_token2] = ACTIONS(6210),
    [aux_sym_subroutine_call_token1] = ACTIONS(6210),
    [aux_sym_keyword_statement_token1] = ACTIONS(6210),
    [aux_sym_keyword_statement_token2] = ACTIONS(6210),
    [aux_sym_keyword_statement_token3] = ACTIONS(6210),
    [aux_sym_keyword_statement_token4] = ACTIONS(6210),
    [aux_sym_keyword_statement_token6] = ACTIONS(6210),
    [aux_sym_keyword_statement_token7] = ACTIONS(6210),
    [aux_sym_include_statement_token1] = ACTIONS(6210),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6210),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6210),
    [aux_sym_end_if_statement_token1] = ACTIONS(6210),
    [aux_sym_elseif_clause_token2] = ACTIONS(6210),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6210),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6210),
    [aux_sym_select_case_statement_token1] = ACTIONS(6210),
    [aux_sym_select_case_statement_token3] = ACTIONS(6210),
    [aux_sym_select_type_statement_token1] = ACTIONS(6210),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6210),
    [aux_sym_associate_statement_token1] = ACTIONS(6210),
    [aux_sym_format_statement_token1] = ACTIONS(6210),
    [aux_sym_print_statement_token1] = ACTIONS(6210),
    [aux_sym_open_statement_token1] = ACTIONS(6210),
    [aux_sym_close_statement_token1] = ACTIONS(6210),
    [aux_sym_inquire_statement_token1] = ACTIONS(6210),
    [aux_sym_enum_statement_token1] = ACTIONS(6210),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6210),
    [aux_sym_file_position_statement_token1] = ACTIONS(6210),
    [aux_sym_file_position_statement_token2] = ACTIONS(6210),
    [aux_sym_file_position_statement_token3] = ACTIONS(6210),
    [aux_sym_file_position_statement_token4] = ACTIONS(6210),
    [aux_sym_allocate_statement_token1] = ACTIONS(6210),
    [aux_sym_entry_statement_token1] = ACTIONS(6210),
    [aux_sym_assign_statement_token1] = ACTIONS(6210),
    [aux_sym_logical_expression_token5] = ACTIONS(6212),
    [anon_sym_DOT] = ACTIONS(6210),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6212),
    [anon_sym_LBRACK] = ACTIONS(6212),
    [aux_sym_boolean_literal_token1] = ACTIONS(6212),
    [aux_sym_boolean_literal_token2] = ACTIONS(6212),
    [aux_sym_null_literal_token1] = ACTIONS(6210),
    [aux_sym_coarray_statement_token1] = ACTIONS(6210),
    [aux_sym_coarray_statement_token2] = ACTIONS(6210),
    [aux_sym_coarray_statement_token6] = ACTIONS(6210),
    [aux_sym_coarray_statement_token8] = ACTIONS(6210),
    [aux_sym_coarray_statement_token11] = ACTIONS(6210),
    [aux_sym_coarray_statement_token12] = ACTIONS(6210),
    [aux_sym_coarray_statement_token13] = ACTIONS(6210),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6210),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6210),
    [aux_sym_identifier_token1] = ACTIONS(6210),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6212),
    [sym__float_literal] = ACTIONS(6212),
    [sym__boz_literal] = ACTIONS(6212),
    [sym__string_literal] = ACTIONS(6212),
    [sym__string_literal_kind] = ACTIONS(6212),
  },
  [1898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [aux_sym_end_program_statement_token2] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [1900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_end_function_statement_token1] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_end_function_statement_token1] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_program_statement_token2] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_program_statement_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [aux_sym_end_program_statement_token2] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6214),
    [aux_sym_preproc_def_token1] = ACTIONS(6214),
    [aux_sym_preproc_if_token1] = ACTIONS(6214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6214),
    [sym_preproc_directive] = ACTIONS(6214),
    [anon_sym_LPAREN2] = ACTIONS(6214),
    [anon_sym_PLUS] = ACTIONS(6216),
    [anon_sym_DASH] = ACTIONS(6216),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6214),
    [anon_sym_SEMI] = ACTIONS(6216),
    [aux_sym_interface_statement_token1] = ACTIONS(6214),
    [aux_sym_block_data_statement_token1] = ACTIONS(6214),
    [aux_sym_block_data_statement_token2] = ACTIONS(6214),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6214),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6214),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6214),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6214),
    [aux_sym_language_binding_token1] = ACTIONS(6214),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6214),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6214),
    [aux_sym_contains_statement_token1] = ACTIONS(6214),
    [aux_sym_use_statement_token1] = ACTIONS(6214),
    [aux_sym_use_statement_token2] = ACTIONS(6214),
    [aux_sym_implicit_statement_token1] = ACTIONS(6214),
    [aux_sym_implicit_statement_token3] = ACTIONS(6214),
    [aux_sym_implicit_statement_token4] = ACTIONS(6214),
    [aux_sym_save_statement_token1] = ACTIONS(6214),
    [aux_sym_private_statement_token1] = ACTIONS(6214),
    [aux_sym_public_statement_token1] = ACTIONS(6214),
    [aux_sym_namelist_statement_token1] = ACTIONS(6214),
    [aux_sym_common_statement_token1] = ACTIONS(6214),
    [aux_sym_import_statement_token1] = ACTIONS(6214),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6214),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6214),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6214),
    [aux_sym_variable_attributes_token1] = ACTIONS(6214),
    [aux_sym_variable_attributes_token2] = ACTIONS(6214),
    [aux_sym_variable_attributes_token3] = ACTIONS(6214),
    [aux_sym_variable_attributes_token4] = ACTIONS(6214),
    [aux_sym_variable_attributes_token5] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6214),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6214),
    [aux_sym_derived_type_token1] = ACTIONS(6214),
    [aux_sym_declared_type_token1] = ACTIONS(6214),
    [aux_sym_declared_type_token2] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6214),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6214),
    [aux_sym_type_qualifier_token1] = ACTIONS(6214),
    [aux_sym_type_qualifier_token2] = ACTIONS(6214),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6214),
    [aux_sym_stop_statement_token1] = ACTIONS(6214),
    [aux_sym_stop_statement_token2] = ACTIONS(6214),
    [aux_sym_subroutine_call_token1] = ACTIONS(6214),
    [aux_sym_keyword_statement_token1] = ACTIONS(6214),
    [aux_sym_keyword_statement_token2] = ACTIONS(6214),
    [aux_sym_keyword_statement_token3] = ACTIONS(6214),
    [aux_sym_keyword_statement_token4] = ACTIONS(6214),
    [aux_sym_keyword_statement_token6] = ACTIONS(6214),
    [aux_sym_keyword_statement_token7] = ACTIONS(6214),
    [aux_sym_include_statement_token1] = ACTIONS(6214),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6214),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6214),
    [aux_sym_end_if_statement_token1] = ACTIONS(6214),
    [aux_sym_elseif_clause_token2] = ACTIONS(6214),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6214),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6214),
    [aux_sym_select_case_statement_token1] = ACTIONS(6214),
    [aux_sym_select_case_statement_token3] = ACTIONS(6214),
    [aux_sym_select_type_statement_token1] = ACTIONS(6214),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6214),
    [aux_sym_associate_statement_token1] = ACTIONS(6214),
    [aux_sym_format_statement_token1] = ACTIONS(6214),
    [aux_sym_print_statement_token1] = ACTIONS(6214),
    [aux_sym_open_statement_token1] = ACTIONS(6214),
    [aux_sym_close_statement_token1] = ACTIONS(6214),
    [aux_sym_inquire_statement_token1] = ACTIONS(6214),
    [aux_sym_enum_statement_token1] = ACTIONS(6214),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6214),
    [aux_sym_file_position_statement_token1] = ACTIONS(6214),
    [aux_sym_file_position_statement_token2] = ACTIONS(6214),
    [aux_sym_file_position_statement_token3] = ACTIONS(6214),
    [aux_sym_file_position_statement_token4] = ACTIONS(6214),
    [aux_sym_allocate_statement_token1] = ACTIONS(6214),
    [aux_sym_entry_statement_token1] = ACTIONS(6214),
    [aux_sym_assign_statement_token1] = ACTIONS(6214),
    [aux_sym_logical_expression_token5] = ACTIONS(6216),
    [anon_sym_DOT] = ACTIONS(6214),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6216),
    [anon_sym_LBRACK] = ACTIONS(6216),
    [aux_sym_boolean_literal_token1] = ACTIONS(6216),
    [aux_sym_boolean_literal_token2] = ACTIONS(6216),
    [aux_sym_null_literal_token1] = ACTIONS(6214),
    [aux_sym_coarray_statement_token1] = ACTIONS(6214),
    [aux_sym_coarray_statement_token2] = ACTIONS(6214),
    [aux_sym_coarray_statement_token6] = ACTIONS(6214),
    [aux_sym_coarray_statement_token8] = ACTIONS(6214),
    [aux_sym_coarray_statement_token11] = ACTIONS(6214),
    [aux_sym_coarray_statement_token12] = ACTIONS(6214),
    [aux_sym_coarray_statement_token13] = ACTIONS(6214),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6214),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6214),
    [aux_sym_identifier_token1] = ACTIONS(6214),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6216),
    [sym__float_literal] = ACTIONS(6216),
    [sym__boz_literal] = ACTIONS(6216),
    [sym__string_literal] = ACTIONS(6216),
    [sym__string_literal_kind] = ACTIONS(6216),
  },
  [1909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6218),
    [aux_sym_preproc_def_token1] = ACTIONS(6218),
    [aux_sym_preproc_if_token1] = ACTIONS(6218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6218),
    [sym_preproc_directive] = ACTIONS(6218),
    [anon_sym_LPAREN2] = ACTIONS(6218),
    [anon_sym_PLUS] = ACTIONS(6220),
    [anon_sym_DASH] = ACTIONS(6220),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6218),
    [anon_sym_SEMI] = ACTIONS(6220),
    [aux_sym_interface_statement_token1] = ACTIONS(6218),
    [aux_sym_block_data_statement_token1] = ACTIONS(6218),
    [aux_sym_block_data_statement_token2] = ACTIONS(6218),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6218),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6218),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6218),
    [aux_sym_language_binding_token1] = ACTIONS(6218),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6218),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6218),
    [aux_sym_end_function_statement_token1] = ACTIONS(6218),
    [aux_sym_contains_statement_token1] = ACTIONS(6218),
    [aux_sym_use_statement_token1] = ACTIONS(6218),
    [aux_sym_use_statement_token2] = ACTIONS(6218),
    [aux_sym_implicit_statement_token1] = ACTIONS(6218),
    [aux_sym_implicit_statement_token3] = ACTIONS(6218),
    [aux_sym_implicit_statement_token4] = ACTIONS(6218),
    [aux_sym_save_statement_token1] = ACTIONS(6218),
    [aux_sym_private_statement_token1] = ACTIONS(6218),
    [aux_sym_public_statement_token1] = ACTIONS(6218),
    [aux_sym_namelist_statement_token1] = ACTIONS(6218),
    [aux_sym_common_statement_token1] = ACTIONS(6218),
    [aux_sym_import_statement_token1] = ACTIONS(6218),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6218),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6218),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6218),
    [aux_sym_variable_attributes_token1] = ACTIONS(6218),
    [aux_sym_variable_attributes_token2] = ACTIONS(6218),
    [aux_sym_variable_attributes_token3] = ACTIONS(6218),
    [aux_sym_variable_attributes_token4] = ACTIONS(6218),
    [aux_sym_variable_attributes_token5] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6218),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6218),
    [aux_sym_derived_type_token1] = ACTIONS(6218),
    [aux_sym_declared_type_token1] = ACTIONS(6218),
    [aux_sym_declared_type_token2] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6218),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6218),
    [aux_sym_type_qualifier_token1] = ACTIONS(6218),
    [aux_sym_type_qualifier_token2] = ACTIONS(6218),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6218),
    [aux_sym_stop_statement_token1] = ACTIONS(6218),
    [aux_sym_stop_statement_token2] = ACTIONS(6218),
    [aux_sym_subroutine_call_token1] = ACTIONS(6218),
    [aux_sym_keyword_statement_token1] = ACTIONS(6218),
    [aux_sym_keyword_statement_token2] = ACTIONS(6218),
    [aux_sym_keyword_statement_token3] = ACTIONS(6218),
    [aux_sym_keyword_statement_token4] = ACTIONS(6218),
    [aux_sym_keyword_statement_token6] = ACTIONS(6218),
    [aux_sym_keyword_statement_token7] = ACTIONS(6218),
    [aux_sym_include_statement_token1] = ACTIONS(6218),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6218),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6218),
    [aux_sym_end_if_statement_token1] = ACTIONS(6218),
    [aux_sym_elseif_clause_token2] = ACTIONS(6218),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6218),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6218),
    [aux_sym_select_case_statement_token1] = ACTIONS(6218),
    [aux_sym_select_case_statement_token3] = ACTIONS(6218),
    [aux_sym_select_type_statement_token1] = ACTIONS(6218),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6218),
    [aux_sym_associate_statement_token1] = ACTIONS(6218),
    [aux_sym_format_statement_token1] = ACTIONS(6218),
    [aux_sym_print_statement_token1] = ACTIONS(6218),
    [aux_sym_open_statement_token1] = ACTIONS(6218),
    [aux_sym_close_statement_token1] = ACTIONS(6218),
    [aux_sym_inquire_statement_token1] = ACTIONS(6218),
    [aux_sym_enum_statement_token1] = ACTIONS(6218),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6218),
    [aux_sym_file_position_statement_token1] = ACTIONS(6218),
    [aux_sym_file_position_statement_token2] = ACTIONS(6218),
    [aux_sym_file_position_statement_token3] = ACTIONS(6218),
    [aux_sym_file_position_statement_token4] = ACTIONS(6218),
    [aux_sym_allocate_statement_token1] = ACTIONS(6218),
    [aux_sym_entry_statement_token1] = ACTIONS(6218),
    [aux_sym_assign_statement_token1] = ACTIONS(6218),
    [aux_sym_logical_expression_token5] = ACTIONS(6220),
    [anon_sym_DOT] = ACTIONS(6218),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6220),
    [anon_sym_LBRACK] = ACTIONS(6220),
    [aux_sym_boolean_literal_token1] = ACTIONS(6220),
    [aux_sym_boolean_literal_token2] = ACTIONS(6220),
    [aux_sym_null_literal_token1] = ACTIONS(6218),
    [aux_sym_coarray_statement_token1] = ACTIONS(6218),
    [aux_sym_coarray_statement_token2] = ACTIONS(6218),
    [aux_sym_coarray_statement_token6] = ACTIONS(6218),
    [aux_sym_coarray_statement_token8] = ACTIONS(6218),
    [aux_sym_coarray_statement_token11] = ACTIONS(6218),
    [aux_sym_coarray_statement_token12] = ACTIONS(6218),
    [aux_sym_coarray_statement_token13] = ACTIONS(6218),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6218),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6218),
    [aux_sym_identifier_token1] = ACTIONS(6218),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6220),
    [sym__float_literal] = ACTIONS(6220),
    [sym__boz_literal] = ACTIONS(6220),
    [sym__string_literal] = ACTIONS(6220),
    [sym__string_literal_kind] = ACTIONS(6220),
  },
  [1910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [aux_sym_end_program_statement_token2] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [1911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [aux_sym_end_program_statement_token2] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [1912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [aux_sym_end_program_statement_token2] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [1913] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [aux_sym_end_program_statement_token2] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [1914] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [aux_sym_end_program_statement_token2] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [1915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_end_function_statement_token1] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_end_function_statement_token1] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [aux_sym_end_program_statement_token2] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [aux_sym_end_program_statement_token2] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_end_program_statement_token2] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [1923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6222),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_end_function_statement_token1] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6224),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6226),
    [aux_sym_preproc_def_token1] = ACTIONS(6226),
    [aux_sym_preproc_if_token1] = ACTIONS(6226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6226),
    [sym_preproc_directive] = ACTIONS(6226),
    [anon_sym_LPAREN2] = ACTIONS(6226),
    [anon_sym_PLUS] = ACTIONS(6228),
    [anon_sym_DASH] = ACTIONS(6228),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6226),
    [aux_sym_end_program_statement_token2] = ACTIONS(6226),
    [anon_sym_SEMI] = ACTIONS(6228),
    [aux_sym_interface_statement_token1] = ACTIONS(6226),
    [aux_sym_block_data_statement_token1] = ACTIONS(6226),
    [aux_sym_block_data_statement_token2] = ACTIONS(6226),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6226),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6226),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6226),
    [aux_sym_language_binding_token1] = ACTIONS(6226),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6226),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6226),
    [aux_sym_contains_statement_token1] = ACTIONS(6226),
    [aux_sym_use_statement_token1] = ACTIONS(6226),
    [aux_sym_use_statement_token2] = ACTIONS(6226),
    [aux_sym_implicit_statement_token1] = ACTIONS(6226),
    [aux_sym_implicit_statement_token3] = ACTIONS(6226),
    [aux_sym_implicit_statement_token4] = ACTIONS(6226),
    [aux_sym_save_statement_token1] = ACTIONS(6226),
    [aux_sym_private_statement_token1] = ACTIONS(6226),
    [aux_sym_public_statement_token1] = ACTIONS(6226),
    [aux_sym_namelist_statement_token1] = ACTIONS(6226),
    [aux_sym_common_statement_token1] = ACTIONS(6226),
    [aux_sym_import_statement_token1] = ACTIONS(6226),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6226),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6226),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6226),
    [aux_sym_variable_attributes_token1] = ACTIONS(6226),
    [aux_sym_variable_attributes_token2] = ACTIONS(6226),
    [aux_sym_variable_attributes_token3] = ACTIONS(6226),
    [aux_sym_variable_attributes_token4] = ACTIONS(6226),
    [aux_sym_variable_attributes_token5] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6226),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6226),
    [aux_sym_derived_type_token1] = ACTIONS(6226),
    [aux_sym_declared_type_token1] = ACTIONS(6226),
    [aux_sym_declared_type_token2] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6226),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6226),
    [aux_sym_type_qualifier_token1] = ACTIONS(6226),
    [aux_sym_type_qualifier_token2] = ACTIONS(6226),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6226),
    [aux_sym_stop_statement_token1] = ACTIONS(6226),
    [aux_sym_stop_statement_token2] = ACTIONS(6226),
    [aux_sym_subroutine_call_token1] = ACTIONS(6226),
    [aux_sym_keyword_statement_token1] = ACTIONS(6226),
    [aux_sym_keyword_statement_token2] = ACTIONS(6226),
    [aux_sym_keyword_statement_token3] = ACTIONS(6226),
    [aux_sym_keyword_statement_token4] = ACTIONS(6226),
    [aux_sym_keyword_statement_token6] = ACTIONS(6226),
    [aux_sym_keyword_statement_token7] = ACTIONS(6226),
    [aux_sym_include_statement_token1] = ACTIONS(6226),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6226),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6226),
    [aux_sym_end_if_statement_token1] = ACTIONS(6226),
    [aux_sym_elseif_clause_token2] = ACTIONS(6226),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6226),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6226),
    [aux_sym_select_case_statement_token1] = ACTIONS(6226),
    [aux_sym_select_case_statement_token3] = ACTIONS(6226),
    [aux_sym_select_type_statement_token1] = ACTIONS(6226),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6226),
    [aux_sym_associate_statement_token1] = ACTIONS(6226),
    [aux_sym_format_statement_token1] = ACTIONS(6226),
    [aux_sym_print_statement_token1] = ACTIONS(6226),
    [aux_sym_open_statement_token1] = ACTIONS(6226),
    [aux_sym_close_statement_token1] = ACTIONS(6226),
    [aux_sym_inquire_statement_token1] = ACTIONS(6226),
    [aux_sym_enum_statement_token1] = ACTIONS(6226),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6226),
    [aux_sym_file_position_statement_token1] = ACTIONS(6226),
    [aux_sym_file_position_statement_token2] = ACTIONS(6226),
    [aux_sym_file_position_statement_token3] = ACTIONS(6226),
    [aux_sym_file_position_statement_token4] = ACTIONS(6226),
    [aux_sym_allocate_statement_token1] = ACTIONS(6226),
    [aux_sym_entry_statement_token1] = ACTIONS(6226),
    [aux_sym_assign_statement_token1] = ACTIONS(6226),
    [aux_sym_logical_expression_token5] = ACTIONS(6228),
    [anon_sym_DOT] = ACTIONS(6226),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6228),
    [anon_sym_LBRACK] = ACTIONS(6228),
    [aux_sym_boolean_literal_token1] = ACTIONS(6228),
    [aux_sym_boolean_literal_token2] = ACTIONS(6228),
    [aux_sym_null_literal_token1] = ACTIONS(6226),
    [aux_sym_coarray_statement_token1] = ACTIONS(6226),
    [aux_sym_coarray_statement_token2] = ACTIONS(6226),
    [aux_sym_coarray_statement_token6] = ACTIONS(6226),
    [aux_sym_coarray_statement_token8] = ACTIONS(6226),
    [aux_sym_coarray_statement_token11] = ACTIONS(6226),
    [aux_sym_coarray_statement_token12] = ACTIONS(6226),
    [aux_sym_coarray_statement_token13] = ACTIONS(6226),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6226),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6226),
    [aux_sym_identifier_token1] = ACTIONS(6226),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6228),
    [sym__float_literal] = ACTIONS(6228),
    [sym__boz_literal] = ACTIONS(6228),
    [sym__string_literal] = ACTIONS(6228),
    [sym__string_literal_kind] = ACTIONS(6228),
  },
  [1927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [1928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [aux_sym_end_program_statement_token2] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [1929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6230),
    [aux_sym_preproc_def_token1] = ACTIONS(6230),
    [aux_sym_preproc_if_token1] = ACTIONS(6230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6230),
    [sym_preproc_directive] = ACTIONS(6230),
    [anon_sym_LPAREN2] = ACTIONS(6230),
    [anon_sym_PLUS] = ACTIONS(6232),
    [anon_sym_DASH] = ACTIONS(6232),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6230),
    [anon_sym_SEMI] = ACTIONS(6232),
    [aux_sym_interface_statement_token1] = ACTIONS(6230),
    [aux_sym_block_data_statement_token1] = ACTIONS(6230),
    [aux_sym_block_data_statement_token2] = ACTIONS(6230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6230),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6230),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6230),
    [aux_sym_language_binding_token1] = ACTIONS(6230),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6230),
    [aux_sym_contains_statement_token1] = ACTIONS(6230),
    [aux_sym_use_statement_token1] = ACTIONS(6230),
    [aux_sym_use_statement_token2] = ACTIONS(6230),
    [aux_sym_implicit_statement_token1] = ACTIONS(6230),
    [aux_sym_implicit_statement_token3] = ACTIONS(6230),
    [aux_sym_implicit_statement_token4] = ACTIONS(6230),
    [aux_sym_save_statement_token1] = ACTIONS(6230),
    [aux_sym_private_statement_token1] = ACTIONS(6230),
    [aux_sym_public_statement_token1] = ACTIONS(6230),
    [aux_sym_namelist_statement_token1] = ACTIONS(6230),
    [aux_sym_common_statement_token1] = ACTIONS(6230),
    [aux_sym_import_statement_token1] = ACTIONS(6230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6230),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6230),
    [aux_sym_variable_attributes_token1] = ACTIONS(6230),
    [aux_sym_variable_attributes_token2] = ACTIONS(6230),
    [aux_sym_variable_attributes_token3] = ACTIONS(6230),
    [aux_sym_variable_attributes_token4] = ACTIONS(6230),
    [aux_sym_variable_attributes_token5] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6230),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6230),
    [aux_sym_derived_type_token1] = ACTIONS(6230),
    [aux_sym_declared_type_token1] = ACTIONS(6230),
    [aux_sym_declared_type_token2] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6230),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6230),
    [aux_sym_type_qualifier_token1] = ACTIONS(6230),
    [aux_sym_type_qualifier_token2] = ACTIONS(6230),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6230),
    [aux_sym_stop_statement_token1] = ACTIONS(6230),
    [aux_sym_stop_statement_token2] = ACTIONS(6230),
    [aux_sym_subroutine_call_token1] = ACTIONS(6230),
    [aux_sym_keyword_statement_token1] = ACTIONS(6230),
    [aux_sym_keyword_statement_token2] = ACTIONS(6230),
    [aux_sym_keyword_statement_token3] = ACTIONS(6230),
    [aux_sym_keyword_statement_token4] = ACTIONS(6230),
    [aux_sym_keyword_statement_token6] = ACTIONS(6230),
    [aux_sym_keyword_statement_token7] = ACTIONS(6230),
    [aux_sym_include_statement_token1] = ACTIONS(6230),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6230),
    [aux_sym_end_if_statement_token1] = ACTIONS(6230),
    [aux_sym_elseif_clause_token2] = ACTIONS(6230),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6230),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6230),
    [aux_sym_select_case_statement_token1] = ACTIONS(6230),
    [aux_sym_select_case_statement_token3] = ACTIONS(6230),
    [aux_sym_select_type_statement_token1] = ACTIONS(6230),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6230),
    [aux_sym_associate_statement_token1] = ACTIONS(6230),
    [aux_sym_format_statement_token1] = ACTIONS(6230),
    [aux_sym_print_statement_token1] = ACTIONS(6230),
    [aux_sym_open_statement_token1] = ACTIONS(6230),
    [aux_sym_close_statement_token1] = ACTIONS(6230),
    [aux_sym_inquire_statement_token1] = ACTIONS(6230),
    [aux_sym_enum_statement_token1] = ACTIONS(6230),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6230),
    [aux_sym_file_position_statement_token1] = ACTIONS(6230),
    [aux_sym_file_position_statement_token2] = ACTIONS(6230),
    [aux_sym_file_position_statement_token3] = ACTIONS(6230),
    [aux_sym_file_position_statement_token4] = ACTIONS(6230),
    [aux_sym_allocate_statement_token1] = ACTIONS(6230),
    [aux_sym_entry_statement_token1] = ACTIONS(6230),
    [aux_sym_assign_statement_token1] = ACTIONS(6230),
    [aux_sym_logical_expression_token5] = ACTIONS(6232),
    [anon_sym_DOT] = ACTIONS(6230),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6232),
    [anon_sym_LBRACK] = ACTIONS(6232),
    [aux_sym_boolean_literal_token1] = ACTIONS(6232),
    [aux_sym_boolean_literal_token2] = ACTIONS(6232),
    [aux_sym_null_literal_token1] = ACTIONS(6230),
    [aux_sym_coarray_statement_token1] = ACTIONS(6230),
    [aux_sym_coarray_statement_token2] = ACTIONS(6230),
    [aux_sym_coarray_statement_token6] = ACTIONS(6230),
    [aux_sym_coarray_statement_token8] = ACTIONS(6230),
    [aux_sym_coarray_statement_token11] = ACTIONS(6230),
    [aux_sym_coarray_statement_token12] = ACTIONS(6230),
    [aux_sym_coarray_statement_token13] = ACTIONS(6230),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6230),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6230),
    [aux_sym_identifier_token1] = ACTIONS(6230),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6232),
    [sym__float_literal] = ACTIONS(6232),
    [sym__boz_literal] = ACTIONS(6232),
    [sym__string_literal] = ACTIONS(6232),
    [sym__string_literal_kind] = ACTIONS(6232),
  },
  [1933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [1934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6234),
    [aux_sym_preproc_def_token1] = ACTIONS(6234),
    [aux_sym_preproc_if_token1] = ACTIONS(6234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6234),
    [sym_preproc_directive] = ACTIONS(6234),
    [anon_sym_LPAREN2] = ACTIONS(6234),
    [anon_sym_PLUS] = ACTIONS(6236),
    [anon_sym_DASH] = ACTIONS(6236),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6234),
    [anon_sym_SEMI] = ACTIONS(6236),
    [aux_sym_interface_statement_token1] = ACTIONS(6234),
    [aux_sym_block_data_statement_token1] = ACTIONS(6234),
    [aux_sym_block_data_statement_token2] = ACTIONS(6234),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6234),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6234),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6234),
    [aux_sym_language_binding_token1] = ACTIONS(6234),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6234),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6234),
    [aux_sym_end_function_statement_token1] = ACTIONS(6234),
    [aux_sym_contains_statement_token1] = ACTIONS(6234),
    [aux_sym_use_statement_token1] = ACTIONS(6234),
    [aux_sym_use_statement_token2] = ACTIONS(6234),
    [aux_sym_implicit_statement_token1] = ACTIONS(6234),
    [aux_sym_implicit_statement_token3] = ACTIONS(6234),
    [aux_sym_implicit_statement_token4] = ACTIONS(6234),
    [aux_sym_save_statement_token1] = ACTIONS(6234),
    [aux_sym_private_statement_token1] = ACTIONS(6234),
    [aux_sym_public_statement_token1] = ACTIONS(6234),
    [aux_sym_namelist_statement_token1] = ACTIONS(6234),
    [aux_sym_common_statement_token1] = ACTIONS(6234),
    [aux_sym_import_statement_token1] = ACTIONS(6234),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6234),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6234),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6234),
    [aux_sym_variable_attributes_token1] = ACTIONS(6234),
    [aux_sym_variable_attributes_token2] = ACTIONS(6234),
    [aux_sym_variable_attributes_token3] = ACTIONS(6234),
    [aux_sym_variable_attributes_token4] = ACTIONS(6234),
    [aux_sym_variable_attributes_token5] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6234),
    [aux_sym_derived_type_token1] = ACTIONS(6234),
    [aux_sym_declared_type_token1] = ACTIONS(6234),
    [aux_sym_declared_type_token2] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6234),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6234),
    [aux_sym_type_qualifier_token1] = ACTIONS(6234),
    [aux_sym_type_qualifier_token2] = ACTIONS(6234),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6234),
    [aux_sym_stop_statement_token1] = ACTIONS(6234),
    [aux_sym_stop_statement_token2] = ACTIONS(6234),
    [aux_sym_subroutine_call_token1] = ACTIONS(6234),
    [aux_sym_keyword_statement_token1] = ACTIONS(6234),
    [aux_sym_keyword_statement_token2] = ACTIONS(6234),
    [aux_sym_keyword_statement_token3] = ACTIONS(6234),
    [aux_sym_keyword_statement_token4] = ACTIONS(6234),
    [aux_sym_keyword_statement_token6] = ACTIONS(6234),
    [aux_sym_keyword_statement_token7] = ACTIONS(6234),
    [aux_sym_include_statement_token1] = ACTIONS(6234),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6234),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6234),
    [aux_sym_end_if_statement_token1] = ACTIONS(6234),
    [aux_sym_elseif_clause_token2] = ACTIONS(6234),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6234),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6234),
    [aux_sym_select_case_statement_token1] = ACTIONS(6234),
    [aux_sym_select_case_statement_token3] = ACTIONS(6234),
    [aux_sym_select_type_statement_token1] = ACTIONS(6234),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6234),
    [aux_sym_associate_statement_token1] = ACTIONS(6234),
    [aux_sym_format_statement_token1] = ACTIONS(6234),
    [aux_sym_print_statement_token1] = ACTIONS(6234),
    [aux_sym_open_statement_token1] = ACTIONS(6234),
    [aux_sym_close_statement_token1] = ACTIONS(6234),
    [aux_sym_inquire_statement_token1] = ACTIONS(6234),
    [aux_sym_enum_statement_token1] = ACTIONS(6234),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6234),
    [aux_sym_file_position_statement_token1] = ACTIONS(6234),
    [aux_sym_file_position_statement_token2] = ACTIONS(6234),
    [aux_sym_file_position_statement_token3] = ACTIONS(6234),
    [aux_sym_file_position_statement_token4] = ACTIONS(6234),
    [aux_sym_allocate_statement_token1] = ACTIONS(6234),
    [aux_sym_entry_statement_token1] = ACTIONS(6234),
    [aux_sym_assign_statement_token1] = ACTIONS(6234),
    [aux_sym_logical_expression_token5] = ACTIONS(6236),
    [anon_sym_DOT] = ACTIONS(6234),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6236),
    [anon_sym_LBRACK] = ACTIONS(6236),
    [aux_sym_boolean_literal_token1] = ACTIONS(6236),
    [aux_sym_boolean_literal_token2] = ACTIONS(6236),
    [aux_sym_null_literal_token1] = ACTIONS(6234),
    [aux_sym_coarray_statement_token1] = ACTIONS(6234),
    [aux_sym_coarray_statement_token2] = ACTIONS(6234),
    [aux_sym_coarray_statement_token6] = ACTIONS(6234),
    [aux_sym_coarray_statement_token8] = ACTIONS(6234),
    [aux_sym_coarray_statement_token11] = ACTIONS(6234),
    [aux_sym_coarray_statement_token12] = ACTIONS(6234),
    [aux_sym_coarray_statement_token13] = ACTIONS(6234),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6234),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6234),
    [aux_sym_identifier_token1] = ACTIONS(6234),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6236),
    [sym__float_literal] = ACTIONS(6236),
    [sym__boz_literal] = ACTIONS(6236),
    [sym__string_literal] = ACTIONS(6236),
    [sym__string_literal_kind] = ACTIONS(6236),
  },
  [1936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [aux_sym_end_program_statement_token2] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [1937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_program_statement_token2] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [1939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_program_statement_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [1940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [aux_sym_end_program_statement_token2] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [1941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_program_statement_token2] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [1943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [1944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_end_function_statement_token1] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [1946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [1947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6238),
    [aux_sym_preproc_def_token1] = ACTIONS(6238),
    [aux_sym_preproc_if_token1] = ACTIONS(6238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6238),
    [sym_preproc_directive] = ACTIONS(6238),
    [anon_sym_LPAREN2] = ACTIONS(6238),
    [anon_sym_PLUS] = ACTIONS(6240),
    [anon_sym_DASH] = ACTIONS(6240),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6238),
    [anon_sym_SEMI] = ACTIONS(6240),
    [aux_sym_interface_statement_token1] = ACTIONS(6238),
    [aux_sym_block_data_statement_token1] = ACTIONS(6238),
    [aux_sym_block_data_statement_token2] = ACTIONS(6238),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6238),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6238),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6238),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6238),
    [aux_sym_language_binding_token1] = ACTIONS(6238),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6238),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6238),
    [aux_sym_contains_statement_token1] = ACTIONS(6238),
    [aux_sym_use_statement_token1] = ACTIONS(6238),
    [aux_sym_use_statement_token2] = ACTIONS(6238),
    [aux_sym_implicit_statement_token1] = ACTIONS(6238),
    [aux_sym_implicit_statement_token3] = ACTIONS(6238),
    [aux_sym_implicit_statement_token4] = ACTIONS(6238),
    [aux_sym_save_statement_token1] = ACTIONS(6238),
    [aux_sym_private_statement_token1] = ACTIONS(6238),
    [aux_sym_public_statement_token1] = ACTIONS(6238),
    [aux_sym_namelist_statement_token1] = ACTIONS(6238),
    [aux_sym_common_statement_token1] = ACTIONS(6238),
    [aux_sym_import_statement_token1] = ACTIONS(6238),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6238),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6238),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6238),
    [aux_sym_variable_attributes_token1] = ACTIONS(6238),
    [aux_sym_variable_attributes_token2] = ACTIONS(6238),
    [aux_sym_variable_attributes_token3] = ACTIONS(6238),
    [aux_sym_variable_attributes_token4] = ACTIONS(6238),
    [aux_sym_variable_attributes_token5] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6238),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6238),
    [aux_sym_derived_type_token1] = ACTIONS(6238),
    [aux_sym_declared_type_token1] = ACTIONS(6238),
    [aux_sym_declared_type_token2] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6238),
    [aux_sym_type_qualifier_token1] = ACTIONS(6238),
    [aux_sym_type_qualifier_token2] = ACTIONS(6238),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6238),
    [aux_sym_stop_statement_token1] = ACTIONS(6238),
    [aux_sym_stop_statement_token2] = ACTIONS(6238),
    [aux_sym_subroutine_call_token1] = ACTIONS(6238),
    [aux_sym_keyword_statement_token1] = ACTIONS(6238),
    [aux_sym_keyword_statement_token2] = ACTIONS(6238),
    [aux_sym_keyword_statement_token3] = ACTIONS(6238),
    [aux_sym_keyword_statement_token4] = ACTIONS(6238),
    [aux_sym_keyword_statement_token6] = ACTIONS(6238),
    [aux_sym_keyword_statement_token7] = ACTIONS(6238),
    [aux_sym_include_statement_token1] = ACTIONS(6238),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6238),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6238),
    [aux_sym_end_if_statement_token1] = ACTIONS(6238),
    [aux_sym_elseif_clause_token2] = ACTIONS(6238),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6238),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6238),
    [aux_sym_select_case_statement_token1] = ACTIONS(6238),
    [aux_sym_select_case_statement_token3] = ACTIONS(6238),
    [aux_sym_select_type_statement_token1] = ACTIONS(6238),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6238),
    [aux_sym_associate_statement_token1] = ACTIONS(6238),
    [aux_sym_format_statement_token1] = ACTIONS(6238),
    [aux_sym_print_statement_token1] = ACTIONS(6238),
    [aux_sym_open_statement_token1] = ACTIONS(6238),
    [aux_sym_close_statement_token1] = ACTIONS(6238),
    [aux_sym_inquire_statement_token1] = ACTIONS(6238),
    [aux_sym_enum_statement_token1] = ACTIONS(6238),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6238),
    [aux_sym_file_position_statement_token1] = ACTIONS(6238),
    [aux_sym_file_position_statement_token2] = ACTIONS(6238),
    [aux_sym_file_position_statement_token3] = ACTIONS(6238),
    [aux_sym_file_position_statement_token4] = ACTIONS(6238),
    [aux_sym_allocate_statement_token1] = ACTIONS(6238),
    [aux_sym_entry_statement_token1] = ACTIONS(6238),
    [aux_sym_assign_statement_token1] = ACTIONS(6238),
    [aux_sym_logical_expression_token5] = ACTIONS(6240),
    [anon_sym_DOT] = ACTIONS(6238),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6240),
    [anon_sym_LBRACK] = ACTIONS(6240),
    [aux_sym_boolean_literal_token1] = ACTIONS(6240),
    [aux_sym_boolean_literal_token2] = ACTIONS(6240),
    [aux_sym_null_literal_token1] = ACTIONS(6238),
    [aux_sym_coarray_statement_token1] = ACTIONS(6238),
    [aux_sym_coarray_statement_token2] = ACTIONS(6238),
    [aux_sym_coarray_statement_token6] = ACTIONS(6238),
    [aux_sym_coarray_statement_token8] = ACTIONS(6238),
    [aux_sym_coarray_statement_token11] = ACTIONS(6238),
    [aux_sym_coarray_statement_token12] = ACTIONS(6238),
    [aux_sym_coarray_statement_token13] = ACTIONS(6238),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6238),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6238),
    [aux_sym_identifier_token1] = ACTIONS(6238),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6240),
    [sym__float_literal] = ACTIONS(6240),
    [sym__boz_literal] = ACTIONS(6240),
    [sym__string_literal] = ACTIONS(6240),
    [sym__string_literal_kind] = ACTIONS(6240),
  },
  [1948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6242),
    [aux_sym_preproc_def_token1] = ACTIONS(6242),
    [aux_sym_preproc_if_token1] = ACTIONS(6242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6242),
    [sym_preproc_directive] = ACTIONS(6242),
    [anon_sym_LPAREN2] = ACTIONS(6242),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6242),
    [anon_sym_SEMI] = ACTIONS(6244),
    [aux_sym_interface_statement_token1] = ACTIONS(6242),
    [aux_sym_block_data_statement_token1] = ACTIONS(6242),
    [aux_sym_block_data_statement_token2] = ACTIONS(6242),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6242),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6242),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6242),
    [aux_sym_language_binding_token1] = ACTIONS(6242),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6242),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6242),
    [aux_sym_end_function_statement_token1] = ACTIONS(6242),
    [aux_sym_contains_statement_token1] = ACTIONS(6242),
    [aux_sym_use_statement_token1] = ACTIONS(6242),
    [aux_sym_use_statement_token2] = ACTIONS(6242),
    [aux_sym_implicit_statement_token1] = ACTIONS(6242),
    [aux_sym_implicit_statement_token3] = ACTIONS(6242),
    [aux_sym_implicit_statement_token4] = ACTIONS(6242),
    [aux_sym_save_statement_token1] = ACTIONS(6242),
    [aux_sym_private_statement_token1] = ACTIONS(6242),
    [aux_sym_public_statement_token1] = ACTIONS(6242),
    [aux_sym_namelist_statement_token1] = ACTIONS(6242),
    [aux_sym_common_statement_token1] = ACTIONS(6242),
    [aux_sym_import_statement_token1] = ACTIONS(6242),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6242),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6242),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6242),
    [aux_sym_variable_attributes_token1] = ACTIONS(6242),
    [aux_sym_variable_attributes_token2] = ACTIONS(6242),
    [aux_sym_variable_attributes_token3] = ACTIONS(6242),
    [aux_sym_variable_attributes_token4] = ACTIONS(6242),
    [aux_sym_variable_attributes_token5] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6242),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6242),
    [aux_sym_derived_type_token1] = ACTIONS(6242),
    [aux_sym_declared_type_token1] = ACTIONS(6242),
    [aux_sym_declared_type_token2] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6242),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6242),
    [aux_sym_type_qualifier_token1] = ACTIONS(6242),
    [aux_sym_type_qualifier_token2] = ACTIONS(6242),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6242),
    [aux_sym_stop_statement_token1] = ACTIONS(6242),
    [aux_sym_stop_statement_token2] = ACTIONS(6242),
    [aux_sym_subroutine_call_token1] = ACTIONS(6242),
    [aux_sym_keyword_statement_token1] = ACTIONS(6242),
    [aux_sym_keyword_statement_token2] = ACTIONS(6242),
    [aux_sym_keyword_statement_token3] = ACTIONS(6242),
    [aux_sym_keyword_statement_token4] = ACTIONS(6242),
    [aux_sym_keyword_statement_token6] = ACTIONS(6242),
    [aux_sym_keyword_statement_token7] = ACTIONS(6242),
    [aux_sym_include_statement_token1] = ACTIONS(6242),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6242),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6242),
    [aux_sym_end_if_statement_token1] = ACTIONS(6242),
    [aux_sym_elseif_clause_token2] = ACTIONS(6242),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6242),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6242),
    [aux_sym_select_case_statement_token1] = ACTIONS(6242),
    [aux_sym_select_case_statement_token3] = ACTIONS(6242),
    [aux_sym_select_type_statement_token1] = ACTIONS(6242),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6242),
    [aux_sym_associate_statement_token1] = ACTIONS(6242),
    [aux_sym_format_statement_token1] = ACTIONS(6242),
    [aux_sym_print_statement_token1] = ACTIONS(6242),
    [aux_sym_open_statement_token1] = ACTIONS(6242),
    [aux_sym_close_statement_token1] = ACTIONS(6242),
    [aux_sym_inquire_statement_token1] = ACTIONS(6242),
    [aux_sym_enum_statement_token1] = ACTIONS(6242),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6242),
    [aux_sym_file_position_statement_token1] = ACTIONS(6242),
    [aux_sym_file_position_statement_token2] = ACTIONS(6242),
    [aux_sym_file_position_statement_token3] = ACTIONS(6242),
    [aux_sym_file_position_statement_token4] = ACTIONS(6242),
    [aux_sym_allocate_statement_token1] = ACTIONS(6242),
    [aux_sym_entry_statement_token1] = ACTIONS(6242),
    [aux_sym_assign_statement_token1] = ACTIONS(6242),
    [aux_sym_logical_expression_token5] = ACTIONS(6244),
    [anon_sym_DOT] = ACTIONS(6242),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6244),
    [anon_sym_LBRACK] = ACTIONS(6244),
    [aux_sym_boolean_literal_token1] = ACTIONS(6244),
    [aux_sym_boolean_literal_token2] = ACTIONS(6244),
    [aux_sym_null_literal_token1] = ACTIONS(6242),
    [aux_sym_coarray_statement_token1] = ACTIONS(6242),
    [aux_sym_coarray_statement_token2] = ACTIONS(6242),
    [aux_sym_coarray_statement_token6] = ACTIONS(6242),
    [aux_sym_coarray_statement_token8] = ACTIONS(6242),
    [aux_sym_coarray_statement_token11] = ACTIONS(6242),
    [aux_sym_coarray_statement_token12] = ACTIONS(6242),
    [aux_sym_coarray_statement_token13] = ACTIONS(6242),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6242),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6242),
    [aux_sym_identifier_token1] = ACTIONS(6242),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6244),
    [sym__float_literal] = ACTIONS(6244),
    [sym__boz_literal] = ACTIONS(6244),
    [sym__string_literal] = ACTIONS(6244),
    [sym__string_literal_kind] = ACTIONS(6244),
  },
  [1949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [aux_sym_end_program_statement_token2] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [1950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [aux_sym_end_program_statement_token2] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [1951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_program_statement_token2] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [1952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_program_statement_token2] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_end_function_statement_token1] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [1956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6246),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_keyword_statement_token6] = ACTIONS(5140),
    [aux_sym_keyword_statement_token7] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token3] = ACTIONS(5140),
    [aux_sym_select_type_statement_token1] = ACTIONS(5140),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5140),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5140),
    [aux_sym_associate_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_close_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token1] = ACTIONS(5140),
    [aux_sym_file_position_statement_token2] = ACTIONS(5140),
    [aux_sym_file_position_statement_token3] = ACTIONS(5140),
    [aux_sym_file_position_statement_token4] = ACTIONS(5140),
    [aux_sym_allocate_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_assign_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_statement_token13] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [1957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [aux_sym_end_program_statement_token2] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [1958] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [aux_sym_end_program_statement_token2] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [1959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_program_statement_token2] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_program_statement_token2] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [aux_sym_end_program_statement_token2] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [aux_sym_end_program_statement_token2] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [1966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6248),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_program_statement_token2] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [1969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_end_function_statement_token1] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [1971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_end_function_statement_token1] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [1972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_end_function_statement_token1] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [1973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [1974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_end_function_statement_token1] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [1977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_end_function_statement_token1] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1978] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [1979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_end_function_statement_token1] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [1980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [aux_sym_end_program_statement_token2] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [1981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6250),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1982] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1983] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_end_function_statement_token1] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [1984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6252),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_assign_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_end_function_statement_token1] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [1986] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [1987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [1988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6254),
    [aux_sym_preproc_def_token1] = ACTIONS(6254),
    [aux_sym_preproc_if_token1] = ACTIONS(6254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6254),
    [sym_preproc_directive] = ACTIONS(6254),
    [anon_sym_LPAREN2] = ACTIONS(6254),
    [anon_sym_PLUS] = ACTIONS(6256),
    [anon_sym_DASH] = ACTIONS(6256),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6254),
    [anon_sym_SEMI] = ACTIONS(6256),
    [aux_sym_interface_statement_token1] = ACTIONS(6254),
    [aux_sym_block_data_statement_token1] = ACTIONS(6254),
    [aux_sym_block_data_statement_token2] = ACTIONS(6254),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6254),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6254),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6254),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6254),
    [aux_sym_language_binding_token1] = ACTIONS(6254),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6254),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6254),
    [aux_sym_contains_statement_token1] = ACTIONS(6254),
    [aux_sym_use_statement_token1] = ACTIONS(6254),
    [aux_sym_use_statement_token2] = ACTIONS(6254),
    [aux_sym_implicit_statement_token1] = ACTIONS(6254),
    [aux_sym_implicit_statement_token3] = ACTIONS(6254),
    [aux_sym_implicit_statement_token4] = ACTIONS(6254),
    [aux_sym_save_statement_token1] = ACTIONS(6254),
    [aux_sym_private_statement_token1] = ACTIONS(6254),
    [aux_sym_public_statement_token1] = ACTIONS(6254),
    [aux_sym_namelist_statement_token1] = ACTIONS(6254),
    [aux_sym_common_statement_token1] = ACTIONS(6254),
    [aux_sym_import_statement_token1] = ACTIONS(6254),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6254),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6254),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6254),
    [aux_sym_variable_attributes_token1] = ACTIONS(6254),
    [aux_sym_variable_attributes_token2] = ACTIONS(6254),
    [aux_sym_variable_attributes_token3] = ACTIONS(6254),
    [aux_sym_variable_attributes_token4] = ACTIONS(6254),
    [aux_sym_variable_attributes_token5] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6254),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6254),
    [aux_sym_derived_type_token1] = ACTIONS(6254),
    [aux_sym_declared_type_token1] = ACTIONS(6254),
    [aux_sym_declared_type_token2] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6254),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6254),
    [aux_sym_type_qualifier_token1] = ACTIONS(6254),
    [aux_sym_type_qualifier_token2] = ACTIONS(6254),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6254),
    [aux_sym_stop_statement_token1] = ACTIONS(6254),
    [aux_sym_stop_statement_token2] = ACTIONS(6254),
    [aux_sym_subroutine_call_token1] = ACTIONS(6254),
    [aux_sym_keyword_statement_token1] = ACTIONS(6254),
    [aux_sym_keyword_statement_token2] = ACTIONS(6254),
    [aux_sym_keyword_statement_token3] = ACTIONS(6254),
    [aux_sym_keyword_statement_token4] = ACTIONS(6254),
    [aux_sym_keyword_statement_token6] = ACTIONS(6254),
    [aux_sym_keyword_statement_token7] = ACTIONS(6254),
    [aux_sym_include_statement_token1] = ACTIONS(6254),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6254),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6254),
    [aux_sym_end_if_statement_token1] = ACTIONS(6254),
    [aux_sym_elseif_clause_token2] = ACTIONS(6254),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6254),
    [aux_sym_select_case_statement_token1] = ACTIONS(6254),
    [aux_sym_select_case_statement_token3] = ACTIONS(6254),
    [aux_sym_select_type_statement_token1] = ACTIONS(6254),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6254),
    [aux_sym_associate_statement_token1] = ACTIONS(6254),
    [aux_sym_format_statement_token1] = ACTIONS(6254),
    [aux_sym_print_statement_token1] = ACTIONS(6254),
    [aux_sym_open_statement_token1] = ACTIONS(6254),
    [aux_sym_close_statement_token1] = ACTIONS(6254),
    [aux_sym_inquire_statement_token1] = ACTIONS(6254),
    [aux_sym_enum_statement_token1] = ACTIONS(6254),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6254),
    [aux_sym_file_position_statement_token1] = ACTIONS(6254),
    [aux_sym_file_position_statement_token2] = ACTIONS(6254),
    [aux_sym_file_position_statement_token3] = ACTIONS(6254),
    [aux_sym_file_position_statement_token4] = ACTIONS(6254),
    [aux_sym_allocate_statement_token1] = ACTIONS(6254),
    [aux_sym_entry_statement_token1] = ACTIONS(6254),
    [aux_sym_assign_statement_token1] = ACTIONS(6254),
    [aux_sym_logical_expression_token5] = ACTIONS(6256),
    [anon_sym_DOT] = ACTIONS(6254),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6256),
    [anon_sym_LBRACK] = ACTIONS(6256),
    [aux_sym_boolean_literal_token1] = ACTIONS(6256),
    [aux_sym_boolean_literal_token2] = ACTIONS(6256),
    [aux_sym_null_literal_token1] = ACTIONS(6254),
    [aux_sym_coarray_statement_token1] = ACTIONS(6254),
    [aux_sym_coarray_statement_token2] = ACTIONS(6254),
    [aux_sym_coarray_statement_token6] = ACTIONS(6254),
    [aux_sym_coarray_statement_token8] = ACTIONS(6254),
    [aux_sym_coarray_statement_token11] = ACTIONS(6254),
    [aux_sym_coarray_statement_token12] = ACTIONS(6254),
    [aux_sym_coarray_statement_token13] = ACTIONS(6254),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6254),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6254),
    [aux_sym_identifier_token1] = ACTIONS(6254),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6256),
    [sym__float_literal] = ACTIONS(6256),
    [sym__boz_literal] = ACTIONS(6256),
    [sym__string_literal] = ACTIONS(6256),
    [sym__string_literal_kind] = ACTIONS(6256),
  },
  [1989] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6258),
    [aux_sym_preproc_def_token1] = ACTIONS(6258),
    [aux_sym_preproc_if_token1] = ACTIONS(6258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6258),
    [sym_preproc_directive] = ACTIONS(6258),
    [anon_sym_LPAREN2] = ACTIONS(6258),
    [anon_sym_PLUS] = ACTIONS(6260),
    [anon_sym_DASH] = ACTIONS(6260),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6258),
    [anon_sym_SEMI] = ACTIONS(6260),
    [aux_sym_interface_statement_token1] = ACTIONS(6258),
    [aux_sym_block_data_statement_token1] = ACTIONS(6258),
    [aux_sym_block_data_statement_token2] = ACTIONS(6258),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6258),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6258),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6258),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6258),
    [aux_sym_language_binding_token1] = ACTIONS(6258),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6258),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6258),
    [aux_sym_contains_statement_token1] = ACTIONS(6258),
    [aux_sym_use_statement_token1] = ACTIONS(6258),
    [aux_sym_use_statement_token2] = ACTIONS(6258),
    [aux_sym_implicit_statement_token1] = ACTIONS(6258),
    [aux_sym_implicit_statement_token3] = ACTIONS(6258),
    [aux_sym_implicit_statement_token4] = ACTIONS(6258),
    [aux_sym_save_statement_token1] = ACTIONS(6258),
    [aux_sym_private_statement_token1] = ACTIONS(6258),
    [aux_sym_public_statement_token1] = ACTIONS(6258),
    [aux_sym_namelist_statement_token1] = ACTIONS(6258),
    [aux_sym_common_statement_token1] = ACTIONS(6258),
    [aux_sym_import_statement_token1] = ACTIONS(6258),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6258),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6258),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6258),
    [aux_sym_variable_attributes_token1] = ACTIONS(6258),
    [aux_sym_variable_attributes_token2] = ACTIONS(6258),
    [aux_sym_variable_attributes_token3] = ACTIONS(6258),
    [aux_sym_variable_attributes_token4] = ACTIONS(6258),
    [aux_sym_variable_attributes_token5] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6258),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6258),
    [aux_sym_derived_type_token1] = ACTIONS(6258),
    [aux_sym_declared_type_token1] = ACTIONS(6258),
    [aux_sym_declared_type_token2] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6258),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6258),
    [aux_sym_type_qualifier_token1] = ACTIONS(6258),
    [aux_sym_type_qualifier_token2] = ACTIONS(6258),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6258),
    [aux_sym_stop_statement_token1] = ACTIONS(6258),
    [aux_sym_stop_statement_token2] = ACTIONS(6258),
    [aux_sym_subroutine_call_token1] = ACTIONS(6258),
    [aux_sym_keyword_statement_token1] = ACTIONS(6258),
    [aux_sym_keyword_statement_token2] = ACTIONS(6258),
    [aux_sym_keyword_statement_token3] = ACTIONS(6258),
    [aux_sym_keyword_statement_token4] = ACTIONS(6258),
    [aux_sym_keyword_statement_token6] = ACTIONS(6258),
    [aux_sym_keyword_statement_token7] = ACTIONS(6258),
    [aux_sym_include_statement_token1] = ACTIONS(6258),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6258),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6258),
    [aux_sym_end_if_statement_token1] = ACTIONS(6258),
    [aux_sym_elseif_clause_token2] = ACTIONS(6258),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6258),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6258),
    [aux_sym_select_case_statement_token1] = ACTIONS(6258),
    [aux_sym_select_case_statement_token3] = ACTIONS(6258),
    [aux_sym_select_type_statement_token1] = ACTIONS(6258),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6258),
    [aux_sym_associate_statement_token1] = ACTIONS(6258),
    [aux_sym_format_statement_token1] = ACTIONS(6258),
    [aux_sym_print_statement_token1] = ACTIONS(6258),
    [aux_sym_open_statement_token1] = ACTIONS(6258),
    [aux_sym_close_statement_token1] = ACTIONS(6258),
    [aux_sym_inquire_statement_token1] = ACTIONS(6258),
    [aux_sym_enum_statement_token1] = ACTIONS(6258),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6258),
    [aux_sym_file_position_statement_token1] = ACTIONS(6258),
    [aux_sym_file_position_statement_token2] = ACTIONS(6258),
    [aux_sym_file_position_statement_token3] = ACTIONS(6258),
    [aux_sym_file_position_statement_token4] = ACTIONS(6258),
    [aux_sym_allocate_statement_token1] = ACTIONS(6258),
    [aux_sym_entry_statement_token1] = ACTIONS(6258),
    [aux_sym_assign_statement_token1] = ACTIONS(6258),
    [aux_sym_logical_expression_token5] = ACTIONS(6260),
    [anon_sym_DOT] = ACTIONS(6258),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6260),
    [anon_sym_LBRACK] = ACTIONS(6260),
    [aux_sym_boolean_literal_token1] = ACTIONS(6260),
    [aux_sym_boolean_literal_token2] = ACTIONS(6260),
    [aux_sym_null_literal_token1] = ACTIONS(6258),
    [aux_sym_coarray_statement_token1] = ACTIONS(6258),
    [aux_sym_coarray_statement_token2] = ACTIONS(6258),
    [aux_sym_coarray_statement_token6] = ACTIONS(6258),
    [aux_sym_coarray_statement_token8] = ACTIONS(6258),
    [aux_sym_coarray_statement_token11] = ACTIONS(6258),
    [aux_sym_coarray_statement_token12] = ACTIONS(6258),
    [aux_sym_coarray_statement_token13] = ACTIONS(6258),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6258),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6258),
    [aux_sym_identifier_token1] = ACTIONS(6258),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6260),
    [sym__float_literal] = ACTIONS(6260),
    [sym__boz_literal] = ACTIONS(6260),
    [sym__string_literal] = ACTIONS(6260),
    [sym__string_literal_kind] = ACTIONS(6260),
  },
  [1990] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6262),
    [aux_sym_preproc_def_token1] = ACTIONS(6262),
    [aux_sym_preproc_if_token1] = ACTIONS(6262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6262),
    [sym_preproc_directive] = ACTIONS(6262),
    [anon_sym_LPAREN2] = ACTIONS(6262),
    [anon_sym_PLUS] = ACTIONS(6264),
    [anon_sym_DASH] = ACTIONS(6264),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6262),
    [anon_sym_SEMI] = ACTIONS(6264),
    [aux_sym_interface_statement_token1] = ACTIONS(6262),
    [aux_sym_block_data_statement_token1] = ACTIONS(6262),
    [aux_sym_block_data_statement_token2] = ACTIONS(6262),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6262),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6262),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6262),
    [aux_sym_language_binding_token1] = ACTIONS(6262),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6262),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6262),
    [aux_sym_end_function_statement_token1] = ACTIONS(6262),
    [aux_sym_contains_statement_token1] = ACTIONS(6262),
    [aux_sym_use_statement_token1] = ACTIONS(6262),
    [aux_sym_use_statement_token2] = ACTIONS(6262),
    [aux_sym_implicit_statement_token1] = ACTIONS(6262),
    [aux_sym_implicit_statement_token3] = ACTIONS(6262),
    [aux_sym_implicit_statement_token4] = ACTIONS(6262),
    [aux_sym_save_statement_token1] = ACTIONS(6262),
    [aux_sym_private_statement_token1] = ACTIONS(6262),
    [aux_sym_public_statement_token1] = ACTIONS(6262),
    [aux_sym_namelist_statement_token1] = ACTIONS(6262),
    [aux_sym_common_statement_token1] = ACTIONS(6262),
    [aux_sym_import_statement_token1] = ACTIONS(6262),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6262),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6262),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6262),
    [aux_sym_variable_attributes_token1] = ACTIONS(6262),
    [aux_sym_variable_attributes_token2] = ACTIONS(6262),
    [aux_sym_variable_attributes_token3] = ACTIONS(6262),
    [aux_sym_variable_attributes_token4] = ACTIONS(6262),
    [aux_sym_variable_attributes_token5] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6262),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6262),
    [aux_sym_derived_type_token1] = ACTIONS(6262),
    [aux_sym_declared_type_token1] = ACTIONS(6262),
    [aux_sym_declared_type_token2] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6262),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6262),
    [aux_sym_type_qualifier_token1] = ACTIONS(6262),
    [aux_sym_type_qualifier_token2] = ACTIONS(6262),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6262),
    [aux_sym_stop_statement_token1] = ACTIONS(6262),
    [aux_sym_stop_statement_token2] = ACTIONS(6262),
    [aux_sym_subroutine_call_token1] = ACTIONS(6262),
    [aux_sym_keyword_statement_token1] = ACTIONS(6262),
    [aux_sym_keyword_statement_token2] = ACTIONS(6262),
    [aux_sym_keyword_statement_token3] = ACTIONS(6262),
    [aux_sym_keyword_statement_token4] = ACTIONS(6262),
    [aux_sym_keyword_statement_token6] = ACTIONS(6262),
    [aux_sym_keyword_statement_token7] = ACTIONS(6262),
    [aux_sym_include_statement_token1] = ACTIONS(6262),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6262),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6262),
    [aux_sym_end_if_statement_token1] = ACTIONS(6262),
    [aux_sym_elseif_clause_token2] = ACTIONS(6262),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6262),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6262),
    [aux_sym_select_case_statement_token1] = ACTIONS(6262),
    [aux_sym_select_case_statement_token3] = ACTIONS(6262),
    [aux_sym_select_type_statement_token1] = ACTIONS(6262),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6262),
    [aux_sym_associate_statement_token1] = ACTIONS(6262),
    [aux_sym_format_statement_token1] = ACTIONS(6262),
    [aux_sym_print_statement_token1] = ACTIONS(6262),
    [aux_sym_open_statement_token1] = ACTIONS(6262),
    [aux_sym_close_statement_token1] = ACTIONS(6262),
    [aux_sym_inquire_statement_token1] = ACTIONS(6262),
    [aux_sym_enum_statement_token1] = ACTIONS(6262),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6262),
    [aux_sym_file_position_statement_token1] = ACTIONS(6262),
    [aux_sym_file_position_statement_token2] = ACTIONS(6262),
    [aux_sym_file_position_statement_token3] = ACTIONS(6262),
    [aux_sym_file_position_statement_token4] = ACTIONS(6262),
    [aux_sym_allocate_statement_token1] = ACTIONS(6262),
    [aux_sym_entry_statement_token1] = ACTIONS(6262),
    [aux_sym_assign_statement_token1] = ACTIONS(6262),
    [aux_sym_logical_expression_token5] = ACTIONS(6264),
    [anon_sym_DOT] = ACTIONS(6262),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6264),
    [anon_sym_LBRACK] = ACTIONS(6264),
    [aux_sym_boolean_literal_token1] = ACTIONS(6264),
    [aux_sym_boolean_literal_token2] = ACTIONS(6264),
    [aux_sym_null_literal_token1] = ACTIONS(6262),
    [aux_sym_coarray_statement_token1] = ACTIONS(6262),
    [aux_sym_coarray_statement_token2] = ACTIONS(6262),
    [aux_sym_coarray_statement_token6] = ACTIONS(6262),
    [aux_sym_coarray_statement_token8] = ACTIONS(6262),
    [aux_sym_coarray_statement_token11] = ACTIONS(6262),
    [aux_sym_coarray_statement_token12] = ACTIONS(6262),
    [aux_sym_coarray_statement_token13] = ACTIONS(6262),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6262),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6262),
    [aux_sym_identifier_token1] = ACTIONS(6262),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6264),
    [sym__float_literal] = ACTIONS(6264),
    [sym__boz_literal] = ACTIONS(6264),
    [sym__string_literal] = ACTIONS(6264),
    [sym__string_literal_kind] = ACTIONS(6264),
  },
  [1991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6266),
    [aux_sym_preproc_def_token1] = ACTIONS(6266),
    [aux_sym_preproc_if_token1] = ACTIONS(6266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6266),
    [sym_preproc_directive] = ACTIONS(6266),
    [anon_sym_LPAREN2] = ACTIONS(6266),
    [anon_sym_PLUS] = ACTIONS(6268),
    [anon_sym_DASH] = ACTIONS(6268),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6266),
    [anon_sym_SEMI] = ACTIONS(6268),
    [aux_sym_interface_statement_token1] = ACTIONS(6266),
    [aux_sym_block_data_statement_token1] = ACTIONS(6266),
    [aux_sym_block_data_statement_token2] = ACTIONS(6266),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6266),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6266),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6266),
    [aux_sym_language_binding_token1] = ACTIONS(6266),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6266),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6266),
    [aux_sym_end_function_statement_token1] = ACTIONS(6266),
    [aux_sym_contains_statement_token1] = ACTIONS(6266),
    [aux_sym_use_statement_token1] = ACTIONS(6266),
    [aux_sym_use_statement_token2] = ACTIONS(6266),
    [aux_sym_implicit_statement_token1] = ACTIONS(6266),
    [aux_sym_implicit_statement_token3] = ACTIONS(6266),
    [aux_sym_implicit_statement_token4] = ACTIONS(6266),
    [aux_sym_save_statement_token1] = ACTIONS(6266),
    [aux_sym_private_statement_token1] = ACTIONS(6266),
    [aux_sym_public_statement_token1] = ACTIONS(6266),
    [aux_sym_namelist_statement_token1] = ACTIONS(6266),
    [aux_sym_common_statement_token1] = ACTIONS(6266),
    [aux_sym_import_statement_token1] = ACTIONS(6266),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6266),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6266),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6266),
    [aux_sym_variable_attributes_token1] = ACTIONS(6266),
    [aux_sym_variable_attributes_token2] = ACTIONS(6266),
    [aux_sym_variable_attributes_token3] = ACTIONS(6266),
    [aux_sym_variable_attributes_token4] = ACTIONS(6266),
    [aux_sym_variable_attributes_token5] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6266),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6266),
    [aux_sym_derived_type_token1] = ACTIONS(6266),
    [aux_sym_declared_type_token1] = ACTIONS(6266),
    [aux_sym_declared_type_token2] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6266),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6266),
    [aux_sym_type_qualifier_token1] = ACTIONS(6266),
    [aux_sym_type_qualifier_token2] = ACTIONS(6266),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6266),
    [aux_sym_stop_statement_token1] = ACTIONS(6266),
    [aux_sym_stop_statement_token2] = ACTIONS(6266),
    [aux_sym_subroutine_call_token1] = ACTIONS(6266),
    [aux_sym_keyword_statement_token1] = ACTIONS(6266),
    [aux_sym_keyword_statement_token2] = ACTIONS(6266),
    [aux_sym_keyword_statement_token3] = ACTIONS(6266),
    [aux_sym_keyword_statement_token4] = ACTIONS(6266),
    [aux_sym_keyword_statement_token6] = ACTIONS(6266),
    [aux_sym_keyword_statement_token7] = ACTIONS(6266),
    [aux_sym_include_statement_token1] = ACTIONS(6266),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6266),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6266),
    [aux_sym_end_if_statement_token1] = ACTIONS(6266),
    [aux_sym_elseif_clause_token2] = ACTIONS(6266),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6266),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6266),
    [aux_sym_select_case_statement_token1] = ACTIONS(6266),
    [aux_sym_select_case_statement_token3] = ACTIONS(6266),
    [aux_sym_select_type_statement_token1] = ACTIONS(6266),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6266),
    [aux_sym_associate_statement_token1] = ACTIONS(6266),
    [aux_sym_format_statement_token1] = ACTIONS(6266),
    [aux_sym_print_statement_token1] = ACTIONS(6266),
    [aux_sym_open_statement_token1] = ACTIONS(6266),
    [aux_sym_close_statement_token1] = ACTIONS(6266),
    [aux_sym_inquire_statement_token1] = ACTIONS(6266),
    [aux_sym_enum_statement_token1] = ACTIONS(6266),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6266),
    [aux_sym_file_position_statement_token1] = ACTIONS(6266),
    [aux_sym_file_position_statement_token2] = ACTIONS(6266),
    [aux_sym_file_position_statement_token3] = ACTIONS(6266),
    [aux_sym_file_position_statement_token4] = ACTIONS(6266),
    [aux_sym_allocate_statement_token1] = ACTIONS(6266),
    [aux_sym_entry_statement_token1] = ACTIONS(6266),
    [aux_sym_assign_statement_token1] = ACTIONS(6266),
    [aux_sym_logical_expression_token5] = ACTIONS(6268),
    [anon_sym_DOT] = ACTIONS(6266),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6268),
    [anon_sym_LBRACK] = ACTIONS(6268),
    [aux_sym_boolean_literal_token1] = ACTIONS(6268),
    [aux_sym_boolean_literal_token2] = ACTIONS(6268),
    [aux_sym_null_literal_token1] = ACTIONS(6266),
    [aux_sym_coarray_statement_token1] = ACTIONS(6266),
    [aux_sym_coarray_statement_token2] = ACTIONS(6266),
    [aux_sym_coarray_statement_token6] = ACTIONS(6266),
    [aux_sym_coarray_statement_token8] = ACTIONS(6266),
    [aux_sym_coarray_statement_token11] = ACTIONS(6266),
    [aux_sym_coarray_statement_token12] = ACTIONS(6266),
    [aux_sym_coarray_statement_token13] = ACTIONS(6266),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6266),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6266),
    [aux_sym_identifier_token1] = ACTIONS(6266),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6268),
    [sym__float_literal] = ACTIONS(6268),
    [sym__boz_literal] = ACTIONS(6268),
    [sym__string_literal] = ACTIONS(6268),
    [sym__string_literal_kind] = ACTIONS(6268),
  },
  [1992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [aux_sym_end_program_statement_token2] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [1993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_end_function_statement_token1] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_end_function_statement_token1] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [1995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_keyword_statement_token6] = ACTIONS(5802),
    [aux_sym_keyword_statement_token7] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token3] = ACTIONS(5802),
    [aux_sym_select_type_statement_token1] = ACTIONS(5802),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5802),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5802),
    [aux_sym_associate_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_close_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token1] = ACTIONS(5802),
    [aux_sym_file_position_statement_token2] = ACTIONS(5802),
    [aux_sym_file_position_statement_token3] = ACTIONS(5802),
    [aux_sym_file_position_statement_token4] = ACTIONS(5802),
    [aux_sym_allocate_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_assign_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_statement_token13] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [1997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_keyword_statement_token6] = ACTIONS(5662),
    [aux_sym_keyword_statement_token7] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token3] = ACTIONS(5662),
    [aux_sym_select_type_statement_token1] = ACTIONS(5662),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5662),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5662),
    [aux_sym_associate_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_close_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token1] = ACTIONS(5662),
    [aux_sym_file_position_statement_token2] = ACTIONS(5662),
    [aux_sym_file_position_statement_token3] = ACTIONS(5662),
    [aux_sym_file_position_statement_token4] = ACTIONS(5662),
    [aux_sym_allocate_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_assign_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_statement_token13] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [1998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_keyword_statement_token6] = ACTIONS(5746),
    [aux_sym_keyword_statement_token7] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token3] = ACTIONS(5746),
    [aux_sym_select_type_statement_token1] = ACTIONS(5746),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5746),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5746),
    [aux_sym_associate_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_close_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token1] = ACTIONS(5746),
    [aux_sym_file_position_statement_token2] = ACTIONS(5746),
    [aux_sym_file_position_statement_token3] = ACTIONS(5746),
    [aux_sym_file_position_statement_token4] = ACTIONS(5746),
    [aux_sym_allocate_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_assign_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_statement_token13] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [1999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_keyword_statement_token6] = ACTIONS(5720),
    [aux_sym_keyword_statement_token7] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token3] = ACTIONS(5720),
    [aux_sym_select_type_statement_token1] = ACTIONS(5720),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5720),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5720),
    [aux_sym_associate_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_close_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token1] = ACTIONS(5720),
    [aux_sym_file_position_statement_token2] = ACTIONS(5720),
    [aux_sym_file_position_statement_token3] = ACTIONS(5720),
    [aux_sym_file_position_statement_token4] = ACTIONS(5720),
    [aux_sym_allocate_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_assign_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_statement_token13] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [2000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_keyword_statement_token6] = ACTIONS(5700),
    [aux_sym_keyword_statement_token7] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token3] = ACTIONS(5700),
    [aux_sym_select_type_statement_token1] = ACTIONS(5700),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5700),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5700),
    [aux_sym_associate_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_close_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token1] = ACTIONS(5700),
    [aux_sym_file_position_statement_token2] = ACTIONS(5700),
    [aux_sym_file_position_statement_token3] = ACTIONS(5700),
    [aux_sym_file_position_statement_token4] = ACTIONS(5700),
    [aux_sym_allocate_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_assign_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_statement_token13] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [2001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_keyword_statement_token6] = ACTIONS(5704),
    [aux_sym_keyword_statement_token7] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token3] = ACTIONS(5704),
    [aux_sym_select_type_statement_token1] = ACTIONS(5704),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5704),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5704),
    [aux_sym_associate_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_close_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token1] = ACTIONS(5704),
    [aux_sym_file_position_statement_token2] = ACTIONS(5704),
    [aux_sym_file_position_statement_token3] = ACTIONS(5704),
    [aux_sym_file_position_statement_token4] = ACTIONS(5704),
    [aux_sym_allocate_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_assign_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_statement_token13] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [2003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_keyword_statement_token6] = ACTIONS(5738),
    [aux_sym_keyword_statement_token7] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token3] = ACTIONS(5738),
    [aux_sym_select_type_statement_token1] = ACTIONS(5738),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5738),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5738),
    [aux_sym_associate_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_close_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token1] = ACTIONS(5738),
    [aux_sym_file_position_statement_token2] = ACTIONS(5738),
    [aux_sym_file_position_statement_token3] = ACTIONS(5738),
    [aux_sym_file_position_statement_token4] = ACTIONS(5738),
    [aux_sym_allocate_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_assign_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_statement_token13] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [2004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_keyword_statement_token6] = ACTIONS(5742),
    [aux_sym_keyword_statement_token7] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token3] = ACTIONS(5742),
    [aux_sym_select_type_statement_token1] = ACTIONS(5742),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5742),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5742),
    [aux_sym_associate_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_close_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token1] = ACTIONS(5742),
    [aux_sym_file_position_statement_token2] = ACTIONS(5742),
    [aux_sym_file_position_statement_token3] = ACTIONS(5742),
    [aux_sym_file_position_statement_token4] = ACTIONS(5742),
    [aux_sym_allocate_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_assign_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_statement_token13] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [2005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_keyword_statement_token6] = ACTIONS(5216),
    [aux_sym_keyword_statement_token7] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token3] = ACTIONS(5216),
    [aux_sym_select_type_statement_token1] = ACTIONS(5216),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5216),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5216),
    [aux_sym_associate_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_close_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token1] = ACTIONS(5216),
    [aux_sym_file_position_statement_token2] = ACTIONS(5216),
    [aux_sym_file_position_statement_token3] = ACTIONS(5216),
    [aux_sym_file_position_statement_token4] = ACTIONS(5216),
    [aux_sym_allocate_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_assign_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_statement_token13] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [2006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_keyword_statement_token6] = ACTIONS(5724),
    [aux_sym_keyword_statement_token7] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token3] = ACTIONS(5724),
    [aux_sym_select_type_statement_token1] = ACTIONS(5724),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5724),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5724),
    [aux_sym_associate_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_close_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token1] = ACTIONS(5724),
    [aux_sym_file_position_statement_token2] = ACTIONS(5724),
    [aux_sym_file_position_statement_token3] = ACTIONS(5724),
    [aux_sym_file_position_statement_token4] = ACTIONS(5724),
    [aux_sym_allocate_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_assign_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_statement_token13] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [2007] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_assign_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [2009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2010] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_keyword_statement_token6] = ACTIONS(5750),
    [aux_sym_keyword_statement_token7] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token3] = ACTIONS(5750),
    [aux_sym_select_type_statement_token1] = ACTIONS(5750),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5750),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5750),
    [aux_sym_associate_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_close_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token1] = ACTIONS(5750),
    [aux_sym_file_position_statement_token2] = ACTIONS(5750),
    [aux_sym_file_position_statement_token3] = ACTIONS(5750),
    [aux_sym_file_position_statement_token4] = ACTIONS(5750),
    [aux_sym_allocate_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_assign_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_statement_token13] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [2011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_keyword_statement_token6] = ACTIONS(5224),
    [aux_sym_keyword_statement_token7] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token3] = ACTIONS(5224),
    [aux_sym_select_type_statement_token1] = ACTIONS(5224),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5224),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5224),
    [aux_sym_associate_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_close_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token1] = ACTIONS(5224),
    [aux_sym_file_position_statement_token2] = ACTIONS(5224),
    [aux_sym_file_position_statement_token3] = ACTIONS(5224),
    [aux_sym_file_position_statement_token4] = ACTIONS(5224),
    [aux_sym_allocate_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_assign_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_statement_token13] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [2012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_keyword_statement_token6] = ACTIONS(5160),
    [aux_sym_keyword_statement_token7] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token3] = ACTIONS(5160),
    [aux_sym_select_type_statement_token1] = ACTIONS(5160),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5160),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5160),
    [aux_sym_associate_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_close_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token1] = ACTIONS(5160),
    [aux_sym_file_position_statement_token2] = ACTIONS(5160),
    [aux_sym_file_position_statement_token3] = ACTIONS(5160),
    [aux_sym_file_position_statement_token4] = ACTIONS(5160),
    [aux_sym_allocate_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_assign_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_statement_token13] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [2013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2019] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_keyword_statement_token6] = ACTIONS(5676),
    [aux_sym_keyword_statement_token7] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token3] = ACTIONS(5676),
    [aux_sym_select_type_statement_token1] = ACTIONS(5676),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5676),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5676),
    [aux_sym_associate_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_close_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token1] = ACTIONS(5676),
    [aux_sym_file_position_statement_token2] = ACTIONS(5676),
    [aux_sym_file_position_statement_token3] = ACTIONS(5676),
    [aux_sym_file_position_statement_token4] = ACTIONS(5676),
    [aux_sym_allocate_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_assign_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_statement_token13] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [2021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_keyword_statement_token6] = ACTIONS(5684),
    [aux_sym_keyword_statement_token7] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token3] = ACTIONS(5684),
    [aux_sym_select_type_statement_token1] = ACTIONS(5684),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5684),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5684),
    [aux_sym_associate_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_close_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token1] = ACTIONS(5684),
    [aux_sym_file_position_statement_token2] = ACTIONS(5684),
    [aux_sym_file_position_statement_token3] = ACTIONS(5684),
    [aux_sym_file_position_statement_token4] = ACTIONS(5684),
    [aux_sym_allocate_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_assign_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_statement_token13] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [2022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_keyword_statement_token6] = ACTIONS(5766),
    [aux_sym_keyword_statement_token7] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token3] = ACTIONS(5766),
    [aux_sym_select_type_statement_token1] = ACTIONS(5766),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5766),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5766),
    [aux_sym_associate_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_close_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token1] = ACTIONS(5766),
    [aux_sym_file_position_statement_token2] = ACTIONS(5766),
    [aux_sym_file_position_statement_token3] = ACTIONS(5766),
    [aux_sym_file_position_statement_token4] = ACTIONS(5766),
    [aux_sym_allocate_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_assign_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_statement_token13] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [2023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_keyword_statement_token6] = ACTIONS(5770),
    [aux_sym_keyword_statement_token7] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token3] = ACTIONS(5770),
    [aux_sym_select_type_statement_token1] = ACTIONS(5770),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5770),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5770),
    [aux_sym_associate_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_close_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token1] = ACTIONS(5770),
    [aux_sym_file_position_statement_token2] = ACTIONS(5770),
    [aux_sym_file_position_statement_token3] = ACTIONS(5770),
    [aux_sym_file_position_statement_token4] = ACTIONS(5770),
    [aux_sym_allocate_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_assign_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_statement_token13] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [2024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_keyword_statement_token6] = ACTIONS(5236),
    [aux_sym_keyword_statement_token7] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token3] = ACTIONS(5236),
    [aux_sym_select_type_statement_token1] = ACTIONS(5236),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5236),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5236),
    [aux_sym_associate_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_close_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token1] = ACTIONS(5236),
    [aux_sym_file_position_statement_token2] = ACTIONS(5236),
    [aux_sym_file_position_statement_token3] = ACTIONS(5236),
    [aux_sym_file_position_statement_token4] = ACTIONS(5236),
    [aux_sym_allocate_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_assign_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_statement_token13] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [2025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_keyword_statement_token6] = ACTIONS(5240),
    [aux_sym_keyword_statement_token7] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token3] = ACTIONS(5240),
    [aux_sym_select_type_statement_token1] = ACTIONS(5240),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5240),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5240),
    [aux_sym_associate_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_close_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token1] = ACTIONS(5240),
    [aux_sym_file_position_statement_token2] = ACTIONS(5240),
    [aux_sym_file_position_statement_token3] = ACTIONS(5240),
    [aux_sym_file_position_statement_token4] = ACTIONS(5240),
    [aux_sym_allocate_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_assign_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_statement_token13] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [2026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_keyword_statement_token6] = ACTIONS(5754),
    [aux_sym_keyword_statement_token7] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token3] = ACTIONS(5754),
    [aux_sym_select_type_statement_token1] = ACTIONS(5754),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5754),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5754),
    [aux_sym_associate_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_close_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token1] = ACTIONS(5754),
    [aux_sym_file_position_statement_token2] = ACTIONS(5754),
    [aux_sym_file_position_statement_token3] = ACTIONS(5754),
    [aux_sym_file_position_statement_token4] = ACTIONS(5754),
    [aux_sym_allocate_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_assign_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_statement_token13] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [2027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_keyword_statement_token6] = ACTIONS(5716),
    [aux_sym_keyword_statement_token7] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token3] = ACTIONS(5716),
    [aux_sym_select_type_statement_token1] = ACTIONS(5716),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5716),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5716),
    [aux_sym_associate_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_close_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token1] = ACTIONS(5716),
    [aux_sym_file_position_statement_token2] = ACTIONS(5716),
    [aux_sym_file_position_statement_token3] = ACTIONS(5716),
    [aux_sym_file_position_statement_token4] = ACTIONS(5716),
    [aux_sym_allocate_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_assign_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_statement_token13] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [2029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_keyword_statement_token6] = ACTIONS(5758),
    [aux_sym_keyword_statement_token7] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token3] = ACTIONS(5758),
    [aux_sym_select_type_statement_token1] = ACTIONS(5758),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5758),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5758),
    [aux_sym_associate_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_close_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token1] = ACTIONS(5758),
    [aux_sym_file_position_statement_token2] = ACTIONS(5758),
    [aux_sym_file_position_statement_token3] = ACTIONS(5758),
    [aux_sym_file_position_statement_token4] = ACTIONS(5758),
    [aux_sym_allocate_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_assign_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_statement_token13] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [2031] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_keyword_statement_token6] = ACTIONS(5762),
    [aux_sym_keyword_statement_token7] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token3] = ACTIONS(5762),
    [aux_sym_select_type_statement_token1] = ACTIONS(5762),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5762),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5762),
    [aux_sym_associate_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_close_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token1] = ACTIONS(5762),
    [aux_sym_file_position_statement_token2] = ACTIONS(5762),
    [aux_sym_file_position_statement_token3] = ACTIONS(5762),
    [aux_sym_file_position_statement_token4] = ACTIONS(5762),
    [aux_sym_allocate_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_assign_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_statement_token13] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [2032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_keyword_statement_token6] = ACTIONS(5688),
    [aux_sym_keyword_statement_token7] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token3] = ACTIONS(5688),
    [aux_sym_select_type_statement_token1] = ACTIONS(5688),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5688),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5688),
    [aux_sym_associate_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_close_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token1] = ACTIONS(5688),
    [aux_sym_file_position_statement_token2] = ACTIONS(5688),
    [aux_sym_file_position_statement_token3] = ACTIONS(5688),
    [aux_sym_file_position_statement_token4] = ACTIONS(5688),
    [aux_sym_allocate_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_assign_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_statement_token13] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_keyword_statement_token6] = ACTIONS(5176),
    [aux_sym_keyword_statement_token7] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token3] = ACTIONS(5176),
    [aux_sym_select_type_statement_token1] = ACTIONS(5176),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5176),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5176),
    [aux_sym_associate_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_close_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token1] = ACTIONS(5176),
    [aux_sym_file_position_statement_token2] = ACTIONS(5176),
    [aux_sym_file_position_statement_token3] = ACTIONS(5176),
    [aux_sym_file_position_statement_token4] = ACTIONS(5176),
    [aux_sym_allocate_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_assign_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_statement_token13] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2034] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_keyword_statement_token6] = ACTIONS(5806),
    [aux_sym_keyword_statement_token7] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token3] = ACTIONS(5806),
    [aux_sym_select_type_statement_token1] = ACTIONS(5806),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5806),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5806),
    [aux_sym_associate_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_close_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token1] = ACTIONS(5806),
    [aux_sym_file_position_statement_token2] = ACTIONS(5806),
    [aux_sym_file_position_statement_token3] = ACTIONS(5806),
    [aux_sym_file_position_statement_token4] = ACTIONS(5806),
    [aux_sym_allocate_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_assign_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_statement_token13] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [2035] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_keyword_statement_token6] = ACTIONS(5782),
    [aux_sym_keyword_statement_token7] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token3] = ACTIONS(5782),
    [aux_sym_select_type_statement_token1] = ACTIONS(5782),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5782),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5782),
    [aux_sym_associate_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_close_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token1] = ACTIONS(5782),
    [aux_sym_file_position_statement_token2] = ACTIONS(5782),
    [aux_sym_file_position_statement_token3] = ACTIONS(5782),
    [aux_sym_file_position_statement_token4] = ACTIONS(5782),
    [aux_sym_allocate_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_assign_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_statement_token13] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [2036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_keyword_statement_token6] = ACTIONS(5692),
    [aux_sym_keyword_statement_token7] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token3] = ACTIONS(5692),
    [aux_sym_select_type_statement_token1] = ACTIONS(5692),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5692),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5692),
    [aux_sym_associate_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_close_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token1] = ACTIONS(5692),
    [aux_sym_file_position_statement_token2] = ACTIONS(5692),
    [aux_sym_file_position_statement_token3] = ACTIONS(5692),
    [aux_sym_file_position_statement_token4] = ACTIONS(5692),
    [aux_sym_allocate_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_assign_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_statement_token13] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [2037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_keyword_statement_token6] = ACTIONS(5172),
    [aux_sym_keyword_statement_token7] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token3] = ACTIONS(5172),
    [aux_sym_select_type_statement_token1] = ACTIONS(5172),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5172),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5172),
    [aux_sym_associate_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_close_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token1] = ACTIONS(5172),
    [aux_sym_file_position_statement_token2] = ACTIONS(5172),
    [aux_sym_file_position_statement_token3] = ACTIONS(5172),
    [aux_sym_file_position_statement_token4] = ACTIONS(5172),
    [aux_sym_allocate_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_assign_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_statement_token13] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2039] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2040] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_keyword_statement_token6] = ACTIONS(5774),
    [aux_sym_keyword_statement_token7] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token3] = ACTIONS(5774),
    [aux_sym_select_type_statement_token1] = ACTIONS(5774),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5774),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5774),
    [aux_sym_associate_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_close_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token1] = ACTIONS(5774),
    [aux_sym_file_position_statement_token2] = ACTIONS(5774),
    [aux_sym_file_position_statement_token3] = ACTIONS(5774),
    [aux_sym_file_position_statement_token4] = ACTIONS(5774),
    [aux_sym_allocate_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_assign_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_statement_token13] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [2041] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_keyword_statement_token6] = ACTIONS(5778),
    [aux_sym_keyword_statement_token7] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token3] = ACTIONS(5778),
    [aux_sym_select_type_statement_token1] = ACTIONS(5778),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5778),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5778),
    [aux_sym_associate_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_close_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token1] = ACTIONS(5778),
    [aux_sym_file_position_statement_token2] = ACTIONS(5778),
    [aux_sym_file_position_statement_token3] = ACTIONS(5778),
    [aux_sym_file_position_statement_token4] = ACTIONS(5778),
    [aux_sym_allocate_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_assign_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_statement_token13] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [2042] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_keyword_statement_token6] = ACTIONS(5244),
    [aux_sym_keyword_statement_token7] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token3] = ACTIONS(5244),
    [aux_sym_select_type_statement_token1] = ACTIONS(5244),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5244),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5244),
    [aux_sym_associate_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_close_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token1] = ACTIONS(5244),
    [aux_sym_file_position_statement_token2] = ACTIONS(5244),
    [aux_sym_file_position_statement_token3] = ACTIONS(5244),
    [aux_sym_file_position_statement_token4] = ACTIONS(5244),
    [aux_sym_allocate_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_assign_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_statement_token13] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [2043] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_keyword_statement_token6] = ACTIONS(5696),
    [aux_sym_keyword_statement_token7] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token3] = ACTIONS(5696),
    [aux_sym_select_type_statement_token1] = ACTIONS(5696),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5696),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5696),
    [aux_sym_associate_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_close_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token1] = ACTIONS(5696),
    [aux_sym_file_position_statement_token2] = ACTIONS(5696),
    [aux_sym_file_position_statement_token3] = ACTIONS(5696),
    [aux_sym_file_position_statement_token4] = ACTIONS(5696),
    [aux_sym_allocate_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_assign_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_statement_token13] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [2044] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_assign_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2045] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_keyword_statement_token6] = ACTIONS(5786),
    [aux_sym_keyword_statement_token7] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token3] = ACTIONS(5786),
    [aux_sym_select_type_statement_token1] = ACTIONS(5786),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5786),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5786),
    [aux_sym_associate_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_close_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token1] = ACTIONS(5786),
    [aux_sym_file_position_statement_token2] = ACTIONS(5786),
    [aux_sym_file_position_statement_token3] = ACTIONS(5786),
    [aux_sym_file_position_statement_token4] = ACTIONS(5786),
    [aux_sym_allocate_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_assign_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_statement_token13] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [2046] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2047] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_keyword_statement_token6] = ACTIONS(5680),
    [aux_sym_keyword_statement_token7] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token3] = ACTIONS(5680),
    [aux_sym_select_type_statement_token1] = ACTIONS(5680),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5680),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5680),
    [aux_sym_associate_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_close_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token1] = ACTIONS(5680),
    [aux_sym_file_position_statement_token2] = ACTIONS(5680),
    [aux_sym_file_position_statement_token3] = ACTIONS(5680),
    [aux_sym_file_position_statement_token4] = ACTIONS(5680),
    [aux_sym_allocate_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_assign_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_statement_token13] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [2048] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_keyword_statement_token6] = ACTIONS(5570),
    [aux_sym_keyword_statement_token7] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token3] = ACTIONS(5570),
    [aux_sym_select_type_statement_token1] = ACTIONS(5570),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5570),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5570),
    [aux_sym_associate_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_close_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token1] = ACTIONS(5570),
    [aux_sym_file_position_statement_token2] = ACTIONS(5570),
    [aux_sym_file_position_statement_token3] = ACTIONS(5570),
    [aux_sym_file_position_statement_token4] = ACTIONS(5570),
    [aux_sym_allocate_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_assign_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_statement_token13] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2049] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_keyword_statement_token6] = ACTIONS(5790),
    [aux_sym_keyword_statement_token7] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token3] = ACTIONS(5790),
    [aux_sym_select_type_statement_token1] = ACTIONS(5790),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5790),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5790),
    [aux_sym_associate_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_close_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token1] = ACTIONS(5790),
    [aux_sym_file_position_statement_token2] = ACTIONS(5790),
    [aux_sym_file_position_statement_token3] = ACTIONS(5790),
    [aux_sym_file_position_statement_token4] = ACTIONS(5790),
    [aux_sym_allocate_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_assign_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_statement_token13] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [2050] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_keyword_statement_token6] = ACTIONS(5598),
    [aux_sym_keyword_statement_token7] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token3] = ACTIONS(5598),
    [aux_sym_select_type_statement_token1] = ACTIONS(5598),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5598),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5598),
    [aux_sym_associate_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_close_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token1] = ACTIONS(5598),
    [aux_sym_file_position_statement_token2] = ACTIONS(5598),
    [aux_sym_file_position_statement_token3] = ACTIONS(5598),
    [aux_sym_file_position_statement_token4] = ACTIONS(5598),
    [aux_sym_allocate_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_assign_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_statement_token13] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2051] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_keyword_statement_token6] = ACTIONS(5794),
    [aux_sym_keyword_statement_token7] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token3] = ACTIONS(5794),
    [aux_sym_select_type_statement_token1] = ACTIONS(5794),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5794),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5794),
    [aux_sym_associate_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_close_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token1] = ACTIONS(5794),
    [aux_sym_file_position_statement_token2] = ACTIONS(5794),
    [aux_sym_file_position_statement_token3] = ACTIONS(5794),
    [aux_sym_file_position_statement_token4] = ACTIONS(5794),
    [aux_sym_allocate_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_assign_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_statement_token13] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [2052] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_keyword_statement_token6] = ACTIONS(5508),
    [aux_sym_keyword_statement_token7] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token3] = ACTIONS(5508),
    [aux_sym_select_type_statement_token1] = ACTIONS(5508),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5508),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5508),
    [aux_sym_associate_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_close_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token1] = ACTIONS(5508),
    [aux_sym_file_position_statement_token2] = ACTIONS(5508),
    [aux_sym_file_position_statement_token3] = ACTIONS(5508),
    [aux_sym_file_position_statement_token4] = ACTIONS(5508),
    [aux_sym_allocate_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_assign_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_statement_token13] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_keyword_statement_token6] = ACTIONS(5584),
    [aux_sym_keyword_statement_token7] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token3] = ACTIONS(5584),
    [aux_sym_select_type_statement_token1] = ACTIONS(5584),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5584),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5584),
    [aux_sym_associate_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_close_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token1] = ACTIONS(5584),
    [aux_sym_file_position_statement_token2] = ACTIONS(5584),
    [aux_sym_file_position_statement_token3] = ACTIONS(5584),
    [aux_sym_file_position_statement_token4] = ACTIONS(5584),
    [aux_sym_allocate_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_assign_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_statement_token13] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_assign_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_keyword_statement_token6] = ACTIONS(5708),
    [aux_sym_keyword_statement_token7] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token3] = ACTIONS(5708),
    [aux_sym_select_type_statement_token1] = ACTIONS(5708),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5708),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5708),
    [aux_sym_associate_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_close_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token1] = ACTIONS(5708),
    [aux_sym_file_position_statement_token2] = ACTIONS(5708),
    [aux_sym_file_position_statement_token3] = ACTIONS(5708),
    [aux_sym_file_position_statement_token4] = ACTIONS(5708),
    [aux_sym_allocate_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_assign_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_statement_token13] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [2056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_assign_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_keyword_statement_token6] = ACTIONS(5712),
    [aux_sym_keyword_statement_token7] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token3] = ACTIONS(5712),
    [aux_sym_select_type_statement_token1] = ACTIONS(5712),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5712),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5712),
    [aux_sym_associate_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_close_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token1] = ACTIONS(5712),
    [aux_sym_file_position_statement_token2] = ACTIONS(5712),
    [aux_sym_file_position_statement_token3] = ACTIONS(5712),
    [aux_sym_file_position_statement_token4] = ACTIONS(5712),
    [aux_sym_allocate_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_assign_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_statement_token13] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [2058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2059] = {
    [sym_statement_label] = STATE(7631),
    [sym_statement_label_reference] = STATE(7646),
    [sym__io_arguments] = STATE(3259),
    [sym_format_identifier] = STATE(7766),
    [sym__io_expressions] = STATE(7646),
    [sym__expression] = STATE(5358),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_derived_type_member_expression] = STATE(5465),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5465),
    [sym_math_expression] = STATE(5465),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5465),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5465),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5465),
    [anon_sym_LPAREN2] = ACTIONS(6270),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6274),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(6290),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6292),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [2060] = {
    [sym_statement_label] = STATE(7631),
    [sym_statement_label_reference] = STATE(7646),
    [sym_format_identifier] = STATE(7993),
    [sym__io_expressions] = STATE(7646),
    [sym__expression] = STATE(5358),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_derived_type_member_expression] = STATE(5465),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5465),
    [sym_math_expression] = STATE(5465),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5465),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5465),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5465),
    [anon_sym_LPAREN2] = ACTIONS(6300),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6274),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(6290),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6292),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [2061] = {
    [sym__expression] = STATE(5129),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_COMMA] = ACTIONS(6302),
    [anon_sym_LPAREN2] = ACTIONS(6304),
    [anon_sym_PLUS] = ACTIONS(6307),
    [anon_sym_DASH] = ACTIONS(6307),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(6310),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(6314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6319),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(6310),
  },
  [2062] = {
    [sym_data_set] = STATE(2714),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5456),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5456),
    [sym_implied_do_loop_expression] = STATE(5456),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5456),
    [anon_sym_LPAREN2] = ACTIONS(6328),
    [anon_sym_PLUS] = ACTIONS(6331),
    [anon_sym_DASH] = ACTIONS(6331),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(6314),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(6334),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2063] = {
    [sym__expression] = STATE(5059),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [2064] = {
    [sym__kind] = STATE(4711),
    [anon_sym_LPAREN2] = ACTIONS(6343),
    [anon_sym_PLUS] = ACTIONS(6345),
    [anon_sym_DASH] = ACTIONS(6345),
    [anon_sym_STAR] = ACTIONS(6347),
    [anon_sym_SLASH] = ACTIONS(6347),
    [anon_sym_PERCENT] = ACTIONS(6349),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6349),
    [anon_sym_GT] = ACTIONS(6347),
    [anon_sym_GT_EQ] = ACTIONS(6349),
    [anon_sym_LT_EQ] = ACTIONS(6349),
    [anon_sym_LT] = ACTIONS(6347),
    [aux_sym_end_program_statement_token1] = ACTIONS(6343),
    [aux_sym_block_data_statement_token1] = ACTIONS(6343),
    [aux_sym_block_data_statement_token2] = ACTIONS(6343),
    [anon_sym_EQ] = ACTIONS(6347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6343),
    [aux_sym_use_statement_token2] = ACTIONS(6343),
    [anon_sym_EQ_GT] = ACTIONS(6349),
    [aux_sym_implicit_statement_token3] = ACTIONS(6343),
    [aux_sym_implicit_statement_token4] = ACTIONS(6343),
    [aux_sym_save_statement_token1] = ACTIONS(6343),
    [aux_sym_private_statement_token1] = ACTIONS(6343),
    [aux_sym_public_statement_token1] = ACTIONS(6343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6343),
    [aux_sym_variable_attributes_token2] = ACTIONS(6343),
    [aux_sym_variable_attributes_token3] = ACTIONS(6343),
    [aux_sym_variable_attributes_token5] = ACTIONS(6343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6343),
    [aux_sym_type_qualifier_token1] = ACTIONS(6343),
    [aux_sym_type_qualifier_token2] = ACTIONS(6343),
    [aux_sym_stop_statement_token1] = ACTIONS(6343),
    [aux_sym_stop_statement_token2] = ACTIONS(6343),
    [aux_sym_subroutine_call_token1] = ACTIONS(6343),
    [aux_sym_keyword_statement_token1] = ACTIONS(6343),
    [aux_sym_keyword_statement_token2] = ACTIONS(6343),
    [aux_sym_keyword_statement_token3] = ACTIONS(6343),
    [aux_sym_keyword_statement_token4] = ACTIONS(6343),
    [aux_sym_keyword_statement_token6] = ACTIONS(6343),
    [aux_sym_keyword_statement_token7] = ACTIONS(6343),
    [aux_sym_include_statement_token1] = ACTIONS(6343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6343),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6343),
    [aux_sym_end_if_statement_token1] = ACTIONS(6343),
    [aux_sym_elseif_clause_token2] = ACTIONS(6343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6343),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6343),
    [aux_sym_select_case_statement_token1] = ACTIONS(6343),
    [aux_sym_select_case_statement_token3] = ACTIONS(6343),
    [aux_sym_select_type_statement_token1] = ACTIONS(6343),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6343),
    [aux_sym_associate_statement_token1] = ACTIONS(6343),
    [aux_sym_format_statement_token1] = ACTIONS(6343),
    [aux_sym_print_statement_token1] = ACTIONS(6343),
    [aux_sym_open_statement_token1] = ACTIONS(6343),
    [aux_sym_close_statement_token1] = ACTIONS(6343),
    [aux_sym_inquire_statement_token1] = ACTIONS(6343),
    [aux_sym_file_position_statement_token1] = ACTIONS(6343),
    [aux_sym_file_position_statement_token2] = ACTIONS(6343),
    [aux_sym_file_position_statement_token3] = ACTIONS(6343),
    [aux_sym_file_position_statement_token4] = ACTIONS(6343),
    [aux_sym_allocate_statement_token1] = ACTIONS(6343),
    [aux_sym_entry_statement_token1] = ACTIONS(6343),
    [aux_sym_assign_statement_token1] = ACTIONS(6343),
    [aux_sym_logical_expression_token1] = ACTIONS(6349),
    [aux_sym_logical_expression_token2] = ACTIONS(6349),
    [aux_sym_logical_expression_token3] = ACTIONS(6349),
    [aux_sym_logical_expression_token4] = ACTIONS(6349),
    [aux_sym_logical_expression_token5] = ACTIONS(6345),
    [aux_sym_relational_expression_token1] = ACTIONS(6349),
    [aux_sym_relational_expression_token2] = ACTIONS(6349),
    [aux_sym_relational_expression_token3] = ACTIONS(6349),
    [aux_sym_relational_expression_token4] = ACTIONS(6349),
    [aux_sym_relational_expression_token5] = ACTIONS(6349),
    [anon_sym_SLASH_EQ] = ACTIONS(6349),
    [aux_sym_relational_expression_token6] = ACTIONS(6349),
    [anon_sym_SLASH_SLASH] = ACTIONS(6349),
    [anon_sym_STAR_STAR] = ACTIONS(6349),
    [anon_sym_DOT] = ACTIONS(6343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6345),
    [anon_sym_LBRACK] = ACTIONS(6345),
    [aux_sym_boolean_literal_token1] = ACTIONS(6345),
    [aux_sym_boolean_literal_token2] = ACTIONS(6345),
    [anon_sym__] = ACTIONS(6351),
    [aux_sym_null_literal_token1] = ACTIONS(6343),
    [aux_sym_coarray_statement_token1] = ACTIONS(6343),
    [aux_sym_coarray_statement_token2] = ACTIONS(6343),
    [aux_sym_coarray_statement_token6] = ACTIONS(6343),
    [aux_sym_coarray_statement_token8] = ACTIONS(6343),
    [aux_sym_coarray_statement_token11] = ACTIONS(6343),
    [aux_sym_coarray_statement_token12] = ACTIONS(6343),
    [aux_sym_coarray_statement_token13] = ACTIONS(6343),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6343),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6343),
    [anon_sym_QMARK] = ACTIONS(6349),
    [aux_sym_identifier_token1] = ACTIONS(6343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6345),
    [sym__float_literal] = ACTIONS(6345),
    [sym__boz_literal] = ACTIONS(6345),
    [sym__string_literal] = ACTIONS(6345),
    [sym__string_literal_kind] = ACTIONS(6345),
  },
  [2065] = {
    [sym__kind] = STATE(4711),
    [anon_sym_LPAREN2] = ACTIONS(6343),
    [anon_sym_PLUS] = ACTIONS(6345),
    [anon_sym_DASH] = ACTIONS(6345),
    [anon_sym_STAR] = ACTIONS(6347),
    [anon_sym_SLASH] = ACTIONS(6347),
    [anon_sym_PERCENT] = ACTIONS(6349),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6349),
    [anon_sym_GT] = ACTIONS(6347),
    [anon_sym_GT_EQ] = ACTIONS(6349),
    [anon_sym_LT_EQ] = ACTIONS(6349),
    [anon_sym_LT] = ACTIONS(6347),
    [aux_sym_end_program_statement_token1] = ACTIONS(6343),
    [aux_sym_block_data_statement_token1] = ACTIONS(6343),
    [aux_sym_block_data_statement_token2] = ACTIONS(6343),
    [anon_sym_EQ] = ACTIONS(6347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6343),
    [aux_sym_use_statement_token2] = ACTIONS(6343),
    [anon_sym_EQ_GT] = ACTIONS(6349),
    [aux_sym_implicit_statement_token3] = ACTIONS(6343),
    [aux_sym_implicit_statement_token4] = ACTIONS(6343),
    [aux_sym_save_statement_token1] = ACTIONS(6343),
    [aux_sym_private_statement_token1] = ACTIONS(6343),
    [aux_sym_public_statement_token1] = ACTIONS(6343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6343),
    [aux_sym_variable_attributes_token2] = ACTIONS(6343),
    [aux_sym_variable_attributes_token3] = ACTIONS(6343),
    [aux_sym_variable_attributes_token5] = ACTIONS(6343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6343),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6343),
    [aux_sym_type_qualifier_token1] = ACTIONS(6343),
    [aux_sym_type_qualifier_token2] = ACTIONS(6343),
    [aux_sym_stop_statement_token1] = ACTIONS(6343),
    [aux_sym_stop_statement_token2] = ACTIONS(6343),
    [aux_sym_subroutine_call_token1] = ACTIONS(6343),
    [aux_sym_keyword_statement_token1] = ACTIONS(6343),
    [aux_sym_keyword_statement_token2] = ACTIONS(6343),
    [aux_sym_keyword_statement_token3] = ACTIONS(6343),
    [aux_sym_keyword_statement_token4] = ACTIONS(6343),
    [aux_sym_keyword_statement_token6] = ACTIONS(6343),
    [aux_sym_keyword_statement_token7] = ACTIONS(6343),
    [aux_sym_include_statement_token1] = ACTIONS(6343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6343),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6343),
    [aux_sym_end_if_statement_token1] = ACTIONS(6343),
    [aux_sym_elseif_clause_token2] = ACTIONS(6343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6343),
    [aux_sym_select_case_statement_token1] = ACTIONS(6343),
    [aux_sym_select_case_statement_token3] = ACTIONS(6343),
    [aux_sym_select_type_statement_token1] = ACTIONS(6343),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6343),
    [aux_sym_associate_statement_token1] = ACTIONS(6343),
    [aux_sym_format_statement_token1] = ACTIONS(6343),
    [aux_sym_print_statement_token1] = ACTIONS(6343),
    [aux_sym_open_statement_token1] = ACTIONS(6343),
    [aux_sym_close_statement_token1] = ACTIONS(6343),
    [aux_sym_inquire_statement_token1] = ACTIONS(6343),
    [aux_sym_file_position_statement_token1] = ACTIONS(6343),
    [aux_sym_file_position_statement_token2] = ACTIONS(6343),
    [aux_sym_file_position_statement_token3] = ACTIONS(6343),
    [aux_sym_file_position_statement_token4] = ACTIONS(6343),
    [aux_sym_allocate_statement_token1] = ACTIONS(6343),
    [aux_sym_entry_statement_token1] = ACTIONS(6343),
    [aux_sym_assign_statement_token1] = ACTIONS(6343),
    [aux_sym_logical_expression_token1] = ACTIONS(6349),
    [aux_sym_logical_expression_token2] = ACTIONS(6349),
    [aux_sym_logical_expression_token3] = ACTIONS(6349),
    [aux_sym_logical_expression_token4] = ACTIONS(6349),
    [aux_sym_logical_expression_token5] = ACTIONS(6345),
    [aux_sym_relational_expression_token1] = ACTIONS(6349),
    [aux_sym_relational_expression_token2] = ACTIONS(6349),
    [aux_sym_relational_expression_token3] = ACTIONS(6349),
    [aux_sym_relational_expression_token4] = ACTIONS(6349),
    [aux_sym_relational_expression_token5] = ACTIONS(6349),
    [anon_sym_SLASH_EQ] = ACTIONS(6349),
    [aux_sym_relational_expression_token6] = ACTIONS(6349),
    [anon_sym_SLASH_SLASH] = ACTIONS(6349),
    [anon_sym_STAR_STAR] = ACTIONS(6349),
    [anon_sym_DOT] = ACTIONS(6343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6345),
    [anon_sym_LBRACK] = ACTIONS(6345),
    [aux_sym_boolean_literal_token1] = ACTIONS(6345),
    [aux_sym_boolean_literal_token2] = ACTIONS(6345),
    [anon_sym__] = ACTIONS(6351),
    [aux_sym_null_literal_token1] = ACTIONS(6343),
    [aux_sym_coarray_statement_token1] = ACTIONS(6343),
    [aux_sym_coarray_statement_token2] = ACTIONS(6343),
    [aux_sym_coarray_statement_token6] = ACTIONS(6343),
    [aux_sym_coarray_statement_token8] = ACTIONS(6343),
    [aux_sym_coarray_statement_token11] = ACTIONS(6343),
    [aux_sym_coarray_statement_token12] = ACTIONS(6343),
    [aux_sym_coarray_statement_token13] = ACTIONS(6343),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6343),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6343),
    [anon_sym_QMARK] = ACTIONS(6349),
    [aux_sym_identifier_token1] = ACTIONS(6343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6345),
    [sym__float_literal] = ACTIONS(6345),
    [sym__boz_literal] = ACTIONS(6345),
    [sym__string_literal] = ACTIONS(6345),
    [sym__string_literal_kind] = ACTIONS(6345),
  },
  [2066] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6353),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2067] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6355),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2068] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6357),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6359),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_module_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [2070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6361),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [2071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6363),
    [aux_sym_preproc_def_token1] = ACTIONS(6363),
    [aux_sym_preproc_if_token1] = ACTIONS(6363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6363),
    [sym_preproc_directive] = ACTIONS(6363),
    [anon_sym_LPAREN2] = ACTIONS(6363),
    [sym_preproc_comment] = ACTIONS(6365),
    [anon_sym_PLUS] = ACTIONS(6367),
    [anon_sym_DASH] = ACTIONS(6367),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6363),
    [aux_sym_end_module_statement_token1] = ACTIONS(6363),
    [anon_sym_SEMI] = ACTIONS(6367),
    [aux_sym_interface_statement_token1] = ACTIONS(6363),
    [aux_sym_block_data_statement_token1] = ACTIONS(6363),
    [aux_sym_block_data_statement_token2] = ACTIONS(6363),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6363),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6363),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6363),
    [aux_sym_language_binding_token1] = ACTIONS(6363),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6363),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6363),
    [aux_sym_contains_statement_token1] = ACTIONS(6363),
    [aux_sym_use_statement_token1] = ACTIONS(6363),
    [aux_sym_use_statement_token2] = ACTIONS(6363),
    [aux_sym_implicit_statement_token1] = ACTIONS(6363),
    [aux_sym_implicit_statement_token3] = ACTIONS(6363),
    [aux_sym_implicit_statement_token4] = ACTIONS(6363),
    [aux_sym_save_statement_token1] = ACTIONS(6363),
    [aux_sym_private_statement_token1] = ACTIONS(6363),
    [aux_sym_public_statement_token1] = ACTIONS(6363),
    [aux_sym_namelist_statement_token1] = ACTIONS(6363),
    [aux_sym_common_statement_token1] = ACTIONS(6363),
    [aux_sym_import_statement_token1] = ACTIONS(6363),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6363),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6363),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6363),
    [aux_sym_variable_attributes_token1] = ACTIONS(6363),
    [aux_sym_variable_attributes_token2] = ACTIONS(6363),
    [aux_sym_variable_attributes_token3] = ACTIONS(6363),
    [aux_sym_variable_attributes_token4] = ACTIONS(6363),
    [aux_sym_variable_attributes_token5] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6363),
    [aux_sym_derived_type_token1] = ACTIONS(6363),
    [aux_sym_declared_type_token1] = ACTIONS(6363),
    [aux_sym_declared_type_token2] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6363),
    [aux_sym_type_qualifier_token1] = ACTIONS(6363),
    [aux_sym_type_qualifier_token2] = ACTIONS(6363),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6363),
    [aux_sym_stop_statement_token1] = ACTIONS(6363),
    [aux_sym_stop_statement_token2] = ACTIONS(6363),
    [aux_sym_subroutine_call_token1] = ACTIONS(6363),
    [aux_sym_keyword_statement_token2] = ACTIONS(6363),
    [aux_sym_keyword_statement_token3] = ACTIONS(6363),
    [aux_sym_keyword_statement_token4] = ACTIONS(6363),
    [aux_sym_include_statement_token1] = ACTIONS(6363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6363),
    [aux_sym_end_if_statement_token1] = ACTIONS(6363),
    [aux_sym_elseif_clause_token2] = ACTIONS(6363),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6363),
    [aux_sym_select_case_statement_token1] = ACTIONS(6363),
    [aux_sym_format_statement_token1] = ACTIONS(6363),
    [aux_sym_print_statement_token1] = ACTIONS(6363),
    [aux_sym_open_statement_token1] = ACTIONS(6363),
    [aux_sym_inquire_statement_token1] = ACTIONS(6363),
    [aux_sym_enum_statement_token1] = ACTIONS(6363),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6363),
    [aux_sym_entry_statement_token1] = ACTIONS(6363),
    [aux_sym_logical_expression_token5] = ACTIONS(6367),
    [anon_sym_DOT] = ACTIONS(6363),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6367),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [aux_sym_boolean_literal_token1] = ACTIONS(6367),
    [aux_sym_boolean_literal_token2] = ACTIONS(6367),
    [aux_sym_null_literal_token1] = ACTIONS(6363),
    [aux_sym_coarray_statement_token1] = ACTIONS(6363),
    [aux_sym_coarray_statement_token2] = ACTIONS(6363),
    [aux_sym_coarray_statement_token6] = ACTIONS(6363),
    [aux_sym_coarray_statement_token8] = ACTIONS(6363),
    [aux_sym_coarray_statement_token11] = ACTIONS(6363),
    [aux_sym_coarray_statement_token12] = ACTIONS(6363),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6363),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6363),
    [aux_sym_identifier_token1] = ACTIONS(6363),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6367),
    [sym__float_literal] = ACTIONS(6367),
    [sym__boz_literal] = ACTIONS(6367),
    [sym__string_literal] = ACTIONS(6367),
    [sym__string_literal_kind] = ACTIONS(6367),
  },
  [2072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6369),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [2073] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6373),
    [aux_sym_preproc_def_token1] = ACTIONS(6373),
    [aux_sym_preproc_if_token1] = ACTIONS(6373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6373),
    [sym_preproc_directive] = ACTIONS(6373),
    [anon_sym_LPAREN2] = ACTIONS(6373),
    [sym_preproc_comment] = ACTIONS(6375),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_DASH] = ACTIONS(6377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6373),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6373),
    [anon_sym_SEMI] = ACTIONS(6377),
    [aux_sym_interface_statement_token1] = ACTIONS(6373),
    [aux_sym_block_data_statement_token1] = ACTIONS(6373),
    [aux_sym_block_data_statement_token2] = ACTIONS(6373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6373),
    [aux_sym_language_binding_token1] = ACTIONS(6373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6373),
    [aux_sym_contains_statement_token1] = ACTIONS(6373),
    [aux_sym_use_statement_token1] = ACTIONS(6373),
    [aux_sym_use_statement_token2] = ACTIONS(6373),
    [aux_sym_implicit_statement_token1] = ACTIONS(6373),
    [aux_sym_implicit_statement_token3] = ACTIONS(6373),
    [aux_sym_implicit_statement_token4] = ACTIONS(6373),
    [aux_sym_save_statement_token1] = ACTIONS(6373),
    [aux_sym_private_statement_token1] = ACTIONS(6373),
    [aux_sym_public_statement_token1] = ACTIONS(6373),
    [aux_sym_namelist_statement_token1] = ACTIONS(6373),
    [aux_sym_common_statement_token1] = ACTIONS(6373),
    [aux_sym_import_statement_token1] = ACTIONS(6373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6373),
    [aux_sym_variable_attributes_token1] = ACTIONS(6373),
    [aux_sym_variable_attributes_token2] = ACTIONS(6373),
    [aux_sym_variable_attributes_token3] = ACTIONS(6373),
    [aux_sym_variable_attributes_token4] = ACTIONS(6373),
    [aux_sym_variable_attributes_token5] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6373),
    [aux_sym_derived_type_token1] = ACTIONS(6373),
    [aux_sym_declared_type_token1] = ACTIONS(6373),
    [aux_sym_declared_type_token2] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6373),
    [aux_sym_type_qualifier_token1] = ACTIONS(6373),
    [aux_sym_type_qualifier_token2] = ACTIONS(6373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6373),
    [aux_sym_stop_statement_token1] = ACTIONS(6373),
    [aux_sym_stop_statement_token2] = ACTIONS(6373),
    [aux_sym_subroutine_call_token1] = ACTIONS(6373),
    [aux_sym_keyword_statement_token2] = ACTIONS(6373),
    [aux_sym_keyword_statement_token3] = ACTIONS(6373),
    [aux_sym_keyword_statement_token4] = ACTIONS(6373),
    [aux_sym_include_statement_token1] = ACTIONS(6373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6373),
    [aux_sym_end_if_statement_token1] = ACTIONS(6373),
    [aux_sym_elseif_clause_token2] = ACTIONS(6373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6373),
    [aux_sym_select_case_statement_token1] = ACTIONS(6373),
    [aux_sym_format_statement_token1] = ACTIONS(6373),
    [aux_sym_print_statement_token1] = ACTIONS(6373),
    [aux_sym_open_statement_token1] = ACTIONS(6373),
    [aux_sym_inquire_statement_token1] = ACTIONS(6373),
    [aux_sym_enum_statement_token1] = ACTIONS(6373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6373),
    [aux_sym_entry_statement_token1] = ACTIONS(6373),
    [aux_sym_logical_expression_token5] = ACTIONS(6377),
    [anon_sym_DOT] = ACTIONS(6373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6377),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [aux_sym_boolean_literal_token1] = ACTIONS(6377),
    [aux_sym_boolean_literal_token2] = ACTIONS(6377),
    [aux_sym_null_literal_token1] = ACTIONS(6373),
    [aux_sym_coarray_statement_token1] = ACTIONS(6373),
    [aux_sym_coarray_statement_token2] = ACTIONS(6373),
    [aux_sym_coarray_statement_token6] = ACTIONS(6373),
    [aux_sym_coarray_statement_token8] = ACTIONS(6373),
    [aux_sym_coarray_statement_token11] = ACTIONS(6373),
    [aux_sym_coarray_statement_token12] = ACTIONS(6373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6373),
    [aux_sym_identifier_token1] = ACTIONS(6373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6377),
    [sym__float_literal] = ACTIONS(6377),
    [sym__boz_literal] = ACTIONS(6377),
    [sym__string_literal] = ACTIONS(6377),
    [sym__string_literal_kind] = ACTIONS(6377),
  },
  [2075] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6379),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [aux_sym_end_module_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [2076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6381),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [2077] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6383),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(6385),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [2079] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6387),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2080] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6389),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_contains_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [2081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(6391),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [2082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6373),
    [aux_sym_preproc_def_token1] = ACTIONS(6373),
    [aux_sym_preproc_if_token1] = ACTIONS(6373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6373),
    [sym_preproc_directive] = ACTIONS(6373),
    [anon_sym_LPAREN2] = ACTIONS(6373),
    [sym_preproc_comment] = ACTIONS(6393),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_DASH] = ACTIONS(6377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6373),
    [aux_sym_end_module_statement_token1] = ACTIONS(6373),
    [anon_sym_SEMI] = ACTIONS(6377),
    [aux_sym_interface_statement_token1] = ACTIONS(6373),
    [aux_sym_block_data_statement_token1] = ACTIONS(6373),
    [aux_sym_block_data_statement_token2] = ACTIONS(6373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6373),
    [aux_sym_language_binding_token1] = ACTIONS(6373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6373),
    [aux_sym_contains_statement_token1] = ACTIONS(6373),
    [aux_sym_use_statement_token1] = ACTIONS(6373),
    [aux_sym_use_statement_token2] = ACTIONS(6373),
    [aux_sym_implicit_statement_token1] = ACTIONS(6373),
    [aux_sym_implicit_statement_token3] = ACTIONS(6373),
    [aux_sym_implicit_statement_token4] = ACTIONS(6373),
    [aux_sym_save_statement_token1] = ACTIONS(6373),
    [aux_sym_private_statement_token1] = ACTIONS(6373),
    [aux_sym_public_statement_token1] = ACTIONS(6373),
    [aux_sym_namelist_statement_token1] = ACTIONS(6373),
    [aux_sym_common_statement_token1] = ACTIONS(6373),
    [aux_sym_import_statement_token1] = ACTIONS(6373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6373),
    [aux_sym_variable_attributes_token1] = ACTIONS(6373),
    [aux_sym_variable_attributes_token2] = ACTIONS(6373),
    [aux_sym_variable_attributes_token3] = ACTIONS(6373),
    [aux_sym_variable_attributes_token4] = ACTIONS(6373),
    [aux_sym_variable_attributes_token5] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6373),
    [aux_sym_derived_type_token1] = ACTIONS(6373),
    [aux_sym_declared_type_token1] = ACTIONS(6373),
    [aux_sym_declared_type_token2] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6373),
    [aux_sym_type_qualifier_token1] = ACTIONS(6373),
    [aux_sym_type_qualifier_token2] = ACTIONS(6373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6373),
    [aux_sym_stop_statement_token1] = ACTIONS(6373),
    [aux_sym_stop_statement_token2] = ACTIONS(6373),
    [aux_sym_subroutine_call_token1] = ACTIONS(6373),
    [aux_sym_keyword_statement_token2] = ACTIONS(6373),
    [aux_sym_keyword_statement_token3] = ACTIONS(6373),
    [aux_sym_keyword_statement_token4] = ACTIONS(6373),
    [aux_sym_include_statement_token1] = ACTIONS(6373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6373),
    [aux_sym_end_if_statement_token1] = ACTIONS(6373),
    [aux_sym_elseif_clause_token2] = ACTIONS(6373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6373),
    [aux_sym_select_case_statement_token1] = ACTIONS(6373),
    [aux_sym_format_statement_token1] = ACTIONS(6373),
    [aux_sym_print_statement_token1] = ACTIONS(6373),
    [aux_sym_open_statement_token1] = ACTIONS(6373),
    [aux_sym_inquire_statement_token1] = ACTIONS(6373),
    [aux_sym_enum_statement_token1] = ACTIONS(6373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6373),
    [aux_sym_entry_statement_token1] = ACTIONS(6373),
    [aux_sym_logical_expression_token5] = ACTIONS(6377),
    [anon_sym_DOT] = ACTIONS(6373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6377),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [aux_sym_boolean_literal_token1] = ACTIONS(6377),
    [aux_sym_boolean_literal_token2] = ACTIONS(6377),
    [aux_sym_null_literal_token1] = ACTIONS(6373),
    [aux_sym_coarray_statement_token1] = ACTIONS(6373),
    [aux_sym_coarray_statement_token2] = ACTIONS(6373),
    [aux_sym_coarray_statement_token6] = ACTIONS(6373),
    [aux_sym_coarray_statement_token8] = ACTIONS(6373),
    [aux_sym_coarray_statement_token11] = ACTIONS(6373),
    [aux_sym_coarray_statement_token12] = ACTIONS(6373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6373),
    [aux_sym_identifier_token1] = ACTIONS(6373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6377),
    [sym__float_literal] = ACTIONS(6377),
    [sym__boz_literal] = ACTIONS(6377),
    [sym__string_literal] = ACTIONS(6377),
    [sym__string_literal_kind] = ACTIONS(6377),
  },
  [2083] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6395),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_module_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6397),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6399),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6401),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_module_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [2087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6403),
    [aux_sym_preproc_def_token1] = ACTIONS(6403),
    [aux_sym_preproc_if_token1] = ACTIONS(6403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6403),
    [sym_preproc_directive] = ACTIONS(6403),
    [anon_sym_LPAREN2] = ACTIONS(6403),
    [sym_preproc_comment] = ACTIONS(6405),
    [anon_sym_PLUS] = ACTIONS(6407),
    [anon_sym_DASH] = ACTIONS(6407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6403),
    [aux_sym_end_module_statement_token1] = ACTIONS(6403),
    [anon_sym_SEMI] = ACTIONS(6407),
    [aux_sym_interface_statement_token1] = ACTIONS(6403),
    [aux_sym_block_data_statement_token1] = ACTIONS(6403),
    [aux_sym_block_data_statement_token2] = ACTIONS(6403),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6403),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6403),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6403),
    [aux_sym_language_binding_token1] = ACTIONS(6403),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6403),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6403),
    [aux_sym_contains_statement_token1] = ACTIONS(6403),
    [aux_sym_use_statement_token1] = ACTIONS(6403),
    [aux_sym_use_statement_token2] = ACTIONS(6403),
    [aux_sym_implicit_statement_token1] = ACTIONS(6403),
    [aux_sym_implicit_statement_token3] = ACTIONS(6403),
    [aux_sym_implicit_statement_token4] = ACTIONS(6403),
    [aux_sym_save_statement_token1] = ACTIONS(6403),
    [aux_sym_private_statement_token1] = ACTIONS(6403),
    [aux_sym_public_statement_token1] = ACTIONS(6403),
    [aux_sym_namelist_statement_token1] = ACTIONS(6403),
    [aux_sym_common_statement_token1] = ACTIONS(6403),
    [aux_sym_import_statement_token1] = ACTIONS(6403),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6403),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6403),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6403),
    [aux_sym_variable_attributes_token1] = ACTIONS(6403),
    [aux_sym_variable_attributes_token2] = ACTIONS(6403),
    [aux_sym_variable_attributes_token3] = ACTIONS(6403),
    [aux_sym_variable_attributes_token4] = ACTIONS(6403),
    [aux_sym_variable_attributes_token5] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6403),
    [aux_sym_derived_type_token1] = ACTIONS(6403),
    [aux_sym_declared_type_token1] = ACTIONS(6403),
    [aux_sym_declared_type_token2] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6403),
    [aux_sym_type_qualifier_token1] = ACTIONS(6403),
    [aux_sym_type_qualifier_token2] = ACTIONS(6403),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6403),
    [aux_sym_stop_statement_token1] = ACTIONS(6403),
    [aux_sym_stop_statement_token2] = ACTIONS(6403),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6403),
    [aux_sym_keyword_statement_token3] = ACTIONS(6403),
    [aux_sym_keyword_statement_token4] = ACTIONS(6403),
    [aux_sym_include_statement_token1] = ACTIONS(6403),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6403),
    [aux_sym_end_if_statement_token1] = ACTIONS(6403),
    [aux_sym_elseif_clause_token2] = ACTIONS(6403),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6403),
    [aux_sym_select_case_statement_token1] = ACTIONS(6403),
    [aux_sym_format_statement_token1] = ACTIONS(6403),
    [aux_sym_print_statement_token1] = ACTIONS(6403),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6403),
    [aux_sym_enum_statement_token1] = ACTIONS(6403),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6403),
    [aux_sym_entry_statement_token1] = ACTIONS(6403),
    [aux_sym_logical_expression_token5] = ACTIONS(6407),
    [anon_sym_DOT] = ACTIONS(6403),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6407),
    [anon_sym_LBRACK] = ACTIONS(6407),
    [aux_sym_boolean_literal_token1] = ACTIONS(6407),
    [aux_sym_boolean_literal_token2] = ACTIONS(6407),
    [aux_sym_null_literal_token1] = ACTIONS(6403),
    [aux_sym_coarray_statement_token1] = ACTIONS(6403),
    [aux_sym_coarray_statement_token2] = ACTIONS(6403),
    [aux_sym_coarray_statement_token6] = ACTIONS(6403),
    [aux_sym_coarray_statement_token8] = ACTIONS(6403),
    [aux_sym_coarray_statement_token11] = ACTIONS(6403),
    [aux_sym_coarray_statement_token12] = ACTIONS(6403),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6403),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6403),
    [aux_sym_identifier_token1] = ACTIONS(6403),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6407),
    [sym__float_literal] = ACTIONS(6407),
    [sym__boz_literal] = ACTIONS(6407),
    [sym__string_literal] = ACTIONS(6407),
    [sym__string_literal_kind] = ACTIONS(6407),
  },
  [2088] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(6409),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [aux_sym_end_module_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6411),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6413),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6415),
    [aux_sym_preproc_def_token1] = ACTIONS(6415),
    [aux_sym_preproc_if_token1] = ACTIONS(6415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6415),
    [sym_preproc_directive] = ACTIONS(6415),
    [anon_sym_LPAREN2] = ACTIONS(6415),
    [sym_preproc_comment] = ACTIONS(6417),
    [anon_sym_PLUS] = ACTIONS(6419),
    [anon_sym_DASH] = ACTIONS(6419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6415),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6415),
    [anon_sym_SEMI] = ACTIONS(6419),
    [aux_sym_interface_statement_token1] = ACTIONS(6415),
    [aux_sym_block_data_statement_token1] = ACTIONS(6415),
    [aux_sym_block_data_statement_token2] = ACTIONS(6415),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6415),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6415),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6415),
    [aux_sym_language_binding_token1] = ACTIONS(6415),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6415),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6415),
    [aux_sym_contains_statement_token1] = ACTIONS(6415),
    [aux_sym_use_statement_token1] = ACTIONS(6415),
    [aux_sym_use_statement_token2] = ACTIONS(6415),
    [aux_sym_implicit_statement_token1] = ACTIONS(6415),
    [aux_sym_implicit_statement_token3] = ACTIONS(6415),
    [aux_sym_implicit_statement_token4] = ACTIONS(6415),
    [aux_sym_save_statement_token1] = ACTIONS(6415),
    [aux_sym_private_statement_token1] = ACTIONS(6415),
    [aux_sym_public_statement_token1] = ACTIONS(6415),
    [aux_sym_namelist_statement_token1] = ACTIONS(6415),
    [aux_sym_common_statement_token1] = ACTIONS(6415),
    [aux_sym_import_statement_token1] = ACTIONS(6415),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6415),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6415),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6415),
    [aux_sym_variable_attributes_token1] = ACTIONS(6415),
    [aux_sym_variable_attributes_token2] = ACTIONS(6415),
    [aux_sym_variable_attributes_token3] = ACTIONS(6415),
    [aux_sym_variable_attributes_token4] = ACTIONS(6415),
    [aux_sym_variable_attributes_token5] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6415),
    [aux_sym_derived_type_token1] = ACTIONS(6415),
    [aux_sym_declared_type_token1] = ACTIONS(6415),
    [aux_sym_declared_type_token2] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6415),
    [aux_sym_type_qualifier_token1] = ACTIONS(6415),
    [aux_sym_type_qualifier_token2] = ACTIONS(6415),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6415),
    [aux_sym_stop_statement_token1] = ACTIONS(6415),
    [aux_sym_stop_statement_token2] = ACTIONS(6415),
    [aux_sym_subroutine_call_token1] = ACTIONS(6415),
    [aux_sym_keyword_statement_token2] = ACTIONS(6415),
    [aux_sym_keyword_statement_token3] = ACTIONS(6415),
    [aux_sym_keyword_statement_token4] = ACTIONS(6415),
    [aux_sym_include_statement_token1] = ACTIONS(6415),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6415),
    [aux_sym_end_if_statement_token1] = ACTIONS(6415),
    [aux_sym_elseif_clause_token2] = ACTIONS(6415),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6415),
    [aux_sym_select_case_statement_token1] = ACTIONS(6415),
    [aux_sym_format_statement_token1] = ACTIONS(6415),
    [aux_sym_print_statement_token1] = ACTIONS(6415),
    [aux_sym_open_statement_token1] = ACTIONS(6415),
    [aux_sym_inquire_statement_token1] = ACTIONS(6415),
    [aux_sym_enum_statement_token1] = ACTIONS(6415),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6415),
    [aux_sym_entry_statement_token1] = ACTIONS(6415),
    [aux_sym_logical_expression_token5] = ACTIONS(6419),
    [anon_sym_DOT] = ACTIONS(6415),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6419),
    [anon_sym_LBRACK] = ACTIONS(6419),
    [aux_sym_boolean_literal_token1] = ACTIONS(6419),
    [aux_sym_boolean_literal_token2] = ACTIONS(6419),
    [aux_sym_null_literal_token1] = ACTIONS(6415),
    [aux_sym_coarray_statement_token1] = ACTIONS(6415),
    [aux_sym_coarray_statement_token2] = ACTIONS(6415),
    [aux_sym_coarray_statement_token6] = ACTIONS(6415),
    [aux_sym_coarray_statement_token8] = ACTIONS(6415),
    [aux_sym_coarray_statement_token11] = ACTIONS(6415),
    [aux_sym_coarray_statement_token12] = ACTIONS(6415),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6415),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6415),
    [aux_sym_identifier_token1] = ACTIONS(6415),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6419),
    [sym__float_literal] = ACTIONS(6419),
    [sym__boz_literal] = ACTIONS(6419),
    [sym__string_literal] = ACTIONS(6419),
    [sym__string_literal_kind] = ACTIONS(6419),
  },
  [2092] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6421),
    [aux_sym_preproc_def_token1] = ACTIONS(6421),
    [aux_sym_preproc_if_token1] = ACTIONS(6421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6421),
    [sym_preproc_directive] = ACTIONS(6421),
    [anon_sym_LPAREN2] = ACTIONS(6421),
    [sym_preproc_comment] = ACTIONS(6423),
    [anon_sym_PLUS] = ACTIONS(6425),
    [anon_sym_DASH] = ACTIONS(6425),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6421),
    [aux_sym_end_module_statement_token1] = ACTIONS(6421),
    [anon_sym_SEMI] = ACTIONS(6425),
    [aux_sym_interface_statement_token1] = ACTIONS(6421),
    [aux_sym_block_data_statement_token1] = ACTIONS(6421),
    [aux_sym_block_data_statement_token2] = ACTIONS(6421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6421),
    [aux_sym_language_binding_token1] = ACTIONS(6421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6421),
    [aux_sym_contains_statement_token1] = ACTIONS(6421),
    [aux_sym_use_statement_token1] = ACTIONS(6421),
    [aux_sym_use_statement_token2] = ACTIONS(6421),
    [aux_sym_implicit_statement_token1] = ACTIONS(6421),
    [aux_sym_implicit_statement_token3] = ACTIONS(6421),
    [aux_sym_implicit_statement_token4] = ACTIONS(6421),
    [aux_sym_save_statement_token1] = ACTIONS(6421),
    [aux_sym_private_statement_token1] = ACTIONS(6421),
    [aux_sym_public_statement_token1] = ACTIONS(6421),
    [aux_sym_namelist_statement_token1] = ACTIONS(6421),
    [aux_sym_common_statement_token1] = ACTIONS(6421),
    [aux_sym_import_statement_token1] = ACTIONS(6421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6421),
    [aux_sym_variable_attributes_token1] = ACTIONS(6421),
    [aux_sym_variable_attributes_token2] = ACTIONS(6421),
    [aux_sym_variable_attributes_token3] = ACTIONS(6421),
    [aux_sym_variable_attributes_token4] = ACTIONS(6421),
    [aux_sym_variable_attributes_token5] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6421),
    [aux_sym_derived_type_token1] = ACTIONS(6421),
    [aux_sym_declared_type_token1] = ACTIONS(6421),
    [aux_sym_declared_type_token2] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6421),
    [aux_sym_type_qualifier_token1] = ACTIONS(6421),
    [aux_sym_type_qualifier_token2] = ACTIONS(6421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6421),
    [aux_sym_stop_statement_token1] = ACTIONS(6421),
    [aux_sym_stop_statement_token2] = ACTIONS(6421),
    [aux_sym_subroutine_call_token1] = ACTIONS(6421),
    [aux_sym_keyword_statement_token2] = ACTIONS(6421),
    [aux_sym_keyword_statement_token3] = ACTIONS(6421),
    [aux_sym_keyword_statement_token4] = ACTIONS(6421),
    [aux_sym_include_statement_token1] = ACTIONS(6421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6421),
    [aux_sym_end_if_statement_token1] = ACTIONS(6421),
    [aux_sym_elseif_clause_token2] = ACTIONS(6421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6421),
    [aux_sym_select_case_statement_token1] = ACTIONS(6421),
    [aux_sym_format_statement_token1] = ACTIONS(6421),
    [aux_sym_print_statement_token1] = ACTIONS(6421),
    [aux_sym_open_statement_token1] = ACTIONS(6421),
    [aux_sym_inquire_statement_token1] = ACTIONS(6421),
    [aux_sym_enum_statement_token1] = ACTIONS(6421),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6421),
    [aux_sym_entry_statement_token1] = ACTIONS(6421),
    [aux_sym_logical_expression_token5] = ACTIONS(6425),
    [anon_sym_DOT] = ACTIONS(6421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6425),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [aux_sym_boolean_literal_token1] = ACTIONS(6425),
    [aux_sym_boolean_literal_token2] = ACTIONS(6425),
    [aux_sym_null_literal_token1] = ACTIONS(6421),
    [aux_sym_coarray_statement_token1] = ACTIONS(6421),
    [aux_sym_coarray_statement_token2] = ACTIONS(6421),
    [aux_sym_coarray_statement_token6] = ACTIONS(6421),
    [aux_sym_coarray_statement_token8] = ACTIONS(6421),
    [aux_sym_coarray_statement_token11] = ACTIONS(6421),
    [aux_sym_coarray_statement_token12] = ACTIONS(6421),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6421),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6421),
    [aux_sym_identifier_token1] = ACTIONS(6421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6425),
    [sym__float_literal] = ACTIONS(6425),
    [sym__boz_literal] = ACTIONS(6425),
    [sym__string_literal] = ACTIONS(6425),
    [sym__string_literal_kind] = ACTIONS(6425),
  },
  [2093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6427),
    [aux_sym_preproc_def_token1] = ACTIONS(6427),
    [aux_sym_preproc_if_token1] = ACTIONS(6427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6427),
    [sym_preproc_directive] = ACTIONS(6427),
    [anon_sym_LPAREN2] = ACTIONS(6427),
    [sym_preproc_comment] = ACTIONS(6429),
    [anon_sym_PLUS] = ACTIONS(6431),
    [anon_sym_DASH] = ACTIONS(6431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6427),
    [aux_sym_end_module_statement_token1] = ACTIONS(6427),
    [anon_sym_SEMI] = ACTIONS(6431),
    [aux_sym_interface_statement_token1] = ACTIONS(6427),
    [aux_sym_block_data_statement_token1] = ACTIONS(6427),
    [aux_sym_block_data_statement_token2] = ACTIONS(6427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6427),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6427),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6427),
    [aux_sym_language_binding_token1] = ACTIONS(6427),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6427),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6427),
    [aux_sym_contains_statement_token1] = ACTIONS(6427),
    [aux_sym_use_statement_token1] = ACTIONS(6427),
    [aux_sym_use_statement_token2] = ACTIONS(6427),
    [aux_sym_implicit_statement_token1] = ACTIONS(6427),
    [aux_sym_implicit_statement_token3] = ACTIONS(6427),
    [aux_sym_implicit_statement_token4] = ACTIONS(6427),
    [aux_sym_save_statement_token1] = ACTIONS(6427),
    [aux_sym_private_statement_token1] = ACTIONS(6427),
    [aux_sym_public_statement_token1] = ACTIONS(6427),
    [aux_sym_namelist_statement_token1] = ACTIONS(6427),
    [aux_sym_common_statement_token1] = ACTIONS(6427),
    [aux_sym_import_statement_token1] = ACTIONS(6427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6427),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6427),
    [aux_sym_variable_attributes_token1] = ACTIONS(6427),
    [aux_sym_variable_attributes_token2] = ACTIONS(6427),
    [aux_sym_variable_attributes_token3] = ACTIONS(6427),
    [aux_sym_variable_attributes_token4] = ACTIONS(6427),
    [aux_sym_variable_attributes_token5] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6427),
    [aux_sym_derived_type_token1] = ACTIONS(6427),
    [aux_sym_declared_type_token1] = ACTIONS(6427),
    [aux_sym_declared_type_token2] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6427),
    [aux_sym_type_qualifier_token1] = ACTIONS(6427),
    [aux_sym_type_qualifier_token2] = ACTIONS(6427),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6427),
    [aux_sym_stop_statement_token1] = ACTIONS(6427),
    [aux_sym_stop_statement_token2] = ACTIONS(6427),
    [aux_sym_subroutine_call_token1] = ACTIONS(6427),
    [aux_sym_keyword_statement_token2] = ACTIONS(6427),
    [aux_sym_keyword_statement_token3] = ACTIONS(6427),
    [aux_sym_keyword_statement_token4] = ACTIONS(6427),
    [aux_sym_include_statement_token1] = ACTIONS(6427),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6427),
    [aux_sym_end_if_statement_token1] = ACTIONS(6427),
    [aux_sym_elseif_clause_token2] = ACTIONS(6427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6427),
    [aux_sym_select_case_statement_token1] = ACTIONS(6427),
    [aux_sym_format_statement_token1] = ACTIONS(6427),
    [aux_sym_print_statement_token1] = ACTIONS(6427),
    [aux_sym_open_statement_token1] = ACTIONS(6427),
    [aux_sym_inquire_statement_token1] = ACTIONS(6427),
    [aux_sym_enum_statement_token1] = ACTIONS(6427),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6427),
    [aux_sym_entry_statement_token1] = ACTIONS(6427),
    [aux_sym_logical_expression_token5] = ACTIONS(6431),
    [anon_sym_DOT] = ACTIONS(6427),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6431),
    [anon_sym_LBRACK] = ACTIONS(6431),
    [aux_sym_boolean_literal_token1] = ACTIONS(6431),
    [aux_sym_boolean_literal_token2] = ACTIONS(6431),
    [aux_sym_null_literal_token1] = ACTIONS(6427),
    [aux_sym_coarray_statement_token1] = ACTIONS(6427),
    [aux_sym_coarray_statement_token2] = ACTIONS(6427),
    [aux_sym_coarray_statement_token6] = ACTIONS(6427),
    [aux_sym_coarray_statement_token8] = ACTIONS(6427),
    [aux_sym_coarray_statement_token11] = ACTIONS(6427),
    [aux_sym_coarray_statement_token12] = ACTIONS(6427),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6427),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6427),
    [aux_sym_identifier_token1] = ACTIONS(6427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6431),
    [sym__float_literal] = ACTIONS(6431),
    [sym__boz_literal] = ACTIONS(6431),
    [sym__string_literal] = ACTIONS(6431),
    [sym__string_literal_kind] = ACTIONS(6431),
  },
  [2094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6433),
    [aux_sym_preproc_def_token1] = ACTIONS(6433),
    [aux_sym_preproc_if_token1] = ACTIONS(6433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6433),
    [sym_preproc_directive] = ACTIONS(6433),
    [anon_sym_LPAREN2] = ACTIONS(6433),
    [sym_preproc_comment] = ACTIONS(6435),
    [anon_sym_PLUS] = ACTIONS(6437),
    [anon_sym_DASH] = ACTIONS(6437),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6433),
    [aux_sym_end_module_statement_token1] = ACTIONS(6433),
    [anon_sym_SEMI] = ACTIONS(6437),
    [aux_sym_interface_statement_token1] = ACTIONS(6433),
    [aux_sym_block_data_statement_token1] = ACTIONS(6433),
    [aux_sym_block_data_statement_token2] = ACTIONS(6433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6433),
    [aux_sym_language_binding_token1] = ACTIONS(6433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6433),
    [aux_sym_contains_statement_token1] = ACTIONS(6433),
    [aux_sym_use_statement_token1] = ACTIONS(6433),
    [aux_sym_use_statement_token2] = ACTIONS(6433),
    [aux_sym_implicit_statement_token1] = ACTIONS(6433),
    [aux_sym_implicit_statement_token3] = ACTIONS(6433),
    [aux_sym_implicit_statement_token4] = ACTIONS(6433),
    [aux_sym_save_statement_token1] = ACTIONS(6433),
    [aux_sym_private_statement_token1] = ACTIONS(6433),
    [aux_sym_public_statement_token1] = ACTIONS(6433),
    [aux_sym_namelist_statement_token1] = ACTIONS(6433),
    [aux_sym_common_statement_token1] = ACTIONS(6433),
    [aux_sym_import_statement_token1] = ACTIONS(6433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6433),
    [aux_sym_variable_attributes_token1] = ACTIONS(6433),
    [aux_sym_variable_attributes_token2] = ACTIONS(6433),
    [aux_sym_variable_attributes_token3] = ACTIONS(6433),
    [aux_sym_variable_attributes_token4] = ACTIONS(6433),
    [aux_sym_variable_attributes_token5] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6433),
    [aux_sym_derived_type_token1] = ACTIONS(6433),
    [aux_sym_declared_type_token1] = ACTIONS(6433),
    [aux_sym_declared_type_token2] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6433),
    [aux_sym_type_qualifier_token1] = ACTIONS(6433),
    [aux_sym_type_qualifier_token2] = ACTIONS(6433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6433),
    [aux_sym_stop_statement_token1] = ACTIONS(6433),
    [aux_sym_stop_statement_token2] = ACTIONS(6433),
    [aux_sym_subroutine_call_token1] = ACTIONS(6433),
    [aux_sym_keyword_statement_token2] = ACTIONS(6433),
    [aux_sym_keyword_statement_token3] = ACTIONS(6433),
    [aux_sym_keyword_statement_token4] = ACTIONS(6433),
    [aux_sym_include_statement_token1] = ACTIONS(6433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6433),
    [aux_sym_end_if_statement_token1] = ACTIONS(6433),
    [aux_sym_elseif_clause_token2] = ACTIONS(6433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6433),
    [aux_sym_select_case_statement_token1] = ACTIONS(6433),
    [aux_sym_format_statement_token1] = ACTIONS(6433),
    [aux_sym_print_statement_token1] = ACTIONS(6433),
    [aux_sym_open_statement_token1] = ACTIONS(6433),
    [aux_sym_inquire_statement_token1] = ACTIONS(6433),
    [aux_sym_enum_statement_token1] = ACTIONS(6433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6433),
    [aux_sym_entry_statement_token1] = ACTIONS(6433),
    [aux_sym_logical_expression_token5] = ACTIONS(6437),
    [anon_sym_DOT] = ACTIONS(6433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6437),
    [anon_sym_LBRACK] = ACTIONS(6437),
    [aux_sym_boolean_literal_token1] = ACTIONS(6437),
    [aux_sym_boolean_literal_token2] = ACTIONS(6437),
    [aux_sym_null_literal_token1] = ACTIONS(6433),
    [aux_sym_coarray_statement_token1] = ACTIONS(6433),
    [aux_sym_coarray_statement_token2] = ACTIONS(6433),
    [aux_sym_coarray_statement_token6] = ACTIONS(6433),
    [aux_sym_coarray_statement_token8] = ACTIONS(6433),
    [aux_sym_coarray_statement_token11] = ACTIONS(6433),
    [aux_sym_coarray_statement_token12] = ACTIONS(6433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6433),
    [aux_sym_identifier_token1] = ACTIONS(6433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6437),
    [sym__float_literal] = ACTIONS(6437),
    [sym__boz_literal] = ACTIONS(6437),
    [sym__string_literal] = ACTIONS(6437),
    [sym__string_literal_kind] = ACTIONS(6437),
  },
  [2095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6439),
    [aux_sym_preproc_def_token1] = ACTIONS(6439),
    [aux_sym_preproc_if_token1] = ACTIONS(6439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6439),
    [sym_preproc_directive] = ACTIONS(6439),
    [anon_sym_LPAREN2] = ACTIONS(6439),
    [sym_preproc_comment] = ACTIONS(6441),
    [anon_sym_PLUS] = ACTIONS(6443),
    [anon_sym_DASH] = ACTIONS(6443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6439),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6439),
    [anon_sym_SEMI] = ACTIONS(6443),
    [aux_sym_interface_statement_token1] = ACTIONS(6439),
    [aux_sym_block_data_statement_token1] = ACTIONS(6439),
    [aux_sym_block_data_statement_token2] = ACTIONS(6439),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6439),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6439),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6439),
    [aux_sym_language_binding_token1] = ACTIONS(6439),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6439),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6439),
    [aux_sym_contains_statement_token1] = ACTIONS(6439),
    [aux_sym_use_statement_token1] = ACTIONS(6439),
    [aux_sym_use_statement_token2] = ACTIONS(6439),
    [aux_sym_implicit_statement_token1] = ACTIONS(6439),
    [aux_sym_implicit_statement_token3] = ACTIONS(6439),
    [aux_sym_implicit_statement_token4] = ACTIONS(6439),
    [aux_sym_save_statement_token1] = ACTIONS(6439),
    [aux_sym_private_statement_token1] = ACTIONS(6439),
    [aux_sym_public_statement_token1] = ACTIONS(6439),
    [aux_sym_namelist_statement_token1] = ACTIONS(6439),
    [aux_sym_common_statement_token1] = ACTIONS(6439),
    [aux_sym_import_statement_token1] = ACTIONS(6439),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6439),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6439),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6439),
    [aux_sym_variable_attributes_token1] = ACTIONS(6439),
    [aux_sym_variable_attributes_token2] = ACTIONS(6439),
    [aux_sym_variable_attributes_token3] = ACTIONS(6439),
    [aux_sym_variable_attributes_token4] = ACTIONS(6439),
    [aux_sym_variable_attributes_token5] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6439),
    [aux_sym_derived_type_token1] = ACTIONS(6439),
    [aux_sym_declared_type_token1] = ACTIONS(6439),
    [aux_sym_declared_type_token2] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6439),
    [aux_sym_type_qualifier_token1] = ACTIONS(6439),
    [aux_sym_type_qualifier_token2] = ACTIONS(6439),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6439),
    [aux_sym_stop_statement_token1] = ACTIONS(6439),
    [aux_sym_stop_statement_token2] = ACTIONS(6439),
    [aux_sym_subroutine_call_token1] = ACTIONS(6439),
    [aux_sym_keyword_statement_token2] = ACTIONS(6439),
    [aux_sym_keyword_statement_token3] = ACTIONS(6439),
    [aux_sym_keyword_statement_token4] = ACTIONS(6439),
    [aux_sym_include_statement_token1] = ACTIONS(6439),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6439),
    [aux_sym_end_if_statement_token1] = ACTIONS(6439),
    [aux_sym_elseif_clause_token2] = ACTIONS(6439),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6439),
    [aux_sym_select_case_statement_token1] = ACTIONS(6439),
    [aux_sym_format_statement_token1] = ACTIONS(6439),
    [aux_sym_print_statement_token1] = ACTIONS(6439),
    [aux_sym_open_statement_token1] = ACTIONS(6439),
    [aux_sym_inquire_statement_token1] = ACTIONS(6439),
    [aux_sym_enum_statement_token1] = ACTIONS(6439),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6439),
    [aux_sym_entry_statement_token1] = ACTIONS(6439),
    [aux_sym_logical_expression_token5] = ACTIONS(6443),
    [anon_sym_DOT] = ACTIONS(6439),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6443),
    [anon_sym_LBRACK] = ACTIONS(6443),
    [aux_sym_boolean_literal_token1] = ACTIONS(6443),
    [aux_sym_boolean_literal_token2] = ACTIONS(6443),
    [aux_sym_null_literal_token1] = ACTIONS(6439),
    [aux_sym_coarray_statement_token1] = ACTIONS(6439),
    [aux_sym_coarray_statement_token2] = ACTIONS(6439),
    [aux_sym_coarray_statement_token6] = ACTIONS(6439),
    [aux_sym_coarray_statement_token8] = ACTIONS(6439),
    [aux_sym_coarray_statement_token11] = ACTIONS(6439),
    [aux_sym_coarray_statement_token12] = ACTIONS(6439),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6439),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6439),
    [aux_sym_identifier_token1] = ACTIONS(6439),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6443),
    [sym__float_literal] = ACTIONS(6443),
    [sym__boz_literal] = ACTIONS(6443),
    [sym__string_literal] = ACTIONS(6443),
    [sym__string_literal_kind] = ACTIONS(6443),
  },
  [2096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6445),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6421),
    [aux_sym_preproc_def_token1] = ACTIONS(6421),
    [aux_sym_preproc_if_token1] = ACTIONS(6421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6421),
    [sym_preproc_directive] = ACTIONS(6421),
    [anon_sym_LPAREN2] = ACTIONS(6421),
    [sym_preproc_comment] = ACTIONS(6447),
    [anon_sym_PLUS] = ACTIONS(6425),
    [anon_sym_DASH] = ACTIONS(6425),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6421),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6421),
    [anon_sym_SEMI] = ACTIONS(6425),
    [aux_sym_interface_statement_token1] = ACTIONS(6421),
    [aux_sym_block_data_statement_token1] = ACTIONS(6421),
    [aux_sym_block_data_statement_token2] = ACTIONS(6421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6421),
    [aux_sym_language_binding_token1] = ACTIONS(6421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6421),
    [aux_sym_contains_statement_token1] = ACTIONS(6421),
    [aux_sym_use_statement_token1] = ACTIONS(6421),
    [aux_sym_use_statement_token2] = ACTIONS(6421),
    [aux_sym_implicit_statement_token1] = ACTIONS(6421),
    [aux_sym_implicit_statement_token3] = ACTIONS(6421),
    [aux_sym_implicit_statement_token4] = ACTIONS(6421),
    [aux_sym_save_statement_token1] = ACTIONS(6421),
    [aux_sym_private_statement_token1] = ACTIONS(6421),
    [aux_sym_public_statement_token1] = ACTIONS(6421),
    [aux_sym_namelist_statement_token1] = ACTIONS(6421),
    [aux_sym_common_statement_token1] = ACTIONS(6421),
    [aux_sym_import_statement_token1] = ACTIONS(6421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6421),
    [aux_sym_variable_attributes_token1] = ACTIONS(6421),
    [aux_sym_variable_attributes_token2] = ACTIONS(6421),
    [aux_sym_variable_attributes_token3] = ACTIONS(6421),
    [aux_sym_variable_attributes_token4] = ACTIONS(6421),
    [aux_sym_variable_attributes_token5] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6421),
    [aux_sym_derived_type_token1] = ACTIONS(6421),
    [aux_sym_declared_type_token1] = ACTIONS(6421),
    [aux_sym_declared_type_token2] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6421),
    [aux_sym_type_qualifier_token1] = ACTIONS(6421),
    [aux_sym_type_qualifier_token2] = ACTIONS(6421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6421),
    [aux_sym_stop_statement_token1] = ACTIONS(6421),
    [aux_sym_stop_statement_token2] = ACTIONS(6421),
    [aux_sym_subroutine_call_token1] = ACTIONS(6421),
    [aux_sym_keyword_statement_token2] = ACTIONS(6421),
    [aux_sym_keyword_statement_token3] = ACTIONS(6421),
    [aux_sym_keyword_statement_token4] = ACTIONS(6421),
    [aux_sym_include_statement_token1] = ACTIONS(6421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6421),
    [aux_sym_end_if_statement_token1] = ACTIONS(6421),
    [aux_sym_elseif_clause_token2] = ACTIONS(6421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6421),
    [aux_sym_select_case_statement_token1] = ACTIONS(6421),
    [aux_sym_format_statement_token1] = ACTIONS(6421),
    [aux_sym_print_statement_token1] = ACTIONS(6421),
    [aux_sym_open_statement_token1] = ACTIONS(6421),
    [aux_sym_inquire_statement_token1] = ACTIONS(6421),
    [aux_sym_enum_statement_token1] = ACTIONS(6421),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6421),
    [aux_sym_entry_statement_token1] = ACTIONS(6421),
    [aux_sym_logical_expression_token5] = ACTIONS(6425),
    [anon_sym_DOT] = ACTIONS(6421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6425),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [aux_sym_boolean_literal_token1] = ACTIONS(6425),
    [aux_sym_boolean_literal_token2] = ACTIONS(6425),
    [aux_sym_null_literal_token1] = ACTIONS(6421),
    [aux_sym_coarray_statement_token1] = ACTIONS(6421),
    [aux_sym_coarray_statement_token2] = ACTIONS(6421),
    [aux_sym_coarray_statement_token6] = ACTIONS(6421),
    [aux_sym_coarray_statement_token8] = ACTIONS(6421),
    [aux_sym_coarray_statement_token11] = ACTIONS(6421),
    [aux_sym_coarray_statement_token12] = ACTIONS(6421),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6421),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6421),
    [aux_sym_identifier_token1] = ACTIONS(6421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6425),
    [sym__float_literal] = ACTIONS(6425),
    [sym__boz_literal] = ACTIONS(6425),
    [sym__string_literal] = ACTIONS(6425),
    [sym__string_literal_kind] = ACTIONS(6425),
  },
  [2098] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6449),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2099] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6451),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(6453),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [aux_sym_end_module_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_contains_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [2101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6439),
    [aux_sym_preproc_def_token1] = ACTIONS(6439),
    [aux_sym_preproc_if_token1] = ACTIONS(6439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6439),
    [sym_preproc_directive] = ACTIONS(6439),
    [anon_sym_LPAREN2] = ACTIONS(6439),
    [sym_preproc_comment] = ACTIONS(6457),
    [anon_sym_PLUS] = ACTIONS(6443),
    [anon_sym_DASH] = ACTIONS(6443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6439),
    [aux_sym_end_module_statement_token1] = ACTIONS(6439),
    [anon_sym_SEMI] = ACTIONS(6443),
    [aux_sym_interface_statement_token1] = ACTIONS(6439),
    [aux_sym_block_data_statement_token1] = ACTIONS(6439),
    [aux_sym_block_data_statement_token2] = ACTIONS(6439),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6439),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6439),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6439),
    [aux_sym_language_binding_token1] = ACTIONS(6439),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6439),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6439),
    [aux_sym_contains_statement_token1] = ACTIONS(6439),
    [aux_sym_use_statement_token1] = ACTIONS(6439),
    [aux_sym_use_statement_token2] = ACTIONS(6439),
    [aux_sym_implicit_statement_token1] = ACTIONS(6439),
    [aux_sym_implicit_statement_token3] = ACTIONS(6439),
    [aux_sym_implicit_statement_token4] = ACTIONS(6439),
    [aux_sym_save_statement_token1] = ACTIONS(6439),
    [aux_sym_private_statement_token1] = ACTIONS(6439),
    [aux_sym_public_statement_token1] = ACTIONS(6439),
    [aux_sym_namelist_statement_token1] = ACTIONS(6439),
    [aux_sym_common_statement_token1] = ACTIONS(6439),
    [aux_sym_import_statement_token1] = ACTIONS(6439),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6439),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6439),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6439),
    [aux_sym_variable_attributes_token1] = ACTIONS(6439),
    [aux_sym_variable_attributes_token2] = ACTIONS(6439),
    [aux_sym_variable_attributes_token3] = ACTIONS(6439),
    [aux_sym_variable_attributes_token4] = ACTIONS(6439),
    [aux_sym_variable_attributes_token5] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6439),
    [aux_sym_derived_type_token1] = ACTIONS(6439),
    [aux_sym_declared_type_token1] = ACTIONS(6439),
    [aux_sym_declared_type_token2] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6439),
    [aux_sym_type_qualifier_token1] = ACTIONS(6439),
    [aux_sym_type_qualifier_token2] = ACTIONS(6439),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6439),
    [aux_sym_stop_statement_token1] = ACTIONS(6439),
    [aux_sym_stop_statement_token2] = ACTIONS(6439),
    [aux_sym_subroutine_call_token1] = ACTIONS(6439),
    [aux_sym_keyword_statement_token2] = ACTIONS(6439),
    [aux_sym_keyword_statement_token3] = ACTIONS(6439),
    [aux_sym_keyword_statement_token4] = ACTIONS(6439),
    [aux_sym_include_statement_token1] = ACTIONS(6439),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6439),
    [aux_sym_end_if_statement_token1] = ACTIONS(6439),
    [aux_sym_elseif_clause_token2] = ACTIONS(6439),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6439),
    [aux_sym_select_case_statement_token1] = ACTIONS(6439),
    [aux_sym_format_statement_token1] = ACTIONS(6439),
    [aux_sym_print_statement_token1] = ACTIONS(6439),
    [aux_sym_open_statement_token1] = ACTIONS(6439),
    [aux_sym_inquire_statement_token1] = ACTIONS(6439),
    [aux_sym_enum_statement_token1] = ACTIONS(6439),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6439),
    [aux_sym_entry_statement_token1] = ACTIONS(6439),
    [aux_sym_logical_expression_token5] = ACTIONS(6443),
    [anon_sym_DOT] = ACTIONS(6439),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6443),
    [anon_sym_LBRACK] = ACTIONS(6443),
    [aux_sym_boolean_literal_token1] = ACTIONS(6443),
    [aux_sym_boolean_literal_token2] = ACTIONS(6443),
    [aux_sym_null_literal_token1] = ACTIONS(6439),
    [aux_sym_coarray_statement_token1] = ACTIONS(6439),
    [aux_sym_coarray_statement_token2] = ACTIONS(6439),
    [aux_sym_coarray_statement_token6] = ACTIONS(6439),
    [aux_sym_coarray_statement_token8] = ACTIONS(6439),
    [aux_sym_coarray_statement_token11] = ACTIONS(6439),
    [aux_sym_coarray_statement_token12] = ACTIONS(6439),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6439),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6439),
    [aux_sym_identifier_token1] = ACTIONS(6439),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6443),
    [sym__float_literal] = ACTIONS(6443),
    [sym__boz_literal] = ACTIONS(6443),
    [sym__string_literal] = ACTIONS(6443),
    [sym__string_literal_kind] = ACTIONS(6443),
  },
  [2103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6461),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_contains_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [2105] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6463),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [aux_sym_end_module_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [2106] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6465),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [aux_sym_end_module_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_contains_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [2108] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6469),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2109] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6471),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [2110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6403),
    [aux_sym_preproc_def_token1] = ACTIONS(6403),
    [aux_sym_preproc_if_token1] = ACTIONS(6403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6403),
    [sym_preproc_directive] = ACTIONS(6403),
    [anon_sym_LPAREN2] = ACTIONS(6403),
    [sym_preproc_comment] = ACTIONS(6473),
    [anon_sym_PLUS] = ACTIONS(6407),
    [anon_sym_DASH] = ACTIONS(6407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6403),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6403),
    [anon_sym_SEMI] = ACTIONS(6407),
    [aux_sym_interface_statement_token1] = ACTIONS(6403),
    [aux_sym_block_data_statement_token1] = ACTIONS(6403),
    [aux_sym_block_data_statement_token2] = ACTIONS(6403),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6403),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6403),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6403),
    [aux_sym_language_binding_token1] = ACTIONS(6403),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6403),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6403),
    [aux_sym_contains_statement_token1] = ACTIONS(6403),
    [aux_sym_use_statement_token1] = ACTIONS(6403),
    [aux_sym_use_statement_token2] = ACTIONS(6403),
    [aux_sym_implicit_statement_token1] = ACTIONS(6403),
    [aux_sym_implicit_statement_token3] = ACTIONS(6403),
    [aux_sym_implicit_statement_token4] = ACTIONS(6403),
    [aux_sym_save_statement_token1] = ACTIONS(6403),
    [aux_sym_private_statement_token1] = ACTIONS(6403),
    [aux_sym_public_statement_token1] = ACTIONS(6403),
    [aux_sym_namelist_statement_token1] = ACTIONS(6403),
    [aux_sym_common_statement_token1] = ACTIONS(6403),
    [aux_sym_import_statement_token1] = ACTIONS(6403),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6403),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6403),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6403),
    [aux_sym_variable_attributes_token1] = ACTIONS(6403),
    [aux_sym_variable_attributes_token2] = ACTIONS(6403),
    [aux_sym_variable_attributes_token3] = ACTIONS(6403),
    [aux_sym_variable_attributes_token4] = ACTIONS(6403),
    [aux_sym_variable_attributes_token5] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6403),
    [aux_sym_derived_type_token1] = ACTIONS(6403),
    [aux_sym_declared_type_token1] = ACTIONS(6403),
    [aux_sym_declared_type_token2] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6403),
    [aux_sym_type_qualifier_token1] = ACTIONS(6403),
    [aux_sym_type_qualifier_token2] = ACTIONS(6403),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6403),
    [aux_sym_stop_statement_token1] = ACTIONS(6403),
    [aux_sym_stop_statement_token2] = ACTIONS(6403),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6403),
    [aux_sym_keyword_statement_token3] = ACTIONS(6403),
    [aux_sym_keyword_statement_token4] = ACTIONS(6403),
    [aux_sym_include_statement_token1] = ACTIONS(6403),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6403),
    [aux_sym_end_if_statement_token1] = ACTIONS(6403),
    [aux_sym_elseif_clause_token2] = ACTIONS(6403),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6403),
    [aux_sym_select_case_statement_token1] = ACTIONS(6403),
    [aux_sym_format_statement_token1] = ACTIONS(6403),
    [aux_sym_print_statement_token1] = ACTIONS(6403),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6403),
    [aux_sym_enum_statement_token1] = ACTIONS(6403),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6403),
    [aux_sym_entry_statement_token1] = ACTIONS(6403),
    [aux_sym_logical_expression_token5] = ACTIONS(6407),
    [anon_sym_DOT] = ACTIONS(6403),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6407),
    [anon_sym_LBRACK] = ACTIONS(6407),
    [aux_sym_boolean_literal_token1] = ACTIONS(6407),
    [aux_sym_boolean_literal_token2] = ACTIONS(6407),
    [aux_sym_null_literal_token1] = ACTIONS(6403),
    [aux_sym_coarray_statement_token1] = ACTIONS(6403),
    [aux_sym_coarray_statement_token2] = ACTIONS(6403),
    [aux_sym_coarray_statement_token6] = ACTIONS(6403),
    [aux_sym_coarray_statement_token8] = ACTIONS(6403),
    [aux_sym_coarray_statement_token11] = ACTIONS(6403),
    [aux_sym_coarray_statement_token12] = ACTIONS(6403),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6403),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6403),
    [aux_sym_identifier_token1] = ACTIONS(6403),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6407),
    [sym__float_literal] = ACTIONS(6407),
    [sym__boz_literal] = ACTIONS(6407),
    [sym__string_literal] = ACTIONS(6407),
    [sym__string_literal_kind] = ACTIONS(6407),
  },
  [2111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6475),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6433),
    [aux_sym_preproc_def_token1] = ACTIONS(6433),
    [aux_sym_preproc_if_token1] = ACTIONS(6433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6433),
    [sym_preproc_directive] = ACTIONS(6433),
    [anon_sym_LPAREN2] = ACTIONS(6433),
    [sym_preproc_comment] = ACTIONS(6477),
    [anon_sym_PLUS] = ACTIONS(6437),
    [anon_sym_DASH] = ACTIONS(6437),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6433),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6433),
    [anon_sym_SEMI] = ACTIONS(6437),
    [aux_sym_interface_statement_token1] = ACTIONS(6433),
    [aux_sym_block_data_statement_token1] = ACTIONS(6433),
    [aux_sym_block_data_statement_token2] = ACTIONS(6433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6433),
    [aux_sym_language_binding_token1] = ACTIONS(6433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6433),
    [aux_sym_contains_statement_token1] = ACTIONS(6433),
    [aux_sym_use_statement_token1] = ACTIONS(6433),
    [aux_sym_use_statement_token2] = ACTIONS(6433),
    [aux_sym_implicit_statement_token1] = ACTIONS(6433),
    [aux_sym_implicit_statement_token3] = ACTIONS(6433),
    [aux_sym_implicit_statement_token4] = ACTIONS(6433),
    [aux_sym_save_statement_token1] = ACTIONS(6433),
    [aux_sym_private_statement_token1] = ACTIONS(6433),
    [aux_sym_public_statement_token1] = ACTIONS(6433),
    [aux_sym_namelist_statement_token1] = ACTIONS(6433),
    [aux_sym_common_statement_token1] = ACTIONS(6433),
    [aux_sym_import_statement_token1] = ACTIONS(6433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6433),
    [aux_sym_variable_attributes_token1] = ACTIONS(6433),
    [aux_sym_variable_attributes_token2] = ACTIONS(6433),
    [aux_sym_variable_attributes_token3] = ACTIONS(6433),
    [aux_sym_variable_attributes_token4] = ACTIONS(6433),
    [aux_sym_variable_attributes_token5] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6433),
    [aux_sym_derived_type_token1] = ACTIONS(6433),
    [aux_sym_declared_type_token1] = ACTIONS(6433),
    [aux_sym_declared_type_token2] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6433),
    [aux_sym_type_qualifier_token1] = ACTIONS(6433),
    [aux_sym_type_qualifier_token2] = ACTIONS(6433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6433),
    [aux_sym_stop_statement_token1] = ACTIONS(6433),
    [aux_sym_stop_statement_token2] = ACTIONS(6433),
    [aux_sym_subroutine_call_token1] = ACTIONS(6433),
    [aux_sym_keyword_statement_token2] = ACTIONS(6433),
    [aux_sym_keyword_statement_token3] = ACTIONS(6433),
    [aux_sym_keyword_statement_token4] = ACTIONS(6433),
    [aux_sym_include_statement_token1] = ACTIONS(6433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6433),
    [aux_sym_end_if_statement_token1] = ACTIONS(6433),
    [aux_sym_elseif_clause_token2] = ACTIONS(6433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6433),
    [aux_sym_select_case_statement_token1] = ACTIONS(6433),
    [aux_sym_format_statement_token1] = ACTIONS(6433),
    [aux_sym_print_statement_token1] = ACTIONS(6433),
    [aux_sym_open_statement_token1] = ACTIONS(6433),
    [aux_sym_inquire_statement_token1] = ACTIONS(6433),
    [aux_sym_enum_statement_token1] = ACTIONS(6433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6433),
    [aux_sym_entry_statement_token1] = ACTIONS(6433),
    [aux_sym_logical_expression_token5] = ACTIONS(6437),
    [anon_sym_DOT] = ACTIONS(6433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6437),
    [anon_sym_LBRACK] = ACTIONS(6437),
    [aux_sym_boolean_literal_token1] = ACTIONS(6437),
    [aux_sym_boolean_literal_token2] = ACTIONS(6437),
    [aux_sym_null_literal_token1] = ACTIONS(6433),
    [aux_sym_coarray_statement_token1] = ACTIONS(6433),
    [aux_sym_coarray_statement_token2] = ACTIONS(6433),
    [aux_sym_coarray_statement_token6] = ACTIONS(6433),
    [aux_sym_coarray_statement_token8] = ACTIONS(6433),
    [aux_sym_coarray_statement_token11] = ACTIONS(6433),
    [aux_sym_coarray_statement_token12] = ACTIONS(6433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6433),
    [aux_sym_identifier_token1] = ACTIONS(6433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6437),
    [sym__float_literal] = ACTIONS(6437),
    [sym__boz_literal] = ACTIONS(6437),
    [sym__string_literal] = ACTIONS(6437),
    [sym__string_literal_kind] = ACTIONS(6437),
  },
  [2113] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6479),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6481),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [2115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6483),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6485),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(6487),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_contains_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6489),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6491),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [aux_sym_end_module_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_contains_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [2120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6493),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_contains_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [2121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6495),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_module_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6497),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [aux_sym_end_module_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_contains_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [2123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6415),
    [aux_sym_preproc_def_token1] = ACTIONS(6415),
    [aux_sym_preproc_if_token1] = ACTIONS(6415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6415),
    [sym_preproc_directive] = ACTIONS(6415),
    [anon_sym_LPAREN2] = ACTIONS(6415),
    [sym_preproc_comment] = ACTIONS(6499),
    [anon_sym_PLUS] = ACTIONS(6419),
    [anon_sym_DASH] = ACTIONS(6419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6415),
    [aux_sym_end_module_statement_token1] = ACTIONS(6415),
    [anon_sym_SEMI] = ACTIONS(6419),
    [aux_sym_interface_statement_token1] = ACTIONS(6415),
    [aux_sym_block_data_statement_token1] = ACTIONS(6415),
    [aux_sym_block_data_statement_token2] = ACTIONS(6415),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6415),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6415),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6415),
    [aux_sym_language_binding_token1] = ACTIONS(6415),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6415),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6415),
    [aux_sym_contains_statement_token1] = ACTIONS(6415),
    [aux_sym_use_statement_token1] = ACTIONS(6415),
    [aux_sym_use_statement_token2] = ACTIONS(6415),
    [aux_sym_implicit_statement_token1] = ACTIONS(6415),
    [aux_sym_implicit_statement_token3] = ACTIONS(6415),
    [aux_sym_implicit_statement_token4] = ACTIONS(6415),
    [aux_sym_save_statement_token1] = ACTIONS(6415),
    [aux_sym_private_statement_token1] = ACTIONS(6415),
    [aux_sym_public_statement_token1] = ACTIONS(6415),
    [aux_sym_namelist_statement_token1] = ACTIONS(6415),
    [aux_sym_common_statement_token1] = ACTIONS(6415),
    [aux_sym_import_statement_token1] = ACTIONS(6415),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6415),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6415),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6415),
    [aux_sym_variable_attributes_token1] = ACTIONS(6415),
    [aux_sym_variable_attributes_token2] = ACTIONS(6415),
    [aux_sym_variable_attributes_token3] = ACTIONS(6415),
    [aux_sym_variable_attributes_token4] = ACTIONS(6415),
    [aux_sym_variable_attributes_token5] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6415),
    [aux_sym_derived_type_token1] = ACTIONS(6415),
    [aux_sym_declared_type_token1] = ACTIONS(6415),
    [aux_sym_declared_type_token2] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6415),
    [aux_sym_type_qualifier_token1] = ACTIONS(6415),
    [aux_sym_type_qualifier_token2] = ACTIONS(6415),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6415),
    [aux_sym_stop_statement_token1] = ACTIONS(6415),
    [aux_sym_stop_statement_token2] = ACTIONS(6415),
    [aux_sym_subroutine_call_token1] = ACTIONS(6415),
    [aux_sym_keyword_statement_token2] = ACTIONS(6415),
    [aux_sym_keyword_statement_token3] = ACTIONS(6415),
    [aux_sym_keyword_statement_token4] = ACTIONS(6415),
    [aux_sym_include_statement_token1] = ACTIONS(6415),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6415),
    [aux_sym_end_if_statement_token1] = ACTIONS(6415),
    [aux_sym_elseif_clause_token2] = ACTIONS(6415),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6415),
    [aux_sym_select_case_statement_token1] = ACTIONS(6415),
    [aux_sym_format_statement_token1] = ACTIONS(6415),
    [aux_sym_print_statement_token1] = ACTIONS(6415),
    [aux_sym_open_statement_token1] = ACTIONS(6415),
    [aux_sym_inquire_statement_token1] = ACTIONS(6415),
    [aux_sym_enum_statement_token1] = ACTIONS(6415),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6415),
    [aux_sym_entry_statement_token1] = ACTIONS(6415),
    [aux_sym_logical_expression_token5] = ACTIONS(6419),
    [anon_sym_DOT] = ACTIONS(6415),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6419),
    [anon_sym_LBRACK] = ACTIONS(6419),
    [aux_sym_boolean_literal_token1] = ACTIONS(6419),
    [aux_sym_boolean_literal_token2] = ACTIONS(6419),
    [aux_sym_null_literal_token1] = ACTIONS(6415),
    [aux_sym_coarray_statement_token1] = ACTIONS(6415),
    [aux_sym_coarray_statement_token2] = ACTIONS(6415),
    [aux_sym_coarray_statement_token6] = ACTIONS(6415),
    [aux_sym_coarray_statement_token8] = ACTIONS(6415),
    [aux_sym_coarray_statement_token11] = ACTIONS(6415),
    [aux_sym_coarray_statement_token12] = ACTIONS(6415),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6415),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6415),
    [aux_sym_identifier_token1] = ACTIONS(6415),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6419),
    [sym__float_literal] = ACTIONS(6419),
    [sym__boz_literal] = ACTIONS(6419),
    [sym__string_literal] = ACTIONS(6419),
    [sym__string_literal_kind] = ACTIONS(6419),
  },
  [2124] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6501),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6503),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(6505),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [aux_sym_end_module_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_contains_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [2127] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6427),
    [aux_sym_preproc_def_token1] = ACTIONS(6427),
    [aux_sym_preproc_if_token1] = ACTIONS(6427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6427),
    [sym_preproc_directive] = ACTIONS(6427),
    [anon_sym_LPAREN2] = ACTIONS(6427),
    [sym_preproc_comment] = ACTIONS(6507),
    [anon_sym_PLUS] = ACTIONS(6431),
    [anon_sym_DASH] = ACTIONS(6431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6427),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6427),
    [anon_sym_SEMI] = ACTIONS(6431),
    [aux_sym_interface_statement_token1] = ACTIONS(6427),
    [aux_sym_block_data_statement_token1] = ACTIONS(6427),
    [aux_sym_block_data_statement_token2] = ACTIONS(6427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6427),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6427),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6427),
    [aux_sym_language_binding_token1] = ACTIONS(6427),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6427),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6427),
    [aux_sym_contains_statement_token1] = ACTIONS(6427),
    [aux_sym_use_statement_token1] = ACTIONS(6427),
    [aux_sym_use_statement_token2] = ACTIONS(6427),
    [aux_sym_implicit_statement_token1] = ACTIONS(6427),
    [aux_sym_implicit_statement_token3] = ACTIONS(6427),
    [aux_sym_implicit_statement_token4] = ACTIONS(6427),
    [aux_sym_save_statement_token1] = ACTIONS(6427),
    [aux_sym_private_statement_token1] = ACTIONS(6427),
    [aux_sym_public_statement_token1] = ACTIONS(6427),
    [aux_sym_namelist_statement_token1] = ACTIONS(6427),
    [aux_sym_common_statement_token1] = ACTIONS(6427),
    [aux_sym_import_statement_token1] = ACTIONS(6427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6427),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6427),
    [aux_sym_variable_attributes_token1] = ACTIONS(6427),
    [aux_sym_variable_attributes_token2] = ACTIONS(6427),
    [aux_sym_variable_attributes_token3] = ACTIONS(6427),
    [aux_sym_variable_attributes_token4] = ACTIONS(6427),
    [aux_sym_variable_attributes_token5] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6427),
    [aux_sym_derived_type_token1] = ACTIONS(6427),
    [aux_sym_declared_type_token1] = ACTIONS(6427),
    [aux_sym_declared_type_token2] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6427),
    [aux_sym_type_qualifier_token1] = ACTIONS(6427),
    [aux_sym_type_qualifier_token2] = ACTIONS(6427),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6427),
    [aux_sym_stop_statement_token1] = ACTIONS(6427),
    [aux_sym_stop_statement_token2] = ACTIONS(6427),
    [aux_sym_subroutine_call_token1] = ACTIONS(6427),
    [aux_sym_keyword_statement_token2] = ACTIONS(6427),
    [aux_sym_keyword_statement_token3] = ACTIONS(6427),
    [aux_sym_keyword_statement_token4] = ACTIONS(6427),
    [aux_sym_include_statement_token1] = ACTIONS(6427),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6427),
    [aux_sym_end_if_statement_token1] = ACTIONS(6427),
    [aux_sym_elseif_clause_token2] = ACTIONS(6427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6427),
    [aux_sym_select_case_statement_token1] = ACTIONS(6427),
    [aux_sym_format_statement_token1] = ACTIONS(6427),
    [aux_sym_print_statement_token1] = ACTIONS(6427),
    [aux_sym_open_statement_token1] = ACTIONS(6427),
    [aux_sym_inquire_statement_token1] = ACTIONS(6427),
    [aux_sym_enum_statement_token1] = ACTIONS(6427),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6427),
    [aux_sym_entry_statement_token1] = ACTIONS(6427),
    [aux_sym_logical_expression_token5] = ACTIONS(6431),
    [anon_sym_DOT] = ACTIONS(6427),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6431),
    [anon_sym_LBRACK] = ACTIONS(6431),
    [aux_sym_boolean_literal_token1] = ACTIONS(6431),
    [aux_sym_boolean_literal_token2] = ACTIONS(6431),
    [aux_sym_null_literal_token1] = ACTIONS(6427),
    [aux_sym_coarray_statement_token1] = ACTIONS(6427),
    [aux_sym_coarray_statement_token2] = ACTIONS(6427),
    [aux_sym_coarray_statement_token6] = ACTIONS(6427),
    [aux_sym_coarray_statement_token8] = ACTIONS(6427),
    [aux_sym_coarray_statement_token11] = ACTIONS(6427),
    [aux_sym_coarray_statement_token12] = ACTIONS(6427),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6427),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6427),
    [aux_sym_identifier_token1] = ACTIONS(6427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6431),
    [sym__float_literal] = ACTIONS(6431),
    [sym__boz_literal] = ACTIONS(6431),
    [sym__string_literal] = ACTIONS(6431),
    [sym__string_literal_kind] = ACTIONS(6431),
  },
  [2128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6509),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6363),
    [aux_sym_preproc_def_token1] = ACTIONS(6363),
    [aux_sym_preproc_if_token1] = ACTIONS(6363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6363),
    [sym_preproc_directive] = ACTIONS(6363),
    [anon_sym_LPAREN2] = ACTIONS(6363),
    [sym_preproc_comment] = ACTIONS(6511),
    [anon_sym_PLUS] = ACTIONS(6367),
    [anon_sym_DASH] = ACTIONS(6367),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6363),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6363),
    [anon_sym_SEMI] = ACTIONS(6367),
    [aux_sym_interface_statement_token1] = ACTIONS(6363),
    [aux_sym_block_data_statement_token1] = ACTIONS(6363),
    [aux_sym_block_data_statement_token2] = ACTIONS(6363),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6363),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6363),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6363),
    [aux_sym_language_binding_token1] = ACTIONS(6363),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6363),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6363),
    [aux_sym_contains_statement_token1] = ACTIONS(6363),
    [aux_sym_use_statement_token1] = ACTIONS(6363),
    [aux_sym_use_statement_token2] = ACTIONS(6363),
    [aux_sym_implicit_statement_token1] = ACTIONS(6363),
    [aux_sym_implicit_statement_token3] = ACTIONS(6363),
    [aux_sym_implicit_statement_token4] = ACTIONS(6363),
    [aux_sym_save_statement_token1] = ACTIONS(6363),
    [aux_sym_private_statement_token1] = ACTIONS(6363),
    [aux_sym_public_statement_token1] = ACTIONS(6363),
    [aux_sym_namelist_statement_token1] = ACTIONS(6363),
    [aux_sym_common_statement_token1] = ACTIONS(6363),
    [aux_sym_import_statement_token1] = ACTIONS(6363),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6363),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6363),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6363),
    [aux_sym_variable_attributes_token1] = ACTIONS(6363),
    [aux_sym_variable_attributes_token2] = ACTIONS(6363),
    [aux_sym_variable_attributes_token3] = ACTIONS(6363),
    [aux_sym_variable_attributes_token4] = ACTIONS(6363),
    [aux_sym_variable_attributes_token5] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6363),
    [aux_sym_derived_type_token1] = ACTIONS(6363),
    [aux_sym_declared_type_token1] = ACTIONS(6363),
    [aux_sym_declared_type_token2] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6363),
    [aux_sym_type_qualifier_token1] = ACTIONS(6363),
    [aux_sym_type_qualifier_token2] = ACTIONS(6363),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6363),
    [aux_sym_stop_statement_token1] = ACTIONS(6363),
    [aux_sym_stop_statement_token2] = ACTIONS(6363),
    [aux_sym_subroutine_call_token1] = ACTIONS(6363),
    [aux_sym_keyword_statement_token2] = ACTIONS(6363),
    [aux_sym_keyword_statement_token3] = ACTIONS(6363),
    [aux_sym_keyword_statement_token4] = ACTIONS(6363),
    [aux_sym_include_statement_token1] = ACTIONS(6363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6363),
    [aux_sym_end_if_statement_token1] = ACTIONS(6363),
    [aux_sym_elseif_clause_token2] = ACTIONS(6363),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6363),
    [aux_sym_select_case_statement_token1] = ACTIONS(6363),
    [aux_sym_format_statement_token1] = ACTIONS(6363),
    [aux_sym_print_statement_token1] = ACTIONS(6363),
    [aux_sym_open_statement_token1] = ACTIONS(6363),
    [aux_sym_inquire_statement_token1] = ACTIONS(6363),
    [aux_sym_enum_statement_token1] = ACTIONS(6363),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6363),
    [aux_sym_entry_statement_token1] = ACTIONS(6363),
    [aux_sym_logical_expression_token5] = ACTIONS(6367),
    [anon_sym_DOT] = ACTIONS(6363),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6367),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [aux_sym_boolean_literal_token1] = ACTIONS(6367),
    [aux_sym_boolean_literal_token2] = ACTIONS(6367),
    [aux_sym_null_literal_token1] = ACTIONS(6363),
    [aux_sym_coarray_statement_token1] = ACTIONS(6363),
    [aux_sym_coarray_statement_token2] = ACTIONS(6363),
    [aux_sym_coarray_statement_token6] = ACTIONS(6363),
    [aux_sym_coarray_statement_token8] = ACTIONS(6363),
    [aux_sym_coarray_statement_token11] = ACTIONS(6363),
    [aux_sym_coarray_statement_token12] = ACTIONS(6363),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6363),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6363),
    [aux_sym_identifier_token1] = ACTIONS(6363),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6367),
    [sym__float_literal] = ACTIONS(6367),
    [sym__boz_literal] = ACTIONS(6367),
    [sym__string_literal] = ACTIONS(6367),
    [sym__string_literal_kind] = ACTIONS(6367),
  },
  [2130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6513),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6517),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [aux_sym_end_module_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_contains_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [2133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6519),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [2137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_module_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_module_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [2139] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6521),
    [aux_sym_preproc_def_token1] = ACTIONS(6521),
    [aux_sym_preproc_if_token1] = ACTIONS(6521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6521),
    [sym_preproc_directive] = ACTIONS(6521),
    [anon_sym_LPAREN2] = ACTIONS(6521),
    [anon_sym_PLUS] = ACTIONS(6523),
    [anon_sym_DASH] = ACTIONS(6523),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6521),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6521),
    [anon_sym_SEMI] = ACTIONS(6523),
    [aux_sym_interface_statement_token1] = ACTIONS(6521),
    [aux_sym_block_data_statement_token1] = ACTIONS(6521),
    [aux_sym_block_data_statement_token2] = ACTIONS(6521),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6521),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6521),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6521),
    [aux_sym_language_binding_token1] = ACTIONS(6521),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6521),
    [aux_sym_contains_statement_token1] = ACTIONS(6521),
    [aux_sym_use_statement_token1] = ACTIONS(6521),
    [aux_sym_use_statement_token2] = ACTIONS(6521),
    [aux_sym_implicit_statement_token1] = ACTIONS(6521),
    [aux_sym_implicit_statement_token3] = ACTIONS(6521),
    [aux_sym_implicit_statement_token4] = ACTIONS(6521),
    [aux_sym_save_statement_token1] = ACTIONS(6521),
    [aux_sym_private_statement_token1] = ACTIONS(6521),
    [aux_sym_public_statement_token1] = ACTIONS(6521),
    [aux_sym_namelist_statement_token1] = ACTIONS(6521),
    [aux_sym_common_statement_token1] = ACTIONS(6521),
    [aux_sym_import_statement_token1] = ACTIONS(6521),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6521),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6521),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6521),
    [aux_sym_variable_attributes_token1] = ACTIONS(6521),
    [aux_sym_variable_attributes_token2] = ACTIONS(6521),
    [aux_sym_variable_attributes_token3] = ACTIONS(6521),
    [aux_sym_variable_attributes_token4] = ACTIONS(6521),
    [aux_sym_variable_attributes_token5] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6521),
    [aux_sym_derived_type_token1] = ACTIONS(6521),
    [aux_sym_declared_type_token1] = ACTIONS(6521),
    [aux_sym_declared_type_token2] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6521),
    [aux_sym_type_qualifier_token1] = ACTIONS(6521),
    [aux_sym_type_qualifier_token2] = ACTIONS(6521),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6521),
    [aux_sym_stop_statement_token1] = ACTIONS(6521),
    [aux_sym_stop_statement_token2] = ACTIONS(6521),
    [aux_sym_subroutine_call_token1] = ACTIONS(6521),
    [aux_sym_keyword_statement_token2] = ACTIONS(6521),
    [aux_sym_keyword_statement_token3] = ACTIONS(6521),
    [aux_sym_keyword_statement_token4] = ACTIONS(6521),
    [aux_sym_include_statement_token1] = ACTIONS(6521),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6521),
    [aux_sym_end_if_statement_token1] = ACTIONS(6521),
    [aux_sym_elseif_clause_token2] = ACTIONS(6521),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6521),
    [aux_sym_select_case_statement_token1] = ACTIONS(6521),
    [aux_sym_format_statement_token1] = ACTIONS(6521),
    [aux_sym_print_statement_token1] = ACTIONS(6521),
    [aux_sym_open_statement_token1] = ACTIONS(6521),
    [aux_sym_inquire_statement_token1] = ACTIONS(6521),
    [aux_sym_enum_statement_token1] = ACTIONS(6521),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6521),
    [aux_sym_entry_statement_token1] = ACTIONS(6521),
    [aux_sym_logical_expression_token5] = ACTIONS(6523),
    [anon_sym_DOT] = ACTIONS(6521),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6523),
    [anon_sym_LBRACK] = ACTIONS(6523),
    [aux_sym_boolean_literal_token1] = ACTIONS(6523),
    [aux_sym_boolean_literal_token2] = ACTIONS(6523),
    [aux_sym_null_literal_token1] = ACTIONS(6521),
    [aux_sym_coarray_statement_token1] = ACTIONS(6521),
    [aux_sym_coarray_statement_token2] = ACTIONS(6521),
    [aux_sym_coarray_statement_token6] = ACTIONS(6521),
    [aux_sym_coarray_statement_token8] = ACTIONS(6521),
    [aux_sym_coarray_statement_token11] = ACTIONS(6521),
    [aux_sym_coarray_statement_token12] = ACTIONS(6521),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6521),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6521),
    [aux_sym_identifier_token1] = ACTIONS(6521),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6523),
    [sym__float_literal] = ACTIONS(6523),
    [sym__boz_literal] = ACTIONS(6523),
    [sym__string_literal] = ACTIONS(6523),
    [sym__string_literal_kind] = ACTIONS(6523),
  },
  [2140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_module_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [2142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5140),
    [aux_sym_preproc_def_token1] = ACTIONS(5140),
    [aux_sym_preproc_if_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5140),
    [sym_preproc_directive] = ACTIONS(5140),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [sym_preproc_comment] = ACTIONS(6525),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5144),
    [aux_sym_interface_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_block_data_statement_token2] = ACTIONS(5140),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5140),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5140),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5140),
    [aux_sym_language_binding_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5140),
    [aux_sym_use_statement_token1] = ACTIONS(5140),
    [aux_sym_use_statement_token2] = ACTIONS(5140),
    [aux_sym_implicit_statement_token1] = ACTIONS(5140),
    [aux_sym_implicit_statement_token3] = ACTIONS(5140),
    [aux_sym_implicit_statement_token4] = ACTIONS(5140),
    [aux_sym_save_statement_token1] = ACTIONS(5140),
    [aux_sym_private_statement_token1] = ACTIONS(5140),
    [aux_sym_public_statement_token1] = ACTIONS(5140),
    [aux_sym_namelist_statement_token1] = ACTIONS(5140),
    [aux_sym_common_statement_token1] = ACTIONS(5140),
    [aux_sym_import_statement_token1] = ACTIONS(5140),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5140),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5140),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5140),
    [aux_sym_variable_attributes_token1] = ACTIONS(5140),
    [aux_sym_variable_attributes_token2] = ACTIONS(5140),
    [aux_sym_variable_attributes_token3] = ACTIONS(5140),
    [aux_sym_variable_attributes_token4] = ACTIONS(5140),
    [aux_sym_variable_attributes_token5] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5140),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5140),
    [aux_sym_derived_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token1] = ACTIONS(5140),
    [aux_sym_declared_type_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5140),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5140),
    [aux_sym_type_qualifier_token1] = ACTIONS(5140),
    [aux_sym_type_qualifier_token2] = ACTIONS(5140),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5140),
    [aux_sym_stop_statement_token2] = ACTIONS(5140),
    [aux_sym_subroutine_call_token1] = ACTIONS(5140),
    [aux_sym_keyword_statement_token2] = ACTIONS(5140),
    [aux_sym_keyword_statement_token3] = ACTIONS(5140),
    [aux_sym_keyword_statement_token4] = ACTIONS(5140),
    [aux_sym_include_statement_token1] = ACTIONS(5140),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5140),
    [aux_sym_end_if_statement_token1] = ACTIONS(5140),
    [aux_sym_elseif_clause_token2] = ACTIONS(5140),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5140),
    [aux_sym_select_case_statement_token1] = ACTIONS(5140),
    [aux_sym_format_statement_token1] = ACTIONS(5140),
    [aux_sym_print_statement_token1] = ACTIONS(5140),
    [aux_sym_open_statement_token1] = ACTIONS(5140),
    [aux_sym_inquire_statement_token1] = ACTIONS(5140),
    [aux_sym_enum_statement_token1] = ACTIONS(5140),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5140),
    [aux_sym_entry_statement_token1] = ACTIONS(5140),
    [aux_sym_logical_expression_token5] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [aux_sym_boolean_literal_token1] = ACTIONS(5144),
    [aux_sym_boolean_literal_token2] = ACTIONS(5144),
    [aux_sym_null_literal_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_statement_token2] = ACTIONS(5140),
    [aux_sym_coarray_statement_token6] = ACTIONS(5140),
    [aux_sym_coarray_statement_token8] = ACTIONS(5140),
    [aux_sym_coarray_statement_token11] = ACTIONS(5140),
    [aux_sym_coarray_statement_token12] = ACTIONS(5140),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5140),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5140),
    [aux_sym_identifier_token1] = ACTIONS(5140),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5144),
    [sym__float_literal] = ACTIONS(5144),
    [sym__boz_literal] = ACTIONS(5144),
    [sym__string_literal] = ACTIONS(5144),
    [sym__string_literal_kind] = ACTIONS(5144),
  },
  [2144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6527),
    [aux_sym_preproc_def_token1] = ACTIONS(6527),
    [aux_sym_preproc_if_token1] = ACTIONS(6527),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6527),
    [sym_preproc_directive] = ACTIONS(6527),
    [anon_sym_LPAREN2] = ACTIONS(6527),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6527),
    [aux_sym_end_module_statement_token1] = ACTIONS(6527),
    [anon_sym_SEMI] = ACTIONS(6529),
    [aux_sym_interface_statement_token1] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6527),
    [aux_sym_block_data_statement_token2] = ACTIONS(6527),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6527),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6527),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6527),
    [aux_sym_language_binding_token1] = ACTIONS(6527),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6527),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6527),
    [aux_sym_contains_statement_token1] = ACTIONS(6527),
    [aux_sym_use_statement_token1] = ACTIONS(6527),
    [aux_sym_use_statement_token2] = ACTIONS(6527),
    [aux_sym_implicit_statement_token1] = ACTIONS(6527),
    [aux_sym_implicit_statement_token3] = ACTIONS(6527),
    [aux_sym_implicit_statement_token4] = ACTIONS(6527),
    [aux_sym_save_statement_token1] = ACTIONS(6527),
    [aux_sym_private_statement_token1] = ACTIONS(6527),
    [aux_sym_public_statement_token1] = ACTIONS(6527),
    [aux_sym_namelist_statement_token1] = ACTIONS(6527),
    [aux_sym_common_statement_token1] = ACTIONS(6527),
    [aux_sym_import_statement_token1] = ACTIONS(6527),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6527),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6527),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6527),
    [aux_sym_variable_attributes_token1] = ACTIONS(6527),
    [aux_sym_variable_attributes_token2] = ACTIONS(6527),
    [aux_sym_variable_attributes_token3] = ACTIONS(6527),
    [aux_sym_variable_attributes_token4] = ACTIONS(6527),
    [aux_sym_variable_attributes_token5] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6527),
    [aux_sym_derived_type_token1] = ACTIONS(6527),
    [aux_sym_declared_type_token1] = ACTIONS(6527),
    [aux_sym_declared_type_token2] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6527),
    [aux_sym_type_qualifier_token1] = ACTIONS(6527),
    [aux_sym_type_qualifier_token2] = ACTIONS(6527),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6527),
    [aux_sym_stop_statement_token1] = ACTIONS(6527),
    [aux_sym_stop_statement_token2] = ACTIONS(6527),
    [aux_sym_subroutine_call_token1] = ACTIONS(6527),
    [aux_sym_keyword_statement_token2] = ACTIONS(6527),
    [aux_sym_keyword_statement_token3] = ACTIONS(6527),
    [aux_sym_keyword_statement_token4] = ACTIONS(6527),
    [aux_sym_include_statement_token1] = ACTIONS(6527),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6527),
    [aux_sym_end_if_statement_token1] = ACTIONS(6527),
    [aux_sym_elseif_clause_token2] = ACTIONS(6527),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6527),
    [aux_sym_select_case_statement_token1] = ACTIONS(6527),
    [aux_sym_format_statement_token1] = ACTIONS(6527),
    [aux_sym_print_statement_token1] = ACTIONS(6527),
    [aux_sym_open_statement_token1] = ACTIONS(6527),
    [aux_sym_inquire_statement_token1] = ACTIONS(6527),
    [aux_sym_enum_statement_token1] = ACTIONS(6527),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6527),
    [aux_sym_entry_statement_token1] = ACTIONS(6527),
    [aux_sym_logical_expression_token5] = ACTIONS(6529),
    [anon_sym_DOT] = ACTIONS(6527),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6529),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [aux_sym_boolean_literal_token1] = ACTIONS(6529),
    [aux_sym_boolean_literal_token2] = ACTIONS(6529),
    [aux_sym_null_literal_token1] = ACTIONS(6527),
    [aux_sym_coarray_statement_token1] = ACTIONS(6527),
    [aux_sym_coarray_statement_token2] = ACTIONS(6527),
    [aux_sym_coarray_statement_token6] = ACTIONS(6527),
    [aux_sym_coarray_statement_token8] = ACTIONS(6527),
    [aux_sym_coarray_statement_token11] = ACTIONS(6527),
    [aux_sym_coarray_statement_token12] = ACTIONS(6527),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6527),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6527),
    [aux_sym_identifier_token1] = ACTIONS(6527),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6529),
    [sym__float_literal] = ACTIONS(6529),
    [sym__boz_literal] = ACTIONS(6529),
    [sym__string_literal] = ACTIONS(6529),
    [sym__string_literal_kind] = ACTIONS(6529),
  },
  [2145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5604),
    [aux_sym_preproc_def_token1] = ACTIONS(5604),
    [aux_sym_preproc_if_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5604),
    [sym_preproc_directive] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [sym_preproc_comment] = ACTIONS(6531),
    [anon_sym_PLUS] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5608),
    [aux_sym_interface_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_block_data_statement_token2] = ACTIONS(5604),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5604),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5604),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5604),
    [aux_sym_language_binding_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5604),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5604),
    [aux_sym_use_statement_token1] = ACTIONS(5604),
    [aux_sym_use_statement_token2] = ACTIONS(5604),
    [aux_sym_implicit_statement_token1] = ACTIONS(5604),
    [aux_sym_implicit_statement_token3] = ACTIONS(5604),
    [aux_sym_implicit_statement_token4] = ACTIONS(5604),
    [aux_sym_save_statement_token1] = ACTIONS(5604),
    [aux_sym_private_statement_token1] = ACTIONS(5604),
    [aux_sym_public_statement_token1] = ACTIONS(5604),
    [aux_sym_namelist_statement_token1] = ACTIONS(5604),
    [aux_sym_common_statement_token1] = ACTIONS(5604),
    [aux_sym_import_statement_token1] = ACTIONS(5604),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5604),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5604),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5604),
    [aux_sym_variable_attributes_token1] = ACTIONS(5604),
    [aux_sym_variable_attributes_token2] = ACTIONS(5604),
    [aux_sym_variable_attributes_token3] = ACTIONS(5604),
    [aux_sym_variable_attributes_token4] = ACTIONS(5604),
    [aux_sym_variable_attributes_token5] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5604),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5604),
    [aux_sym_derived_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token1] = ACTIONS(5604),
    [aux_sym_declared_type_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5604),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5604),
    [aux_sym_type_qualifier_token1] = ACTIONS(5604),
    [aux_sym_type_qualifier_token2] = ACTIONS(5604),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5604),
    [aux_sym_stop_statement_token2] = ACTIONS(5604),
    [aux_sym_subroutine_call_token1] = ACTIONS(5604),
    [aux_sym_keyword_statement_token2] = ACTIONS(5604),
    [aux_sym_keyword_statement_token3] = ACTIONS(5604),
    [aux_sym_keyword_statement_token4] = ACTIONS(5604),
    [aux_sym_include_statement_token1] = ACTIONS(5604),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5604),
    [aux_sym_end_if_statement_token1] = ACTIONS(5604),
    [aux_sym_elseif_clause_token2] = ACTIONS(5604),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5604),
    [aux_sym_select_case_statement_token1] = ACTIONS(5604),
    [aux_sym_format_statement_token1] = ACTIONS(5604),
    [aux_sym_print_statement_token1] = ACTIONS(5604),
    [aux_sym_open_statement_token1] = ACTIONS(5604),
    [aux_sym_inquire_statement_token1] = ACTIONS(5604),
    [aux_sym_enum_statement_token1] = ACTIONS(5604),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5604),
    [aux_sym_entry_statement_token1] = ACTIONS(5604),
    [aux_sym_logical_expression_token5] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5604),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [aux_sym_boolean_literal_token1] = ACTIONS(5608),
    [aux_sym_boolean_literal_token2] = ACTIONS(5608),
    [aux_sym_null_literal_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_statement_token2] = ACTIONS(5604),
    [aux_sym_coarray_statement_token6] = ACTIONS(5604),
    [aux_sym_coarray_statement_token8] = ACTIONS(5604),
    [aux_sym_coarray_statement_token11] = ACTIONS(5604),
    [aux_sym_coarray_statement_token12] = ACTIONS(5604),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5604),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5604),
    [aux_sym_identifier_token1] = ACTIONS(5604),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5608),
    [sym__float_literal] = ACTIONS(5608),
    [sym__boz_literal] = ACTIONS(5608),
    [sym__string_literal] = ACTIONS(5608),
    [sym__string_literal_kind] = ACTIONS(5608),
  },
  [2147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [2148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [2149] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [sym_preproc_comment] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(5530),
    [anon_sym_DASH] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5530),
    [aux_sym_interface_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_block_data_statement_token2] = ACTIONS(5526),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5526),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5526),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5526),
    [aux_sym_language_binding_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5526),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5526),
    [aux_sym_use_statement_token1] = ACTIONS(5526),
    [aux_sym_use_statement_token2] = ACTIONS(5526),
    [aux_sym_implicit_statement_token1] = ACTIONS(5526),
    [aux_sym_implicit_statement_token3] = ACTIONS(5526),
    [aux_sym_implicit_statement_token4] = ACTIONS(5526),
    [aux_sym_save_statement_token1] = ACTIONS(5526),
    [aux_sym_private_statement_token1] = ACTIONS(5526),
    [aux_sym_public_statement_token1] = ACTIONS(5526),
    [aux_sym_namelist_statement_token1] = ACTIONS(5526),
    [aux_sym_common_statement_token1] = ACTIONS(5526),
    [aux_sym_import_statement_token1] = ACTIONS(5526),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5526),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5526),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5526),
    [aux_sym_variable_attributes_token1] = ACTIONS(5526),
    [aux_sym_variable_attributes_token2] = ACTIONS(5526),
    [aux_sym_variable_attributes_token3] = ACTIONS(5526),
    [aux_sym_variable_attributes_token4] = ACTIONS(5526),
    [aux_sym_variable_attributes_token5] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5526),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5526),
    [aux_sym_derived_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token1] = ACTIONS(5526),
    [aux_sym_declared_type_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5526),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5526),
    [aux_sym_type_qualifier_token1] = ACTIONS(5526),
    [aux_sym_type_qualifier_token2] = ACTIONS(5526),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token1] = ACTIONS(5526),
    [aux_sym_stop_statement_token2] = ACTIONS(5526),
    [aux_sym_subroutine_call_token1] = ACTIONS(5526),
    [aux_sym_keyword_statement_token2] = ACTIONS(5526),
    [aux_sym_keyword_statement_token3] = ACTIONS(5526),
    [aux_sym_keyword_statement_token4] = ACTIONS(5526),
    [aux_sym_include_statement_token1] = ACTIONS(5526),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5526),
    [aux_sym_end_if_statement_token1] = ACTIONS(5526),
    [aux_sym_elseif_clause_token2] = ACTIONS(5526),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5526),
    [aux_sym_select_case_statement_token1] = ACTIONS(5526),
    [aux_sym_format_statement_token1] = ACTIONS(5526),
    [aux_sym_print_statement_token1] = ACTIONS(5526),
    [aux_sym_open_statement_token1] = ACTIONS(5526),
    [aux_sym_inquire_statement_token1] = ACTIONS(5526),
    [aux_sym_enum_statement_token1] = ACTIONS(5526),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5526),
    [aux_sym_entry_statement_token1] = ACTIONS(5526),
    [aux_sym_logical_expression_token5] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5526),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [aux_sym_boolean_literal_token1] = ACTIONS(5530),
    [aux_sym_boolean_literal_token2] = ACTIONS(5530),
    [aux_sym_null_literal_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_statement_token2] = ACTIONS(5526),
    [aux_sym_coarray_statement_token6] = ACTIONS(5526),
    [aux_sym_coarray_statement_token8] = ACTIONS(5526),
    [aux_sym_coarray_statement_token11] = ACTIONS(5526),
    [aux_sym_coarray_statement_token12] = ACTIONS(5526),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5526),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5526),
    [aux_sym_identifier_token1] = ACTIONS(5526),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5530),
    [sym__float_literal] = ACTIONS(5530),
    [sym__boz_literal] = ACTIONS(5530),
    [sym__string_literal] = ACTIONS(5530),
    [sym__string_literal_kind] = ACTIONS(5530),
  },
  [2150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6535),
    [aux_sym_preproc_def_token1] = ACTIONS(6535),
    [aux_sym_preproc_if_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6535),
    [sym_preproc_directive] = ACTIONS(6535),
    [anon_sym_LPAREN2] = ACTIONS(6535),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6535),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6537),
    [aux_sym_interface_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token2] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6535),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6535),
    [aux_sym_language_binding_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6535),
    [aux_sym_contains_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token2] = ACTIONS(6535),
    [aux_sym_implicit_statement_token1] = ACTIONS(6535),
    [aux_sym_implicit_statement_token3] = ACTIONS(6535),
    [aux_sym_implicit_statement_token4] = ACTIONS(6535),
    [aux_sym_save_statement_token1] = ACTIONS(6535),
    [aux_sym_private_statement_token1] = ACTIONS(6535),
    [aux_sym_public_statement_token1] = ACTIONS(6535),
    [aux_sym_namelist_statement_token1] = ACTIONS(6535),
    [aux_sym_common_statement_token1] = ACTIONS(6535),
    [aux_sym_import_statement_token1] = ACTIONS(6535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6535),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6535),
    [aux_sym_variable_attributes_token1] = ACTIONS(6535),
    [aux_sym_variable_attributes_token2] = ACTIONS(6535),
    [aux_sym_variable_attributes_token3] = ACTIONS(6535),
    [aux_sym_variable_attributes_token4] = ACTIONS(6535),
    [aux_sym_variable_attributes_token5] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6535),
    [aux_sym_derived_type_token1] = ACTIONS(6535),
    [aux_sym_declared_type_token1] = ACTIONS(6535),
    [aux_sym_declared_type_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6535),
    [aux_sym_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token2] = ACTIONS(6535),
    [aux_sym_subroutine_call_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token2] = ACTIONS(6535),
    [aux_sym_keyword_statement_token3] = ACTIONS(6535),
    [aux_sym_keyword_statement_token4] = ACTIONS(6535),
    [aux_sym_include_statement_token1] = ACTIONS(6535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6535),
    [aux_sym_end_if_statement_token1] = ACTIONS(6535),
    [aux_sym_elseif_clause_token2] = ACTIONS(6535),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token1] = ACTIONS(6535),
    [aux_sym_format_statement_token1] = ACTIONS(6535),
    [aux_sym_print_statement_token1] = ACTIONS(6535),
    [aux_sym_open_statement_token1] = ACTIONS(6535),
    [aux_sym_inquire_statement_token1] = ACTIONS(6535),
    [aux_sym_enum_statement_token1] = ACTIONS(6535),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6535),
    [aux_sym_entry_statement_token1] = ACTIONS(6535),
    [aux_sym_logical_expression_token5] = ACTIONS(6537),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6537),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [aux_sym_boolean_literal_token1] = ACTIONS(6537),
    [aux_sym_boolean_literal_token2] = ACTIONS(6537),
    [aux_sym_null_literal_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token2] = ACTIONS(6535),
    [aux_sym_coarray_statement_token6] = ACTIONS(6535),
    [aux_sym_coarray_statement_token8] = ACTIONS(6535),
    [aux_sym_coarray_statement_token11] = ACTIONS(6535),
    [aux_sym_coarray_statement_token12] = ACTIONS(6535),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6535),
    [aux_sym_identifier_token1] = ACTIONS(6535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6537),
    [sym__float_literal] = ACTIONS(6537),
    [sym__boz_literal] = ACTIONS(6537),
    [sym__string_literal] = ACTIONS(6537),
    [sym__string_literal_kind] = ACTIONS(6537),
  },
  [2151] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [2152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6539),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2154] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6541),
    [aux_sym_preproc_def_token1] = ACTIONS(6541),
    [aux_sym_preproc_if_token1] = ACTIONS(6541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6541),
    [sym_preproc_directive] = ACTIONS(6541),
    [anon_sym_LPAREN2] = ACTIONS(6541),
    [anon_sym_PLUS] = ACTIONS(6543),
    [anon_sym_DASH] = ACTIONS(6543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6541),
    [aux_sym_end_module_statement_token1] = ACTIONS(6541),
    [anon_sym_SEMI] = ACTIONS(6543),
    [aux_sym_interface_statement_token1] = ACTIONS(6541),
    [aux_sym_block_data_statement_token1] = ACTIONS(6541),
    [aux_sym_block_data_statement_token2] = ACTIONS(6541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6541),
    [aux_sym_language_binding_token1] = ACTIONS(6541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6541),
    [aux_sym_contains_statement_token1] = ACTIONS(6541),
    [aux_sym_use_statement_token1] = ACTIONS(6541),
    [aux_sym_use_statement_token2] = ACTIONS(6541),
    [aux_sym_implicit_statement_token1] = ACTIONS(6541),
    [aux_sym_implicit_statement_token3] = ACTIONS(6541),
    [aux_sym_implicit_statement_token4] = ACTIONS(6541),
    [aux_sym_save_statement_token1] = ACTIONS(6541),
    [aux_sym_private_statement_token1] = ACTIONS(6541),
    [aux_sym_public_statement_token1] = ACTIONS(6541),
    [aux_sym_namelist_statement_token1] = ACTIONS(6541),
    [aux_sym_common_statement_token1] = ACTIONS(6541),
    [aux_sym_import_statement_token1] = ACTIONS(6541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6541),
    [aux_sym_variable_attributes_token1] = ACTIONS(6541),
    [aux_sym_variable_attributes_token2] = ACTIONS(6541),
    [aux_sym_variable_attributes_token3] = ACTIONS(6541),
    [aux_sym_variable_attributes_token4] = ACTIONS(6541),
    [aux_sym_variable_attributes_token5] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6541),
    [aux_sym_derived_type_token1] = ACTIONS(6541),
    [aux_sym_declared_type_token1] = ACTIONS(6541),
    [aux_sym_declared_type_token2] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6541),
    [aux_sym_type_qualifier_token1] = ACTIONS(6541),
    [aux_sym_type_qualifier_token2] = ACTIONS(6541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6541),
    [aux_sym_stop_statement_token1] = ACTIONS(6541),
    [aux_sym_stop_statement_token2] = ACTIONS(6541),
    [aux_sym_subroutine_call_token1] = ACTIONS(6541),
    [aux_sym_keyword_statement_token2] = ACTIONS(6541),
    [aux_sym_keyword_statement_token3] = ACTIONS(6541),
    [aux_sym_keyword_statement_token4] = ACTIONS(6541),
    [aux_sym_include_statement_token1] = ACTIONS(6541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6541),
    [aux_sym_end_if_statement_token1] = ACTIONS(6541),
    [aux_sym_elseif_clause_token2] = ACTIONS(6541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6541),
    [aux_sym_select_case_statement_token1] = ACTIONS(6541),
    [aux_sym_format_statement_token1] = ACTIONS(6541),
    [aux_sym_print_statement_token1] = ACTIONS(6541),
    [aux_sym_open_statement_token1] = ACTIONS(6541),
    [aux_sym_inquire_statement_token1] = ACTIONS(6541),
    [aux_sym_enum_statement_token1] = ACTIONS(6541),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6541),
    [aux_sym_entry_statement_token1] = ACTIONS(6541),
    [aux_sym_logical_expression_token5] = ACTIONS(6543),
    [anon_sym_DOT] = ACTIONS(6541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6543),
    [anon_sym_LBRACK] = ACTIONS(6543),
    [aux_sym_boolean_literal_token1] = ACTIONS(6543),
    [aux_sym_boolean_literal_token2] = ACTIONS(6543),
    [aux_sym_null_literal_token1] = ACTIONS(6541),
    [aux_sym_coarray_statement_token1] = ACTIONS(6541),
    [aux_sym_coarray_statement_token2] = ACTIONS(6541),
    [aux_sym_coarray_statement_token6] = ACTIONS(6541),
    [aux_sym_coarray_statement_token8] = ACTIONS(6541),
    [aux_sym_coarray_statement_token11] = ACTIONS(6541),
    [aux_sym_coarray_statement_token12] = ACTIONS(6541),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6541),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6541),
    [aux_sym_identifier_token1] = ACTIONS(6541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6543),
    [sym__float_literal] = ACTIONS(6543),
    [sym__boz_literal] = ACTIONS(6543),
    [sym__string_literal] = ACTIONS(6543),
    [sym__string_literal_kind] = ACTIONS(6543),
  },
  [2155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2156] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [2157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [2158] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [2159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6545),
    [aux_sym_preproc_def_token1] = ACTIONS(6545),
    [aux_sym_preproc_if_token1] = ACTIONS(6545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6545),
    [sym_preproc_directive] = ACTIONS(6545),
    [anon_sym_LPAREN2] = ACTIONS(6545),
    [anon_sym_PLUS] = ACTIONS(6547),
    [anon_sym_DASH] = ACTIONS(6547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6545),
    [aux_sym_end_module_statement_token1] = ACTIONS(6545),
    [anon_sym_SEMI] = ACTIONS(6547),
    [aux_sym_interface_statement_token1] = ACTIONS(6545),
    [aux_sym_block_data_statement_token1] = ACTIONS(6545),
    [aux_sym_block_data_statement_token2] = ACTIONS(6545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6545),
    [aux_sym_language_binding_token1] = ACTIONS(6545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6545),
    [aux_sym_contains_statement_token1] = ACTIONS(6545),
    [aux_sym_use_statement_token1] = ACTIONS(6545),
    [aux_sym_use_statement_token2] = ACTIONS(6545),
    [aux_sym_implicit_statement_token1] = ACTIONS(6545),
    [aux_sym_implicit_statement_token3] = ACTIONS(6545),
    [aux_sym_implicit_statement_token4] = ACTIONS(6545),
    [aux_sym_save_statement_token1] = ACTIONS(6545),
    [aux_sym_private_statement_token1] = ACTIONS(6545),
    [aux_sym_public_statement_token1] = ACTIONS(6545),
    [aux_sym_namelist_statement_token1] = ACTIONS(6545),
    [aux_sym_common_statement_token1] = ACTIONS(6545),
    [aux_sym_import_statement_token1] = ACTIONS(6545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6545),
    [aux_sym_variable_attributes_token1] = ACTIONS(6545),
    [aux_sym_variable_attributes_token2] = ACTIONS(6545),
    [aux_sym_variable_attributes_token3] = ACTIONS(6545),
    [aux_sym_variable_attributes_token4] = ACTIONS(6545),
    [aux_sym_variable_attributes_token5] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6545),
    [aux_sym_derived_type_token1] = ACTIONS(6545),
    [aux_sym_declared_type_token1] = ACTIONS(6545),
    [aux_sym_declared_type_token2] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6545),
    [aux_sym_type_qualifier_token1] = ACTIONS(6545),
    [aux_sym_type_qualifier_token2] = ACTIONS(6545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6545),
    [aux_sym_stop_statement_token1] = ACTIONS(6545),
    [aux_sym_stop_statement_token2] = ACTIONS(6545),
    [aux_sym_subroutine_call_token1] = ACTIONS(6545),
    [aux_sym_keyword_statement_token2] = ACTIONS(6545),
    [aux_sym_keyword_statement_token3] = ACTIONS(6545),
    [aux_sym_keyword_statement_token4] = ACTIONS(6545),
    [aux_sym_include_statement_token1] = ACTIONS(6545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6545),
    [aux_sym_end_if_statement_token1] = ACTIONS(6545),
    [aux_sym_elseif_clause_token2] = ACTIONS(6545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6545),
    [aux_sym_select_case_statement_token1] = ACTIONS(6545),
    [aux_sym_format_statement_token1] = ACTIONS(6545),
    [aux_sym_print_statement_token1] = ACTIONS(6545),
    [aux_sym_open_statement_token1] = ACTIONS(6545),
    [aux_sym_inquire_statement_token1] = ACTIONS(6545),
    [aux_sym_enum_statement_token1] = ACTIONS(6545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6545),
    [aux_sym_entry_statement_token1] = ACTIONS(6545),
    [aux_sym_logical_expression_token5] = ACTIONS(6547),
    [anon_sym_DOT] = ACTIONS(6545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6547),
    [aux_sym_boolean_literal_token1] = ACTIONS(6547),
    [aux_sym_boolean_literal_token2] = ACTIONS(6547),
    [aux_sym_null_literal_token1] = ACTIONS(6545),
    [aux_sym_coarray_statement_token1] = ACTIONS(6545),
    [aux_sym_coarray_statement_token2] = ACTIONS(6545),
    [aux_sym_coarray_statement_token6] = ACTIONS(6545),
    [aux_sym_coarray_statement_token8] = ACTIONS(6545),
    [aux_sym_coarray_statement_token11] = ACTIONS(6545),
    [aux_sym_coarray_statement_token12] = ACTIONS(6545),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6545),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6545),
    [aux_sym_identifier_token1] = ACTIONS(6545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6547),
    [sym__float_literal] = ACTIONS(6547),
    [sym__boz_literal] = ACTIONS(6547),
    [sym__string_literal] = ACTIONS(6547),
    [sym__string_literal_kind] = ACTIONS(6547),
  },
  [2160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2161] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [sym_preproc_comment] = ACTIONS(6549),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_block_data_statement_token2] = ACTIONS(5058),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [2162] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [sym_preproc_comment] = ACTIONS(6551),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2163] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6373),
    [aux_sym_preproc_def_token1] = ACTIONS(6373),
    [aux_sym_preproc_if_token1] = ACTIONS(6373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6373),
    [sym_preproc_directive] = ACTIONS(6373),
    [anon_sym_LPAREN2] = ACTIONS(6373),
    [sym_preproc_comment] = ACTIONS(6553),
    [anon_sym_PLUS] = ACTIONS(6377),
    [anon_sym_DASH] = ACTIONS(6377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6373),
    [anon_sym_SEMI] = ACTIONS(6377),
    [aux_sym_interface_statement_token1] = ACTIONS(6373),
    [aux_sym_block_data_statement_token1] = ACTIONS(6373),
    [aux_sym_block_data_statement_token2] = ACTIONS(6373),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6373),
    [aux_sym_language_binding_token1] = ACTIONS(6373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6373),
    [aux_sym_use_statement_token1] = ACTIONS(6373),
    [aux_sym_use_statement_token2] = ACTIONS(6373),
    [aux_sym_implicit_statement_token1] = ACTIONS(6373),
    [aux_sym_implicit_statement_token3] = ACTIONS(6373),
    [aux_sym_implicit_statement_token4] = ACTIONS(6373),
    [aux_sym_save_statement_token1] = ACTIONS(6373),
    [aux_sym_private_statement_token1] = ACTIONS(6373),
    [aux_sym_public_statement_token1] = ACTIONS(6373),
    [aux_sym_namelist_statement_token1] = ACTIONS(6373),
    [aux_sym_common_statement_token1] = ACTIONS(6373),
    [aux_sym_import_statement_token1] = ACTIONS(6373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6373),
    [aux_sym_variable_attributes_token1] = ACTIONS(6373),
    [aux_sym_variable_attributes_token2] = ACTIONS(6373),
    [aux_sym_variable_attributes_token3] = ACTIONS(6373),
    [aux_sym_variable_attributes_token4] = ACTIONS(6373),
    [aux_sym_variable_attributes_token5] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6373),
    [aux_sym_derived_type_token1] = ACTIONS(6373),
    [aux_sym_declared_type_token1] = ACTIONS(6373),
    [aux_sym_declared_type_token2] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6373),
    [aux_sym_type_qualifier_token1] = ACTIONS(6373),
    [aux_sym_type_qualifier_token2] = ACTIONS(6373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6373),
    [aux_sym_stop_statement_token1] = ACTIONS(6373),
    [aux_sym_stop_statement_token2] = ACTIONS(6373),
    [aux_sym_subroutine_call_token1] = ACTIONS(6373),
    [aux_sym_keyword_statement_token2] = ACTIONS(6373),
    [aux_sym_keyword_statement_token3] = ACTIONS(6373),
    [aux_sym_keyword_statement_token4] = ACTIONS(6373),
    [aux_sym_include_statement_token1] = ACTIONS(6373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6373),
    [aux_sym_end_if_statement_token1] = ACTIONS(6373),
    [aux_sym_elseif_clause_token2] = ACTIONS(6373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6373),
    [aux_sym_select_case_statement_token1] = ACTIONS(6373),
    [aux_sym_format_statement_token1] = ACTIONS(6373),
    [aux_sym_print_statement_token1] = ACTIONS(6373),
    [aux_sym_open_statement_token1] = ACTIONS(6373),
    [aux_sym_inquire_statement_token1] = ACTIONS(6373),
    [aux_sym_enum_statement_token1] = ACTIONS(6373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6373),
    [aux_sym_entry_statement_token1] = ACTIONS(6373),
    [aux_sym_logical_expression_token5] = ACTIONS(6377),
    [anon_sym_DOT] = ACTIONS(6373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6377),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [aux_sym_boolean_literal_token1] = ACTIONS(6377),
    [aux_sym_boolean_literal_token2] = ACTIONS(6377),
    [aux_sym_null_literal_token1] = ACTIONS(6373),
    [aux_sym_coarray_statement_token1] = ACTIONS(6373),
    [aux_sym_coarray_statement_token2] = ACTIONS(6373),
    [aux_sym_coarray_statement_token6] = ACTIONS(6373),
    [aux_sym_coarray_statement_token8] = ACTIONS(6373),
    [aux_sym_coarray_statement_token11] = ACTIONS(6373),
    [aux_sym_coarray_statement_token12] = ACTIONS(6373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6373),
    [aux_sym_identifier_token1] = ACTIONS(6373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6377),
    [sym__float_literal] = ACTIONS(6377),
    [sym__boz_literal] = ACTIONS(6377),
    [sym__string_literal] = ACTIONS(6377),
    [sym__string_literal_kind] = ACTIONS(6377),
  },
  [2164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_module_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2166] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_module_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [2167] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [sym_preproc_comment] = ACTIONS(6555),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [sym_preproc_comment] = ACTIONS(6557),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5534),
    [anon_sym_SEMI] = ACTIONS(5538),
    [aux_sym_interface_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_block_data_statement_token2] = ACTIONS(5534),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5534),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5534),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5534),
    [aux_sym_language_binding_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5534),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5534),
    [aux_sym_use_statement_token1] = ACTIONS(5534),
    [aux_sym_use_statement_token2] = ACTIONS(5534),
    [aux_sym_implicit_statement_token1] = ACTIONS(5534),
    [aux_sym_implicit_statement_token3] = ACTIONS(5534),
    [aux_sym_implicit_statement_token4] = ACTIONS(5534),
    [aux_sym_save_statement_token1] = ACTIONS(5534),
    [aux_sym_private_statement_token1] = ACTIONS(5534),
    [aux_sym_public_statement_token1] = ACTIONS(5534),
    [aux_sym_namelist_statement_token1] = ACTIONS(5534),
    [aux_sym_common_statement_token1] = ACTIONS(5534),
    [aux_sym_import_statement_token1] = ACTIONS(5534),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5534),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5534),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5534),
    [aux_sym_variable_attributes_token1] = ACTIONS(5534),
    [aux_sym_variable_attributes_token2] = ACTIONS(5534),
    [aux_sym_variable_attributes_token3] = ACTIONS(5534),
    [aux_sym_variable_attributes_token4] = ACTIONS(5534),
    [aux_sym_variable_attributes_token5] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5534),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5534),
    [aux_sym_derived_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token1] = ACTIONS(5534),
    [aux_sym_declared_type_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5534),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5534),
    [aux_sym_type_qualifier_token1] = ACTIONS(5534),
    [aux_sym_type_qualifier_token2] = ACTIONS(5534),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token1] = ACTIONS(5534),
    [aux_sym_stop_statement_token2] = ACTIONS(5534),
    [aux_sym_subroutine_call_token1] = ACTIONS(5534),
    [aux_sym_keyword_statement_token2] = ACTIONS(5534),
    [aux_sym_keyword_statement_token3] = ACTIONS(5534),
    [aux_sym_keyword_statement_token4] = ACTIONS(5534),
    [aux_sym_include_statement_token1] = ACTIONS(5534),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5534),
    [aux_sym_end_if_statement_token1] = ACTIONS(5534),
    [aux_sym_elseif_clause_token2] = ACTIONS(5534),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5534),
    [aux_sym_select_case_statement_token1] = ACTIONS(5534),
    [aux_sym_format_statement_token1] = ACTIONS(5534),
    [aux_sym_print_statement_token1] = ACTIONS(5534),
    [aux_sym_open_statement_token1] = ACTIONS(5534),
    [aux_sym_inquire_statement_token1] = ACTIONS(5534),
    [aux_sym_enum_statement_token1] = ACTIONS(5534),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5534),
    [aux_sym_entry_statement_token1] = ACTIONS(5534),
    [aux_sym_logical_expression_token5] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5538),
    [aux_sym_boolean_literal_token2] = ACTIONS(5538),
    [aux_sym_null_literal_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_statement_token2] = ACTIONS(5534),
    [aux_sym_coarray_statement_token6] = ACTIONS(5534),
    [aux_sym_coarray_statement_token8] = ACTIONS(5534),
    [aux_sym_coarray_statement_token11] = ACTIONS(5534),
    [aux_sym_coarray_statement_token12] = ACTIONS(5534),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5534),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5534),
    [aux_sym_identifier_token1] = ACTIONS(5534),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5538),
    [sym__float_literal] = ACTIONS(5538),
    [sym__boz_literal] = ACTIONS(5538),
    [sym__string_literal] = ACTIONS(5538),
    [sym__string_literal_kind] = ACTIONS(5538),
  },
  [2170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6559),
    [aux_sym_preproc_def_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6559),
    [sym_preproc_directive] = ACTIONS(6559),
    [anon_sym_LPAREN2] = ACTIONS(6559),
    [anon_sym_PLUS] = ACTIONS(6561),
    [anon_sym_DASH] = ACTIONS(6561),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6559),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6559),
    [anon_sym_SEMI] = ACTIONS(6561),
    [aux_sym_interface_statement_token1] = ACTIONS(6559),
    [aux_sym_block_data_statement_token1] = ACTIONS(6559),
    [aux_sym_block_data_statement_token2] = ACTIONS(6559),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6559),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6559),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6559),
    [aux_sym_language_binding_token1] = ACTIONS(6559),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6559),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6559),
    [aux_sym_contains_statement_token1] = ACTIONS(6559),
    [aux_sym_use_statement_token1] = ACTIONS(6559),
    [aux_sym_use_statement_token2] = ACTIONS(6559),
    [aux_sym_implicit_statement_token1] = ACTIONS(6559),
    [aux_sym_implicit_statement_token3] = ACTIONS(6559),
    [aux_sym_implicit_statement_token4] = ACTIONS(6559),
    [aux_sym_save_statement_token1] = ACTIONS(6559),
    [aux_sym_private_statement_token1] = ACTIONS(6559),
    [aux_sym_public_statement_token1] = ACTIONS(6559),
    [aux_sym_namelist_statement_token1] = ACTIONS(6559),
    [aux_sym_common_statement_token1] = ACTIONS(6559),
    [aux_sym_import_statement_token1] = ACTIONS(6559),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6559),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6559),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6559),
    [aux_sym_variable_attributes_token1] = ACTIONS(6559),
    [aux_sym_variable_attributes_token2] = ACTIONS(6559),
    [aux_sym_variable_attributes_token3] = ACTIONS(6559),
    [aux_sym_variable_attributes_token4] = ACTIONS(6559),
    [aux_sym_variable_attributes_token5] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6559),
    [aux_sym_derived_type_token1] = ACTIONS(6559),
    [aux_sym_declared_type_token1] = ACTIONS(6559),
    [aux_sym_declared_type_token2] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6559),
    [aux_sym_type_qualifier_token1] = ACTIONS(6559),
    [aux_sym_type_qualifier_token2] = ACTIONS(6559),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6559),
    [aux_sym_stop_statement_token1] = ACTIONS(6559),
    [aux_sym_stop_statement_token2] = ACTIONS(6559),
    [aux_sym_subroutine_call_token1] = ACTIONS(6559),
    [aux_sym_keyword_statement_token2] = ACTIONS(6559),
    [aux_sym_keyword_statement_token3] = ACTIONS(6559),
    [aux_sym_keyword_statement_token4] = ACTIONS(6559),
    [aux_sym_include_statement_token1] = ACTIONS(6559),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6559),
    [aux_sym_end_if_statement_token1] = ACTIONS(6559),
    [aux_sym_elseif_clause_token2] = ACTIONS(6559),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6559),
    [aux_sym_select_case_statement_token1] = ACTIONS(6559),
    [aux_sym_format_statement_token1] = ACTIONS(6559),
    [aux_sym_print_statement_token1] = ACTIONS(6559),
    [aux_sym_open_statement_token1] = ACTIONS(6559),
    [aux_sym_inquire_statement_token1] = ACTIONS(6559),
    [aux_sym_enum_statement_token1] = ACTIONS(6559),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6559),
    [aux_sym_entry_statement_token1] = ACTIONS(6559),
    [aux_sym_logical_expression_token5] = ACTIONS(6561),
    [anon_sym_DOT] = ACTIONS(6559),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6561),
    [anon_sym_LBRACK] = ACTIONS(6561),
    [aux_sym_boolean_literal_token1] = ACTIONS(6561),
    [aux_sym_boolean_literal_token2] = ACTIONS(6561),
    [aux_sym_null_literal_token1] = ACTIONS(6559),
    [aux_sym_coarray_statement_token1] = ACTIONS(6559),
    [aux_sym_coarray_statement_token2] = ACTIONS(6559),
    [aux_sym_coarray_statement_token6] = ACTIONS(6559),
    [aux_sym_coarray_statement_token8] = ACTIONS(6559),
    [aux_sym_coarray_statement_token11] = ACTIONS(6559),
    [aux_sym_coarray_statement_token12] = ACTIONS(6559),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6559),
    [aux_sym_identifier_token1] = ACTIONS(6559),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6561),
    [sym__float_literal] = ACTIONS(6561),
    [sym__boz_literal] = ACTIONS(6561),
    [sym__string_literal] = ACTIONS(6561),
    [sym__string_literal_kind] = ACTIONS(6561),
  },
  [2171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [aux_sym_end_module_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_contains_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [2172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [sym_preproc_comment] = ACTIONS(6563),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6565),
    [aux_sym_preproc_def_token1] = ACTIONS(6565),
    [aux_sym_preproc_if_token1] = ACTIONS(6565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6565),
    [sym_preproc_directive] = ACTIONS(6565),
    [anon_sym_LPAREN2] = ACTIONS(6565),
    [anon_sym_PLUS] = ACTIONS(6567),
    [anon_sym_DASH] = ACTIONS(6567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6565),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6565),
    [anon_sym_SEMI] = ACTIONS(6567),
    [aux_sym_interface_statement_token1] = ACTIONS(6565),
    [aux_sym_block_data_statement_token1] = ACTIONS(6565),
    [aux_sym_block_data_statement_token2] = ACTIONS(6565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6565),
    [aux_sym_language_binding_token1] = ACTIONS(6565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6565),
    [aux_sym_contains_statement_token1] = ACTIONS(6565),
    [aux_sym_use_statement_token1] = ACTIONS(6565),
    [aux_sym_use_statement_token2] = ACTIONS(6565),
    [aux_sym_implicit_statement_token1] = ACTIONS(6565),
    [aux_sym_implicit_statement_token3] = ACTIONS(6565),
    [aux_sym_implicit_statement_token4] = ACTIONS(6565),
    [aux_sym_save_statement_token1] = ACTIONS(6565),
    [aux_sym_private_statement_token1] = ACTIONS(6565),
    [aux_sym_public_statement_token1] = ACTIONS(6565),
    [aux_sym_namelist_statement_token1] = ACTIONS(6565),
    [aux_sym_common_statement_token1] = ACTIONS(6565),
    [aux_sym_import_statement_token1] = ACTIONS(6565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6565),
    [aux_sym_variable_attributes_token1] = ACTIONS(6565),
    [aux_sym_variable_attributes_token2] = ACTIONS(6565),
    [aux_sym_variable_attributes_token3] = ACTIONS(6565),
    [aux_sym_variable_attributes_token4] = ACTIONS(6565),
    [aux_sym_variable_attributes_token5] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6565),
    [aux_sym_derived_type_token1] = ACTIONS(6565),
    [aux_sym_declared_type_token1] = ACTIONS(6565),
    [aux_sym_declared_type_token2] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6565),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6565),
    [aux_sym_type_qualifier_token1] = ACTIONS(6565),
    [aux_sym_type_qualifier_token2] = ACTIONS(6565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6565),
    [aux_sym_stop_statement_token1] = ACTIONS(6565),
    [aux_sym_stop_statement_token2] = ACTIONS(6565),
    [aux_sym_subroutine_call_token1] = ACTIONS(6565),
    [aux_sym_keyword_statement_token2] = ACTIONS(6565),
    [aux_sym_keyword_statement_token3] = ACTIONS(6565),
    [aux_sym_keyword_statement_token4] = ACTIONS(6565),
    [aux_sym_include_statement_token1] = ACTIONS(6565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6565),
    [aux_sym_end_if_statement_token1] = ACTIONS(6565),
    [aux_sym_elseif_clause_token2] = ACTIONS(6565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6565),
    [aux_sym_select_case_statement_token1] = ACTIONS(6565),
    [aux_sym_format_statement_token1] = ACTIONS(6565),
    [aux_sym_print_statement_token1] = ACTIONS(6565),
    [aux_sym_open_statement_token1] = ACTIONS(6565),
    [aux_sym_inquire_statement_token1] = ACTIONS(6565),
    [aux_sym_enum_statement_token1] = ACTIONS(6565),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6565),
    [aux_sym_entry_statement_token1] = ACTIONS(6565),
    [aux_sym_logical_expression_token5] = ACTIONS(6567),
    [anon_sym_DOT] = ACTIONS(6565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6567),
    [anon_sym_LBRACK] = ACTIONS(6567),
    [aux_sym_boolean_literal_token1] = ACTIONS(6567),
    [aux_sym_boolean_literal_token2] = ACTIONS(6567),
    [aux_sym_null_literal_token1] = ACTIONS(6565),
    [aux_sym_coarray_statement_token1] = ACTIONS(6565),
    [aux_sym_coarray_statement_token2] = ACTIONS(6565),
    [aux_sym_coarray_statement_token6] = ACTIONS(6565),
    [aux_sym_coarray_statement_token8] = ACTIONS(6565),
    [aux_sym_coarray_statement_token11] = ACTIONS(6565),
    [aux_sym_coarray_statement_token12] = ACTIONS(6565),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6565),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6565),
    [aux_sym_identifier_token1] = ACTIONS(6565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6567),
    [sym__float_literal] = ACTIONS(6567),
    [sym__boz_literal] = ACTIONS(6567),
    [sym__string_literal] = ACTIONS(6567),
    [sym__string_literal_kind] = ACTIONS(6567),
  },
  [2174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [2175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_module_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [2176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [2177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6569),
    [aux_sym_preproc_def_token1] = ACTIONS(6569),
    [aux_sym_preproc_if_token1] = ACTIONS(6569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6569),
    [sym_preproc_directive] = ACTIONS(6569),
    [anon_sym_LPAREN2] = ACTIONS(6569),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6569),
    [aux_sym_end_module_statement_token1] = ACTIONS(6569),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_interface_statement_token1] = ACTIONS(6569),
    [aux_sym_block_data_statement_token1] = ACTIONS(6569),
    [aux_sym_block_data_statement_token2] = ACTIONS(6569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6569),
    [aux_sym_language_binding_token1] = ACTIONS(6569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6569),
    [aux_sym_contains_statement_token1] = ACTIONS(6569),
    [aux_sym_use_statement_token1] = ACTIONS(6569),
    [aux_sym_use_statement_token2] = ACTIONS(6569),
    [aux_sym_implicit_statement_token1] = ACTIONS(6569),
    [aux_sym_implicit_statement_token3] = ACTIONS(6569),
    [aux_sym_implicit_statement_token4] = ACTIONS(6569),
    [aux_sym_save_statement_token1] = ACTIONS(6569),
    [aux_sym_private_statement_token1] = ACTIONS(6569),
    [aux_sym_public_statement_token1] = ACTIONS(6569),
    [aux_sym_namelist_statement_token1] = ACTIONS(6569),
    [aux_sym_common_statement_token1] = ACTIONS(6569),
    [aux_sym_import_statement_token1] = ACTIONS(6569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6569),
    [aux_sym_variable_attributes_token1] = ACTIONS(6569),
    [aux_sym_variable_attributes_token2] = ACTIONS(6569),
    [aux_sym_variable_attributes_token3] = ACTIONS(6569),
    [aux_sym_variable_attributes_token4] = ACTIONS(6569),
    [aux_sym_variable_attributes_token5] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6569),
    [aux_sym_derived_type_token1] = ACTIONS(6569),
    [aux_sym_declared_type_token1] = ACTIONS(6569),
    [aux_sym_declared_type_token2] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6569),
    [aux_sym_type_qualifier_token1] = ACTIONS(6569),
    [aux_sym_type_qualifier_token2] = ACTIONS(6569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6569),
    [aux_sym_stop_statement_token1] = ACTIONS(6569),
    [aux_sym_stop_statement_token2] = ACTIONS(6569),
    [aux_sym_subroutine_call_token1] = ACTIONS(6569),
    [aux_sym_keyword_statement_token2] = ACTIONS(6569),
    [aux_sym_keyword_statement_token3] = ACTIONS(6569),
    [aux_sym_keyword_statement_token4] = ACTIONS(6569),
    [aux_sym_include_statement_token1] = ACTIONS(6569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6569),
    [aux_sym_end_if_statement_token1] = ACTIONS(6569),
    [aux_sym_elseif_clause_token2] = ACTIONS(6569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6569),
    [aux_sym_select_case_statement_token1] = ACTIONS(6569),
    [aux_sym_format_statement_token1] = ACTIONS(6569),
    [aux_sym_print_statement_token1] = ACTIONS(6569),
    [aux_sym_open_statement_token1] = ACTIONS(6569),
    [aux_sym_inquire_statement_token1] = ACTIONS(6569),
    [aux_sym_enum_statement_token1] = ACTIONS(6569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6569),
    [aux_sym_entry_statement_token1] = ACTIONS(6569),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6569),
    [aux_sym_coarray_statement_token1] = ACTIONS(6569),
    [aux_sym_coarray_statement_token2] = ACTIONS(6569),
    [aux_sym_coarray_statement_token6] = ACTIONS(6569),
    [aux_sym_coarray_statement_token8] = ACTIONS(6569),
    [aux_sym_coarray_statement_token11] = ACTIONS(6569),
    [aux_sym_coarray_statement_token12] = ACTIONS(6569),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6569),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6569),
    [aux_sym_identifier_token1] = ACTIONS(6569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6573),
    [aux_sym_preproc_def_token1] = ACTIONS(6573),
    [aux_sym_preproc_if_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6573),
    [sym_preproc_directive] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6573),
    [anon_sym_PLUS] = ACTIONS(6575),
    [anon_sym_DASH] = ACTIONS(6575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6573),
    [aux_sym_end_module_statement_token1] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6575),
    [aux_sym_interface_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token2] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6573),
    [aux_sym_language_binding_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6573),
    [aux_sym_contains_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token2] = ACTIONS(6573),
    [aux_sym_implicit_statement_token1] = ACTIONS(6573),
    [aux_sym_implicit_statement_token3] = ACTIONS(6573),
    [aux_sym_implicit_statement_token4] = ACTIONS(6573),
    [aux_sym_save_statement_token1] = ACTIONS(6573),
    [aux_sym_private_statement_token1] = ACTIONS(6573),
    [aux_sym_public_statement_token1] = ACTIONS(6573),
    [aux_sym_namelist_statement_token1] = ACTIONS(6573),
    [aux_sym_common_statement_token1] = ACTIONS(6573),
    [aux_sym_import_statement_token1] = ACTIONS(6573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6573),
    [aux_sym_variable_attributes_token1] = ACTIONS(6573),
    [aux_sym_variable_attributes_token2] = ACTIONS(6573),
    [aux_sym_variable_attributes_token3] = ACTIONS(6573),
    [aux_sym_variable_attributes_token4] = ACTIONS(6573),
    [aux_sym_variable_attributes_token5] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6573),
    [aux_sym_derived_type_token1] = ACTIONS(6573),
    [aux_sym_declared_type_token1] = ACTIONS(6573),
    [aux_sym_declared_type_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6573),
    [aux_sym_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token2] = ACTIONS(6573),
    [aux_sym_subroutine_call_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token2] = ACTIONS(6573),
    [aux_sym_keyword_statement_token3] = ACTIONS(6573),
    [aux_sym_keyword_statement_token4] = ACTIONS(6573),
    [aux_sym_include_statement_token1] = ACTIONS(6573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6573),
    [aux_sym_end_if_statement_token1] = ACTIONS(6573),
    [aux_sym_elseif_clause_token2] = ACTIONS(6573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token1] = ACTIONS(6573),
    [aux_sym_format_statement_token1] = ACTIONS(6573),
    [aux_sym_print_statement_token1] = ACTIONS(6573),
    [aux_sym_open_statement_token1] = ACTIONS(6573),
    [aux_sym_inquire_statement_token1] = ACTIONS(6573),
    [aux_sym_enum_statement_token1] = ACTIONS(6573),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6573),
    [aux_sym_entry_statement_token1] = ACTIONS(6573),
    [aux_sym_logical_expression_token5] = ACTIONS(6575),
    [anon_sym_DOT] = ACTIONS(6573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6575),
    [aux_sym_boolean_literal_token1] = ACTIONS(6575),
    [aux_sym_boolean_literal_token2] = ACTIONS(6575),
    [aux_sym_null_literal_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token2] = ACTIONS(6573),
    [aux_sym_coarray_statement_token6] = ACTIONS(6573),
    [aux_sym_coarray_statement_token8] = ACTIONS(6573),
    [aux_sym_coarray_statement_token11] = ACTIONS(6573),
    [aux_sym_coarray_statement_token12] = ACTIONS(6573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6573),
    [aux_sym_identifier_token1] = ACTIONS(6573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6575),
    [sym__float_literal] = ACTIONS(6575),
    [sym__boz_literal] = ACTIONS(6575),
    [sym__string_literal] = ACTIONS(6575),
    [sym__string_literal_kind] = ACTIONS(6575),
  },
  [2180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_module_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [2182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_module_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [2185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5520),
    [sym_preproc_comment] = ACTIONS(6577),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5524),
    [aux_sym_interface_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_block_data_statement_token2] = ACTIONS(5520),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5520),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5520),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5520),
    [aux_sym_language_binding_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5520),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5520),
    [aux_sym_use_statement_token1] = ACTIONS(5520),
    [aux_sym_use_statement_token2] = ACTIONS(5520),
    [aux_sym_implicit_statement_token1] = ACTIONS(5520),
    [aux_sym_implicit_statement_token3] = ACTIONS(5520),
    [aux_sym_implicit_statement_token4] = ACTIONS(5520),
    [aux_sym_save_statement_token1] = ACTIONS(5520),
    [aux_sym_private_statement_token1] = ACTIONS(5520),
    [aux_sym_public_statement_token1] = ACTIONS(5520),
    [aux_sym_namelist_statement_token1] = ACTIONS(5520),
    [aux_sym_common_statement_token1] = ACTIONS(5520),
    [aux_sym_import_statement_token1] = ACTIONS(5520),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5520),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5520),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5520),
    [aux_sym_variable_attributes_token1] = ACTIONS(5520),
    [aux_sym_variable_attributes_token2] = ACTIONS(5520),
    [aux_sym_variable_attributes_token3] = ACTIONS(5520),
    [aux_sym_variable_attributes_token4] = ACTIONS(5520),
    [aux_sym_variable_attributes_token5] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5520),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5520),
    [aux_sym_derived_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token1] = ACTIONS(5520),
    [aux_sym_declared_type_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5520),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5520),
    [aux_sym_type_qualifier_token1] = ACTIONS(5520),
    [aux_sym_type_qualifier_token2] = ACTIONS(5520),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token1] = ACTIONS(5520),
    [aux_sym_stop_statement_token2] = ACTIONS(5520),
    [aux_sym_subroutine_call_token1] = ACTIONS(5520),
    [aux_sym_keyword_statement_token2] = ACTIONS(5520),
    [aux_sym_keyword_statement_token3] = ACTIONS(5520),
    [aux_sym_keyword_statement_token4] = ACTIONS(5520),
    [aux_sym_include_statement_token1] = ACTIONS(5520),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5520),
    [aux_sym_end_if_statement_token1] = ACTIONS(5520),
    [aux_sym_elseif_clause_token2] = ACTIONS(5520),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5520),
    [aux_sym_select_case_statement_token1] = ACTIONS(5520),
    [aux_sym_format_statement_token1] = ACTIONS(5520),
    [aux_sym_print_statement_token1] = ACTIONS(5520),
    [aux_sym_open_statement_token1] = ACTIONS(5520),
    [aux_sym_inquire_statement_token1] = ACTIONS(5520),
    [aux_sym_enum_statement_token1] = ACTIONS(5520),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5520),
    [aux_sym_entry_statement_token1] = ACTIONS(5520),
    [aux_sym_logical_expression_token5] = ACTIONS(5524),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [aux_sym_boolean_literal_token1] = ACTIONS(5524),
    [aux_sym_boolean_literal_token2] = ACTIONS(5524),
    [aux_sym_null_literal_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_statement_token2] = ACTIONS(5520),
    [aux_sym_coarray_statement_token6] = ACTIONS(5520),
    [aux_sym_coarray_statement_token8] = ACTIONS(5520),
    [aux_sym_coarray_statement_token11] = ACTIONS(5520),
    [aux_sym_coarray_statement_token12] = ACTIONS(5520),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5520),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5520),
    [aux_sym_identifier_token1] = ACTIONS(5520),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5524),
    [sym__float_literal] = ACTIONS(5524),
    [sym__boz_literal] = ACTIONS(5524),
    [sym__string_literal] = ACTIONS(5524),
    [sym__string_literal_kind] = ACTIONS(5524),
  },
  [2186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6579),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6581),
    [aux_sym_preproc_def_token1] = ACTIONS(6581),
    [aux_sym_preproc_if_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6581),
    [sym_preproc_directive] = ACTIONS(6581),
    [anon_sym_LPAREN2] = ACTIONS(6581),
    [anon_sym_PLUS] = ACTIONS(6583),
    [anon_sym_DASH] = ACTIONS(6583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6581),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6581),
    [anon_sym_SEMI] = ACTIONS(6583),
    [aux_sym_interface_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token1] = ACTIONS(6581),
    [aux_sym_block_data_statement_token2] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6581),
    [aux_sym_language_binding_token1] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6581),
    [aux_sym_contains_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token1] = ACTIONS(6581),
    [aux_sym_use_statement_token2] = ACTIONS(6581),
    [aux_sym_implicit_statement_token1] = ACTIONS(6581),
    [aux_sym_implicit_statement_token3] = ACTIONS(6581),
    [aux_sym_implicit_statement_token4] = ACTIONS(6581),
    [aux_sym_save_statement_token1] = ACTIONS(6581),
    [aux_sym_private_statement_token1] = ACTIONS(6581),
    [aux_sym_public_statement_token1] = ACTIONS(6581),
    [aux_sym_namelist_statement_token1] = ACTIONS(6581),
    [aux_sym_common_statement_token1] = ACTIONS(6581),
    [aux_sym_import_statement_token1] = ACTIONS(6581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6581),
    [aux_sym_variable_attributes_token1] = ACTIONS(6581),
    [aux_sym_variable_attributes_token2] = ACTIONS(6581),
    [aux_sym_variable_attributes_token3] = ACTIONS(6581),
    [aux_sym_variable_attributes_token4] = ACTIONS(6581),
    [aux_sym_variable_attributes_token5] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6581),
    [aux_sym_derived_type_token1] = ACTIONS(6581),
    [aux_sym_declared_type_token1] = ACTIONS(6581),
    [aux_sym_declared_type_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6581),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6581),
    [aux_sym_type_qualifier_token1] = ACTIONS(6581),
    [aux_sym_type_qualifier_token2] = ACTIONS(6581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token1] = ACTIONS(6581),
    [aux_sym_stop_statement_token2] = ACTIONS(6581),
    [aux_sym_subroutine_call_token1] = ACTIONS(6581),
    [aux_sym_keyword_statement_token2] = ACTIONS(6581),
    [aux_sym_keyword_statement_token3] = ACTIONS(6581),
    [aux_sym_keyword_statement_token4] = ACTIONS(6581),
    [aux_sym_include_statement_token1] = ACTIONS(6581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6581),
    [aux_sym_end_if_statement_token1] = ACTIONS(6581),
    [aux_sym_elseif_clause_token2] = ACTIONS(6581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6581),
    [aux_sym_select_case_statement_token1] = ACTIONS(6581),
    [aux_sym_format_statement_token1] = ACTIONS(6581),
    [aux_sym_print_statement_token1] = ACTIONS(6581),
    [aux_sym_open_statement_token1] = ACTIONS(6581),
    [aux_sym_inquire_statement_token1] = ACTIONS(6581),
    [aux_sym_enum_statement_token1] = ACTIONS(6581),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6581),
    [aux_sym_entry_statement_token1] = ACTIONS(6581),
    [aux_sym_logical_expression_token5] = ACTIONS(6583),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6583),
    [aux_sym_boolean_literal_token1] = ACTIONS(6583),
    [aux_sym_boolean_literal_token2] = ACTIONS(6583),
    [aux_sym_null_literal_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_statement_token2] = ACTIONS(6581),
    [aux_sym_coarray_statement_token6] = ACTIONS(6581),
    [aux_sym_coarray_statement_token8] = ACTIONS(6581),
    [aux_sym_coarray_statement_token11] = ACTIONS(6581),
    [aux_sym_coarray_statement_token12] = ACTIONS(6581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6581),
    [aux_sym_identifier_token1] = ACTIONS(6581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6583),
    [sym__float_literal] = ACTIONS(6583),
    [sym__boz_literal] = ACTIONS(6583),
    [sym__string_literal] = ACTIONS(6583),
    [sym__string_literal_kind] = ACTIONS(6583),
  },
  [2188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_module_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [sym_preproc_comment] = ACTIONS(6585),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5546),
    [aux_sym_interface_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_block_data_statement_token2] = ACTIONS(5542),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5542),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5542),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5542),
    [aux_sym_language_binding_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5542),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5542),
    [aux_sym_use_statement_token1] = ACTIONS(5542),
    [aux_sym_use_statement_token2] = ACTIONS(5542),
    [aux_sym_implicit_statement_token1] = ACTIONS(5542),
    [aux_sym_implicit_statement_token3] = ACTIONS(5542),
    [aux_sym_implicit_statement_token4] = ACTIONS(5542),
    [aux_sym_save_statement_token1] = ACTIONS(5542),
    [aux_sym_private_statement_token1] = ACTIONS(5542),
    [aux_sym_public_statement_token1] = ACTIONS(5542),
    [aux_sym_namelist_statement_token1] = ACTIONS(5542),
    [aux_sym_common_statement_token1] = ACTIONS(5542),
    [aux_sym_import_statement_token1] = ACTIONS(5542),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5542),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5542),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5542),
    [aux_sym_variable_attributes_token1] = ACTIONS(5542),
    [aux_sym_variable_attributes_token2] = ACTIONS(5542),
    [aux_sym_variable_attributes_token3] = ACTIONS(5542),
    [aux_sym_variable_attributes_token4] = ACTIONS(5542),
    [aux_sym_variable_attributes_token5] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5542),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5542),
    [aux_sym_derived_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token1] = ACTIONS(5542),
    [aux_sym_declared_type_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5542),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5542),
    [aux_sym_type_qualifier_token1] = ACTIONS(5542),
    [aux_sym_type_qualifier_token2] = ACTIONS(5542),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token1] = ACTIONS(5542),
    [aux_sym_stop_statement_token2] = ACTIONS(5542),
    [aux_sym_subroutine_call_token1] = ACTIONS(5542),
    [aux_sym_keyword_statement_token2] = ACTIONS(5542),
    [aux_sym_keyword_statement_token3] = ACTIONS(5542),
    [aux_sym_keyword_statement_token4] = ACTIONS(5542),
    [aux_sym_include_statement_token1] = ACTIONS(5542),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5542),
    [aux_sym_end_if_statement_token1] = ACTIONS(5542),
    [aux_sym_elseif_clause_token2] = ACTIONS(5542),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5542),
    [aux_sym_select_case_statement_token1] = ACTIONS(5542),
    [aux_sym_format_statement_token1] = ACTIONS(5542),
    [aux_sym_print_statement_token1] = ACTIONS(5542),
    [aux_sym_open_statement_token1] = ACTIONS(5542),
    [aux_sym_inquire_statement_token1] = ACTIONS(5542),
    [aux_sym_enum_statement_token1] = ACTIONS(5542),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5542),
    [aux_sym_entry_statement_token1] = ACTIONS(5542),
    [aux_sym_logical_expression_token5] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5542),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [aux_sym_boolean_literal_token1] = ACTIONS(5546),
    [aux_sym_boolean_literal_token2] = ACTIONS(5546),
    [aux_sym_null_literal_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_statement_token2] = ACTIONS(5542),
    [aux_sym_coarray_statement_token6] = ACTIONS(5542),
    [aux_sym_coarray_statement_token8] = ACTIONS(5542),
    [aux_sym_coarray_statement_token11] = ACTIONS(5542),
    [aux_sym_coarray_statement_token12] = ACTIONS(5542),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5542),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5542),
    [aux_sym_identifier_token1] = ACTIONS(5542),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5546),
    [sym__float_literal] = ACTIONS(5546),
    [sym__boz_literal] = ACTIONS(5546),
    [sym__string_literal] = ACTIONS(5546),
    [sym__string_literal_kind] = ACTIONS(5546),
  },
  [2190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [2191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6587),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6535),
    [aux_sym_preproc_def_token1] = ACTIONS(6535),
    [aux_sym_preproc_if_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6535),
    [sym_preproc_directive] = ACTIONS(6535),
    [anon_sym_LPAREN2] = ACTIONS(6535),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6535),
    [aux_sym_end_module_statement_token1] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6537),
    [aux_sym_interface_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token2] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6535),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6535),
    [aux_sym_language_binding_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6535),
    [aux_sym_contains_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token2] = ACTIONS(6535),
    [aux_sym_implicit_statement_token1] = ACTIONS(6535),
    [aux_sym_implicit_statement_token3] = ACTIONS(6535),
    [aux_sym_implicit_statement_token4] = ACTIONS(6535),
    [aux_sym_save_statement_token1] = ACTIONS(6535),
    [aux_sym_private_statement_token1] = ACTIONS(6535),
    [aux_sym_public_statement_token1] = ACTIONS(6535),
    [aux_sym_namelist_statement_token1] = ACTIONS(6535),
    [aux_sym_common_statement_token1] = ACTIONS(6535),
    [aux_sym_import_statement_token1] = ACTIONS(6535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6535),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6535),
    [aux_sym_variable_attributes_token1] = ACTIONS(6535),
    [aux_sym_variable_attributes_token2] = ACTIONS(6535),
    [aux_sym_variable_attributes_token3] = ACTIONS(6535),
    [aux_sym_variable_attributes_token4] = ACTIONS(6535),
    [aux_sym_variable_attributes_token5] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6535),
    [aux_sym_derived_type_token1] = ACTIONS(6535),
    [aux_sym_declared_type_token1] = ACTIONS(6535),
    [aux_sym_declared_type_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6535),
    [aux_sym_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token2] = ACTIONS(6535),
    [aux_sym_subroutine_call_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token2] = ACTIONS(6535),
    [aux_sym_keyword_statement_token3] = ACTIONS(6535),
    [aux_sym_keyword_statement_token4] = ACTIONS(6535),
    [aux_sym_include_statement_token1] = ACTIONS(6535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6535),
    [aux_sym_end_if_statement_token1] = ACTIONS(6535),
    [aux_sym_elseif_clause_token2] = ACTIONS(6535),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token1] = ACTIONS(6535),
    [aux_sym_format_statement_token1] = ACTIONS(6535),
    [aux_sym_print_statement_token1] = ACTIONS(6535),
    [aux_sym_open_statement_token1] = ACTIONS(6535),
    [aux_sym_inquire_statement_token1] = ACTIONS(6535),
    [aux_sym_enum_statement_token1] = ACTIONS(6535),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6535),
    [aux_sym_entry_statement_token1] = ACTIONS(6535),
    [aux_sym_logical_expression_token5] = ACTIONS(6537),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6537),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [aux_sym_boolean_literal_token1] = ACTIONS(6537),
    [aux_sym_boolean_literal_token2] = ACTIONS(6537),
    [aux_sym_null_literal_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token2] = ACTIONS(6535),
    [aux_sym_coarray_statement_token6] = ACTIONS(6535),
    [aux_sym_coarray_statement_token8] = ACTIONS(6535),
    [aux_sym_coarray_statement_token11] = ACTIONS(6535),
    [aux_sym_coarray_statement_token12] = ACTIONS(6535),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6535),
    [aux_sym_identifier_token1] = ACTIONS(6535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6537),
    [sym__float_literal] = ACTIONS(6537),
    [sym__boz_literal] = ACTIONS(6537),
    [sym__string_literal] = ACTIONS(6537),
    [sym__string_literal_kind] = ACTIONS(6537),
  },
  [2194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_module_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [2196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6521),
    [aux_sym_preproc_def_token1] = ACTIONS(6521),
    [aux_sym_preproc_if_token1] = ACTIONS(6521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6521),
    [sym_preproc_directive] = ACTIONS(6521),
    [anon_sym_LPAREN2] = ACTIONS(6521),
    [anon_sym_PLUS] = ACTIONS(6523),
    [anon_sym_DASH] = ACTIONS(6523),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6521),
    [aux_sym_end_module_statement_token1] = ACTIONS(6521),
    [anon_sym_SEMI] = ACTIONS(6523),
    [aux_sym_interface_statement_token1] = ACTIONS(6521),
    [aux_sym_block_data_statement_token1] = ACTIONS(6521),
    [aux_sym_block_data_statement_token2] = ACTIONS(6521),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6521),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6521),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6521),
    [aux_sym_language_binding_token1] = ACTIONS(6521),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6521),
    [aux_sym_contains_statement_token1] = ACTIONS(6521),
    [aux_sym_use_statement_token1] = ACTIONS(6521),
    [aux_sym_use_statement_token2] = ACTIONS(6521),
    [aux_sym_implicit_statement_token1] = ACTIONS(6521),
    [aux_sym_implicit_statement_token3] = ACTIONS(6521),
    [aux_sym_implicit_statement_token4] = ACTIONS(6521),
    [aux_sym_save_statement_token1] = ACTIONS(6521),
    [aux_sym_private_statement_token1] = ACTIONS(6521),
    [aux_sym_public_statement_token1] = ACTIONS(6521),
    [aux_sym_namelist_statement_token1] = ACTIONS(6521),
    [aux_sym_common_statement_token1] = ACTIONS(6521),
    [aux_sym_import_statement_token1] = ACTIONS(6521),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6521),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6521),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6521),
    [aux_sym_variable_attributes_token1] = ACTIONS(6521),
    [aux_sym_variable_attributes_token2] = ACTIONS(6521),
    [aux_sym_variable_attributes_token3] = ACTIONS(6521),
    [aux_sym_variable_attributes_token4] = ACTIONS(6521),
    [aux_sym_variable_attributes_token5] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6521),
    [aux_sym_derived_type_token1] = ACTIONS(6521),
    [aux_sym_declared_type_token1] = ACTIONS(6521),
    [aux_sym_declared_type_token2] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6521),
    [aux_sym_type_qualifier_token1] = ACTIONS(6521),
    [aux_sym_type_qualifier_token2] = ACTIONS(6521),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6521),
    [aux_sym_stop_statement_token1] = ACTIONS(6521),
    [aux_sym_stop_statement_token2] = ACTIONS(6521),
    [aux_sym_subroutine_call_token1] = ACTIONS(6521),
    [aux_sym_keyword_statement_token2] = ACTIONS(6521),
    [aux_sym_keyword_statement_token3] = ACTIONS(6521),
    [aux_sym_keyword_statement_token4] = ACTIONS(6521),
    [aux_sym_include_statement_token1] = ACTIONS(6521),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6521),
    [aux_sym_end_if_statement_token1] = ACTIONS(6521),
    [aux_sym_elseif_clause_token2] = ACTIONS(6521),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6521),
    [aux_sym_select_case_statement_token1] = ACTIONS(6521),
    [aux_sym_format_statement_token1] = ACTIONS(6521),
    [aux_sym_print_statement_token1] = ACTIONS(6521),
    [aux_sym_open_statement_token1] = ACTIONS(6521),
    [aux_sym_inquire_statement_token1] = ACTIONS(6521),
    [aux_sym_enum_statement_token1] = ACTIONS(6521),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6521),
    [aux_sym_entry_statement_token1] = ACTIONS(6521),
    [aux_sym_logical_expression_token5] = ACTIONS(6523),
    [anon_sym_DOT] = ACTIONS(6521),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6523),
    [anon_sym_LBRACK] = ACTIONS(6523),
    [aux_sym_boolean_literal_token1] = ACTIONS(6523),
    [aux_sym_boolean_literal_token2] = ACTIONS(6523),
    [aux_sym_null_literal_token1] = ACTIONS(6521),
    [aux_sym_coarray_statement_token1] = ACTIONS(6521),
    [aux_sym_coarray_statement_token2] = ACTIONS(6521),
    [aux_sym_coarray_statement_token6] = ACTIONS(6521),
    [aux_sym_coarray_statement_token8] = ACTIONS(6521),
    [aux_sym_coarray_statement_token11] = ACTIONS(6521),
    [aux_sym_coarray_statement_token12] = ACTIONS(6521),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6521),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6521),
    [aux_sym_identifier_token1] = ACTIONS(6521),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6523),
    [sym__float_literal] = ACTIONS(6523),
    [sym__boz_literal] = ACTIONS(6523),
    [sym__string_literal] = ACTIONS(6523),
    [sym__string_literal_kind] = ACTIONS(6523),
  },
  [2197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [2198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6589),
    [aux_sym_preproc_def_token1] = ACTIONS(6589),
    [aux_sym_preproc_if_token1] = ACTIONS(6589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6589),
    [sym_preproc_directive] = ACTIONS(6589),
    [anon_sym_LPAREN2] = ACTIONS(6589),
    [anon_sym_PLUS] = ACTIONS(6591),
    [anon_sym_DASH] = ACTIONS(6591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6589),
    [aux_sym_end_module_statement_token1] = ACTIONS(6589),
    [anon_sym_SEMI] = ACTIONS(6591),
    [aux_sym_interface_statement_token1] = ACTIONS(6589),
    [aux_sym_block_data_statement_token1] = ACTIONS(6589),
    [aux_sym_block_data_statement_token2] = ACTIONS(6589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6589),
    [aux_sym_language_binding_token1] = ACTIONS(6589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6589),
    [aux_sym_contains_statement_token1] = ACTIONS(6589),
    [aux_sym_use_statement_token1] = ACTIONS(6589),
    [aux_sym_use_statement_token2] = ACTIONS(6589),
    [aux_sym_implicit_statement_token1] = ACTIONS(6589),
    [aux_sym_implicit_statement_token3] = ACTIONS(6589),
    [aux_sym_implicit_statement_token4] = ACTIONS(6589),
    [aux_sym_save_statement_token1] = ACTIONS(6589),
    [aux_sym_private_statement_token1] = ACTIONS(6589),
    [aux_sym_public_statement_token1] = ACTIONS(6589),
    [aux_sym_namelist_statement_token1] = ACTIONS(6589),
    [aux_sym_common_statement_token1] = ACTIONS(6589),
    [aux_sym_import_statement_token1] = ACTIONS(6589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6589),
    [aux_sym_variable_attributes_token1] = ACTIONS(6589),
    [aux_sym_variable_attributes_token2] = ACTIONS(6589),
    [aux_sym_variable_attributes_token3] = ACTIONS(6589),
    [aux_sym_variable_attributes_token4] = ACTIONS(6589),
    [aux_sym_variable_attributes_token5] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6589),
    [aux_sym_derived_type_token1] = ACTIONS(6589),
    [aux_sym_declared_type_token1] = ACTIONS(6589),
    [aux_sym_declared_type_token2] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6589),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6589),
    [aux_sym_type_qualifier_token1] = ACTIONS(6589),
    [aux_sym_type_qualifier_token2] = ACTIONS(6589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6589),
    [aux_sym_stop_statement_token1] = ACTIONS(6589),
    [aux_sym_stop_statement_token2] = ACTIONS(6589),
    [aux_sym_subroutine_call_token1] = ACTIONS(6589),
    [aux_sym_keyword_statement_token2] = ACTIONS(6589),
    [aux_sym_keyword_statement_token3] = ACTIONS(6589),
    [aux_sym_keyword_statement_token4] = ACTIONS(6589),
    [aux_sym_include_statement_token1] = ACTIONS(6589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6589),
    [aux_sym_end_if_statement_token1] = ACTIONS(6589),
    [aux_sym_elseif_clause_token2] = ACTIONS(6589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6589),
    [aux_sym_select_case_statement_token1] = ACTIONS(6589),
    [aux_sym_format_statement_token1] = ACTIONS(6589),
    [aux_sym_print_statement_token1] = ACTIONS(6589),
    [aux_sym_open_statement_token1] = ACTIONS(6589),
    [aux_sym_inquire_statement_token1] = ACTIONS(6589),
    [aux_sym_enum_statement_token1] = ACTIONS(6589),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6589),
    [aux_sym_entry_statement_token1] = ACTIONS(6589),
    [aux_sym_logical_expression_token5] = ACTIONS(6591),
    [anon_sym_DOT] = ACTIONS(6589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6591),
    [aux_sym_boolean_literal_token1] = ACTIONS(6591),
    [aux_sym_boolean_literal_token2] = ACTIONS(6591),
    [aux_sym_null_literal_token1] = ACTIONS(6589),
    [aux_sym_coarray_statement_token1] = ACTIONS(6589),
    [aux_sym_coarray_statement_token2] = ACTIONS(6589),
    [aux_sym_coarray_statement_token6] = ACTIONS(6589),
    [aux_sym_coarray_statement_token8] = ACTIONS(6589),
    [aux_sym_coarray_statement_token11] = ACTIONS(6589),
    [aux_sym_coarray_statement_token12] = ACTIONS(6589),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6589),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6589),
    [aux_sym_identifier_token1] = ACTIONS(6589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6591),
    [sym__float_literal] = ACTIONS(6591),
    [sym__boz_literal] = ACTIONS(6591),
    [sym__string_literal] = ACTIONS(6591),
    [sym__string_literal_kind] = ACTIONS(6591),
  },
  [2199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [2200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6559),
    [aux_sym_preproc_def_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6559),
    [sym_preproc_directive] = ACTIONS(6559),
    [anon_sym_LPAREN2] = ACTIONS(6559),
    [anon_sym_PLUS] = ACTIONS(6561),
    [anon_sym_DASH] = ACTIONS(6561),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6559),
    [aux_sym_end_module_statement_token1] = ACTIONS(6559),
    [anon_sym_SEMI] = ACTIONS(6561),
    [aux_sym_interface_statement_token1] = ACTIONS(6559),
    [aux_sym_block_data_statement_token1] = ACTIONS(6559),
    [aux_sym_block_data_statement_token2] = ACTIONS(6559),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6559),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6559),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6559),
    [aux_sym_language_binding_token1] = ACTIONS(6559),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6559),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6559),
    [aux_sym_contains_statement_token1] = ACTIONS(6559),
    [aux_sym_use_statement_token1] = ACTIONS(6559),
    [aux_sym_use_statement_token2] = ACTIONS(6559),
    [aux_sym_implicit_statement_token1] = ACTIONS(6559),
    [aux_sym_implicit_statement_token3] = ACTIONS(6559),
    [aux_sym_implicit_statement_token4] = ACTIONS(6559),
    [aux_sym_save_statement_token1] = ACTIONS(6559),
    [aux_sym_private_statement_token1] = ACTIONS(6559),
    [aux_sym_public_statement_token1] = ACTIONS(6559),
    [aux_sym_namelist_statement_token1] = ACTIONS(6559),
    [aux_sym_common_statement_token1] = ACTIONS(6559),
    [aux_sym_import_statement_token1] = ACTIONS(6559),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6559),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6559),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6559),
    [aux_sym_variable_attributes_token1] = ACTIONS(6559),
    [aux_sym_variable_attributes_token2] = ACTIONS(6559),
    [aux_sym_variable_attributes_token3] = ACTIONS(6559),
    [aux_sym_variable_attributes_token4] = ACTIONS(6559),
    [aux_sym_variable_attributes_token5] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6559),
    [aux_sym_derived_type_token1] = ACTIONS(6559),
    [aux_sym_declared_type_token1] = ACTIONS(6559),
    [aux_sym_declared_type_token2] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6559),
    [aux_sym_type_qualifier_token1] = ACTIONS(6559),
    [aux_sym_type_qualifier_token2] = ACTIONS(6559),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6559),
    [aux_sym_stop_statement_token1] = ACTIONS(6559),
    [aux_sym_stop_statement_token2] = ACTIONS(6559),
    [aux_sym_subroutine_call_token1] = ACTIONS(6559),
    [aux_sym_keyword_statement_token2] = ACTIONS(6559),
    [aux_sym_keyword_statement_token3] = ACTIONS(6559),
    [aux_sym_keyword_statement_token4] = ACTIONS(6559),
    [aux_sym_include_statement_token1] = ACTIONS(6559),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6559),
    [aux_sym_end_if_statement_token1] = ACTIONS(6559),
    [aux_sym_elseif_clause_token2] = ACTIONS(6559),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6559),
    [aux_sym_select_case_statement_token1] = ACTIONS(6559),
    [aux_sym_format_statement_token1] = ACTIONS(6559),
    [aux_sym_print_statement_token1] = ACTIONS(6559),
    [aux_sym_open_statement_token1] = ACTIONS(6559),
    [aux_sym_inquire_statement_token1] = ACTIONS(6559),
    [aux_sym_enum_statement_token1] = ACTIONS(6559),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6559),
    [aux_sym_entry_statement_token1] = ACTIONS(6559),
    [aux_sym_logical_expression_token5] = ACTIONS(6561),
    [anon_sym_DOT] = ACTIONS(6559),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6561),
    [anon_sym_LBRACK] = ACTIONS(6561),
    [aux_sym_boolean_literal_token1] = ACTIONS(6561),
    [aux_sym_boolean_literal_token2] = ACTIONS(6561),
    [aux_sym_null_literal_token1] = ACTIONS(6559),
    [aux_sym_coarray_statement_token1] = ACTIONS(6559),
    [aux_sym_coarray_statement_token2] = ACTIONS(6559),
    [aux_sym_coarray_statement_token6] = ACTIONS(6559),
    [aux_sym_coarray_statement_token8] = ACTIONS(6559),
    [aux_sym_coarray_statement_token11] = ACTIONS(6559),
    [aux_sym_coarray_statement_token12] = ACTIONS(6559),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6559),
    [aux_sym_identifier_token1] = ACTIONS(6559),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6561),
    [sym__float_literal] = ACTIONS(6561),
    [sym__boz_literal] = ACTIONS(6561),
    [sym__string_literal] = ACTIONS(6561),
    [sym__string_literal_kind] = ACTIONS(6561),
  },
  [2201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_contains_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [2202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [2203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [2204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [aux_sym_end_module_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_contains_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [2205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [aux_sym_end_module_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [2206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [2207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [2208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [aux_sym_end_module_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [2210] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [aux_sym_end_module_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [2211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6439),
    [aux_sym_preproc_def_token1] = ACTIONS(6439),
    [aux_sym_preproc_if_token1] = ACTIONS(6439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6439),
    [sym_preproc_directive] = ACTIONS(6439),
    [anon_sym_LPAREN2] = ACTIONS(6439),
    [sym_preproc_comment] = ACTIONS(6593),
    [anon_sym_PLUS] = ACTIONS(6443),
    [anon_sym_DASH] = ACTIONS(6443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6439),
    [anon_sym_SEMI] = ACTIONS(6443),
    [aux_sym_interface_statement_token1] = ACTIONS(6439),
    [aux_sym_block_data_statement_token1] = ACTIONS(6439),
    [aux_sym_block_data_statement_token2] = ACTIONS(6439),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6439),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6439),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6439),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6439),
    [aux_sym_language_binding_token1] = ACTIONS(6439),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6439),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6439),
    [aux_sym_use_statement_token1] = ACTIONS(6439),
    [aux_sym_use_statement_token2] = ACTIONS(6439),
    [aux_sym_implicit_statement_token1] = ACTIONS(6439),
    [aux_sym_implicit_statement_token3] = ACTIONS(6439),
    [aux_sym_implicit_statement_token4] = ACTIONS(6439),
    [aux_sym_save_statement_token1] = ACTIONS(6439),
    [aux_sym_private_statement_token1] = ACTIONS(6439),
    [aux_sym_public_statement_token1] = ACTIONS(6439),
    [aux_sym_namelist_statement_token1] = ACTIONS(6439),
    [aux_sym_common_statement_token1] = ACTIONS(6439),
    [aux_sym_import_statement_token1] = ACTIONS(6439),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6439),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6439),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6439),
    [aux_sym_variable_attributes_token1] = ACTIONS(6439),
    [aux_sym_variable_attributes_token2] = ACTIONS(6439),
    [aux_sym_variable_attributes_token3] = ACTIONS(6439),
    [aux_sym_variable_attributes_token4] = ACTIONS(6439),
    [aux_sym_variable_attributes_token5] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6439),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6439),
    [aux_sym_derived_type_token1] = ACTIONS(6439),
    [aux_sym_declared_type_token1] = ACTIONS(6439),
    [aux_sym_declared_type_token2] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6439),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6439),
    [aux_sym_type_qualifier_token1] = ACTIONS(6439),
    [aux_sym_type_qualifier_token2] = ACTIONS(6439),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6439),
    [aux_sym_stop_statement_token1] = ACTIONS(6439),
    [aux_sym_stop_statement_token2] = ACTIONS(6439),
    [aux_sym_subroutine_call_token1] = ACTIONS(6439),
    [aux_sym_keyword_statement_token2] = ACTIONS(6439),
    [aux_sym_keyword_statement_token3] = ACTIONS(6439),
    [aux_sym_keyword_statement_token4] = ACTIONS(6439),
    [aux_sym_include_statement_token1] = ACTIONS(6439),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6439),
    [aux_sym_end_if_statement_token1] = ACTIONS(6439),
    [aux_sym_elseif_clause_token2] = ACTIONS(6439),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6439),
    [aux_sym_select_case_statement_token1] = ACTIONS(6439),
    [aux_sym_format_statement_token1] = ACTIONS(6439),
    [aux_sym_print_statement_token1] = ACTIONS(6439),
    [aux_sym_open_statement_token1] = ACTIONS(6439),
    [aux_sym_inquire_statement_token1] = ACTIONS(6439),
    [aux_sym_enum_statement_token1] = ACTIONS(6439),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6439),
    [aux_sym_entry_statement_token1] = ACTIONS(6439),
    [aux_sym_logical_expression_token5] = ACTIONS(6443),
    [anon_sym_DOT] = ACTIONS(6439),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6443),
    [anon_sym_LBRACK] = ACTIONS(6443),
    [aux_sym_boolean_literal_token1] = ACTIONS(6443),
    [aux_sym_boolean_literal_token2] = ACTIONS(6443),
    [aux_sym_null_literal_token1] = ACTIONS(6439),
    [aux_sym_coarray_statement_token1] = ACTIONS(6439),
    [aux_sym_coarray_statement_token2] = ACTIONS(6439),
    [aux_sym_coarray_statement_token6] = ACTIONS(6439),
    [aux_sym_coarray_statement_token8] = ACTIONS(6439),
    [aux_sym_coarray_statement_token11] = ACTIONS(6439),
    [aux_sym_coarray_statement_token12] = ACTIONS(6439),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6439),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6439),
    [aux_sym_identifier_token1] = ACTIONS(6439),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6443),
    [sym__float_literal] = ACTIONS(6443),
    [sym__boz_literal] = ACTIONS(6443),
    [sym__string_literal] = ACTIONS(6443),
    [sym__string_literal_kind] = ACTIONS(6443),
  },
  [2212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_module_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [2213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [aux_sym_end_module_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_contains_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [2214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5514),
    [aux_sym_preproc_def_token1] = ACTIONS(5514),
    [aux_sym_preproc_if_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5514),
    [sym_preproc_directive] = ACTIONS(5514),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [sym_preproc_comment] = ACTIONS(6595),
    [anon_sym_PLUS] = ACTIONS(5518),
    [anon_sym_DASH] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5518),
    [aux_sym_interface_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_block_data_statement_token2] = ACTIONS(5514),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5514),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5514),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5514),
    [aux_sym_language_binding_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5514),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5514),
    [aux_sym_use_statement_token1] = ACTIONS(5514),
    [aux_sym_use_statement_token2] = ACTIONS(5514),
    [aux_sym_implicit_statement_token1] = ACTIONS(5514),
    [aux_sym_implicit_statement_token3] = ACTIONS(5514),
    [aux_sym_implicit_statement_token4] = ACTIONS(5514),
    [aux_sym_save_statement_token1] = ACTIONS(5514),
    [aux_sym_private_statement_token1] = ACTIONS(5514),
    [aux_sym_public_statement_token1] = ACTIONS(5514),
    [aux_sym_namelist_statement_token1] = ACTIONS(5514),
    [aux_sym_common_statement_token1] = ACTIONS(5514),
    [aux_sym_import_statement_token1] = ACTIONS(5514),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5514),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5514),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5514),
    [aux_sym_variable_attributes_token1] = ACTIONS(5514),
    [aux_sym_variable_attributes_token2] = ACTIONS(5514),
    [aux_sym_variable_attributes_token3] = ACTIONS(5514),
    [aux_sym_variable_attributes_token4] = ACTIONS(5514),
    [aux_sym_variable_attributes_token5] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5514),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5514),
    [aux_sym_derived_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token1] = ACTIONS(5514),
    [aux_sym_declared_type_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5514),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5514),
    [aux_sym_type_qualifier_token1] = ACTIONS(5514),
    [aux_sym_type_qualifier_token2] = ACTIONS(5514),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token1] = ACTIONS(5514),
    [aux_sym_stop_statement_token2] = ACTIONS(5514),
    [aux_sym_subroutine_call_token1] = ACTIONS(5514),
    [aux_sym_keyword_statement_token2] = ACTIONS(5514),
    [aux_sym_keyword_statement_token3] = ACTIONS(5514),
    [aux_sym_keyword_statement_token4] = ACTIONS(5514),
    [aux_sym_include_statement_token1] = ACTIONS(5514),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5514),
    [aux_sym_end_if_statement_token1] = ACTIONS(5514),
    [aux_sym_elseif_clause_token2] = ACTIONS(5514),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5514),
    [aux_sym_select_case_statement_token1] = ACTIONS(5514),
    [aux_sym_format_statement_token1] = ACTIONS(5514),
    [aux_sym_print_statement_token1] = ACTIONS(5514),
    [aux_sym_open_statement_token1] = ACTIONS(5514),
    [aux_sym_inquire_statement_token1] = ACTIONS(5514),
    [aux_sym_enum_statement_token1] = ACTIONS(5514),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5514),
    [aux_sym_entry_statement_token1] = ACTIONS(5514),
    [aux_sym_logical_expression_token5] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5518),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [aux_sym_boolean_literal_token1] = ACTIONS(5518),
    [aux_sym_boolean_literal_token2] = ACTIONS(5518),
    [aux_sym_null_literal_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_statement_token2] = ACTIONS(5514),
    [aux_sym_coarray_statement_token6] = ACTIONS(5514),
    [aux_sym_coarray_statement_token8] = ACTIONS(5514),
    [aux_sym_coarray_statement_token11] = ACTIONS(5514),
    [aux_sym_coarray_statement_token12] = ACTIONS(5514),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5514),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5514),
    [aux_sym_identifier_token1] = ACTIONS(5514),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5518),
    [sym__float_literal] = ACTIONS(5518),
    [sym__boz_literal] = ACTIONS(5518),
    [sym__string_literal] = ACTIONS(5518),
    [sym__string_literal_kind] = ACTIONS(5518),
  },
  [2216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [2217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [aux_sym_end_module_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_contains_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [2218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [aux_sym_end_module_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_contains_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [aux_sym_end_module_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [2220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [aux_sym_end_module_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [2221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [aux_sym_end_module_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [2222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_contains_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [2223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_module_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_contains_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [2225] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [aux_sym_end_module_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [2228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [sym_preproc_comment] = ACTIONS(6597),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_contains_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [2230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [aux_sym_end_module_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_contains_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [2232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [aux_sym_end_module_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_contains_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [2233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [aux_sym_end_module_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_contains_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [2234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [aux_sym_end_module_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_contains_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [2235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [aux_sym_end_module_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_contains_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [2236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6403),
    [aux_sym_preproc_def_token1] = ACTIONS(6403),
    [aux_sym_preproc_if_token1] = ACTIONS(6403),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6403),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6403),
    [sym_preproc_directive] = ACTIONS(6403),
    [anon_sym_LPAREN2] = ACTIONS(6403),
    [sym_preproc_comment] = ACTIONS(6599),
    [anon_sym_PLUS] = ACTIONS(6407),
    [anon_sym_DASH] = ACTIONS(6407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6403),
    [anon_sym_SEMI] = ACTIONS(6407),
    [aux_sym_interface_statement_token1] = ACTIONS(6403),
    [aux_sym_block_data_statement_token1] = ACTIONS(6403),
    [aux_sym_block_data_statement_token2] = ACTIONS(6403),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6403),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6403),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6403),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6403),
    [aux_sym_language_binding_token1] = ACTIONS(6403),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6403),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6403),
    [aux_sym_use_statement_token1] = ACTIONS(6403),
    [aux_sym_use_statement_token2] = ACTIONS(6403),
    [aux_sym_implicit_statement_token1] = ACTIONS(6403),
    [aux_sym_implicit_statement_token3] = ACTIONS(6403),
    [aux_sym_implicit_statement_token4] = ACTIONS(6403),
    [aux_sym_save_statement_token1] = ACTIONS(6403),
    [aux_sym_private_statement_token1] = ACTIONS(6403),
    [aux_sym_public_statement_token1] = ACTIONS(6403),
    [aux_sym_namelist_statement_token1] = ACTIONS(6403),
    [aux_sym_common_statement_token1] = ACTIONS(6403),
    [aux_sym_import_statement_token1] = ACTIONS(6403),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6403),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6403),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6403),
    [aux_sym_variable_attributes_token1] = ACTIONS(6403),
    [aux_sym_variable_attributes_token2] = ACTIONS(6403),
    [aux_sym_variable_attributes_token3] = ACTIONS(6403),
    [aux_sym_variable_attributes_token4] = ACTIONS(6403),
    [aux_sym_variable_attributes_token5] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6403),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6403),
    [aux_sym_derived_type_token1] = ACTIONS(6403),
    [aux_sym_declared_type_token1] = ACTIONS(6403),
    [aux_sym_declared_type_token2] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6403),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6403),
    [aux_sym_type_qualifier_token1] = ACTIONS(6403),
    [aux_sym_type_qualifier_token2] = ACTIONS(6403),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6403),
    [aux_sym_stop_statement_token1] = ACTIONS(6403),
    [aux_sym_stop_statement_token2] = ACTIONS(6403),
    [aux_sym_subroutine_call_token1] = ACTIONS(6403),
    [aux_sym_keyword_statement_token2] = ACTIONS(6403),
    [aux_sym_keyword_statement_token3] = ACTIONS(6403),
    [aux_sym_keyword_statement_token4] = ACTIONS(6403),
    [aux_sym_include_statement_token1] = ACTIONS(6403),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6403),
    [aux_sym_end_if_statement_token1] = ACTIONS(6403),
    [aux_sym_elseif_clause_token2] = ACTIONS(6403),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6403),
    [aux_sym_select_case_statement_token1] = ACTIONS(6403),
    [aux_sym_format_statement_token1] = ACTIONS(6403),
    [aux_sym_print_statement_token1] = ACTIONS(6403),
    [aux_sym_open_statement_token1] = ACTIONS(6403),
    [aux_sym_inquire_statement_token1] = ACTIONS(6403),
    [aux_sym_enum_statement_token1] = ACTIONS(6403),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6403),
    [aux_sym_entry_statement_token1] = ACTIONS(6403),
    [aux_sym_logical_expression_token5] = ACTIONS(6407),
    [anon_sym_DOT] = ACTIONS(6403),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6407),
    [anon_sym_LBRACK] = ACTIONS(6407),
    [aux_sym_boolean_literal_token1] = ACTIONS(6407),
    [aux_sym_boolean_literal_token2] = ACTIONS(6407),
    [aux_sym_null_literal_token1] = ACTIONS(6403),
    [aux_sym_coarray_statement_token1] = ACTIONS(6403),
    [aux_sym_coarray_statement_token2] = ACTIONS(6403),
    [aux_sym_coarray_statement_token6] = ACTIONS(6403),
    [aux_sym_coarray_statement_token8] = ACTIONS(6403),
    [aux_sym_coarray_statement_token11] = ACTIONS(6403),
    [aux_sym_coarray_statement_token12] = ACTIONS(6403),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6403),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6403),
    [aux_sym_identifier_token1] = ACTIONS(6403),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6407),
    [sym__float_literal] = ACTIONS(6407),
    [sym__boz_literal] = ACTIONS(6407),
    [sym__string_literal] = ACTIONS(6407),
    [sym__string_literal_kind] = ACTIONS(6407),
  },
  [2237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6601),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6433),
    [aux_sym_preproc_def_token1] = ACTIONS(6433),
    [aux_sym_preproc_if_token1] = ACTIONS(6433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6433),
    [sym_preproc_directive] = ACTIONS(6433),
    [anon_sym_LPAREN2] = ACTIONS(6433),
    [sym_preproc_comment] = ACTIONS(6603),
    [anon_sym_PLUS] = ACTIONS(6437),
    [anon_sym_DASH] = ACTIONS(6437),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6433),
    [anon_sym_SEMI] = ACTIONS(6437),
    [aux_sym_interface_statement_token1] = ACTIONS(6433),
    [aux_sym_block_data_statement_token1] = ACTIONS(6433),
    [aux_sym_block_data_statement_token2] = ACTIONS(6433),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6433),
    [aux_sym_language_binding_token1] = ACTIONS(6433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6433),
    [aux_sym_use_statement_token1] = ACTIONS(6433),
    [aux_sym_use_statement_token2] = ACTIONS(6433),
    [aux_sym_implicit_statement_token1] = ACTIONS(6433),
    [aux_sym_implicit_statement_token3] = ACTIONS(6433),
    [aux_sym_implicit_statement_token4] = ACTIONS(6433),
    [aux_sym_save_statement_token1] = ACTIONS(6433),
    [aux_sym_private_statement_token1] = ACTIONS(6433),
    [aux_sym_public_statement_token1] = ACTIONS(6433),
    [aux_sym_namelist_statement_token1] = ACTIONS(6433),
    [aux_sym_common_statement_token1] = ACTIONS(6433),
    [aux_sym_import_statement_token1] = ACTIONS(6433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6433),
    [aux_sym_variable_attributes_token1] = ACTIONS(6433),
    [aux_sym_variable_attributes_token2] = ACTIONS(6433),
    [aux_sym_variable_attributes_token3] = ACTIONS(6433),
    [aux_sym_variable_attributes_token4] = ACTIONS(6433),
    [aux_sym_variable_attributes_token5] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6433),
    [aux_sym_derived_type_token1] = ACTIONS(6433),
    [aux_sym_declared_type_token1] = ACTIONS(6433),
    [aux_sym_declared_type_token2] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6433),
    [aux_sym_type_qualifier_token1] = ACTIONS(6433),
    [aux_sym_type_qualifier_token2] = ACTIONS(6433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6433),
    [aux_sym_stop_statement_token1] = ACTIONS(6433),
    [aux_sym_stop_statement_token2] = ACTIONS(6433),
    [aux_sym_subroutine_call_token1] = ACTIONS(6433),
    [aux_sym_keyword_statement_token2] = ACTIONS(6433),
    [aux_sym_keyword_statement_token3] = ACTIONS(6433),
    [aux_sym_keyword_statement_token4] = ACTIONS(6433),
    [aux_sym_include_statement_token1] = ACTIONS(6433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6433),
    [aux_sym_end_if_statement_token1] = ACTIONS(6433),
    [aux_sym_elseif_clause_token2] = ACTIONS(6433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6433),
    [aux_sym_select_case_statement_token1] = ACTIONS(6433),
    [aux_sym_format_statement_token1] = ACTIONS(6433),
    [aux_sym_print_statement_token1] = ACTIONS(6433),
    [aux_sym_open_statement_token1] = ACTIONS(6433),
    [aux_sym_inquire_statement_token1] = ACTIONS(6433),
    [aux_sym_enum_statement_token1] = ACTIONS(6433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6433),
    [aux_sym_entry_statement_token1] = ACTIONS(6433),
    [aux_sym_logical_expression_token5] = ACTIONS(6437),
    [anon_sym_DOT] = ACTIONS(6433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6437),
    [anon_sym_LBRACK] = ACTIONS(6437),
    [aux_sym_boolean_literal_token1] = ACTIONS(6437),
    [aux_sym_boolean_literal_token2] = ACTIONS(6437),
    [aux_sym_null_literal_token1] = ACTIONS(6433),
    [aux_sym_coarray_statement_token1] = ACTIONS(6433),
    [aux_sym_coarray_statement_token2] = ACTIONS(6433),
    [aux_sym_coarray_statement_token6] = ACTIONS(6433),
    [aux_sym_coarray_statement_token8] = ACTIONS(6433),
    [aux_sym_coarray_statement_token11] = ACTIONS(6433),
    [aux_sym_coarray_statement_token12] = ACTIONS(6433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6433),
    [aux_sym_identifier_token1] = ACTIONS(6433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6437),
    [sym__float_literal] = ACTIONS(6437),
    [sym__boz_literal] = ACTIONS(6437),
    [sym__string_literal] = ACTIONS(6437),
    [sym__string_literal_kind] = ACTIONS(6437),
  },
  [2239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_contains_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [2240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6605),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_module_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [aux_sym_end_module_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_contains_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [2243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [sym_preproc_comment] = ACTIONS(6607),
    [anon_sym_PLUS] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5596),
    [aux_sym_interface_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_block_data_statement_token2] = ACTIONS(5592),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5592),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5592),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5592),
    [aux_sym_language_binding_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5592),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5592),
    [aux_sym_use_statement_token1] = ACTIONS(5592),
    [aux_sym_use_statement_token2] = ACTIONS(5592),
    [aux_sym_implicit_statement_token1] = ACTIONS(5592),
    [aux_sym_implicit_statement_token3] = ACTIONS(5592),
    [aux_sym_implicit_statement_token4] = ACTIONS(5592),
    [aux_sym_save_statement_token1] = ACTIONS(5592),
    [aux_sym_private_statement_token1] = ACTIONS(5592),
    [aux_sym_public_statement_token1] = ACTIONS(5592),
    [aux_sym_namelist_statement_token1] = ACTIONS(5592),
    [aux_sym_common_statement_token1] = ACTIONS(5592),
    [aux_sym_import_statement_token1] = ACTIONS(5592),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5592),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5592),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5592),
    [aux_sym_variable_attributes_token1] = ACTIONS(5592),
    [aux_sym_variable_attributes_token2] = ACTIONS(5592),
    [aux_sym_variable_attributes_token3] = ACTIONS(5592),
    [aux_sym_variable_attributes_token4] = ACTIONS(5592),
    [aux_sym_variable_attributes_token5] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5592),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5592),
    [aux_sym_derived_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token1] = ACTIONS(5592),
    [aux_sym_declared_type_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5592),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5592),
    [aux_sym_type_qualifier_token1] = ACTIONS(5592),
    [aux_sym_type_qualifier_token2] = ACTIONS(5592),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5592),
    [aux_sym_stop_statement_token2] = ACTIONS(5592),
    [aux_sym_subroutine_call_token1] = ACTIONS(5592),
    [aux_sym_keyword_statement_token2] = ACTIONS(5592),
    [aux_sym_keyword_statement_token3] = ACTIONS(5592),
    [aux_sym_keyword_statement_token4] = ACTIONS(5592),
    [aux_sym_include_statement_token1] = ACTIONS(5592),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5592),
    [aux_sym_end_if_statement_token1] = ACTIONS(5592),
    [aux_sym_elseif_clause_token2] = ACTIONS(5592),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5592),
    [aux_sym_select_case_statement_token1] = ACTIONS(5592),
    [aux_sym_format_statement_token1] = ACTIONS(5592),
    [aux_sym_print_statement_token1] = ACTIONS(5592),
    [aux_sym_open_statement_token1] = ACTIONS(5592),
    [aux_sym_inquire_statement_token1] = ACTIONS(5592),
    [aux_sym_enum_statement_token1] = ACTIONS(5592),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5592),
    [aux_sym_entry_statement_token1] = ACTIONS(5592),
    [aux_sym_logical_expression_token5] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [aux_sym_boolean_literal_token1] = ACTIONS(5596),
    [aux_sym_boolean_literal_token2] = ACTIONS(5596),
    [aux_sym_null_literal_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_statement_token2] = ACTIONS(5592),
    [aux_sym_coarray_statement_token6] = ACTIONS(5592),
    [aux_sym_coarray_statement_token8] = ACTIONS(5592),
    [aux_sym_coarray_statement_token11] = ACTIONS(5592),
    [aux_sym_coarray_statement_token12] = ACTIONS(5592),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5592),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5592),
    [aux_sym_identifier_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5596),
    [sym__float_literal] = ACTIONS(5596),
    [sym__boz_literal] = ACTIONS(5596),
    [sym__string_literal] = ACTIONS(5596),
    [sym__string_literal_kind] = ACTIONS(5596),
  },
  [2244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_module_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [aux_sym_end_module_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_contains_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [2246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [aux_sym_end_module_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_contains_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [2247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [2250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_contains_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [2252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6609),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_interface_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_block_data_statement_token2] = ACTIONS(5556),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_language_binding_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token1] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_namelist_statement_token1] = ACTIONS(5556),
    [aux_sym_common_statement_token1] = ACTIONS(5556),
    [aux_sym_import_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token1] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token4] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token1] = ACTIONS(5556),
    [aux_sym_declared_type_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_enum_statement_token1] = ACTIONS(5556),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [aux_sym_end_module_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_contains_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [2254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [aux_sym_end_module_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_contains_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [2256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [2257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [aux_sym_end_module_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_contains_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [2258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [aux_sym_end_module_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_contains_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [2259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [sym_preproc_comment] = ACTIONS(6611),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_contains_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [2261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_module_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_module_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_module_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [aux_sym_end_module_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_contains_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [2265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [sym_preproc_comment] = ACTIONS(6613),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_interface_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_block_data_statement_token2] = ACTIONS(5564),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5564),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5564),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5564),
    [aux_sym_language_binding_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5564),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5564),
    [aux_sym_use_statement_token1] = ACTIONS(5564),
    [aux_sym_use_statement_token2] = ACTIONS(5564),
    [aux_sym_implicit_statement_token1] = ACTIONS(5564),
    [aux_sym_implicit_statement_token3] = ACTIONS(5564),
    [aux_sym_implicit_statement_token4] = ACTIONS(5564),
    [aux_sym_save_statement_token1] = ACTIONS(5564),
    [aux_sym_private_statement_token1] = ACTIONS(5564),
    [aux_sym_public_statement_token1] = ACTIONS(5564),
    [aux_sym_namelist_statement_token1] = ACTIONS(5564),
    [aux_sym_common_statement_token1] = ACTIONS(5564),
    [aux_sym_import_statement_token1] = ACTIONS(5564),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5564),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5564),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5564),
    [aux_sym_variable_attributes_token1] = ACTIONS(5564),
    [aux_sym_variable_attributes_token2] = ACTIONS(5564),
    [aux_sym_variable_attributes_token3] = ACTIONS(5564),
    [aux_sym_variable_attributes_token4] = ACTIONS(5564),
    [aux_sym_variable_attributes_token5] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5564),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5564),
    [aux_sym_derived_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token1] = ACTIONS(5564),
    [aux_sym_declared_type_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5564),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5564),
    [aux_sym_type_qualifier_token1] = ACTIONS(5564),
    [aux_sym_type_qualifier_token2] = ACTIONS(5564),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(5564),
    [aux_sym_stop_statement_token2] = ACTIONS(5564),
    [aux_sym_subroutine_call_token1] = ACTIONS(5564),
    [aux_sym_keyword_statement_token2] = ACTIONS(5564),
    [aux_sym_keyword_statement_token3] = ACTIONS(5564),
    [aux_sym_keyword_statement_token4] = ACTIONS(5564),
    [aux_sym_include_statement_token1] = ACTIONS(5564),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5564),
    [aux_sym_end_if_statement_token1] = ACTIONS(5564),
    [aux_sym_elseif_clause_token2] = ACTIONS(5564),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5564),
    [aux_sym_select_case_statement_token1] = ACTIONS(5564),
    [aux_sym_format_statement_token1] = ACTIONS(5564),
    [aux_sym_print_statement_token1] = ACTIONS(5564),
    [aux_sym_open_statement_token1] = ACTIONS(5564),
    [aux_sym_inquire_statement_token1] = ACTIONS(5564),
    [aux_sym_enum_statement_token1] = ACTIONS(5564),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5564),
    [aux_sym_entry_statement_token1] = ACTIONS(5564),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_statement_token2] = ACTIONS(5564),
    [aux_sym_coarray_statement_token6] = ACTIONS(5564),
    [aux_sym_coarray_statement_token8] = ACTIONS(5564),
    [aux_sym_coarray_statement_token11] = ACTIONS(5564),
    [aux_sym_coarray_statement_token12] = ACTIONS(5564),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5564),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5564),
    [aux_sym_identifier_token1] = ACTIONS(5564),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_module_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [sym_preproc_comment] = ACTIONS(6615),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [2269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6427),
    [aux_sym_preproc_def_token1] = ACTIONS(6427),
    [aux_sym_preproc_if_token1] = ACTIONS(6427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6427),
    [sym_preproc_directive] = ACTIONS(6427),
    [anon_sym_LPAREN2] = ACTIONS(6427),
    [sym_preproc_comment] = ACTIONS(6617),
    [anon_sym_PLUS] = ACTIONS(6431),
    [anon_sym_DASH] = ACTIONS(6431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6427),
    [anon_sym_SEMI] = ACTIONS(6431),
    [aux_sym_interface_statement_token1] = ACTIONS(6427),
    [aux_sym_block_data_statement_token1] = ACTIONS(6427),
    [aux_sym_block_data_statement_token2] = ACTIONS(6427),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6427),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6427),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6427),
    [aux_sym_language_binding_token1] = ACTIONS(6427),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6427),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6427),
    [aux_sym_use_statement_token1] = ACTIONS(6427),
    [aux_sym_use_statement_token2] = ACTIONS(6427),
    [aux_sym_implicit_statement_token1] = ACTIONS(6427),
    [aux_sym_implicit_statement_token3] = ACTIONS(6427),
    [aux_sym_implicit_statement_token4] = ACTIONS(6427),
    [aux_sym_save_statement_token1] = ACTIONS(6427),
    [aux_sym_private_statement_token1] = ACTIONS(6427),
    [aux_sym_public_statement_token1] = ACTIONS(6427),
    [aux_sym_namelist_statement_token1] = ACTIONS(6427),
    [aux_sym_common_statement_token1] = ACTIONS(6427),
    [aux_sym_import_statement_token1] = ACTIONS(6427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6427),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6427),
    [aux_sym_variable_attributes_token1] = ACTIONS(6427),
    [aux_sym_variable_attributes_token2] = ACTIONS(6427),
    [aux_sym_variable_attributes_token3] = ACTIONS(6427),
    [aux_sym_variable_attributes_token4] = ACTIONS(6427),
    [aux_sym_variable_attributes_token5] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6427),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6427),
    [aux_sym_derived_type_token1] = ACTIONS(6427),
    [aux_sym_declared_type_token1] = ACTIONS(6427),
    [aux_sym_declared_type_token2] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6427),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6427),
    [aux_sym_type_qualifier_token1] = ACTIONS(6427),
    [aux_sym_type_qualifier_token2] = ACTIONS(6427),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6427),
    [aux_sym_stop_statement_token1] = ACTIONS(6427),
    [aux_sym_stop_statement_token2] = ACTIONS(6427),
    [aux_sym_subroutine_call_token1] = ACTIONS(6427),
    [aux_sym_keyword_statement_token2] = ACTIONS(6427),
    [aux_sym_keyword_statement_token3] = ACTIONS(6427),
    [aux_sym_keyword_statement_token4] = ACTIONS(6427),
    [aux_sym_include_statement_token1] = ACTIONS(6427),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6427),
    [aux_sym_end_if_statement_token1] = ACTIONS(6427),
    [aux_sym_elseif_clause_token2] = ACTIONS(6427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6427),
    [aux_sym_select_case_statement_token1] = ACTIONS(6427),
    [aux_sym_format_statement_token1] = ACTIONS(6427),
    [aux_sym_print_statement_token1] = ACTIONS(6427),
    [aux_sym_open_statement_token1] = ACTIONS(6427),
    [aux_sym_inquire_statement_token1] = ACTIONS(6427),
    [aux_sym_enum_statement_token1] = ACTIONS(6427),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6427),
    [aux_sym_entry_statement_token1] = ACTIONS(6427),
    [aux_sym_logical_expression_token5] = ACTIONS(6431),
    [anon_sym_DOT] = ACTIONS(6427),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6431),
    [anon_sym_LBRACK] = ACTIONS(6431),
    [aux_sym_boolean_literal_token1] = ACTIONS(6431),
    [aux_sym_boolean_literal_token2] = ACTIONS(6431),
    [aux_sym_null_literal_token1] = ACTIONS(6427),
    [aux_sym_coarray_statement_token1] = ACTIONS(6427),
    [aux_sym_coarray_statement_token2] = ACTIONS(6427),
    [aux_sym_coarray_statement_token6] = ACTIONS(6427),
    [aux_sym_coarray_statement_token8] = ACTIONS(6427),
    [aux_sym_coarray_statement_token11] = ACTIONS(6427),
    [aux_sym_coarray_statement_token12] = ACTIONS(6427),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6427),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6427),
    [aux_sym_identifier_token1] = ACTIONS(6427),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6431),
    [sym__float_literal] = ACTIONS(6431),
    [sym__boz_literal] = ACTIONS(6431),
    [sym__string_literal] = ACTIONS(6431),
    [sym__string_literal_kind] = ACTIONS(6431),
  },
  [2270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6619),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_contains_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6527),
    [aux_sym_preproc_def_token1] = ACTIONS(6527),
    [aux_sym_preproc_if_token1] = ACTIONS(6527),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6527),
    [sym_preproc_directive] = ACTIONS(6527),
    [anon_sym_LPAREN2] = ACTIONS(6527),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6527),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6527),
    [anon_sym_SEMI] = ACTIONS(6529),
    [aux_sym_interface_statement_token1] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6527),
    [aux_sym_block_data_statement_token2] = ACTIONS(6527),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6527),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6527),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6527),
    [aux_sym_language_binding_token1] = ACTIONS(6527),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6527),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6527),
    [aux_sym_contains_statement_token1] = ACTIONS(6527),
    [aux_sym_use_statement_token1] = ACTIONS(6527),
    [aux_sym_use_statement_token2] = ACTIONS(6527),
    [aux_sym_implicit_statement_token1] = ACTIONS(6527),
    [aux_sym_implicit_statement_token3] = ACTIONS(6527),
    [aux_sym_implicit_statement_token4] = ACTIONS(6527),
    [aux_sym_save_statement_token1] = ACTIONS(6527),
    [aux_sym_private_statement_token1] = ACTIONS(6527),
    [aux_sym_public_statement_token1] = ACTIONS(6527),
    [aux_sym_namelist_statement_token1] = ACTIONS(6527),
    [aux_sym_common_statement_token1] = ACTIONS(6527),
    [aux_sym_import_statement_token1] = ACTIONS(6527),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6527),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6527),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6527),
    [aux_sym_variable_attributes_token1] = ACTIONS(6527),
    [aux_sym_variable_attributes_token2] = ACTIONS(6527),
    [aux_sym_variable_attributes_token3] = ACTIONS(6527),
    [aux_sym_variable_attributes_token4] = ACTIONS(6527),
    [aux_sym_variable_attributes_token5] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6527),
    [aux_sym_derived_type_token1] = ACTIONS(6527),
    [aux_sym_declared_type_token1] = ACTIONS(6527),
    [aux_sym_declared_type_token2] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6527),
    [aux_sym_type_qualifier_token1] = ACTIONS(6527),
    [aux_sym_type_qualifier_token2] = ACTIONS(6527),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6527),
    [aux_sym_stop_statement_token1] = ACTIONS(6527),
    [aux_sym_stop_statement_token2] = ACTIONS(6527),
    [aux_sym_subroutine_call_token1] = ACTIONS(6527),
    [aux_sym_keyword_statement_token2] = ACTIONS(6527),
    [aux_sym_keyword_statement_token3] = ACTIONS(6527),
    [aux_sym_keyword_statement_token4] = ACTIONS(6527),
    [aux_sym_include_statement_token1] = ACTIONS(6527),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6527),
    [aux_sym_end_if_statement_token1] = ACTIONS(6527),
    [aux_sym_elseif_clause_token2] = ACTIONS(6527),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6527),
    [aux_sym_select_case_statement_token1] = ACTIONS(6527),
    [aux_sym_format_statement_token1] = ACTIONS(6527),
    [aux_sym_print_statement_token1] = ACTIONS(6527),
    [aux_sym_open_statement_token1] = ACTIONS(6527),
    [aux_sym_inquire_statement_token1] = ACTIONS(6527),
    [aux_sym_enum_statement_token1] = ACTIONS(6527),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6527),
    [aux_sym_entry_statement_token1] = ACTIONS(6527),
    [aux_sym_logical_expression_token5] = ACTIONS(6529),
    [anon_sym_DOT] = ACTIONS(6527),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6529),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [aux_sym_boolean_literal_token1] = ACTIONS(6529),
    [aux_sym_boolean_literal_token2] = ACTIONS(6529),
    [aux_sym_null_literal_token1] = ACTIONS(6527),
    [aux_sym_coarray_statement_token1] = ACTIONS(6527),
    [aux_sym_coarray_statement_token2] = ACTIONS(6527),
    [aux_sym_coarray_statement_token6] = ACTIONS(6527),
    [aux_sym_coarray_statement_token8] = ACTIONS(6527),
    [aux_sym_coarray_statement_token11] = ACTIONS(6527),
    [aux_sym_coarray_statement_token12] = ACTIONS(6527),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6527),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6527),
    [aux_sym_identifier_token1] = ACTIONS(6527),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6529),
    [sym__float_literal] = ACTIONS(6529),
    [sym__boz_literal] = ACTIONS(6529),
    [sym__string_literal] = ACTIONS(6529),
    [sym__string_literal_kind] = ACTIONS(6529),
  },
  [2274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6363),
    [aux_sym_preproc_def_token1] = ACTIONS(6363),
    [aux_sym_preproc_if_token1] = ACTIONS(6363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6363),
    [sym_preproc_directive] = ACTIONS(6363),
    [anon_sym_LPAREN2] = ACTIONS(6363),
    [sym_preproc_comment] = ACTIONS(6621),
    [anon_sym_PLUS] = ACTIONS(6367),
    [anon_sym_DASH] = ACTIONS(6367),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6363),
    [anon_sym_SEMI] = ACTIONS(6367),
    [aux_sym_interface_statement_token1] = ACTIONS(6363),
    [aux_sym_block_data_statement_token1] = ACTIONS(6363),
    [aux_sym_block_data_statement_token2] = ACTIONS(6363),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6363),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6363),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6363),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6363),
    [aux_sym_language_binding_token1] = ACTIONS(6363),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6363),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6363),
    [aux_sym_use_statement_token1] = ACTIONS(6363),
    [aux_sym_use_statement_token2] = ACTIONS(6363),
    [aux_sym_implicit_statement_token1] = ACTIONS(6363),
    [aux_sym_implicit_statement_token3] = ACTIONS(6363),
    [aux_sym_implicit_statement_token4] = ACTIONS(6363),
    [aux_sym_save_statement_token1] = ACTIONS(6363),
    [aux_sym_private_statement_token1] = ACTIONS(6363),
    [aux_sym_public_statement_token1] = ACTIONS(6363),
    [aux_sym_namelist_statement_token1] = ACTIONS(6363),
    [aux_sym_common_statement_token1] = ACTIONS(6363),
    [aux_sym_import_statement_token1] = ACTIONS(6363),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6363),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6363),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6363),
    [aux_sym_variable_attributes_token1] = ACTIONS(6363),
    [aux_sym_variable_attributes_token2] = ACTIONS(6363),
    [aux_sym_variable_attributes_token3] = ACTIONS(6363),
    [aux_sym_variable_attributes_token4] = ACTIONS(6363),
    [aux_sym_variable_attributes_token5] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6363),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6363),
    [aux_sym_derived_type_token1] = ACTIONS(6363),
    [aux_sym_declared_type_token1] = ACTIONS(6363),
    [aux_sym_declared_type_token2] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6363),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6363),
    [aux_sym_type_qualifier_token1] = ACTIONS(6363),
    [aux_sym_type_qualifier_token2] = ACTIONS(6363),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6363),
    [aux_sym_stop_statement_token1] = ACTIONS(6363),
    [aux_sym_stop_statement_token2] = ACTIONS(6363),
    [aux_sym_subroutine_call_token1] = ACTIONS(6363),
    [aux_sym_keyword_statement_token2] = ACTIONS(6363),
    [aux_sym_keyword_statement_token3] = ACTIONS(6363),
    [aux_sym_keyword_statement_token4] = ACTIONS(6363),
    [aux_sym_include_statement_token1] = ACTIONS(6363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6363),
    [aux_sym_end_if_statement_token1] = ACTIONS(6363),
    [aux_sym_elseif_clause_token2] = ACTIONS(6363),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6363),
    [aux_sym_select_case_statement_token1] = ACTIONS(6363),
    [aux_sym_format_statement_token1] = ACTIONS(6363),
    [aux_sym_print_statement_token1] = ACTIONS(6363),
    [aux_sym_open_statement_token1] = ACTIONS(6363),
    [aux_sym_inquire_statement_token1] = ACTIONS(6363),
    [aux_sym_enum_statement_token1] = ACTIONS(6363),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6363),
    [aux_sym_entry_statement_token1] = ACTIONS(6363),
    [aux_sym_logical_expression_token5] = ACTIONS(6367),
    [anon_sym_DOT] = ACTIONS(6363),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6367),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [aux_sym_boolean_literal_token1] = ACTIONS(6367),
    [aux_sym_boolean_literal_token2] = ACTIONS(6367),
    [aux_sym_null_literal_token1] = ACTIONS(6363),
    [aux_sym_coarray_statement_token1] = ACTIONS(6363),
    [aux_sym_coarray_statement_token2] = ACTIONS(6363),
    [aux_sym_coarray_statement_token6] = ACTIONS(6363),
    [aux_sym_coarray_statement_token8] = ACTIONS(6363),
    [aux_sym_coarray_statement_token11] = ACTIONS(6363),
    [aux_sym_coarray_statement_token12] = ACTIONS(6363),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6363),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6363),
    [aux_sym_identifier_token1] = ACTIONS(6363),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6367),
    [sym__float_literal] = ACTIONS(6367),
    [sym__boz_literal] = ACTIONS(6367),
    [sym__string_literal] = ACTIONS(6367),
    [sym__string_literal_kind] = ACTIONS(6367),
  },
  [2275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6421),
    [aux_sym_preproc_def_token1] = ACTIONS(6421),
    [aux_sym_preproc_if_token1] = ACTIONS(6421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6421),
    [sym_preproc_directive] = ACTIONS(6421),
    [anon_sym_LPAREN2] = ACTIONS(6421),
    [sym_preproc_comment] = ACTIONS(6623),
    [anon_sym_PLUS] = ACTIONS(6425),
    [anon_sym_DASH] = ACTIONS(6425),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6421),
    [anon_sym_SEMI] = ACTIONS(6425),
    [aux_sym_interface_statement_token1] = ACTIONS(6421),
    [aux_sym_block_data_statement_token1] = ACTIONS(6421),
    [aux_sym_block_data_statement_token2] = ACTIONS(6421),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6421),
    [aux_sym_language_binding_token1] = ACTIONS(6421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6421),
    [aux_sym_use_statement_token1] = ACTIONS(6421),
    [aux_sym_use_statement_token2] = ACTIONS(6421),
    [aux_sym_implicit_statement_token1] = ACTIONS(6421),
    [aux_sym_implicit_statement_token3] = ACTIONS(6421),
    [aux_sym_implicit_statement_token4] = ACTIONS(6421),
    [aux_sym_save_statement_token1] = ACTIONS(6421),
    [aux_sym_private_statement_token1] = ACTIONS(6421),
    [aux_sym_public_statement_token1] = ACTIONS(6421),
    [aux_sym_namelist_statement_token1] = ACTIONS(6421),
    [aux_sym_common_statement_token1] = ACTIONS(6421),
    [aux_sym_import_statement_token1] = ACTIONS(6421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6421),
    [aux_sym_variable_attributes_token1] = ACTIONS(6421),
    [aux_sym_variable_attributes_token2] = ACTIONS(6421),
    [aux_sym_variable_attributes_token3] = ACTIONS(6421),
    [aux_sym_variable_attributes_token4] = ACTIONS(6421),
    [aux_sym_variable_attributes_token5] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6421),
    [aux_sym_derived_type_token1] = ACTIONS(6421),
    [aux_sym_declared_type_token1] = ACTIONS(6421),
    [aux_sym_declared_type_token2] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6421),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6421),
    [aux_sym_type_qualifier_token1] = ACTIONS(6421),
    [aux_sym_type_qualifier_token2] = ACTIONS(6421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6421),
    [aux_sym_stop_statement_token1] = ACTIONS(6421),
    [aux_sym_stop_statement_token2] = ACTIONS(6421),
    [aux_sym_subroutine_call_token1] = ACTIONS(6421),
    [aux_sym_keyword_statement_token2] = ACTIONS(6421),
    [aux_sym_keyword_statement_token3] = ACTIONS(6421),
    [aux_sym_keyword_statement_token4] = ACTIONS(6421),
    [aux_sym_include_statement_token1] = ACTIONS(6421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6421),
    [aux_sym_end_if_statement_token1] = ACTIONS(6421),
    [aux_sym_elseif_clause_token2] = ACTIONS(6421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6421),
    [aux_sym_select_case_statement_token1] = ACTIONS(6421),
    [aux_sym_format_statement_token1] = ACTIONS(6421),
    [aux_sym_print_statement_token1] = ACTIONS(6421),
    [aux_sym_open_statement_token1] = ACTIONS(6421),
    [aux_sym_inquire_statement_token1] = ACTIONS(6421),
    [aux_sym_enum_statement_token1] = ACTIONS(6421),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6421),
    [aux_sym_entry_statement_token1] = ACTIONS(6421),
    [aux_sym_logical_expression_token5] = ACTIONS(6425),
    [anon_sym_DOT] = ACTIONS(6421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6425),
    [anon_sym_LBRACK] = ACTIONS(6425),
    [aux_sym_boolean_literal_token1] = ACTIONS(6425),
    [aux_sym_boolean_literal_token2] = ACTIONS(6425),
    [aux_sym_null_literal_token1] = ACTIONS(6421),
    [aux_sym_coarray_statement_token1] = ACTIONS(6421),
    [aux_sym_coarray_statement_token2] = ACTIONS(6421),
    [aux_sym_coarray_statement_token6] = ACTIONS(6421),
    [aux_sym_coarray_statement_token8] = ACTIONS(6421),
    [aux_sym_coarray_statement_token11] = ACTIONS(6421),
    [aux_sym_coarray_statement_token12] = ACTIONS(6421),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6421),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6421),
    [aux_sym_identifier_token1] = ACTIONS(6421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6425),
    [sym__float_literal] = ACTIONS(6425),
    [sym__boz_literal] = ACTIONS(6425),
    [sym__string_literal] = ACTIONS(6425),
    [sym__string_literal_kind] = ACTIONS(6425),
  },
  [2276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [2277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [aux_sym_end_module_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_contains_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [2278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_contains_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [2279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [aux_sym_end_module_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_contains_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [2281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [sym_preproc_comment] = ACTIONS(6625),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5578),
    [sym_preproc_comment] = ACTIONS(6627),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5582),
    [aux_sym_interface_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_block_data_statement_token2] = ACTIONS(5578),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5578),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5578),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5578),
    [aux_sym_language_binding_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5578),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5578),
    [aux_sym_use_statement_token1] = ACTIONS(5578),
    [aux_sym_use_statement_token2] = ACTIONS(5578),
    [aux_sym_implicit_statement_token1] = ACTIONS(5578),
    [aux_sym_implicit_statement_token3] = ACTIONS(5578),
    [aux_sym_implicit_statement_token4] = ACTIONS(5578),
    [aux_sym_save_statement_token1] = ACTIONS(5578),
    [aux_sym_private_statement_token1] = ACTIONS(5578),
    [aux_sym_public_statement_token1] = ACTIONS(5578),
    [aux_sym_namelist_statement_token1] = ACTIONS(5578),
    [aux_sym_common_statement_token1] = ACTIONS(5578),
    [aux_sym_import_statement_token1] = ACTIONS(5578),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5578),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5578),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5578),
    [aux_sym_variable_attributes_token1] = ACTIONS(5578),
    [aux_sym_variable_attributes_token2] = ACTIONS(5578),
    [aux_sym_variable_attributes_token3] = ACTIONS(5578),
    [aux_sym_variable_attributes_token4] = ACTIONS(5578),
    [aux_sym_variable_attributes_token5] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5578),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5578),
    [aux_sym_derived_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token1] = ACTIONS(5578),
    [aux_sym_declared_type_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5578),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5578),
    [aux_sym_type_qualifier_token1] = ACTIONS(5578),
    [aux_sym_type_qualifier_token2] = ACTIONS(5578),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token1] = ACTIONS(5578),
    [aux_sym_stop_statement_token2] = ACTIONS(5578),
    [aux_sym_subroutine_call_token1] = ACTIONS(5578),
    [aux_sym_keyword_statement_token2] = ACTIONS(5578),
    [aux_sym_keyword_statement_token3] = ACTIONS(5578),
    [aux_sym_keyword_statement_token4] = ACTIONS(5578),
    [aux_sym_include_statement_token1] = ACTIONS(5578),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5578),
    [aux_sym_end_if_statement_token1] = ACTIONS(5578),
    [aux_sym_elseif_clause_token2] = ACTIONS(5578),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5578),
    [aux_sym_select_case_statement_token1] = ACTIONS(5578),
    [aux_sym_format_statement_token1] = ACTIONS(5578),
    [aux_sym_print_statement_token1] = ACTIONS(5578),
    [aux_sym_open_statement_token1] = ACTIONS(5578),
    [aux_sym_inquire_statement_token1] = ACTIONS(5578),
    [aux_sym_enum_statement_token1] = ACTIONS(5578),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5578),
    [aux_sym_entry_statement_token1] = ACTIONS(5578),
    [aux_sym_logical_expression_token5] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5582),
    [aux_sym_boolean_literal_token1] = ACTIONS(5582),
    [aux_sym_boolean_literal_token2] = ACTIONS(5582),
    [aux_sym_null_literal_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_statement_token2] = ACTIONS(5578),
    [aux_sym_coarray_statement_token6] = ACTIONS(5578),
    [aux_sym_coarray_statement_token8] = ACTIONS(5578),
    [aux_sym_coarray_statement_token11] = ACTIONS(5578),
    [aux_sym_coarray_statement_token12] = ACTIONS(5578),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5578),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5578),
    [aux_sym_identifier_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5582),
    [sym__float_literal] = ACTIONS(5582),
    [sym__boz_literal] = ACTIONS(5582),
    [sym__string_literal] = ACTIONS(5582),
    [sym__string_literal_kind] = ACTIONS(5582),
  },
  [2283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [aux_sym_end_module_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_contains_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [2284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_module_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [sym_preproc_comment] = ACTIONS(6629),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [2287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6541),
    [aux_sym_preproc_def_token1] = ACTIONS(6541),
    [aux_sym_preproc_if_token1] = ACTIONS(6541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6541),
    [sym_preproc_directive] = ACTIONS(6541),
    [anon_sym_LPAREN2] = ACTIONS(6541),
    [anon_sym_PLUS] = ACTIONS(6543),
    [anon_sym_DASH] = ACTIONS(6543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6541),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6541),
    [anon_sym_SEMI] = ACTIONS(6543),
    [aux_sym_interface_statement_token1] = ACTIONS(6541),
    [aux_sym_block_data_statement_token1] = ACTIONS(6541),
    [aux_sym_block_data_statement_token2] = ACTIONS(6541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6541),
    [aux_sym_language_binding_token1] = ACTIONS(6541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6541),
    [aux_sym_contains_statement_token1] = ACTIONS(6541),
    [aux_sym_use_statement_token1] = ACTIONS(6541),
    [aux_sym_use_statement_token2] = ACTIONS(6541),
    [aux_sym_implicit_statement_token1] = ACTIONS(6541),
    [aux_sym_implicit_statement_token3] = ACTIONS(6541),
    [aux_sym_implicit_statement_token4] = ACTIONS(6541),
    [aux_sym_save_statement_token1] = ACTIONS(6541),
    [aux_sym_private_statement_token1] = ACTIONS(6541),
    [aux_sym_public_statement_token1] = ACTIONS(6541),
    [aux_sym_namelist_statement_token1] = ACTIONS(6541),
    [aux_sym_common_statement_token1] = ACTIONS(6541),
    [aux_sym_import_statement_token1] = ACTIONS(6541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6541),
    [aux_sym_variable_attributes_token1] = ACTIONS(6541),
    [aux_sym_variable_attributes_token2] = ACTIONS(6541),
    [aux_sym_variable_attributes_token3] = ACTIONS(6541),
    [aux_sym_variable_attributes_token4] = ACTIONS(6541),
    [aux_sym_variable_attributes_token5] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6541),
    [aux_sym_derived_type_token1] = ACTIONS(6541),
    [aux_sym_declared_type_token1] = ACTIONS(6541),
    [aux_sym_declared_type_token2] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6541),
    [aux_sym_type_qualifier_token1] = ACTIONS(6541),
    [aux_sym_type_qualifier_token2] = ACTIONS(6541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6541),
    [aux_sym_stop_statement_token1] = ACTIONS(6541),
    [aux_sym_stop_statement_token2] = ACTIONS(6541),
    [aux_sym_subroutine_call_token1] = ACTIONS(6541),
    [aux_sym_keyword_statement_token2] = ACTIONS(6541),
    [aux_sym_keyword_statement_token3] = ACTIONS(6541),
    [aux_sym_keyword_statement_token4] = ACTIONS(6541),
    [aux_sym_include_statement_token1] = ACTIONS(6541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6541),
    [aux_sym_end_if_statement_token1] = ACTIONS(6541),
    [aux_sym_elseif_clause_token2] = ACTIONS(6541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6541),
    [aux_sym_select_case_statement_token1] = ACTIONS(6541),
    [aux_sym_format_statement_token1] = ACTIONS(6541),
    [aux_sym_print_statement_token1] = ACTIONS(6541),
    [aux_sym_open_statement_token1] = ACTIONS(6541),
    [aux_sym_inquire_statement_token1] = ACTIONS(6541),
    [aux_sym_enum_statement_token1] = ACTIONS(6541),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6541),
    [aux_sym_entry_statement_token1] = ACTIONS(6541),
    [aux_sym_logical_expression_token5] = ACTIONS(6543),
    [anon_sym_DOT] = ACTIONS(6541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6543),
    [anon_sym_LBRACK] = ACTIONS(6543),
    [aux_sym_boolean_literal_token1] = ACTIONS(6543),
    [aux_sym_boolean_literal_token2] = ACTIONS(6543),
    [aux_sym_null_literal_token1] = ACTIONS(6541),
    [aux_sym_coarray_statement_token1] = ACTIONS(6541),
    [aux_sym_coarray_statement_token2] = ACTIONS(6541),
    [aux_sym_coarray_statement_token6] = ACTIONS(6541),
    [aux_sym_coarray_statement_token8] = ACTIONS(6541),
    [aux_sym_coarray_statement_token11] = ACTIONS(6541),
    [aux_sym_coarray_statement_token12] = ACTIONS(6541),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6541),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6541),
    [aux_sym_identifier_token1] = ACTIONS(6541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6543),
    [sym__float_literal] = ACTIONS(6543),
    [sym__boz_literal] = ACTIONS(6543),
    [sym__string_literal] = ACTIONS(6543),
    [sym__string_literal_kind] = ACTIONS(6543),
  },
  [2288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_contains_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6545),
    [aux_sym_preproc_def_token1] = ACTIONS(6545),
    [aux_sym_preproc_if_token1] = ACTIONS(6545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6545),
    [sym_preproc_directive] = ACTIONS(6545),
    [anon_sym_LPAREN2] = ACTIONS(6545),
    [anon_sym_PLUS] = ACTIONS(6547),
    [anon_sym_DASH] = ACTIONS(6547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6545),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6545),
    [anon_sym_SEMI] = ACTIONS(6547),
    [aux_sym_interface_statement_token1] = ACTIONS(6545),
    [aux_sym_block_data_statement_token1] = ACTIONS(6545),
    [aux_sym_block_data_statement_token2] = ACTIONS(6545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6545),
    [aux_sym_language_binding_token1] = ACTIONS(6545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6545),
    [aux_sym_contains_statement_token1] = ACTIONS(6545),
    [aux_sym_use_statement_token1] = ACTIONS(6545),
    [aux_sym_use_statement_token2] = ACTIONS(6545),
    [aux_sym_implicit_statement_token1] = ACTIONS(6545),
    [aux_sym_implicit_statement_token3] = ACTIONS(6545),
    [aux_sym_implicit_statement_token4] = ACTIONS(6545),
    [aux_sym_save_statement_token1] = ACTIONS(6545),
    [aux_sym_private_statement_token1] = ACTIONS(6545),
    [aux_sym_public_statement_token1] = ACTIONS(6545),
    [aux_sym_namelist_statement_token1] = ACTIONS(6545),
    [aux_sym_common_statement_token1] = ACTIONS(6545),
    [aux_sym_import_statement_token1] = ACTIONS(6545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6545),
    [aux_sym_variable_attributes_token1] = ACTIONS(6545),
    [aux_sym_variable_attributes_token2] = ACTIONS(6545),
    [aux_sym_variable_attributes_token3] = ACTIONS(6545),
    [aux_sym_variable_attributes_token4] = ACTIONS(6545),
    [aux_sym_variable_attributes_token5] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6545),
    [aux_sym_derived_type_token1] = ACTIONS(6545),
    [aux_sym_declared_type_token1] = ACTIONS(6545),
    [aux_sym_declared_type_token2] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6545),
    [aux_sym_type_qualifier_token1] = ACTIONS(6545),
    [aux_sym_type_qualifier_token2] = ACTIONS(6545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6545),
    [aux_sym_stop_statement_token1] = ACTIONS(6545),
    [aux_sym_stop_statement_token2] = ACTIONS(6545),
    [aux_sym_subroutine_call_token1] = ACTIONS(6545),
    [aux_sym_keyword_statement_token2] = ACTIONS(6545),
    [aux_sym_keyword_statement_token3] = ACTIONS(6545),
    [aux_sym_keyword_statement_token4] = ACTIONS(6545),
    [aux_sym_include_statement_token1] = ACTIONS(6545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6545),
    [aux_sym_end_if_statement_token1] = ACTIONS(6545),
    [aux_sym_elseif_clause_token2] = ACTIONS(6545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6545),
    [aux_sym_select_case_statement_token1] = ACTIONS(6545),
    [aux_sym_format_statement_token1] = ACTIONS(6545),
    [aux_sym_print_statement_token1] = ACTIONS(6545),
    [aux_sym_open_statement_token1] = ACTIONS(6545),
    [aux_sym_inquire_statement_token1] = ACTIONS(6545),
    [aux_sym_enum_statement_token1] = ACTIONS(6545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6545),
    [aux_sym_entry_statement_token1] = ACTIONS(6545),
    [aux_sym_logical_expression_token5] = ACTIONS(6547),
    [anon_sym_DOT] = ACTIONS(6545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6547),
    [aux_sym_boolean_literal_token1] = ACTIONS(6547),
    [aux_sym_boolean_literal_token2] = ACTIONS(6547),
    [aux_sym_null_literal_token1] = ACTIONS(6545),
    [aux_sym_coarray_statement_token1] = ACTIONS(6545),
    [aux_sym_coarray_statement_token2] = ACTIONS(6545),
    [aux_sym_coarray_statement_token6] = ACTIONS(6545),
    [aux_sym_coarray_statement_token8] = ACTIONS(6545),
    [aux_sym_coarray_statement_token11] = ACTIONS(6545),
    [aux_sym_coarray_statement_token12] = ACTIONS(6545),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6545),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6545),
    [aux_sym_identifier_token1] = ACTIONS(6545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6547),
    [sym__float_literal] = ACTIONS(6547),
    [sym__boz_literal] = ACTIONS(6547),
    [sym__string_literal] = ACTIONS(6547),
    [sym__string_literal_kind] = ACTIONS(6547),
  },
  [2290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_contains_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_contains_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [2292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [aux_sym_end_module_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_contains_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [2294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [aux_sym_end_module_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_contains_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6415),
    [aux_sym_preproc_def_token1] = ACTIONS(6415),
    [aux_sym_preproc_if_token1] = ACTIONS(6415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6415),
    [sym_preproc_directive] = ACTIONS(6415),
    [anon_sym_LPAREN2] = ACTIONS(6415),
    [sym_preproc_comment] = ACTIONS(6631),
    [anon_sym_PLUS] = ACTIONS(6419),
    [anon_sym_DASH] = ACTIONS(6419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6415),
    [anon_sym_SEMI] = ACTIONS(6419),
    [aux_sym_interface_statement_token1] = ACTIONS(6415),
    [aux_sym_block_data_statement_token1] = ACTIONS(6415),
    [aux_sym_block_data_statement_token2] = ACTIONS(6415),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6415),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6415),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6415),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6415),
    [aux_sym_language_binding_token1] = ACTIONS(6415),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6415),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6415),
    [aux_sym_use_statement_token1] = ACTIONS(6415),
    [aux_sym_use_statement_token2] = ACTIONS(6415),
    [aux_sym_implicit_statement_token1] = ACTIONS(6415),
    [aux_sym_implicit_statement_token3] = ACTIONS(6415),
    [aux_sym_implicit_statement_token4] = ACTIONS(6415),
    [aux_sym_save_statement_token1] = ACTIONS(6415),
    [aux_sym_private_statement_token1] = ACTIONS(6415),
    [aux_sym_public_statement_token1] = ACTIONS(6415),
    [aux_sym_namelist_statement_token1] = ACTIONS(6415),
    [aux_sym_common_statement_token1] = ACTIONS(6415),
    [aux_sym_import_statement_token1] = ACTIONS(6415),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6415),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6415),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6415),
    [aux_sym_variable_attributes_token1] = ACTIONS(6415),
    [aux_sym_variable_attributes_token2] = ACTIONS(6415),
    [aux_sym_variable_attributes_token3] = ACTIONS(6415),
    [aux_sym_variable_attributes_token4] = ACTIONS(6415),
    [aux_sym_variable_attributes_token5] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6415),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6415),
    [aux_sym_derived_type_token1] = ACTIONS(6415),
    [aux_sym_declared_type_token1] = ACTIONS(6415),
    [aux_sym_declared_type_token2] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6415),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6415),
    [aux_sym_type_qualifier_token1] = ACTIONS(6415),
    [aux_sym_type_qualifier_token2] = ACTIONS(6415),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6415),
    [aux_sym_stop_statement_token1] = ACTIONS(6415),
    [aux_sym_stop_statement_token2] = ACTIONS(6415),
    [aux_sym_subroutine_call_token1] = ACTIONS(6415),
    [aux_sym_keyword_statement_token2] = ACTIONS(6415),
    [aux_sym_keyword_statement_token3] = ACTIONS(6415),
    [aux_sym_keyword_statement_token4] = ACTIONS(6415),
    [aux_sym_include_statement_token1] = ACTIONS(6415),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6415),
    [aux_sym_end_if_statement_token1] = ACTIONS(6415),
    [aux_sym_elseif_clause_token2] = ACTIONS(6415),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6415),
    [aux_sym_select_case_statement_token1] = ACTIONS(6415),
    [aux_sym_format_statement_token1] = ACTIONS(6415),
    [aux_sym_print_statement_token1] = ACTIONS(6415),
    [aux_sym_open_statement_token1] = ACTIONS(6415),
    [aux_sym_inquire_statement_token1] = ACTIONS(6415),
    [aux_sym_enum_statement_token1] = ACTIONS(6415),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6415),
    [aux_sym_entry_statement_token1] = ACTIONS(6415),
    [aux_sym_logical_expression_token5] = ACTIONS(6419),
    [anon_sym_DOT] = ACTIONS(6415),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6419),
    [anon_sym_LBRACK] = ACTIONS(6419),
    [aux_sym_boolean_literal_token1] = ACTIONS(6419),
    [aux_sym_boolean_literal_token2] = ACTIONS(6419),
    [aux_sym_null_literal_token1] = ACTIONS(6415),
    [aux_sym_coarray_statement_token1] = ACTIONS(6415),
    [aux_sym_coarray_statement_token2] = ACTIONS(6415),
    [aux_sym_coarray_statement_token6] = ACTIONS(6415),
    [aux_sym_coarray_statement_token8] = ACTIONS(6415),
    [aux_sym_coarray_statement_token11] = ACTIONS(6415),
    [aux_sym_coarray_statement_token12] = ACTIONS(6415),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6415),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6415),
    [aux_sym_identifier_token1] = ACTIONS(6415),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6419),
    [sym__float_literal] = ACTIONS(6419),
    [sym__boz_literal] = ACTIONS(6419),
    [sym__string_literal] = ACTIONS(6419),
    [sym__string_literal_kind] = ACTIONS(6419),
  },
  [2296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_module_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [aux_sym_end_module_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_contains_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [2298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6569),
    [aux_sym_preproc_def_token1] = ACTIONS(6569),
    [aux_sym_preproc_if_token1] = ACTIONS(6569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6569),
    [sym_preproc_directive] = ACTIONS(6569),
    [anon_sym_LPAREN2] = ACTIONS(6569),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6569),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6569),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_interface_statement_token1] = ACTIONS(6569),
    [aux_sym_block_data_statement_token1] = ACTIONS(6569),
    [aux_sym_block_data_statement_token2] = ACTIONS(6569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6569),
    [aux_sym_language_binding_token1] = ACTIONS(6569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6569),
    [aux_sym_contains_statement_token1] = ACTIONS(6569),
    [aux_sym_use_statement_token1] = ACTIONS(6569),
    [aux_sym_use_statement_token2] = ACTIONS(6569),
    [aux_sym_implicit_statement_token1] = ACTIONS(6569),
    [aux_sym_implicit_statement_token3] = ACTIONS(6569),
    [aux_sym_implicit_statement_token4] = ACTIONS(6569),
    [aux_sym_save_statement_token1] = ACTIONS(6569),
    [aux_sym_private_statement_token1] = ACTIONS(6569),
    [aux_sym_public_statement_token1] = ACTIONS(6569),
    [aux_sym_namelist_statement_token1] = ACTIONS(6569),
    [aux_sym_common_statement_token1] = ACTIONS(6569),
    [aux_sym_import_statement_token1] = ACTIONS(6569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6569),
    [aux_sym_variable_attributes_token1] = ACTIONS(6569),
    [aux_sym_variable_attributes_token2] = ACTIONS(6569),
    [aux_sym_variable_attributes_token3] = ACTIONS(6569),
    [aux_sym_variable_attributes_token4] = ACTIONS(6569),
    [aux_sym_variable_attributes_token5] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6569),
    [aux_sym_derived_type_token1] = ACTIONS(6569),
    [aux_sym_declared_type_token1] = ACTIONS(6569),
    [aux_sym_declared_type_token2] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6569),
    [aux_sym_type_qualifier_token1] = ACTIONS(6569),
    [aux_sym_type_qualifier_token2] = ACTIONS(6569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6569),
    [aux_sym_stop_statement_token1] = ACTIONS(6569),
    [aux_sym_stop_statement_token2] = ACTIONS(6569),
    [aux_sym_subroutine_call_token1] = ACTIONS(6569),
    [aux_sym_keyword_statement_token2] = ACTIONS(6569),
    [aux_sym_keyword_statement_token3] = ACTIONS(6569),
    [aux_sym_keyword_statement_token4] = ACTIONS(6569),
    [aux_sym_include_statement_token1] = ACTIONS(6569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6569),
    [aux_sym_end_if_statement_token1] = ACTIONS(6569),
    [aux_sym_elseif_clause_token2] = ACTIONS(6569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6569),
    [aux_sym_select_case_statement_token1] = ACTIONS(6569),
    [aux_sym_format_statement_token1] = ACTIONS(6569),
    [aux_sym_print_statement_token1] = ACTIONS(6569),
    [aux_sym_open_statement_token1] = ACTIONS(6569),
    [aux_sym_inquire_statement_token1] = ACTIONS(6569),
    [aux_sym_enum_statement_token1] = ACTIONS(6569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6569),
    [aux_sym_entry_statement_token1] = ACTIONS(6569),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6569),
    [aux_sym_coarray_statement_token1] = ACTIONS(6569),
    [aux_sym_coarray_statement_token2] = ACTIONS(6569),
    [aux_sym_coarray_statement_token6] = ACTIONS(6569),
    [aux_sym_coarray_statement_token8] = ACTIONS(6569),
    [aux_sym_coarray_statement_token11] = ACTIONS(6569),
    [aux_sym_coarray_statement_token12] = ACTIONS(6569),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6569),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6569),
    [aux_sym_identifier_token1] = ACTIONS(6569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_contains_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [2302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_contains_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [2303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6573),
    [aux_sym_preproc_def_token1] = ACTIONS(6573),
    [aux_sym_preproc_if_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6573),
    [sym_preproc_directive] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6573),
    [anon_sym_PLUS] = ACTIONS(6575),
    [anon_sym_DASH] = ACTIONS(6575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6573),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6575),
    [aux_sym_interface_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token2] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6573),
    [aux_sym_language_binding_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6573),
    [aux_sym_contains_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token2] = ACTIONS(6573),
    [aux_sym_implicit_statement_token1] = ACTIONS(6573),
    [aux_sym_implicit_statement_token3] = ACTIONS(6573),
    [aux_sym_implicit_statement_token4] = ACTIONS(6573),
    [aux_sym_save_statement_token1] = ACTIONS(6573),
    [aux_sym_private_statement_token1] = ACTIONS(6573),
    [aux_sym_public_statement_token1] = ACTIONS(6573),
    [aux_sym_namelist_statement_token1] = ACTIONS(6573),
    [aux_sym_common_statement_token1] = ACTIONS(6573),
    [aux_sym_import_statement_token1] = ACTIONS(6573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6573),
    [aux_sym_variable_attributes_token1] = ACTIONS(6573),
    [aux_sym_variable_attributes_token2] = ACTIONS(6573),
    [aux_sym_variable_attributes_token3] = ACTIONS(6573),
    [aux_sym_variable_attributes_token4] = ACTIONS(6573),
    [aux_sym_variable_attributes_token5] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6573),
    [aux_sym_derived_type_token1] = ACTIONS(6573),
    [aux_sym_declared_type_token1] = ACTIONS(6573),
    [aux_sym_declared_type_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6573),
    [aux_sym_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token2] = ACTIONS(6573),
    [aux_sym_subroutine_call_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token2] = ACTIONS(6573),
    [aux_sym_keyword_statement_token3] = ACTIONS(6573),
    [aux_sym_keyword_statement_token4] = ACTIONS(6573),
    [aux_sym_include_statement_token1] = ACTIONS(6573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6573),
    [aux_sym_end_if_statement_token1] = ACTIONS(6573),
    [aux_sym_elseif_clause_token2] = ACTIONS(6573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token1] = ACTIONS(6573),
    [aux_sym_format_statement_token1] = ACTIONS(6573),
    [aux_sym_print_statement_token1] = ACTIONS(6573),
    [aux_sym_open_statement_token1] = ACTIONS(6573),
    [aux_sym_inquire_statement_token1] = ACTIONS(6573),
    [aux_sym_enum_statement_token1] = ACTIONS(6573),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6573),
    [aux_sym_entry_statement_token1] = ACTIONS(6573),
    [aux_sym_logical_expression_token5] = ACTIONS(6575),
    [anon_sym_DOT] = ACTIONS(6573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6575),
    [aux_sym_boolean_literal_token1] = ACTIONS(6575),
    [aux_sym_boolean_literal_token2] = ACTIONS(6575),
    [aux_sym_null_literal_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token2] = ACTIONS(6573),
    [aux_sym_coarray_statement_token6] = ACTIONS(6573),
    [aux_sym_coarray_statement_token8] = ACTIONS(6573),
    [aux_sym_coarray_statement_token11] = ACTIONS(6573),
    [aux_sym_coarray_statement_token12] = ACTIONS(6573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6573),
    [aux_sym_identifier_token1] = ACTIONS(6573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6575),
    [sym__float_literal] = ACTIONS(6575),
    [sym__boz_literal] = ACTIONS(6575),
    [sym__string_literal] = ACTIONS(6575),
    [sym__string_literal_kind] = ACTIONS(6575),
  },
  [2304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_contains_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [aux_sym_end_module_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_contains_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [2306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [aux_sym_end_module_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_contains_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [2307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_end_module_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_contains_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [2308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [aux_sym_end_module_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_contains_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [2309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2310] = {
    [sym_assignment] = STATE(7058),
    [sym_operator] = STATE(7058),
    [sym_defined_io_procedure] = STATE(7058),
    [sym__generic_procedure] = STATE(7058),
    [sym_identifier] = STATE(7058),
    [sym__end_of_statement] = STATE(1694),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6633),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6643),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6633),
  },
  [2311] = {
    [sym_assignment] = STATE(6897),
    [sym_operator] = STATE(6897),
    [sym_defined_io_procedure] = STATE(6897),
    [sym__generic_procedure] = STATE(6897),
    [sym_identifier] = STATE(6897),
    [sym__end_of_statement] = STATE(1695),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6645),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6647),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6645),
  },
  [2312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5216),
    [aux_sym_preproc_def_token1] = ACTIONS(5216),
    [aux_sym_preproc_if_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5216),
    [sym_preproc_directive] = ACTIONS(5216),
    [anon_sym_LPAREN2] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [aux_sym_interface_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_block_data_statement_token2] = ACTIONS(5216),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5216),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5216),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5216),
    [aux_sym_language_binding_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5216),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5216),
    [aux_sym_use_statement_token1] = ACTIONS(5216),
    [aux_sym_use_statement_token2] = ACTIONS(5216),
    [aux_sym_implicit_statement_token1] = ACTIONS(5216),
    [aux_sym_implicit_statement_token3] = ACTIONS(5216),
    [aux_sym_implicit_statement_token4] = ACTIONS(5216),
    [aux_sym_save_statement_token1] = ACTIONS(5216),
    [aux_sym_private_statement_token1] = ACTIONS(5216),
    [aux_sym_public_statement_token1] = ACTIONS(5216),
    [aux_sym_namelist_statement_token1] = ACTIONS(5216),
    [aux_sym_common_statement_token1] = ACTIONS(5216),
    [aux_sym_import_statement_token1] = ACTIONS(5216),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5216),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5216),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5216),
    [aux_sym_variable_attributes_token1] = ACTIONS(5216),
    [aux_sym_variable_attributes_token2] = ACTIONS(5216),
    [aux_sym_variable_attributes_token3] = ACTIONS(5216),
    [aux_sym_variable_attributes_token4] = ACTIONS(5216),
    [aux_sym_variable_attributes_token5] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5216),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5216),
    [aux_sym_derived_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token1] = ACTIONS(5216),
    [aux_sym_declared_type_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5216),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5216),
    [aux_sym_type_qualifier_token1] = ACTIONS(5216),
    [aux_sym_type_qualifier_token2] = ACTIONS(5216),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token1] = ACTIONS(5216),
    [aux_sym_stop_statement_token2] = ACTIONS(5216),
    [aux_sym_subroutine_call_token1] = ACTIONS(5216),
    [aux_sym_keyword_statement_token2] = ACTIONS(5216),
    [aux_sym_keyword_statement_token3] = ACTIONS(5216),
    [aux_sym_keyword_statement_token4] = ACTIONS(5216),
    [aux_sym_include_statement_token1] = ACTIONS(5216),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5216),
    [aux_sym_end_if_statement_token1] = ACTIONS(5216),
    [aux_sym_elseif_clause_token2] = ACTIONS(5216),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5216),
    [aux_sym_select_case_statement_token1] = ACTIONS(5216),
    [aux_sym_format_statement_token1] = ACTIONS(5216),
    [aux_sym_print_statement_token1] = ACTIONS(5216),
    [aux_sym_open_statement_token1] = ACTIONS(5216),
    [aux_sym_inquire_statement_token1] = ACTIONS(5216),
    [aux_sym_enum_statement_token1] = ACTIONS(5216),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5216),
    [aux_sym_entry_statement_token1] = ACTIONS(5216),
    [aux_sym_logical_expression_token5] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [aux_sym_boolean_literal_token1] = ACTIONS(5218),
    [aux_sym_boolean_literal_token2] = ACTIONS(5218),
    [aux_sym_null_literal_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_statement_token2] = ACTIONS(5216),
    [aux_sym_coarray_statement_token6] = ACTIONS(5216),
    [aux_sym_coarray_statement_token8] = ACTIONS(5216),
    [aux_sym_coarray_statement_token11] = ACTIONS(5216),
    [aux_sym_coarray_statement_token12] = ACTIONS(5216),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5216),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5216),
    [aux_sym_identifier_token1] = ACTIONS(5216),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5218),
    [sym__float_literal] = ACTIONS(5218),
    [sym__boz_literal] = ACTIONS(5218),
    [sym__string_literal] = ACTIONS(5218),
    [sym__string_literal_kind] = ACTIONS(5218),
  },
  [2313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_interface_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_language_binding_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token1] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_namelist_statement_token1] = ACTIONS(5276),
    [aux_sym_common_statement_token1] = ACTIONS(5276),
    [aux_sym_import_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token1] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token4] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token1] = ACTIONS(5276),
    [aux_sym_declared_type_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_enum_statement_token1] = ACTIONS(5276),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5778),
    [aux_sym_preproc_def_token1] = ACTIONS(5778),
    [aux_sym_preproc_if_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5778),
    [sym_preproc_directive] = ACTIONS(5778),
    [anon_sym_LPAREN2] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [aux_sym_interface_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_block_data_statement_token2] = ACTIONS(5778),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5778),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5778),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5778),
    [aux_sym_language_binding_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5778),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5778),
    [aux_sym_use_statement_token1] = ACTIONS(5778),
    [aux_sym_use_statement_token2] = ACTIONS(5778),
    [aux_sym_implicit_statement_token1] = ACTIONS(5778),
    [aux_sym_implicit_statement_token3] = ACTIONS(5778),
    [aux_sym_implicit_statement_token4] = ACTIONS(5778),
    [aux_sym_save_statement_token1] = ACTIONS(5778),
    [aux_sym_private_statement_token1] = ACTIONS(5778),
    [aux_sym_public_statement_token1] = ACTIONS(5778),
    [aux_sym_namelist_statement_token1] = ACTIONS(5778),
    [aux_sym_common_statement_token1] = ACTIONS(5778),
    [aux_sym_import_statement_token1] = ACTIONS(5778),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5778),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5778),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5778),
    [aux_sym_variable_attributes_token1] = ACTIONS(5778),
    [aux_sym_variable_attributes_token2] = ACTIONS(5778),
    [aux_sym_variable_attributes_token3] = ACTIONS(5778),
    [aux_sym_variable_attributes_token4] = ACTIONS(5778),
    [aux_sym_variable_attributes_token5] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5778),
    [aux_sym_derived_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token1] = ACTIONS(5778),
    [aux_sym_declared_type_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5778),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5778),
    [aux_sym_type_qualifier_token1] = ACTIONS(5778),
    [aux_sym_type_qualifier_token2] = ACTIONS(5778),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5778),
    [aux_sym_stop_statement_token2] = ACTIONS(5778),
    [aux_sym_subroutine_call_token1] = ACTIONS(5778),
    [aux_sym_keyword_statement_token2] = ACTIONS(5778),
    [aux_sym_keyword_statement_token3] = ACTIONS(5778),
    [aux_sym_keyword_statement_token4] = ACTIONS(5778),
    [aux_sym_include_statement_token1] = ACTIONS(5778),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5778),
    [aux_sym_end_if_statement_token1] = ACTIONS(5778),
    [aux_sym_elseif_clause_token2] = ACTIONS(5778),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5778),
    [aux_sym_select_case_statement_token1] = ACTIONS(5778),
    [aux_sym_format_statement_token1] = ACTIONS(5778),
    [aux_sym_print_statement_token1] = ACTIONS(5778),
    [aux_sym_open_statement_token1] = ACTIONS(5778),
    [aux_sym_inquire_statement_token1] = ACTIONS(5778),
    [aux_sym_enum_statement_token1] = ACTIONS(5778),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5778),
    [aux_sym_entry_statement_token1] = ACTIONS(5778),
    [aux_sym_logical_expression_token5] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [aux_sym_boolean_literal_token1] = ACTIONS(5780),
    [aux_sym_boolean_literal_token2] = ACTIONS(5780),
    [aux_sym_null_literal_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_statement_token2] = ACTIONS(5778),
    [aux_sym_coarray_statement_token6] = ACTIONS(5778),
    [aux_sym_coarray_statement_token8] = ACTIONS(5778),
    [aux_sym_coarray_statement_token11] = ACTIONS(5778),
    [aux_sym_coarray_statement_token12] = ACTIONS(5778),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5778),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5778),
    [aux_sym_identifier_token1] = ACTIONS(5778),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5780),
    [sym__float_literal] = ACTIONS(5780),
    [sym__boz_literal] = ACTIONS(5780),
    [sym__string_literal] = ACTIONS(5780),
    [sym__string_literal_kind] = ACTIONS(5780),
  },
  [2315] = {
    [sym_assignment] = STATE(7093),
    [sym_operator] = STATE(7093),
    [sym_defined_io_procedure] = STATE(7093),
    [sym__generic_procedure] = STATE(7093),
    [sym_identifier] = STATE(7093),
    [sym__end_of_statement] = STATE(1958),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6649),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6651),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6649),
  },
  [2316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5700),
    [aux_sym_preproc_def_token1] = ACTIONS(5700),
    [aux_sym_preproc_if_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5700),
    [sym_preproc_directive] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5702),
    [aux_sym_interface_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_block_data_statement_token2] = ACTIONS(5700),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token1] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [aux_sym_implicit_statement_token1] = ACTIONS(5700),
    [aux_sym_implicit_statement_token3] = ACTIONS(5700),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_namelist_statement_token1] = ACTIONS(5700),
    [aux_sym_common_statement_token1] = ACTIONS(5700),
    [aux_sym_import_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5700),
    [aux_sym_derived_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token1] = ACTIONS(5700),
    [aux_sym_declared_type_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_subroutine_call_token1] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_keyword_statement_token4] = ACTIONS(5700),
    [aux_sym_include_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_print_statement_token1] = ACTIONS(5700),
    [aux_sym_open_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_enum_statement_token1] = ACTIONS(5700),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token5] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [aux_sym_boolean_literal_token1] = ACTIONS(5702),
    [aux_sym_boolean_literal_token2] = ACTIONS(5702),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5702),
    [sym__float_literal] = ACTIONS(5702),
    [sym__boz_literal] = ACTIONS(5702),
    [sym__string_literal] = ACTIONS(5702),
    [sym__string_literal_kind] = ACTIONS(5702),
  },
  [2317] = {
    [sym_assignment] = STATE(6963),
    [sym_operator] = STATE(6963),
    [sym_defined_io_procedure] = STATE(6963),
    [sym__generic_procedure] = STATE(6963),
    [sym_identifier] = STATE(6963),
    [sym__end_of_statement] = STATE(1332),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6653),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6655),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6653),
  },
  [2318] = {
    [sym_assignment] = STATE(6972),
    [sym_operator] = STATE(6972),
    [sym_defined_io_procedure] = STATE(6972),
    [sym__generic_procedure] = STATE(6972),
    [sym_identifier] = STATE(6972),
    [sym__end_of_statement] = STATE(1333),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6657),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6659),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6657),
  },
  [2319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6527),
    [aux_sym_preproc_def_token1] = ACTIONS(6527),
    [aux_sym_preproc_if_token1] = ACTIONS(6527),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6527),
    [sym_preproc_directive] = ACTIONS(6527),
    [anon_sym_LPAREN2] = ACTIONS(6527),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6527),
    [anon_sym_SEMI] = ACTIONS(6529),
    [aux_sym_interface_statement_token1] = ACTIONS(6527),
    [aux_sym_block_data_statement_token1] = ACTIONS(6527),
    [aux_sym_block_data_statement_token2] = ACTIONS(6527),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6527),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6527),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6527),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6527),
    [aux_sym_language_binding_token1] = ACTIONS(6527),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6527),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6527),
    [aux_sym_use_statement_token1] = ACTIONS(6527),
    [aux_sym_use_statement_token2] = ACTIONS(6527),
    [aux_sym_implicit_statement_token1] = ACTIONS(6527),
    [aux_sym_implicit_statement_token3] = ACTIONS(6527),
    [aux_sym_implicit_statement_token4] = ACTIONS(6527),
    [aux_sym_save_statement_token1] = ACTIONS(6527),
    [aux_sym_private_statement_token1] = ACTIONS(6527),
    [aux_sym_public_statement_token1] = ACTIONS(6527),
    [aux_sym_namelist_statement_token1] = ACTIONS(6527),
    [aux_sym_common_statement_token1] = ACTIONS(6527),
    [aux_sym_import_statement_token1] = ACTIONS(6527),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6527),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6527),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6527),
    [aux_sym_variable_attributes_token1] = ACTIONS(6527),
    [aux_sym_variable_attributes_token2] = ACTIONS(6527),
    [aux_sym_variable_attributes_token3] = ACTIONS(6527),
    [aux_sym_variable_attributes_token4] = ACTIONS(6527),
    [aux_sym_variable_attributes_token5] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6527),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6527),
    [aux_sym_derived_type_token1] = ACTIONS(6527),
    [aux_sym_declared_type_token1] = ACTIONS(6527),
    [aux_sym_declared_type_token2] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6527),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6527),
    [aux_sym_type_qualifier_token1] = ACTIONS(6527),
    [aux_sym_type_qualifier_token2] = ACTIONS(6527),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6527),
    [aux_sym_stop_statement_token1] = ACTIONS(6527),
    [aux_sym_stop_statement_token2] = ACTIONS(6527),
    [aux_sym_subroutine_call_token1] = ACTIONS(6527),
    [aux_sym_keyword_statement_token2] = ACTIONS(6527),
    [aux_sym_keyword_statement_token3] = ACTIONS(6527),
    [aux_sym_keyword_statement_token4] = ACTIONS(6527),
    [aux_sym_include_statement_token1] = ACTIONS(6527),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6527),
    [aux_sym_end_if_statement_token1] = ACTIONS(6527),
    [aux_sym_elseif_clause_token2] = ACTIONS(6527),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6527),
    [aux_sym_select_case_statement_token1] = ACTIONS(6527),
    [aux_sym_format_statement_token1] = ACTIONS(6527),
    [aux_sym_print_statement_token1] = ACTIONS(6527),
    [aux_sym_open_statement_token1] = ACTIONS(6527),
    [aux_sym_inquire_statement_token1] = ACTIONS(6527),
    [aux_sym_enum_statement_token1] = ACTIONS(6527),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6527),
    [aux_sym_entry_statement_token1] = ACTIONS(6527),
    [aux_sym_logical_expression_token5] = ACTIONS(6529),
    [anon_sym_DOT] = ACTIONS(6527),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6529),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [aux_sym_boolean_literal_token1] = ACTIONS(6529),
    [aux_sym_boolean_literal_token2] = ACTIONS(6529),
    [aux_sym_null_literal_token1] = ACTIONS(6527),
    [aux_sym_coarray_statement_token1] = ACTIONS(6527),
    [aux_sym_coarray_statement_token2] = ACTIONS(6527),
    [aux_sym_coarray_statement_token6] = ACTIONS(6527),
    [aux_sym_coarray_statement_token8] = ACTIONS(6527),
    [aux_sym_coarray_statement_token11] = ACTIONS(6527),
    [aux_sym_coarray_statement_token12] = ACTIONS(6527),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6527),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6527),
    [aux_sym_identifier_token1] = ACTIONS(6527),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6529),
    [sym__float_literal] = ACTIONS(6529),
    [sym__boz_literal] = ACTIONS(6529),
    [sym__string_literal] = ACTIONS(6529),
    [sym__string_literal_kind] = ACTIONS(6529),
  },
  [2321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5704),
    [aux_sym_preproc_def_token1] = ACTIONS(5704),
    [aux_sym_preproc_if_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5704),
    [sym_preproc_directive] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5706),
    [aux_sym_interface_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_block_data_statement_token2] = ACTIONS(5704),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5704),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5704),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5704),
    [aux_sym_language_binding_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5704),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5704),
    [aux_sym_use_statement_token1] = ACTIONS(5704),
    [aux_sym_use_statement_token2] = ACTIONS(5704),
    [aux_sym_implicit_statement_token1] = ACTIONS(5704),
    [aux_sym_implicit_statement_token3] = ACTIONS(5704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5704),
    [aux_sym_save_statement_token1] = ACTIONS(5704),
    [aux_sym_private_statement_token1] = ACTIONS(5704),
    [aux_sym_public_statement_token1] = ACTIONS(5704),
    [aux_sym_namelist_statement_token1] = ACTIONS(5704),
    [aux_sym_common_statement_token1] = ACTIONS(5704),
    [aux_sym_import_statement_token1] = ACTIONS(5704),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5704),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5704),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5704),
    [aux_sym_variable_attributes_token1] = ACTIONS(5704),
    [aux_sym_variable_attributes_token2] = ACTIONS(5704),
    [aux_sym_variable_attributes_token3] = ACTIONS(5704),
    [aux_sym_variable_attributes_token4] = ACTIONS(5704),
    [aux_sym_variable_attributes_token5] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5704),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5704),
    [aux_sym_derived_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token1] = ACTIONS(5704),
    [aux_sym_declared_type_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5704),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5704),
    [aux_sym_type_qualifier_token1] = ACTIONS(5704),
    [aux_sym_type_qualifier_token2] = ACTIONS(5704),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5704),
    [aux_sym_stop_statement_token2] = ACTIONS(5704),
    [aux_sym_subroutine_call_token1] = ACTIONS(5704),
    [aux_sym_keyword_statement_token2] = ACTIONS(5704),
    [aux_sym_keyword_statement_token3] = ACTIONS(5704),
    [aux_sym_keyword_statement_token4] = ACTIONS(5704),
    [aux_sym_include_statement_token1] = ACTIONS(5704),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5704),
    [aux_sym_end_if_statement_token1] = ACTIONS(5704),
    [aux_sym_elseif_clause_token2] = ACTIONS(5704),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5704),
    [aux_sym_select_case_statement_token1] = ACTIONS(5704),
    [aux_sym_format_statement_token1] = ACTIONS(5704),
    [aux_sym_print_statement_token1] = ACTIONS(5704),
    [aux_sym_open_statement_token1] = ACTIONS(5704),
    [aux_sym_inquire_statement_token1] = ACTIONS(5704),
    [aux_sym_enum_statement_token1] = ACTIONS(5704),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5704),
    [aux_sym_entry_statement_token1] = ACTIONS(5704),
    [aux_sym_logical_expression_token5] = ACTIONS(5706),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5706),
    [aux_sym_boolean_literal_token1] = ACTIONS(5706),
    [aux_sym_boolean_literal_token2] = ACTIONS(5706),
    [aux_sym_null_literal_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_statement_token2] = ACTIONS(5704),
    [aux_sym_coarray_statement_token6] = ACTIONS(5704),
    [aux_sym_coarray_statement_token8] = ACTIONS(5704),
    [aux_sym_coarray_statement_token11] = ACTIONS(5704),
    [aux_sym_coarray_statement_token12] = ACTIONS(5704),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5704),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5704),
    [aux_sym_identifier_token1] = ACTIONS(5704),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5706),
    [sym__float_literal] = ACTIONS(5706),
    [sym__boz_literal] = ACTIONS(5706),
    [sym__string_literal] = ACTIONS(5706),
    [sym__string_literal_kind] = ACTIONS(5706),
  },
  [2322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6541),
    [aux_sym_preproc_def_token1] = ACTIONS(6541),
    [aux_sym_preproc_if_token1] = ACTIONS(6541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6541),
    [sym_preproc_directive] = ACTIONS(6541),
    [anon_sym_LPAREN2] = ACTIONS(6541),
    [anon_sym_PLUS] = ACTIONS(6543),
    [anon_sym_DASH] = ACTIONS(6543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6541),
    [anon_sym_SEMI] = ACTIONS(6543),
    [aux_sym_interface_statement_token1] = ACTIONS(6541),
    [aux_sym_block_data_statement_token1] = ACTIONS(6541),
    [aux_sym_block_data_statement_token2] = ACTIONS(6541),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6541),
    [aux_sym_language_binding_token1] = ACTIONS(6541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6541),
    [aux_sym_use_statement_token1] = ACTIONS(6541),
    [aux_sym_use_statement_token2] = ACTIONS(6541),
    [aux_sym_implicit_statement_token1] = ACTIONS(6541),
    [aux_sym_implicit_statement_token3] = ACTIONS(6541),
    [aux_sym_implicit_statement_token4] = ACTIONS(6541),
    [aux_sym_save_statement_token1] = ACTIONS(6541),
    [aux_sym_private_statement_token1] = ACTIONS(6541),
    [aux_sym_public_statement_token1] = ACTIONS(6541),
    [aux_sym_namelist_statement_token1] = ACTIONS(6541),
    [aux_sym_common_statement_token1] = ACTIONS(6541),
    [aux_sym_import_statement_token1] = ACTIONS(6541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6541),
    [aux_sym_variable_attributes_token1] = ACTIONS(6541),
    [aux_sym_variable_attributes_token2] = ACTIONS(6541),
    [aux_sym_variable_attributes_token3] = ACTIONS(6541),
    [aux_sym_variable_attributes_token4] = ACTIONS(6541),
    [aux_sym_variable_attributes_token5] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6541),
    [aux_sym_derived_type_token1] = ACTIONS(6541),
    [aux_sym_declared_type_token1] = ACTIONS(6541),
    [aux_sym_declared_type_token2] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6541),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6541),
    [aux_sym_type_qualifier_token1] = ACTIONS(6541),
    [aux_sym_type_qualifier_token2] = ACTIONS(6541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6541),
    [aux_sym_stop_statement_token1] = ACTIONS(6541),
    [aux_sym_stop_statement_token2] = ACTIONS(6541),
    [aux_sym_subroutine_call_token1] = ACTIONS(6541),
    [aux_sym_keyword_statement_token2] = ACTIONS(6541),
    [aux_sym_keyword_statement_token3] = ACTIONS(6541),
    [aux_sym_keyword_statement_token4] = ACTIONS(6541),
    [aux_sym_include_statement_token1] = ACTIONS(6541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6541),
    [aux_sym_end_if_statement_token1] = ACTIONS(6541),
    [aux_sym_elseif_clause_token2] = ACTIONS(6541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6541),
    [aux_sym_select_case_statement_token1] = ACTIONS(6541),
    [aux_sym_format_statement_token1] = ACTIONS(6541),
    [aux_sym_print_statement_token1] = ACTIONS(6541),
    [aux_sym_open_statement_token1] = ACTIONS(6541),
    [aux_sym_inquire_statement_token1] = ACTIONS(6541),
    [aux_sym_enum_statement_token1] = ACTIONS(6541),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6541),
    [aux_sym_entry_statement_token1] = ACTIONS(6541),
    [aux_sym_logical_expression_token5] = ACTIONS(6543),
    [anon_sym_DOT] = ACTIONS(6541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6543),
    [anon_sym_LBRACK] = ACTIONS(6543),
    [aux_sym_boolean_literal_token1] = ACTIONS(6543),
    [aux_sym_boolean_literal_token2] = ACTIONS(6543),
    [aux_sym_null_literal_token1] = ACTIONS(6541),
    [aux_sym_coarray_statement_token1] = ACTIONS(6541),
    [aux_sym_coarray_statement_token2] = ACTIONS(6541),
    [aux_sym_coarray_statement_token6] = ACTIONS(6541),
    [aux_sym_coarray_statement_token8] = ACTIONS(6541),
    [aux_sym_coarray_statement_token11] = ACTIONS(6541),
    [aux_sym_coarray_statement_token12] = ACTIONS(6541),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6541),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6541),
    [aux_sym_identifier_token1] = ACTIONS(6541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6543),
    [sym__float_literal] = ACTIONS(6543),
    [sym__boz_literal] = ACTIONS(6543),
    [sym__string_literal] = ACTIONS(6543),
    [sym__string_literal_kind] = ACTIONS(6543),
  },
  [2323] = {
    [sym_assignment] = STATE(7040),
    [sym_operator] = STATE(7040),
    [sym_defined_io_procedure] = STATE(7040),
    [sym__generic_procedure] = STATE(7040),
    [sym_identifier] = STATE(7040),
    [sym__end_of_statement] = STATE(1957),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6661),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6663),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6661),
  },
  [2324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_interface_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_block_data_statement_token2] = ACTIONS(5798),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_language_binding_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token1] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_namelist_statement_token1] = ACTIONS(5798),
    [aux_sym_common_statement_token1] = ACTIONS(5798),
    [aux_sym_import_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token1] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token4] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token1] = ACTIONS(5798),
    [aux_sym_declared_type_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_enum_statement_token1] = ACTIONS(5798),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5802),
    [aux_sym_preproc_def_token1] = ACTIONS(5802),
    [aux_sym_preproc_if_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5802),
    [sym_preproc_directive] = ACTIONS(5802),
    [anon_sym_LPAREN2] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_interface_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_block_data_statement_token2] = ACTIONS(5802),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5802),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5802),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5802),
    [aux_sym_language_binding_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5802),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5802),
    [aux_sym_use_statement_token1] = ACTIONS(5802),
    [aux_sym_use_statement_token2] = ACTIONS(5802),
    [aux_sym_implicit_statement_token1] = ACTIONS(5802),
    [aux_sym_implicit_statement_token3] = ACTIONS(5802),
    [aux_sym_implicit_statement_token4] = ACTIONS(5802),
    [aux_sym_save_statement_token1] = ACTIONS(5802),
    [aux_sym_private_statement_token1] = ACTIONS(5802),
    [aux_sym_public_statement_token1] = ACTIONS(5802),
    [aux_sym_namelist_statement_token1] = ACTIONS(5802),
    [aux_sym_common_statement_token1] = ACTIONS(5802),
    [aux_sym_import_statement_token1] = ACTIONS(5802),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5802),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5802),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5802),
    [aux_sym_variable_attributes_token1] = ACTIONS(5802),
    [aux_sym_variable_attributes_token2] = ACTIONS(5802),
    [aux_sym_variable_attributes_token3] = ACTIONS(5802),
    [aux_sym_variable_attributes_token4] = ACTIONS(5802),
    [aux_sym_variable_attributes_token5] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5802),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5802),
    [aux_sym_derived_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token1] = ACTIONS(5802),
    [aux_sym_declared_type_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5802),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5802),
    [aux_sym_type_qualifier_token1] = ACTIONS(5802),
    [aux_sym_type_qualifier_token2] = ACTIONS(5802),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token1] = ACTIONS(5802),
    [aux_sym_stop_statement_token2] = ACTIONS(5802),
    [aux_sym_subroutine_call_token1] = ACTIONS(5802),
    [aux_sym_keyword_statement_token2] = ACTIONS(5802),
    [aux_sym_keyword_statement_token3] = ACTIONS(5802),
    [aux_sym_keyword_statement_token4] = ACTIONS(5802),
    [aux_sym_include_statement_token1] = ACTIONS(5802),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5802),
    [aux_sym_end_if_statement_token1] = ACTIONS(5802),
    [aux_sym_elseif_clause_token2] = ACTIONS(5802),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5802),
    [aux_sym_select_case_statement_token1] = ACTIONS(5802),
    [aux_sym_format_statement_token1] = ACTIONS(5802),
    [aux_sym_print_statement_token1] = ACTIONS(5802),
    [aux_sym_open_statement_token1] = ACTIONS(5802),
    [aux_sym_inquire_statement_token1] = ACTIONS(5802),
    [aux_sym_enum_statement_token1] = ACTIONS(5802),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5802),
    [aux_sym_entry_statement_token1] = ACTIONS(5802),
    [aux_sym_logical_expression_token5] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [aux_sym_boolean_literal_token1] = ACTIONS(5804),
    [aux_sym_boolean_literal_token2] = ACTIONS(5804),
    [aux_sym_null_literal_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_statement_token2] = ACTIONS(5802),
    [aux_sym_coarray_statement_token6] = ACTIONS(5802),
    [aux_sym_coarray_statement_token8] = ACTIONS(5802),
    [aux_sym_coarray_statement_token11] = ACTIONS(5802),
    [aux_sym_coarray_statement_token12] = ACTIONS(5802),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5802),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5802),
    [aux_sym_identifier_token1] = ACTIONS(5802),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5804),
    [sym__float_literal] = ACTIONS(5804),
    [sym__boz_literal] = ACTIONS(5804),
    [sym__string_literal] = ACTIONS(5804),
    [sym__string_literal_kind] = ACTIONS(5804),
  },
  [2327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6545),
    [aux_sym_preproc_def_token1] = ACTIONS(6545),
    [aux_sym_preproc_if_token1] = ACTIONS(6545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6545),
    [sym_preproc_directive] = ACTIONS(6545),
    [anon_sym_LPAREN2] = ACTIONS(6545),
    [anon_sym_PLUS] = ACTIONS(6547),
    [anon_sym_DASH] = ACTIONS(6547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6545),
    [anon_sym_SEMI] = ACTIONS(6547),
    [aux_sym_interface_statement_token1] = ACTIONS(6545),
    [aux_sym_block_data_statement_token1] = ACTIONS(6545),
    [aux_sym_block_data_statement_token2] = ACTIONS(6545),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6545),
    [aux_sym_language_binding_token1] = ACTIONS(6545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6545),
    [aux_sym_use_statement_token1] = ACTIONS(6545),
    [aux_sym_use_statement_token2] = ACTIONS(6545),
    [aux_sym_implicit_statement_token1] = ACTIONS(6545),
    [aux_sym_implicit_statement_token3] = ACTIONS(6545),
    [aux_sym_implicit_statement_token4] = ACTIONS(6545),
    [aux_sym_save_statement_token1] = ACTIONS(6545),
    [aux_sym_private_statement_token1] = ACTIONS(6545),
    [aux_sym_public_statement_token1] = ACTIONS(6545),
    [aux_sym_namelist_statement_token1] = ACTIONS(6545),
    [aux_sym_common_statement_token1] = ACTIONS(6545),
    [aux_sym_import_statement_token1] = ACTIONS(6545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6545),
    [aux_sym_variable_attributes_token1] = ACTIONS(6545),
    [aux_sym_variable_attributes_token2] = ACTIONS(6545),
    [aux_sym_variable_attributes_token3] = ACTIONS(6545),
    [aux_sym_variable_attributes_token4] = ACTIONS(6545),
    [aux_sym_variable_attributes_token5] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6545),
    [aux_sym_derived_type_token1] = ACTIONS(6545),
    [aux_sym_declared_type_token1] = ACTIONS(6545),
    [aux_sym_declared_type_token2] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6545),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6545),
    [aux_sym_type_qualifier_token1] = ACTIONS(6545),
    [aux_sym_type_qualifier_token2] = ACTIONS(6545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6545),
    [aux_sym_stop_statement_token1] = ACTIONS(6545),
    [aux_sym_stop_statement_token2] = ACTIONS(6545),
    [aux_sym_subroutine_call_token1] = ACTIONS(6545),
    [aux_sym_keyword_statement_token2] = ACTIONS(6545),
    [aux_sym_keyword_statement_token3] = ACTIONS(6545),
    [aux_sym_keyword_statement_token4] = ACTIONS(6545),
    [aux_sym_include_statement_token1] = ACTIONS(6545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6545),
    [aux_sym_end_if_statement_token1] = ACTIONS(6545),
    [aux_sym_elseif_clause_token2] = ACTIONS(6545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6545),
    [aux_sym_select_case_statement_token1] = ACTIONS(6545),
    [aux_sym_format_statement_token1] = ACTIONS(6545),
    [aux_sym_print_statement_token1] = ACTIONS(6545),
    [aux_sym_open_statement_token1] = ACTIONS(6545),
    [aux_sym_inquire_statement_token1] = ACTIONS(6545),
    [aux_sym_enum_statement_token1] = ACTIONS(6545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6545),
    [aux_sym_entry_statement_token1] = ACTIONS(6545),
    [aux_sym_logical_expression_token5] = ACTIONS(6547),
    [anon_sym_DOT] = ACTIONS(6545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6547),
    [aux_sym_boolean_literal_token1] = ACTIONS(6547),
    [aux_sym_boolean_literal_token2] = ACTIONS(6547),
    [aux_sym_null_literal_token1] = ACTIONS(6545),
    [aux_sym_coarray_statement_token1] = ACTIONS(6545),
    [aux_sym_coarray_statement_token2] = ACTIONS(6545),
    [aux_sym_coarray_statement_token6] = ACTIONS(6545),
    [aux_sym_coarray_statement_token8] = ACTIONS(6545),
    [aux_sym_coarray_statement_token11] = ACTIONS(6545),
    [aux_sym_coarray_statement_token12] = ACTIONS(6545),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6545),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6545),
    [aux_sym_identifier_token1] = ACTIONS(6545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6547),
    [sym__float_literal] = ACTIONS(6547),
    [sym__boz_literal] = ACTIONS(6547),
    [sym__string_literal] = ACTIONS(6547),
    [sym__string_literal_kind] = ACTIONS(6547),
  },
  [2328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2329] = {
    [sym_assignment] = STATE(7088),
    [sym_operator] = STATE(7088),
    [sym_defined_io_procedure] = STATE(7088),
    [sym__generic_procedure] = STATE(7088),
    [sym_identifier] = STATE(7088),
    [sym__end_of_statement] = STATE(2003),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6665),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6667),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6665),
  },
  [2330] = {
    [sym_assignment] = STATE(7097),
    [sym_operator] = STATE(7097),
    [sym_defined_io_procedure] = STATE(7097),
    [sym__generic_procedure] = STATE(7097),
    [sym_identifier] = STATE(7097),
    [sym__end_of_statement] = STATE(2004),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6669),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6671),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6669),
  },
  [2331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6559),
    [aux_sym_preproc_def_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6559),
    [sym_preproc_directive] = ACTIONS(6559),
    [anon_sym_LPAREN2] = ACTIONS(6559),
    [anon_sym_PLUS] = ACTIONS(6561),
    [anon_sym_DASH] = ACTIONS(6561),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6559),
    [anon_sym_SEMI] = ACTIONS(6561),
    [aux_sym_interface_statement_token1] = ACTIONS(6559),
    [aux_sym_block_data_statement_token1] = ACTIONS(6559),
    [aux_sym_block_data_statement_token2] = ACTIONS(6559),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6559),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6559),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6559),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6559),
    [aux_sym_language_binding_token1] = ACTIONS(6559),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6559),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6559),
    [aux_sym_use_statement_token1] = ACTIONS(6559),
    [aux_sym_use_statement_token2] = ACTIONS(6559),
    [aux_sym_implicit_statement_token1] = ACTIONS(6559),
    [aux_sym_implicit_statement_token3] = ACTIONS(6559),
    [aux_sym_implicit_statement_token4] = ACTIONS(6559),
    [aux_sym_save_statement_token1] = ACTIONS(6559),
    [aux_sym_private_statement_token1] = ACTIONS(6559),
    [aux_sym_public_statement_token1] = ACTIONS(6559),
    [aux_sym_namelist_statement_token1] = ACTIONS(6559),
    [aux_sym_common_statement_token1] = ACTIONS(6559),
    [aux_sym_import_statement_token1] = ACTIONS(6559),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6559),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6559),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6559),
    [aux_sym_variable_attributes_token1] = ACTIONS(6559),
    [aux_sym_variable_attributes_token2] = ACTIONS(6559),
    [aux_sym_variable_attributes_token3] = ACTIONS(6559),
    [aux_sym_variable_attributes_token4] = ACTIONS(6559),
    [aux_sym_variable_attributes_token5] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6559),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6559),
    [aux_sym_derived_type_token1] = ACTIONS(6559),
    [aux_sym_declared_type_token1] = ACTIONS(6559),
    [aux_sym_declared_type_token2] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6559),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6559),
    [aux_sym_type_qualifier_token1] = ACTIONS(6559),
    [aux_sym_type_qualifier_token2] = ACTIONS(6559),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6559),
    [aux_sym_stop_statement_token1] = ACTIONS(6559),
    [aux_sym_stop_statement_token2] = ACTIONS(6559),
    [aux_sym_subroutine_call_token1] = ACTIONS(6559),
    [aux_sym_keyword_statement_token2] = ACTIONS(6559),
    [aux_sym_keyword_statement_token3] = ACTIONS(6559),
    [aux_sym_keyword_statement_token4] = ACTIONS(6559),
    [aux_sym_include_statement_token1] = ACTIONS(6559),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6559),
    [aux_sym_end_if_statement_token1] = ACTIONS(6559),
    [aux_sym_elseif_clause_token2] = ACTIONS(6559),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6559),
    [aux_sym_select_case_statement_token1] = ACTIONS(6559),
    [aux_sym_format_statement_token1] = ACTIONS(6559),
    [aux_sym_print_statement_token1] = ACTIONS(6559),
    [aux_sym_open_statement_token1] = ACTIONS(6559),
    [aux_sym_inquire_statement_token1] = ACTIONS(6559),
    [aux_sym_enum_statement_token1] = ACTIONS(6559),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6559),
    [aux_sym_entry_statement_token1] = ACTIONS(6559),
    [aux_sym_logical_expression_token5] = ACTIONS(6561),
    [anon_sym_DOT] = ACTIONS(6559),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6561),
    [anon_sym_LBRACK] = ACTIONS(6561),
    [aux_sym_boolean_literal_token1] = ACTIONS(6561),
    [aux_sym_boolean_literal_token2] = ACTIONS(6561),
    [aux_sym_null_literal_token1] = ACTIONS(6559),
    [aux_sym_coarray_statement_token1] = ACTIONS(6559),
    [aux_sym_coarray_statement_token2] = ACTIONS(6559),
    [aux_sym_coarray_statement_token6] = ACTIONS(6559),
    [aux_sym_coarray_statement_token8] = ACTIONS(6559),
    [aux_sym_coarray_statement_token11] = ACTIONS(6559),
    [aux_sym_coarray_statement_token12] = ACTIONS(6559),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6559),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6559),
    [aux_sym_identifier_token1] = ACTIONS(6559),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6561),
    [sym__float_literal] = ACTIONS(6561),
    [sym__boz_literal] = ACTIONS(6561),
    [sym__string_literal] = ACTIONS(6561),
    [sym__string_literal_kind] = ACTIONS(6561),
  },
  [2332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_interface_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_language_binding_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token1] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_namelist_statement_token1] = ACTIONS(5288),
    [aux_sym_common_statement_token1] = ACTIONS(5288),
    [aux_sym_import_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token1] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token4] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token1] = ACTIONS(5288),
    [aux_sym_declared_type_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_enum_statement_token1] = ACTIONS(5288),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5766),
    [aux_sym_preproc_def_token1] = ACTIONS(5766),
    [aux_sym_preproc_if_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5766),
    [sym_preproc_directive] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [aux_sym_interface_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_block_data_statement_token2] = ACTIONS(5766),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5766),
    [aux_sym_language_binding_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5766),
    [aux_sym_use_statement_token1] = ACTIONS(5766),
    [aux_sym_use_statement_token2] = ACTIONS(5766),
    [aux_sym_implicit_statement_token1] = ACTIONS(5766),
    [aux_sym_implicit_statement_token3] = ACTIONS(5766),
    [aux_sym_implicit_statement_token4] = ACTIONS(5766),
    [aux_sym_save_statement_token1] = ACTIONS(5766),
    [aux_sym_private_statement_token1] = ACTIONS(5766),
    [aux_sym_public_statement_token1] = ACTIONS(5766),
    [aux_sym_namelist_statement_token1] = ACTIONS(5766),
    [aux_sym_common_statement_token1] = ACTIONS(5766),
    [aux_sym_import_statement_token1] = ACTIONS(5766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5766),
    [aux_sym_variable_attributes_token1] = ACTIONS(5766),
    [aux_sym_variable_attributes_token2] = ACTIONS(5766),
    [aux_sym_variable_attributes_token3] = ACTIONS(5766),
    [aux_sym_variable_attributes_token4] = ACTIONS(5766),
    [aux_sym_variable_attributes_token5] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5766),
    [aux_sym_derived_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token1] = ACTIONS(5766),
    [aux_sym_declared_type_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5766),
    [aux_sym_type_qualifier_token1] = ACTIONS(5766),
    [aux_sym_type_qualifier_token2] = ACTIONS(5766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5766),
    [aux_sym_stop_statement_token2] = ACTIONS(5766),
    [aux_sym_subroutine_call_token1] = ACTIONS(5766),
    [aux_sym_keyword_statement_token2] = ACTIONS(5766),
    [aux_sym_keyword_statement_token3] = ACTIONS(5766),
    [aux_sym_keyword_statement_token4] = ACTIONS(5766),
    [aux_sym_include_statement_token1] = ACTIONS(5766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5766),
    [aux_sym_end_if_statement_token1] = ACTIONS(5766),
    [aux_sym_elseif_clause_token2] = ACTIONS(5766),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5766),
    [aux_sym_select_case_statement_token1] = ACTIONS(5766),
    [aux_sym_format_statement_token1] = ACTIONS(5766),
    [aux_sym_print_statement_token1] = ACTIONS(5766),
    [aux_sym_open_statement_token1] = ACTIONS(5766),
    [aux_sym_inquire_statement_token1] = ACTIONS(5766),
    [aux_sym_enum_statement_token1] = ACTIONS(5766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5766),
    [aux_sym_entry_statement_token1] = ACTIONS(5766),
    [aux_sym_logical_expression_token5] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [aux_sym_boolean_literal_token1] = ACTIONS(5768),
    [aux_sym_boolean_literal_token2] = ACTIONS(5768),
    [aux_sym_null_literal_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_statement_token2] = ACTIONS(5766),
    [aux_sym_coarray_statement_token6] = ACTIONS(5766),
    [aux_sym_coarray_statement_token8] = ACTIONS(5766),
    [aux_sym_coarray_statement_token11] = ACTIONS(5766),
    [aux_sym_coarray_statement_token12] = ACTIONS(5766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5766),
    [aux_sym_identifier_token1] = ACTIONS(5766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5768),
    [sym__float_literal] = ACTIONS(5768),
    [sym__boz_literal] = ACTIONS(5768),
    [sym__string_literal] = ACTIONS(5768),
    [sym__string_literal_kind] = ACTIONS(5768),
  },
  [2334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5770),
    [aux_sym_preproc_def_token1] = ACTIONS(5770),
    [aux_sym_preproc_if_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5770),
    [sym_preproc_directive] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [aux_sym_interface_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_block_data_statement_token2] = ACTIONS(5770),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5770),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5770),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5770),
    [aux_sym_language_binding_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5770),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5770),
    [aux_sym_use_statement_token1] = ACTIONS(5770),
    [aux_sym_use_statement_token2] = ACTIONS(5770),
    [aux_sym_implicit_statement_token1] = ACTIONS(5770),
    [aux_sym_implicit_statement_token3] = ACTIONS(5770),
    [aux_sym_implicit_statement_token4] = ACTIONS(5770),
    [aux_sym_save_statement_token1] = ACTIONS(5770),
    [aux_sym_private_statement_token1] = ACTIONS(5770),
    [aux_sym_public_statement_token1] = ACTIONS(5770),
    [aux_sym_namelist_statement_token1] = ACTIONS(5770),
    [aux_sym_common_statement_token1] = ACTIONS(5770),
    [aux_sym_import_statement_token1] = ACTIONS(5770),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5770),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5770),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5770),
    [aux_sym_variable_attributes_token1] = ACTIONS(5770),
    [aux_sym_variable_attributes_token2] = ACTIONS(5770),
    [aux_sym_variable_attributes_token3] = ACTIONS(5770),
    [aux_sym_variable_attributes_token4] = ACTIONS(5770),
    [aux_sym_variable_attributes_token5] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5770),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5770),
    [aux_sym_derived_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token1] = ACTIONS(5770),
    [aux_sym_declared_type_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5770),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5770),
    [aux_sym_type_qualifier_token1] = ACTIONS(5770),
    [aux_sym_type_qualifier_token2] = ACTIONS(5770),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5770),
    [aux_sym_stop_statement_token2] = ACTIONS(5770),
    [aux_sym_subroutine_call_token1] = ACTIONS(5770),
    [aux_sym_keyword_statement_token2] = ACTIONS(5770),
    [aux_sym_keyword_statement_token3] = ACTIONS(5770),
    [aux_sym_keyword_statement_token4] = ACTIONS(5770),
    [aux_sym_include_statement_token1] = ACTIONS(5770),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5770),
    [aux_sym_end_if_statement_token1] = ACTIONS(5770),
    [aux_sym_elseif_clause_token2] = ACTIONS(5770),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5770),
    [aux_sym_select_case_statement_token1] = ACTIONS(5770),
    [aux_sym_format_statement_token1] = ACTIONS(5770),
    [aux_sym_print_statement_token1] = ACTIONS(5770),
    [aux_sym_open_statement_token1] = ACTIONS(5770),
    [aux_sym_inquire_statement_token1] = ACTIONS(5770),
    [aux_sym_enum_statement_token1] = ACTIONS(5770),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5770),
    [aux_sym_entry_statement_token1] = ACTIONS(5770),
    [aux_sym_logical_expression_token5] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [aux_sym_boolean_literal_token1] = ACTIONS(5772),
    [aux_sym_boolean_literal_token2] = ACTIONS(5772),
    [aux_sym_null_literal_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_statement_token2] = ACTIONS(5770),
    [aux_sym_coarray_statement_token6] = ACTIONS(5770),
    [aux_sym_coarray_statement_token8] = ACTIONS(5770),
    [aux_sym_coarray_statement_token11] = ACTIONS(5770),
    [aux_sym_coarray_statement_token12] = ACTIONS(5770),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5770),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5770),
    [aux_sym_identifier_token1] = ACTIONS(5770),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5772),
    [sym__float_literal] = ACTIONS(5772),
    [sym__boz_literal] = ACTIONS(5772),
    [sym__string_literal] = ACTIONS(5772),
    [sym__string_literal_kind] = ACTIONS(5772),
  },
  [2335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5758),
    [aux_sym_preproc_def_token1] = ACTIONS(5758),
    [aux_sym_preproc_if_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5758),
    [sym_preproc_directive] = ACTIONS(5758),
    [anon_sym_LPAREN2] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [aux_sym_interface_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_block_data_statement_token2] = ACTIONS(5758),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5758),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5758),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5758),
    [aux_sym_language_binding_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5758),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5758),
    [aux_sym_use_statement_token1] = ACTIONS(5758),
    [aux_sym_use_statement_token2] = ACTIONS(5758),
    [aux_sym_implicit_statement_token1] = ACTIONS(5758),
    [aux_sym_implicit_statement_token3] = ACTIONS(5758),
    [aux_sym_implicit_statement_token4] = ACTIONS(5758),
    [aux_sym_save_statement_token1] = ACTIONS(5758),
    [aux_sym_private_statement_token1] = ACTIONS(5758),
    [aux_sym_public_statement_token1] = ACTIONS(5758),
    [aux_sym_namelist_statement_token1] = ACTIONS(5758),
    [aux_sym_common_statement_token1] = ACTIONS(5758),
    [aux_sym_import_statement_token1] = ACTIONS(5758),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5758),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5758),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5758),
    [aux_sym_variable_attributes_token1] = ACTIONS(5758),
    [aux_sym_variable_attributes_token2] = ACTIONS(5758),
    [aux_sym_variable_attributes_token3] = ACTIONS(5758),
    [aux_sym_variable_attributes_token4] = ACTIONS(5758),
    [aux_sym_variable_attributes_token5] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5758),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5758),
    [aux_sym_derived_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token1] = ACTIONS(5758),
    [aux_sym_declared_type_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5758),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5758),
    [aux_sym_type_qualifier_token1] = ACTIONS(5758),
    [aux_sym_type_qualifier_token2] = ACTIONS(5758),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5758),
    [aux_sym_stop_statement_token2] = ACTIONS(5758),
    [aux_sym_subroutine_call_token1] = ACTIONS(5758),
    [aux_sym_keyword_statement_token2] = ACTIONS(5758),
    [aux_sym_keyword_statement_token3] = ACTIONS(5758),
    [aux_sym_keyword_statement_token4] = ACTIONS(5758),
    [aux_sym_include_statement_token1] = ACTIONS(5758),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5758),
    [aux_sym_end_if_statement_token1] = ACTIONS(5758),
    [aux_sym_elseif_clause_token2] = ACTIONS(5758),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5758),
    [aux_sym_select_case_statement_token1] = ACTIONS(5758),
    [aux_sym_format_statement_token1] = ACTIONS(5758),
    [aux_sym_print_statement_token1] = ACTIONS(5758),
    [aux_sym_open_statement_token1] = ACTIONS(5758),
    [aux_sym_inquire_statement_token1] = ACTIONS(5758),
    [aux_sym_enum_statement_token1] = ACTIONS(5758),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5758),
    [aux_sym_entry_statement_token1] = ACTIONS(5758),
    [aux_sym_logical_expression_token5] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [aux_sym_boolean_literal_token1] = ACTIONS(5760),
    [aux_sym_boolean_literal_token2] = ACTIONS(5760),
    [aux_sym_null_literal_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_statement_token2] = ACTIONS(5758),
    [aux_sym_coarray_statement_token6] = ACTIONS(5758),
    [aux_sym_coarray_statement_token8] = ACTIONS(5758),
    [aux_sym_coarray_statement_token11] = ACTIONS(5758),
    [aux_sym_coarray_statement_token12] = ACTIONS(5758),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5758),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5758),
    [aux_sym_identifier_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5760),
    [sym__float_literal] = ACTIONS(5760),
    [sym__boz_literal] = ACTIONS(5760),
    [sym__string_literal] = ACTIONS(5760),
    [sym__string_literal_kind] = ACTIONS(5760),
  },
  [2336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5236),
    [aux_sym_preproc_def_token1] = ACTIONS(5236),
    [aux_sym_preproc_if_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5236),
    [sym_preproc_directive] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(5238),
    [aux_sym_interface_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_block_data_statement_token2] = ACTIONS(5236),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5236),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5236),
    [aux_sym_language_binding_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5236),
    [aux_sym_use_statement_token1] = ACTIONS(5236),
    [aux_sym_use_statement_token2] = ACTIONS(5236),
    [aux_sym_implicit_statement_token1] = ACTIONS(5236),
    [aux_sym_implicit_statement_token3] = ACTIONS(5236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5236),
    [aux_sym_save_statement_token1] = ACTIONS(5236),
    [aux_sym_private_statement_token1] = ACTIONS(5236),
    [aux_sym_public_statement_token1] = ACTIONS(5236),
    [aux_sym_namelist_statement_token1] = ACTIONS(5236),
    [aux_sym_common_statement_token1] = ACTIONS(5236),
    [aux_sym_import_statement_token1] = ACTIONS(5236),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5236),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5236),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5236),
    [aux_sym_variable_attributes_token1] = ACTIONS(5236),
    [aux_sym_variable_attributes_token2] = ACTIONS(5236),
    [aux_sym_variable_attributes_token3] = ACTIONS(5236),
    [aux_sym_variable_attributes_token4] = ACTIONS(5236),
    [aux_sym_variable_attributes_token5] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5236),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5236),
    [aux_sym_derived_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token1] = ACTIONS(5236),
    [aux_sym_declared_type_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5236),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5236),
    [aux_sym_type_qualifier_token1] = ACTIONS(5236),
    [aux_sym_type_qualifier_token2] = ACTIONS(5236),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token1] = ACTIONS(5236),
    [aux_sym_stop_statement_token2] = ACTIONS(5236),
    [aux_sym_subroutine_call_token1] = ACTIONS(5236),
    [aux_sym_keyword_statement_token2] = ACTIONS(5236),
    [aux_sym_keyword_statement_token3] = ACTIONS(5236),
    [aux_sym_keyword_statement_token4] = ACTIONS(5236),
    [aux_sym_include_statement_token1] = ACTIONS(5236),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5236),
    [aux_sym_end_if_statement_token1] = ACTIONS(5236),
    [aux_sym_elseif_clause_token2] = ACTIONS(5236),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5236),
    [aux_sym_select_case_statement_token1] = ACTIONS(5236),
    [aux_sym_format_statement_token1] = ACTIONS(5236),
    [aux_sym_print_statement_token1] = ACTIONS(5236),
    [aux_sym_open_statement_token1] = ACTIONS(5236),
    [aux_sym_inquire_statement_token1] = ACTIONS(5236),
    [aux_sym_enum_statement_token1] = ACTIONS(5236),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5236),
    [aux_sym_entry_statement_token1] = ACTIONS(5236),
    [aux_sym_logical_expression_token5] = ACTIONS(5238),
    [anon_sym_DOT] = ACTIONS(5236),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5238),
    [aux_sym_boolean_literal_token1] = ACTIONS(5238),
    [aux_sym_boolean_literal_token2] = ACTIONS(5238),
    [aux_sym_null_literal_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_statement_token2] = ACTIONS(5236),
    [aux_sym_coarray_statement_token6] = ACTIONS(5236),
    [aux_sym_coarray_statement_token8] = ACTIONS(5236),
    [aux_sym_coarray_statement_token11] = ACTIONS(5236),
    [aux_sym_coarray_statement_token12] = ACTIONS(5236),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5236),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5236),
    [aux_sym_identifier_token1] = ACTIONS(5236),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5238),
    [sym__float_literal] = ACTIONS(5238),
    [sym__boz_literal] = ACTIONS(5238),
    [sym__string_literal] = ACTIONS(5238),
    [sym__string_literal_kind] = ACTIONS(5238),
  },
  [2337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5762),
    [aux_sym_preproc_def_token1] = ACTIONS(5762),
    [aux_sym_preproc_if_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5762),
    [sym_preproc_directive] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [aux_sym_interface_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_block_data_statement_token2] = ACTIONS(5762),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5762),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5762),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5762),
    [aux_sym_language_binding_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5762),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5762),
    [aux_sym_use_statement_token1] = ACTIONS(5762),
    [aux_sym_use_statement_token2] = ACTIONS(5762),
    [aux_sym_implicit_statement_token1] = ACTIONS(5762),
    [aux_sym_implicit_statement_token3] = ACTIONS(5762),
    [aux_sym_implicit_statement_token4] = ACTIONS(5762),
    [aux_sym_save_statement_token1] = ACTIONS(5762),
    [aux_sym_private_statement_token1] = ACTIONS(5762),
    [aux_sym_public_statement_token1] = ACTIONS(5762),
    [aux_sym_namelist_statement_token1] = ACTIONS(5762),
    [aux_sym_common_statement_token1] = ACTIONS(5762),
    [aux_sym_import_statement_token1] = ACTIONS(5762),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5762),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5762),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5762),
    [aux_sym_variable_attributes_token1] = ACTIONS(5762),
    [aux_sym_variable_attributes_token2] = ACTIONS(5762),
    [aux_sym_variable_attributes_token3] = ACTIONS(5762),
    [aux_sym_variable_attributes_token4] = ACTIONS(5762),
    [aux_sym_variable_attributes_token5] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5762),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5762),
    [aux_sym_derived_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token1] = ACTIONS(5762),
    [aux_sym_declared_type_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5762),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5762),
    [aux_sym_type_qualifier_token1] = ACTIONS(5762),
    [aux_sym_type_qualifier_token2] = ACTIONS(5762),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5762),
    [aux_sym_stop_statement_token2] = ACTIONS(5762),
    [aux_sym_subroutine_call_token1] = ACTIONS(5762),
    [aux_sym_keyword_statement_token2] = ACTIONS(5762),
    [aux_sym_keyword_statement_token3] = ACTIONS(5762),
    [aux_sym_keyword_statement_token4] = ACTIONS(5762),
    [aux_sym_include_statement_token1] = ACTIONS(5762),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5762),
    [aux_sym_end_if_statement_token1] = ACTIONS(5762),
    [aux_sym_elseif_clause_token2] = ACTIONS(5762),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5762),
    [aux_sym_select_case_statement_token1] = ACTIONS(5762),
    [aux_sym_format_statement_token1] = ACTIONS(5762),
    [aux_sym_print_statement_token1] = ACTIONS(5762),
    [aux_sym_open_statement_token1] = ACTIONS(5762),
    [aux_sym_inquire_statement_token1] = ACTIONS(5762),
    [aux_sym_enum_statement_token1] = ACTIONS(5762),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5762),
    [aux_sym_entry_statement_token1] = ACTIONS(5762),
    [aux_sym_logical_expression_token5] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [aux_sym_boolean_literal_token1] = ACTIONS(5764),
    [aux_sym_boolean_literal_token2] = ACTIONS(5764),
    [aux_sym_null_literal_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_statement_token2] = ACTIONS(5762),
    [aux_sym_coarray_statement_token6] = ACTIONS(5762),
    [aux_sym_coarray_statement_token8] = ACTIONS(5762),
    [aux_sym_coarray_statement_token11] = ACTIONS(5762),
    [aux_sym_coarray_statement_token12] = ACTIONS(5762),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5762),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5762),
    [aux_sym_identifier_token1] = ACTIONS(5762),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5764),
    [sym__float_literal] = ACTIONS(5764),
    [sym__boz_literal] = ACTIONS(5764),
    [sym__string_literal] = ACTIONS(5764),
    [sym__string_literal_kind] = ACTIONS(5764),
  },
  [2338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_interface_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_language_binding_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token1] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_namelist_statement_token1] = ACTIONS(5280),
    [aux_sym_common_statement_token1] = ACTIONS(5280),
    [aux_sym_import_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token1] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token4] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token1] = ACTIONS(5280),
    [aux_sym_declared_type_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_enum_statement_token1] = ACTIONS(5280),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_interface_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_language_binding_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token1] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_namelist_statement_token1] = ACTIONS(5284),
    [aux_sym_common_statement_token1] = ACTIONS(5284),
    [aux_sym_import_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token1] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token4] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token1] = ACTIONS(5284),
    [aux_sym_declared_type_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_enum_statement_token1] = ACTIONS(5284),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5240),
    [aux_sym_preproc_def_token1] = ACTIONS(5240),
    [aux_sym_preproc_if_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5240),
    [sym_preproc_directive] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [aux_sym_interface_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_block_data_statement_token2] = ACTIONS(5240),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5240),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5240),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5240),
    [aux_sym_language_binding_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5240),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5240),
    [aux_sym_use_statement_token1] = ACTIONS(5240),
    [aux_sym_use_statement_token2] = ACTIONS(5240),
    [aux_sym_implicit_statement_token1] = ACTIONS(5240),
    [aux_sym_implicit_statement_token3] = ACTIONS(5240),
    [aux_sym_implicit_statement_token4] = ACTIONS(5240),
    [aux_sym_save_statement_token1] = ACTIONS(5240),
    [aux_sym_private_statement_token1] = ACTIONS(5240),
    [aux_sym_public_statement_token1] = ACTIONS(5240),
    [aux_sym_namelist_statement_token1] = ACTIONS(5240),
    [aux_sym_common_statement_token1] = ACTIONS(5240),
    [aux_sym_import_statement_token1] = ACTIONS(5240),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5240),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5240),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5240),
    [aux_sym_variable_attributes_token1] = ACTIONS(5240),
    [aux_sym_variable_attributes_token2] = ACTIONS(5240),
    [aux_sym_variable_attributes_token3] = ACTIONS(5240),
    [aux_sym_variable_attributes_token4] = ACTIONS(5240),
    [aux_sym_variable_attributes_token5] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5240),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5240),
    [aux_sym_derived_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token1] = ACTIONS(5240),
    [aux_sym_declared_type_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5240),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5240),
    [aux_sym_type_qualifier_token1] = ACTIONS(5240),
    [aux_sym_type_qualifier_token2] = ACTIONS(5240),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token1] = ACTIONS(5240),
    [aux_sym_stop_statement_token2] = ACTIONS(5240),
    [aux_sym_subroutine_call_token1] = ACTIONS(5240),
    [aux_sym_keyword_statement_token2] = ACTIONS(5240),
    [aux_sym_keyword_statement_token3] = ACTIONS(5240),
    [aux_sym_keyword_statement_token4] = ACTIONS(5240),
    [aux_sym_include_statement_token1] = ACTIONS(5240),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5240),
    [aux_sym_end_if_statement_token1] = ACTIONS(5240),
    [aux_sym_elseif_clause_token2] = ACTIONS(5240),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5240),
    [aux_sym_select_case_statement_token1] = ACTIONS(5240),
    [aux_sym_format_statement_token1] = ACTIONS(5240),
    [aux_sym_print_statement_token1] = ACTIONS(5240),
    [aux_sym_open_statement_token1] = ACTIONS(5240),
    [aux_sym_inquire_statement_token1] = ACTIONS(5240),
    [aux_sym_enum_statement_token1] = ACTIONS(5240),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5240),
    [aux_sym_entry_statement_token1] = ACTIONS(5240),
    [aux_sym_logical_expression_token5] = ACTIONS(5242),
    [anon_sym_DOT] = ACTIONS(5240),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [aux_sym_boolean_literal_token1] = ACTIONS(5242),
    [aux_sym_boolean_literal_token2] = ACTIONS(5242),
    [aux_sym_null_literal_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_statement_token2] = ACTIONS(5240),
    [aux_sym_coarray_statement_token6] = ACTIONS(5240),
    [aux_sym_coarray_statement_token8] = ACTIONS(5240),
    [aux_sym_coarray_statement_token11] = ACTIONS(5240),
    [aux_sym_coarray_statement_token12] = ACTIONS(5240),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5240),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5240),
    [aux_sym_identifier_token1] = ACTIONS(5240),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5242),
    [sym__float_literal] = ACTIONS(5242),
    [sym__boz_literal] = ACTIONS(5242),
    [sym__string_literal] = ACTIONS(5242),
    [sym__string_literal_kind] = ACTIONS(5242),
  },
  [2341] = {
    [sym_assignment] = STATE(7095),
    [sym_operator] = STATE(7095),
    [sym_defined_io_procedure] = STATE(7095),
    [sym__generic_procedure] = STATE(7095),
    [sym_identifier] = STATE(7095),
    [sym__end_of_statement] = STATE(1547),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6673),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6675),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6673),
  },
  [2342] = {
    [sym_assignment] = STATE(7096),
    [sym_operator] = STATE(7096),
    [sym_defined_io_procedure] = STATE(7096),
    [sym__generic_procedure] = STATE(7096),
    [sym_identifier] = STATE(7096),
    [sym__end_of_statement] = STATE(1633),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6677),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6679),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6677),
  },
  [2343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5794),
    [aux_sym_preproc_def_token1] = ACTIONS(5794),
    [aux_sym_preproc_if_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5794),
    [sym_preproc_directive] = ACTIONS(5794),
    [anon_sym_LPAREN2] = ACTIONS(5794),
    [anon_sym_PLUS] = ACTIONS(5796),
    [anon_sym_DASH] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5794),
    [anon_sym_SEMI] = ACTIONS(5796),
    [aux_sym_interface_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_block_data_statement_token2] = ACTIONS(5794),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5794),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5794),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5794),
    [aux_sym_language_binding_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5794),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5794),
    [aux_sym_use_statement_token1] = ACTIONS(5794),
    [aux_sym_use_statement_token2] = ACTIONS(5794),
    [aux_sym_implicit_statement_token1] = ACTIONS(5794),
    [aux_sym_implicit_statement_token3] = ACTIONS(5794),
    [aux_sym_implicit_statement_token4] = ACTIONS(5794),
    [aux_sym_save_statement_token1] = ACTIONS(5794),
    [aux_sym_private_statement_token1] = ACTIONS(5794),
    [aux_sym_public_statement_token1] = ACTIONS(5794),
    [aux_sym_namelist_statement_token1] = ACTIONS(5794),
    [aux_sym_common_statement_token1] = ACTIONS(5794),
    [aux_sym_import_statement_token1] = ACTIONS(5794),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5794),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5794),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5794),
    [aux_sym_variable_attributes_token1] = ACTIONS(5794),
    [aux_sym_variable_attributes_token2] = ACTIONS(5794),
    [aux_sym_variable_attributes_token3] = ACTIONS(5794),
    [aux_sym_variable_attributes_token4] = ACTIONS(5794),
    [aux_sym_variable_attributes_token5] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5794),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5794),
    [aux_sym_derived_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token1] = ACTIONS(5794),
    [aux_sym_declared_type_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5794),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5794),
    [aux_sym_type_qualifier_token1] = ACTIONS(5794),
    [aux_sym_type_qualifier_token2] = ACTIONS(5794),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5794),
    [aux_sym_stop_statement_token2] = ACTIONS(5794),
    [aux_sym_subroutine_call_token1] = ACTIONS(5794),
    [aux_sym_keyword_statement_token2] = ACTIONS(5794),
    [aux_sym_keyword_statement_token3] = ACTIONS(5794),
    [aux_sym_keyword_statement_token4] = ACTIONS(5794),
    [aux_sym_include_statement_token1] = ACTIONS(5794),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5794),
    [aux_sym_end_if_statement_token1] = ACTIONS(5794),
    [aux_sym_elseif_clause_token2] = ACTIONS(5794),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5794),
    [aux_sym_select_case_statement_token1] = ACTIONS(5794),
    [aux_sym_format_statement_token1] = ACTIONS(5794),
    [aux_sym_print_statement_token1] = ACTIONS(5794),
    [aux_sym_open_statement_token1] = ACTIONS(5794),
    [aux_sym_inquire_statement_token1] = ACTIONS(5794),
    [aux_sym_enum_statement_token1] = ACTIONS(5794),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5794),
    [aux_sym_entry_statement_token1] = ACTIONS(5794),
    [aux_sym_logical_expression_token5] = ACTIONS(5796),
    [anon_sym_DOT] = ACTIONS(5794),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5796),
    [anon_sym_LBRACK] = ACTIONS(5796),
    [aux_sym_boolean_literal_token1] = ACTIONS(5796),
    [aux_sym_boolean_literal_token2] = ACTIONS(5796),
    [aux_sym_null_literal_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_statement_token2] = ACTIONS(5794),
    [aux_sym_coarray_statement_token6] = ACTIONS(5794),
    [aux_sym_coarray_statement_token8] = ACTIONS(5794),
    [aux_sym_coarray_statement_token11] = ACTIONS(5794),
    [aux_sym_coarray_statement_token12] = ACTIONS(5794),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5794),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5794),
    [aux_sym_identifier_token1] = ACTIONS(5794),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5796),
    [sym__float_literal] = ACTIONS(5796),
    [sym__boz_literal] = ACTIONS(5796),
    [sym__string_literal] = ACTIONS(5796),
    [sym__string_literal_kind] = ACTIONS(5796),
  },
  [2344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5738),
    [aux_sym_preproc_def_token1] = ACTIONS(5738),
    [aux_sym_preproc_if_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5738),
    [sym_preproc_directive] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5740),
    [aux_sym_interface_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_block_data_statement_token2] = ACTIONS(5738),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5738),
    [aux_sym_language_binding_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5738),
    [aux_sym_use_statement_token1] = ACTIONS(5738),
    [aux_sym_use_statement_token2] = ACTIONS(5738),
    [aux_sym_implicit_statement_token1] = ACTIONS(5738),
    [aux_sym_implicit_statement_token3] = ACTIONS(5738),
    [aux_sym_implicit_statement_token4] = ACTIONS(5738),
    [aux_sym_save_statement_token1] = ACTIONS(5738),
    [aux_sym_private_statement_token1] = ACTIONS(5738),
    [aux_sym_public_statement_token1] = ACTIONS(5738),
    [aux_sym_namelist_statement_token1] = ACTIONS(5738),
    [aux_sym_common_statement_token1] = ACTIONS(5738),
    [aux_sym_import_statement_token1] = ACTIONS(5738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5738),
    [aux_sym_variable_attributes_token1] = ACTIONS(5738),
    [aux_sym_variable_attributes_token2] = ACTIONS(5738),
    [aux_sym_variable_attributes_token3] = ACTIONS(5738),
    [aux_sym_variable_attributes_token4] = ACTIONS(5738),
    [aux_sym_variable_attributes_token5] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5738),
    [aux_sym_derived_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token1] = ACTIONS(5738),
    [aux_sym_declared_type_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5738),
    [aux_sym_type_qualifier_token1] = ACTIONS(5738),
    [aux_sym_type_qualifier_token2] = ACTIONS(5738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5738),
    [aux_sym_stop_statement_token2] = ACTIONS(5738),
    [aux_sym_subroutine_call_token1] = ACTIONS(5738),
    [aux_sym_keyword_statement_token2] = ACTIONS(5738),
    [aux_sym_keyword_statement_token3] = ACTIONS(5738),
    [aux_sym_keyword_statement_token4] = ACTIONS(5738),
    [aux_sym_include_statement_token1] = ACTIONS(5738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5738),
    [aux_sym_end_if_statement_token1] = ACTIONS(5738),
    [aux_sym_elseif_clause_token2] = ACTIONS(5738),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5738),
    [aux_sym_select_case_statement_token1] = ACTIONS(5738),
    [aux_sym_format_statement_token1] = ACTIONS(5738),
    [aux_sym_print_statement_token1] = ACTIONS(5738),
    [aux_sym_open_statement_token1] = ACTIONS(5738),
    [aux_sym_inquire_statement_token1] = ACTIONS(5738),
    [aux_sym_enum_statement_token1] = ACTIONS(5738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5738),
    [aux_sym_entry_statement_token1] = ACTIONS(5738),
    [aux_sym_logical_expression_token5] = ACTIONS(5740),
    [anon_sym_DOT] = ACTIONS(5738),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [aux_sym_boolean_literal_token1] = ACTIONS(5740),
    [aux_sym_boolean_literal_token2] = ACTIONS(5740),
    [aux_sym_null_literal_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_statement_token2] = ACTIONS(5738),
    [aux_sym_coarray_statement_token6] = ACTIONS(5738),
    [aux_sym_coarray_statement_token8] = ACTIONS(5738),
    [aux_sym_coarray_statement_token11] = ACTIONS(5738),
    [aux_sym_coarray_statement_token12] = ACTIONS(5738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5738),
    [aux_sym_identifier_token1] = ACTIONS(5738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5740),
    [sym__float_literal] = ACTIONS(5740),
    [sym__boz_literal] = ACTIONS(5740),
    [sym__string_literal] = ACTIONS(5740),
    [sym__string_literal_kind] = ACTIONS(5740),
  },
  [2345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5176),
    [aux_sym_preproc_def_token1] = ACTIONS(5176),
    [aux_sym_preproc_if_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5176),
    [sym_preproc_directive] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [aux_sym_interface_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_block_data_statement_token2] = ACTIONS(5176),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5176),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5176),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5176),
    [aux_sym_language_binding_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5176),
    [aux_sym_use_statement_token1] = ACTIONS(5176),
    [aux_sym_use_statement_token2] = ACTIONS(5176),
    [aux_sym_implicit_statement_token1] = ACTIONS(5176),
    [aux_sym_implicit_statement_token3] = ACTIONS(5176),
    [aux_sym_implicit_statement_token4] = ACTIONS(5176),
    [aux_sym_save_statement_token1] = ACTIONS(5176),
    [aux_sym_private_statement_token1] = ACTIONS(5176),
    [aux_sym_public_statement_token1] = ACTIONS(5176),
    [aux_sym_namelist_statement_token1] = ACTIONS(5176),
    [aux_sym_common_statement_token1] = ACTIONS(5176),
    [aux_sym_import_statement_token1] = ACTIONS(5176),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5176),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5176),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5176),
    [aux_sym_variable_attributes_token1] = ACTIONS(5176),
    [aux_sym_variable_attributes_token2] = ACTIONS(5176),
    [aux_sym_variable_attributes_token3] = ACTIONS(5176),
    [aux_sym_variable_attributes_token4] = ACTIONS(5176),
    [aux_sym_variable_attributes_token5] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5176),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5176),
    [aux_sym_derived_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token1] = ACTIONS(5176),
    [aux_sym_declared_type_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5176),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5176),
    [aux_sym_type_qualifier_token1] = ACTIONS(5176),
    [aux_sym_type_qualifier_token2] = ACTIONS(5176),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token1] = ACTIONS(5176),
    [aux_sym_stop_statement_token2] = ACTIONS(5176),
    [aux_sym_subroutine_call_token1] = ACTIONS(5176),
    [aux_sym_keyword_statement_token2] = ACTIONS(5176),
    [aux_sym_keyword_statement_token3] = ACTIONS(5176),
    [aux_sym_keyword_statement_token4] = ACTIONS(5176),
    [aux_sym_include_statement_token1] = ACTIONS(5176),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5176),
    [aux_sym_end_if_statement_token1] = ACTIONS(5176),
    [aux_sym_elseif_clause_token2] = ACTIONS(5176),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5176),
    [aux_sym_select_case_statement_token1] = ACTIONS(5176),
    [aux_sym_format_statement_token1] = ACTIONS(5176),
    [aux_sym_print_statement_token1] = ACTIONS(5176),
    [aux_sym_open_statement_token1] = ACTIONS(5176),
    [aux_sym_inquire_statement_token1] = ACTIONS(5176),
    [aux_sym_enum_statement_token1] = ACTIONS(5176),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5176),
    [aux_sym_entry_statement_token1] = ACTIONS(5176),
    [aux_sym_logical_expression_token5] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [aux_sym_boolean_literal_token1] = ACTIONS(5178),
    [aux_sym_boolean_literal_token2] = ACTIONS(5178),
    [aux_sym_null_literal_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_statement_token2] = ACTIONS(5176),
    [aux_sym_coarray_statement_token6] = ACTIONS(5176),
    [aux_sym_coarray_statement_token8] = ACTIONS(5176),
    [aux_sym_coarray_statement_token11] = ACTIONS(5176),
    [aux_sym_coarray_statement_token12] = ACTIONS(5176),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5176),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5176),
    [aux_sym_identifier_token1] = ACTIONS(5176),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5178),
    [sym__float_literal] = ACTIONS(5178),
    [sym__boz_literal] = ACTIONS(5178),
    [sym__string_literal] = ACTIONS(5178),
    [sym__string_literal_kind] = ACTIONS(5178),
  },
  [2346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5742),
    [aux_sym_preproc_def_token1] = ACTIONS(5742),
    [aux_sym_preproc_if_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5742),
    [sym_preproc_directive] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [aux_sym_interface_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_block_data_statement_token2] = ACTIONS(5742),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5742),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5742),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5742),
    [aux_sym_language_binding_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5742),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5742),
    [aux_sym_use_statement_token1] = ACTIONS(5742),
    [aux_sym_use_statement_token2] = ACTIONS(5742),
    [aux_sym_implicit_statement_token1] = ACTIONS(5742),
    [aux_sym_implicit_statement_token3] = ACTIONS(5742),
    [aux_sym_implicit_statement_token4] = ACTIONS(5742),
    [aux_sym_save_statement_token1] = ACTIONS(5742),
    [aux_sym_private_statement_token1] = ACTIONS(5742),
    [aux_sym_public_statement_token1] = ACTIONS(5742),
    [aux_sym_namelist_statement_token1] = ACTIONS(5742),
    [aux_sym_common_statement_token1] = ACTIONS(5742),
    [aux_sym_import_statement_token1] = ACTIONS(5742),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5742),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5742),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5742),
    [aux_sym_variable_attributes_token1] = ACTIONS(5742),
    [aux_sym_variable_attributes_token2] = ACTIONS(5742),
    [aux_sym_variable_attributes_token3] = ACTIONS(5742),
    [aux_sym_variable_attributes_token4] = ACTIONS(5742),
    [aux_sym_variable_attributes_token5] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5742),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5742),
    [aux_sym_derived_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token1] = ACTIONS(5742),
    [aux_sym_declared_type_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5742),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5742),
    [aux_sym_type_qualifier_token1] = ACTIONS(5742),
    [aux_sym_type_qualifier_token2] = ACTIONS(5742),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5742),
    [aux_sym_stop_statement_token2] = ACTIONS(5742),
    [aux_sym_subroutine_call_token1] = ACTIONS(5742),
    [aux_sym_keyword_statement_token2] = ACTIONS(5742),
    [aux_sym_keyword_statement_token3] = ACTIONS(5742),
    [aux_sym_keyword_statement_token4] = ACTIONS(5742),
    [aux_sym_include_statement_token1] = ACTIONS(5742),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5742),
    [aux_sym_end_if_statement_token1] = ACTIONS(5742),
    [aux_sym_elseif_clause_token2] = ACTIONS(5742),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5742),
    [aux_sym_select_case_statement_token1] = ACTIONS(5742),
    [aux_sym_format_statement_token1] = ACTIONS(5742),
    [aux_sym_print_statement_token1] = ACTIONS(5742),
    [aux_sym_open_statement_token1] = ACTIONS(5742),
    [aux_sym_inquire_statement_token1] = ACTIONS(5742),
    [aux_sym_enum_statement_token1] = ACTIONS(5742),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5742),
    [aux_sym_entry_statement_token1] = ACTIONS(5742),
    [aux_sym_logical_expression_token5] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [aux_sym_boolean_literal_token1] = ACTIONS(5744),
    [aux_sym_boolean_literal_token2] = ACTIONS(5744),
    [aux_sym_null_literal_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_statement_token2] = ACTIONS(5742),
    [aux_sym_coarray_statement_token6] = ACTIONS(5742),
    [aux_sym_coarray_statement_token8] = ACTIONS(5742),
    [aux_sym_coarray_statement_token11] = ACTIONS(5742),
    [aux_sym_coarray_statement_token12] = ACTIONS(5742),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5742),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5742),
    [aux_sym_identifier_token1] = ACTIONS(5742),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5744),
    [sym__float_literal] = ACTIONS(5744),
    [sym__boz_literal] = ACTIONS(5744),
    [sym__string_literal] = ACTIONS(5744),
    [sym__string_literal_kind] = ACTIONS(5744),
  },
  [2347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6681),
    [aux_sym_preproc_def_token1] = ACTIONS(6681),
    [aux_sym_preproc_if_token1] = ACTIONS(6681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6681),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6681),
    [sym_preproc_directive] = ACTIONS(6681),
    [anon_sym_LPAREN2] = ACTIONS(6681),
    [anon_sym_PLUS] = ACTIONS(6683),
    [anon_sym_DASH] = ACTIONS(6683),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6681),
    [anon_sym_SEMI] = ACTIONS(6683),
    [aux_sym_interface_statement_token1] = ACTIONS(6681),
    [aux_sym_block_data_statement_token1] = ACTIONS(6681),
    [aux_sym_block_data_statement_token2] = ACTIONS(6681),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6681),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6681),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6681),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6681),
    [aux_sym_language_binding_token1] = ACTIONS(6681),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6681),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6681),
    [aux_sym_use_statement_token1] = ACTIONS(6681),
    [aux_sym_use_statement_token2] = ACTIONS(6681),
    [aux_sym_implicit_statement_token1] = ACTIONS(6681),
    [aux_sym_implicit_statement_token3] = ACTIONS(6681),
    [aux_sym_implicit_statement_token4] = ACTIONS(6681),
    [aux_sym_save_statement_token1] = ACTIONS(6681),
    [aux_sym_private_statement_token1] = ACTIONS(6681),
    [aux_sym_public_statement_token1] = ACTIONS(6681),
    [aux_sym_namelist_statement_token1] = ACTIONS(6681),
    [aux_sym_common_statement_token1] = ACTIONS(6681),
    [aux_sym_import_statement_token1] = ACTIONS(6681),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6681),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6681),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6681),
    [aux_sym_variable_attributes_token1] = ACTIONS(6681),
    [aux_sym_variable_attributes_token2] = ACTIONS(6681),
    [aux_sym_variable_attributes_token3] = ACTIONS(6681),
    [aux_sym_variable_attributes_token4] = ACTIONS(6681),
    [aux_sym_variable_attributes_token5] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6681),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6681),
    [aux_sym_derived_type_token1] = ACTIONS(6681),
    [aux_sym_declared_type_token1] = ACTIONS(6681),
    [aux_sym_declared_type_token2] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6681),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6681),
    [aux_sym_type_qualifier_token1] = ACTIONS(6681),
    [aux_sym_type_qualifier_token2] = ACTIONS(6681),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6681),
    [aux_sym_stop_statement_token1] = ACTIONS(6681),
    [aux_sym_stop_statement_token2] = ACTIONS(6681),
    [aux_sym_subroutine_call_token1] = ACTIONS(6681),
    [aux_sym_keyword_statement_token2] = ACTIONS(6681),
    [aux_sym_keyword_statement_token3] = ACTIONS(6681),
    [aux_sym_keyword_statement_token4] = ACTIONS(6681),
    [aux_sym_include_statement_token1] = ACTIONS(6681),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6681),
    [aux_sym_end_if_statement_token1] = ACTIONS(6681),
    [aux_sym_elseif_clause_token2] = ACTIONS(6681),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6681),
    [aux_sym_select_case_statement_token1] = ACTIONS(6681),
    [aux_sym_format_statement_token1] = ACTIONS(6681),
    [aux_sym_print_statement_token1] = ACTIONS(6681),
    [aux_sym_open_statement_token1] = ACTIONS(6681),
    [aux_sym_inquire_statement_token1] = ACTIONS(6681),
    [aux_sym_enum_statement_token1] = ACTIONS(6681),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6681),
    [aux_sym_entry_statement_token1] = ACTIONS(6681),
    [aux_sym_logical_expression_token5] = ACTIONS(6683),
    [anon_sym_DOT] = ACTIONS(6681),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6683),
    [anon_sym_LBRACK] = ACTIONS(6683),
    [aux_sym_boolean_literal_token1] = ACTIONS(6683),
    [aux_sym_boolean_literal_token2] = ACTIONS(6683),
    [aux_sym_null_literal_token1] = ACTIONS(6681),
    [aux_sym_coarray_statement_token1] = ACTIONS(6681),
    [aux_sym_coarray_statement_token2] = ACTIONS(6681),
    [aux_sym_coarray_statement_token6] = ACTIONS(6681),
    [aux_sym_coarray_statement_token8] = ACTIONS(6681),
    [aux_sym_coarray_statement_token11] = ACTIONS(6681),
    [aux_sym_coarray_statement_token12] = ACTIONS(6681),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6681),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6681),
    [aux_sym_identifier_token1] = ACTIONS(6681),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6683),
    [sym__float_literal] = ACTIONS(6683),
    [sym__boz_literal] = ACTIONS(6683),
    [sym__string_literal] = ACTIONS(6683),
    [sym__string_literal_kind] = ACTIONS(6683),
  },
  [2348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5662),
    [aux_sym_preproc_def_token1] = ACTIONS(5662),
    [aux_sym_preproc_if_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5662),
    [sym_preproc_directive] = ACTIONS(5662),
    [anon_sym_LPAREN2] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [aux_sym_interface_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_block_data_statement_token2] = ACTIONS(5662),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5662),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5662),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5662),
    [aux_sym_language_binding_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5662),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5662),
    [aux_sym_use_statement_token1] = ACTIONS(5662),
    [aux_sym_use_statement_token2] = ACTIONS(5662),
    [aux_sym_implicit_statement_token1] = ACTIONS(5662),
    [aux_sym_implicit_statement_token3] = ACTIONS(5662),
    [aux_sym_implicit_statement_token4] = ACTIONS(5662),
    [aux_sym_save_statement_token1] = ACTIONS(5662),
    [aux_sym_private_statement_token1] = ACTIONS(5662),
    [aux_sym_public_statement_token1] = ACTIONS(5662),
    [aux_sym_namelist_statement_token1] = ACTIONS(5662),
    [aux_sym_common_statement_token1] = ACTIONS(5662),
    [aux_sym_import_statement_token1] = ACTIONS(5662),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5662),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5662),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5662),
    [aux_sym_variable_attributes_token1] = ACTIONS(5662),
    [aux_sym_variable_attributes_token2] = ACTIONS(5662),
    [aux_sym_variable_attributes_token3] = ACTIONS(5662),
    [aux_sym_variable_attributes_token4] = ACTIONS(5662),
    [aux_sym_variable_attributes_token5] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5662),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5662),
    [aux_sym_derived_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token1] = ACTIONS(5662),
    [aux_sym_declared_type_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5662),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5662),
    [aux_sym_type_qualifier_token1] = ACTIONS(5662),
    [aux_sym_type_qualifier_token2] = ACTIONS(5662),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token1] = ACTIONS(5662),
    [aux_sym_stop_statement_token2] = ACTIONS(5662),
    [aux_sym_subroutine_call_token1] = ACTIONS(5662),
    [aux_sym_keyword_statement_token2] = ACTIONS(5662),
    [aux_sym_keyword_statement_token3] = ACTIONS(5662),
    [aux_sym_keyword_statement_token4] = ACTIONS(5662),
    [aux_sym_include_statement_token1] = ACTIONS(5662),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5662),
    [aux_sym_end_if_statement_token1] = ACTIONS(5662),
    [aux_sym_elseif_clause_token2] = ACTIONS(5662),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5662),
    [aux_sym_select_case_statement_token1] = ACTIONS(5662),
    [aux_sym_format_statement_token1] = ACTIONS(5662),
    [aux_sym_print_statement_token1] = ACTIONS(5662),
    [aux_sym_open_statement_token1] = ACTIONS(5662),
    [aux_sym_inquire_statement_token1] = ACTIONS(5662),
    [aux_sym_enum_statement_token1] = ACTIONS(5662),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5662),
    [aux_sym_entry_statement_token1] = ACTIONS(5662),
    [aux_sym_logical_expression_token5] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [aux_sym_boolean_literal_token1] = ACTIONS(5664),
    [aux_sym_boolean_literal_token2] = ACTIONS(5664),
    [aux_sym_null_literal_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_statement_token2] = ACTIONS(5662),
    [aux_sym_coarray_statement_token6] = ACTIONS(5662),
    [aux_sym_coarray_statement_token8] = ACTIONS(5662),
    [aux_sym_coarray_statement_token11] = ACTIONS(5662),
    [aux_sym_coarray_statement_token12] = ACTIONS(5662),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5662),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5662),
    [aux_sym_identifier_token1] = ACTIONS(5662),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5664),
    [sym__float_literal] = ACTIONS(5664),
    [sym__boz_literal] = ACTIONS(5664),
    [sym__string_literal] = ACTIONS(5664),
    [sym__string_literal_kind] = ACTIONS(5664),
  },
  [2349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5754),
    [aux_sym_preproc_def_token1] = ACTIONS(5754),
    [aux_sym_preproc_if_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5754),
    [sym_preproc_directive] = ACTIONS(5754),
    [anon_sym_LPAREN2] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [aux_sym_interface_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_block_data_statement_token2] = ACTIONS(5754),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5754),
    [aux_sym_language_binding_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5754),
    [aux_sym_use_statement_token1] = ACTIONS(5754),
    [aux_sym_use_statement_token2] = ACTIONS(5754),
    [aux_sym_implicit_statement_token1] = ACTIONS(5754),
    [aux_sym_implicit_statement_token3] = ACTIONS(5754),
    [aux_sym_implicit_statement_token4] = ACTIONS(5754),
    [aux_sym_save_statement_token1] = ACTIONS(5754),
    [aux_sym_private_statement_token1] = ACTIONS(5754),
    [aux_sym_public_statement_token1] = ACTIONS(5754),
    [aux_sym_namelist_statement_token1] = ACTIONS(5754),
    [aux_sym_common_statement_token1] = ACTIONS(5754),
    [aux_sym_import_statement_token1] = ACTIONS(5754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5754),
    [aux_sym_variable_attributes_token1] = ACTIONS(5754),
    [aux_sym_variable_attributes_token2] = ACTIONS(5754),
    [aux_sym_variable_attributes_token3] = ACTIONS(5754),
    [aux_sym_variable_attributes_token4] = ACTIONS(5754),
    [aux_sym_variable_attributes_token5] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5754),
    [aux_sym_derived_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token1] = ACTIONS(5754),
    [aux_sym_declared_type_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5754),
    [aux_sym_type_qualifier_token1] = ACTIONS(5754),
    [aux_sym_type_qualifier_token2] = ACTIONS(5754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5754),
    [aux_sym_stop_statement_token2] = ACTIONS(5754),
    [aux_sym_subroutine_call_token1] = ACTIONS(5754),
    [aux_sym_keyword_statement_token2] = ACTIONS(5754),
    [aux_sym_keyword_statement_token3] = ACTIONS(5754),
    [aux_sym_keyword_statement_token4] = ACTIONS(5754),
    [aux_sym_include_statement_token1] = ACTIONS(5754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5754),
    [aux_sym_end_if_statement_token1] = ACTIONS(5754),
    [aux_sym_elseif_clause_token2] = ACTIONS(5754),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5754),
    [aux_sym_select_case_statement_token1] = ACTIONS(5754),
    [aux_sym_format_statement_token1] = ACTIONS(5754),
    [aux_sym_print_statement_token1] = ACTIONS(5754),
    [aux_sym_open_statement_token1] = ACTIONS(5754),
    [aux_sym_inquire_statement_token1] = ACTIONS(5754),
    [aux_sym_enum_statement_token1] = ACTIONS(5754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5754),
    [aux_sym_entry_statement_token1] = ACTIONS(5754),
    [aux_sym_logical_expression_token5] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [aux_sym_boolean_literal_token1] = ACTIONS(5756),
    [aux_sym_boolean_literal_token2] = ACTIONS(5756),
    [aux_sym_null_literal_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_statement_token2] = ACTIONS(5754),
    [aux_sym_coarray_statement_token6] = ACTIONS(5754),
    [aux_sym_coarray_statement_token8] = ACTIONS(5754),
    [aux_sym_coarray_statement_token11] = ACTIONS(5754),
    [aux_sym_coarray_statement_token12] = ACTIONS(5754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5754),
    [aux_sym_identifier_token1] = ACTIONS(5754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5756),
    [sym__float_literal] = ACTIONS(5756),
    [sym__boz_literal] = ACTIONS(5756),
    [sym__string_literal] = ACTIONS(5756),
    [sym__string_literal_kind] = ACTIONS(5756),
  },
  [2350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5244),
    [aux_sym_preproc_def_token1] = ACTIONS(5244),
    [aux_sym_preproc_if_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5244),
    [sym_preproc_directive] = ACTIONS(5244),
    [anon_sym_LPAREN2] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [aux_sym_interface_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_block_data_statement_token2] = ACTIONS(5244),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5244),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5244),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5244),
    [aux_sym_language_binding_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5244),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5244),
    [aux_sym_use_statement_token1] = ACTIONS(5244),
    [aux_sym_use_statement_token2] = ACTIONS(5244),
    [aux_sym_implicit_statement_token1] = ACTIONS(5244),
    [aux_sym_implicit_statement_token3] = ACTIONS(5244),
    [aux_sym_implicit_statement_token4] = ACTIONS(5244),
    [aux_sym_save_statement_token1] = ACTIONS(5244),
    [aux_sym_private_statement_token1] = ACTIONS(5244),
    [aux_sym_public_statement_token1] = ACTIONS(5244),
    [aux_sym_namelist_statement_token1] = ACTIONS(5244),
    [aux_sym_common_statement_token1] = ACTIONS(5244),
    [aux_sym_import_statement_token1] = ACTIONS(5244),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5244),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5244),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5244),
    [aux_sym_variable_attributes_token1] = ACTIONS(5244),
    [aux_sym_variable_attributes_token2] = ACTIONS(5244),
    [aux_sym_variable_attributes_token3] = ACTIONS(5244),
    [aux_sym_variable_attributes_token4] = ACTIONS(5244),
    [aux_sym_variable_attributes_token5] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5244),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5244),
    [aux_sym_derived_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token1] = ACTIONS(5244),
    [aux_sym_declared_type_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5244),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5244),
    [aux_sym_type_qualifier_token1] = ACTIONS(5244),
    [aux_sym_type_qualifier_token2] = ACTIONS(5244),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token1] = ACTIONS(5244),
    [aux_sym_stop_statement_token2] = ACTIONS(5244),
    [aux_sym_subroutine_call_token1] = ACTIONS(5244),
    [aux_sym_keyword_statement_token2] = ACTIONS(5244),
    [aux_sym_keyword_statement_token3] = ACTIONS(5244),
    [aux_sym_keyword_statement_token4] = ACTIONS(5244),
    [aux_sym_include_statement_token1] = ACTIONS(5244),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5244),
    [aux_sym_end_if_statement_token1] = ACTIONS(5244),
    [aux_sym_elseif_clause_token2] = ACTIONS(5244),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5244),
    [aux_sym_select_case_statement_token1] = ACTIONS(5244),
    [aux_sym_format_statement_token1] = ACTIONS(5244),
    [aux_sym_print_statement_token1] = ACTIONS(5244),
    [aux_sym_open_statement_token1] = ACTIONS(5244),
    [aux_sym_inquire_statement_token1] = ACTIONS(5244),
    [aux_sym_enum_statement_token1] = ACTIONS(5244),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5244),
    [aux_sym_entry_statement_token1] = ACTIONS(5244),
    [aux_sym_logical_expression_token5] = ACTIONS(5246),
    [anon_sym_DOT] = ACTIONS(5244),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5246),
    [aux_sym_boolean_literal_token1] = ACTIONS(5246),
    [aux_sym_boolean_literal_token2] = ACTIONS(5246),
    [aux_sym_null_literal_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_statement_token2] = ACTIONS(5244),
    [aux_sym_coarray_statement_token6] = ACTIONS(5244),
    [aux_sym_coarray_statement_token8] = ACTIONS(5244),
    [aux_sym_coarray_statement_token11] = ACTIONS(5244),
    [aux_sym_coarray_statement_token12] = ACTIONS(5244),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5244),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5244),
    [aux_sym_identifier_token1] = ACTIONS(5244),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5246),
    [sym__float_literal] = ACTIONS(5246),
    [sym__boz_literal] = ACTIONS(5246),
    [sym__string_literal] = ACTIONS(5246),
    [sym__string_literal_kind] = ACTIONS(5246),
  },
  [2351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5782),
    [aux_sym_preproc_def_token1] = ACTIONS(5782),
    [aux_sym_preproc_if_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5782),
    [sym_preproc_directive] = ACTIONS(5782),
    [anon_sym_LPAREN2] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [aux_sym_interface_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_block_data_statement_token2] = ACTIONS(5782),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5782),
    [aux_sym_language_binding_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5782),
    [aux_sym_use_statement_token1] = ACTIONS(5782),
    [aux_sym_use_statement_token2] = ACTIONS(5782),
    [aux_sym_implicit_statement_token1] = ACTIONS(5782),
    [aux_sym_implicit_statement_token3] = ACTIONS(5782),
    [aux_sym_implicit_statement_token4] = ACTIONS(5782),
    [aux_sym_save_statement_token1] = ACTIONS(5782),
    [aux_sym_private_statement_token1] = ACTIONS(5782),
    [aux_sym_public_statement_token1] = ACTIONS(5782),
    [aux_sym_namelist_statement_token1] = ACTIONS(5782),
    [aux_sym_common_statement_token1] = ACTIONS(5782),
    [aux_sym_import_statement_token1] = ACTIONS(5782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5782),
    [aux_sym_variable_attributes_token1] = ACTIONS(5782),
    [aux_sym_variable_attributes_token2] = ACTIONS(5782),
    [aux_sym_variable_attributes_token3] = ACTIONS(5782),
    [aux_sym_variable_attributes_token4] = ACTIONS(5782),
    [aux_sym_variable_attributes_token5] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5782),
    [aux_sym_derived_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token1] = ACTIONS(5782),
    [aux_sym_declared_type_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5782),
    [aux_sym_type_qualifier_token1] = ACTIONS(5782),
    [aux_sym_type_qualifier_token2] = ACTIONS(5782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5782),
    [aux_sym_stop_statement_token2] = ACTIONS(5782),
    [aux_sym_subroutine_call_token1] = ACTIONS(5782),
    [aux_sym_keyword_statement_token2] = ACTIONS(5782),
    [aux_sym_keyword_statement_token3] = ACTIONS(5782),
    [aux_sym_keyword_statement_token4] = ACTIONS(5782),
    [aux_sym_include_statement_token1] = ACTIONS(5782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5782),
    [aux_sym_end_if_statement_token1] = ACTIONS(5782),
    [aux_sym_elseif_clause_token2] = ACTIONS(5782),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5782),
    [aux_sym_select_case_statement_token1] = ACTIONS(5782),
    [aux_sym_format_statement_token1] = ACTIONS(5782),
    [aux_sym_print_statement_token1] = ACTIONS(5782),
    [aux_sym_open_statement_token1] = ACTIONS(5782),
    [aux_sym_inquire_statement_token1] = ACTIONS(5782),
    [aux_sym_enum_statement_token1] = ACTIONS(5782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5782),
    [aux_sym_entry_statement_token1] = ACTIONS(5782),
    [aux_sym_logical_expression_token5] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [aux_sym_boolean_literal_token1] = ACTIONS(5784),
    [aux_sym_boolean_literal_token2] = ACTIONS(5784),
    [aux_sym_null_literal_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_statement_token2] = ACTIONS(5782),
    [aux_sym_coarray_statement_token6] = ACTIONS(5782),
    [aux_sym_coarray_statement_token8] = ACTIONS(5782),
    [aux_sym_coarray_statement_token11] = ACTIONS(5782),
    [aux_sym_coarray_statement_token12] = ACTIONS(5782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5782),
    [aux_sym_identifier_token1] = ACTIONS(5782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5784),
    [sym__float_literal] = ACTIONS(5784),
    [sym__boz_literal] = ACTIONS(5784),
    [sym__string_literal] = ACTIONS(5784),
    [sym__string_literal_kind] = ACTIONS(5784),
  },
  [2352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6569),
    [aux_sym_preproc_def_token1] = ACTIONS(6569),
    [aux_sym_preproc_if_token1] = ACTIONS(6569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6569),
    [sym_preproc_directive] = ACTIONS(6569),
    [anon_sym_LPAREN2] = ACTIONS(6569),
    [anon_sym_PLUS] = ACTIONS(6571),
    [anon_sym_DASH] = ACTIONS(6571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6569),
    [anon_sym_SEMI] = ACTIONS(6571),
    [aux_sym_interface_statement_token1] = ACTIONS(6569),
    [aux_sym_block_data_statement_token1] = ACTIONS(6569),
    [aux_sym_block_data_statement_token2] = ACTIONS(6569),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6569),
    [aux_sym_language_binding_token1] = ACTIONS(6569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6569),
    [aux_sym_use_statement_token1] = ACTIONS(6569),
    [aux_sym_use_statement_token2] = ACTIONS(6569),
    [aux_sym_implicit_statement_token1] = ACTIONS(6569),
    [aux_sym_implicit_statement_token3] = ACTIONS(6569),
    [aux_sym_implicit_statement_token4] = ACTIONS(6569),
    [aux_sym_save_statement_token1] = ACTIONS(6569),
    [aux_sym_private_statement_token1] = ACTIONS(6569),
    [aux_sym_public_statement_token1] = ACTIONS(6569),
    [aux_sym_namelist_statement_token1] = ACTIONS(6569),
    [aux_sym_common_statement_token1] = ACTIONS(6569),
    [aux_sym_import_statement_token1] = ACTIONS(6569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6569),
    [aux_sym_variable_attributes_token1] = ACTIONS(6569),
    [aux_sym_variable_attributes_token2] = ACTIONS(6569),
    [aux_sym_variable_attributes_token3] = ACTIONS(6569),
    [aux_sym_variable_attributes_token4] = ACTIONS(6569),
    [aux_sym_variable_attributes_token5] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6569),
    [aux_sym_derived_type_token1] = ACTIONS(6569),
    [aux_sym_declared_type_token1] = ACTIONS(6569),
    [aux_sym_declared_type_token2] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6569),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6569),
    [aux_sym_type_qualifier_token1] = ACTIONS(6569),
    [aux_sym_type_qualifier_token2] = ACTIONS(6569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6569),
    [aux_sym_stop_statement_token1] = ACTIONS(6569),
    [aux_sym_stop_statement_token2] = ACTIONS(6569),
    [aux_sym_subroutine_call_token1] = ACTIONS(6569),
    [aux_sym_keyword_statement_token2] = ACTIONS(6569),
    [aux_sym_keyword_statement_token3] = ACTIONS(6569),
    [aux_sym_keyword_statement_token4] = ACTIONS(6569),
    [aux_sym_include_statement_token1] = ACTIONS(6569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6569),
    [aux_sym_end_if_statement_token1] = ACTIONS(6569),
    [aux_sym_elseif_clause_token2] = ACTIONS(6569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6569),
    [aux_sym_select_case_statement_token1] = ACTIONS(6569),
    [aux_sym_format_statement_token1] = ACTIONS(6569),
    [aux_sym_print_statement_token1] = ACTIONS(6569),
    [aux_sym_open_statement_token1] = ACTIONS(6569),
    [aux_sym_inquire_statement_token1] = ACTIONS(6569),
    [aux_sym_enum_statement_token1] = ACTIONS(6569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6569),
    [aux_sym_entry_statement_token1] = ACTIONS(6569),
    [aux_sym_logical_expression_token5] = ACTIONS(6571),
    [anon_sym_DOT] = ACTIONS(6569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6571),
    [aux_sym_boolean_literal_token1] = ACTIONS(6571),
    [aux_sym_boolean_literal_token2] = ACTIONS(6571),
    [aux_sym_null_literal_token1] = ACTIONS(6569),
    [aux_sym_coarray_statement_token1] = ACTIONS(6569),
    [aux_sym_coarray_statement_token2] = ACTIONS(6569),
    [aux_sym_coarray_statement_token6] = ACTIONS(6569),
    [aux_sym_coarray_statement_token8] = ACTIONS(6569),
    [aux_sym_coarray_statement_token11] = ACTIONS(6569),
    [aux_sym_coarray_statement_token12] = ACTIONS(6569),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6569),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6569),
    [aux_sym_identifier_token1] = ACTIONS(6569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6571),
    [sym__float_literal] = ACTIONS(6571),
    [sym__boz_literal] = ACTIONS(6571),
    [sym__string_literal] = ACTIONS(6571),
    [sym__string_literal_kind] = ACTIONS(6571),
  },
  [2353] = {
    [sym_assignment] = STATE(6927),
    [sym_operator] = STATE(6927),
    [sym_defined_io_procedure] = STATE(6927),
    [sym__generic_procedure] = STATE(6927),
    [sym_identifier] = STATE(6927),
    [sym__end_of_statement] = STATE(1418),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6685),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6687),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6685),
  },
  [2354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_interface_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_language_binding_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token1] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_namelist_statement_token1] = ACTIONS(5272),
    [aux_sym_common_statement_token1] = ACTIONS(5272),
    [aux_sym_import_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token1] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token4] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token1] = ACTIONS(5272),
    [aux_sym_declared_type_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_enum_statement_token1] = ACTIONS(5272),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5570),
    [anon_sym_SEMI] = ACTIONS(5574),
    [aux_sym_interface_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_block_data_statement_token2] = ACTIONS(5570),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5570),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5570),
    [aux_sym_language_binding_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5570),
    [aux_sym_use_statement_token1] = ACTIONS(5570),
    [aux_sym_use_statement_token2] = ACTIONS(5570),
    [aux_sym_implicit_statement_token1] = ACTIONS(5570),
    [aux_sym_implicit_statement_token3] = ACTIONS(5570),
    [aux_sym_implicit_statement_token4] = ACTIONS(5570),
    [aux_sym_save_statement_token1] = ACTIONS(5570),
    [aux_sym_private_statement_token1] = ACTIONS(5570),
    [aux_sym_public_statement_token1] = ACTIONS(5570),
    [aux_sym_namelist_statement_token1] = ACTIONS(5570),
    [aux_sym_common_statement_token1] = ACTIONS(5570),
    [aux_sym_import_statement_token1] = ACTIONS(5570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5570),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5570),
    [aux_sym_variable_attributes_token1] = ACTIONS(5570),
    [aux_sym_variable_attributes_token2] = ACTIONS(5570),
    [aux_sym_variable_attributes_token3] = ACTIONS(5570),
    [aux_sym_variable_attributes_token4] = ACTIONS(5570),
    [aux_sym_variable_attributes_token5] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5570),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5570),
    [aux_sym_derived_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token1] = ACTIONS(5570),
    [aux_sym_declared_type_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5570),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5570),
    [aux_sym_type_qualifier_token1] = ACTIONS(5570),
    [aux_sym_type_qualifier_token2] = ACTIONS(5570),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token1] = ACTIONS(5570),
    [aux_sym_stop_statement_token2] = ACTIONS(5570),
    [aux_sym_subroutine_call_token1] = ACTIONS(5570),
    [aux_sym_keyword_statement_token2] = ACTIONS(5570),
    [aux_sym_keyword_statement_token3] = ACTIONS(5570),
    [aux_sym_keyword_statement_token4] = ACTIONS(5570),
    [aux_sym_include_statement_token1] = ACTIONS(5570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5570),
    [aux_sym_end_if_statement_token1] = ACTIONS(5570),
    [aux_sym_elseif_clause_token2] = ACTIONS(5570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5570),
    [aux_sym_select_case_statement_token1] = ACTIONS(5570),
    [aux_sym_format_statement_token1] = ACTIONS(5570),
    [aux_sym_print_statement_token1] = ACTIONS(5570),
    [aux_sym_open_statement_token1] = ACTIONS(5570),
    [aux_sym_inquire_statement_token1] = ACTIONS(5570),
    [aux_sym_enum_statement_token1] = ACTIONS(5570),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5570),
    [aux_sym_entry_statement_token1] = ACTIONS(5570),
    [aux_sym_logical_expression_token5] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [aux_sym_boolean_literal_token1] = ACTIONS(5574),
    [aux_sym_boolean_literal_token2] = ACTIONS(5574),
    [aux_sym_null_literal_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_statement_token2] = ACTIONS(5570),
    [aux_sym_coarray_statement_token6] = ACTIONS(5570),
    [aux_sym_coarray_statement_token8] = ACTIONS(5570),
    [aux_sym_coarray_statement_token11] = ACTIONS(5570),
    [aux_sym_coarray_statement_token12] = ACTIONS(5570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5570),
    [aux_sym_identifier_token1] = ACTIONS(5570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5574),
    [sym__float_literal] = ACTIONS(5574),
    [sym__boz_literal] = ACTIONS(5574),
    [sym__string_literal] = ACTIONS(5574),
    [sym__string_literal_kind] = ACTIONS(5574),
  },
  [2356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_block_data_statement_token2] = ACTIONS(5050),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5054),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [aux_sym_boolean_literal_token1] = ACTIONS(5054),
    [aux_sym_boolean_literal_token2] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5054),
    [sym__float_literal] = ACTIONS(5054),
    [sym__boz_literal] = ACTIONS(5054),
    [sym__string_literal] = ACTIONS(5054),
    [sym__string_literal_kind] = ACTIONS(5054),
  },
  [2357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5708),
    [aux_sym_preproc_def_token1] = ACTIONS(5708),
    [aux_sym_preproc_if_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5708),
    [sym_preproc_directive] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5710),
    [aux_sym_interface_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_block_data_statement_token2] = ACTIONS(5708),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5708),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5708),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5708),
    [aux_sym_language_binding_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5708),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5708),
    [aux_sym_use_statement_token1] = ACTIONS(5708),
    [aux_sym_use_statement_token2] = ACTIONS(5708),
    [aux_sym_implicit_statement_token1] = ACTIONS(5708),
    [aux_sym_implicit_statement_token3] = ACTIONS(5708),
    [aux_sym_implicit_statement_token4] = ACTIONS(5708),
    [aux_sym_save_statement_token1] = ACTIONS(5708),
    [aux_sym_private_statement_token1] = ACTIONS(5708),
    [aux_sym_public_statement_token1] = ACTIONS(5708),
    [aux_sym_namelist_statement_token1] = ACTIONS(5708),
    [aux_sym_common_statement_token1] = ACTIONS(5708),
    [aux_sym_import_statement_token1] = ACTIONS(5708),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5708),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5708),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5708),
    [aux_sym_variable_attributes_token1] = ACTIONS(5708),
    [aux_sym_variable_attributes_token2] = ACTIONS(5708),
    [aux_sym_variable_attributes_token3] = ACTIONS(5708),
    [aux_sym_variable_attributes_token4] = ACTIONS(5708),
    [aux_sym_variable_attributes_token5] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5708),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5708),
    [aux_sym_derived_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token1] = ACTIONS(5708),
    [aux_sym_declared_type_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5708),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5708),
    [aux_sym_type_qualifier_token1] = ACTIONS(5708),
    [aux_sym_type_qualifier_token2] = ACTIONS(5708),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5708),
    [aux_sym_stop_statement_token2] = ACTIONS(5708),
    [aux_sym_subroutine_call_token1] = ACTIONS(5708),
    [aux_sym_keyword_statement_token2] = ACTIONS(5708),
    [aux_sym_keyword_statement_token3] = ACTIONS(5708),
    [aux_sym_keyword_statement_token4] = ACTIONS(5708),
    [aux_sym_include_statement_token1] = ACTIONS(5708),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5708),
    [aux_sym_end_if_statement_token1] = ACTIONS(5708),
    [aux_sym_elseif_clause_token2] = ACTIONS(5708),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5708),
    [aux_sym_select_case_statement_token1] = ACTIONS(5708),
    [aux_sym_format_statement_token1] = ACTIONS(5708),
    [aux_sym_print_statement_token1] = ACTIONS(5708),
    [aux_sym_open_statement_token1] = ACTIONS(5708),
    [aux_sym_inquire_statement_token1] = ACTIONS(5708),
    [aux_sym_enum_statement_token1] = ACTIONS(5708),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5708),
    [aux_sym_entry_statement_token1] = ACTIONS(5708),
    [aux_sym_logical_expression_token5] = ACTIONS(5710),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [aux_sym_boolean_literal_token1] = ACTIONS(5710),
    [aux_sym_boolean_literal_token2] = ACTIONS(5710),
    [aux_sym_null_literal_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_statement_token2] = ACTIONS(5708),
    [aux_sym_coarray_statement_token6] = ACTIONS(5708),
    [aux_sym_coarray_statement_token8] = ACTIONS(5708),
    [aux_sym_coarray_statement_token11] = ACTIONS(5708),
    [aux_sym_coarray_statement_token12] = ACTIONS(5708),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5708),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5708),
    [aux_sym_identifier_token1] = ACTIONS(5708),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5710),
    [sym__float_literal] = ACTIONS(5710),
    [sym__boz_literal] = ACTIONS(5710),
    [sym__string_literal] = ACTIONS(5710),
    [sym__string_literal_kind] = ACTIONS(5710),
  },
  [2358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_interface_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_language_binding_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token1] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_namelist_statement_token1] = ACTIONS(5268),
    [aux_sym_common_statement_token1] = ACTIONS(5268),
    [aux_sym_import_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token1] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token4] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token1] = ACTIONS(5268),
    [aux_sym_declared_type_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_enum_statement_token1] = ACTIONS(5268),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2360] = {
    [sym_assignment] = STATE(6990),
    [sym_operator] = STATE(6990),
    [sym_defined_io_procedure] = STATE(6990),
    [sym__generic_procedure] = STATE(6990),
    [sym_identifier] = STATE(6990),
    [sym__end_of_statement] = STATE(1836),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6689),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6691),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6689),
  },
  [2361] = {
    [sym_assignment] = STATE(6994),
    [sym_operator] = STATE(6994),
    [sym_defined_io_procedure] = STATE(6994),
    [sym__generic_procedure] = STATE(6994),
    [sym_identifier] = STATE(6994),
    [sym__end_of_statement] = STATE(1837),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6693),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6695),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6693),
  },
  [2362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6573),
    [aux_sym_preproc_def_token1] = ACTIONS(6573),
    [aux_sym_preproc_if_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6573),
    [sym_preproc_directive] = ACTIONS(6573),
    [anon_sym_LPAREN2] = ACTIONS(6573),
    [anon_sym_PLUS] = ACTIONS(6575),
    [anon_sym_DASH] = ACTIONS(6575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6573),
    [anon_sym_SEMI] = ACTIONS(6575),
    [aux_sym_interface_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_block_data_statement_token2] = ACTIONS(6573),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6573),
    [aux_sym_language_binding_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6573),
    [aux_sym_use_statement_token1] = ACTIONS(6573),
    [aux_sym_use_statement_token2] = ACTIONS(6573),
    [aux_sym_implicit_statement_token1] = ACTIONS(6573),
    [aux_sym_implicit_statement_token3] = ACTIONS(6573),
    [aux_sym_implicit_statement_token4] = ACTIONS(6573),
    [aux_sym_save_statement_token1] = ACTIONS(6573),
    [aux_sym_private_statement_token1] = ACTIONS(6573),
    [aux_sym_public_statement_token1] = ACTIONS(6573),
    [aux_sym_namelist_statement_token1] = ACTIONS(6573),
    [aux_sym_common_statement_token1] = ACTIONS(6573),
    [aux_sym_import_statement_token1] = ACTIONS(6573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6573),
    [aux_sym_variable_attributes_token1] = ACTIONS(6573),
    [aux_sym_variable_attributes_token2] = ACTIONS(6573),
    [aux_sym_variable_attributes_token3] = ACTIONS(6573),
    [aux_sym_variable_attributes_token4] = ACTIONS(6573),
    [aux_sym_variable_attributes_token5] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6573),
    [aux_sym_derived_type_token1] = ACTIONS(6573),
    [aux_sym_declared_type_token1] = ACTIONS(6573),
    [aux_sym_declared_type_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6573),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6573),
    [aux_sym_type_qualifier_token1] = ACTIONS(6573),
    [aux_sym_type_qualifier_token2] = ACTIONS(6573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token1] = ACTIONS(6573),
    [aux_sym_stop_statement_token2] = ACTIONS(6573),
    [aux_sym_subroutine_call_token1] = ACTIONS(6573),
    [aux_sym_keyword_statement_token2] = ACTIONS(6573),
    [aux_sym_keyword_statement_token3] = ACTIONS(6573),
    [aux_sym_keyword_statement_token4] = ACTIONS(6573),
    [aux_sym_include_statement_token1] = ACTIONS(6573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6573),
    [aux_sym_end_if_statement_token1] = ACTIONS(6573),
    [aux_sym_elseif_clause_token2] = ACTIONS(6573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6573),
    [aux_sym_select_case_statement_token1] = ACTIONS(6573),
    [aux_sym_format_statement_token1] = ACTIONS(6573),
    [aux_sym_print_statement_token1] = ACTIONS(6573),
    [aux_sym_open_statement_token1] = ACTIONS(6573),
    [aux_sym_inquire_statement_token1] = ACTIONS(6573),
    [aux_sym_enum_statement_token1] = ACTIONS(6573),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6573),
    [aux_sym_entry_statement_token1] = ACTIONS(6573),
    [aux_sym_logical_expression_token5] = ACTIONS(6575),
    [anon_sym_DOT] = ACTIONS(6573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6575),
    [aux_sym_boolean_literal_token1] = ACTIONS(6575),
    [aux_sym_boolean_literal_token2] = ACTIONS(6575),
    [aux_sym_null_literal_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_statement_token2] = ACTIONS(6573),
    [aux_sym_coarray_statement_token6] = ACTIONS(6573),
    [aux_sym_coarray_statement_token8] = ACTIONS(6573),
    [aux_sym_coarray_statement_token11] = ACTIONS(6573),
    [aux_sym_coarray_statement_token12] = ACTIONS(6573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6573),
    [aux_sym_identifier_token1] = ACTIONS(6573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6575),
    [sym__float_literal] = ACTIONS(6575),
    [sym__boz_literal] = ACTIONS(6575),
    [sym__string_literal] = ACTIONS(6575),
    [sym__string_literal_kind] = ACTIONS(6575),
  },
  [2363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5598),
    [anon_sym_SEMI] = ACTIONS(5602),
    [aux_sym_interface_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_block_data_statement_token2] = ACTIONS(5598),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5598),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5598),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5598),
    [aux_sym_language_binding_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5598),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5598),
    [aux_sym_use_statement_token1] = ACTIONS(5598),
    [aux_sym_use_statement_token2] = ACTIONS(5598),
    [aux_sym_implicit_statement_token1] = ACTIONS(5598),
    [aux_sym_implicit_statement_token3] = ACTIONS(5598),
    [aux_sym_implicit_statement_token4] = ACTIONS(5598),
    [aux_sym_save_statement_token1] = ACTIONS(5598),
    [aux_sym_private_statement_token1] = ACTIONS(5598),
    [aux_sym_public_statement_token1] = ACTIONS(5598),
    [aux_sym_namelist_statement_token1] = ACTIONS(5598),
    [aux_sym_common_statement_token1] = ACTIONS(5598),
    [aux_sym_import_statement_token1] = ACTIONS(5598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5598),
    [aux_sym_variable_attributes_token1] = ACTIONS(5598),
    [aux_sym_variable_attributes_token2] = ACTIONS(5598),
    [aux_sym_variable_attributes_token3] = ACTIONS(5598),
    [aux_sym_variable_attributes_token4] = ACTIONS(5598),
    [aux_sym_variable_attributes_token5] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5598),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5598),
    [aux_sym_derived_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token1] = ACTIONS(5598),
    [aux_sym_declared_type_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5598),
    [aux_sym_type_qualifier_token1] = ACTIONS(5598),
    [aux_sym_type_qualifier_token2] = ACTIONS(5598),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5598),
    [aux_sym_stop_statement_token2] = ACTIONS(5598),
    [aux_sym_subroutine_call_token1] = ACTIONS(5598),
    [aux_sym_keyword_statement_token2] = ACTIONS(5598),
    [aux_sym_keyword_statement_token3] = ACTIONS(5598),
    [aux_sym_keyword_statement_token4] = ACTIONS(5598),
    [aux_sym_include_statement_token1] = ACTIONS(5598),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5598),
    [aux_sym_end_if_statement_token1] = ACTIONS(5598),
    [aux_sym_elseif_clause_token2] = ACTIONS(5598),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5598),
    [aux_sym_select_case_statement_token1] = ACTIONS(5598),
    [aux_sym_format_statement_token1] = ACTIONS(5598),
    [aux_sym_print_statement_token1] = ACTIONS(5598),
    [aux_sym_open_statement_token1] = ACTIONS(5598),
    [aux_sym_inquire_statement_token1] = ACTIONS(5598),
    [aux_sym_enum_statement_token1] = ACTIONS(5598),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5598),
    [aux_sym_entry_statement_token1] = ACTIONS(5598),
    [aux_sym_logical_expression_token5] = ACTIONS(5602),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [aux_sym_boolean_literal_token1] = ACTIONS(5602),
    [aux_sym_boolean_literal_token2] = ACTIONS(5602),
    [aux_sym_null_literal_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_statement_token2] = ACTIONS(5598),
    [aux_sym_coarray_statement_token6] = ACTIONS(5598),
    [aux_sym_coarray_statement_token8] = ACTIONS(5598),
    [aux_sym_coarray_statement_token11] = ACTIONS(5598),
    [aux_sym_coarray_statement_token12] = ACTIONS(5598),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5598),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5598),
    [aux_sym_identifier_token1] = ACTIONS(5598),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5602),
    [sym__float_literal] = ACTIONS(5602),
    [sym__boz_literal] = ACTIONS(5602),
    [sym__string_literal] = ACTIONS(5602),
    [sym__string_literal_kind] = ACTIONS(5602),
  },
  [2364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6697),
    [aux_sym_preproc_def_token1] = ACTIONS(6697),
    [aux_sym_preproc_if_token1] = ACTIONS(6697),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6697),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6697),
    [sym_preproc_directive] = ACTIONS(6697),
    [anon_sym_LPAREN2] = ACTIONS(6697),
    [anon_sym_PLUS] = ACTIONS(6699),
    [anon_sym_DASH] = ACTIONS(6699),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6697),
    [anon_sym_SEMI] = ACTIONS(6699),
    [aux_sym_interface_statement_token1] = ACTIONS(6697),
    [aux_sym_block_data_statement_token1] = ACTIONS(6697),
    [aux_sym_block_data_statement_token2] = ACTIONS(6697),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6697),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6697),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6697),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6697),
    [aux_sym_language_binding_token1] = ACTIONS(6697),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6697),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6697),
    [aux_sym_use_statement_token1] = ACTIONS(6697),
    [aux_sym_use_statement_token2] = ACTIONS(6697),
    [aux_sym_implicit_statement_token1] = ACTIONS(6697),
    [aux_sym_implicit_statement_token3] = ACTIONS(6697),
    [aux_sym_implicit_statement_token4] = ACTIONS(6697),
    [aux_sym_save_statement_token1] = ACTIONS(6697),
    [aux_sym_private_statement_token1] = ACTIONS(6697),
    [aux_sym_public_statement_token1] = ACTIONS(6697),
    [aux_sym_namelist_statement_token1] = ACTIONS(6697),
    [aux_sym_common_statement_token1] = ACTIONS(6697),
    [aux_sym_import_statement_token1] = ACTIONS(6697),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6697),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6697),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6697),
    [aux_sym_variable_attributes_token1] = ACTIONS(6697),
    [aux_sym_variable_attributes_token2] = ACTIONS(6697),
    [aux_sym_variable_attributes_token3] = ACTIONS(6697),
    [aux_sym_variable_attributes_token4] = ACTIONS(6697),
    [aux_sym_variable_attributes_token5] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6697),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6697),
    [aux_sym_derived_type_token1] = ACTIONS(6697),
    [aux_sym_declared_type_token1] = ACTIONS(6697),
    [aux_sym_declared_type_token2] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6697),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6697),
    [aux_sym_type_qualifier_token1] = ACTIONS(6697),
    [aux_sym_type_qualifier_token2] = ACTIONS(6697),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6697),
    [aux_sym_stop_statement_token1] = ACTIONS(6697),
    [aux_sym_stop_statement_token2] = ACTIONS(6697),
    [aux_sym_subroutine_call_token1] = ACTIONS(6697),
    [aux_sym_keyword_statement_token2] = ACTIONS(6697),
    [aux_sym_keyword_statement_token3] = ACTIONS(6697),
    [aux_sym_keyword_statement_token4] = ACTIONS(6697),
    [aux_sym_include_statement_token1] = ACTIONS(6697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6697),
    [aux_sym_end_if_statement_token1] = ACTIONS(6697),
    [aux_sym_elseif_clause_token2] = ACTIONS(6697),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6697),
    [aux_sym_select_case_statement_token1] = ACTIONS(6697),
    [aux_sym_format_statement_token1] = ACTIONS(6697),
    [aux_sym_print_statement_token1] = ACTIONS(6697),
    [aux_sym_open_statement_token1] = ACTIONS(6697),
    [aux_sym_inquire_statement_token1] = ACTIONS(6697),
    [aux_sym_enum_statement_token1] = ACTIONS(6697),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6697),
    [aux_sym_entry_statement_token1] = ACTIONS(6697),
    [aux_sym_logical_expression_token5] = ACTIONS(6699),
    [anon_sym_DOT] = ACTIONS(6697),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6699),
    [anon_sym_LBRACK] = ACTIONS(6699),
    [aux_sym_boolean_literal_token1] = ACTIONS(6699),
    [aux_sym_boolean_literal_token2] = ACTIONS(6699),
    [aux_sym_null_literal_token1] = ACTIONS(6697),
    [aux_sym_coarray_statement_token1] = ACTIONS(6697),
    [aux_sym_coarray_statement_token2] = ACTIONS(6697),
    [aux_sym_coarray_statement_token6] = ACTIONS(6697),
    [aux_sym_coarray_statement_token8] = ACTIONS(6697),
    [aux_sym_coarray_statement_token11] = ACTIONS(6697),
    [aux_sym_coarray_statement_token12] = ACTIONS(6697),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6697),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6697),
    [aux_sym_identifier_token1] = ACTIONS(6697),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6699),
    [sym__float_literal] = ACTIONS(6699),
    [sym__boz_literal] = ACTIONS(6699),
    [sym__string_literal] = ACTIONS(6699),
    [sym__string_literal_kind] = ACTIONS(6699),
  },
  [2365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6701),
    [aux_sym_preproc_def_token1] = ACTIONS(6701),
    [aux_sym_preproc_if_token1] = ACTIONS(6701),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6701),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6701),
    [sym_preproc_directive] = ACTIONS(6701),
    [anon_sym_LPAREN2] = ACTIONS(6701),
    [anon_sym_PLUS] = ACTIONS(6703),
    [anon_sym_DASH] = ACTIONS(6703),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6701),
    [anon_sym_SEMI] = ACTIONS(6703),
    [aux_sym_interface_statement_token1] = ACTIONS(6701),
    [aux_sym_block_data_statement_token1] = ACTIONS(6701),
    [aux_sym_block_data_statement_token2] = ACTIONS(6701),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6701),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6701),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6701),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6701),
    [aux_sym_language_binding_token1] = ACTIONS(6701),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6701),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6701),
    [aux_sym_use_statement_token1] = ACTIONS(6701),
    [aux_sym_use_statement_token2] = ACTIONS(6701),
    [aux_sym_implicit_statement_token1] = ACTIONS(6701),
    [aux_sym_implicit_statement_token3] = ACTIONS(6701),
    [aux_sym_implicit_statement_token4] = ACTIONS(6701),
    [aux_sym_save_statement_token1] = ACTIONS(6701),
    [aux_sym_private_statement_token1] = ACTIONS(6701),
    [aux_sym_public_statement_token1] = ACTIONS(6701),
    [aux_sym_namelist_statement_token1] = ACTIONS(6701),
    [aux_sym_common_statement_token1] = ACTIONS(6701),
    [aux_sym_import_statement_token1] = ACTIONS(6701),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6701),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6701),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6701),
    [aux_sym_variable_attributes_token1] = ACTIONS(6701),
    [aux_sym_variable_attributes_token2] = ACTIONS(6701),
    [aux_sym_variable_attributes_token3] = ACTIONS(6701),
    [aux_sym_variable_attributes_token4] = ACTIONS(6701),
    [aux_sym_variable_attributes_token5] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6701),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6701),
    [aux_sym_derived_type_token1] = ACTIONS(6701),
    [aux_sym_declared_type_token1] = ACTIONS(6701),
    [aux_sym_declared_type_token2] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6701),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6701),
    [aux_sym_type_qualifier_token1] = ACTIONS(6701),
    [aux_sym_type_qualifier_token2] = ACTIONS(6701),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6701),
    [aux_sym_stop_statement_token1] = ACTIONS(6701),
    [aux_sym_stop_statement_token2] = ACTIONS(6701),
    [aux_sym_subroutine_call_token1] = ACTIONS(6701),
    [aux_sym_keyword_statement_token2] = ACTIONS(6701),
    [aux_sym_keyword_statement_token3] = ACTIONS(6701),
    [aux_sym_keyword_statement_token4] = ACTIONS(6701),
    [aux_sym_include_statement_token1] = ACTIONS(6701),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6701),
    [aux_sym_end_if_statement_token1] = ACTIONS(6701),
    [aux_sym_elseif_clause_token2] = ACTIONS(6701),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6701),
    [aux_sym_select_case_statement_token1] = ACTIONS(6701),
    [aux_sym_format_statement_token1] = ACTIONS(6701),
    [aux_sym_print_statement_token1] = ACTIONS(6701),
    [aux_sym_open_statement_token1] = ACTIONS(6701),
    [aux_sym_inquire_statement_token1] = ACTIONS(6701),
    [aux_sym_enum_statement_token1] = ACTIONS(6701),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6701),
    [aux_sym_entry_statement_token1] = ACTIONS(6701),
    [aux_sym_logical_expression_token5] = ACTIONS(6703),
    [anon_sym_DOT] = ACTIONS(6701),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6703),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [aux_sym_boolean_literal_token1] = ACTIONS(6703),
    [aux_sym_boolean_literal_token2] = ACTIONS(6703),
    [aux_sym_null_literal_token1] = ACTIONS(6701),
    [aux_sym_coarray_statement_token1] = ACTIONS(6701),
    [aux_sym_coarray_statement_token2] = ACTIONS(6701),
    [aux_sym_coarray_statement_token6] = ACTIONS(6701),
    [aux_sym_coarray_statement_token8] = ACTIONS(6701),
    [aux_sym_coarray_statement_token11] = ACTIONS(6701),
    [aux_sym_coarray_statement_token12] = ACTIONS(6701),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6701),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6701),
    [aux_sym_identifier_token1] = ACTIONS(6701),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6703),
    [sym__float_literal] = ACTIONS(6703),
    [sym__boz_literal] = ACTIONS(6703),
    [sym__string_literal] = ACTIONS(6703),
    [sym__string_literal_kind] = ACTIONS(6703),
  },
  [2366] = {
    [sym_assignment] = STATE(7034),
    [sym_operator] = STATE(7034),
    [sym_defined_io_procedure] = STATE(7034),
    [sym__generic_procedure] = STATE(7034),
    [sym_identifier] = STATE(7034),
    [sym__end_of_statement] = STATE(1851),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6705),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6707),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6705),
  },
  [2367] = {
    [sym_assignment] = STATE(7035),
    [sym_operator] = STATE(7035),
    [sym_defined_io_procedure] = STATE(7035),
    [sym__generic_procedure] = STATE(7035),
    [sym_identifier] = STATE(7035),
    [sym__end_of_statement] = STATE(1852),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6709),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6711),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6709),
  },
  [2368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5712),
    [aux_sym_preproc_def_token1] = ACTIONS(5712),
    [aux_sym_preproc_if_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5712),
    [sym_preproc_directive] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [aux_sym_interface_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_block_data_statement_token2] = ACTIONS(5712),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5712),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5712),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5712),
    [aux_sym_language_binding_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5712),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5712),
    [aux_sym_use_statement_token1] = ACTIONS(5712),
    [aux_sym_use_statement_token2] = ACTIONS(5712),
    [aux_sym_implicit_statement_token1] = ACTIONS(5712),
    [aux_sym_implicit_statement_token3] = ACTIONS(5712),
    [aux_sym_implicit_statement_token4] = ACTIONS(5712),
    [aux_sym_save_statement_token1] = ACTIONS(5712),
    [aux_sym_private_statement_token1] = ACTIONS(5712),
    [aux_sym_public_statement_token1] = ACTIONS(5712),
    [aux_sym_namelist_statement_token1] = ACTIONS(5712),
    [aux_sym_common_statement_token1] = ACTIONS(5712),
    [aux_sym_import_statement_token1] = ACTIONS(5712),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5712),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5712),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5712),
    [aux_sym_variable_attributes_token1] = ACTIONS(5712),
    [aux_sym_variable_attributes_token2] = ACTIONS(5712),
    [aux_sym_variable_attributes_token3] = ACTIONS(5712),
    [aux_sym_variable_attributes_token4] = ACTIONS(5712),
    [aux_sym_variable_attributes_token5] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5712),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5712),
    [aux_sym_derived_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token1] = ACTIONS(5712),
    [aux_sym_declared_type_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5712),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5712),
    [aux_sym_type_qualifier_token1] = ACTIONS(5712),
    [aux_sym_type_qualifier_token2] = ACTIONS(5712),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token1] = ACTIONS(5712),
    [aux_sym_stop_statement_token2] = ACTIONS(5712),
    [aux_sym_subroutine_call_token1] = ACTIONS(5712),
    [aux_sym_keyword_statement_token2] = ACTIONS(5712),
    [aux_sym_keyword_statement_token3] = ACTIONS(5712),
    [aux_sym_keyword_statement_token4] = ACTIONS(5712),
    [aux_sym_include_statement_token1] = ACTIONS(5712),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5712),
    [aux_sym_end_if_statement_token1] = ACTIONS(5712),
    [aux_sym_elseif_clause_token2] = ACTIONS(5712),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5712),
    [aux_sym_select_case_statement_token1] = ACTIONS(5712),
    [aux_sym_format_statement_token1] = ACTIONS(5712),
    [aux_sym_print_statement_token1] = ACTIONS(5712),
    [aux_sym_open_statement_token1] = ACTIONS(5712),
    [aux_sym_inquire_statement_token1] = ACTIONS(5712),
    [aux_sym_enum_statement_token1] = ACTIONS(5712),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5712),
    [aux_sym_entry_statement_token1] = ACTIONS(5712),
    [aux_sym_logical_expression_token5] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [aux_sym_boolean_literal_token1] = ACTIONS(5714),
    [aux_sym_boolean_literal_token2] = ACTIONS(5714),
    [aux_sym_null_literal_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_statement_token2] = ACTIONS(5712),
    [aux_sym_coarray_statement_token6] = ACTIONS(5712),
    [aux_sym_coarray_statement_token8] = ACTIONS(5712),
    [aux_sym_coarray_statement_token11] = ACTIONS(5712),
    [aux_sym_coarray_statement_token12] = ACTIONS(5712),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5712),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5712),
    [aux_sym_identifier_token1] = ACTIONS(5712),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5714),
    [sym__float_literal] = ACTIONS(5714),
    [sym__boz_literal] = ACTIONS(5714),
    [sym__string_literal] = ACTIONS(5714),
    [sym__string_literal_kind] = ACTIONS(5714),
  },
  [2369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5676),
    [aux_sym_preproc_def_token1] = ACTIONS(5676),
    [aux_sym_preproc_if_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [sym_preproc_directive] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5678),
    [aux_sym_interface_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_block_data_statement_token2] = ACTIONS(5676),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5676),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5676),
    [aux_sym_language_binding_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5676),
    [aux_sym_use_statement_token1] = ACTIONS(5676),
    [aux_sym_use_statement_token2] = ACTIONS(5676),
    [aux_sym_implicit_statement_token1] = ACTIONS(5676),
    [aux_sym_implicit_statement_token3] = ACTIONS(5676),
    [aux_sym_implicit_statement_token4] = ACTIONS(5676),
    [aux_sym_save_statement_token1] = ACTIONS(5676),
    [aux_sym_private_statement_token1] = ACTIONS(5676),
    [aux_sym_public_statement_token1] = ACTIONS(5676),
    [aux_sym_namelist_statement_token1] = ACTIONS(5676),
    [aux_sym_common_statement_token1] = ACTIONS(5676),
    [aux_sym_import_statement_token1] = ACTIONS(5676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5676),
    [aux_sym_variable_attributes_token1] = ACTIONS(5676),
    [aux_sym_variable_attributes_token2] = ACTIONS(5676),
    [aux_sym_variable_attributes_token3] = ACTIONS(5676),
    [aux_sym_variable_attributes_token4] = ACTIONS(5676),
    [aux_sym_variable_attributes_token5] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5676),
    [aux_sym_derived_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token1] = ACTIONS(5676),
    [aux_sym_declared_type_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5676),
    [aux_sym_type_qualifier_token1] = ACTIONS(5676),
    [aux_sym_type_qualifier_token2] = ACTIONS(5676),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token1] = ACTIONS(5676),
    [aux_sym_stop_statement_token2] = ACTIONS(5676),
    [aux_sym_subroutine_call_token1] = ACTIONS(5676),
    [aux_sym_keyword_statement_token2] = ACTIONS(5676),
    [aux_sym_keyword_statement_token3] = ACTIONS(5676),
    [aux_sym_keyword_statement_token4] = ACTIONS(5676),
    [aux_sym_include_statement_token1] = ACTIONS(5676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5676),
    [aux_sym_end_if_statement_token1] = ACTIONS(5676),
    [aux_sym_elseif_clause_token2] = ACTIONS(5676),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5676),
    [aux_sym_select_case_statement_token1] = ACTIONS(5676),
    [aux_sym_format_statement_token1] = ACTIONS(5676),
    [aux_sym_print_statement_token1] = ACTIONS(5676),
    [aux_sym_open_statement_token1] = ACTIONS(5676),
    [aux_sym_inquire_statement_token1] = ACTIONS(5676),
    [aux_sym_enum_statement_token1] = ACTIONS(5676),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5676),
    [aux_sym_entry_statement_token1] = ACTIONS(5676),
    [aux_sym_logical_expression_token5] = ACTIONS(5678),
    [anon_sym_DOT] = ACTIONS(5676),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5678),
    [aux_sym_boolean_literal_token1] = ACTIONS(5678),
    [aux_sym_boolean_literal_token2] = ACTIONS(5678),
    [aux_sym_null_literal_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_statement_token2] = ACTIONS(5676),
    [aux_sym_coarray_statement_token6] = ACTIONS(5676),
    [aux_sym_coarray_statement_token8] = ACTIONS(5676),
    [aux_sym_coarray_statement_token11] = ACTIONS(5676),
    [aux_sym_coarray_statement_token12] = ACTIONS(5676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5676),
    [aux_sym_identifier_token1] = ACTIONS(5676),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5678),
    [sym__float_literal] = ACTIONS(5678),
    [sym__boz_literal] = ACTIONS(5678),
    [sym__string_literal] = ACTIONS(5678),
    [sym__string_literal_kind] = ACTIONS(5678),
  },
  [2370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5224),
    [aux_sym_preproc_def_token1] = ACTIONS(5224),
    [aux_sym_preproc_if_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5224),
    [sym_preproc_directive] = ACTIONS(5224),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [aux_sym_interface_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_block_data_statement_token2] = ACTIONS(5224),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5224),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5224),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5224),
    [aux_sym_language_binding_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5224),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5224),
    [aux_sym_use_statement_token1] = ACTIONS(5224),
    [aux_sym_use_statement_token2] = ACTIONS(5224),
    [aux_sym_implicit_statement_token1] = ACTIONS(5224),
    [aux_sym_implicit_statement_token3] = ACTIONS(5224),
    [aux_sym_implicit_statement_token4] = ACTIONS(5224),
    [aux_sym_save_statement_token1] = ACTIONS(5224),
    [aux_sym_private_statement_token1] = ACTIONS(5224),
    [aux_sym_public_statement_token1] = ACTIONS(5224),
    [aux_sym_namelist_statement_token1] = ACTIONS(5224),
    [aux_sym_common_statement_token1] = ACTIONS(5224),
    [aux_sym_import_statement_token1] = ACTIONS(5224),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5224),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5224),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5224),
    [aux_sym_variable_attributes_token1] = ACTIONS(5224),
    [aux_sym_variable_attributes_token2] = ACTIONS(5224),
    [aux_sym_variable_attributes_token3] = ACTIONS(5224),
    [aux_sym_variable_attributes_token4] = ACTIONS(5224),
    [aux_sym_variable_attributes_token5] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5224),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5224),
    [aux_sym_derived_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token1] = ACTIONS(5224),
    [aux_sym_declared_type_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5224),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5224),
    [aux_sym_type_qualifier_token1] = ACTIONS(5224),
    [aux_sym_type_qualifier_token2] = ACTIONS(5224),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token1] = ACTIONS(5224),
    [aux_sym_stop_statement_token2] = ACTIONS(5224),
    [aux_sym_subroutine_call_token1] = ACTIONS(5224),
    [aux_sym_keyword_statement_token2] = ACTIONS(5224),
    [aux_sym_keyword_statement_token3] = ACTIONS(5224),
    [aux_sym_keyword_statement_token4] = ACTIONS(5224),
    [aux_sym_include_statement_token1] = ACTIONS(5224),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5224),
    [aux_sym_end_if_statement_token1] = ACTIONS(5224),
    [aux_sym_elseif_clause_token2] = ACTIONS(5224),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5224),
    [aux_sym_select_case_statement_token1] = ACTIONS(5224),
    [aux_sym_format_statement_token1] = ACTIONS(5224),
    [aux_sym_print_statement_token1] = ACTIONS(5224),
    [aux_sym_open_statement_token1] = ACTIONS(5224),
    [aux_sym_inquire_statement_token1] = ACTIONS(5224),
    [aux_sym_enum_statement_token1] = ACTIONS(5224),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5224),
    [aux_sym_entry_statement_token1] = ACTIONS(5224),
    [aux_sym_logical_expression_token5] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [aux_sym_boolean_literal_token1] = ACTIONS(5226),
    [aux_sym_boolean_literal_token2] = ACTIONS(5226),
    [aux_sym_null_literal_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_statement_token2] = ACTIONS(5224),
    [aux_sym_coarray_statement_token6] = ACTIONS(5224),
    [aux_sym_coarray_statement_token8] = ACTIONS(5224),
    [aux_sym_coarray_statement_token11] = ACTIONS(5224),
    [aux_sym_coarray_statement_token12] = ACTIONS(5224),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5224),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5224),
    [aux_sym_identifier_token1] = ACTIONS(5224),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5226),
    [sym__float_literal] = ACTIONS(5226),
    [sym__boz_literal] = ACTIONS(5226),
    [sym__string_literal] = ACTIONS(5226),
    [sym__string_literal_kind] = ACTIONS(5226),
  },
  [2371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5786),
    [aux_sym_preproc_def_token1] = ACTIONS(5786),
    [aux_sym_preproc_if_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5786),
    [sym_preproc_directive] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(5786),
    [anon_sym_PLUS] = ACTIONS(5788),
    [anon_sym_DASH] = ACTIONS(5788),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5786),
    [anon_sym_SEMI] = ACTIONS(5788),
    [aux_sym_interface_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_block_data_statement_token2] = ACTIONS(5786),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5786),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5786),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5786),
    [aux_sym_language_binding_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5786),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5786),
    [aux_sym_use_statement_token1] = ACTIONS(5786),
    [aux_sym_use_statement_token2] = ACTIONS(5786),
    [aux_sym_implicit_statement_token1] = ACTIONS(5786),
    [aux_sym_implicit_statement_token3] = ACTIONS(5786),
    [aux_sym_implicit_statement_token4] = ACTIONS(5786),
    [aux_sym_save_statement_token1] = ACTIONS(5786),
    [aux_sym_private_statement_token1] = ACTIONS(5786),
    [aux_sym_public_statement_token1] = ACTIONS(5786),
    [aux_sym_namelist_statement_token1] = ACTIONS(5786),
    [aux_sym_common_statement_token1] = ACTIONS(5786),
    [aux_sym_import_statement_token1] = ACTIONS(5786),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5786),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5786),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5786),
    [aux_sym_variable_attributes_token1] = ACTIONS(5786),
    [aux_sym_variable_attributes_token2] = ACTIONS(5786),
    [aux_sym_variable_attributes_token3] = ACTIONS(5786),
    [aux_sym_variable_attributes_token4] = ACTIONS(5786),
    [aux_sym_variable_attributes_token5] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5786),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5786),
    [aux_sym_derived_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token1] = ACTIONS(5786),
    [aux_sym_declared_type_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5786),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5786),
    [aux_sym_type_qualifier_token1] = ACTIONS(5786),
    [aux_sym_type_qualifier_token2] = ACTIONS(5786),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5786),
    [aux_sym_stop_statement_token2] = ACTIONS(5786),
    [aux_sym_subroutine_call_token1] = ACTIONS(5786),
    [aux_sym_keyword_statement_token2] = ACTIONS(5786),
    [aux_sym_keyword_statement_token3] = ACTIONS(5786),
    [aux_sym_keyword_statement_token4] = ACTIONS(5786),
    [aux_sym_include_statement_token1] = ACTIONS(5786),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5786),
    [aux_sym_end_if_statement_token1] = ACTIONS(5786),
    [aux_sym_elseif_clause_token2] = ACTIONS(5786),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5786),
    [aux_sym_select_case_statement_token1] = ACTIONS(5786),
    [aux_sym_format_statement_token1] = ACTIONS(5786),
    [aux_sym_print_statement_token1] = ACTIONS(5786),
    [aux_sym_open_statement_token1] = ACTIONS(5786),
    [aux_sym_inquire_statement_token1] = ACTIONS(5786),
    [aux_sym_enum_statement_token1] = ACTIONS(5786),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5786),
    [aux_sym_entry_statement_token1] = ACTIONS(5786),
    [aux_sym_logical_expression_token5] = ACTIONS(5788),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5788),
    [aux_sym_boolean_literal_token1] = ACTIONS(5788),
    [aux_sym_boolean_literal_token2] = ACTIONS(5788),
    [aux_sym_null_literal_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_statement_token2] = ACTIONS(5786),
    [aux_sym_coarray_statement_token6] = ACTIONS(5786),
    [aux_sym_coarray_statement_token8] = ACTIONS(5786),
    [aux_sym_coarray_statement_token11] = ACTIONS(5786),
    [aux_sym_coarray_statement_token12] = ACTIONS(5786),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5786),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5786),
    [aux_sym_identifier_token1] = ACTIONS(5786),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5788),
    [sym__float_literal] = ACTIONS(5788),
    [sym__boz_literal] = ACTIONS(5788),
    [sym__string_literal] = ACTIONS(5788),
    [sym__string_literal_kind] = ACTIONS(5788),
  },
  [2372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5584),
    [aux_sym_preproc_def_token1] = ACTIONS(5584),
    [aux_sym_preproc_if_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5584),
    [sym_preproc_directive] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_interface_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_block_data_statement_token2] = ACTIONS(5584),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5584),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5584),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5584),
    [aux_sym_language_binding_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5584),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5584),
    [aux_sym_use_statement_token1] = ACTIONS(5584),
    [aux_sym_use_statement_token2] = ACTIONS(5584),
    [aux_sym_implicit_statement_token1] = ACTIONS(5584),
    [aux_sym_implicit_statement_token3] = ACTIONS(5584),
    [aux_sym_implicit_statement_token4] = ACTIONS(5584),
    [aux_sym_save_statement_token1] = ACTIONS(5584),
    [aux_sym_private_statement_token1] = ACTIONS(5584),
    [aux_sym_public_statement_token1] = ACTIONS(5584),
    [aux_sym_namelist_statement_token1] = ACTIONS(5584),
    [aux_sym_common_statement_token1] = ACTIONS(5584),
    [aux_sym_import_statement_token1] = ACTIONS(5584),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5584),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5584),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5584),
    [aux_sym_variable_attributes_token1] = ACTIONS(5584),
    [aux_sym_variable_attributes_token2] = ACTIONS(5584),
    [aux_sym_variable_attributes_token3] = ACTIONS(5584),
    [aux_sym_variable_attributes_token4] = ACTIONS(5584),
    [aux_sym_variable_attributes_token5] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5584),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5584),
    [aux_sym_derived_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token1] = ACTIONS(5584),
    [aux_sym_declared_type_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5584),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5584),
    [aux_sym_type_qualifier_token1] = ACTIONS(5584),
    [aux_sym_type_qualifier_token2] = ACTIONS(5584),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(5584),
    [aux_sym_stop_statement_token2] = ACTIONS(5584),
    [aux_sym_subroutine_call_token1] = ACTIONS(5584),
    [aux_sym_keyword_statement_token2] = ACTIONS(5584),
    [aux_sym_keyword_statement_token3] = ACTIONS(5584),
    [aux_sym_keyword_statement_token4] = ACTIONS(5584),
    [aux_sym_include_statement_token1] = ACTIONS(5584),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5584),
    [aux_sym_end_if_statement_token1] = ACTIONS(5584),
    [aux_sym_elseif_clause_token2] = ACTIONS(5584),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5584),
    [aux_sym_select_case_statement_token1] = ACTIONS(5584),
    [aux_sym_format_statement_token1] = ACTIONS(5584),
    [aux_sym_print_statement_token1] = ACTIONS(5584),
    [aux_sym_open_statement_token1] = ACTIONS(5584),
    [aux_sym_inquire_statement_token1] = ACTIONS(5584),
    [aux_sym_enum_statement_token1] = ACTIONS(5584),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5584),
    [aux_sym_entry_statement_token1] = ACTIONS(5584),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_statement_token2] = ACTIONS(5584),
    [aux_sym_coarray_statement_token6] = ACTIONS(5584),
    [aux_sym_coarray_statement_token8] = ACTIONS(5584),
    [aux_sym_coarray_statement_token11] = ACTIONS(5584),
    [aux_sym_coarray_statement_token12] = ACTIONS(5584),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5584),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5584),
    [aux_sym_identifier_token1] = ACTIONS(5584),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5160),
    [anon_sym_SEMI] = ACTIONS(5162),
    [aux_sym_interface_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_block_data_statement_token2] = ACTIONS(5160),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5160),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5160),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5160),
    [aux_sym_language_binding_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5160),
    [aux_sym_use_statement_token1] = ACTIONS(5160),
    [aux_sym_use_statement_token2] = ACTIONS(5160),
    [aux_sym_implicit_statement_token1] = ACTIONS(5160),
    [aux_sym_implicit_statement_token3] = ACTIONS(5160),
    [aux_sym_implicit_statement_token4] = ACTIONS(5160),
    [aux_sym_save_statement_token1] = ACTIONS(5160),
    [aux_sym_private_statement_token1] = ACTIONS(5160),
    [aux_sym_public_statement_token1] = ACTIONS(5160),
    [aux_sym_namelist_statement_token1] = ACTIONS(5160),
    [aux_sym_common_statement_token1] = ACTIONS(5160),
    [aux_sym_import_statement_token1] = ACTIONS(5160),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5160),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5160),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5160),
    [aux_sym_variable_attributes_token1] = ACTIONS(5160),
    [aux_sym_variable_attributes_token2] = ACTIONS(5160),
    [aux_sym_variable_attributes_token3] = ACTIONS(5160),
    [aux_sym_variable_attributes_token4] = ACTIONS(5160),
    [aux_sym_variable_attributes_token5] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5160),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5160),
    [aux_sym_derived_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token1] = ACTIONS(5160),
    [aux_sym_declared_type_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5160),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5160),
    [aux_sym_type_qualifier_token1] = ACTIONS(5160),
    [aux_sym_type_qualifier_token2] = ACTIONS(5160),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token1] = ACTIONS(5160),
    [aux_sym_stop_statement_token2] = ACTIONS(5160),
    [aux_sym_subroutine_call_token1] = ACTIONS(5160),
    [aux_sym_keyword_statement_token2] = ACTIONS(5160),
    [aux_sym_keyword_statement_token3] = ACTIONS(5160),
    [aux_sym_keyword_statement_token4] = ACTIONS(5160),
    [aux_sym_include_statement_token1] = ACTIONS(5160),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5160),
    [aux_sym_end_if_statement_token1] = ACTIONS(5160),
    [aux_sym_elseif_clause_token2] = ACTIONS(5160),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5160),
    [aux_sym_select_case_statement_token1] = ACTIONS(5160),
    [aux_sym_format_statement_token1] = ACTIONS(5160),
    [aux_sym_print_statement_token1] = ACTIONS(5160),
    [aux_sym_open_statement_token1] = ACTIONS(5160),
    [aux_sym_inquire_statement_token1] = ACTIONS(5160),
    [aux_sym_enum_statement_token1] = ACTIONS(5160),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5160),
    [aux_sym_entry_statement_token1] = ACTIONS(5160),
    [aux_sym_logical_expression_token5] = ACTIONS(5162),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [aux_sym_boolean_literal_token1] = ACTIONS(5162),
    [aux_sym_boolean_literal_token2] = ACTIONS(5162),
    [aux_sym_null_literal_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_statement_token2] = ACTIONS(5160),
    [aux_sym_coarray_statement_token6] = ACTIONS(5160),
    [aux_sym_coarray_statement_token8] = ACTIONS(5160),
    [aux_sym_coarray_statement_token11] = ACTIONS(5160),
    [aux_sym_coarray_statement_token12] = ACTIONS(5160),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5160),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5160),
    [aux_sym_identifier_token1] = ACTIONS(5160),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5162),
    [sym__float_literal] = ACTIONS(5162),
    [sym__boz_literal] = ACTIONS(5162),
    [sym__string_literal] = ACTIONS(5162),
    [sym__string_literal_kind] = ACTIONS(5162),
  },
  [2374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5716),
    [aux_sym_preproc_def_token1] = ACTIONS(5716),
    [aux_sym_preproc_if_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5716),
    [sym_preproc_directive] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5718),
    [aux_sym_interface_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_block_data_statement_token2] = ACTIONS(5716),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5716),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5716),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5716),
    [aux_sym_language_binding_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5716),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5716),
    [aux_sym_use_statement_token1] = ACTIONS(5716),
    [aux_sym_use_statement_token2] = ACTIONS(5716),
    [aux_sym_implicit_statement_token1] = ACTIONS(5716),
    [aux_sym_implicit_statement_token3] = ACTIONS(5716),
    [aux_sym_implicit_statement_token4] = ACTIONS(5716),
    [aux_sym_save_statement_token1] = ACTIONS(5716),
    [aux_sym_private_statement_token1] = ACTIONS(5716),
    [aux_sym_public_statement_token1] = ACTIONS(5716),
    [aux_sym_namelist_statement_token1] = ACTIONS(5716),
    [aux_sym_common_statement_token1] = ACTIONS(5716),
    [aux_sym_import_statement_token1] = ACTIONS(5716),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5716),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5716),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5716),
    [aux_sym_variable_attributes_token1] = ACTIONS(5716),
    [aux_sym_variable_attributes_token2] = ACTIONS(5716),
    [aux_sym_variable_attributes_token3] = ACTIONS(5716),
    [aux_sym_variable_attributes_token4] = ACTIONS(5716),
    [aux_sym_variable_attributes_token5] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5716),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5716),
    [aux_sym_derived_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token1] = ACTIONS(5716),
    [aux_sym_declared_type_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5716),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5716),
    [aux_sym_type_qualifier_token1] = ACTIONS(5716),
    [aux_sym_type_qualifier_token2] = ACTIONS(5716),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token1] = ACTIONS(5716),
    [aux_sym_stop_statement_token2] = ACTIONS(5716),
    [aux_sym_subroutine_call_token1] = ACTIONS(5716),
    [aux_sym_keyword_statement_token2] = ACTIONS(5716),
    [aux_sym_keyword_statement_token3] = ACTIONS(5716),
    [aux_sym_keyword_statement_token4] = ACTIONS(5716),
    [aux_sym_include_statement_token1] = ACTIONS(5716),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5716),
    [aux_sym_end_if_statement_token1] = ACTIONS(5716),
    [aux_sym_elseif_clause_token2] = ACTIONS(5716),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5716),
    [aux_sym_select_case_statement_token1] = ACTIONS(5716),
    [aux_sym_format_statement_token1] = ACTIONS(5716),
    [aux_sym_print_statement_token1] = ACTIONS(5716),
    [aux_sym_open_statement_token1] = ACTIONS(5716),
    [aux_sym_inquire_statement_token1] = ACTIONS(5716),
    [aux_sym_enum_statement_token1] = ACTIONS(5716),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5716),
    [aux_sym_entry_statement_token1] = ACTIONS(5716),
    [aux_sym_logical_expression_token5] = ACTIONS(5718),
    [anon_sym_DOT] = ACTIONS(5716),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5718),
    [aux_sym_boolean_literal_token1] = ACTIONS(5718),
    [aux_sym_boolean_literal_token2] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_statement_token2] = ACTIONS(5716),
    [aux_sym_coarray_statement_token6] = ACTIONS(5716),
    [aux_sym_coarray_statement_token8] = ACTIONS(5716),
    [aux_sym_coarray_statement_token11] = ACTIONS(5716),
    [aux_sym_coarray_statement_token12] = ACTIONS(5716),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5716),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5716),
    [aux_sym_identifier_token1] = ACTIONS(5716),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5718),
    [sym__float_literal] = ACTIONS(5718),
    [sym__boz_literal] = ACTIONS(5718),
    [sym__string_literal] = ACTIONS(5718),
    [sym__string_literal_kind] = ACTIONS(5718),
  },
  [2375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5720),
    [aux_sym_preproc_def_token1] = ACTIONS(5720),
    [aux_sym_preproc_if_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5720),
    [sym_preproc_directive] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5722),
    [aux_sym_interface_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_block_data_statement_token2] = ACTIONS(5720),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5720),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5720),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5720),
    [aux_sym_language_binding_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5720),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5720),
    [aux_sym_use_statement_token1] = ACTIONS(5720),
    [aux_sym_use_statement_token2] = ACTIONS(5720),
    [aux_sym_implicit_statement_token1] = ACTIONS(5720),
    [aux_sym_implicit_statement_token3] = ACTIONS(5720),
    [aux_sym_implicit_statement_token4] = ACTIONS(5720),
    [aux_sym_save_statement_token1] = ACTIONS(5720),
    [aux_sym_private_statement_token1] = ACTIONS(5720),
    [aux_sym_public_statement_token1] = ACTIONS(5720),
    [aux_sym_namelist_statement_token1] = ACTIONS(5720),
    [aux_sym_common_statement_token1] = ACTIONS(5720),
    [aux_sym_import_statement_token1] = ACTIONS(5720),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5720),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5720),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5720),
    [aux_sym_variable_attributes_token1] = ACTIONS(5720),
    [aux_sym_variable_attributes_token2] = ACTIONS(5720),
    [aux_sym_variable_attributes_token3] = ACTIONS(5720),
    [aux_sym_variable_attributes_token4] = ACTIONS(5720),
    [aux_sym_variable_attributes_token5] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5720),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5720),
    [aux_sym_derived_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token1] = ACTIONS(5720),
    [aux_sym_declared_type_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5720),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5720),
    [aux_sym_type_qualifier_token1] = ACTIONS(5720),
    [aux_sym_type_qualifier_token2] = ACTIONS(5720),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token1] = ACTIONS(5720),
    [aux_sym_stop_statement_token2] = ACTIONS(5720),
    [aux_sym_subroutine_call_token1] = ACTIONS(5720),
    [aux_sym_keyword_statement_token2] = ACTIONS(5720),
    [aux_sym_keyword_statement_token3] = ACTIONS(5720),
    [aux_sym_keyword_statement_token4] = ACTIONS(5720),
    [aux_sym_include_statement_token1] = ACTIONS(5720),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5720),
    [aux_sym_end_if_statement_token1] = ACTIONS(5720),
    [aux_sym_elseif_clause_token2] = ACTIONS(5720),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5720),
    [aux_sym_select_case_statement_token1] = ACTIONS(5720),
    [aux_sym_format_statement_token1] = ACTIONS(5720),
    [aux_sym_print_statement_token1] = ACTIONS(5720),
    [aux_sym_open_statement_token1] = ACTIONS(5720),
    [aux_sym_inquire_statement_token1] = ACTIONS(5720),
    [aux_sym_enum_statement_token1] = ACTIONS(5720),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5720),
    [aux_sym_entry_statement_token1] = ACTIONS(5720),
    [aux_sym_logical_expression_token5] = ACTIONS(5722),
    [anon_sym_DOT] = ACTIONS(5720),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5722),
    [aux_sym_boolean_literal_token1] = ACTIONS(5722),
    [aux_sym_boolean_literal_token2] = ACTIONS(5722),
    [aux_sym_null_literal_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_statement_token2] = ACTIONS(5720),
    [aux_sym_coarray_statement_token6] = ACTIONS(5720),
    [aux_sym_coarray_statement_token8] = ACTIONS(5720),
    [aux_sym_coarray_statement_token11] = ACTIONS(5720),
    [aux_sym_coarray_statement_token12] = ACTIONS(5720),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5720),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5720),
    [aux_sym_identifier_token1] = ACTIONS(5720),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5722),
    [sym__float_literal] = ACTIONS(5722),
    [sym__boz_literal] = ACTIONS(5722),
    [sym__string_literal] = ACTIONS(5722),
    [sym__string_literal_kind] = ACTIONS(5722),
  },
  [2376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5724),
    [aux_sym_preproc_def_token1] = ACTIONS(5724),
    [aux_sym_preproc_if_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5724),
    [sym_preproc_directive] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5726),
    [anon_sym_DASH] = ACTIONS(5726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5726),
    [aux_sym_interface_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_block_data_statement_token2] = ACTIONS(5724),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5724),
    [aux_sym_language_binding_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5724),
    [aux_sym_use_statement_token1] = ACTIONS(5724),
    [aux_sym_use_statement_token2] = ACTIONS(5724),
    [aux_sym_implicit_statement_token1] = ACTIONS(5724),
    [aux_sym_implicit_statement_token3] = ACTIONS(5724),
    [aux_sym_implicit_statement_token4] = ACTIONS(5724),
    [aux_sym_save_statement_token1] = ACTIONS(5724),
    [aux_sym_private_statement_token1] = ACTIONS(5724),
    [aux_sym_public_statement_token1] = ACTIONS(5724),
    [aux_sym_namelist_statement_token1] = ACTIONS(5724),
    [aux_sym_common_statement_token1] = ACTIONS(5724),
    [aux_sym_import_statement_token1] = ACTIONS(5724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5724),
    [aux_sym_variable_attributes_token1] = ACTIONS(5724),
    [aux_sym_variable_attributes_token2] = ACTIONS(5724),
    [aux_sym_variable_attributes_token3] = ACTIONS(5724),
    [aux_sym_variable_attributes_token4] = ACTIONS(5724),
    [aux_sym_variable_attributes_token5] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5724),
    [aux_sym_derived_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token1] = ACTIONS(5724),
    [aux_sym_declared_type_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5724),
    [aux_sym_type_qualifier_token1] = ACTIONS(5724),
    [aux_sym_type_qualifier_token2] = ACTIONS(5724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token1] = ACTIONS(5724),
    [aux_sym_stop_statement_token2] = ACTIONS(5724),
    [aux_sym_subroutine_call_token1] = ACTIONS(5724),
    [aux_sym_keyword_statement_token2] = ACTIONS(5724),
    [aux_sym_keyword_statement_token3] = ACTIONS(5724),
    [aux_sym_keyword_statement_token4] = ACTIONS(5724),
    [aux_sym_include_statement_token1] = ACTIONS(5724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5724),
    [aux_sym_end_if_statement_token1] = ACTIONS(5724),
    [aux_sym_elseif_clause_token2] = ACTIONS(5724),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5724),
    [aux_sym_select_case_statement_token1] = ACTIONS(5724),
    [aux_sym_format_statement_token1] = ACTIONS(5724),
    [aux_sym_print_statement_token1] = ACTIONS(5724),
    [aux_sym_open_statement_token1] = ACTIONS(5724),
    [aux_sym_inquire_statement_token1] = ACTIONS(5724),
    [aux_sym_enum_statement_token1] = ACTIONS(5724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5724),
    [aux_sym_entry_statement_token1] = ACTIONS(5724),
    [aux_sym_logical_expression_token5] = ACTIONS(5726),
    [anon_sym_DOT] = ACTIONS(5724),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5726),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [aux_sym_boolean_literal_token1] = ACTIONS(5726),
    [aux_sym_boolean_literal_token2] = ACTIONS(5726),
    [aux_sym_null_literal_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_statement_token2] = ACTIONS(5724),
    [aux_sym_coarray_statement_token6] = ACTIONS(5724),
    [aux_sym_coarray_statement_token8] = ACTIONS(5724),
    [aux_sym_coarray_statement_token11] = ACTIONS(5724),
    [aux_sym_coarray_statement_token12] = ACTIONS(5724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5724),
    [aux_sym_identifier_token1] = ACTIONS(5724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5726),
    [sym__float_literal] = ACTIONS(5726),
    [sym__boz_literal] = ACTIONS(5726),
    [sym__string_literal] = ACTIONS(5726),
    [sym__string_literal_kind] = ACTIONS(5726),
  },
  [2377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5172),
    [aux_sym_preproc_def_token1] = ACTIONS(5172),
    [aux_sym_preproc_if_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5172),
    [sym_preproc_directive] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [aux_sym_interface_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_block_data_statement_token2] = ACTIONS(5172),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5172),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5172),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5172),
    [aux_sym_language_binding_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5172),
    [aux_sym_use_statement_token1] = ACTIONS(5172),
    [aux_sym_use_statement_token2] = ACTIONS(5172),
    [aux_sym_implicit_statement_token1] = ACTIONS(5172),
    [aux_sym_implicit_statement_token3] = ACTIONS(5172),
    [aux_sym_implicit_statement_token4] = ACTIONS(5172),
    [aux_sym_save_statement_token1] = ACTIONS(5172),
    [aux_sym_private_statement_token1] = ACTIONS(5172),
    [aux_sym_public_statement_token1] = ACTIONS(5172),
    [aux_sym_namelist_statement_token1] = ACTIONS(5172),
    [aux_sym_common_statement_token1] = ACTIONS(5172),
    [aux_sym_import_statement_token1] = ACTIONS(5172),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5172),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5172),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5172),
    [aux_sym_variable_attributes_token1] = ACTIONS(5172),
    [aux_sym_variable_attributes_token2] = ACTIONS(5172),
    [aux_sym_variable_attributes_token3] = ACTIONS(5172),
    [aux_sym_variable_attributes_token4] = ACTIONS(5172),
    [aux_sym_variable_attributes_token5] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5172),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5172),
    [aux_sym_derived_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token1] = ACTIONS(5172),
    [aux_sym_declared_type_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5172),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5172),
    [aux_sym_type_qualifier_token1] = ACTIONS(5172),
    [aux_sym_type_qualifier_token2] = ACTIONS(5172),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token1] = ACTIONS(5172),
    [aux_sym_stop_statement_token2] = ACTIONS(5172),
    [aux_sym_subroutine_call_token1] = ACTIONS(5172),
    [aux_sym_keyword_statement_token2] = ACTIONS(5172),
    [aux_sym_keyword_statement_token3] = ACTIONS(5172),
    [aux_sym_keyword_statement_token4] = ACTIONS(5172),
    [aux_sym_include_statement_token1] = ACTIONS(5172),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5172),
    [aux_sym_end_if_statement_token1] = ACTIONS(5172),
    [aux_sym_elseif_clause_token2] = ACTIONS(5172),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5172),
    [aux_sym_select_case_statement_token1] = ACTIONS(5172),
    [aux_sym_format_statement_token1] = ACTIONS(5172),
    [aux_sym_print_statement_token1] = ACTIONS(5172),
    [aux_sym_open_statement_token1] = ACTIONS(5172),
    [aux_sym_inquire_statement_token1] = ACTIONS(5172),
    [aux_sym_enum_statement_token1] = ACTIONS(5172),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5172),
    [aux_sym_entry_statement_token1] = ACTIONS(5172),
    [aux_sym_logical_expression_token5] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [aux_sym_boolean_literal_token1] = ACTIONS(5174),
    [aux_sym_boolean_literal_token2] = ACTIONS(5174),
    [aux_sym_null_literal_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_statement_token2] = ACTIONS(5172),
    [aux_sym_coarray_statement_token6] = ACTIONS(5172),
    [aux_sym_coarray_statement_token8] = ACTIONS(5172),
    [aux_sym_coarray_statement_token11] = ACTIONS(5172),
    [aux_sym_coarray_statement_token12] = ACTIONS(5172),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5172),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5172),
    [aux_sym_identifier_token1] = ACTIONS(5172),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5174),
    [sym__float_literal] = ACTIONS(5174),
    [sym__boz_literal] = ACTIONS(5174),
    [sym__string_literal] = ACTIONS(5174),
    [sym__string_literal_kind] = ACTIONS(5174),
  },
  [2378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_interface_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_language_binding_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token1] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_namelist_statement_token1] = ACTIONS(5252),
    [aux_sym_common_statement_token1] = ACTIONS(5252),
    [aux_sym_import_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token1] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token4] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token1] = ACTIONS(5252),
    [aux_sym_declared_type_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_enum_statement_token1] = ACTIONS(5252),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5746),
    [aux_sym_preproc_def_token1] = ACTIONS(5746),
    [aux_sym_preproc_if_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5746),
    [sym_preproc_directive] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [aux_sym_interface_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_block_data_statement_token2] = ACTIONS(5746),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5746),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5746),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5746),
    [aux_sym_language_binding_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5746),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5746),
    [aux_sym_use_statement_token1] = ACTIONS(5746),
    [aux_sym_use_statement_token2] = ACTIONS(5746),
    [aux_sym_implicit_statement_token1] = ACTIONS(5746),
    [aux_sym_implicit_statement_token3] = ACTIONS(5746),
    [aux_sym_implicit_statement_token4] = ACTIONS(5746),
    [aux_sym_save_statement_token1] = ACTIONS(5746),
    [aux_sym_private_statement_token1] = ACTIONS(5746),
    [aux_sym_public_statement_token1] = ACTIONS(5746),
    [aux_sym_namelist_statement_token1] = ACTIONS(5746),
    [aux_sym_common_statement_token1] = ACTIONS(5746),
    [aux_sym_import_statement_token1] = ACTIONS(5746),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5746),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5746),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5746),
    [aux_sym_variable_attributes_token1] = ACTIONS(5746),
    [aux_sym_variable_attributes_token2] = ACTIONS(5746),
    [aux_sym_variable_attributes_token3] = ACTIONS(5746),
    [aux_sym_variable_attributes_token4] = ACTIONS(5746),
    [aux_sym_variable_attributes_token5] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5746),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5746),
    [aux_sym_derived_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token1] = ACTIONS(5746),
    [aux_sym_declared_type_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5746),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5746),
    [aux_sym_type_qualifier_token1] = ACTIONS(5746),
    [aux_sym_type_qualifier_token2] = ACTIONS(5746),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5746),
    [aux_sym_stop_statement_token2] = ACTIONS(5746),
    [aux_sym_subroutine_call_token1] = ACTIONS(5746),
    [aux_sym_keyword_statement_token2] = ACTIONS(5746),
    [aux_sym_keyword_statement_token3] = ACTIONS(5746),
    [aux_sym_keyword_statement_token4] = ACTIONS(5746),
    [aux_sym_include_statement_token1] = ACTIONS(5746),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5746),
    [aux_sym_end_if_statement_token1] = ACTIONS(5746),
    [aux_sym_elseif_clause_token2] = ACTIONS(5746),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5746),
    [aux_sym_select_case_statement_token1] = ACTIONS(5746),
    [aux_sym_format_statement_token1] = ACTIONS(5746),
    [aux_sym_print_statement_token1] = ACTIONS(5746),
    [aux_sym_open_statement_token1] = ACTIONS(5746),
    [aux_sym_inquire_statement_token1] = ACTIONS(5746),
    [aux_sym_enum_statement_token1] = ACTIONS(5746),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5746),
    [aux_sym_entry_statement_token1] = ACTIONS(5746),
    [aux_sym_logical_expression_token5] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [aux_sym_boolean_literal_token1] = ACTIONS(5748),
    [aux_sym_boolean_literal_token2] = ACTIONS(5748),
    [aux_sym_null_literal_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_statement_token2] = ACTIONS(5746),
    [aux_sym_coarray_statement_token6] = ACTIONS(5746),
    [aux_sym_coarray_statement_token8] = ACTIONS(5746),
    [aux_sym_coarray_statement_token11] = ACTIONS(5746),
    [aux_sym_coarray_statement_token12] = ACTIONS(5746),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5746),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5746),
    [aux_sym_identifier_token1] = ACTIONS(5746),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5748),
    [sym__float_literal] = ACTIONS(5748),
    [sym__boz_literal] = ACTIONS(5748),
    [sym__string_literal] = ACTIONS(5748),
    [sym__string_literal_kind] = ACTIONS(5748),
  },
  [2381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5074),
    [aux_sym_interface_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_block_data_statement_token2] = ACTIONS(5068),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5068),
    [aux_sym_language_binding_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token1] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_namelist_statement_token1] = ACTIONS(5068),
    [aux_sym_common_statement_token1] = ACTIONS(5068),
    [aux_sym_import_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token1] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token4] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token1] = ACTIONS(5068),
    [aux_sym_declared_type_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_enum_statement_token1] = ACTIONS(5068),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5074),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [aux_sym_boolean_literal_token1] = ACTIONS(5074),
    [aux_sym_boolean_literal_token2] = ACTIONS(5074),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5074),
    [sym__float_literal] = ACTIONS(5074),
    [sym__boz_literal] = ACTIONS(5074),
    [sym__string_literal] = ACTIONS(5074),
    [sym__string_literal_kind] = ACTIONS(5074),
  },
  [2382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6713),
    [aux_sym_preproc_def_token1] = ACTIONS(6713),
    [aux_sym_preproc_if_token1] = ACTIONS(6713),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6713),
    [sym_preproc_directive] = ACTIONS(6713),
    [anon_sym_LPAREN2] = ACTIONS(6713),
    [anon_sym_PLUS] = ACTIONS(6715),
    [anon_sym_DASH] = ACTIONS(6715),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6713),
    [anon_sym_SEMI] = ACTIONS(6715),
    [aux_sym_interface_statement_token1] = ACTIONS(6713),
    [aux_sym_block_data_statement_token1] = ACTIONS(6713),
    [aux_sym_block_data_statement_token2] = ACTIONS(6713),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6713),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6713),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6713),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6713),
    [aux_sym_language_binding_token1] = ACTIONS(6713),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6713),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6713),
    [aux_sym_use_statement_token1] = ACTIONS(6713),
    [aux_sym_use_statement_token2] = ACTIONS(6713),
    [aux_sym_implicit_statement_token1] = ACTIONS(6713),
    [aux_sym_implicit_statement_token3] = ACTIONS(6713),
    [aux_sym_implicit_statement_token4] = ACTIONS(6713),
    [aux_sym_save_statement_token1] = ACTIONS(6713),
    [aux_sym_private_statement_token1] = ACTIONS(6713),
    [aux_sym_public_statement_token1] = ACTIONS(6713),
    [aux_sym_namelist_statement_token1] = ACTIONS(6713),
    [aux_sym_common_statement_token1] = ACTIONS(6713),
    [aux_sym_import_statement_token1] = ACTIONS(6713),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6713),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6713),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6713),
    [aux_sym_variable_attributes_token1] = ACTIONS(6713),
    [aux_sym_variable_attributes_token2] = ACTIONS(6713),
    [aux_sym_variable_attributes_token3] = ACTIONS(6713),
    [aux_sym_variable_attributes_token4] = ACTIONS(6713),
    [aux_sym_variable_attributes_token5] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6713),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6713),
    [aux_sym_derived_type_token1] = ACTIONS(6713),
    [aux_sym_declared_type_token1] = ACTIONS(6713),
    [aux_sym_declared_type_token2] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6713),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6713),
    [aux_sym_type_qualifier_token1] = ACTIONS(6713),
    [aux_sym_type_qualifier_token2] = ACTIONS(6713),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6713),
    [aux_sym_stop_statement_token1] = ACTIONS(6713),
    [aux_sym_stop_statement_token2] = ACTIONS(6713),
    [aux_sym_subroutine_call_token1] = ACTIONS(6713),
    [aux_sym_keyword_statement_token2] = ACTIONS(6713),
    [aux_sym_keyword_statement_token3] = ACTIONS(6713),
    [aux_sym_keyword_statement_token4] = ACTIONS(6713),
    [aux_sym_include_statement_token1] = ACTIONS(6713),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6713),
    [aux_sym_end_if_statement_token1] = ACTIONS(6713),
    [aux_sym_elseif_clause_token2] = ACTIONS(6713),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6713),
    [aux_sym_select_case_statement_token1] = ACTIONS(6713),
    [aux_sym_format_statement_token1] = ACTIONS(6713),
    [aux_sym_print_statement_token1] = ACTIONS(6713),
    [aux_sym_open_statement_token1] = ACTIONS(6713),
    [aux_sym_inquire_statement_token1] = ACTIONS(6713),
    [aux_sym_enum_statement_token1] = ACTIONS(6713),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6713),
    [aux_sym_entry_statement_token1] = ACTIONS(6713),
    [aux_sym_logical_expression_token5] = ACTIONS(6715),
    [anon_sym_DOT] = ACTIONS(6713),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6715),
    [anon_sym_LBRACK] = ACTIONS(6715),
    [aux_sym_boolean_literal_token1] = ACTIONS(6715),
    [aux_sym_boolean_literal_token2] = ACTIONS(6715),
    [aux_sym_null_literal_token1] = ACTIONS(6713),
    [aux_sym_coarray_statement_token1] = ACTIONS(6713),
    [aux_sym_coarray_statement_token2] = ACTIONS(6713),
    [aux_sym_coarray_statement_token6] = ACTIONS(6713),
    [aux_sym_coarray_statement_token8] = ACTIONS(6713),
    [aux_sym_coarray_statement_token11] = ACTIONS(6713),
    [aux_sym_coarray_statement_token12] = ACTIONS(6713),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6713),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6713),
    [aux_sym_identifier_token1] = ACTIONS(6713),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6715),
    [sym__float_literal] = ACTIONS(6715),
    [sym__boz_literal] = ACTIONS(6715),
    [sym__string_literal] = ACTIONS(6715),
    [sym__string_literal_kind] = ACTIONS(6715),
  },
  [2383] = {
    [sym_assignment] = STATE(7068),
    [sym_operator] = STATE(7068),
    [sym_defined_io_procedure] = STATE(7068),
    [sym__generic_procedure] = STATE(7068),
    [sym_identifier] = STATE(7068),
    [sym__end_of_statement] = STATE(1673),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6717),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6719),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6717),
  },
  [2384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6535),
    [aux_sym_preproc_def_token1] = ACTIONS(6535),
    [aux_sym_preproc_if_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6535),
    [sym_preproc_directive] = ACTIONS(6535),
    [anon_sym_LPAREN2] = ACTIONS(6535),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6537),
    [aux_sym_interface_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_block_data_statement_token2] = ACTIONS(6535),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6535),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6535),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6535),
    [aux_sym_language_binding_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6535),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6535),
    [aux_sym_use_statement_token1] = ACTIONS(6535),
    [aux_sym_use_statement_token2] = ACTIONS(6535),
    [aux_sym_implicit_statement_token1] = ACTIONS(6535),
    [aux_sym_implicit_statement_token3] = ACTIONS(6535),
    [aux_sym_implicit_statement_token4] = ACTIONS(6535),
    [aux_sym_save_statement_token1] = ACTIONS(6535),
    [aux_sym_private_statement_token1] = ACTIONS(6535),
    [aux_sym_public_statement_token1] = ACTIONS(6535),
    [aux_sym_namelist_statement_token1] = ACTIONS(6535),
    [aux_sym_common_statement_token1] = ACTIONS(6535),
    [aux_sym_import_statement_token1] = ACTIONS(6535),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6535),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6535),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6535),
    [aux_sym_variable_attributes_token1] = ACTIONS(6535),
    [aux_sym_variable_attributes_token2] = ACTIONS(6535),
    [aux_sym_variable_attributes_token3] = ACTIONS(6535),
    [aux_sym_variable_attributes_token4] = ACTIONS(6535),
    [aux_sym_variable_attributes_token5] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6535),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6535),
    [aux_sym_derived_type_token1] = ACTIONS(6535),
    [aux_sym_declared_type_token1] = ACTIONS(6535),
    [aux_sym_declared_type_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6535),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6535),
    [aux_sym_type_qualifier_token1] = ACTIONS(6535),
    [aux_sym_type_qualifier_token2] = ACTIONS(6535),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token1] = ACTIONS(6535),
    [aux_sym_stop_statement_token2] = ACTIONS(6535),
    [aux_sym_subroutine_call_token1] = ACTIONS(6535),
    [aux_sym_keyword_statement_token2] = ACTIONS(6535),
    [aux_sym_keyword_statement_token3] = ACTIONS(6535),
    [aux_sym_keyword_statement_token4] = ACTIONS(6535),
    [aux_sym_include_statement_token1] = ACTIONS(6535),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6535),
    [aux_sym_end_if_statement_token1] = ACTIONS(6535),
    [aux_sym_elseif_clause_token2] = ACTIONS(6535),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6535),
    [aux_sym_select_case_statement_token1] = ACTIONS(6535),
    [aux_sym_format_statement_token1] = ACTIONS(6535),
    [aux_sym_print_statement_token1] = ACTIONS(6535),
    [aux_sym_open_statement_token1] = ACTIONS(6535),
    [aux_sym_inquire_statement_token1] = ACTIONS(6535),
    [aux_sym_enum_statement_token1] = ACTIONS(6535),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6535),
    [aux_sym_entry_statement_token1] = ACTIONS(6535),
    [aux_sym_logical_expression_token5] = ACTIONS(6537),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6537),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [aux_sym_boolean_literal_token1] = ACTIONS(6537),
    [aux_sym_boolean_literal_token2] = ACTIONS(6537),
    [aux_sym_null_literal_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_statement_token2] = ACTIONS(6535),
    [aux_sym_coarray_statement_token6] = ACTIONS(6535),
    [aux_sym_coarray_statement_token8] = ACTIONS(6535),
    [aux_sym_coarray_statement_token11] = ACTIONS(6535),
    [aux_sym_coarray_statement_token12] = ACTIONS(6535),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6535),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6535),
    [aux_sym_identifier_token1] = ACTIONS(6535),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6537),
    [sym__float_literal] = ACTIONS(6537),
    [sym__boz_literal] = ACTIONS(6537),
    [sym__string_literal] = ACTIONS(6537),
    [sym__string_literal_kind] = ACTIONS(6537),
  },
  [2385] = {
    [sym_assignment] = STATE(7071),
    [sym_operator] = STATE(7071),
    [sym_defined_io_procedure] = STATE(7071),
    [sym__generic_procedure] = STATE(7071),
    [sym_identifier] = STATE(7071),
    [sym__end_of_statement] = STATE(1674),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6721),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6723),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6721),
  },
  [2386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5774),
    [aux_sym_preproc_def_token1] = ACTIONS(5774),
    [aux_sym_preproc_if_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5774),
    [sym_preproc_directive] = ACTIONS(5774),
    [anon_sym_LPAREN2] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [aux_sym_interface_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_block_data_statement_token2] = ACTIONS(5774),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5774),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5774),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5774),
    [aux_sym_language_binding_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5774),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5774),
    [aux_sym_use_statement_token1] = ACTIONS(5774),
    [aux_sym_use_statement_token2] = ACTIONS(5774),
    [aux_sym_implicit_statement_token1] = ACTIONS(5774),
    [aux_sym_implicit_statement_token3] = ACTIONS(5774),
    [aux_sym_implicit_statement_token4] = ACTIONS(5774),
    [aux_sym_save_statement_token1] = ACTIONS(5774),
    [aux_sym_private_statement_token1] = ACTIONS(5774),
    [aux_sym_public_statement_token1] = ACTIONS(5774),
    [aux_sym_namelist_statement_token1] = ACTIONS(5774),
    [aux_sym_common_statement_token1] = ACTIONS(5774),
    [aux_sym_import_statement_token1] = ACTIONS(5774),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5774),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5774),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5774),
    [aux_sym_variable_attributes_token1] = ACTIONS(5774),
    [aux_sym_variable_attributes_token2] = ACTIONS(5774),
    [aux_sym_variable_attributes_token3] = ACTIONS(5774),
    [aux_sym_variable_attributes_token4] = ACTIONS(5774),
    [aux_sym_variable_attributes_token5] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5774),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5774),
    [aux_sym_derived_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token1] = ACTIONS(5774),
    [aux_sym_declared_type_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5774),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5774),
    [aux_sym_type_qualifier_token1] = ACTIONS(5774),
    [aux_sym_type_qualifier_token2] = ACTIONS(5774),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5774),
    [aux_sym_stop_statement_token2] = ACTIONS(5774),
    [aux_sym_subroutine_call_token1] = ACTIONS(5774),
    [aux_sym_keyword_statement_token2] = ACTIONS(5774),
    [aux_sym_keyword_statement_token3] = ACTIONS(5774),
    [aux_sym_keyword_statement_token4] = ACTIONS(5774),
    [aux_sym_include_statement_token1] = ACTIONS(5774),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5774),
    [aux_sym_end_if_statement_token1] = ACTIONS(5774),
    [aux_sym_elseif_clause_token2] = ACTIONS(5774),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5774),
    [aux_sym_select_case_statement_token1] = ACTIONS(5774),
    [aux_sym_format_statement_token1] = ACTIONS(5774),
    [aux_sym_print_statement_token1] = ACTIONS(5774),
    [aux_sym_open_statement_token1] = ACTIONS(5774),
    [aux_sym_inquire_statement_token1] = ACTIONS(5774),
    [aux_sym_enum_statement_token1] = ACTIONS(5774),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5774),
    [aux_sym_entry_statement_token1] = ACTIONS(5774),
    [aux_sym_logical_expression_token5] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [aux_sym_boolean_literal_token1] = ACTIONS(5776),
    [aux_sym_boolean_literal_token2] = ACTIONS(5776),
    [aux_sym_null_literal_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_statement_token2] = ACTIONS(5774),
    [aux_sym_coarray_statement_token6] = ACTIONS(5774),
    [aux_sym_coarray_statement_token8] = ACTIONS(5774),
    [aux_sym_coarray_statement_token11] = ACTIONS(5774),
    [aux_sym_coarray_statement_token12] = ACTIONS(5774),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5774),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5774),
    [aux_sym_identifier_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5776),
    [sym__float_literal] = ACTIONS(5776),
    [sym__boz_literal] = ACTIONS(5776),
    [sym__string_literal] = ACTIONS(5776),
    [sym__string_literal_kind] = ACTIONS(5776),
  },
  [2387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5512),
    [aux_sym_interface_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_block_data_statement_token2] = ACTIONS(5508),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5508),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5508),
    [aux_sym_language_binding_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5508),
    [aux_sym_use_statement_token1] = ACTIONS(5508),
    [aux_sym_use_statement_token2] = ACTIONS(5508),
    [aux_sym_implicit_statement_token1] = ACTIONS(5508),
    [aux_sym_implicit_statement_token3] = ACTIONS(5508),
    [aux_sym_implicit_statement_token4] = ACTIONS(5508),
    [aux_sym_save_statement_token1] = ACTIONS(5508),
    [aux_sym_private_statement_token1] = ACTIONS(5508),
    [aux_sym_public_statement_token1] = ACTIONS(5508),
    [aux_sym_namelist_statement_token1] = ACTIONS(5508),
    [aux_sym_common_statement_token1] = ACTIONS(5508),
    [aux_sym_import_statement_token1] = ACTIONS(5508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5508),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5508),
    [aux_sym_variable_attributes_token1] = ACTIONS(5508),
    [aux_sym_variable_attributes_token2] = ACTIONS(5508),
    [aux_sym_variable_attributes_token3] = ACTIONS(5508),
    [aux_sym_variable_attributes_token4] = ACTIONS(5508),
    [aux_sym_variable_attributes_token5] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5508),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5508),
    [aux_sym_derived_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token1] = ACTIONS(5508),
    [aux_sym_declared_type_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5508),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5508),
    [aux_sym_type_qualifier_token1] = ACTIONS(5508),
    [aux_sym_type_qualifier_token2] = ACTIONS(5508),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token1] = ACTIONS(5508),
    [aux_sym_stop_statement_token2] = ACTIONS(5508),
    [aux_sym_subroutine_call_token1] = ACTIONS(5508),
    [aux_sym_keyword_statement_token2] = ACTIONS(5508),
    [aux_sym_keyword_statement_token3] = ACTIONS(5508),
    [aux_sym_keyword_statement_token4] = ACTIONS(5508),
    [aux_sym_include_statement_token1] = ACTIONS(5508),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5508),
    [aux_sym_end_if_statement_token1] = ACTIONS(5508),
    [aux_sym_elseif_clause_token2] = ACTIONS(5508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5508),
    [aux_sym_select_case_statement_token1] = ACTIONS(5508),
    [aux_sym_format_statement_token1] = ACTIONS(5508),
    [aux_sym_print_statement_token1] = ACTIONS(5508),
    [aux_sym_open_statement_token1] = ACTIONS(5508),
    [aux_sym_inquire_statement_token1] = ACTIONS(5508),
    [aux_sym_enum_statement_token1] = ACTIONS(5508),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5508),
    [aux_sym_entry_statement_token1] = ACTIONS(5508),
    [aux_sym_logical_expression_token5] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [aux_sym_boolean_literal_token1] = ACTIONS(5512),
    [aux_sym_boolean_literal_token2] = ACTIONS(5512),
    [aux_sym_null_literal_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_statement_token2] = ACTIONS(5508),
    [aux_sym_coarray_statement_token6] = ACTIONS(5508),
    [aux_sym_coarray_statement_token8] = ACTIONS(5508),
    [aux_sym_coarray_statement_token11] = ACTIONS(5508),
    [aux_sym_coarray_statement_token12] = ACTIONS(5508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5508),
    [aux_sym_identifier_token1] = ACTIONS(5508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5512),
    [sym__float_literal] = ACTIONS(5512),
    [sym__boz_literal] = ACTIONS(5512),
    [sym__string_literal] = ACTIONS(5512),
    [sym__string_literal_kind] = ACTIONS(5512),
  },
  [2388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5790),
    [aux_sym_preproc_def_token1] = ACTIONS(5790),
    [aux_sym_preproc_if_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5790),
    [sym_preproc_directive] = ACTIONS(5790),
    [anon_sym_LPAREN2] = ACTIONS(5790),
    [anon_sym_PLUS] = ACTIONS(5792),
    [anon_sym_DASH] = ACTIONS(5792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5790),
    [anon_sym_SEMI] = ACTIONS(5792),
    [aux_sym_interface_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_block_data_statement_token2] = ACTIONS(5790),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5790),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5790),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5790),
    [aux_sym_language_binding_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5790),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5790),
    [aux_sym_use_statement_token1] = ACTIONS(5790),
    [aux_sym_use_statement_token2] = ACTIONS(5790),
    [aux_sym_implicit_statement_token1] = ACTIONS(5790),
    [aux_sym_implicit_statement_token3] = ACTIONS(5790),
    [aux_sym_implicit_statement_token4] = ACTIONS(5790),
    [aux_sym_save_statement_token1] = ACTIONS(5790),
    [aux_sym_private_statement_token1] = ACTIONS(5790),
    [aux_sym_public_statement_token1] = ACTIONS(5790),
    [aux_sym_namelist_statement_token1] = ACTIONS(5790),
    [aux_sym_common_statement_token1] = ACTIONS(5790),
    [aux_sym_import_statement_token1] = ACTIONS(5790),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5790),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5790),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5790),
    [aux_sym_variable_attributes_token1] = ACTIONS(5790),
    [aux_sym_variable_attributes_token2] = ACTIONS(5790),
    [aux_sym_variable_attributes_token3] = ACTIONS(5790),
    [aux_sym_variable_attributes_token4] = ACTIONS(5790),
    [aux_sym_variable_attributes_token5] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5790),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5790),
    [aux_sym_derived_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token1] = ACTIONS(5790),
    [aux_sym_declared_type_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5790),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5790),
    [aux_sym_type_qualifier_token1] = ACTIONS(5790),
    [aux_sym_type_qualifier_token2] = ACTIONS(5790),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5790),
    [aux_sym_stop_statement_token2] = ACTIONS(5790),
    [aux_sym_subroutine_call_token1] = ACTIONS(5790),
    [aux_sym_keyword_statement_token2] = ACTIONS(5790),
    [aux_sym_keyword_statement_token3] = ACTIONS(5790),
    [aux_sym_keyword_statement_token4] = ACTIONS(5790),
    [aux_sym_include_statement_token1] = ACTIONS(5790),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5790),
    [aux_sym_end_if_statement_token1] = ACTIONS(5790),
    [aux_sym_elseif_clause_token2] = ACTIONS(5790),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5790),
    [aux_sym_select_case_statement_token1] = ACTIONS(5790),
    [aux_sym_format_statement_token1] = ACTIONS(5790),
    [aux_sym_print_statement_token1] = ACTIONS(5790),
    [aux_sym_open_statement_token1] = ACTIONS(5790),
    [aux_sym_inquire_statement_token1] = ACTIONS(5790),
    [aux_sym_enum_statement_token1] = ACTIONS(5790),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5790),
    [aux_sym_entry_statement_token1] = ACTIONS(5790),
    [aux_sym_logical_expression_token5] = ACTIONS(5792),
    [anon_sym_DOT] = ACTIONS(5790),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5792),
    [aux_sym_boolean_literal_token1] = ACTIONS(5792),
    [aux_sym_boolean_literal_token2] = ACTIONS(5792),
    [aux_sym_null_literal_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_statement_token2] = ACTIONS(5790),
    [aux_sym_coarray_statement_token6] = ACTIONS(5790),
    [aux_sym_coarray_statement_token8] = ACTIONS(5790),
    [aux_sym_coarray_statement_token11] = ACTIONS(5790),
    [aux_sym_coarray_statement_token12] = ACTIONS(5790),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5790),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5790),
    [aux_sym_identifier_token1] = ACTIONS(5790),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5792),
    [sym__float_literal] = ACTIONS(5792),
    [sym__boz_literal] = ACTIONS(5792),
    [sym__string_literal] = ACTIONS(5792),
    [sym__string_literal_kind] = ACTIONS(5792),
  },
  [2389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6521),
    [aux_sym_preproc_def_token1] = ACTIONS(6521),
    [aux_sym_preproc_if_token1] = ACTIONS(6521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6521),
    [sym_preproc_directive] = ACTIONS(6521),
    [anon_sym_LPAREN2] = ACTIONS(6521),
    [anon_sym_PLUS] = ACTIONS(6523),
    [anon_sym_DASH] = ACTIONS(6523),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6521),
    [anon_sym_SEMI] = ACTIONS(6523),
    [aux_sym_interface_statement_token1] = ACTIONS(6521),
    [aux_sym_block_data_statement_token1] = ACTIONS(6521),
    [aux_sym_block_data_statement_token2] = ACTIONS(6521),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(6521),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6521),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6521),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6521),
    [aux_sym_language_binding_token1] = ACTIONS(6521),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6521),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6521),
    [aux_sym_use_statement_token1] = ACTIONS(6521),
    [aux_sym_use_statement_token2] = ACTIONS(6521),
    [aux_sym_implicit_statement_token1] = ACTIONS(6521),
    [aux_sym_implicit_statement_token3] = ACTIONS(6521),
    [aux_sym_implicit_statement_token4] = ACTIONS(6521),
    [aux_sym_save_statement_token1] = ACTIONS(6521),
    [aux_sym_private_statement_token1] = ACTIONS(6521),
    [aux_sym_public_statement_token1] = ACTIONS(6521),
    [aux_sym_namelist_statement_token1] = ACTIONS(6521),
    [aux_sym_common_statement_token1] = ACTIONS(6521),
    [aux_sym_import_statement_token1] = ACTIONS(6521),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6521),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6521),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6521),
    [aux_sym_variable_attributes_token1] = ACTIONS(6521),
    [aux_sym_variable_attributes_token2] = ACTIONS(6521),
    [aux_sym_variable_attributes_token3] = ACTIONS(6521),
    [aux_sym_variable_attributes_token4] = ACTIONS(6521),
    [aux_sym_variable_attributes_token5] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6521),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6521),
    [aux_sym_derived_type_token1] = ACTIONS(6521),
    [aux_sym_declared_type_token1] = ACTIONS(6521),
    [aux_sym_declared_type_token2] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6521),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6521),
    [aux_sym_type_qualifier_token1] = ACTIONS(6521),
    [aux_sym_type_qualifier_token2] = ACTIONS(6521),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6521),
    [aux_sym_stop_statement_token1] = ACTIONS(6521),
    [aux_sym_stop_statement_token2] = ACTIONS(6521),
    [aux_sym_subroutine_call_token1] = ACTIONS(6521),
    [aux_sym_keyword_statement_token2] = ACTIONS(6521),
    [aux_sym_keyword_statement_token3] = ACTIONS(6521),
    [aux_sym_keyword_statement_token4] = ACTIONS(6521),
    [aux_sym_include_statement_token1] = ACTIONS(6521),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6521),
    [aux_sym_end_if_statement_token1] = ACTIONS(6521),
    [aux_sym_elseif_clause_token2] = ACTIONS(6521),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6521),
    [aux_sym_select_case_statement_token1] = ACTIONS(6521),
    [aux_sym_format_statement_token1] = ACTIONS(6521),
    [aux_sym_print_statement_token1] = ACTIONS(6521),
    [aux_sym_open_statement_token1] = ACTIONS(6521),
    [aux_sym_inquire_statement_token1] = ACTIONS(6521),
    [aux_sym_enum_statement_token1] = ACTIONS(6521),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6521),
    [aux_sym_entry_statement_token1] = ACTIONS(6521),
    [aux_sym_logical_expression_token5] = ACTIONS(6523),
    [anon_sym_DOT] = ACTIONS(6521),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6523),
    [anon_sym_LBRACK] = ACTIONS(6523),
    [aux_sym_boolean_literal_token1] = ACTIONS(6523),
    [aux_sym_boolean_literal_token2] = ACTIONS(6523),
    [aux_sym_null_literal_token1] = ACTIONS(6521),
    [aux_sym_coarray_statement_token1] = ACTIONS(6521),
    [aux_sym_coarray_statement_token2] = ACTIONS(6521),
    [aux_sym_coarray_statement_token6] = ACTIONS(6521),
    [aux_sym_coarray_statement_token8] = ACTIONS(6521),
    [aux_sym_coarray_statement_token11] = ACTIONS(6521),
    [aux_sym_coarray_statement_token12] = ACTIONS(6521),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6521),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6521),
    [aux_sym_identifier_token1] = ACTIONS(6521),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6523),
    [sym__float_literal] = ACTIONS(6523),
    [sym__boz_literal] = ACTIONS(6523),
    [sym__string_literal] = ACTIONS(6523),
    [sym__string_literal_kind] = ACTIONS(6523),
  },
  [2390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5614),
    [aux_sym_interface_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_block_data_statement_token2] = ACTIONS(5612),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_language_binding_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token1] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_namelist_statement_token1] = ACTIONS(5612),
    [aux_sym_common_statement_token1] = ACTIONS(5612),
    [aux_sym_import_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token1] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token4] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token1] = ACTIONS(5612),
    [aux_sym_declared_type_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_enum_statement_token1] = ACTIONS(5612),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5614),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [aux_sym_boolean_literal_token1] = ACTIONS(5614),
    [aux_sym_boolean_literal_token2] = ACTIONS(5614),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5614),
    [sym__float_literal] = ACTIONS(5614),
    [sym__boz_literal] = ACTIONS(5614),
    [sym__string_literal] = ACTIONS(5614),
    [sym__string_literal_kind] = ACTIONS(5614),
  },
  [2391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5750),
    [aux_sym_preproc_def_token1] = ACTIONS(5750),
    [aux_sym_preproc_if_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5750),
    [sym_preproc_directive] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [aux_sym_interface_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_block_data_statement_token2] = ACTIONS(5750),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5750),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5750),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5750),
    [aux_sym_language_binding_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5750),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5750),
    [aux_sym_use_statement_token1] = ACTIONS(5750),
    [aux_sym_use_statement_token2] = ACTIONS(5750),
    [aux_sym_implicit_statement_token1] = ACTIONS(5750),
    [aux_sym_implicit_statement_token3] = ACTIONS(5750),
    [aux_sym_implicit_statement_token4] = ACTIONS(5750),
    [aux_sym_save_statement_token1] = ACTIONS(5750),
    [aux_sym_private_statement_token1] = ACTIONS(5750),
    [aux_sym_public_statement_token1] = ACTIONS(5750),
    [aux_sym_namelist_statement_token1] = ACTIONS(5750),
    [aux_sym_common_statement_token1] = ACTIONS(5750),
    [aux_sym_import_statement_token1] = ACTIONS(5750),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5750),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5750),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5750),
    [aux_sym_variable_attributes_token1] = ACTIONS(5750),
    [aux_sym_variable_attributes_token2] = ACTIONS(5750),
    [aux_sym_variable_attributes_token3] = ACTIONS(5750),
    [aux_sym_variable_attributes_token4] = ACTIONS(5750),
    [aux_sym_variable_attributes_token5] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5750),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5750),
    [aux_sym_derived_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token1] = ACTIONS(5750),
    [aux_sym_declared_type_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5750),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5750),
    [aux_sym_type_qualifier_token1] = ACTIONS(5750),
    [aux_sym_type_qualifier_token2] = ACTIONS(5750),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5750),
    [aux_sym_stop_statement_token2] = ACTIONS(5750),
    [aux_sym_subroutine_call_token1] = ACTIONS(5750),
    [aux_sym_keyword_statement_token2] = ACTIONS(5750),
    [aux_sym_keyword_statement_token3] = ACTIONS(5750),
    [aux_sym_keyword_statement_token4] = ACTIONS(5750),
    [aux_sym_include_statement_token1] = ACTIONS(5750),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5750),
    [aux_sym_end_if_statement_token1] = ACTIONS(5750),
    [aux_sym_elseif_clause_token2] = ACTIONS(5750),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5750),
    [aux_sym_select_case_statement_token1] = ACTIONS(5750),
    [aux_sym_format_statement_token1] = ACTIONS(5750),
    [aux_sym_print_statement_token1] = ACTIONS(5750),
    [aux_sym_open_statement_token1] = ACTIONS(5750),
    [aux_sym_inquire_statement_token1] = ACTIONS(5750),
    [aux_sym_enum_statement_token1] = ACTIONS(5750),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5750),
    [aux_sym_entry_statement_token1] = ACTIONS(5750),
    [aux_sym_logical_expression_token5] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [aux_sym_boolean_literal_token1] = ACTIONS(5752),
    [aux_sym_boolean_literal_token2] = ACTIONS(5752),
    [aux_sym_null_literal_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_statement_token2] = ACTIONS(5750),
    [aux_sym_coarray_statement_token6] = ACTIONS(5750),
    [aux_sym_coarray_statement_token8] = ACTIONS(5750),
    [aux_sym_coarray_statement_token11] = ACTIONS(5750),
    [aux_sym_coarray_statement_token12] = ACTIONS(5750),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5750),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5750),
    [aux_sym_identifier_token1] = ACTIONS(5750),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5752),
    [sym__float_literal] = ACTIONS(5752),
    [sym__boz_literal] = ACTIONS(5752),
    [sym__string_literal] = ACTIONS(5752),
    [sym__string_literal_kind] = ACTIONS(5752),
  },
  [2392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5680),
    [aux_sym_preproc_def_token1] = ACTIONS(5680),
    [aux_sym_preproc_if_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [sym_preproc_directive] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5682),
    [aux_sym_interface_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_block_data_statement_token2] = ACTIONS(5680),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5680),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5680),
    [aux_sym_language_binding_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5680),
    [aux_sym_use_statement_token1] = ACTIONS(5680),
    [aux_sym_use_statement_token2] = ACTIONS(5680),
    [aux_sym_implicit_statement_token1] = ACTIONS(5680),
    [aux_sym_implicit_statement_token3] = ACTIONS(5680),
    [aux_sym_implicit_statement_token4] = ACTIONS(5680),
    [aux_sym_save_statement_token1] = ACTIONS(5680),
    [aux_sym_private_statement_token1] = ACTIONS(5680),
    [aux_sym_public_statement_token1] = ACTIONS(5680),
    [aux_sym_namelist_statement_token1] = ACTIONS(5680),
    [aux_sym_common_statement_token1] = ACTIONS(5680),
    [aux_sym_import_statement_token1] = ACTIONS(5680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5680),
    [aux_sym_variable_attributes_token1] = ACTIONS(5680),
    [aux_sym_variable_attributes_token2] = ACTIONS(5680),
    [aux_sym_variable_attributes_token3] = ACTIONS(5680),
    [aux_sym_variable_attributes_token4] = ACTIONS(5680),
    [aux_sym_variable_attributes_token5] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5680),
    [aux_sym_derived_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token1] = ACTIONS(5680),
    [aux_sym_declared_type_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5680),
    [aux_sym_type_qualifier_token1] = ACTIONS(5680),
    [aux_sym_type_qualifier_token2] = ACTIONS(5680),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token1] = ACTIONS(5680),
    [aux_sym_stop_statement_token2] = ACTIONS(5680),
    [aux_sym_subroutine_call_token1] = ACTIONS(5680),
    [aux_sym_keyword_statement_token2] = ACTIONS(5680),
    [aux_sym_keyword_statement_token3] = ACTIONS(5680),
    [aux_sym_keyword_statement_token4] = ACTIONS(5680),
    [aux_sym_include_statement_token1] = ACTIONS(5680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5680),
    [aux_sym_end_if_statement_token1] = ACTIONS(5680),
    [aux_sym_elseif_clause_token2] = ACTIONS(5680),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5680),
    [aux_sym_select_case_statement_token1] = ACTIONS(5680),
    [aux_sym_format_statement_token1] = ACTIONS(5680),
    [aux_sym_print_statement_token1] = ACTIONS(5680),
    [aux_sym_open_statement_token1] = ACTIONS(5680),
    [aux_sym_inquire_statement_token1] = ACTIONS(5680),
    [aux_sym_enum_statement_token1] = ACTIONS(5680),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5680),
    [aux_sym_entry_statement_token1] = ACTIONS(5680),
    [aux_sym_logical_expression_token5] = ACTIONS(5682),
    [anon_sym_DOT] = ACTIONS(5680),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [aux_sym_boolean_literal_token1] = ACTIONS(5682),
    [aux_sym_boolean_literal_token2] = ACTIONS(5682),
    [aux_sym_null_literal_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_statement_token2] = ACTIONS(5680),
    [aux_sym_coarray_statement_token6] = ACTIONS(5680),
    [aux_sym_coarray_statement_token8] = ACTIONS(5680),
    [aux_sym_coarray_statement_token11] = ACTIONS(5680),
    [aux_sym_coarray_statement_token12] = ACTIONS(5680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5680),
    [aux_sym_identifier_token1] = ACTIONS(5680),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5682),
    [sym__float_literal] = ACTIONS(5682),
    [sym__boz_literal] = ACTIONS(5682),
    [sym__string_literal] = ACTIONS(5682),
    [sym__string_literal_kind] = ACTIONS(5682),
  },
  [2393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5684),
    [aux_sym_preproc_def_token1] = ACTIONS(5684),
    [aux_sym_preproc_if_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [sym_preproc_directive] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5686),
    [aux_sym_interface_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_block_data_statement_token2] = ACTIONS(5684),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5684),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5684),
    [aux_sym_language_binding_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5684),
    [aux_sym_use_statement_token1] = ACTIONS(5684),
    [aux_sym_use_statement_token2] = ACTIONS(5684),
    [aux_sym_implicit_statement_token1] = ACTIONS(5684),
    [aux_sym_implicit_statement_token3] = ACTIONS(5684),
    [aux_sym_implicit_statement_token4] = ACTIONS(5684),
    [aux_sym_save_statement_token1] = ACTIONS(5684),
    [aux_sym_private_statement_token1] = ACTIONS(5684),
    [aux_sym_public_statement_token1] = ACTIONS(5684),
    [aux_sym_namelist_statement_token1] = ACTIONS(5684),
    [aux_sym_common_statement_token1] = ACTIONS(5684),
    [aux_sym_import_statement_token1] = ACTIONS(5684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5684),
    [aux_sym_variable_attributes_token1] = ACTIONS(5684),
    [aux_sym_variable_attributes_token2] = ACTIONS(5684),
    [aux_sym_variable_attributes_token3] = ACTIONS(5684),
    [aux_sym_variable_attributes_token4] = ACTIONS(5684),
    [aux_sym_variable_attributes_token5] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5684),
    [aux_sym_derived_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token1] = ACTIONS(5684),
    [aux_sym_declared_type_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5684),
    [aux_sym_type_qualifier_token1] = ACTIONS(5684),
    [aux_sym_type_qualifier_token2] = ACTIONS(5684),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token1] = ACTIONS(5684),
    [aux_sym_stop_statement_token2] = ACTIONS(5684),
    [aux_sym_subroutine_call_token1] = ACTIONS(5684),
    [aux_sym_keyword_statement_token2] = ACTIONS(5684),
    [aux_sym_keyword_statement_token3] = ACTIONS(5684),
    [aux_sym_keyword_statement_token4] = ACTIONS(5684),
    [aux_sym_include_statement_token1] = ACTIONS(5684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5684),
    [aux_sym_end_if_statement_token1] = ACTIONS(5684),
    [aux_sym_elseif_clause_token2] = ACTIONS(5684),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5684),
    [aux_sym_select_case_statement_token1] = ACTIONS(5684),
    [aux_sym_format_statement_token1] = ACTIONS(5684),
    [aux_sym_print_statement_token1] = ACTIONS(5684),
    [aux_sym_open_statement_token1] = ACTIONS(5684),
    [aux_sym_inquire_statement_token1] = ACTIONS(5684),
    [aux_sym_enum_statement_token1] = ACTIONS(5684),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5684),
    [aux_sym_entry_statement_token1] = ACTIONS(5684),
    [aux_sym_logical_expression_token5] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [aux_sym_boolean_literal_token1] = ACTIONS(5686),
    [aux_sym_boolean_literal_token2] = ACTIONS(5686),
    [aux_sym_null_literal_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_statement_token2] = ACTIONS(5684),
    [aux_sym_coarray_statement_token6] = ACTIONS(5684),
    [aux_sym_coarray_statement_token8] = ACTIONS(5684),
    [aux_sym_coarray_statement_token11] = ACTIONS(5684),
    [aux_sym_coarray_statement_token12] = ACTIONS(5684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5684),
    [aux_sym_identifier_token1] = ACTIONS(5684),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5686),
    [sym__float_literal] = ACTIONS(5686),
    [sym__boz_literal] = ACTIONS(5686),
    [sym__string_literal] = ACTIONS(5686),
    [sym__string_literal_kind] = ACTIONS(5686),
  },
  [2394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5688),
    [aux_sym_preproc_def_token1] = ACTIONS(5688),
    [aux_sym_preproc_if_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [sym_preproc_directive] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_interface_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_block_data_statement_token2] = ACTIONS(5688),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5688),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5688),
    [aux_sym_language_binding_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5688),
    [aux_sym_use_statement_token1] = ACTIONS(5688),
    [aux_sym_use_statement_token2] = ACTIONS(5688),
    [aux_sym_implicit_statement_token1] = ACTIONS(5688),
    [aux_sym_implicit_statement_token3] = ACTIONS(5688),
    [aux_sym_implicit_statement_token4] = ACTIONS(5688),
    [aux_sym_save_statement_token1] = ACTIONS(5688),
    [aux_sym_private_statement_token1] = ACTIONS(5688),
    [aux_sym_public_statement_token1] = ACTIONS(5688),
    [aux_sym_namelist_statement_token1] = ACTIONS(5688),
    [aux_sym_common_statement_token1] = ACTIONS(5688),
    [aux_sym_import_statement_token1] = ACTIONS(5688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5688),
    [aux_sym_variable_attributes_token1] = ACTIONS(5688),
    [aux_sym_variable_attributes_token2] = ACTIONS(5688),
    [aux_sym_variable_attributes_token3] = ACTIONS(5688),
    [aux_sym_variable_attributes_token4] = ACTIONS(5688),
    [aux_sym_variable_attributes_token5] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5688),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5688),
    [aux_sym_derived_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token1] = ACTIONS(5688),
    [aux_sym_declared_type_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5688),
    [aux_sym_type_qualifier_token1] = ACTIONS(5688),
    [aux_sym_type_qualifier_token2] = ACTIONS(5688),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token1] = ACTIONS(5688),
    [aux_sym_stop_statement_token2] = ACTIONS(5688),
    [aux_sym_subroutine_call_token1] = ACTIONS(5688),
    [aux_sym_keyword_statement_token2] = ACTIONS(5688),
    [aux_sym_keyword_statement_token3] = ACTIONS(5688),
    [aux_sym_keyword_statement_token4] = ACTIONS(5688),
    [aux_sym_include_statement_token1] = ACTIONS(5688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5688),
    [aux_sym_end_if_statement_token1] = ACTIONS(5688),
    [aux_sym_elseif_clause_token2] = ACTIONS(5688),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5688),
    [aux_sym_select_case_statement_token1] = ACTIONS(5688),
    [aux_sym_format_statement_token1] = ACTIONS(5688),
    [aux_sym_print_statement_token1] = ACTIONS(5688),
    [aux_sym_open_statement_token1] = ACTIONS(5688),
    [aux_sym_inquire_statement_token1] = ACTIONS(5688),
    [aux_sym_enum_statement_token1] = ACTIONS(5688),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5688),
    [aux_sym_entry_statement_token1] = ACTIONS(5688),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_statement_token2] = ACTIONS(5688),
    [aux_sym_coarray_statement_token6] = ACTIONS(5688),
    [aux_sym_coarray_statement_token8] = ACTIONS(5688),
    [aux_sym_coarray_statement_token11] = ACTIONS(5688),
    [aux_sym_coarray_statement_token12] = ACTIONS(5688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5688),
    [aux_sym_identifier_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5806),
    [aux_sym_preproc_def_token1] = ACTIONS(5806),
    [aux_sym_preproc_if_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5806),
    [sym_preproc_directive] = ACTIONS(5806),
    [anon_sym_LPAREN2] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_interface_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_block_data_statement_token2] = ACTIONS(5806),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5806),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5806),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5806),
    [aux_sym_language_binding_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5806),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5806),
    [aux_sym_use_statement_token1] = ACTIONS(5806),
    [aux_sym_use_statement_token2] = ACTIONS(5806),
    [aux_sym_implicit_statement_token1] = ACTIONS(5806),
    [aux_sym_implicit_statement_token3] = ACTIONS(5806),
    [aux_sym_implicit_statement_token4] = ACTIONS(5806),
    [aux_sym_save_statement_token1] = ACTIONS(5806),
    [aux_sym_private_statement_token1] = ACTIONS(5806),
    [aux_sym_public_statement_token1] = ACTIONS(5806),
    [aux_sym_namelist_statement_token1] = ACTIONS(5806),
    [aux_sym_common_statement_token1] = ACTIONS(5806),
    [aux_sym_import_statement_token1] = ACTIONS(5806),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5806),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5806),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5806),
    [aux_sym_variable_attributes_token1] = ACTIONS(5806),
    [aux_sym_variable_attributes_token2] = ACTIONS(5806),
    [aux_sym_variable_attributes_token3] = ACTIONS(5806),
    [aux_sym_variable_attributes_token4] = ACTIONS(5806),
    [aux_sym_variable_attributes_token5] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5806),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5806),
    [aux_sym_derived_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token1] = ACTIONS(5806),
    [aux_sym_declared_type_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5806),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5806),
    [aux_sym_type_qualifier_token1] = ACTIONS(5806),
    [aux_sym_type_qualifier_token2] = ACTIONS(5806),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token1] = ACTIONS(5806),
    [aux_sym_stop_statement_token2] = ACTIONS(5806),
    [aux_sym_subroutine_call_token1] = ACTIONS(5806),
    [aux_sym_keyword_statement_token2] = ACTIONS(5806),
    [aux_sym_keyword_statement_token3] = ACTIONS(5806),
    [aux_sym_keyword_statement_token4] = ACTIONS(5806),
    [aux_sym_include_statement_token1] = ACTIONS(5806),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5806),
    [aux_sym_end_if_statement_token1] = ACTIONS(5806),
    [aux_sym_elseif_clause_token2] = ACTIONS(5806),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5806),
    [aux_sym_select_case_statement_token1] = ACTIONS(5806),
    [aux_sym_format_statement_token1] = ACTIONS(5806),
    [aux_sym_print_statement_token1] = ACTIONS(5806),
    [aux_sym_open_statement_token1] = ACTIONS(5806),
    [aux_sym_inquire_statement_token1] = ACTIONS(5806),
    [aux_sym_enum_statement_token1] = ACTIONS(5806),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5806),
    [aux_sym_entry_statement_token1] = ACTIONS(5806),
    [aux_sym_logical_expression_token5] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [aux_sym_boolean_literal_token1] = ACTIONS(5808),
    [aux_sym_boolean_literal_token2] = ACTIONS(5808),
    [aux_sym_null_literal_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_statement_token2] = ACTIONS(5806),
    [aux_sym_coarray_statement_token6] = ACTIONS(5806),
    [aux_sym_coarray_statement_token8] = ACTIONS(5806),
    [aux_sym_coarray_statement_token11] = ACTIONS(5806),
    [aux_sym_coarray_statement_token12] = ACTIONS(5806),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5806),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5806),
    [aux_sym_identifier_token1] = ACTIONS(5806),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5808),
    [sym__float_literal] = ACTIONS(5808),
    [sym__boz_literal] = ACTIONS(5808),
    [sym__string_literal] = ACTIONS(5808),
    [sym__string_literal_kind] = ACTIONS(5808),
  },
  [2396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5692),
    [aux_sym_preproc_def_token1] = ACTIONS(5692),
    [aux_sym_preproc_if_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [sym_preproc_directive] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5694),
    [aux_sym_interface_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_block_data_statement_token2] = ACTIONS(5692),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5692),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5692),
    [aux_sym_language_binding_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5692),
    [aux_sym_use_statement_token1] = ACTIONS(5692),
    [aux_sym_use_statement_token2] = ACTIONS(5692),
    [aux_sym_implicit_statement_token1] = ACTIONS(5692),
    [aux_sym_implicit_statement_token3] = ACTIONS(5692),
    [aux_sym_implicit_statement_token4] = ACTIONS(5692),
    [aux_sym_save_statement_token1] = ACTIONS(5692),
    [aux_sym_private_statement_token1] = ACTIONS(5692),
    [aux_sym_public_statement_token1] = ACTIONS(5692),
    [aux_sym_namelist_statement_token1] = ACTIONS(5692),
    [aux_sym_common_statement_token1] = ACTIONS(5692),
    [aux_sym_import_statement_token1] = ACTIONS(5692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5692),
    [aux_sym_variable_attributes_token1] = ACTIONS(5692),
    [aux_sym_variable_attributes_token2] = ACTIONS(5692),
    [aux_sym_variable_attributes_token3] = ACTIONS(5692),
    [aux_sym_variable_attributes_token4] = ACTIONS(5692),
    [aux_sym_variable_attributes_token5] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5692),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5692),
    [aux_sym_derived_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token1] = ACTIONS(5692),
    [aux_sym_declared_type_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5692),
    [aux_sym_type_qualifier_token1] = ACTIONS(5692),
    [aux_sym_type_qualifier_token2] = ACTIONS(5692),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token1] = ACTIONS(5692),
    [aux_sym_stop_statement_token2] = ACTIONS(5692),
    [aux_sym_subroutine_call_token1] = ACTIONS(5692),
    [aux_sym_keyword_statement_token2] = ACTIONS(5692),
    [aux_sym_keyword_statement_token3] = ACTIONS(5692),
    [aux_sym_keyword_statement_token4] = ACTIONS(5692),
    [aux_sym_include_statement_token1] = ACTIONS(5692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5692),
    [aux_sym_end_if_statement_token1] = ACTIONS(5692),
    [aux_sym_elseif_clause_token2] = ACTIONS(5692),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5692),
    [aux_sym_select_case_statement_token1] = ACTIONS(5692),
    [aux_sym_format_statement_token1] = ACTIONS(5692),
    [aux_sym_print_statement_token1] = ACTIONS(5692),
    [aux_sym_open_statement_token1] = ACTIONS(5692),
    [aux_sym_inquire_statement_token1] = ACTIONS(5692),
    [aux_sym_enum_statement_token1] = ACTIONS(5692),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5692),
    [aux_sym_entry_statement_token1] = ACTIONS(5692),
    [aux_sym_logical_expression_token5] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [aux_sym_boolean_literal_token1] = ACTIONS(5694),
    [aux_sym_boolean_literal_token2] = ACTIONS(5694),
    [aux_sym_null_literal_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_statement_token2] = ACTIONS(5692),
    [aux_sym_coarray_statement_token6] = ACTIONS(5692),
    [aux_sym_coarray_statement_token8] = ACTIONS(5692),
    [aux_sym_coarray_statement_token11] = ACTIONS(5692),
    [aux_sym_coarray_statement_token12] = ACTIONS(5692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5692),
    [aux_sym_identifier_token1] = ACTIONS(5692),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5694),
    [sym__float_literal] = ACTIONS(5694),
    [sym__boz_literal] = ACTIONS(5694),
    [sym__string_literal] = ACTIONS(5694),
    [sym__string_literal_kind] = ACTIONS(5694),
  },
  [2397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_interface_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_language_binding_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token1] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_namelist_statement_token1] = ACTIONS(5264),
    [aux_sym_common_statement_token1] = ACTIONS(5264),
    [aux_sym_import_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token1] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token4] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token1] = ACTIONS(5264),
    [aux_sym_declared_type_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_enum_statement_token1] = ACTIONS(5264),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5696),
    [aux_sym_preproc_def_token1] = ACTIONS(5696),
    [aux_sym_preproc_if_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5696),
    [sym_preproc_directive] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5698),
    [aux_sym_interface_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_block_data_statement_token2] = ACTIONS(5696),
    [aux_sym_end_block_data_statement_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5696),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5696),
    [aux_sym_language_binding_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5696),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5696),
    [aux_sym_use_statement_token1] = ACTIONS(5696),
    [aux_sym_use_statement_token2] = ACTIONS(5696),
    [aux_sym_implicit_statement_token1] = ACTIONS(5696),
    [aux_sym_implicit_statement_token3] = ACTIONS(5696),
    [aux_sym_implicit_statement_token4] = ACTIONS(5696),
    [aux_sym_save_statement_token1] = ACTIONS(5696),
    [aux_sym_private_statement_token1] = ACTIONS(5696),
    [aux_sym_public_statement_token1] = ACTIONS(5696),
    [aux_sym_namelist_statement_token1] = ACTIONS(5696),
    [aux_sym_common_statement_token1] = ACTIONS(5696),
    [aux_sym_import_statement_token1] = ACTIONS(5696),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5696),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5696),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5696),
    [aux_sym_variable_attributes_token1] = ACTIONS(5696),
    [aux_sym_variable_attributes_token2] = ACTIONS(5696),
    [aux_sym_variable_attributes_token3] = ACTIONS(5696),
    [aux_sym_variable_attributes_token4] = ACTIONS(5696),
    [aux_sym_variable_attributes_token5] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5696),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5696),
    [aux_sym_derived_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token1] = ACTIONS(5696),
    [aux_sym_declared_type_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5696),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5696),
    [aux_sym_type_qualifier_token1] = ACTIONS(5696),
    [aux_sym_type_qualifier_token2] = ACTIONS(5696),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token1] = ACTIONS(5696),
    [aux_sym_stop_statement_token2] = ACTIONS(5696),
    [aux_sym_subroutine_call_token1] = ACTIONS(5696),
    [aux_sym_keyword_statement_token2] = ACTIONS(5696),
    [aux_sym_keyword_statement_token3] = ACTIONS(5696),
    [aux_sym_keyword_statement_token4] = ACTIONS(5696),
    [aux_sym_include_statement_token1] = ACTIONS(5696),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5696),
    [aux_sym_end_if_statement_token1] = ACTIONS(5696),
    [aux_sym_elseif_clause_token2] = ACTIONS(5696),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5696),
    [aux_sym_select_case_statement_token1] = ACTIONS(5696),
    [aux_sym_format_statement_token1] = ACTIONS(5696),
    [aux_sym_print_statement_token1] = ACTIONS(5696),
    [aux_sym_open_statement_token1] = ACTIONS(5696),
    [aux_sym_inquire_statement_token1] = ACTIONS(5696),
    [aux_sym_enum_statement_token1] = ACTIONS(5696),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5696),
    [aux_sym_entry_statement_token1] = ACTIONS(5696),
    [aux_sym_logical_expression_token5] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [aux_sym_boolean_literal_token1] = ACTIONS(5698),
    [aux_sym_boolean_literal_token2] = ACTIONS(5698),
    [aux_sym_null_literal_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_statement_token2] = ACTIONS(5696),
    [aux_sym_coarray_statement_token6] = ACTIONS(5696),
    [aux_sym_coarray_statement_token8] = ACTIONS(5696),
    [aux_sym_coarray_statement_token11] = ACTIONS(5696),
    [aux_sym_coarray_statement_token12] = ACTIONS(5696),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5696),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5696),
    [aux_sym_identifier_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5698),
    [sym__float_literal] = ACTIONS(5698),
    [sym__boz_literal] = ACTIONS(5698),
    [sym__string_literal] = ACTIONS(5698),
    [sym__string_literal_kind] = ACTIONS(5698),
  },
  [2399] = {
    [sym_assignment] = STATE(6929),
    [sym_operator] = STATE(6929),
    [sym_defined_io_procedure] = STATE(6929),
    [sym__generic_procedure] = STATE(6929),
    [sym_identifier] = STATE(6929),
    [sym__end_of_statement] = STATE(1419),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(6725),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6727),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6725),
  },
  [2400] = {
    [sym_statement_label] = STATE(4476),
    [sym_statement_label_reference] = STATE(7765),
    [sym__expression] = STATE(5073),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8038),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(8038),
    [sym_multiple_subscript] = STATE(8038),
    [sym_multiple_subscript_triplet] = STATE(8038),
    [sym_assumed_size] = STATE(8038),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6729),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2401] = {
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_RPAREN] = ACTIONS(6745),
    [anon_sym_LPAREN2] = ACTIONS(6745),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6751),
    [aux_sym_module_statement_token1] = ACTIONS(6751),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6751),
    [aux_sym_block_data_statement_token2] = ACTIONS(6751),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6751),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6751),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6751),
    [aux_sym_function_statement_token1] = ACTIONS(6751),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6751),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6751),
    [aux_sym_use_statement_token2] = ACTIONS(6751),
    [anon_sym_COLON_COLON] = ACTIONS(6743),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6751),
    [aux_sym_implicit_statement_token4] = ACTIONS(6751),
    [aux_sym_save_statement_token1] = ACTIONS(6751),
    [aux_sym_private_statement_token1] = ACTIONS(6751),
    [aux_sym_public_statement_token1] = ACTIONS(6751),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6751),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6751),
    [aux_sym_variable_attributes_token2] = ACTIONS(6751),
    [aux_sym_variable_attributes_token3] = ACTIONS(6751),
    [aux_sym_variable_attributes_token5] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6751),
    [aux_sym_derived_type_token1] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6751),
    [aux_sym_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6751),
    [aux_sym_stop_statement_token1] = ACTIONS(6751),
    [aux_sym_stop_statement_token2] = ACTIONS(6751),
    [aux_sym_subroutine_call_token1] = ACTIONS(6751),
    [aux_sym_keyword_statement_token2] = ACTIONS(6751),
    [aux_sym_keyword_statement_token3] = ACTIONS(6751),
    [aux_sym_keyword_statement_token4] = ACTIONS(6751),
    [aux_sym_include_statement_token1] = ACTIONS(6751),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6751),
    [aux_sym_end_if_statement_token1] = ACTIONS(6751),
    [aux_sym_elseif_clause_token2] = ACTIONS(6751),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6751),
    [aux_sym_select_case_statement_token1] = ACTIONS(6751),
    [aux_sym_format_statement_token1] = ACTIONS(6751),
    [aux_sym_print_statement_token1] = ACTIONS(6751),
    [aux_sym_open_statement_token1] = ACTIONS(6751),
    [aux_sym_inquire_statement_token1] = ACTIONS(6751),
    [aux_sym_entry_statement_token1] = ACTIONS(6751),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token2] = ACTIONS(6751),
    [aux_sym_coarray_statement_token6] = ACTIONS(6751),
    [aux_sym_coarray_statement_token8] = ACTIONS(6751),
    [aux_sym_coarray_statement_token11] = ACTIONS(6751),
    [aux_sym_coarray_statement_token12] = ACTIONS(6751),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6751),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6751),
    [sym_comment] = ACTIONS(21),
  },
  [2402] = {
    [sym_statement_label] = STATE(4476),
    [sym_statement_label_reference] = STATE(8026),
    [sym__expression] = STATE(5073),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8038),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(8038),
    [sym_multiple_subscript] = STATE(8038),
    [sym_multiple_subscript_triplet] = STATE(8038),
    [sym_assumed_size] = STATE(8038),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6729),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2403] = {
    [sym_assignment] = STATE(6904),
    [sym_operator] = STATE(6904),
    [sym_defined_io_procedure] = STATE(6904),
    [sym__generic_procedure] = STATE(6904),
    [sym_identifier] = STATE(6904),
    [sym__end_of_statement] = STATE(2205),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6753),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6755),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6753),
  },
  [2404] = {
    [sym_assignment] = STATE(6976),
    [sym_operator] = STATE(6976),
    [sym_defined_io_procedure] = STATE(6976),
    [sym__generic_procedure] = STATE(6976),
    [sym_identifier] = STATE(6976),
    [sym__end_of_statement] = STATE(2291),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6757),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6759),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6757),
  },
  [2405] = {
    [sym_assignment] = STATE(6903),
    [sym_operator] = STATE(6903),
    [sym_defined_io_procedure] = STATE(6903),
    [sym__generic_procedure] = STATE(6903),
    [sym_identifier] = STATE(6903),
    [sym__end_of_statement] = STATE(2204),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6761),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6763),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6761),
  },
  [2406] = {
    [sym_assignment] = STATE(6952),
    [sym_operator] = STATE(6952),
    [sym_defined_io_procedure] = STATE(6952),
    [sym__generic_procedure] = STATE(6952),
    [sym_identifier] = STATE(6952),
    [sym__end_of_statement] = STATE(2344),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6765),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6767),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6765),
  },
  [2407] = {
    [sym_assignment] = STATE(6954),
    [sym_operator] = STATE(6954),
    [sym_defined_io_procedure] = STATE(6954),
    [sym__generic_procedure] = STATE(6954),
    [sym_identifier] = STATE(6954),
    [sym__end_of_statement] = STATE(2346),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6769),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6771),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6769),
  },
  [2408] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5130),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym__type_spec] = STATE(3511),
    [sym__ac_value_list] = STATE(9114),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6773),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2409] = {
    [sym_assignment] = STATE(6920),
    [sym_operator] = STATE(6920),
    [sym_defined_io_procedure] = STATE(6920),
    [sym__generic_procedure] = STATE(6920),
    [sym_identifier] = STATE(6920),
    [sym__end_of_statement] = STATE(2197),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6777),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(6779),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6777),
  },
  [2410] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5130),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym__type_spec] = STATE(3511),
    [sym__ac_value_list] = STATE(9184),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6773),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2411] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5100),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym__type_spec] = STATE(3527),
    [sym__ac_value_list] = STATE(9024),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6789),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [2412] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5100),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym__type_spec] = STATE(3527),
    [sym__ac_value_list] = STATE(9176),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6789),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [2413] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5100),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym__type_spec] = STATE(3527),
    [sym__ac_value_list] = STATE(8649),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6789),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [2414] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5130),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym__type_spec] = STATE(3511),
    [sym__ac_value_list] = STATE(8650),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6773),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2415] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5100),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym__type_spec] = STATE(3527),
    [sym__ac_value_list] = STATE(9549),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6789),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6791),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6793),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [2416] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(8872),
    [sym_derived_type] = STATE(8872),
    [sym__expression] = STATE(5130),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym__type_spec] = STATE(3511),
    [sym__ac_value_list] = STATE(9552),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(6773),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6775),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym_derived_type_token1] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2417] = {
    [sym__expression] = STATE(5073),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8038),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(8038),
    [sym_multiple_subscript] = STATE(8038),
    [sym_multiple_subscript_triplet] = STATE(8038),
    [sym_assumed_size] = STATE(8038),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6729),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2418] = {
    [sym__expression] = STATE(4990),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7920),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7920),
    [sym_multiple_subscript] = STATE(7920),
    [sym_multiple_subscript_triplet] = STATE(7920),
    [sym_assumed_size] = STATE(7920),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6817),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6819),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2419] = {
    [sym__expression] = STATE(5000),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7487),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7487),
    [sym_multiple_subscript] = STATE(7487),
    [sym_multiple_subscript_triplet] = STATE(7487),
    [sym_assumed_size] = STATE(7487),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6821),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6823),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2420] = {
    [sym__expression] = STATE(5003),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7245),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7245),
    [sym_multiple_subscript] = STATE(7245),
    [sym_multiple_subscript_triplet] = STATE(7245),
    [sym_assumed_size] = STATE(7245),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6825),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6827),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2421] = {
    [sym__expression] = STATE(5023),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7409),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7409),
    [sym_multiple_subscript] = STATE(7409),
    [sym_multiple_subscript_triplet] = STATE(7409),
    [sym_assumed_size] = STATE(7409),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6829),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6831),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2422] = {
    [sym__expression] = STATE(5039),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7332),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7332),
    [sym_multiple_subscript] = STATE(7332),
    [sym_multiple_subscript_triplet] = STATE(7332),
    [sym_assumed_size] = STATE(7332),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6833),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2423] = {
    [sym__expression] = STATE(5082),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7409),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7409),
    [sym_multiple_subscript] = STATE(7409),
    [sym_multiple_subscript_triplet] = STATE(7409),
    [sym_assumed_size] = STATE(7409),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6829),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6831),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2424] = {
    [sym__expression] = STATE(5044),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7332),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7332),
    [sym_multiple_subscript] = STATE(7332),
    [sym_multiple_subscript_triplet] = STATE(7332),
    [sym_assumed_size] = STATE(7332),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6833),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6835),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2425] = {
    [sym__expression] = STATE(5053),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7920),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7920),
    [sym_multiple_subscript] = STATE(7920),
    [sym_multiple_subscript_triplet] = STATE(7920),
    [sym_assumed_size] = STATE(7920),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6817),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6819),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2426] = {
    [sym__expression] = STATE(5042),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8038),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(8038),
    [sym_multiple_subscript] = STATE(8038),
    [sym_multiple_subscript_triplet] = STATE(8038),
    [sym_assumed_size] = STATE(8038),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6729),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2427] = {
    [sym__expression] = STATE(5078),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7428),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7428),
    [sym_multiple_subscript] = STATE(7428),
    [sym_multiple_subscript_triplet] = STATE(7428),
    [sym_assumed_size] = STATE(7428),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_RPAREN] = ACTIONS(6837),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6839),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [aux_sym_preproc_else_token1] = ACTIONS(6841),
    [aux_sym_preproc_elif_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(6843),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [aux_sym_end_program_statement_token2] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token2] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [aux_sym_preproc_else_token1] = ACTIONS(6847),
    [aux_sym_preproc_elif_token1] = ACTIONS(6847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(6849),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [aux_sym_end_program_statement_token2] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2430] = {
    [anon_sym_COMMA] = ACTIONS(6853),
    [anon_sym_LPAREN2] = ACTIONS(6853),
    [anon_sym_PLUS] = ACTIONS(6853),
    [anon_sym_DASH] = ACTIONS(6853),
    [anon_sym_STAR] = ACTIONS(6855),
    [anon_sym_SLASH] = ACTIONS(6855),
    [anon_sym_PERCENT] = ACTIONS(6853),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6853),
    [anon_sym_GT] = ACTIONS(6855),
    [anon_sym_GT_EQ] = ACTIONS(6853),
    [anon_sym_LT_EQ] = ACTIONS(6853),
    [anon_sym_LT] = ACTIONS(6855),
    [aux_sym_end_program_statement_token1] = ACTIONS(6855),
    [aux_sym_module_statement_token1] = ACTIONS(6855),
    [aux_sym_block_data_statement_token1] = ACTIONS(6855),
    [aux_sym_block_data_statement_token2] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6855),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6855),
    [aux_sym_function_statement_token1] = ACTIONS(6855),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6855),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6855),
    [aux_sym_use_statement_token2] = ACTIONS(6855),
    [anon_sym_COLON_COLON] = ACTIONS(6853),
    [aux_sym_implicit_statement_token3] = ACTIONS(6855),
    [aux_sym_implicit_statement_token4] = ACTIONS(6855),
    [aux_sym_save_statement_token1] = ACTIONS(6855),
    [aux_sym_private_statement_token1] = ACTIONS(6855),
    [aux_sym_public_statement_token1] = ACTIONS(6855),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6855),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6855),
    [aux_sym_variable_attributes_token2] = ACTIONS(6855),
    [aux_sym_variable_attributes_token3] = ACTIONS(6855),
    [aux_sym_variable_attributes_token5] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6855),
    [aux_sym_derived_type_token1] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6855),
    [aux_sym_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6855),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6855),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6855),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6855),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6855),
    [aux_sym_stop_statement_token1] = ACTIONS(6855),
    [aux_sym_stop_statement_token2] = ACTIONS(6855),
    [aux_sym_subroutine_call_token1] = ACTIONS(6855),
    [aux_sym_keyword_statement_token2] = ACTIONS(6855),
    [aux_sym_keyword_statement_token3] = ACTIONS(6855),
    [aux_sym_keyword_statement_token4] = ACTIONS(6855),
    [aux_sym_include_statement_token1] = ACTIONS(6855),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6855),
    [aux_sym_end_if_statement_token1] = ACTIONS(6855),
    [aux_sym_elseif_clause_token2] = ACTIONS(6855),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6855),
    [aux_sym_select_case_statement_token1] = ACTIONS(6855),
    [aux_sym_format_statement_token1] = ACTIONS(6855),
    [aux_sym_print_statement_token1] = ACTIONS(6855),
    [aux_sym_open_statement_token1] = ACTIONS(6855),
    [aux_sym_inquire_statement_token1] = ACTIONS(6855),
    [aux_sym_entry_statement_token1] = ACTIONS(6855),
    [aux_sym_logical_expression_token1] = ACTIONS(6853),
    [aux_sym_logical_expression_token2] = ACTIONS(6853),
    [aux_sym_logical_expression_token3] = ACTIONS(6853),
    [aux_sym_logical_expression_token4] = ACTIONS(6853),
    [aux_sym_relational_expression_token1] = ACTIONS(6853),
    [aux_sym_relational_expression_token2] = ACTIONS(6853),
    [aux_sym_relational_expression_token3] = ACTIONS(6853),
    [aux_sym_relational_expression_token4] = ACTIONS(6853),
    [aux_sym_relational_expression_token5] = ACTIONS(6853),
    [anon_sym_SLASH_EQ] = ACTIONS(6853),
    [aux_sym_relational_expression_token6] = ACTIONS(6853),
    [anon_sym_SLASH_SLASH] = ACTIONS(6853),
    [anon_sym_STAR_STAR] = ACTIONS(6853),
    [anon_sym_DOT] = ACTIONS(6855),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6853),
    [anon_sym_LBRACK] = ACTIONS(6853),
    [aux_sym_null_literal_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token2] = ACTIONS(6855),
    [aux_sym_coarray_statement_token6] = ACTIONS(6855),
    [aux_sym_coarray_statement_token8] = ACTIONS(6855),
    [aux_sym_coarray_statement_token11] = ACTIONS(6855),
    [aux_sym_coarray_statement_token12] = ACTIONS(6855),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6853),
    [aux_sym_identifier_token1] = ACTIONS(6855),
    [sym_comment] = ACTIONS(21),
  },
  [2431] = {
    [sym__expression] = STATE(5104),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8392),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(8392),
    [sym_multiple_subscript] = STATE(8392),
    [sym_multiple_subscript_triplet] = STATE(8392),
    [sym_assumed_size] = STATE(8392),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_AT] = ACTIONS(6739),
    [sym_assumed_rank] = ACTIONS(6857),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token2] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [aux_sym_preproc_else_token1] = ACTIONS(6859),
    [aux_sym_preproc_elif_token1] = ACTIONS(6859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(6861),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [aux_sym_end_program_statement_token2] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token2] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [aux_sym_preproc_else_token1] = ACTIONS(6865),
    [aux_sym_preproc_elif_token1] = ACTIONS(6865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(6867),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [aux_sym_end_program_statement_token2] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2434] = {
    [anon_sym_COMMA] = ACTIONS(6871),
    [anon_sym_LPAREN2] = ACTIONS(6871),
    [anon_sym_PLUS] = ACTIONS(6871),
    [anon_sym_DASH] = ACTIONS(6871),
    [anon_sym_STAR] = ACTIONS(6873),
    [anon_sym_SLASH] = ACTIONS(6873),
    [anon_sym_PERCENT] = ACTIONS(6871),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6873),
    [anon_sym_GT_EQ] = ACTIONS(6871),
    [anon_sym_LT_EQ] = ACTIONS(6871),
    [anon_sym_LT] = ACTIONS(6873),
    [aux_sym_end_program_statement_token1] = ACTIONS(6873),
    [aux_sym_module_statement_token1] = ACTIONS(6873),
    [aux_sym_block_data_statement_token1] = ACTIONS(6873),
    [aux_sym_block_data_statement_token2] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6873),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6873),
    [aux_sym_function_statement_token1] = ACTIONS(6873),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6873),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6873),
    [aux_sym_use_statement_token2] = ACTIONS(6873),
    [anon_sym_COLON_COLON] = ACTIONS(6871),
    [aux_sym_implicit_statement_token3] = ACTIONS(6873),
    [aux_sym_implicit_statement_token4] = ACTIONS(6873),
    [aux_sym_save_statement_token1] = ACTIONS(6873),
    [aux_sym_private_statement_token1] = ACTIONS(6873),
    [aux_sym_public_statement_token1] = ACTIONS(6873),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6873),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6873),
    [aux_sym_variable_attributes_token2] = ACTIONS(6873),
    [aux_sym_variable_attributes_token3] = ACTIONS(6873),
    [aux_sym_variable_attributes_token5] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6873),
    [aux_sym_derived_type_token1] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6873),
    [aux_sym_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6873),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6873),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6873),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6873),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6873),
    [aux_sym_stop_statement_token1] = ACTIONS(6873),
    [aux_sym_stop_statement_token2] = ACTIONS(6873),
    [aux_sym_subroutine_call_token1] = ACTIONS(6873),
    [aux_sym_keyword_statement_token2] = ACTIONS(6873),
    [aux_sym_keyword_statement_token3] = ACTIONS(6873),
    [aux_sym_keyword_statement_token4] = ACTIONS(6873),
    [aux_sym_include_statement_token1] = ACTIONS(6873),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6873),
    [aux_sym_end_if_statement_token1] = ACTIONS(6873),
    [aux_sym_elseif_clause_token2] = ACTIONS(6873),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6873),
    [aux_sym_select_case_statement_token1] = ACTIONS(6873),
    [aux_sym_format_statement_token1] = ACTIONS(6873),
    [aux_sym_print_statement_token1] = ACTIONS(6873),
    [aux_sym_open_statement_token1] = ACTIONS(6873),
    [aux_sym_inquire_statement_token1] = ACTIONS(6873),
    [aux_sym_entry_statement_token1] = ACTIONS(6873),
    [aux_sym_logical_expression_token1] = ACTIONS(6871),
    [aux_sym_logical_expression_token2] = ACTIONS(6871),
    [aux_sym_logical_expression_token3] = ACTIONS(6871),
    [aux_sym_logical_expression_token4] = ACTIONS(6871),
    [aux_sym_relational_expression_token1] = ACTIONS(6871),
    [aux_sym_relational_expression_token2] = ACTIONS(6871),
    [aux_sym_relational_expression_token3] = ACTIONS(6871),
    [aux_sym_relational_expression_token4] = ACTIONS(6871),
    [aux_sym_relational_expression_token5] = ACTIONS(6871),
    [anon_sym_SLASH_EQ] = ACTIONS(6871),
    [aux_sym_relational_expression_token6] = ACTIONS(6871),
    [anon_sym_SLASH_SLASH] = ACTIONS(6871),
    [anon_sym_STAR_STAR] = ACTIONS(6871),
    [anon_sym_DOT] = ACTIONS(6873),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6871),
    [anon_sym_LBRACK] = ACTIONS(6871),
    [aux_sym_null_literal_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token2] = ACTIONS(6873),
    [aux_sym_coarray_statement_token6] = ACTIONS(6873),
    [aux_sym_coarray_statement_token8] = ACTIONS(6873),
    [aux_sym_coarray_statement_token11] = ACTIONS(6873),
    [aux_sym_coarray_statement_token12] = ACTIONS(6873),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6873),
    [anon_sym_QMARK] = ACTIONS(6871),
    [aux_sym_identifier_token1] = ACTIONS(6873),
    [sym_comment] = ACTIONS(21),
  },
  [2435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token2] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [aux_sym_preproc_else_token1] = ACTIONS(6875),
    [aux_sym_preproc_elif_token1] = ACTIONS(6875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(6877),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [aux_sym_end_program_statement_token2] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_contains_statement_token1] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token2] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [aux_sym_preproc_else_token1] = ACTIONS(6881),
    [aux_sym_preproc_elif_token1] = ACTIONS(6881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(6883),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [aux_sym_end_program_statement_token2] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_contains_statement_token1] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2437] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9111),
    [sym_sized_allocation] = STATE(6951),
    [sym_coarray_allocation] = STATE(8090),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5525),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5399),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6893),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6893),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6895),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(6901),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [aux_sym_preproc_else_token1] = ACTIONS(6903),
    [aux_sym_preproc_elif_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(6905),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [aux_sym_end_program_statement_token2] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token2] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [aux_sym_preproc_else_token1] = ACTIONS(6909),
    [aux_sym_preproc_elif_token1] = ACTIONS(6909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(6911),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [aux_sym_end_program_statement_token2] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [aux_sym_preproc_else_token1] = ACTIONS(6915),
    [aux_sym_preproc_elif_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(6917),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [aux_sym_end_program_statement_token2] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2441] = {
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_LPAREN2] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6923),
    [anon_sym_SLASH] = ACTIONS(6923),
    [anon_sym_PERCENT] = ACTIONS(6921),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6921),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_GT_EQ] = ACTIONS(6921),
    [anon_sym_LT_EQ] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6923),
    [aux_sym_end_program_statement_token1] = ACTIONS(6923),
    [aux_sym_module_statement_token1] = ACTIONS(6923),
    [aux_sym_block_data_statement_token1] = ACTIONS(6923),
    [aux_sym_block_data_statement_token2] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6923),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6923),
    [aux_sym_function_statement_token1] = ACTIONS(6923),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6923),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6923),
    [aux_sym_use_statement_token2] = ACTIONS(6923),
    [anon_sym_COLON_COLON] = ACTIONS(6921),
    [aux_sym_implicit_statement_token3] = ACTIONS(6923),
    [aux_sym_implicit_statement_token4] = ACTIONS(6923),
    [aux_sym_save_statement_token1] = ACTIONS(6923),
    [aux_sym_private_statement_token1] = ACTIONS(6923),
    [aux_sym_public_statement_token1] = ACTIONS(6923),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6923),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6923),
    [aux_sym_variable_attributes_token2] = ACTIONS(6923),
    [aux_sym_variable_attributes_token3] = ACTIONS(6923),
    [aux_sym_variable_attributes_token5] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6923),
    [aux_sym_derived_type_token1] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6923),
    [aux_sym_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6923),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6923),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6923),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6923),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6923),
    [aux_sym_stop_statement_token1] = ACTIONS(6923),
    [aux_sym_stop_statement_token2] = ACTIONS(6923),
    [aux_sym_subroutine_call_token1] = ACTIONS(6923),
    [aux_sym_keyword_statement_token2] = ACTIONS(6923),
    [aux_sym_keyword_statement_token3] = ACTIONS(6923),
    [aux_sym_keyword_statement_token4] = ACTIONS(6923),
    [aux_sym_include_statement_token1] = ACTIONS(6923),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6923),
    [aux_sym_end_if_statement_token1] = ACTIONS(6923),
    [aux_sym_elseif_clause_token2] = ACTIONS(6923),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6923),
    [aux_sym_select_case_statement_token1] = ACTIONS(6923),
    [aux_sym_format_statement_token1] = ACTIONS(6923),
    [aux_sym_print_statement_token1] = ACTIONS(6923),
    [aux_sym_open_statement_token1] = ACTIONS(6923),
    [aux_sym_inquire_statement_token1] = ACTIONS(6923),
    [aux_sym_entry_statement_token1] = ACTIONS(6923),
    [aux_sym_logical_expression_token1] = ACTIONS(6921),
    [aux_sym_logical_expression_token2] = ACTIONS(6921),
    [aux_sym_logical_expression_token3] = ACTIONS(6921),
    [aux_sym_logical_expression_token4] = ACTIONS(6921),
    [aux_sym_relational_expression_token1] = ACTIONS(6921),
    [aux_sym_relational_expression_token2] = ACTIONS(6921),
    [aux_sym_relational_expression_token3] = ACTIONS(6921),
    [aux_sym_relational_expression_token4] = ACTIONS(6921),
    [aux_sym_relational_expression_token5] = ACTIONS(6921),
    [anon_sym_SLASH_EQ] = ACTIONS(6921),
    [aux_sym_relational_expression_token6] = ACTIONS(6921),
    [anon_sym_SLASH_SLASH] = ACTIONS(6921),
    [anon_sym_STAR_STAR] = ACTIONS(6921),
    [anon_sym_DOT] = ACTIONS(6923),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(6921),
    [aux_sym_null_literal_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token2] = ACTIONS(6923),
    [aux_sym_coarray_statement_token6] = ACTIONS(6923),
    [aux_sym_coarray_statement_token8] = ACTIONS(6923),
    [aux_sym_coarray_statement_token11] = ACTIONS(6923),
    [aux_sym_coarray_statement_token12] = ACTIONS(6923),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6923),
    [anon_sym_QMARK] = ACTIONS(6921),
    [aux_sym_identifier_token1] = ACTIONS(6923),
    [sym_comment] = ACTIONS(21),
  },
  [2442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [aux_sym_preproc_else_token1] = ACTIONS(6925),
    [aux_sym_preproc_elif_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(6927),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [aux_sym_end_program_statement_token2] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token2] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [aux_sym_preproc_else_token1] = ACTIONS(6931),
    [aux_sym_preproc_elif_token1] = ACTIONS(6931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [aux_sym_end_program_statement_token2] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token2] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [aux_sym_preproc_else_token1] = ACTIONS(6937),
    [aux_sym_preproc_elif_token1] = ACTIONS(6937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(6939),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [aux_sym_end_program_statement_token2] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token2] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [aux_sym_preproc_else_token1] = ACTIONS(6943),
    [aux_sym_preproc_elif_token1] = ACTIONS(6943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [aux_sym_end_program_statement_token2] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [aux_sym_preproc_else_token1] = ACTIONS(6949),
    [aux_sym_preproc_elif_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(6951),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [aux_sym_end_program_statement_token2] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [aux_sym_preproc_else_token1] = ACTIONS(6955),
    [aux_sym_preproc_elif_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(6957),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [aux_sym_end_program_statement_token2] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token2] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [aux_sym_preproc_else_token1] = ACTIONS(6961),
    [aux_sym_preproc_elif_token1] = ACTIONS(6961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(6963),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [aux_sym_end_program_statement_token2] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5252),
    [aux_sym_preproc_elif_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token2] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [aux_sym_preproc_else_token1] = ACTIONS(6967),
    [aux_sym_preproc_elif_token1] = ACTIONS(6967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [aux_sym_end_program_statement_token2] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_contains_statement_token1] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token2] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [aux_sym_preproc_else_token1] = ACTIONS(6865),
    [aux_sym_preproc_elif_token1] = ACTIONS(6865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(6971),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [sym_preproc_comment] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_assign_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [2453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token2] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [aux_sym_preproc_else_token1] = ACTIONS(6881),
    [aux_sym_preproc_elif_token1] = ACTIONS(6881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(6973),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_contains_statement_token1] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [aux_sym_preproc_else_token1] = ACTIONS(6903),
    [aux_sym_preproc_elif_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(6975),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token2] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [aux_sym_preproc_else_token1] = ACTIONS(6847),
    [aux_sym_preproc_elif_token1] = ACTIONS(6847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(6977),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [aux_sym_preproc_else_token1] = ACTIONS(6841),
    [aux_sym_preproc_elif_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(6979),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token2] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [aux_sym_preproc_else_token1] = ACTIONS(6859),
    [aux_sym_preproc_elif_token1] = ACTIONS(6859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(6981),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token2] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [aux_sym_preproc_else_token1] = ACTIONS(6943),
    [aux_sym_preproc_elif_token1] = ACTIONS(6943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(6983),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [aux_sym_preproc_else_token1] = ACTIONS(6915),
    [aux_sym_preproc_elif_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [aux_sym_end_program_statement_token2] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token2] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [aux_sym_preproc_else_token1] = ACTIONS(6931),
    [aux_sym_preproc_elif_token1] = ACTIONS(6931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(6985),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [aux_sym_preproc_else_token1] = ACTIONS(6925),
    [aux_sym_preproc_elif_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [aux_sym_end_program_statement_token2] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5130),
    [aux_sym_preproc_def_token1] = ACTIONS(5130),
    [aux_sym_preproc_if_token1] = ACTIONS(5130),
    [aux_sym_preproc_if_token2] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5130),
    [aux_sym_preproc_else_token1] = ACTIONS(5130),
    [aux_sym_preproc_elif_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5130),
    [sym_preproc_directive] = ACTIONS(5130),
    [anon_sym_LPAREN2] = ACTIONS(5130),
    [sym_preproc_comment] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5132),
    [aux_sym_block_data_statement_token1] = ACTIONS(5130),
    [aux_sym_block_data_statement_token2] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5130),
    [aux_sym_contains_statement_token1] = ACTIONS(5130),
    [aux_sym_use_statement_token2] = ACTIONS(5130),
    [aux_sym_implicit_statement_token3] = ACTIONS(5130),
    [aux_sym_implicit_statement_token4] = ACTIONS(5130),
    [aux_sym_save_statement_token1] = ACTIONS(5130),
    [aux_sym_private_statement_token1] = ACTIONS(5130),
    [aux_sym_public_statement_token1] = ACTIONS(5130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5130),
    [aux_sym_variable_attributes_token2] = ACTIONS(5130),
    [aux_sym_variable_attributes_token3] = ACTIONS(5130),
    [aux_sym_variable_attributes_token5] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5130),
    [aux_sym_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5130),
    [aux_sym_stop_statement_token2] = ACTIONS(5130),
    [aux_sym_subroutine_call_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token2] = ACTIONS(5130),
    [aux_sym_keyword_statement_token3] = ACTIONS(5130),
    [aux_sym_keyword_statement_token4] = ACTIONS(5130),
    [aux_sym_keyword_statement_token6] = ACTIONS(5130),
    [aux_sym_keyword_statement_token7] = ACTIONS(5130),
    [aux_sym_include_statement_token1] = ACTIONS(5130),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5130),
    [aux_sym_end_if_statement_token1] = ACTIONS(5130),
    [aux_sym_elseif_clause_token2] = ACTIONS(5130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5130),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token3] = ACTIONS(5130),
    [aux_sym_select_type_statement_token1] = ACTIONS(5130),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5130),
    [aux_sym_associate_statement_token1] = ACTIONS(5130),
    [aux_sym_format_statement_token1] = ACTIONS(5130),
    [aux_sym_print_statement_token1] = ACTIONS(5130),
    [aux_sym_open_statement_token1] = ACTIONS(5130),
    [aux_sym_close_statement_token1] = ACTIONS(5130),
    [aux_sym_inquire_statement_token1] = ACTIONS(5130),
    [aux_sym_file_position_statement_token1] = ACTIONS(5130),
    [aux_sym_file_position_statement_token2] = ACTIONS(5130),
    [aux_sym_file_position_statement_token3] = ACTIONS(5130),
    [aux_sym_file_position_statement_token4] = ACTIONS(5130),
    [aux_sym_allocate_statement_token1] = ACTIONS(5130),
    [aux_sym_entry_statement_token1] = ACTIONS(5130),
    [aux_sym_assign_statement_token1] = ACTIONS(5130),
    [aux_sym_logical_expression_token5] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [aux_sym_boolean_literal_token1] = ACTIONS(5132),
    [aux_sym_boolean_literal_token2] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token2] = ACTIONS(5130),
    [aux_sym_coarray_statement_token6] = ACTIONS(5130),
    [aux_sym_coarray_statement_token8] = ACTIONS(5130),
    [aux_sym_coarray_statement_token11] = ACTIONS(5130),
    [aux_sym_coarray_statement_token12] = ACTIONS(5130),
    [aux_sym_coarray_statement_token13] = ACTIONS(5130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5130),
    [aux_sym_identifier_token1] = ACTIONS(5130),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5132),
    [sym__float_literal] = ACTIONS(5132),
    [sym__boz_literal] = ACTIONS(5132),
    [sym__string_literal] = ACTIONS(5132),
    [sym__string_literal_kind] = ACTIONS(5132),
  },
  [2464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [aux_sym_preproc_else_token1] = ACTIONS(6949),
    [aux_sym_preproc_elif_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(6987),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token2] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [aux_sym_preproc_else_token1] = ACTIONS(6961),
    [aux_sym_preproc_elif_token1] = ACTIONS(6961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(6989),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token2] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [aux_sym_preproc_else_token1] = ACTIONS(6875),
    [aux_sym_preproc_elif_token1] = ACTIONS(6875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(6991),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_contains_statement_token1] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token2] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [aux_sym_preproc_else_token1] = ACTIONS(6993),
    [aux_sym_preproc_elif_token1] = ACTIONS(6993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [aux_sym_end_program_statement_token2] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_if_token2] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [aux_sym_preproc_else_token1] = ACTIONS(5076),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [sym_preproc_comment] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_contains_statement_token1] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_keyword_statement_token6] = ACTIONS(5076),
    [aux_sym_keyword_statement_token7] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token3] = ACTIONS(5076),
    [aux_sym_select_type_statement_token1] = ACTIONS(5076),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5076),
    [aux_sym_associate_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_close_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token1] = ACTIONS(5076),
    [aux_sym_file_position_statement_token2] = ACTIONS(5076),
    [aux_sym_file_position_statement_token3] = ACTIONS(5076),
    [aux_sym_file_position_statement_token4] = ACTIONS(5076),
    [aux_sym_allocate_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [aux_sym_assign_statement_token1] = ACTIONS(5076),
    [aux_sym_logical_expression_token5] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_boolean_literal_token1] = ACTIONS(5078),
    [aux_sym_boolean_literal_token2] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_statement_token13] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5078),
    [sym__float_literal] = ACTIONS(5078),
    [sym__boz_literal] = ACTIONS(5078),
    [sym__string_literal] = ACTIONS(5078),
    [sym__string_literal_kind] = ACTIONS(5078),
  },
  [2470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token2] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [aux_sym_preproc_else_token1] = ACTIONS(6997),
    [aux_sym_preproc_elif_token1] = ACTIONS(6997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [aux_sym_end_program_statement_token2] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token2] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [aux_sym_preproc_else_token1] = ACTIONS(7001),
    [aux_sym_preproc_elif_token1] = ACTIONS(7001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [aux_sym_end_program_statement_token2] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [aux_sym_end_program_statement_token2] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token2] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [aux_sym_preproc_else_token1] = ACTIONS(7007),
    [aux_sym_preproc_elif_token1] = ACTIONS(7007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [aux_sym_end_program_statement_token2] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_contains_statement_token1] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token2] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [aux_sym_preproc_else_token1] = ACTIONS(5154),
    [aux_sym_preproc_elif_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [sym_preproc_comment] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5154),
    [anon_sym_SEMI] = ACTIONS(5156),
    [aux_sym_block_data_statement_token1] = ACTIONS(5154),
    [aux_sym_block_data_statement_token2] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5154),
    [aux_sym_contains_statement_token1] = ACTIONS(5154),
    [aux_sym_use_statement_token2] = ACTIONS(5154),
    [aux_sym_implicit_statement_token3] = ACTIONS(5154),
    [aux_sym_implicit_statement_token4] = ACTIONS(5154),
    [aux_sym_save_statement_token1] = ACTIONS(5154),
    [aux_sym_private_statement_token1] = ACTIONS(5154),
    [aux_sym_public_statement_token1] = ACTIONS(5154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5154),
    [aux_sym_variable_attributes_token2] = ACTIONS(5154),
    [aux_sym_variable_attributes_token3] = ACTIONS(5154),
    [aux_sym_variable_attributes_token5] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5154),
    [aux_sym_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym_stop_statement_token1] = ACTIONS(5154),
    [aux_sym_stop_statement_token2] = ACTIONS(5154),
    [aux_sym_subroutine_call_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token2] = ACTIONS(5154),
    [aux_sym_keyword_statement_token3] = ACTIONS(5154),
    [aux_sym_keyword_statement_token4] = ACTIONS(5154),
    [aux_sym_keyword_statement_token6] = ACTIONS(5154),
    [aux_sym_keyword_statement_token7] = ACTIONS(5154),
    [aux_sym_include_statement_token1] = ACTIONS(5154),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5154),
    [aux_sym_end_if_statement_token1] = ACTIONS(5154),
    [aux_sym_elseif_clause_token2] = ACTIONS(5154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5154),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token3] = ACTIONS(5154),
    [aux_sym_select_type_statement_token1] = ACTIONS(5154),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5154),
    [aux_sym_associate_statement_token1] = ACTIONS(5154),
    [aux_sym_format_statement_token1] = ACTIONS(5154),
    [aux_sym_print_statement_token1] = ACTIONS(5154),
    [aux_sym_open_statement_token1] = ACTIONS(5154),
    [aux_sym_close_statement_token1] = ACTIONS(5154),
    [aux_sym_inquire_statement_token1] = ACTIONS(5154),
    [aux_sym_file_position_statement_token1] = ACTIONS(5154),
    [aux_sym_file_position_statement_token2] = ACTIONS(5154),
    [aux_sym_file_position_statement_token3] = ACTIONS(5154),
    [aux_sym_file_position_statement_token4] = ACTIONS(5154),
    [aux_sym_allocate_statement_token1] = ACTIONS(5154),
    [aux_sym_entry_statement_token1] = ACTIONS(5154),
    [aux_sym_assign_statement_token1] = ACTIONS(5154),
    [aux_sym_logical_expression_token5] = ACTIONS(5156),
    [anon_sym_DOT] = ACTIONS(5154),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [aux_sym_boolean_literal_token1] = ACTIONS(5156),
    [aux_sym_boolean_literal_token2] = ACTIONS(5156),
    [aux_sym_null_literal_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token2] = ACTIONS(5154),
    [aux_sym_coarray_statement_token6] = ACTIONS(5154),
    [aux_sym_coarray_statement_token8] = ACTIONS(5154),
    [aux_sym_coarray_statement_token11] = ACTIONS(5154),
    [aux_sym_coarray_statement_token12] = ACTIONS(5154),
    [aux_sym_coarray_statement_token13] = ACTIONS(5154),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5154),
    [aux_sym_identifier_token1] = ACTIONS(5154),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5156),
    [sym__float_literal] = ACTIONS(5156),
    [sym__boz_literal] = ACTIONS(5156),
    [sym__string_literal] = ACTIONS(5156),
    [sym__string_literal_kind] = ACTIONS(5156),
  },
  [2477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token2] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [aux_sym_preproc_else_token1] = ACTIONS(7011),
    [aux_sym_preproc_elif_token1] = ACTIONS(7011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [aux_sym_end_program_statement_token2] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [aux_sym_preproc_else_token1] = ACTIONS(6841),
    [aux_sym_preproc_elif_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [aux_sym_end_program_statement_token2] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [aux_sym_preproc_else_token1] = ACTIONS(6915),
    [aux_sym_preproc_elif_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7015),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token2] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [aux_sym_preproc_else_token1] = ACTIONS(7017),
    [aux_sym_preproc_elif_token1] = ACTIONS(7017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [aux_sym_end_program_statement_token2] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [aux_sym_preproc_else_token1] = ACTIONS(6955),
    [aux_sym_preproc_elif_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [aux_sym_preproc_else_token1] = ACTIONS(6903),
    [aux_sym_preproc_elif_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [aux_sym_end_program_statement_token2] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [aux_sym_preproc_else_token1] = ACTIONS(6949),
    [aux_sym_preproc_elif_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [aux_sym_end_program_statement_token2] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token2] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [aux_sym_preproc_else_token1] = ACTIONS(7023),
    [aux_sym_preproc_elif_token1] = ACTIONS(7023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [aux_sym_end_program_statement_token2] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token2] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [aux_sym_preproc_else_token1] = ACTIONS(7027),
    [aux_sym_preproc_elif_token1] = ACTIONS(7027),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [aux_sym_end_program_statement_token2] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token2] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [aux_sym_preproc_else_token1] = ACTIONS(6909),
    [aux_sym_preproc_elif_token1] = ACTIONS(6909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7031),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [sym_preproc_comment] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [2490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token2] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [aux_sym_preproc_else_token1] = ACTIONS(7033),
    [aux_sym_preproc_elif_token1] = ACTIONS(7033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [aux_sym_end_program_statement_token2] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_contains_statement_token1] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token2] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [aux_sym_preproc_else_token1] = ACTIONS(7037),
    [aux_sym_preproc_elif_token1] = ACTIONS(7037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [aux_sym_end_program_statement_token2] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token2] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [aux_sym_preproc_else_token1] = ACTIONS(6937),
    [aux_sym_preproc_elif_token1] = ACTIONS(6937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [aux_sym_preproc_else_token1] = ACTIONS(6925),
    [aux_sym_preproc_elif_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7043),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_if_token2] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [aux_sym_preproc_else_token1] = ACTIONS(5080),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [sym_preproc_comment] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_contains_statement_token1] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_keyword_statement_token6] = ACTIONS(5080),
    [aux_sym_keyword_statement_token7] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token3] = ACTIONS(5080),
    [aux_sym_select_type_statement_token1] = ACTIONS(5080),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5080),
    [aux_sym_associate_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_close_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token1] = ACTIONS(5080),
    [aux_sym_file_position_statement_token2] = ACTIONS(5080),
    [aux_sym_file_position_statement_token3] = ACTIONS(5080),
    [aux_sym_file_position_statement_token4] = ACTIONS(5080),
    [aux_sym_allocate_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [aux_sym_assign_statement_token1] = ACTIONS(5080),
    [aux_sym_logical_expression_token5] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_boolean_literal_token1] = ACTIONS(5082),
    [aux_sym_boolean_literal_token2] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_statement_token13] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5082),
    [sym__float_literal] = ACTIONS(5082),
    [sym__boz_literal] = ACTIONS(5082),
    [sym__string_literal] = ACTIONS(5082),
    [sym__string_literal_kind] = ACTIONS(5082),
  },
  [2495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [aux_sym_preproc_else_token1] = ACTIONS(6955),
    [aux_sym_preproc_elif_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [aux_sym_end_program_statement_token2] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym_derived_type_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_end_select_statement_token1] = ACTIONS(6847),
    [aux_sym_type_statement_token2] = ACTIONS(6847),
    [aux_sym_type_statement_token3] = ACTIONS(6847),
    [aux_sym__class_default_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [aux_sym_preproc_else_token1] = ACTIONS(6915),
    [aux_sym_preproc_elif_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [aux_sym_preproc_else_token1] = ACTIONS(6955),
    [aux_sym_preproc_elif_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [aux_sym_preproc_else_token1] = ACTIONS(6949),
    [aux_sym_preproc_elif_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7047),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym_derived_type_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_end_select_statement_token1] = ACTIONS(6875),
    [aux_sym_type_statement_token2] = ACTIONS(6875),
    [aux_sym_type_statement_token3] = ACTIONS(6875),
    [aux_sym__class_default_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym_derived_type_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_end_select_statement_token1] = ACTIONS(6881),
    [aux_sym_type_statement_token2] = ACTIONS(6881),
    [aux_sym_type_statement_token3] = ACTIONS(6881),
    [aux_sym__class_default_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7051),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym_derived_type_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_select_statement_token1] = ACTIONS(6841),
    [aux_sym_type_statement_token2] = ACTIONS(6841),
    [aux_sym_type_statement_token3] = ACTIONS(6841),
    [aux_sym__class_default_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym_derived_type_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_select_statement_token1] = ACTIONS(6925),
    [aux_sym_type_statement_token2] = ACTIONS(6925),
    [aux_sym_type_statement_token3] = ACTIONS(6925),
    [aux_sym__class_default_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7055),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym_derived_type_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_select_statement_token1] = ACTIONS(6915),
    [aux_sym_type_statement_token2] = ACTIONS(6915),
    [aux_sym_type_statement_token3] = ACTIONS(6915),
    [aux_sym__class_default_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym_derived_type_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_select_statement_token1] = ACTIONS(6955),
    [aux_sym_type_statement_token2] = ACTIONS(6955),
    [aux_sym_type_statement_token3] = ACTIONS(6955),
    [aux_sym__class_default_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7059),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym_derived_type_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_select_statement_token1] = ACTIONS(6949),
    [aux_sym_type_statement_token2] = ACTIONS(6949),
    [aux_sym_type_statement_token3] = ACTIONS(6949),
    [aux_sym__class_default_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym_derived_type_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_select_statement_token1] = ACTIONS(6903),
    [aux_sym_type_statement_token2] = ACTIONS(6903),
    [aux_sym_type_statement_token3] = ACTIONS(6903),
    [aux_sym__class_default_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [aux_sym_preproc_else_token1] = ACTIONS(6903),
    [aux_sym_preproc_elif_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token2] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [aux_sym_preproc_else_token1] = ACTIONS(6967),
    [aux_sym_preproc_elif_token1] = ACTIONS(6967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_contains_statement_token1] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token2] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [aux_sym_preproc_else_token1] = ACTIONS(7007),
    [aux_sym_preproc_elif_token1] = ACTIONS(7007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_contains_statement_token1] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7063),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym_derived_type_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_end_select_statement_token1] = ACTIONS(6937),
    [aux_sym_type_statement_token2] = ACTIONS(6937),
    [aux_sym_type_statement_token3] = ACTIONS(6937),
    [aux_sym__class_default_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym_derived_type_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_end_select_statement_token1] = ACTIONS(6865),
    [aux_sym_type_statement_token2] = ACTIONS(6865),
    [aux_sym_type_statement_token3] = ACTIONS(6865),
    [aux_sym__class_default_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7067),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym_derived_type_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_end_select_statement_token1] = ACTIONS(6931),
    [aux_sym_type_statement_token2] = ACTIONS(6931),
    [aux_sym_type_statement_token3] = ACTIONS(6931),
    [aux_sym__class_default_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym_derived_type_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_end_select_statement_token1] = ACTIONS(6943),
    [aux_sym_type_statement_token2] = ACTIONS(6943),
    [aux_sym_type_statement_token3] = ACTIONS(6943),
    [aux_sym__class_default_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7071),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym_derived_type_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_end_select_statement_token1] = ACTIONS(6909),
    [aux_sym_type_statement_token2] = ACTIONS(6909),
    [aux_sym_type_statement_token3] = ACTIONS(6909),
    [aux_sym__class_default_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym_derived_type_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_end_select_statement_token1] = ACTIONS(6859),
    [aux_sym_type_statement_token2] = ACTIONS(6859),
    [aux_sym_type_statement_token3] = ACTIONS(6859),
    [aux_sym__class_default_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7075),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym_derived_type_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_end_select_statement_token1] = ACTIONS(6961),
    [aux_sym_type_statement_token2] = ACTIONS(6961),
    [aux_sym_type_statement_token3] = ACTIONS(6961),
    [aux_sym__class_default_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token2] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [aux_sym_preproc_else_token1] = ACTIONS(6875),
    [aux_sym_preproc_elif_token1] = ACTIONS(6875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token2] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [aux_sym_preproc_else_token1] = ACTIONS(6881),
    [aux_sym_preproc_elif_token1] = ACTIONS(6881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7079),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [aux_sym_preproc_else_token1] = ACTIONS(6841),
    [aux_sym_preproc_elif_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [aux_sym_preproc_else_token1] = ACTIONS(6925),
    [aux_sym_preproc_elif_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7083),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [aux_sym_preproc_else_token1] = ACTIONS(6915),
    [aux_sym_preproc_elif_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [aux_sym_preproc_else_token1] = ACTIONS(6955),
    [aux_sym_preproc_elif_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7087),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [aux_sym_preproc_else_token1] = ACTIONS(6925),
    [aux_sym_preproc_elif_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [aux_sym_preproc_else_token1] = ACTIONS(6903),
    [aux_sym_preproc_elif_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token2] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [aux_sym_preproc_else_token1] = ACTIONS(6937),
    [aux_sym_preproc_elif_token1] = ACTIONS(6937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7091),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token2] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [aux_sym_preproc_else_token1] = ACTIONS(6865),
    [aux_sym_preproc_elif_token1] = ACTIONS(6865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token2] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [aux_sym_preproc_else_token1] = ACTIONS(6931),
    [aux_sym_preproc_elif_token1] = ACTIONS(6931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7095),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token2] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [aux_sym_preproc_else_token1] = ACTIONS(6943),
    [aux_sym_preproc_elif_token1] = ACTIONS(6943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token2] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [aux_sym_preproc_else_token1] = ACTIONS(6847),
    [aux_sym_preproc_elif_token1] = ACTIONS(6847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7099),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token2] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [aux_sym_preproc_else_token1] = ACTIONS(6909),
    [aux_sym_preproc_elif_token1] = ACTIONS(6909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token2] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [aux_sym_preproc_else_token1] = ACTIONS(6859),
    [aux_sym_preproc_elif_token1] = ACTIONS(6859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7103),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token2] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [aux_sym_preproc_else_token1] = ACTIONS(6961),
    [aux_sym_preproc_elif_token1] = ACTIONS(6961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5252),
    [aux_sym_preproc_elif_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token2] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [aux_sym_preproc_else_token1] = ACTIONS(7027),
    [aux_sym_preproc_elif_token1] = ACTIONS(7027),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token2] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [aux_sym_preproc_else_token1] = ACTIONS(6993),
    [aux_sym_preproc_elif_token1] = ACTIONS(6993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token2] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [aux_sym_preproc_else_token1] = ACTIONS(7023),
    [aux_sym_preproc_elif_token1] = ACTIONS(7023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token2] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [aux_sym_preproc_else_token1] = ACTIONS(7017),
    [aux_sym_preproc_elif_token1] = ACTIONS(7017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token2] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [aux_sym_preproc_else_token1] = ACTIONS(7011),
    [aux_sym_preproc_elif_token1] = ACTIONS(7011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token2] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [aux_sym_preproc_else_token1] = ACTIONS(6997),
    [aux_sym_preproc_elif_token1] = ACTIONS(6997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token2] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [aux_sym_preproc_else_token1] = ACTIONS(7037),
    [aux_sym_preproc_elif_token1] = ACTIONS(7037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token2] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [aux_sym_preproc_else_token1] = ACTIONS(7001),
    [aux_sym_preproc_elif_token1] = ACTIONS(7001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token2] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [aux_sym_preproc_else_token1] = ACTIONS(7033),
    [aux_sym_preproc_elif_token1] = ACTIONS(7033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_contains_statement_token1] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [aux_sym_preproc_else_token1] = ACTIONS(6841),
    [aux_sym_preproc_elif_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [aux_sym_preproc_else_token1] = ACTIONS(6949),
    [aux_sym_preproc_elif_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7107),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym_derived_type_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_end_select_statement_token1] = ACTIONS(5268),
    [aux_sym_type_statement_token2] = ACTIONS(5268),
    [aux_sym_type_statement_token3] = ACTIONS(5268),
    [aux_sym__class_default_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token2] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [aux_sym_preproc_else_token1] = ACTIONS(6967),
    [aux_sym_preproc_elif_token1] = ACTIONS(6967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym_derived_type_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_select_statement_token1] = ACTIONS(6903),
    [aux_sym_type_statement_token2] = ACTIONS(6903),
    [aux_sym_type_statement_token3] = ACTIONS(6903),
    [aux_sym__class_default_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym_derived_type_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_end_select_statement_token1] = ACTIONS(7023),
    [aux_sym_type_statement_token2] = ACTIONS(7023),
    [aux_sym_type_statement_token3] = ACTIONS(7023),
    [aux_sym__class_default_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token2] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [aux_sym_preproc_else_token1] = ACTIONS(7007),
    [aux_sym_preproc_elif_token1] = ACTIONS(7007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token2] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [aux_sym_preproc_else_token1] = ACTIONS(7027),
    [aux_sym_preproc_elif_token1] = ACTIONS(7027),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token2] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [aux_sym_preproc_else_token1] = ACTIONS(6993),
    [aux_sym_preproc_elif_token1] = ACTIONS(6993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym_derived_type_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_end_select_statement_token1] = ACTIONS(7033),
    [aux_sym_type_statement_token2] = ACTIONS(7033),
    [aux_sym_type_statement_token3] = ACTIONS(7033),
    [aux_sym__class_default_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token2] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [aux_sym_preproc_else_token1] = ACTIONS(7023),
    [aux_sym_preproc_elif_token1] = ACTIONS(7023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym_derived_type_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_end_select_statement_token1] = ACTIONS(7011),
    [aux_sym_type_statement_token2] = ACTIONS(7011),
    [aux_sym_type_statement_token3] = ACTIONS(7011),
    [aux_sym__class_default_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token2] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [aux_sym_preproc_else_token1] = ACTIONS(7017),
    [aux_sym_preproc_elif_token1] = ACTIONS(7017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym_derived_type_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_end_select_statement_token1] = ACTIONS(6967),
    [aux_sym_type_statement_token2] = ACTIONS(6967),
    [aux_sym_type_statement_token3] = ACTIONS(6967),
    [aux_sym__class_default_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token2] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [aux_sym_preproc_else_token1] = ACTIONS(7011),
    [aux_sym_preproc_elif_token1] = ACTIONS(7011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym_derived_type_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_end_select_statement_token1] = ACTIONS(6997),
    [aux_sym_type_statement_token2] = ACTIONS(6997),
    [aux_sym_type_statement_token3] = ACTIONS(6997),
    [aux_sym__class_default_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token2] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [aux_sym_preproc_else_token1] = ACTIONS(6997),
    [aux_sym_preproc_elif_token1] = ACTIONS(6997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym_derived_type_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_end_select_statement_token1] = ACTIONS(7007),
    [aux_sym_type_statement_token2] = ACTIONS(7007),
    [aux_sym_type_statement_token3] = ACTIONS(7007),
    [aux_sym__class_default_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token2] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [aux_sym_preproc_else_token1] = ACTIONS(7037),
    [aux_sym_preproc_elif_token1] = ACTIONS(7037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token2] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [aux_sym_preproc_else_token1] = ACTIONS(7001),
    [aux_sym_preproc_elif_token1] = ACTIONS(7001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym_derived_type_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_end_select_statement_token1] = ACTIONS(7037),
    [aux_sym_type_statement_token2] = ACTIONS(7037),
    [aux_sym_type_statement_token3] = ACTIONS(7037),
    [aux_sym__class_default_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym_derived_type_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_end_select_statement_token1] = ACTIONS(7001),
    [aux_sym_type_statement_token2] = ACTIONS(7001),
    [aux_sym_type_statement_token3] = ACTIONS(7001),
    [aux_sym__class_default_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token2] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [aux_sym_preproc_else_token1] = ACTIONS(7033),
    [aux_sym_preproc_elif_token1] = ACTIONS(7033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym_derived_type_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_select_statement_token1] = ACTIONS(6915),
    [aux_sym_type_statement_token2] = ACTIONS(6915),
    [aux_sym_type_statement_token3] = ACTIONS(6915),
    [aux_sym__class_default_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym_derived_type_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_select_statement_token1] = ACTIONS(6841),
    [aux_sym_type_statement_token2] = ACTIONS(6841),
    [aux_sym_type_statement_token3] = ACTIONS(6841),
    [aux_sym__class_default_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [aux_sym_preproc_else_token1] = ACTIONS(6841),
    [aux_sym_preproc_elif_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym_derived_type_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_select_statement_token1] = ACTIONS(6955),
    [aux_sym_type_statement_token2] = ACTIONS(6955),
    [aux_sym_type_statement_token3] = ACTIONS(6955),
    [aux_sym__class_default_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym_derived_type_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_end_select_statement_token1] = ACTIONS(5252),
    [aux_sym_type_statement_token2] = ACTIONS(5252),
    [aux_sym_type_statement_token3] = ACTIONS(5252),
    [aux_sym__class_default_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym_derived_type_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_end_select_statement_token1] = ACTIONS(5264),
    [aux_sym_type_statement_token2] = ACTIONS(5264),
    [aux_sym_type_statement_token3] = ACTIONS(5264),
    [aux_sym__class_default_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2583] = {
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_LPAREN2] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7111),
    [anon_sym_SLASH] = ACTIONS(7111),
    [anon_sym_PERCENT] = ACTIONS(7109),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7109),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_GT_EQ] = ACTIONS(7109),
    [anon_sym_LT_EQ] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7111),
    [aux_sym_end_program_statement_token1] = ACTIONS(7111),
    [aux_sym_block_data_statement_token1] = ACTIONS(7111),
    [aux_sym_block_data_statement_token2] = ACTIONS(7111),
    [anon_sym_EQ] = ACTIONS(7111),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7111),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7111),
    [aux_sym_language_binding_token1] = ACTIONS(7111),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7111),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7111),
    [aux_sym_use_statement_token2] = ACTIONS(7111),
    [anon_sym_COLON_COLON] = ACTIONS(7109),
    [anon_sym_EQ_GT] = ACTIONS(7109),
    [aux_sym_implicit_statement_token3] = ACTIONS(7111),
    [aux_sym_implicit_statement_token4] = ACTIONS(7111),
    [aux_sym_save_statement_token1] = ACTIONS(7111),
    [aux_sym_private_statement_token1] = ACTIONS(7111),
    [aux_sym_public_statement_token1] = ACTIONS(7111),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7111),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7111),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7111),
    [aux_sym_variable_attributes_token1] = ACTIONS(7111),
    [aux_sym_variable_attributes_token2] = ACTIONS(7111),
    [aux_sym_variable_attributes_token3] = ACTIONS(7111),
    [aux_sym_variable_attributes_token4] = ACTIONS(7111),
    [aux_sym_variable_attributes_token5] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7111),
    [aux_sym_type_qualifier_token1] = ACTIONS(7111),
    [aux_sym_type_qualifier_token2] = ACTIONS(7111),
    [aux_sym_stop_statement_token1] = ACTIONS(7111),
    [aux_sym_stop_statement_token2] = ACTIONS(7111),
    [aux_sym_subroutine_call_token1] = ACTIONS(7111),
    [anon_sym_GT_GT_GT] = ACTIONS(7109),
    [aux_sym_keyword_statement_token2] = ACTIONS(7111),
    [aux_sym_keyword_statement_token3] = ACTIONS(7111),
    [aux_sym_keyword_statement_token4] = ACTIONS(7111),
    [aux_sym_include_statement_token1] = ACTIONS(7111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7111),
    [aux_sym_end_if_statement_token1] = ACTIONS(7111),
    [aux_sym_elseif_clause_token2] = ACTIONS(7111),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7111),
    [aux_sym_select_case_statement_token1] = ACTIONS(7111),
    [aux_sym_format_statement_token1] = ACTIONS(7111),
    [aux_sym_print_statement_token1] = ACTIONS(7111),
    [aux_sym_open_statement_token1] = ACTIONS(7111),
    [aux_sym_inquire_statement_token1] = ACTIONS(7111),
    [aux_sym_entry_statement_token1] = ACTIONS(7111),
    [aux_sym_logical_expression_token1] = ACTIONS(7109),
    [aux_sym_logical_expression_token2] = ACTIONS(7109),
    [aux_sym_logical_expression_token3] = ACTIONS(7109),
    [aux_sym_logical_expression_token4] = ACTIONS(7109),
    [aux_sym_relational_expression_token1] = ACTIONS(7109),
    [aux_sym_relational_expression_token2] = ACTIONS(7109),
    [aux_sym_relational_expression_token3] = ACTIONS(7109),
    [aux_sym_relational_expression_token4] = ACTIONS(7109),
    [aux_sym_relational_expression_token5] = ACTIONS(7109),
    [anon_sym_SLASH_EQ] = ACTIONS(7109),
    [aux_sym_relational_expression_token6] = ACTIONS(7109),
    [anon_sym_SLASH_SLASH] = ACTIONS(7109),
    [anon_sym_STAR_STAR] = ACTIONS(7109),
    [anon_sym_DOT] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [aux_sym_null_literal_token1] = ACTIONS(7111),
    [aux_sym_coarray_statement_token1] = ACTIONS(7111),
    [aux_sym_coarray_statement_token2] = ACTIONS(7111),
    [aux_sym_coarray_statement_token6] = ACTIONS(7111),
    [aux_sym_coarray_statement_token8] = ACTIONS(7111),
    [aux_sym_coarray_statement_token11] = ACTIONS(7111),
    [aux_sym_coarray_statement_token12] = ACTIONS(7111),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7111),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7111),
    [anon_sym_QMARK] = ACTIONS(7109),
    [aux_sym_identifier_token1] = ACTIONS(7111),
    [sym_comment] = ACTIONS(21),
  },
  [2584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym_derived_type_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_end_select_statement_token1] = ACTIONS(5272),
    [aux_sym_type_statement_token2] = ACTIONS(5272),
    [aux_sym_type_statement_token3] = ACTIONS(5272),
    [aux_sym__class_default_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym_derived_type_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_end_select_statement_token1] = ACTIONS(5276),
    [aux_sym_type_statement_token2] = ACTIONS(5276),
    [aux_sym_type_statement_token3] = ACTIONS(5276),
    [aux_sym__class_default_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym_derived_type_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_end_select_statement_token1] = ACTIONS(5280),
    [aux_sym_type_statement_token2] = ACTIONS(5280),
    [aux_sym_type_statement_token3] = ACTIONS(5280),
    [aux_sym__class_default_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2587] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym_derived_type_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_end_select_statement_token1] = ACTIONS(5284),
    [aux_sym_type_statement_token2] = ACTIONS(5284),
    [aux_sym_type_statement_token3] = ACTIONS(5284),
    [aux_sym__class_default_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym_derived_type_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_end_select_statement_token1] = ACTIONS(5288),
    [aux_sym_type_statement_token2] = ACTIONS(5288),
    [aux_sym_type_statement_token3] = ACTIONS(5288),
    [aux_sym__class_default_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [aux_sym_preproc_else_token1] = ACTIONS(5252),
    [aux_sym_preproc_elif_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2595] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2597] = {
    [sym_identifier] = STATE(7126),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(7115),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(7117),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7115),
  },
  [2598] = {
    [anon_sym_COMMA] = ACTIONS(7119),
    [anon_sym_RPAREN] = ACTIONS(7119),
    [anon_sym_LPAREN2] = ACTIONS(7119),
    [anon_sym_PLUS] = ACTIONS(7119),
    [anon_sym_DASH] = ACTIONS(7119),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_PERCENT] = ACTIONS(7119),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7121),
    [anon_sym_GT_EQ] = ACTIONS(7119),
    [anon_sym_LT_EQ] = ACTIONS(7119),
    [anon_sym_LT] = ACTIONS(7121),
    [aux_sym_end_program_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token2] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7121),
    [aux_sym_language_binding_token1] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7121),
    [aux_sym_use_statement_token2] = ACTIONS(7121),
    [anon_sym_COLON_COLON] = ACTIONS(7119),
    [anon_sym_EQ_GT] = ACTIONS(7119),
    [aux_sym_implicit_statement_token3] = ACTIONS(7121),
    [aux_sym_implicit_statement_token4] = ACTIONS(7121),
    [aux_sym_save_statement_token1] = ACTIONS(7121),
    [aux_sym_private_statement_token1] = ACTIONS(7121),
    [aux_sym_public_statement_token1] = ACTIONS(7121),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7121),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7121),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7121),
    [aux_sym_variable_attributes_token1] = ACTIONS(7121),
    [aux_sym_variable_attributes_token2] = ACTIONS(7121),
    [aux_sym_variable_attributes_token3] = ACTIONS(7121),
    [aux_sym_variable_attributes_token4] = ACTIONS(7121),
    [aux_sym_variable_attributes_token5] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7121),
    [aux_sym_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym_stop_statement_token1] = ACTIONS(7121),
    [aux_sym_stop_statement_token2] = ACTIONS(7121),
    [aux_sym_subroutine_call_token1] = ACTIONS(7121),
    [anon_sym_GT_GT_GT] = ACTIONS(7119),
    [aux_sym_keyword_statement_token2] = ACTIONS(7121),
    [aux_sym_keyword_statement_token3] = ACTIONS(7121),
    [aux_sym_keyword_statement_token4] = ACTIONS(7121),
    [aux_sym_include_statement_token1] = ACTIONS(7121),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7121),
    [aux_sym_end_if_statement_token1] = ACTIONS(7121),
    [aux_sym_elseif_clause_token2] = ACTIONS(7121),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7121),
    [aux_sym_select_case_statement_token1] = ACTIONS(7121),
    [aux_sym_format_statement_token1] = ACTIONS(7121),
    [aux_sym_print_statement_token1] = ACTIONS(7121),
    [aux_sym_open_statement_token1] = ACTIONS(7121),
    [aux_sym_inquire_statement_token1] = ACTIONS(7121),
    [aux_sym_entry_statement_token1] = ACTIONS(7121),
    [aux_sym_logical_expression_token1] = ACTIONS(7119),
    [aux_sym_logical_expression_token2] = ACTIONS(7119),
    [aux_sym_logical_expression_token3] = ACTIONS(7119),
    [aux_sym_logical_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token1] = ACTIONS(7119),
    [aux_sym_relational_expression_token2] = ACTIONS(7119),
    [aux_sym_relational_expression_token3] = ACTIONS(7119),
    [aux_sym_relational_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token5] = ACTIONS(7119),
    [anon_sym_SLASH_EQ] = ACTIONS(7119),
    [aux_sym_relational_expression_token6] = ACTIONS(7119),
    [anon_sym_SLASH_SLASH] = ACTIONS(7119),
    [anon_sym_STAR_STAR] = ACTIONS(7119),
    [anon_sym_DOT] = ACTIONS(7121),
    [anon_sym_LBRACK] = ACTIONS(7119),
    [anon_sym_RBRACK] = ACTIONS(7119),
    [aux_sym_null_literal_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token2] = ACTIONS(7121),
    [aux_sym_coarray_statement_token6] = ACTIONS(7121),
    [aux_sym_coarray_statement_token8] = ACTIONS(7121),
    [aux_sym_coarray_statement_token11] = ACTIONS(7121),
    [aux_sym_coarray_statement_token12] = ACTIONS(7121),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7121),
    [anon_sym_QMARK] = ACTIONS(7119),
    [aux_sym_identifier_token1] = ACTIONS(7121),
    [sym_comment] = ACTIONS(21),
  },
  [2599] = {
    [anon_sym_COMMA] = ACTIONS(7123),
    [anon_sym_RPAREN] = ACTIONS(7123),
    [anon_sym_LPAREN2] = ACTIONS(7123),
    [anon_sym_PLUS] = ACTIONS(7123),
    [anon_sym_DASH] = ACTIONS(7123),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_PERCENT] = ACTIONS(7123),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7125),
    [anon_sym_GT_EQ] = ACTIONS(7123),
    [anon_sym_LT_EQ] = ACTIONS(7123),
    [anon_sym_LT] = ACTIONS(7125),
    [aux_sym_end_program_statement_token1] = ACTIONS(7125),
    [aux_sym_block_data_statement_token1] = ACTIONS(7125),
    [aux_sym_block_data_statement_token2] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7125),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7125),
    [aux_sym_language_binding_token1] = ACTIONS(7125),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7125),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7125),
    [aux_sym_use_statement_token2] = ACTIONS(7125),
    [anon_sym_COLON_COLON] = ACTIONS(7123),
    [anon_sym_EQ_GT] = ACTIONS(7123),
    [aux_sym_implicit_statement_token3] = ACTIONS(7125),
    [aux_sym_implicit_statement_token4] = ACTIONS(7125),
    [aux_sym_save_statement_token1] = ACTIONS(7125),
    [aux_sym_private_statement_token1] = ACTIONS(7125),
    [aux_sym_public_statement_token1] = ACTIONS(7125),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7125),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7125),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7125),
    [aux_sym_variable_attributes_token1] = ACTIONS(7125),
    [aux_sym_variable_attributes_token2] = ACTIONS(7125),
    [aux_sym_variable_attributes_token3] = ACTIONS(7125),
    [aux_sym_variable_attributes_token4] = ACTIONS(7125),
    [aux_sym_variable_attributes_token5] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7125),
    [aux_sym_type_qualifier_token1] = ACTIONS(7125),
    [aux_sym_type_qualifier_token2] = ACTIONS(7125),
    [aux_sym_stop_statement_token1] = ACTIONS(7125),
    [aux_sym_stop_statement_token2] = ACTIONS(7125),
    [aux_sym_subroutine_call_token1] = ACTIONS(7125),
    [anon_sym_GT_GT_GT] = ACTIONS(7123),
    [aux_sym_keyword_statement_token2] = ACTIONS(7125),
    [aux_sym_keyword_statement_token3] = ACTIONS(7125),
    [aux_sym_keyword_statement_token4] = ACTIONS(7125),
    [aux_sym_include_statement_token1] = ACTIONS(7125),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7125),
    [aux_sym_end_if_statement_token1] = ACTIONS(7125),
    [aux_sym_elseif_clause_token2] = ACTIONS(7125),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7125),
    [aux_sym_select_case_statement_token1] = ACTIONS(7125),
    [aux_sym_format_statement_token1] = ACTIONS(7125),
    [aux_sym_print_statement_token1] = ACTIONS(7125),
    [aux_sym_open_statement_token1] = ACTIONS(7125),
    [aux_sym_inquire_statement_token1] = ACTIONS(7125),
    [aux_sym_entry_statement_token1] = ACTIONS(7125),
    [aux_sym_logical_expression_token1] = ACTIONS(7123),
    [aux_sym_logical_expression_token2] = ACTIONS(7123),
    [aux_sym_logical_expression_token3] = ACTIONS(7123),
    [aux_sym_logical_expression_token4] = ACTIONS(7123),
    [aux_sym_relational_expression_token1] = ACTIONS(7123),
    [aux_sym_relational_expression_token2] = ACTIONS(7123),
    [aux_sym_relational_expression_token3] = ACTIONS(7123),
    [aux_sym_relational_expression_token4] = ACTIONS(7123),
    [aux_sym_relational_expression_token5] = ACTIONS(7123),
    [anon_sym_SLASH_EQ] = ACTIONS(7123),
    [aux_sym_relational_expression_token6] = ACTIONS(7123),
    [anon_sym_SLASH_SLASH] = ACTIONS(7123),
    [anon_sym_STAR_STAR] = ACTIONS(7123),
    [anon_sym_DOT] = ACTIONS(7125),
    [anon_sym_LBRACK] = ACTIONS(7123),
    [anon_sym_RBRACK] = ACTIONS(7123),
    [aux_sym_null_literal_token1] = ACTIONS(7125),
    [aux_sym_coarray_statement_token1] = ACTIONS(7125),
    [aux_sym_coarray_statement_token2] = ACTIONS(7125),
    [aux_sym_coarray_statement_token6] = ACTIONS(7125),
    [aux_sym_coarray_statement_token8] = ACTIONS(7125),
    [aux_sym_coarray_statement_token11] = ACTIONS(7125),
    [aux_sym_coarray_statement_token12] = ACTIONS(7125),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7125),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7125),
    [anon_sym_QMARK] = ACTIONS(7123),
    [aux_sym_identifier_token1] = ACTIONS(7125),
    [sym_comment] = ACTIONS(21),
  },
  [2600] = {
    [anon_sym_COMMA] = ACTIONS(7127),
    [anon_sym_RPAREN] = ACTIONS(7127),
    [anon_sym_LPAREN2] = ACTIONS(7127),
    [anon_sym_PLUS] = ACTIONS(7127),
    [anon_sym_DASH] = ACTIONS(7127),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_PERCENT] = ACTIONS(7127),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7129),
    [anon_sym_GT_EQ] = ACTIONS(7127),
    [anon_sym_LT_EQ] = ACTIONS(7127),
    [anon_sym_LT] = ACTIONS(7129),
    [aux_sym_end_program_statement_token1] = ACTIONS(7129),
    [aux_sym_block_data_statement_token1] = ACTIONS(7129),
    [aux_sym_block_data_statement_token2] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7129),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7129),
    [aux_sym_language_binding_token1] = ACTIONS(7129),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7129),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7129),
    [aux_sym_use_statement_token2] = ACTIONS(7129),
    [anon_sym_COLON_COLON] = ACTIONS(7127),
    [anon_sym_EQ_GT] = ACTIONS(7127),
    [aux_sym_implicit_statement_token3] = ACTIONS(7129),
    [aux_sym_implicit_statement_token4] = ACTIONS(7129),
    [aux_sym_save_statement_token1] = ACTIONS(7129),
    [aux_sym_private_statement_token1] = ACTIONS(7129),
    [aux_sym_public_statement_token1] = ACTIONS(7129),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7129),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7129),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7129),
    [aux_sym_variable_attributes_token1] = ACTIONS(7129),
    [aux_sym_variable_attributes_token2] = ACTIONS(7129),
    [aux_sym_variable_attributes_token3] = ACTIONS(7129),
    [aux_sym_variable_attributes_token4] = ACTIONS(7129),
    [aux_sym_variable_attributes_token5] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7129),
    [aux_sym_type_qualifier_token1] = ACTIONS(7129),
    [aux_sym_type_qualifier_token2] = ACTIONS(7129),
    [aux_sym_stop_statement_token1] = ACTIONS(7129),
    [aux_sym_stop_statement_token2] = ACTIONS(7129),
    [aux_sym_subroutine_call_token1] = ACTIONS(7129),
    [anon_sym_GT_GT_GT] = ACTIONS(7127),
    [aux_sym_keyword_statement_token2] = ACTIONS(7129),
    [aux_sym_keyword_statement_token3] = ACTIONS(7129),
    [aux_sym_keyword_statement_token4] = ACTIONS(7129),
    [aux_sym_include_statement_token1] = ACTIONS(7129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7129),
    [aux_sym_end_if_statement_token1] = ACTIONS(7129),
    [aux_sym_elseif_clause_token2] = ACTIONS(7129),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7129),
    [aux_sym_select_case_statement_token1] = ACTIONS(7129),
    [aux_sym_format_statement_token1] = ACTIONS(7129),
    [aux_sym_print_statement_token1] = ACTIONS(7129),
    [aux_sym_open_statement_token1] = ACTIONS(7129),
    [aux_sym_inquire_statement_token1] = ACTIONS(7129),
    [aux_sym_entry_statement_token1] = ACTIONS(7129),
    [aux_sym_logical_expression_token1] = ACTIONS(7127),
    [aux_sym_logical_expression_token2] = ACTIONS(7127),
    [aux_sym_logical_expression_token3] = ACTIONS(7127),
    [aux_sym_logical_expression_token4] = ACTIONS(7127),
    [aux_sym_relational_expression_token1] = ACTIONS(7127),
    [aux_sym_relational_expression_token2] = ACTIONS(7127),
    [aux_sym_relational_expression_token3] = ACTIONS(7127),
    [aux_sym_relational_expression_token4] = ACTIONS(7127),
    [aux_sym_relational_expression_token5] = ACTIONS(7127),
    [anon_sym_SLASH_EQ] = ACTIONS(7127),
    [aux_sym_relational_expression_token6] = ACTIONS(7127),
    [anon_sym_SLASH_SLASH] = ACTIONS(7127),
    [anon_sym_STAR_STAR] = ACTIONS(7127),
    [anon_sym_DOT] = ACTIONS(7129),
    [anon_sym_LBRACK] = ACTIONS(7127),
    [anon_sym_RBRACK] = ACTIONS(7127),
    [aux_sym_null_literal_token1] = ACTIONS(7129),
    [aux_sym_coarray_statement_token1] = ACTIONS(7129),
    [aux_sym_coarray_statement_token2] = ACTIONS(7129),
    [aux_sym_coarray_statement_token6] = ACTIONS(7129),
    [aux_sym_coarray_statement_token8] = ACTIONS(7129),
    [aux_sym_coarray_statement_token11] = ACTIONS(7129),
    [aux_sym_coarray_statement_token12] = ACTIONS(7129),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7129),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7129),
    [anon_sym_QMARK] = ACTIONS(7127),
    [aux_sym_identifier_token1] = ACTIONS(7129),
    [sym_comment] = ACTIONS(21),
  },
  [2601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [aux_sym_preproc_else_token1] = ACTIONS(6925),
    [aux_sym_preproc_elif_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym_derived_type_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_type_statement_token2] = ACTIONS(2773),
    [aux_sym_type_statement_token3] = ACTIONS(2773),
    [aux_sym__class_default_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [aux_sym_preproc_else_token1] = ACTIONS(6915),
    [aux_sym_preproc_elif_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym_derived_type_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_select_statement_token1] = ACTIONS(6949),
    [aux_sym_type_statement_token2] = ACTIONS(6949),
    [aux_sym_type_statement_token3] = ACTIONS(6949),
    [aux_sym__class_default_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [aux_sym_preproc_else_token1] = ACTIONS(6955),
    [aux_sym_preproc_elif_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2606] = {
    [anon_sym_COMMA] = ACTIONS(6871),
    [anon_sym_RPAREN] = ACTIONS(6871),
    [anon_sym_LPAREN2] = ACTIONS(6871),
    [anon_sym_PLUS] = ACTIONS(6871),
    [anon_sym_DASH] = ACTIONS(6871),
    [anon_sym_STAR] = ACTIONS(6873),
    [anon_sym_SLASH] = ACTIONS(6873),
    [anon_sym_PERCENT] = ACTIONS(6871),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6873),
    [anon_sym_GT_EQ] = ACTIONS(6871),
    [anon_sym_LT_EQ] = ACTIONS(6871),
    [anon_sym_LT] = ACTIONS(6873),
    [aux_sym_end_program_statement_token1] = ACTIONS(6873),
    [aux_sym_block_data_statement_token1] = ACTIONS(6873),
    [aux_sym_block_data_statement_token2] = ACTIONS(6873),
    [anon_sym_EQ] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6873),
    [aux_sym_language_binding_token1] = ACTIONS(6873),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6873),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6873),
    [aux_sym_use_statement_token2] = ACTIONS(6873),
    [anon_sym_COLON_COLON] = ACTIONS(6871),
    [anon_sym_EQ_GT] = ACTIONS(6871),
    [aux_sym_implicit_statement_token3] = ACTIONS(6873),
    [aux_sym_implicit_statement_token4] = ACTIONS(6873),
    [aux_sym_save_statement_token1] = ACTIONS(6873),
    [aux_sym_private_statement_token1] = ACTIONS(6873),
    [aux_sym_public_statement_token1] = ACTIONS(6873),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6873),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6873),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6873),
    [aux_sym_variable_attributes_token1] = ACTIONS(6873),
    [aux_sym_variable_attributes_token2] = ACTIONS(6873),
    [aux_sym_variable_attributes_token3] = ACTIONS(6873),
    [aux_sym_variable_attributes_token4] = ACTIONS(6873),
    [aux_sym_variable_attributes_token5] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6873),
    [aux_sym_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym_stop_statement_token1] = ACTIONS(6873),
    [aux_sym_stop_statement_token2] = ACTIONS(6873),
    [aux_sym_subroutine_call_token1] = ACTIONS(6873),
    [anon_sym_GT_GT_GT] = ACTIONS(6871),
    [aux_sym_keyword_statement_token2] = ACTIONS(6873),
    [aux_sym_keyword_statement_token3] = ACTIONS(6873),
    [aux_sym_keyword_statement_token4] = ACTIONS(6873),
    [aux_sym_include_statement_token1] = ACTIONS(6873),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6873),
    [aux_sym_end_if_statement_token1] = ACTIONS(6873),
    [aux_sym_elseif_clause_token2] = ACTIONS(6873),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6873),
    [aux_sym_select_case_statement_token1] = ACTIONS(6873),
    [aux_sym_format_statement_token1] = ACTIONS(6873),
    [aux_sym_print_statement_token1] = ACTIONS(6873),
    [aux_sym_open_statement_token1] = ACTIONS(6873),
    [aux_sym_inquire_statement_token1] = ACTIONS(6873),
    [aux_sym_entry_statement_token1] = ACTIONS(6873),
    [aux_sym_logical_expression_token1] = ACTIONS(6871),
    [aux_sym_logical_expression_token2] = ACTIONS(6871),
    [aux_sym_logical_expression_token3] = ACTIONS(6871),
    [aux_sym_logical_expression_token4] = ACTIONS(6871),
    [aux_sym_relational_expression_token1] = ACTIONS(6871),
    [aux_sym_relational_expression_token2] = ACTIONS(6871),
    [aux_sym_relational_expression_token3] = ACTIONS(6871),
    [aux_sym_relational_expression_token4] = ACTIONS(6871),
    [aux_sym_relational_expression_token5] = ACTIONS(6871),
    [anon_sym_SLASH_EQ] = ACTIONS(6871),
    [aux_sym_relational_expression_token6] = ACTIONS(6871),
    [anon_sym_SLASH_SLASH] = ACTIONS(6871),
    [anon_sym_STAR_STAR] = ACTIONS(6871),
    [anon_sym_DOT] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6871),
    [anon_sym_RBRACK] = ACTIONS(6871),
    [aux_sym_null_literal_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token2] = ACTIONS(6873),
    [aux_sym_coarray_statement_token6] = ACTIONS(6873),
    [aux_sym_coarray_statement_token8] = ACTIONS(6873),
    [aux_sym_coarray_statement_token11] = ACTIONS(6873),
    [aux_sym_coarray_statement_token12] = ACTIONS(6873),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6873),
    [anon_sym_QMARK] = ACTIONS(6871),
    [aux_sym_identifier_token1] = ACTIONS(6873),
    [sym_comment] = ACTIONS(21),
  },
  [2607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym_derived_type_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_select_statement_token1] = ACTIONS(6925),
    [aux_sym_type_statement_token2] = ACTIONS(6925),
    [aux_sym_type_statement_token3] = ACTIONS(6925),
    [aux_sym__class_default_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [aux_sym_preproc_else_token1] = ACTIONS(6949),
    [aux_sym_preproc_elif_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2609] = {
    [anon_sym_COMMA] = ACTIONS(7131),
    [anon_sym_RPAREN] = ACTIONS(7131),
    [anon_sym_LPAREN2] = ACTIONS(7131),
    [anon_sym_PLUS] = ACTIONS(7131),
    [anon_sym_DASH] = ACTIONS(7131),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_PERCENT] = ACTIONS(7131),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7133),
    [anon_sym_GT_EQ] = ACTIONS(7131),
    [anon_sym_LT_EQ] = ACTIONS(7131),
    [anon_sym_LT] = ACTIONS(7133),
    [aux_sym_end_program_statement_token1] = ACTIONS(7133),
    [aux_sym_block_data_statement_token1] = ACTIONS(7133),
    [aux_sym_block_data_statement_token2] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7133),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7133),
    [aux_sym_language_binding_token1] = ACTIONS(7133),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7133),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7133),
    [aux_sym_use_statement_token2] = ACTIONS(7133),
    [anon_sym_COLON_COLON] = ACTIONS(7131),
    [anon_sym_EQ_GT] = ACTIONS(7131),
    [aux_sym_implicit_statement_token3] = ACTIONS(7133),
    [aux_sym_implicit_statement_token4] = ACTIONS(7133),
    [aux_sym_save_statement_token1] = ACTIONS(7133),
    [aux_sym_private_statement_token1] = ACTIONS(7133),
    [aux_sym_public_statement_token1] = ACTIONS(7133),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7133),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7133),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7133),
    [aux_sym_variable_attributes_token1] = ACTIONS(7133),
    [aux_sym_variable_attributes_token2] = ACTIONS(7133),
    [aux_sym_variable_attributes_token3] = ACTIONS(7133),
    [aux_sym_variable_attributes_token4] = ACTIONS(7133),
    [aux_sym_variable_attributes_token5] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7133),
    [aux_sym_type_qualifier_token1] = ACTIONS(7133),
    [aux_sym_type_qualifier_token2] = ACTIONS(7133),
    [aux_sym_stop_statement_token1] = ACTIONS(7133),
    [aux_sym_stop_statement_token2] = ACTIONS(7133),
    [aux_sym_subroutine_call_token1] = ACTIONS(7133),
    [anon_sym_GT_GT_GT] = ACTIONS(7131),
    [aux_sym_keyword_statement_token2] = ACTIONS(7133),
    [aux_sym_keyword_statement_token3] = ACTIONS(7133),
    [aux_sym_keyword_statement_token4] = ACTIONS(7133),
    [aux_sym_include_statement_token1] = ACTIONS(7133),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7133),
    [aux_sym_end_if_statement_token1] = ACTIONS(7133),
    [aux_sym_elseif_clause_token2] = ACTIONS(7133),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7133),
    [aux_sym_select_case_statement_token1] = ACTIONS(7133),
    [aux_sym_format_statement_token1] = ACTIONS(7133),
    [aux_sym_print_statement_token1] = ACTIONS(7133),
    [aux_sym_open_statement_token1] = ACTIONS(7133),
    [aux_sym_inquire_statement_token1] = ACTIONS(7133),
    [aux_sym_entry_statement_token1] = ACTIONS(7133),
    [aux_sym_logical_expression_token1] = ACTIONS(7131),
    [aux_sym_logical_expression_token2] = ACTIONS(7131),
    [aux_sym_logical_expression_token3] = ACTIONS(7131),
    [aux_sym_logical_expression_token4] = ACTIONS(7131),
    [aux_sym_relational_expression_token1] = ACTIONS(7131),
    [aux_sym_relational_expression_token2] = ACTIONS(7131),
    [aux_sym_relational_expression_token3] = ACTIONS(7131),
    [aux_sym_relational_expression_token4] = ACTIONS(7131),
    [aux_sym_relational_expression_token5] = ACTIONS(7131),
    [anon_sym_SLASH_EQ] = ACTIONS(7131),
    [aux_sym_relational_expression_token6] = ACTIONS(7131),
    [anon_sym_SLASH_SLASH] = ACTIONS(7131),
    [anon_sym_STAR_STAR] = ACTIONS(7131),
    [anon_sym_DOT] = ACTIONS(7133),
    [anon_sym_LBRACK] = ACTIONS(7131),
    [anon_sym_RBRACK] = ACTIONS(7131),
    [aux_sym_null_literal_token1] = ACTIONS(7133),
    [aux_sym_coarray_statement_token1] = ACTIONS(7133),
    [aux_sym_coarray_statement_token2] = ACTIONS(7133),
    [aux_sym_coarray_statement_token6] = ACTIONS(7133),
    [aux_sym_coarray_statement_token8] = ACTIONS(7133),
    [aux_sym_coarray_statement_token11] = ACTIONS(7133),
    [aux_sym_coarray_statement_token12] = ACTIONS(7133),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7133),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7133),
    [anon_sym_QMARK] = ACTIONS(7131),
    [aux_sym_identifier_token1] = ACTIONS(7133),
    [sym_comment] = ACTIONS(21),
  },
  [2610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym_derived_type_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_end_select_statement_token1] = ACTIONS(7027),
    [aux_sym_type_statement_token2] = ACTIONS(7027),
    [aux_sym_type_statement_token3] = ACTIONS(7027),
    [aux_sym__class_default_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2611] = {
    [anon_sym_COMMA] = ACTIONS(6853),
    [anon_sym_RPAREN] = ACTIONS(6853),
    [anon_sym_LPAREN2] = ACTIONS(6853),
    [anon_sym_PLUS] = ACTIONS(6853),
    [anon_sym_DASH] = ACTIONS(6853),
    [anon_sym_STAR] = ACTIONS(6855),
    [anon_sym_SLASH] = ACTIONS(6855),
    [anon_sym_PERCENT] = ACTIONS(6853),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6853),
    [anon_sym_GT] = ACTIONS(6855),
    [anon_sym_GT_EQ] = ACTIONS(6853),
    [anon_sym_LT_EQ] = ACTIONS(6853),
    [anon_sym_LT] = ACTIONS(6855),
    [aux_sym_end_program_statement_token1] = ACTIONS(6855),
    [aux_sym_block_data_statement_token1] = ACTIONS(6855),
    [aux_sym_block_data_statement_token2] = ACTIONS(6855),
    [anon_sym_EQ] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6855),
    [aux_sym_language_binding_token1] = ACTIONS(6855),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6855),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6855),
    [aux_sym_use_statement_token2] = ACTIONS(6855),
    [anon_sym_COLON_COLON] = ACTIONS(6853),
    [anon_sym_EQ_GT] = ACTIONS(6853),
    [aux_sym_implicit_statement_token3] = ACTIONS(6855),
    [aux_sym_implicit_statement_token4] = ACTIONS(6855),
    [aux_sym_save_statement_token1] = ACTIONS(6855),
    [aux_sym_private_statement_token1] = ACTIONS(6855),
    [aux_sym_public_statement_token1] = ACTIONS(6855),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6855),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6855),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6855),
    [aux_sym_variable_attributes_token1] = ACTIONS(6855),
    [aux_sym_variable_attributes_token2] = ACTIONS(6855),
    [aux_sym_variable_attributes_token3] = ACTIONS(6855),
    [aux_sym_variable_attributes_token4] = ACTIONS(6855),
    [aux_sym_variable_attributes_token5] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6855),
    [aux_sym_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym_stop_statement_token1] = ACTIONS(6855),
    [aux_sym_stop_statement_token2] = ACTIONS(6855),
    [aux_sym_subroutine_call_token1] = ACTIONS(6855),
    [anon_sym_GT_GT_GT] = ACTIONS(6853),
    [aux_sym_keyword_statement_token2] = ACTIONS(6855),
    [aux_sym_keyword_statement_token3] = ACTIONS(6855),
    [aux_sym_keyword_statement_token4] = ACTIONS(6855),
    [aux_sym_include_statement_token1] = ACTIONS(6855),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6855),
    [aux_sym_end_if_statement_token1] = ACTIONS(6855),
    [aux_sym_elseif_clause_token2] = ACTIONS(6855),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6855),
    [aux_sym_select_case_statement_token1] = ACTIONS(6855),
    [aux_sym_format_statement_token1] = ACTIONS(6855),
    [aux_sym_print_statement_token1] = ACTIONS(6855),
    [aux_sym_open_statement_token1] = ACTIONS(6855),
    [aux_sym_inquire_statement_token1] = ACTIONS(6855),
    [aux_sym_entry_statement_token1] = ACTIONS(6855),
    [aux_sym_logical_expression_token1] = ACTIONS(6853),
    [aux_sym_logical_expression_token2] = ACTIONS(6853),
    [aux_sym_logical_expression_token3] = ACTIONS(6853),
    [aux_sym_logical_expression_token4] = ACTIONS(6853),
    [aux_sym_relational_expression_token1] = ACTIONS(6853),
    [aux_sym_relational_expression_token2] = ACTIONS(6853),
    [aux_sym_relational_expression_token3] = ACTIONS(6853),
    [aux_sym_relational_expression_token4] = ACTIONS(6853),
    [aux_sym_relational_expression_token5] = ACTIONS(6853),
    [anon_sym_SLASH_EQ] = ACTIONS(6853),
    [aux_sym_relational_expression_token6] = ACTIONS(6853),
    [anon_sym_SLASH_SLASH] = ACTIONS(6853),
    [anon_sym_STAR_STAR] = ACTIONS(6853),
    [anon_sym_DOT] = ACTIONS(6855),
    [anon_sym_LBRACK] = ACTIONS(6853),
    [anon_sym_RBRACK] = ACTIONS(6853),
    [aux_sym_null_literal_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token2] = ACTIONS(6855),
    [aux_sym_coarray_statement_token6] = ACTIONS(6855),
    [aux_sym_coarray_statement_token8] = ACTIONS(6855),
    [aux_sym_coarray_statement_token11] = ACTIONS(6855),
    [aux_sym_coarray_statement_token12] = ACTIONS(6855),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6853),
    [aux_sym_identifier_token1] = ACTIONS(6855),
    [sym_comment] = ACTIONS(21),
  },
  [2612] = {
    [anon_sym_COMMA] = ACTIONS(7135),
    [anon_sym_RPAREN] = ACTIONS(7135),
    [anon_sym_LPAREN2] = ACTIONS(7135),
    [anon_sym_PLUS] = ACTIONS(7135),
    [anon_sym_DASH] = ACTIONS(7135),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_PERCENT] = ACTIONS(7135),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7137),
    [anon_sym_GT_EQ] = ACTIONS(7135),
    [anon_sym_LT_EQ] = ACTIONS(7135),
    [anon_sym_LT] = ACTIONS(7137),
    [aux_sym_end_program_statement_token1] = ACTIONS(7137),
    [aux_sym_block_data_statement_token1] = ACTIONS(7137),
    [aux_sym_block_data_statement_token2] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7137),
    [aux_sym_language_binding_token1] = ACTIONS(7137),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7137),
    [aux_sym_use_statement_token2] = ACTIONS(7137),
    [anon_sym_COLON_COLON] = ACTIONS(7135),
    [anon_sym_EQ_GT] = ACTIONS(7135),
    [aux_sym_implicit_statement_token3] = ACTIONS(7137),
    [aux_sym_implicit_statement_token4] = ACTIONS(7137),
    [aux_sym_save_statement_token1] = ACTIONS(7137),
    [aux_sym_private_statement_token1] = ACTIONS(7137),
    [aux_sym_public_statement_token1] = ACTIONS(7137),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7137),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7137),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7137),
    [aux_sym_variable_attributes_token1] = ACTIONS(7137),
    [aux_sym_variable_attributes_token2] = ACTIONS(7137),
    [aux_sym_variable_attributes_token3] = ACTIONS(7137),
    [aux_sym_variable_attributes_token4] = ACTIONS(7137),
    [aux_sym_variable_attributes_token5] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7137),
    [aux_sym_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym_stop_statement_token1] = ACTIONS(7137),
    [aux_sym_stop_statement_token2] = ACTIONS(7137),
    [aux_sym_subroutine_call_token1] = ACTIONS(7137),
    [anon_sym_GT_GT_GT] = ACTIONS(7135),
    [aux_sym_keyword_statement_token2] = ACTIONS(7137),
    [aux_sym_keyword_statement_token3] = ACTIONS(7137),
    [aux_sym_keyword_statement_token4] = ACTIONS(7137),
    [aux_sym_include_statement_token1] = ACTIONS(7137),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7137),
    [aux_sym_end_if_statement_token1] = ACTIONS(7137),
    [aux_sym_elseif_clause_token2] = ACTIONS(7137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7137),
    [aux_sym_select_case_statement_token1] = ACTIONS(7137),
    [aux_sym_format_statement_token1] = ACTIONS(7137),
    [aux_sym_print_statement_token1] = ACTIONS(7137),
    [aux_sym_open_statement_token1] = ACTIONS(7137),
    [aux_sym_inquire_statement_token1] = ACTIONS(7137),
    [aux_sym_entry_statement_token1] = ACTIONS(7137),
    [aux_sym_logical_expression_token1] = ACTIONS(7135),
    [aux_sym_logical_expression_token2] = ACTIONS(7135),
    [aux_sym_logical_expression_token3] = ACTIONS(7135),
    [aux_sym_logical_expression_token4] = ACTIONS(7135),
    [aux_sym_relational_expression_token1] = ACTIONS(7135),
    [aux_sym_relational_expression_token2] = ACTIONS(7135),
    [aux_sym_relational_expression_token3] = ACTIONS(7135),
    [aux_sym_relational_expression_token4] = ACTIONS(7135),
    [aux_sym_relational_expression_token5] = ACTIONS(7135),
    [anon_sym_SLASH_EQ] = ACTIONS(7135),
    [aux_sym_relational_expression_token6] = ACTIONS(7135),
    [anon_sym_SLASH_SLASH] = ACTIONS(7135),
    [anon_sym_STAR_STAR] = ACTIONS(7135),
    [anon_sym_DOT] = ACTIONS(7137),
    [anon_sym_LBRACK] = ACTIONS(7135),
    [anon_sym_RBRACK] = ACTIONS(7135),
    [aux_sym_null_literal_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token2] = ACTIONS(7137),
    [aux_sym_coarray_statement_token6] = ACTIONS(7137),
    [aux_sym_coarray_statement_token8] = ACTIONS(7137),
    [aux_sym_coarray_statement_token11] = ACTIONS(7137),
    [aux_sym_coarray_statement_token12] = ACTIONS(7137),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7137),
    [anon_sym_QMARK] = ACTIONS(7135),
    [aux_sym_identifier_token1] = ACTIONS(7137),
    [sym_comment] = ACTIONS(21),
  },
  [2613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [aux_sym_preproc_else_token1] = ACTIONS(6903),
    [aux_sym_preproc_elif_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym_derived_type_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_end_select_statement_token1] = ACTIONS(6993),
    [aux_sym_type_statement_token2] = ACTIONS(6993),
    [aux_sym_type_statement_token3] = ACTIONS(6993),
    [aux_sym__class_default_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2615] = {
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_LPAREN2] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6923),
    [anon_sym_SLASH] = ACTIONS(6923),
    [anon_sym_PERCENT] = ACTIONS(6921),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6921),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_GT_EQ] = ACTIONS(6921),
    [anon_sym_LT_EQ] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6923),
    [aux_sym_end_program_statement_token1] = ACTIONS(6923),
    [aux_sym_block_data_statement_token1] = ACTIONS(6923),
    [aux_sym_block_data_statement_token2] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6923),
    [aux_sym_language_binding_token1] = ACTIONS(6923),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6923),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6923),
    [aux_sym_use_statement_token2] = ACTIONS(6923),
    [anon_sym_COLON_COLON] = ACTIONS(6921),
    [anon_sym_EQ_GT] = ACTIONS(6921),
    [aux_sym_implicit_statement_token3] = ACTIONS(6923),
    [aux_sym_implicit_statement_token4] = ACTIONS(6923),
    [aux_sym_save_statement_token1] = ACTIONS(6923),
    [aux_sym_private_statement_token1] = ACTIONS(6923),
    [aux_sym_public_statement_token1] = ACTIONS(6923),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6923),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6923),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6923),
    [aux_sym_variable_attributes_token1] = ACTIONS(6923),
    [aux_sym_variable_attributes_token2] = ACTIONS(6923),
    [aux_sym_variable_attributes_token3] = ACTIONS(6923),
    [aux_sym_variable_attributes_token4] = ACTIONS(6923),
    [aux_sym_variable_attributes_token5] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6923),
    [aux_sym_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym_stop_statement_token1] = ACTIONS(6923),
    [aux_sym_stop_statement_token2] = ACTIONS(6923),
    [aux_sym_subroutine_call_token1] = ACTIONS(6923),
    [anon_sym_GT_GT_GT] = ACTIONS(6921),
    [aux_sym_keyword_statement_token2] = ACTIONS(6923),
    [aux_sym_keyword_statement_token3] = ACTIONS(6923),
    [aux_sym_keyword_statement_token4] = ACTIONS(6923),
    [aux_sym_include_statement_token1] = ACTIONS(6923),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6923),
    [aux_sym_end_if_statement_token1] = ACTIONS(6923),
    [aux_sym_elseif_clause_token2] = ACTIONS(6923),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6923),
    [aux_sym_select_case_statement_token1] = ACTIONS(6923),
    [aux_sym_format_statement_token1] = ACTIONS(6923),
    [aux_sym_print_statement_token1] = ACTIONS(6923),
    [aux_sym_open_statement_token1] = ACTIONS(6923),
    [aux_sym_inquire_statement_token1] = ACTIONS(6923),
    [aux_sym_entry_statement_token1] = ACTIONS(6923),
    [aux_sym_logical_expression_token1] = ACTIONS(6921),
    [aux_sym_logical_expression_token2] = ACTIONS(6921),
    [aux_sym_logical_expression_token3] = ACTIONS(6921),
    [aux_sym_logical_expression_token4] = ACTIONS(6921),
    [aux_sym_relational_expression_token1] = ACTIONS(6921),
    [aux_sym_relational_expression_token2] = ACTIONS(6921),
    [aux_sym_relational_expression_token3] = ACTIONS(6921),
    [aux_sym_relational_expression_token4] = ACTIONS(6921),
    [aux_sym_relational_expression_token5] = ACTIONS(6921),
    [anon_sym_SLASH_EQ] = ACTIONS(6921),
    [aux_sym_relational_expression_token6] = ACTIONS(6921),
    [anon_sym_SLASH_SLASH] = ACTIONS(6921),
    [anon_sym_STAR_STAR] = ACTIONS(6921),
    [anon_sym_DOT] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6921),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [aux_sym_null_literal_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token2] = ACTIONS(6923),
    [aux_sym_coarray_statement_token6] = ACTIONS(6923),
    [aux_sym_coarray_statement_token8] = ACTIONS(6923),
    [aux_sym_coarray_statement_token11] = ACTIONS(6923),
    [aux_sym_coarray_statement_token12] = ACTIONS(6923),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6923),
    [anon_sym_QMARK] = ACTIONS(6921),
    [aux_sym_identifier_token1] = ACTIONS(6923),
    [sym_comment] = ACTIONS(21),
  },
  [2616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym_derived_type_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_end_select_statement_token1] = ACTIONS(7017),
    [aux_sym_type_statement_token2] = ACTIONS(7017),
    [aux_sym_type_statement_token3] = ACTIONS(7017),
    [aux_sym__class_default_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7139),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym_end_where_statement_token1] = ACTIONS(6937),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [aux_sym_end_program_statement_token2] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token2] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7143),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [aux_sym_end_program_statement_token2] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token2] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [aux_sym_end_program_statement_token2] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token2] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7147),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [aux_sym_end_program_statement_token2] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [aux_sym_end_program_statement_token2] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token2] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7151),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [aux_sym_end_program_statement_token2] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_contains_statement_token1] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [aux_sym_end_program_statement_token2] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7155),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym_end_where_statement_token1] = ACTIONS(6875),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token2] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [aux_sym_end_program_statement_token2] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token2] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7159),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [aux_sym_end_program_statement_token2] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [aux_sym_end_program_statement_token2] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7163),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [aux_sym_end_program_statement_token2] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym_end_where_statement_token1] = ACTIONS(6881),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym_end_where_statement_token1] = ACTIONS(6841),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token2] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [aux_sym_end_program_statement_token2] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2633] = {
    [sym__argument_list] = STATE(2612),
    [sym_argument_list] = STATE(3998),
    [anon_sym_LPAREN2] = ACTIONS(7171),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [2634] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7175),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym_end_where_statement_token1] = ACTIONS(6915),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2635] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym_end_where_statement_token1] = ACTIONS(6865),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7179),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym_end_where_statement_token1] = ACTIONS(6931),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token2] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [aux_sym_end_program_statement_token2] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7183),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym_end_where_statement_token1] = ACTIONS(6955),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym_end_where_statement_token1] = ACTIONS(6943),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7187),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym_end_where_statement_token1] = ACTIONS(6949),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym_end_where_statement_token1] = ACTIONS(6847),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7191),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym_end_where_statement_token1] = ACTIONS(6909),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym_end_where_statement_token1] = ACTIONS(6903),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2644] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7195),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym_end_where_statement_token1] = ACTIONS(6859),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym_end_where_statement_token1] = ACTIONS(6961),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7199),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [aux_sym_end_program_statement_token2] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token2] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [aux_sym_end_program_statement_token2] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2648] = {
    [sym_statement_label] = STATE(4476),
    [sym_statement_label_reference] = STATE(8358),
    [sym_format_identifier] = STATE(8229),
    [sym__io_expressions] = STATE(8358),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(5844),
    [sym_derived_type_member_expression] = STATE(5844),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5844),
    [sym_math_expression] = STATE(5844),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5844),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7822),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5844),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5457),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(7203),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token2] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [aux_sym_end_program_statement_token2] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_contains_statement_token1] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7207),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym_end_where_statement_token1] = ACTIONS(6925),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [aux_sym_end_program_statement_token2] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym_end_where_statement_token1] = ACTIONS(7033),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7211),
    [aux_sym_preproc_def_token1] = ACTIONS(7211),
    [aux_sym_preproc_if_token1] = ACTIONS(7211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7211),
    [sym_preproc_directive] = ACTIONS(7211),
    [anon_sym_LPAREN2] = ACTIONS(7211),
    [sym_preproc_comment] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7215),
    [anon_sym_DASH] = ACTIONS(7215),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7211),
    [anon_sym_SEMI] = ACTIONS(7215),
    [aux_sym_block_data_statement_token1] = ACTIONS(7211),
    [aux_sym_block_data_statement_token2] = ACTIONS(7211),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7211),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7211),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7211),
    [aux_sym_end_function_statement_token1] = ACTIONS(7211),
    [aux_sym_contains_statement_token1] = ACTIONS(7211),
    [aux_sym_use_statement_token2] = ACTIONS(7211),
    [aux_sym_implicit_statement_token3] = ACTIONS(7211),
    [aux_sym_implicit_statement_token4] = ACTIONS(7211),
    [aux_sym_save_statement_token1] = ACTIONS(7211),
    [aux_sym_private_statement_token1] = ACTIONS(7211),
    [aux_sym_public_statement_token1] = ACTIONS(7211),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7211),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7211),
    [aux_sym_variable_attributes_token2] = ACTIONS(7211),
    [aux_sym_variable_attributes_token3] = ACTIONS(7211),
    [aux_sym_variable_attributes_token5] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7211),
    [aux_sym_type_qualifier_token1] = ACTIONS(7211),
    [aux_sym_type_qualifier_token2] = ACTIONS(7211),
    [aux_sym_stop_statement_token1] = ACTIONS(7211),
    [aux_sym_stop_statement_token2] = ACTIONS(7211),
    [aux_sym_subroutine_call_token1] = ACTIONS(7211),
    [aux_sym_keyword_statement_token1] = ACTIONS(7211),
    [aux_sym_keyword_statement_token2] = ACTIONS(7211),
    [aux_sym_keyword_statement_token3] = ACTIONS(7211),
    [aux_sym_keyword_statement_token4] = ACTIONS(7211),
    [aux_sym_keyword_statement_token6] = ACTIONS(7211),
    [aux_sym_keyword_statement_token7] = ACTIONS(7211),
    [aux_sym_include_statement_token1] = ACTIONS(7211),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7211),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7211),
    [aux_sym_end_if_statement_token1] = ACTIONS(7211),
    [aux_sym_elseif_clause_token2] = ACTIONS(7211),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7211),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7211),
    [aux_sym_select_case_statement_token1] = ACTIONS(7211),
    [aux_sym_select_case_statement_token3] = ACTIONS(7211),
    [aux_sym_select_type_statement_token1] = ACTIONS(7211),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7211),
    [aux_sym_associate_statement_token1] = ACTIONS(7211),
    [aux_sym_format_statement_token1] = ACTIONS(7211),
    [aux_sym_print_statement_token1] = ACTIONS(7211),
    [aux_sym_open_statement_token1] = ACTIONS(7211),
    [aux_sym_close_statement_token1] = ACTIONS(7211),
    [aux_sym_inquire_statement_token1] = ACTIONS(7211),
    [aux_sym_file_position_statement_token1] = ACTIONS(7211),
    [aux_sym_file_position_statement_token2] = ACTIONS(7211),
    [aux_sym_file_position_statement_token3] = ACTIONS(7211),
    [aux_sym_file_position_statement_token4] = ACTIONS(7211),
    [aux_sym_allocate_statement_token1] = ACTIONS(7211),
    [aux_sym_entry_statement_token1] = ACTIONS(7211),
    [aux_sym_assign_statement_token1] = ACTIONS(7211),
    [aux_sym_logical_expression_token5] = ACTIONS(7215),
    [anon_sym_DOT] = ACTIONS(7211),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7215),
    [aux_sym_boolean_literal_token1] = ACTIONS(7215),
    [aux_sym_boolean_literal_token2] = ACTIONS(7215),
    [aux_sym_null_literal_token1] = ACTIONS(7211),
    [aux_sym_coarray_statement_token1] = ACTIONS(7211),
    [aux_sym_coarray_statement_token2] = ACTIONS(7211),
    [aux_sym_coarray_statement_token6] = ACTIONS(7211),
    [aux_sym_coarray_statement_token8] = ACTIONS(7211),
    [aux_sym_coarray_statement_token11] = ACTIONS(7211),
    [aux_sym_coarray_statement_token12] = ACTIONS(7211),
    [aux_sym_coarray_statement_token13] = ACTIONS(7211),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7211),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7211),
    [aux_sym_identifier_token1] = ACTIONS(7211),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7215),
    [sym__float_literal] = ACTIONS(7215),
    [sym__boz_literal] = ACTIONS(7215),
    [sym__string_literal] = ACTIONS(7215),
    [sym__string_literal_kind] = ACTIONS(7215),
  },
  [2654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_end_function_statement_token1] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token2] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7219),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token2] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_select_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7223),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token2] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_select_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token2] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token2] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7227),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7229),
    [aux_sym_preproc_def_token1] = ACTIONS(7229),
    [aux_sym_preproc_if_token1] = ACTIONS(7229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7229),
    [sym_preproc_directive] = ACTIONS(7229),
    [anon_sym_LPAREN2] = ACTIONS(7229),
    [sym_preproc_comment] = ACTIONS(7231),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7229),
    [anon_sym_SEMI] = ACTIONS(7233),
    [aux_sym_block_data_statement_token1] = ACTIONS(7229),
    [aux_sym_block_data_statement_token2] = ACTIONS(7229),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7229),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7229),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7229),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7229),
    [aux_sym_contains_statement_token1] = ACTIONS(7229),
    [aux_sym_use_statement_token2] = ACTIONS(7229),
    [aux_sym_implicit_statement_token3] = ACTIONS(7229),
    [aux_sym_implicit_statement_token4] = ACTIONS(7229),
    [aux_sym_save_statement_token1] = ACTIONS(7229),
    [aux_sym_private_statement_token1] = ACTIONS(7229),
    [aux_sym_public_statement_token1] = ACTIONS(7229),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7229),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7229),
    [aux_sym_variable_attributes_token2] = ACTIONS(7229),
    [aux_sym_variable_attributes_token3] = ACTIONS(7229),
    [aux_sym_variable_attributes_token5] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7229),
    [aux_sym_type_qualifier_token1] = ACTIONS(7229),
    [aux_sym_type_qualifier_token2] = ACTIONS(7229),
    [aux_sym_stop_statement_token1] = ACTIONS(7229),
    [aux_sym_stop_statement_token2] = ACTIONS(7229),
    [aux_sym_subroutine_call_token1] = ACTIONS(7229),
    [aux_sym_keyword_statement_token1] = ACTIONS(7229),
    [aux_sym_keyword_statement_token2] = ACTIONS(7229),
    [aux_sym_keyword_statement_token3] = ACTIONS(7229),
    [aux_sym_keyword_statement_token4] = ACTIONS(7229),
    [aux_sym_keyword_statement_token6] = ACTIONS(7229),
    [aux_sym_keyword_statement_token7] = ACTIONS(7229),
    [aux_sym_include_statement_token1] = ACTIONS(7229),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7229),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7229),
    [aux_sym_end_if_statement_token1] = ACTIONS(7229),
    [aux_sym_elseif_clause_token2] = ACTIONS(7229),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7229),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7229),
    [aux_sym_select_case_statement_token1] = ACTIONS(7229),
    [aux_sym_select_case_statement_token3] = ACTIONS(7229),
    [aux_sym_select_type_statement_token1] = ACTIONS(7229),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7229),
    [aux_sym_associate_statement_token1] = ACTIONS(7229),
    [aux_sym_format_statement_token1] = ACTIONS(7229),
    [aux_sym_print_statement_token1] = ACTIONS(7229),
    [aux_sym_open_statement_token1] = ACTIONS(7229),
    [aux_sym_close_statement_token1] = ACTIONS(7229),
    [aux_sym_inquire_statement_token1] = ACTIONS(7229),
    [aux_sym_file_position_statement_token1] = ACTIONS(7229),
    [aux_sym_file_position_statement_token2] = ACTIONS(7229),
    [aux_sym_file_position_statement_token3] = ACTIONS(7229),
    [aux_sym_file_position_statement_token4] = ACTIONS(7229),
    [aux_sym_allocate_statement_token1] = ACTIONS(7229),
    [aux_sym_entry_statement_token1] = ACTIONS(7229),
    [aux_sym_assign_statement_token1] = ACTIONS(7229),
    [aux_sym_logical_expression_token5] = ACTIONS(7233),
    [anon_sym_DOT] = ACTIONS(7229),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7233),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [aux_sym_boolean_literal_token1] = ACTIONS(7233),
    [aux_sym_boolean_literal_token2] = ACTIONS(7233),
    [aux_sym_null_literal_token1] = ACTIONS(7229),
    [aux_sym_coarray_statement_token1] = ACTIONS(7229),
    [aux_sym_coarray_statement_token2] = ACTIONS(7229),
    [aux_sym_coarray_statement_token6] = ACTIONS(7229),
    [aux_sym_coarray_statement_token8] = ACTIONS(7229),
    [aux_sym_coarray_statement_token11] = ACTIONS(7229),
    [aux_sym_coarray_statement_token12] = ACTIONS(7229),
    [aux_sym_coarray_statement_token13] = ACTIONS(7229),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7229),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7229),
    [aux_sym_identifier_token1] = ACTIONS(7229),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7233),
    [sym__float_literal] = ACTIONS(7233),
    [sym__boz_literal] = ACTIONS(7233),
    [sym__string_literal] = ACTIONS(7233),
    [sym__string_literal_kind] = ACTIONS(7233),
  },
  [2661] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [aux_sym_end_program_statement_token2] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2662] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7235),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token2] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_select_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2663] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [aux_sym_end_program_statement_token2] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2664] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7239),
    [aux_sym_preproc_def_token1] = ACTIONS(7239),
    [aux_sym_preproc_if_token1] = ACTIONS(7239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7239),
    [sym_preproc_directive] = ACTIONS(7239),
    [anon_sym_LPAREN2] = ACTIONS(7239),
    [sym_preproc_comment] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7243),
    [anon_sym_DASH] = ACTIONS(7243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7239),
    [anon_sym_SEMI] = ACTIONS(7243),
    [aux_sym_block_data_statement_token1] = ACTIONS(7239),
    [aux_sym_block_data_statement_token2] = ACTIONS(7239),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7239),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7239),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7239),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7239),
    [aux_sym_contains_statement_token1] = ACTIONS(7239),
    [aux_sym_use_statement_token2] = ACTIONS(7239),
    [aux_sym_implicit_statement_token3] = ACTIONS(7239),
    [aux_sym_implicit_statement_token4] = ACTIONS(7239),
    [aux_sym_save_statement_token1] = ACTIONS(7239),
    [aux_sym_private_statement_token1] = ACTIONS(7239),
    [aux_sym_public_statement_token1] = ACTIONS(7239),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7239),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7239),
    [aux_sym_variable_attributes_token2] = ACTIONS(7239),
    [aux_sym_variable_attributes_token3] = ACTIONS(7239),
    [aux_sym_variable_attributes_token5] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7239),
    [aux_sym_type_qualifier_token1] = ACTIONS(7239),
    [aux_sym_type_qualifier_token2] = ACTIONS(7239),
    [aux_sym_stop_statement_token1] = ACTIONS(7239),
    [aux_sym_stop_statement_token2] = ACTIONS(7239),
    [aux_sym_subroutine_call_token1] = ACTIONS(7239),
    [aux_sym_keyword_statement_token1] = ACTIONS(7239),
    [aux_sym_keyword_statement_token2] = ACTIONS(7239),
    [aux_sym_keyword_statement_token3] = ACTIONS(7239),
    [aux_sym_keyword_statement_token4] = ACTIONS(7239),
    [aux_sym_keyword_statement_token6] = ACTIONS(7239),
    [aux_sym_keyword_statement_token7] = ACTIONS(7239),
    [aux_sym_include_statement_token1] = ACTIONS(7239),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7239),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7239),
    [aux_sym_end_if_statement_token1] = ACTIONS(7239),
    [aux_sym_elseif_clause_token2] = ACTIONS(7239),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7239),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7239),
    [aux_sym_select_case_statement_token1] = ACTIONS(7239),
    [aux_sym_select_case_statement_token3] = ACTIONS(7239),
    [aux_sym_select_type_statement_token1] = ACTIONS(7239),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7239),
    [aux_sym_associate_statement_token1] = ACTIONS(7239),
    [aux_sym_format_statement_token1] = ACTIONS(7239),
    [aux_sym_print_statement_token1] = ACTIONS(7239),
    [aux_sym_open_statement_token1] = ACTIONS(7239),
    [aux_sym_close_statement_token1] = ACTIONS(7239),
    [aux_sym_inquire_statement_token1] = ACTIONS(7239),
    [aux_sym_file_position_statement_token1] = ACTIONS(7239),
    [aux_sym_file_position_statement_token2] = ACTIONS(7239),
    [aux_sym_file_position_statement_token3] = ACTIONS(7239),
    [aux_sym_file_position_statement_token4] = ACTIONS(7239),
    [aux_sym_allocate_statement_token1] = ACTIONS(7239),
    [aux_sym_entry_statement_token1] = ACTIONS(7239),
    [aux_sym_assign_statement_token1] = ACTIONS(7239),
    [aux_sym_logical_expression_token5] = ACTIONS(7243),
    [anon_sym_DOT] = ACTIONS(7239),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7243),
    [aux_sym_boolean_literal_token1] = ACTIONS(7243),
    [aux_sym_boolean_literal_token2] = ACTIONS(7243),
    [aux_sym_null_literal_token1] = ACTIONS(7239),
    [aux_sym_coarray_statement_token1] = ACTIONS(7239),
    [aux_sym_coarray_statement_token2] = ACTIONS(7239),
    [aux_sym_coarray_statement_token6] = ACTIONS(7239),
    [aux_sym_coarray_statement_token8] = ACTIONS(7239),
    [aux_sym_coarray_statement_token11] = ACTIONS(7239),
    [aux_sym_coarray_statement_token12] = ACTIONS(7239),
    [aux_sym_coarray_statement_token13] = ACTIONS(7239),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7239),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7239),
    [aux_sym_identifier_token1] = ACTIONS(7239),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7243),
    [sym__float_literal] = ACTIONS(7243),
    [sym__boz_literal] = ACTIONS(7243),
    [sym__string_literal] = ACTIONS(7243),
    [sym__string_literal_kind] = ACTIONS(7243),
  },
  [2665] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token2] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [aux_sym_end_program_statement_token2] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7247),
    [aux_sym_preproc_def_token1] = ACTIONS(7247),
    [aux_sym_preproc_if_token1] = ACTIONS(7247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7247),
    [sym_preproc_directive] = ACTIONS(7247),
    [anon_sym_LPAREN2] = ACTIONS(7247),
    [sym_preproc_comment] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7251),
    [anon_sym_DASH] = ACTIONS(7251),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7247),
    [anon_sym_SEMI] = ACTIONS(7251),
    [aux_sym_block_data_statement_token1] = ACTIONS(7247),
    [aux_sym_block_data_statement_token2] = ACTIONS(7247),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7247),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7247),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7247),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7247),
    [aux_sym_contains_statement_token1] = ACTIONS(7247),
    [aux_sym_use_statement_token2] = ACTIONS(7247),
    [aux_sym_implicit_statement_token3] = ACTIONS(7247),
    [aux_sym_implicit_statement_token4] = ACTIONS(7247),
    [aux_sym_save_statement_token1] = ACTIONS(7247),
    [aux_sym_private_statement_token1] = ACTIONS(7247),
    [aux_sym_public_statement_token1] = ACTIONS(7247),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7247),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7247),
    [aux_sym_variable_attributes_token2] = ACTIONS(7247),
    [aux_sym_variable_attributes_token3] = ACTIONS(7247),
    [aux_sym_variable_attributes_token5] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7247),
    [aux_sym_type_qualifier_token1] = ACTIONS(7247),
    [aux_sym_type_qualifier_token2] = ACTIONS(7247),
    [aux_sym_stop_statement_token1] = ACTIONS(7247),
    [aux_sym_stop_statement_token2] = ACTIONS(7247),
    [aux_sym_subroutine_call_token1] = ACTIONS(7247),
    [aux_sym_keyword_statement_token1] = ACTIONS(7247),
    [aux_sym_keyword_statement_token2] = ACTIONS(7247),
    [aux_sym_keyword_statement_token3] = ACTIONS(7247),
    [aux_sym_keyword_statement_token4] = ACTIONS(7247),
    [aux_sym_keyword_statement_token6] = ACTIONS(7247),
    [aux_sym_keyword_statement_token7] = ACTIONS(7247),
    [aux_sym_include_statement_token1] = ACTIONS(7247),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7247),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7247),
    [aux_sym_end_if_statement_token1] = ACTIONS(7247),
    [aux_sym_elseif_clause_token2] = ACTIONS(7247),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7247),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7247),
    [aux_sym_select_case_statement_token1] = ACTIONS(7247),
    [aux_sym_select_case_statement_token3] = ACTIONS(7247),
    [aux_sym_select_type_statement_token1] = ACTIONS(7247),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7247),
    [aux_sym_associate_statement_token1] = ACTIONS(7247),
    [aux_sym_format_statement_token1] = ACTIONS(7247),
    [aux_sym_print_statement_token1] = ACTIONS(7247),
    [aux_sym_open_statement_token1] = ACTIONS(7247),
    [aux_sym_close_statement_token1] = ACTIONS(7247),
    [aux_sym_inquire_statement_token1] = ACTIONS(7247),
    [aux_sym_file_position_statement_token1] = ACTIONS(7247),
    [aux_sym_file_position_statement_token2] = ACTIONS(7247),
    [aux_sym_file_position_statement_token3] = ACTIONS(7247),
    [aux_sym_file_position_statement_token4] = ACTIONS(7247),
    [aux_sym_allocate_statement_token1] = ACTIONS(7247),
    [aux_sym_entry_statement_token1] = ACTIONS(7247),
    [aux_sym_assign_statement_token1] = ACTIONS(7247),
    [aux_sym_logical_expression_token5] = ACTIONS(7251),
    [anon_sym_DOT] = ACTIONS(7247),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7251),
    [aux_sym_boolean_literal_token1] = ACTIONS(7251),
    [aux_sym_boolean_literal_token2] = ACTIONS(7251),
    [aux_sym_null_literal_token1] = ACTIONS(7247),
    [aux_sym_coarray_statement_token1] = ACTIONS(7247),
    [aux_sym_coarray_statement_token2] = ACTIONS(7247),
    [aux_sym_coarray_statement_token6] = ACTIONS(7247),
    [aux_sym_coarray_statement_token8] = ACTIONS(7247),
    [aux_sym_coarray_statement_token11] = ACTIONS(7247),
    [aux_sym_coarray_statement_token12] = ACTIONS(7247),
    [aux_sym_coarray_statement_token13] = ACTIONS(7247),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7247),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7247),
    [aux_sym_identifier_token1] = ACTIONS(7247),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7251),
    [sym__float_literal] = ACTIONS(7251),
    [sym__boz_literal] = ACTIONS(7251),
    [sym__string_literal] = ACTIONS(7251),
    [sym__string_literal_kind] = ACTIONS(7251),
  },
  [2668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token2] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [aux_sym_end_program_statement_token2] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2669] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7253),
    [aux_sym_preproc_def_token1] = ACTIONS(7253),
    [aux_sym_preproc_if_token1] = ACTIONS(7253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7253),
    [sym_preproc_directive] = ACTIONS(7253),
    [anon_sym_LPAREN2] = ACTIONS(7253),
    [sym_preproc_comment] = ACTIONS(7255),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7253),
    [anon_sym_SEMI] = ACTIONS(7257),
    [aux_sym_block_data_statement_token1] = ACTIONS(7253),
    [aux_sym_block_data_statement_token2] = ACTIONS(7253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7253),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7253),
    [aux_sym_contains_statement_token1] = ACTIONS(7253),
    [aux_sym_use_statement_token2] = ACTIONS(7253),
    [aux_sym_implicit_statement_token3] = ACTIONS(7253),
    [aux_sym_implicit_statement_token4] = ACTIONS(7253),
    [aux_sym_save_statement_token1] = ACTIONS(7253),
    [aux_sym_private_statement_token1] = ACTIONS(7253),
    [aux_sym_public_statement_token1] = ACTIONS(7253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7253),
    [aux_sym_variable_attributes_token2] = ACTIONS(7253),
    [aux_sym_variable_attributes_token3] = ACTIONS(7253),
    [aux_sym_variable_attributes_token5] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7253),
    [aux_sym_type_qualifier_token1] = ACTIONS(7253),
    [aux_sym_type_qualifier_token2] = ACTIONS(7253),
    [aux_sym_stop_statement_token1] = ACTIONS(7253),
    [aux_sym_stop_statement_token2] = ACTIONS(7253),
    [aux_sym_subroutine_call_token1] = ACTIONS(7253),
    [aux_sym_keyword_statement_token1] = ACTIONS(7253),
    [aux_sym_keyword_statement_token2] = ACTIONS(7253),
    [aux_sym_keyword_statement_token3] = ACTIONS(7253),
    [aux_sym_keyword_statement_token4] = ACTIONS(7253),
    [aux_sym_keyword_statement_token6] = ACTIONS(7253),
    [aux_sym_keyword_statement_token7] = ACTIONS(7253),
    [aux_sym_include_statement_token1] = ACTIONS(7253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7253),
    [aux_sym_end_if_statement_token1] = ACTIONS(7253),
    [aux_sym_elseif_clause_token2] = ACTIONS(7253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7253),
    [aux_sym_select_case_statement_token1] = ACTIONS(7253),
    [aux_sym_select_case_statement_token3] = ACTIONS(7253),
    [aux_sym_select_type_statement_token1] = ACTIONS(7253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7253),
    [aux_sym_associate_statement_token1] = ACTIONS(7253),
    [aux_sym_format_statement_token1] = ACTIONS(7253),
    [aux_sym_print_statement_token1] = ACTIONS(7253),
    [aux_sym_open_statement_token1] = ACTIONS(7253),
    [aux_sym_close_statement_token1] = ACTIONS(7253),
    [aux_sym_inquire_statement_token1] = ACTIONS(7253),
    [aux_sym_file_position_statement_token1] = ACTIONS(7253),
    [aux_sym_file_position_statement_token2] = ACTIONS(7253),
    [aux_sym_file_position_statement_token3] = ACTIONS(7253),
    [aux_sym_file_position_statement_token4] = ACTIONS(7253),
    [aux_sym_allocate_statement_token1] = ACTIONS(7253),
    [aux_sym_entry_statement_token1] = ACTIONS(7253),
    [aux_sym_assign_statement_token1] = ACTIONS(7253),
    [aux_sym_logical_expression_token5] = ACTIONS(7257),
    [anon_sym_DOT] = ACTIONS(7253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [aux_sym_boolean_literal_token1] = ACTIONS(7257),
    [aux_sym_boolean_literal_token2] = ACTIONS(7257),
    [aux_sym_null_literal_token1] = ACTIONS(7253),
    [aux_sym_coarray_statement_token1] = ACTIONS(7253),
    [aux_sym_coarray_statement_token2] = ACTIONS(7253),
    [aux_sym_coarray_statement_token6] = ACTIONS(7253),
    [aux_sym_coarray_statement_token8] = ACTIONS(7253),
    [aux_sym_coarray_statement_token11] = ACTIONS(7253),
    [aux_sym_coarray_statement_token12] = ACTIONS(7253),
    [aux_sym_coarray_statement_token13] = ACTIONS(7253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7253),
    [aux_sym_identifier_token1] = ACTIONS(7253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7257),
    [sym__float_literal] = ACTIONS(7257),
    [sym__boz_literal] = ACTIONS(7257),
    [sym__string_literal] = ACTIONS(7257),
    [sym__string_literal_kind] = ACTIONS(7257),
  },
  [2670] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token2] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7259),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2671] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [aux_sym_end_program_statement_token2] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2672] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [aux_sym_end_program_statement_token2] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token2] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7263),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7265),
    [aux_sym_preproc_def_token1] = ACTIONS(7265),
    [aux_sym_preproc_if_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7265),
    [sym_preproc_directive] = ACTIONS(7265),
    [anon_sym_LPAREN2] = ACTIONS(7265),
    [sym_preproc_comment] = ACTIONS(7267),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7265),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(7265),
    [aux_sym_block_data_statement_token2] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7265),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7265),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7265),
    [aux_sym_contains_statement_token1] = ACTIONS(7265),
    [aux_sym_use_statement_token2] = ACTIONS(7265),
    [aux_sym_implicit_statement_token3] = ACTIONS(7265),
    [aux_sym_implicit_statement_token4] = ACTIONS(7265),
    [aux_sym_save_statement_token1] = ACTIONS(7265),
    [aux_sym_private_statement_token1] = ACTIONS(7265),
    [aux_sym_public_statement_token1] = ACTIONS(7265),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7265),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7265),
    [aux_sym_variable_attributes_token2] = ACTIONS(7265),
    [aux_sym_variable_attributes_token3] = ACTIONS(7265),
    [aux_sym_variable_attributes_token5] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7265),
    [aux_sym_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym_stop_statement_token1] = ACTIONS(7265),
    [aux_sym_stop_statement_token2] = ACTIONS(7265),
    [aux_sym_subroutine_call_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token2] = ACTIONS(7265),
    [aux_sym_keyword_statement_token3] = ACTIONS(7265),
    [aux_sym_keyword_statement_token4] = ACTIONS(7265),
    [aux_sym_keyword_statement_token6] = ACTIONS(7265),
    [aux_sym_keyword_statement_token7] = ACTIONS(7265),
    [aux_sym_include_statement_token1] = ACTIONS(7265),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7265),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7265),
    [aux_sym_end_if_statement_token1] = ACTIONS(7265),
    [aux_sym_elseif_clause_token2] = ACTIONS(7265),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7265),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token3] = ACTIONS(7265),
    [aux_sym_select_type_statement_token1] = ACTIONS(7265),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7265),
    [aux_sym_associate_statement_token1] = ACTIONS(7265),
    [aux_sym_format_statement_token1] = ACTIONS(7265),
    [aux_sym_print_statement_token1] = ACTIONS(7265),
    [aux_sym_open_statement_token1] = ACTIONS(7265),
    [aux_sym_close_statement_token1] = ACTIONS(7265),
    [aux_sym_inquire_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token2] = ACTIONS(7265),
    [aux_sym_file_position_statement_token3] = ACTIONS(7265),
    [aux_sym_file_position_statement_token4] = ACTIONS(7265),
    [aux_sym_allocate_statement_token1] = ACTIONS(7265),
    [aux_sym_entry_statement_token1] = ACTIONS(7265),
    [aux_sym_assign_statement_token1] = ACTIONS(7265),
    [aux_sym_logical_expression_token5] = ACTIONS(7269),
    [anon_sym_DOT] = ACTIONS(7265),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [aux_sym_boolean_literal_token1] = ACTIONS(7269),
    [aux_sym_boolean_literal_token2] = ACTIONS(7269),
    [aux_sym_null_literal_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token2] = ACTIONS(7265),
    [aux_sym_coarray_statement_token6] = ACTIONS(7265),
    [aux_sym_coarray_statement_token8] = ACTIONS(7265),
    [aux_sym_coarray_statement_token11] = ACTIONS(7265),
    [aux_sym_coarray_statement_token12] = ACTIONS(7265),
    [aux_sym_coarray_statement_token13] = ACTIONS(7265),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7265),
    [aux_sym_identifier_token1] = ACTIONS(7265),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7269),
    [sym__float_literal] = ACTIONS(7269),
    [sym__boz_literal] = ACTIONS(7269),
    [sym__string_literal] = ACTIONS(7269),
    [sym__string_literal_kind] = ACTIONS(7269),
  },
  [2675] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [aux_sym_end_program_statement_token2] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2676] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7271),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token2] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_end_select_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2677] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token2] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [aux_sym_end_program_statement_token2] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2678] = {
    [sym_data_set] = STATE(2678),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5456),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5456),
    [sym_implied_do_loop_expression] = STATE(5456),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5456),
    [aux_sym_data_statement_repeat1] = STATE(2678),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_LPAREN2] = ACTIONS(7276),
    [anon_sym_PLUS] = ACTIONS(7279),
    [anon_sym_DASH] = ACTIONS(7279),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7282),
    [anon_sym_SEMI] = ACTIONS(7285),
    [aux_sym_block_data_statement_token1] = ACTIONS(7287),
    [aux_sym_block_data_statement_token2] = ACTIONS(7287),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7287),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7287),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7287),
    [aux_sym_use_statement_token2] = ACTIONS(7287),
    [aux_sym_implicit_statement_token3] = ACTIONS(7290),
    [aux_sym_implicit_statement_token4] = ACTIONS(7287),
    [aux_sym_save_statement_token1] = ACTIONS(7287),
    [aux_sym_private_statement_token1] = ACTIONS(7287),
    [aux_sym_public_statement_token1] = ACTIONS(7287),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7287),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7287),
    [aux_sym_variable_attributes_token2] = ACTIONS(7287),
    [aux_sym_variable_attributes_token3] = ACTIONS(7287),
    [aux_sym_variable_attributes_token5] = ACTIONS(7287),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7287),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7287),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7290),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7290),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7287),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7287),
    [aux_sym_type_qualifier_token1] = ACTIONS(7287),
    [aux_sym_type_qualifier_token2] = ACTIONS(7287),
    [aux_sym_stop_statement_token1] = ACTIONS(7287),
    [aux_sym_stop_statement_token2] = ACTIONS(7287),
    [aux_sym_subroutine_call_token1] = ACTIONS(7290),
    [aux_sym_keyword_statement_token2] = ACTIONS(7287),
    [aux_sym_keyword_statement_token3] = ACTIONS(7287),
    [aux_sym_keyword_statement_token4] = ACTIONS(7296),
    [aux_sym_include_statement_token1] = ACTIONS(7290),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7287),
    [aux_sym_end_if_statement_token1] = ACTIONS(7287),
    [aux_sym_elseif_clause_token2] = ACTIONS(7287),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7290),
    [aux_sym_select_case_statement_token1] = ACTIONS(7299),
    [aux_sym_format_statement_token1] = ACTIONS(7287),
    [aux_sym_print_statement_token1] = ACTIONS(7290),
    [aux_sym_open_statement_token1] = ACTIONS(7290),
    [aux_sym_inquire_statement_token1] = ACTIONS(7287),
    [aux_sym_entry_statement_token1] = ACTIONS(7287),
    [aux_sym_logical_expression_token5] = ACTIONS(7302),
    [anon_sym_DOT] = ACTIONS(7305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7308),
    [anon_sym_LBRACK] = ACTIONS(7311),
    [aux_sym_boolean_literal_token1] = ACTIONS(7314),
    [aux_sym_boolean_literal_token2] = ACTIONS(7314),
    [aux_sym_null_literal_token1] = ACTIONS(7317),
    [aux_sym_coarray_statement_token1] = ACTIONS(7287),
    [aux_sym_coarray_statement_token2] = ACTIONS(7287),
    [aux_sym_coarray_statement_token6] = ACTIONS(7287),
    [aux_sym_coarray_statement_token8] = ACTIONS(7287),
    [aux_sym_coarray_statement_token11] = ACTIONS(7287),
    [aux_sym_coarray_statement_token12] = ACTIONS(7287),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7287),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7287),
    [aux_sym_identifier_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7320),
    [sym__float_literal] = ACTIONS(7320),
    [sym__boz_literal] = ACTIONS(7320),
    [sym__string_literal] = ACTIONS(7323),
    [sym__string_literal_kind] = ACTIONS(7326),
    [sym__external_end_of_statement] = ACTIONS(7285),
  },
  [2679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2680] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token2] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [aux_sym_end_program_statement_token2] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7331),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2682] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [aux_sym_end_program_statement_token2] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2683] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2684] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [aux_sym_end_program_statement_token2] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2685] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7335),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token2] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_end_select_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7337),
    [aux_sym_preproc_def_token1] = ACTIONS(7337),
    [aux_sym_preproc_if_token1] = ACTIONS(7337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7337),
    [sym_preproc_directive] = ACTIONS(7337),
    [anon_sym_LPAREN2] = ACTIONS(7337),
    [sym_preproc_comment] = ACTIONS(7339),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7337),
    [anon_sym_SEMI] = ACTIONS(7341),
    [aux_sym_block_data_statement_token1] = ACTIONS(7337),
    [aux_sym_block_data_statement_token2] = ACTIONS(7337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7337),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7337),
    [aux_sym_contains_statement_token1] = ACTIONS(7337),
    [aux_sym_use_statement_token2] = ACTIONS(7337),
    [aux_sym_implicit_statement_token3] = ACTIONS(7337),
    [aux_sym_implicit_statement_token4] = ACTIONS(7337),
    [aux_sym_save_statement_token1] = ACTIONS(7337),
    [aux_sym_private_statement_token1] = ACTIONS(7337),
    [aux_sym_public_statement_token1] = ACTIONS(7337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7337),
    [aux_sym_variable_attributes_token2] = ACTIONS(7337),
    [aux_sym_variable_attributes_token3] = ACTIONS(7337),
    [aux_sym_variable_attributes_token5] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7337),
    [aux_sym_type_qualifier_token1] = ACTIONS(7337),
    [aux_sym_type_qualifier_token2] = ACTIONS(7337),
    [aux_sym_stop_statement_token1] = ACTIONS(7337),
    [aux_sym_stop_statement_token2] = ACTIONS(7337),
    [aux_sym_subroutine_call_token1] = ACTIONS(7337),
    [aux_sym_keyword_statement_token1] = ACTIONS(7337),
    [aux_sym_keyword_statement_token2] = ACTIONS(7337),
    [aux_sym_keyword_statement_token3] = ACTIONS(7337),
    [aux_sym_keyword_statement_token4] = ACTIONS(7337),
    [aux_sym_keyword_statement_token6] = ACTIONS(7337),
    [aux_sym_keyword_statement_token7] = ACTIONS(7337),
    [aux_sym_include_statement_token1] = ACTIONS(7337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7337),
    [aux_sym_end_if_statement_token1] = ACTIONS(7337),
    [aux_sym_elseif_clause_token2] = ACTIONS(7337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7337),
    [aux_sym_select_case_statement_token1] = ACTIONS(7337),
    [aux_sym_select_case_statement_token3] = ACTIONS(7337),
    [aux_sym_select_type_statement_token1] = ACTIONS(7337),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7337),
    [aux_sym_associate_statement_token1] = ACTIONS(7337),
    [aux_sym_format_statement_token1] = ACTIONS(7337),
    [aux_sym_print_statement_token1] = ACTIONS(7337),
    [aux_sym_open_statement_token1] = ACTIONS(7337),
    [aux_sym_close_statement_token1] = ACTIONS(7337),
    [aux_sym_inquire_statement_token1] = ACTIONS(7337),
    [aux_sym_file_position_statement_token1] = ACTIONS(7337),
    [aux_sym_file_position_statement_token2] = ACTIONS(7337),
    [aux_sym_file_position_statement_token3] = ACTIONS(7337),
    [aux_sym_file_position_statement_token4] = ACTIONS(7337),
    [aux_sym_allocate_statement_token1] = ACTIONS(7337),
    [aux_sym_entry_statement_token1] = ACTIONS(7337),
    [aux_sym_assign_statement_token1] = ACTIONS(7337),
    [aux_sym_logical_expression_token5] = ACTIONS(7341),
    [anon_sym_DOT] = ACTIONS(7337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [aux_sym_boolean_literal_token1] = ACTIONS(7341),
    [aux_sym_boolean_literal_token2] = ACTIONS(7341),
    [aux_sym_null_literal_token1] = ACTIONS(7337),
    [aux_sym_coarray_statement_token1] = ACTIONS(7337),
    [aux_sym_coarray_statement_token2] = ACTIONS(7337),
    [aux_sym_coarray_statement_token6] = ACTIONS(7337),
    [aux_sym_coarray_statement_token8] = ACTIONS(7337),
    [aux_sym_coarray_statement_token11] = ACTIONS(7337),
    [aux_sym_coarray_statement_token12] = ACTIONS(7337),
    [aux_sym_coarray_statement_token13] = ACTIONS(7337),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7337),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7337),
    [aux_sym_identifier_token1] = ACTIONS(7337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7341),
    [sym__float_literal] = ACTIONS(7341),
    [sym__boz_literal] = ACTIONS(7341),
    [sym__string_literal] = ACTIONS(7341),
    [sym__string_literal_kind] = ACTIONS(7341),
  },
  [2687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token2] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [aux_sym_end_program_statement_token2] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7343),
    [aux_sym_preproc_def_token1] = ACTIONS(7343),
    [aux_sym_preproc_if_token1] = ACTIONS(7343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7343),
    [sym_preproc_directive] = ACTIONS(7343),
    [anon_sym_LPAREN2] = ACTIONS(7343),
    [sym_preproc_comment] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7347),
    [anon_sym_DASH] = ACTIONS(7347),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7343),
    [anon_sym_SEMI] = ACTIONS(7347),
    [aux_sym_block_data_statement_token1] = ACTIONS(7343),
    [aux_sym_block_data_statement_token2] = ACTIONS(7343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7343),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7343),
    [aux_sym_contains_statement_token1] = ACTIONS(7343),
    [aux_sym_use_statement_token2] = ACTIONS(7343),
    [aux_sym_implicit_statement_token3] = ACTIONS(7343),
    [aux_sym_implicit_statement_token4] = ACTIONS(7343),
    [aux_sym_save_statement_token1] = ACTIONS(7343),
    [aux_sym_private_statement_token1] = ACTIONS(7343),
    [aux_sym_public_statement_token1] = ACTIONS(7343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7343),
    [aux_sym_variable_attributes_token2] = ACTIONS(7343),
    [aux_sym_variable_attributes_token3] = ACTIONS(7343),
    [aux_sym_variable_attributes_token5] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7343),
    [aux_sym_type_qualifier_token1] = ACTIONS(7343),
    [aux_sym_type_qualifier_token2] = ACTIONS(7343),
    [aux_sym_stop_statement_token1] = ACTIONS(7343),
    [aux_sym_stop_statement_token2] = ACTIONS(7343),
    [aux_sym_subroutine_call_token1] = ACTIONS(7343),
    [aux_sym_keyword_statement_token1] = ACTIONS(7343),
    [aux_sym_keyword_statement_token2] = ACTIONS(7343),
    [aux_sym_keyword_statement_token3] = ACTIONS(7343),
    [aux_sym_keyword_statement_token4] = ACTIONS(7343),
    [aux_sym_keyword_statement_token6] = ACTIONS(7343),
    [aux_sym_keyword_statement_token7] = ACTIONS(7343),
    [aux_sym_include_statement_token1] = ACTIONS(7343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7343),
    [aux_sym_end_if_statement_token1] = ACTIONS(7343),
    [aux_sym_elseif_clause_token2] = ACTIONS(7343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7343),
    [aux_sym_select_case_statement_token1] = ACTIONS(7343),
    [aux_sym_select_case_statement_token3] = ACTIONS(7343),
    [aux_sym_select_type_statement_token1] = ACTIONS(7343),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7343),
    [aux_sym_associate_statement_token1] = ACTIONS(7343),
    [aux_sym_format_statement_token1] = ACTIONS(7343),
    [aux_sym_print_statement_token1] = ACTIONS(7343),
    [aux_sym_open_statement_token1] = ACTIONS(7343),
    [aux_sym_close_statement_token1] = ACTIONS(7343),
    [aux_sym_inquire_statement_token1] = ACTIONS(7343),
    [aux_sym_file_position_statement_token1] = ACTIONS(7343),
    [aux_sym_file_position_statement_token2] = ACTIONS(7343),
    [aux_sym_file_position_statement_token3] = ACTIONS(7343),
    [aux_sym_file_position_statement_token4] = ACTIONS(7343),
    [aux_sym_allocate_statement_token1] = ACTIONS(7343),
    [aux_sym_entry_statement_token1] = ACTIONS(7343),
    [aux_sym_assign_statement_token1] = ACTIONS(7343),
    [aux_sym_logical_expression_token5] = ACTIONS(7347),
    [anon_sym_DOT] = ACTIONS(7343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7347),
    [aux_sym_boolean_literal_token1] = ACTIONS(7347),
    [aux_sym_boolean_literal_token2] = ACTIONS(7347),
    [aux_sym_null_literal_token1] = ACTIONS(7343),
    [aux_sym_coarray_statement_token1] = ACTIONS(7343),
    [aux_sym_coarray_statement_token2] = ACTIONS(7343),
    [aux_sym_coarray_statement_token6] = ACTIONS(7343),
    [aux_sym_coarray_statement_token8] = ACTIONS(7343),
    [aux_sym_coarray_statement_token11] = ACTIONS(7343),
    [aux_sym_coarray_statement_token12] = ACTIONS(7343),
    [aux_sym_coarray_statement_token13] = ACTIONS(7343),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7343),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7343),
    [aux_sym_identifier_token1] = ACTIONS(7343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7347),
    [sym__float_literal] = ACTIONS(7347),
    [sym__boz_literal] = ACTIONS(7347),
    [sym__string_literal] = ACTIONS(7347),
    [sym__string_literal_kind] = ACTIONS(7347),
  },
  [2689] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7349),
    [aux_sym_preproc_def_token1] = ACTIONS(7349),
    [aux_sym_preproc_if_token1] = ACTIONS(7349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7349),
    [sym_preproc_directive] = ACTIONS(7349),
    [anon_sym_LPAREN2] = ACTIONS(7349),
    [sym_preproc_comment] = ACTIONS(7351),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7349),
    [anon_sym_SEMI] = ACTIONS(7353),
    [aux_sym_block_data_statement_token1] = ACTIONS(7349),
    [aux_sym_block_data_statement_token2] = ACTIONS(7349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7349),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7349),
    [aux_sym_contains_statement_token1] = ACTIONS(7349),
    [aux_sym_use_statement_token2] = ACTIONS(7349),
    [aux_sym_implicit_statement_token3] = ACTIONS(7349),
    [aux_sym_implicit_statement_token4] = ACTIONS(7349),
    [aux_sym_save_statement_token1] = ACTIONS(7349),
    [aux_sym_private_statement_token1] = ACTIONS(7349),
    [aux_sym_public_statement_token1] = ACTIONS(7349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7349),
    [aux_sym_variable_attributes_token2] = ACTIONS(7349),
    [aux_sym_variable_attributes_token3] = ACTIONS(7349),
    [aux_sym_variable_attributes_token5] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7349),
    [aux_sym_type_qualifier_token1] = ACTIONS(7349),
    [aux_sym_type_qualifier_token2] = ACTIONS(7349),
    [aux_sym_stop_statement_token1] = ACTIONS(7349),
    [aux_sym_stop_statement_token2] = ACTIONS(7349),
    [aux_sym_subroutine_call_token1] = ACTIONS(7349),
    [aux_sym_keyword_statement_token1] = ACTIONS(7349),
    [aux_sym_keyword_statement_token2] = ACTIONS(7349),
    [aux_sym_keyword_statement_token3] = ACTIONS(7349),
    [aux_sym_keyword_statement_token4] = ACTIONS(7349),
    [aux_sym_keyword_statement_token6] = ACTIONS(7349),
    [aux_sym_keyword_statement_token7] = ACTIONS(7349),
    [aux_sym_include_statement_token1] = ACTIONS(7349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7349),
    [aux_sym_end_if_statement_token1] = ACTIONS(7349),
    [aux_sym_elseif_clause_token2] = ACTIONS(7349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7349),
    [aux_sym_select_case_statement_token1] = ACTIONS(7349),
    [aux_sym_select_case_statement_token3] = ACTIONS(7349),
    [aux_sym_select_type_statement_token1] = ACTIONS(7349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7349),
    [aux_sym_associate_statement_token1] = ACTIONS(7349),
    [aux_sym_format_statement_token1] = ACTIONS(7349),
    [aux_sym_print_statement_token1] = ACTIONS(7349),
    [aux_sym_open_statement_token1] = ACTIONS(7349),
    [aux_sym_close_statement_token1] = ACTIONS(7349),
    [aux_sym_inquire_statement_token1] = ACTIONS(7349),
    [aux_sym_file_position_statement_token1] = ACTIONS(7349),
    [aux_sym_file_position_statement_token2] = ACTIONS(7349),
    [aux_sym_file_position_statement_token3] = ACTIONS(7349),
    [aux_sym_file_position_statement_token4] = ACTIONS(7349),
    [aux_sym_allocate_statement_token1] = ACTIONS(7349),
    [aux_sym_entry_statement_token1] = ACTIONS(7349),
    [aux_sym_assign_statement_token1] = ACTIONS(7349),
    [aux_sym_logical_expression_token5] = ACTIONS(7353),
    [anon_sym_DOT] = ACTIONS(7349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7353),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [aux_sym_boolean_literal_token1] = ACTIONS(7353),
    [aux_sym_boolean_literal_token2] = ACTIONS(7353),
    [aux_sym_null_literal_token1] = ACTIONS(7349),
    [aux_sym_coarray_statement_token1] = ACTIONS(7349),
    [aux_sym_coarray_statement_token2] = ACTIONS(7349),
    [aux_sym_coarray_statement_token6] = ACTIONS(7349),
    [aux_sym_coarray_statement_token8] = ACTIONS(7349),
    [aux_sym_coarray_statement_token11] = ACTIONS(7349),
    [aux_sym_coarray_statement_token12] = ACTIONS(7349),
    [aux_sym_coarray_statement_token13] = ACTIONS(7349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7349),
    [aux_sym_identifier_token1] = ACTIONS(7349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7353),
    [sym__float_literal] = ACTIONS(7353),
    [sym__boz_literal] = ACTIONS(7353),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7353),
  },
  [2690] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7355),
    [aux_sym_preproc_def_token1] = ACTIONS(7355),
    [aux_sym_preproc_if_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7355),
    [sym_preproc_directive] = ACTIONS(7355),
    [anon_sym_LPAREN2] = ACTIONS(7355),
    [sym_preproc_comment] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7355),
    [anon_sym_SEMI] = ACTIONS(7359),
    [aux_sym_block_data_statement_token1] = ACTIONS(7355),
    [aux_sym_block_data_statement_token2] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7355),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7355),
    [aux_sym_contains_statement_token1] = ACTIONS(7355),
    [aux_sym_use_statement_token2] = ACTIONS(7355),
    [aux_sym_implicit_statement_token3] = ACTIONS(7355),
    [aux_sym_implicit_statement_token4] = ACTIONS(7355),
    [aux_sym_save_statement_token1] = ACTIONS(7355),
    [aux_sym_private_statement_token1] = ACTIONS(7355),
    [aux_sym_public_statement_token1] = ACTIONS(7355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7355),
    [aux_sym_variable_attributes_token2] = ACTIONS(7355),
    [aux_sym_variable_attributes_token3] = ACTIONS(7355),
    [aux_sym_variable_attributes_token5] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7355),
    [aux_sym_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym_stop_statement_token1] = ACTIONS(7355),
    [aux_sym_stop_statement_token2] = ACTIONS(7355),
    [aux_sym_subroutine_call_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token2] = ACTIONS(7355),
    [aux_sym_keyword_statement_token3] = ACTIONS(7355),
    [aux_sym_keyword_statement_token4] = ACTIONS(7355),
    [aux_sym_keyword_statement_token6] = ACTIONS(7355),
    [aux_sym_keyword_statement_token7] = ACTIONS(7355),
    [aux_sym_include_statement_token1] = ACTIONS(7355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7355),
    [aux_sym_end_if_statement_token1] = ACTIONS(7355),
    [aux_sym_elseif_clause_token2] = ACTIONS(7355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token3] = ACTIONS(7355),
    [aux_sym_select_type_statement_token1] = ACTIONS(7355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7355),
    [aux_sym_associate_statement_token1] = ACTIONS(7355),
    [aux_sym_format_statement_token1] = ACTIONS(7355),
    [aux_sym_print_statement_token1] = ACTIONS(7355),
    [aux_sym_open_statement_token1] = ACTIONS(7355),
    [aux_sym_close_statement_token1] = ACTIONS(7355),
    [aux_sym_inquire_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token2] = ACTIONS(7355),
    [aux_sym_file_position_statement_token3] = ACTIONS(7355),
    [aux_sym_file_position_statement_token4] = ACTIONS(7355),
    [aux_sym_allocate_statement_token1] = ACTIONS(7355),
    [aux_sym_entry_statement_token1] = ACTIONS(7355),
    [aux_sym_assign_statement_token1] = ACTIONS(7355),
    [aux_sym_logical_expression_token5] = ACTIONS(7359),
    [anon_sym_DOT] = ACTIONS(7355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [aux_sym_boolean_literal_token1] = ACTIONS(7359),
    [aux_sym_boolean_literal_token2] = ACTIONS(7359),
    [aux_sym_null_literal_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token2] = ACTIONS(7355),
    [aux_sym_coarray_statement_token6] = ACTIONS(7355),
    [aux_sym_coarray_statement_token8] = ACTIONS(7355),
    [aux_sym_coarray_statement_token11] = ACTIONS(7355),
    [aux_sym_coarray_statement_token12] = ACTIONS(7355),
    [aux_sym_coarray_statement_token13] = ACTIONS(7355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7355),
    [aux_sym_identifier_token1] = ACTIONS(7355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7359),
    [sym__float_literal] = ACTIONS(7359),
    [sym__boz_literal] = ACTIONS(7359),
    [sym__string_literal] = ACTIONS(7359),
    [sym__string_literal_kind] = ACTIONS(7359),
  },
  [2691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7361),
    [aux_sym_preproc_def_token1] = ACTIONS(7361),
    [aux_sym_preproc_if_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7361),
    [sym_preproc_directive] = ACTIONS(7361),
    [anon_sym_LPAREN2] = ACTIONS(7361),
    [sym_preproc_comment] = ACTIONS(7363),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7361),
    [anon_sym_SEMI] = ACTIONS(7365),
    [aux_sym_block_data_statement_token1] = ACTIONS(7361),
    [aux_sym_block_data_statement_token2] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7361),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7361),
    [aux_sym_contains_statement_token1] = ACTIONS(7361),
    [aux_sym_use_statement_token2] = ACTIONS(7361),
    [aux_sym_implicit_statement_token3] = ACTIONS(7361),
    [aux_sym_implicit_statement_token4] = ACTIONS(7361),
    [aux_sym_save_statement_token1] = ACTIONS(7361),
    [aux_sym_private_statement_token1] = ACTIONS(7361),
    [aux_sym_public_statement_token1] = ACTIONS(7361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7361),
    [aux_sym_variable_attributes_token2] = ACTIONS(7361),
    [aux_sym_variable_attributes_token3] = ACTIONS(7361),
    [aux_sym_variable_attributes_token5] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7361),
    [aux_sym_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym_stop_statement_token1] = ACTIONS(7361),
    [aux_sym_stop_statement_token2] = ACTIONS(7361),
    [aux_sym_subroutine_call_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token2] = ACTIONS(7361),
    [aux_sym_keyword_statement_token3] = ACTIONS(7361),
    [aux_sym_keyword_statement_token4] = ACTIONS(7361),
    [aux_sym_keyword_statement_token6] = ACTIONS(7361),
    [aux_sym_keyword_statement_token7] = ACTIONS(7361),
    [aux_sym_include_statement_token1] = ACTIONS(7361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7361),
    [aux_sym_end_if_statement_token1] = ACTIONS(7361),
    [aux_sym_elseif_clause_token2] = ACTIONS(7361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token3] = ACTIONS(7361),
    [aux_sym_select_type_statement_token1] = ACTIONS(7361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7361),
    [aux_sym_associate_statement_token1] = ACTIONS(7361),
    [aux_sym_format_statement_token1] = ACTIONS(7361),
    [aux_sym_print_statement_token1] = ACTIONS(7361),
    [aux_sym_open_statement_token1] = ACTIONS(7361),
    [aux_sym_close_statement_token1] = ACTIONS(7361),
    [aux_sym_inquire_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token2] = ACTIONS(7361),
    [aux_sym_file_position_statement_token3] = ACTIONS(7361),
    [aux_sym_file_position_statement_token4] = ACTIONS(7361),
    [aux_sym_allocate_statement_token1] = ACTIONS(7361),
    [aux_sym_entry_statement_token1] = ACTIONS(7361),
    [aux_sym_assign_statement_token1] = ACTIONS(7361),
    [aux_sym_logical_expression_token5] = ACTIONS(7365),
    [anon_sym_DOT] = ACTIONS(7361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [aux_sym_boolean_literal_token1] = ACTIONS(7365),
    [aux_sym_boolean_literal_token2] = ACTIONS(7365),
    [aux_sym_null_literal_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token2] = ACTIONS(7361),
    [aux_sym_coarray_statement_token6] = ACTIONS(7361),
    [aux_sym_coarray_statement_token8] = ACTIONS(7361),
    [aux_sym_coarray_statement_token11] = ACTIONS(7361),
    [aux_sym_coarray_statement_token12] = ACTIONS(7361),
    [aux_sym_coarray_statement_token13] = ACTIONS(7361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7361),
    [aux_sym_identifier_token1] = ACTIONS(7361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7365),
    [sym__float_literal] = ACTIONS(7365),
    [sym__boz_literal] = ACTIONS(7365),
    [sym__string_literal] = ACTIONS(7365),
    [sym__string_literal_kind] = ACTIONS(7365),
  },
  [2692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token2] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [aux_sym_end_program_statement_token2] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7367),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [aux_sym_end_program_statement_token2] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2694] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [aux_sym_end_program_statement_token2] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2695] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym_end_where_statement_token1] = ACTIONS(5252),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2696] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token2] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [aux_sym_end_program_statement_token2] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_contains_statement_token1] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2698] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token2] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [aux_sym_end_program_statement_token2] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2699] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token2] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [aux_sym_end_program_statement_token2] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_contains_statement_token1] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym_end_where_statement_token1] = ACTIONS(5264),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7371),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [aux_sym_end_program_statement_token2] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym_end_where_statement_token1] = ACTIONS(5268),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2703] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym_end_where_statement_token1] = ACTIONS(5272),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2704] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [aux_sym_end_program_statement_token2] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2705] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym_end_where_statement_token1] = ACTIONS(5280),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2706] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7239),
    [aux_sym_preproc_def_token1] = ACTIONS(7239),
    [aux_sym_preproc_if_token1] = ACTIONS(7239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7239),
    [sym_preproc_directive] = ACTIONS(7239),
    [anon_sym_LPAREN2] = ACTIONS(7239),
    [sym_preproc_comment] = ACTIONS(7375),
    [anon_sym_PLUS] = ACTIONS(7243),
    [anon_sym_DASH] = ACTIONS(7243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7239),
    [anon_sym_SEMI] = ACTIONS(7243),
    [aux_sym_block_data_statement_token1] = ACTIONS(7239),
    [aux_sym_block_data_statement_token2] = ACTIONS(7239),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7239),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7239),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7239),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7239),
    [aux_sym_contains_statement_token1] = ACTIONS(7239),
    [aux_sym_use_statement_token2] = ACTIONS(7239),
    [aux_sym_implicit_statement_token3] = ACTIONS(7239),
    [aux_sym_implicit_statement_token4] = ACTIONS(7239),
    [aux_sym_save_statement_token1] = ACTIONS(7239),
    [aux_sym_private_statement_token1] = ACTIONS(7239),
    [aux_sym_public_statement_token1] = ACTIONS(7239),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7239),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7239),
    [aux_sym_variable_attributes_token2] = ACTIONS(7239),
    [aux_sym_variable_attributes_token3] = ACTIONS(7239),
    [aux_sym_variable_attributes_token5] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7239),
    [aux_sym_type_qualifier_token1] = ACTIONS(7239),
    [aux_sym_type_qualifier_token2] = ACTIONS(7239),
    [aux_sym_stop_statement_token1] = ACTIONS(7239),
    [aux_sym_stop_statement_token2] = ACTIONS(7239),
    [aux_sym_subroutine_call_token1] = ACTIONS(7239),
    [aux_sym_keyword_statement_token1] = ACTIONS(7239),
    [aux_sym_keyword_statement_token2] = ACTIONS(7239),
    [aux_sym_keyword_statement_token3] = ACTIONS(7239),
    [aux_sym_keyword_statement_token4] = ACTIONS(7239),
    [aux_sym_keyword_statement_token6] = ACTIONS(7239),
    [aux_sym_keyword_statement_token7] = ACTIONS(7239),
    [aux_sym_include_statement_token1] = ACTIONS(7239),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7239),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7239),
    [aux_sym_end_if_statement_token1] = ACTIONS(7239),
    [aux_sym_elseif_clause_token2] = ACTIONS(7239),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7239),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7239),
    [aux_sym_select_case_statement_token1] = ACTIONS(7239),
    [aux_sym_select_case_statement_token3] = ACTIONS(7239),
    [aux_sym_select_type_statement_token1] = ACTIONS(7239),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7239),
    [aux_sym_associate_statement_token1] = ACTIONS(7239),
    [aux_sym_format_statement_token1] = ACTIONS(7239),
    [aux_sym_print_statement_token1] = ACTIONS(7239),
    [aux_sym_open_statement_token1] = ACTIONS(7239),
    [aux_sym_close_statement_token1] = ACTIONS(7239),
    [aux_sym_inquire_statement_token1] = ACTIONS(7239),
    [aux_sym_file_position_statement_token1] = ACTIONS(7239),
    [aux_sym_file_position_statement_token2] = ACTIONS(7239),
    [aux_sym_file_position_statement_token3] = ACTIONS(7239),
    [aux_sym_file_position_statement_token4] = ACTIONS(7239),
    [aux_sym_allocate_statement_token1] = ACTIONS(7239),
    [aux_sym_entry_statement_token1] = ACTIONS(7239),
    [aux_sym_assign_statement_token1] = ACTIONS(7239),
    [aux_sym_logical_expression_token5] = ACTIONS(7243),
    [anon_sym_DOT] = ACTIONS(7239),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7243),
    [aux_sym_boolean_literal_token1] = ACTIONS(7243),
    [aux_sym_boolean_literal_token2] = ACTIONS(7243),
    [aux_sym_null_literal_token1] = ACTIONS(7239),
    [aux_sym_coarray_statement_token1] = ACTIONS(7239),
    [aux_sym_coarray_statement_token2] = ACTIONS(7239),
    [aux_sym_coarray_statement_token6] = ACTIONS(7239),
    [aux_sym_coarray_statement_token8] = ACTIONS(7239),
    [aux_sym_coarray_statement_token11] = ACTIONS(7239),
    [aux_sym_coarray_statement_token12] = ACTIONS(7239),
    [aux_sym_coarray_statement_token13] = ACTIONS(7239),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7239),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7239),
    [aux_sym_identifier_token1] = ACTIONS(7239),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7243),
    [sym__float_literal] = ACTIONS(7243),
    [sym__boz_literal] = ACTIONS(7243),
    [sym__string_literal] = ACTIONS(7243),
    [sym__string_literal_kind] = ACTIONS(7243),
  },
  [2707] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7377),
    [aux_sym_preproc_def_token1] = ACTIONS(7377),
    [aux_sym_preproc_if_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7377),
    [sym_preproc_directive] = ACTIONS(7377),
    [anon_sym_LPAREN2] = ACTIONS(7377),
    [sym_preproc_comment] = ACTIONS(7379),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(7381),
    [aux_sym_block_data_statement_token1] = ACTIONS(7377),
    [aux_sym_block_data_statement_token2] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7377),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7377),
    [aux_sym_contains_statement_token1] = ACTIONS(7377),
    [aux_sym_use_statement_token2] = ACTIONS(7377),
    [aux_sym_implicit_statement_token3] = ACTIONS(7377),
    [aux_sym_implicit_statement_token4] = ACTIONS(7377),
    [aux_sym_save_statement_token1] = ACTIONS(7377),
    [aux_sym_private_statement_token1] = ACTIONS(7377),
    [aux_sym_public_statement_token1] = ACTIONS(7377),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7377),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7377),
    [aux_sym_variable_attributes_token2] = ACTIONS(7377),
    [aux_sym_variable_attributes_token3] = ACTIONS(7377),
    [aux_sym_variable_attributes_token5] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7377),
    [aux_sym_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym_stop_statement_token1] = ACTIONS(7377),
    [aux_sym_stop_statement_token2] = ACTIONS(7377),
    [aux_sym_subroutine_call_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token2] = ACTIONS(7377),
    [aux_sym_keyword_statement_token3] = ACTIONS(7377),
    [aux_sym_keyword_statement_token4] = ACTIONS(7377),
    [aux_sym_keyword_statement_token6] = ACTIONS(7377),
    [aux_sym_keyword_statement_token7] = ACTIONS(7377),
    [aux_sym_include_statement_token1] = ACTIONS(7377),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7377),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7377),
    [aux_sym_end_if_statement_token1] = ACTIONS(7377),
    [aux_sym_elseif_clause_token2] = ACTIONS(7377),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7377),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token3] = ACTIONS(7377),
    [aux_sym_select_type_statement_token1] = ACTIONS(7377),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7377),
    [aux_sym_associate_statement_token1] = ACTIONS(7377),
    [aux_sym_format_statement_token1] = ACTIONS(7377),
    [aux_sym_print_statement_token1] = ACTIONS(7377),
    [aux_sym_open_statement_token1] = ACTIONS(7377),
    [aux_sym_close_statement_token1] = ACTIONS(7377),
    [aux_sym_inquire_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token2] = ACTIONS(7377),
    [aux_sym_file_position_statement_token3] = ACTIONS(7377),
    [aux_sym_file_position_statement_token4] = ACTIONS(7377),
    [aux_sym_allocate_statement_token1] = ACTIONS(7377),
    [aux_sym_entry_statement_token1] = ACTIONS(7377),
    [aux_sym_assign_statement_token1] = ACTIONS(7377),
    [aux_sym_logical_expression_token5] = ACTIONS(7381),
    [anon_sym_DOT] = ACTIONS(7377),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [aux_sym_boolean_literal_token1] = ACTIONS(7381),
    [aux_sym_boolean_literal_token2] = ACTIONS(7381),
    [aux_sym_null_literal_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token2] = ACTIONS(7377),
    [aux_sym_coarray_statement_token6] = ACTIONS(7377),
    [aux_sym_coarray_statement_token8] = ACTIONS(7377),
    [aux_sym_coarray_statement_token11] = ACTIONS(7377),
    [aux_sym_coarray_statement_token12] = ACTIONS(7377),
    [aux_sym_coarray_statement_token13] = ACTIONS(7377),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7377),
    [aux_sym_identifier_token1] = ACTIONS(7377),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7381),
    [sym__float_literal] = ACTIONS(7381),
    [sym__boz_literal] = ACTIONS(7381),
    [sym__string_literal] = ACTIONS(7381),
    [sym__string_literal_kind] = ACTIONS(7381),
  },
  [2708] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7229),
    [aux_sym_preproc_def_token1] = ACTIONS(7229),
    [aux_sym_preproc_if_token1] = ACTIONS(7229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7229),
    [sym_preproc_directive] = ACTIONS(7229),
    [anon_sym_LPAREN2] = ACTIONS(7229),
    [sym_preproc_comment] = ACTIONS(7383),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7229),
    [anon_sym_SEMI] = ACTIONS(7233),
    [aux_sym_block_data_statement_token1] = ACTIONS(7229),
    [aux_sym_block_data_statement_token2] = ACTIONS(7229),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7229),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7229),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7229),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7229),
    [aux_sym_contains_statement_token1] = ACTIONS(7229),
    [aux_sym_use_statement_token2] = ACTIONS(7229),
    [aux_sym_implicit_statement_token3] = ACTIONS(7229),
    [aux_sym_implicit_statement_token4] = ACTIONS(7229),
    [aux_sym_save_statement_token1] = ACTIONS(7229),
    [aux_sym_private_statement_token1] = ACTIONS(7229),
    [aux_sym_public_statement_token1] = ACTIONS(7229),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7229),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7229),
    [aux_sym_variable_attributes_token2] = ACTIONS(7229),
    [aux_sym_variable_attributes_token3] = ACTIONS(7229),
    [aux_sym_variable_attributes_token5] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7229),
    [aux_sym_type_qualifier_token1] = ACTIONS(7229),
    [aux_sym_type_qualifier_token2] = ACTIONS(7229),
    [aux_sym_stop_statement_token1] = ACTIONS(7229),
    [aux_sym_stop_statement_token2] = ACTIONS(7229),
    [aux_sym_subroutine_call_token1] = ACTIONS(7229),
    [aux_sym_keyword_statement_token1] = ACTIONS(7229),
    [aux_sym_keyword_statement_token2] = ACTIONS(7229),
    [aux_sym_keyword_statement_token3] = ACTIONS(7229),
    [aux_sym_keyword_statement_token4] = ACTIONS(7229),
    [aux_sym_keyword_statement_token6] = ACTIONS(7229),
    [aux_sym_keyword_statement_token7] = ACTIONS(7229),
    [aux_sym_include_statement_token1] = ACTIONS(7229),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7229),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7229),
    [aux_sym_end_if_statement_token1] = ACTIONS(7229),
    [aux_sym_elseif_clause_token2] = ACTIONS(7229),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7229),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7229),
    [aux_sym_select_case_statement_token1] = ACTIONS(7229),
    [aux_sym_select_case_statement_token3] = ACTIONS(7229),
    [aux_sym_select_type_statement_token1] = ACTIONS(7229),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7229),
    [aux_sym_associate_statement_token1] = ACTIONS(7229),
    [aux_sym_format_statement_token1] = ACTIONS(7229),
    [aux_sym_print_statement_token1] = ACTIONS(7229),
    [aux_sym_open_statement_token1] = ACTIONS(7229),
    [aux_sym_close_statement_token1] = ACTIONS(7229),
    [aux_sym_inquire_statement_token1] = ACTIONS(7229),
    [aux_sym_file_position_statement_token1] = ACTIONS(7229),
    [aux_sym_file_position_statement_token2] = ACTIONS(7229),
    [aux_sym_file_position_statement_token3] = ACTIONS(7229),
    [aux_sym_file_position_statement_token4] = ACTIONS(7229),
    [aux_sym_allocate_statement_token1] = ACTIONS(7229),
    [aux_sym_entry_statement_token1] = ACTIONS(7229),
    [aux_sym_assign_statement_token1] = ACTIONS(7229),
    [aux_sym_logical_expression_token5] = ACTIONS(7233),
    [anon_sym_DOT] = ACTIONS(7229),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7233),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [aux_sym_boolean_literal_token1] = ACTIONS(7233),
    [aux_sym_boolean_literal_token2] = ACTIONS(7233),
    [aux_sym_null_literal_token1] = ACTIONS(7229),
    [aux_sym_coarray_statement_token1] = ACTIONS(7229),
    [aux_sym_coarray_statement_token2] = ACTIONS(7229),
    [aux_sym_coarray_statement_token6] = ACTIONS(7229),
    [aux_sym_coarray_statement_token8] = ACTIONS(7229),
    [aux_sym_coarray_statement_token11] = ACTIONS(7229),
    [aux_sym_coarray_statement_token12] = ACTIONS(7229),
    [aux_sym_coarray_statement_token13] = ACTIONS(7229),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7229),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7229),
    [aux_sym_identifier_token1] = ACTIONS(7229),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7233),
    [sym__float_literal] = ACTIONS(7233),
    [sym__boz_literal] = ACTIONS(7233),
    [sym__string_literal] = ACTIONS(7233),
    [sym__string_literal_kind] = ACTIONS(7233),
  },
  [2709] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7247),
    [aux_sym_preproc_def_token1] = ACTIONS(7247),
    [aux_sym_preproc_if_token1] = ACTIONS(7247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7247),
    [sym_preproc_directive] = ACTIONS(7247),
    [anon_sym_LPAREN2] = ACTIONS(7247),
    [sym_preproc_comment] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7251),
    [anon_sym_DASH] = ACTIONS(7251),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7247),
    [anon_sym_SEMI] = ACTIONS(7251),
    [aux_sym_block_data_statement_token1] = ACTIONS(7247),
    [aux_sym_block_data_statement_token2] = ACTIONS(7247),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7247),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7247),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7247),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7247),
    [aux_sym_contains_statement_token1] = ACTIONS(7247),
    [aux_sym_use_statement_token2] = ACTIONS(7247),
    [aux_sym_implicit_statement_token3] = ACTIONS(7247),
    [aux_sym_implicit_statement_token4] = ACTIONS(7247),
    [aux_sym_save_statement_token1] = ACTIONS(7247),
    [aux_sym_private_statement_token1] = ACTIONS(7247),
    [aux_sym_public_statement_token1] = ACTIONS(7247),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7247),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7247),
    [aux_sym_variable_attributes_token2] = ACTIONS(7247),
    [aux_sym_variable_attributes_token3] = ACTIONS(7247),
    [aux_sym_variable_attributes_token5] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7247),
    [aux_sym_type_qualifier_token1] = ACTIONS(7247),
    [aux_sym_type_qualifier_token2] = ACTIONS(7247),
    [aux_sym_stop_statement_token1] = ACTIONS(7247),
    [aux_sym_stop_statement_token2] = ACTIONS(7247),
    [aux_sym_subroutine_call_token1] = ACTIONS(7247),
    [aux_sym_keyword_statement_token1] = ACTIONS(7247),
    [aux_sym_keyword_statement_token2] = ACTIONS(7247),
    [aux_sym_keyword_statement_token3] = ACTIONS(7247),
    [aux_sym_keyword_statement_token4] = ACTIONS(7247),
    [aux_sym_keyword_statement_token6] = ACTIONS(7247),
    [aux_sym_keyword_statement_token7] = ACTIONS(7247),
    [aux_sym_include_statement_token1] = ACTIONS(7247),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7247),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7247),
    [aux_sym_end_if_statement_token1] = ACTIONS(7247),
    [aux_sym_elseif_clause_token2] = ACTIONS(7247),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7247),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7247),
    [aux_sym_select_case_statement_token1] = ACTIONS(7247),
    [aux_sym_select_case_statement_token3] = ACTIONS(7247),
    [aux_sym_select_type_statement_token1] = ACTIONS(7247),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7247),
    [aux_sym_associate_statement_token1] = ACTIONS(7247),
    [aux_sym_format_statement_token1] = ACTIONS(7247),
    [aux_sym_print_statement_token1] = ACTIONS(7247),
    [aux_sym_open_statement_token1] = ACTIONS(7247),
    [aux_sym_close_statement_token1] = ACTIONS(7247),
    [aux_sym_inquire_statement_token1] = ACTIONS(7247),
    [aux_sym_file_position_statement_token1] = ACTIONS(7247),
    [aux_sym_file_position_statement_token2] = ACTIONS(7247),
    [aux_sym_file_position_statement_token3] = ACTIONS(7247),
    [aux_sym_file_position_statement_token4] = ACTIONS(7247),
    [aux_sym_allocate_statement_token1] = ACTIONS(7247),
    [aux_sym_entry_statement_token1] = ACTIONS(7247),
    [aux_sym_assign_statement_token1] = ACTIONS(7247),
    [aux_sym_logical_expression_token5] = ACTIONS(7251),
    [anon_sym_DOT] = ACTIONS(7247),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7251),
    [aux_sym_boolean_literal_token1] = ACTIONS(7251),
    [aux_sym_boolean_literal_token2] = ACTIONS(7251),
    [aux_sym_null_literal_token1] = ACTIONS(7247),
    [aux_sym_coarray_statement_token1] = ACTIONS(7247),
    [aux_sym_coarray_statement_token2] = ACTIONS(7247),
    [aux_sym_coarray_statement_token6] = ACTIONS(7247),
    [aux_sym_coarray_statement_token8] = ACTIONS(7247),
    [aux_sym_coarray_statement_token11] = ACTIONS(7247),
    [aux_sym_coarray_statement_token12] = ACTIONS(7247),
    [aux_sym_coarray_statement_token13] = ACTIONS(7247),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7247),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7247),
    [aux_sym_identifier_token1] = ACTIONS(7247),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7251),
    [sym__float_literal] = ACTIONS(7251),
    [sym__boz_literal] = ACTIONS(7251),
    [sym__string_literal] = ACTIONS(7251),
    [sym__string_literal_kind] = ACTIONS(7251),
  },
  [2710] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7265),
    [aux_sym_preproc_def_token1] = ACTIONS(7265),
    [aux_sym_preproc_if_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7265),
    [sym_preproc_directive] = ACTIONS(7265),
    [anon_sym_LPAREN2] = ACTIONS(7265),
    [sym_preproc_comment] = ACTIONS(7387),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7265),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(7265),
    [aux_sym_block_data_statement_token2] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7265),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7265),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7265),
    [aux_sym_contains_statement_token1] = ACTIONS(7265),
    [aux_sym_use_statement_token2] = ACTIONS(7265),
    [aux_sym_implicit_statement_token3] = ACTIONS(7265),
    [aux_sym_implicit_statement_token4] = ACTIONS(7265),
    [aux_sym_save_statement_token1] = ACTIONS(7265),
    [aux_sym_private_statement_token1] = ACTIONS(7265),
    [aux_sym_public_statement_token1] = ACTIONS(7265),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7265),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7265),
    [aux_sym_variable_attributes_token2] = ACTIONS(7265),
    [aux_sym_variable_attributes_token3] = ACTIONS(7265),
    [aux_sym_variable_attributes_token5] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7265),
    [aux_sym_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym_stop_statement_token1] = ACTIONS(7265),
    [aux_sym_stop_statement_token2] = ACTIONS(7265),
    [aux_sym_subroutine_call_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token2] = ACTIONS(7265),
    [aux_sym_keyword_statement_token3] = ACTIONS(7265),
    [aux_sym_keyword_statement_token4] = ACTIONS(7265),
    [aux_sym_keyword_statement_token6] = ACTIONS(7265),
    [aux_sym_keyword_statement_token7] = ACTIONS(7265),
    [aux_sym_include_statement_token1] = ACTIONS(7265),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7265),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7265),
    [aux_sym_end_if_statement_token1] = ACTIONS(7265),
    [aux_sym_elseif_clause_token2] = ACTIONS(7265),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7265),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token3] = ACTIONS(7265),
    [aux_sym_select_type_statement_token1] = ACTIONS(7265),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7265),
    [aux_sym_associate_statement_token1] = ACTIONS(7265),
    [aux_sym_format_statement_token1] = ACTIONS(7265),
    [aux_sym_print_statement_token1] = ACTIONS(7265),
    [aux_sym_open_statement_token1] = ACTIONS(7265),
    [aux_sym_close_statement_token1] = ACTIONS(7265),
    [aux_sym_inquire_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token2] = ACTIONS(7265),
    [aux_sym_file_position_statement_token3] = ACTIONS(7265),
    [aux_sym_file_position_statement_token4] = ACTIONS(7265),
    [aux_sym_allocate_statement_token1] = ACTIONS(7265),
    [aux_sym_entry_statement_token1] = ACTIONS(7265),
    [aux_sym_assign_statement_token1] = ACTIONS(7265),
    [aux_sym_logical_expression_token5] = ACTIONS(7269),
    [anon_sym_DOT] = ACTIONS(7265),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [aux_sym_boolean_literal_token1] = ACTIONS(7269),
    [aux_sym_boolean_literal_token2] = ACTIONS(7269),
    [aux_sym_null_literal_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token2] = ACTIONS(7265),
    [aux_sym_coarray_statement_token6] = ACTIONS(7265),
    [aux_sym_coarray_statement_token8] = ACTIONS(7265),
    [aux_sym_coarray_statement_token11] = ACTIONS(7265),
    [aux_sym_coarray_statement_token12] = ACTIONS(7265),
    [aux_sym_coarray_statement_token13] = ACTIONS(7265),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7265),
    [aux_sym_identifier_token1] = ACTIONS(7265),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7269),
    [sym__float_literal] = ACTIONS(7269),
    [sym__boz_literal] = ACTIONS(7269),
    [sym__string_literal] = ACTIONS(7269),
    [sym__string_literal_kind] = ACTIONS(7269),
  },
  [2711] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7389),
    [aux_sym_preproc_def_token1] = ACTIONS(7389),
    [aux_sym_preproc_if_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7389),
    [sym_preproc_directive] = ACTIONS(7389),
    [anon_sym_LPAREN2] = ACTIONS(7389),
    [sym_preproc_comment] = ACTIONS(7391),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7389),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(7389),
    [aux_sym_block_data_statement_token2] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7389),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7389),
    [aux_sym_contains_statement_token1] = ACTIONS(7389),
    [aux_sym_use_statement_token2] = ACTIONS(7389),
    [aux_sym_implicit_statement_token3] = ACTIONS(7389),
    [aux_sym_implicit_statement_token4] = ACTIONS(7389),
    [aux_sym_save_statement_token1] = ACTIONS(7389),
    [aux_sym_private_statement_token1] = ACTIONS(7389),
    [aux_sym_public_statement_token1] = ACTIONS(7389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7389),
    [aux_sym_variable_attributes_token2] = ACTIONS(7389),
    [aux_sym_variable_attributes_token3] = ACTIONS(7389),
    [aux_sym_variable_attributes_token5] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7389),
    [aux_sym_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym_stop_statement_token1] = ACTIONS(7389),
    [aux_sym_stop_statement_token2] = ACTIONS(7389),
    [aux_sym_subroutine_call_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token2] = ACTIONS(7389),
    [aux_sym_keyword_statement_token3] = ACTIONS(7389),
    [aux_sym_keyword_statement_token4] = ACTIONS(7389),
    [aux_sym_keyword_statement_token6] = ACTIONS(7389),
    [aux_sym_keyword_statement_token7] = ACTIONS(7389),
    [aux_sym_include_statement_token1] = ACTIONS(7389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7389),
    [aux_sym_end_if_statement_token1] = ACTIONS(7389),
    [aux_sym_elseif_clause_token2] = ACTIONS(7389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token3] = ACTIONS(7389),
    [aux_sym_select_type_statement_token1] = ACTIONS(7389),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7389),
    [aux_sym_associate_statement_token1] = ACTIONS(7389),
    [aux_sym_format_statement_token1] = ACTIONS(7389),
    [aux_sym_print_statement_token1] = ACTIONS(7389),
    [aux_sym_open_statement_token1] = ACTIONS(7389),
    [aux_sym_close_statement_token1] = ACTIONS(7389),
    [aux_sym_inquire_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token2] = ACTIONS(7389),
    [aux_sym_file_position_statement_token3] = ACTIONS(7389),
    [aux_sym_file_position_statement_token4] = ACTIONS(7389),
    [aux_sym_allocate_statement_token1] = ACTIONS(7389),
    [aux_sym_entry_statement_token1] = ACTIONS(7389),
    [aux_sym_assign_statement_token1] = ACTIONS(7389),
    [aux_sym_logical_expression_token5] = ACTIONS(7393),
    [anon_sym_DOT] = ACTIONS(7389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [aux_sym_boolean_literal_token1] = ACTIONS(7393),
    [aux_sym_boolean_literal_token2] = ACTIONS(7393),
    [aux_sym_null_literal_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token2] = ACTIONS(7389),
    [aux_sym_coarray_statement_token6] = ACTIONS(7389),
    [aux_sym_coarray_statement_token8] = ACTIONS(7389),
    [aux_sym_coarray_statement_token11] = ACTIONS(7389),
    [aux_sym_coarray_statement_token12] = ACTIONS(7389),
    [aux_sym_coarray_statement_token13] = ACTIONS(7389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7389),
    [aux_sym_identifier_token1] = ACTIONS(7389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7393),
    [sym__float_literal] = ACTIONS(7393),
    [sym__boz_literal] = ACTIONS(7393),
    [sym__string_literal] = ACTIONS(7393),
    [sym__string_literal_kind] = ACTIONS(7393),
  },
  [2712] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7395),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [aux_sym_end_program_statement_token2] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_contains_statement_token1] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2713] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [aux_sym_end_program_statement_token2] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2714] = {
    [sym_data_set] = STATE(2726),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5456),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5456),
    [sym_implied_do_loop_expression] = STATE(5456),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5456),
    [aux_sym_data_statement_repeat1] = STATE(2726),
    [anon_sym_COMMA] = ACTIONS(7399),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(7401),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(7401),
  },
  [2715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7349),
    [aux_sym_preproc_def_token1] = ACTIONS(7349),
    [aux_sym_preproc_if_token1] = ACTIONS(7349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7349),
    [sym_preproc_directive] = ACTIONS(7349),
    [anon_sym_LPAREN2] = ACTIONS(7349),
    [sym_preproc_comment] = ACTIONS(7403),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7349),
    [anon_sym_SEMI] = ACTIONS(7353),
    [aux_sym_block_data_statement_token1] = ACTIONS(7349),
    [aux_sym_block_data_statement_token2] = ACTIONS(7349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7349),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7349),
    [aux_sym_contains_statement_token1] = ACTIONS(7349),
    [aux_sym_use_statement_token2] = ACTIONS(7349),
    [aux_sym_implicit_statement_token3] = ACTIONS(7349),
    [aux_sym_implicit_statement_token4] = ACTIONS(7349),
    [aux_sym_save_statement_token1] = ACTIONS(7349),
    [aux_sym_private_statement_token1] = ACTIONS(7349),
    [aux_sym_public_statement_token1] = ACTIONS(7349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7349),
    [aux_sym_variable_attributes_token2] = ACTIONS(7349),
    [aux_sym_variable_attributes_token3] = ACTIONS(7349),
    [aux_sym_variable_attributes_token5] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7349),
    [aux_sym_type_qualifier_token1] = ACTIONS(7349),
    [aux_sym_type_qualifier_token2] = ACTIONS(7349),
    [aux_sym_stop_statement_token1] = ACTIONS(7349),
    [aux_sym_stop_statement_token2] = ACTIONS(7349),
    [aux_sym_subroutine_call_token1] = ACTIONS(7349),
    [aux_sym_keyword_statement_token1] = ACTIONS(7349),
    [aux_sym_keyword_statement_token2] = ACTIONS(7349),
    [aux_sym_keyword_statement_token3] = ACTIONS(7349),
    [aux_sym_keyword_statement_token4] = ACTIONS(7349),
    [aux_sym_keyword_statement_token6] = ACTIONS(7349),
    [aux_sym_keyword_statement_token7] = ACTIONS(7349),
    [aux_sym_include_statement_token1] = ACTIONS(7349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7349),
    [aux_sym_end_if_statement_token1] = ACTIONS(7349),
    [aux_sym_elseif_clause_token2] = ACTIONS(7349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7349),
    [aux_sym_select_case_statement_token1] = ACTIONS(7349),
    [aux_sym_select_case_statement_token3] = ACTIONS(7349),
    [aux_sym_select_type_statement_token1] = ACTIONS(7349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7349),
    [aux_sym_associate_statement_token1] = ACTIONS(7349),
    [aux_sym_format_statement_token1] = ACTIONS(7349),
    [aux_sym_print_statement_token1] = ACTIONS(7349),
    [aux_sym_open_statement_token1] = ACTIONS(7349),
    [aux_sym_close_statement_token1] = ACTIONS(7349),
    [aux_sym_inquire_statement_token1] = ACTIONS(7349),
    [aux_sym_file_position_statement_token1] = ACTIONS(7349),
    [aux_sym_file_position_statement_token2] = ACTIONS(7349),
    [aux_sym_file_position_statement_token3] = ACTIONS(7349),
    [aux_sym_file_position_statement_token4] = ACTIONS(7349),
    [aux_sym_allocate_statement_token1] = ACTIONS(7349),
    [aux_sym_entry_statement_token1] = ACTIONS(7349),
    [aux_sym_assign_statement_token1] = ACTIONS(7349),
    [aux_sym_logical_expression_token5] = ACTIONS(7353),
    [anon_sym_DOT] = ACTIONS(7349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7353),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [aux_sym_boolean_literal_token1] = ACTIONS(7353),
    [aux_sym_boolean_literal_token2] = ACTIONS(7353),
    [aux_sym_null_literal_token1] = ACTIONS(7349),
    [aux_sym_coarray_statement_token1] = ACTIONS(7349),
    [aux_sym_coarray_statement_token2] = ACTIONS(7349),
    [aux_sym_coarray_statement_token6] = ACTIONS(7349),
    [aux_sym_coarray_statement_token8] = ACTIONS(7349),
    [aux_sym_coarray_statement_token11] = ACTIONS(7349),
    [aux_sym_coarray_statement_token12] = ACTIONS(7349),
    [aux_sym_coarray_statement_token13] = ACTIONS(7349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7349),
    [aux_sym_identifier_token1] = ACTIONS(7349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7353),
    [sym__float_literal] = ACTIONS(7353),
    [sym__boz_literal] = ACTIONS(7353),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7353),
  },
  [2716] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [aux_sym_end_program_statement_token2] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2717] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7407),
    [aux_sym_preproc_def_token1] = ACTIONS(7407),
    [aux_sym_preproc_if_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7407),
    [sym_preproc_directive] = ACTIONS(7407),
    [anon_sym_LPAREN2] = ACTIONS(7407),
    [sym_preproc_comment] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7411),
    [anon_sym_DASH] = ACTIONS(7411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7407),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(7407),
    [aux_sym_block_data_statement_token2] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7407),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7407),
    [aux_sym_end_function_statement_token1] = ACTIONS(7407),
    [aux_sym_contains_statement_token1] = ACTIONS(7407),
    [aux_sym_use_statement_token2] = ACTIONS(7407),
    [aux_sym_implicit_statement_token3] = ACTIONS(7407),
    [aux_sym_implicit_statement_token4] = ACTIONS(7407),
    [aux_sym_save_statement_token1] = ACTIONS(7407),
    [aux_sym_private_statement_token1] = ACTIONS(7407),
    [aux_sym_public_statement_token1] = ACTIONS(7407),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7407),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7407),
    [aux_sym_variable_attributes_token2] = ACTIONS(7407),
    [aux_sym_variable_attributes_token3] = ACTIONS(7407),
    [aux_sym_variable_attributes_token5] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7407),
    [aux_sym_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym_stop_statement_token1] = ACTIONS(7407),
    [aux_sym_stop_statement_token2] = ACTIONS(7407),
    [aux_sym_subroutine_call_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token2] = ACTIONS(7407),
    [aux_sym_keyword_statement_token3] = ACTIONS(7407),
    [aux_sym_keyword_statement_token4] = ACTIONS(7407),
    [aux_sym_keyword_statement_token6] = ACTIONS(7407),
    [aux_sym_keyword_statement_token7] = ACTIONS(7407),
    [aux_sym_include_statement_token1] = ACTIONS(7407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7407),
    [aux_sym_end_if_statement_token1] = ACTIONS(7407),
    [aux_sym_elseif_clause_token2] = ACTIONS(7407),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7407),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token3] = ACTIONS(7407),
    [aux_sym_select_type_statement_token1] = ACTIONS(7407),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7407),
    [aux_sym_associate_statement_token1] = ACTIONS(7407),
    [aux_sym_format_statement_token1] = ACTIONS(7407),
    [aux_sym_print_statement_token1] = ACTIONS(7407),
    [aux_sym_open_statement_token1] = ACTIONS(7407),
    [aux_sym_close_statement_token1] = ACTIONS(7407),
    [aux_sym_inquire_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token2] = ACTIONS(7407),
    [aux_sym_file_position_statement_token3] = ACTIONS(7407),
    [aux_sym_file_position_statement_token4] = ACTIONS(7407),
    [aux_sym_allocate_statement_token1] = ACTIONS(7407),
    [aux_sym_entry_statement_token1] = ACTIONS(7407),
    [aux_sym_assign_statement_token1] = ACTIONS(7407),
    [aux_sym_logical_expression_token5] = ACTIONS(7411),
    [anon_sym_DOT] = ACTIONS(7407),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [aux_sym_boolean_literal_token1] = ACTIONS(7411),
    [aux_sym_boolean_literal_token2] = ACTIONS(7411),
    [aux_sym_null_literal_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token2] = ACTIONS(7407),
    [aux_sym_coarray_statement_token6] = ACTIONS(7407),
    [aux_sym_coarray_statement_token8] = ACTIONS(7407),
    [aux_sym_coarray_statement_token11] = ACTIONS(7407),
    [aux_sym_coarray_statement_token12] = ACTIONS(7407),
    [aux_sym_coarray_statement_token13] = ACTIONS(7407),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7407),
    [aux_sym_identifier_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7411),
    [sym__float_literal] = ACTIONS(7411),
    [sym__boz_literal] = ACTIONS(7411),
    [sym__string_literal] = ACTIONS(7411),
    [sym__string_literal_kind] = ACTIONS(7411),
  },
  [2718] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym_end_where_statement_token1] = ACTIONS(5284),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2719] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [aux_sym_end_program_statement_token2] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7377),
    [aux_sym_preproc_def_token1] = ACTIONS(7377),
    [aux_sym_preproc_if_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7377),
    [sym_preproc_directive] = ACTIONS(7377),
    [anon_sym_LPAREN2] = ACTIONS(7377),
    [sym_preproc_comment] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(7381),
    [aux_sym_block_data_statement_token1] = ACTIONS(7377),
    [aux_sym_block_data_statement_token2] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7377),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7377),
    [aux_sym_contains_statement_token1] = ACTIONS(7377),
    [aux_sym_use_statement_token2] = ACTIONS(7377),
    [aux_sym_implicit_statement_token3] = ACTIONS(7377),
    [aux_sym_implicit_statement_token4] = ACTIONS(7377),
    [aux_sym_save_statement_token1] = ACTIONS(7377),
    [aux_sym_private_statement_token1] = ACTIONS(7377),
    [aux_sym_public_statement_token1] = ACTIONS(7377),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7377),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7377),
    [aux_sym_variable_attributes_token2] = ACTIONS(7377),
    [aux_sym_variable_attributes_token3] = ACTIONS(7377),
    [aux_sym_variable_attributes_token5] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7377),
    [aux_sym_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym_stop_statement_token1] = ACTIONS(7377),
    [aux_sym_stop_statement_token2] = ACTIONS(7377),
    [aux_sym_subroutine_call_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token2] = ACTIONS(7377),
    [aux_sym_keyword_statement_token3] = ACTIONS(7377),
    [aux_sym_keyword_statement_token4] = ACTIONS(7377),
    [aux_sym_keyword_statement_token6] = ACTIONS(7377),
    [aux_sym_keyword_statement_token7] = ACTIONS(7377),
    [aux_sym_include_statement_token1] = ACTIONS(7377),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7377),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7377),
    [aux_sym_end_if_statement_token1] = ACTIONS(7377),
    [aux_sym_elseif_clause_token2] = ACTIONS(7377),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7377),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token3] = ACTIONS(7377),
    [aux_sym_select_type_statement_token1] = ACTIONS(7377),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7377),
    [aux_sym_associate_statement_token1] = ACTIONS(7377),
    [aux_sym_format_statement_token1] = ACTIONS(7377),
    [aux_sym_print_statement_token1] = ACTIONS(7377),
    [aux_sym_open_statement_token1] = ACTIONS(7377),
    [aux_sym_close_statement_token1] = ACTIONS(7377),
    [aux_sym_inquire_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token2] = ACTIONS(7377),
    [aux_sym_file_position_statement_token3] = ACTIONS(7377),
    [aux_sym_file_position_statement_token4] = ACTIONS(7377),
    [aux_sym_allocate_statement_token1] = ACTIONS(7377),
    [aux_sym_entry_statement_token1] = ACTIONS(7377),
    [aux_sym_assign_statement_token1] = ACTIONS(7377),
    [aux_sym_logical_expression_token5] = ACTIONS(7381),
    [anon_sym_DOT] = ACTIONS(7377),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [aux_sym_boolean_literal_token1] = ACTIONS(7381),
    [aux_sym_boolean_literal_token2] = ACTIONS(7381),
    [aux_sym_null_literal_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token2] = ACTIONS(7377),
    [aux_sym_coarray_statement_token6] = ACTIONS(7377),
    [aux_sym_coarray_statement_token8] = ACTIONS(7377),
    [aux_sym_coarray_statement_token11] = ACTIONS(7377),
    [aux_sym_coarray_statement_token12] = ACTIONS(7377),
    [aux_sym_coarray_statement_token13] = ACTIONS(7377),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7377),
    [aux_sym_identifier_token1] = ACTIONS(7377),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7381),
    [sym__float_literal] = ACTIONS(7381),
    [sym__boz_literal] = ACTIONS(7381),
    [sym__string_literal] = ACTIONS(7381),
    [sym__string_literal_kind] = ACTIONS(7381),
  },
  [2721] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym_end_where_statement_token1] = ACTIONS(5288),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2722] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7211),
    [aux_sym_preproc_def_token1] = ACTIONS(7211),
    [aux_sym_preproc_if_token1] = ACTIONS(7211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7211),
    [sym_preproc_directive] = ACTIONS(7211),
    [anon_sym_LPAREN2] = ACTIONS(7211),
    [sym_preproc_comment] = ACTIONS(7415),
    [anon_sym_PLUS] = ACTIONS(7215),
    [anon_sym_DASH] = ACTIONS(7215),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7211),
    [anon_sym_SEMI] = ACTIONS(7215),
    [aux_sym_block_data_statement_token1] = ACTIONS(7211),
    [aux_sym_block_data_statement_token2] = ACTIONS(7211),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7211),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7211),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7211),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7211),
    [aux_sym_contains_statement_token1] = ACTIONS(7211),
    [aux_sym_use_statement_token2] = ACTIONS(7211),
    [aux_sym_implicit_statement_token3] = ACTIONS(7211),
    [aux_sym_implicit_statement_token4] = ACTIONS(7211),
    [aux_sym_save_statement_token1] = ACTIONS(7211),
    [aux_sym_private_statement_token1] = ACTIONS(7211),
    [aux_sym_public_statement_token1] = ACTIONS(7211),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7211),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7211),
    [aux_sym_variable_attributes_token2] = ACTIONS(7211),
    [aux_sym_variable_attributes_token3] = ACTIONS(7211),
    [aux_sym_variable_attributes_token5] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7211),
    [aux_sym_type_qualifier_token1] = ACTIONS(7211),
    [aux_sym_type_qualifier_token2] = ACTIONS(7211),
    [aux_sym_stop_statement_token1] = ACTIONS(7211),
    [aux_sym_stop_statement_token2] = ACTIONS(7211),
    [aux_sym_subroutine_call_token1] = ACTIONS(7211),
    [aux_sym_keyword_statement_token1] = ACTIONS(7211),
    [aux_sym_keyword_statement_token2] = ACTIONS(7211),
    [aux_sym_keyword_statement_token3] = ACTIONS(7211),
    [aux_sym_keyword_statement_token4] = ACTIONS(7211),
    [aux_sym_keyword_statement_token6] = ACTIONS(7211),
    [aux_sym_keyword_statement_token7] = ACTIONS(7211),
    [aux_sym_include_statement_token1] = ACTIONS(7211),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7211),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7211),
    [aux_sym_end_if_statement_token1] = ACTIONS(7211),
    [aux_sym_elseif_clause_token2] = ACTIONS(7211),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7211),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7211),
    [aux_sym_select_case_statement_token1] = ACTIONS(7211),
    [aux_sym_select_case_statement_token3] = ACTIONS(7211),
    [aux_sym_select_type_statement_token1] = ACTIONS(7211),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7211),
    [aux_sym_associate_statement_token1] = ACTIONS(7211),
    [aux_sym_format_statement_token1] = ACTIONS(7211),
    [aux_sym_print_statement_token1] = ACTIONS(7211),
    [aux_sym_open_statement_token1] = ACTIONS(7211),
    [aux_sym_close_statement_token1] = ACTIONS(7211),
    [aux_sym_inquire_statement_token1] = ACTIONS(7211),
    [aux_sym_file_position_statement_token1] = ACTIONS(7211),
    [aux_sym_file_position_statement_token2] = ACTIONS(7211),
    [aux_sym_file_position_statement_token3] = ACTIONS(7211),
    [aux_sym_file_position_statement_token4] = ACTIONS(7211),
    [aux_sym_allocate_statement_token1] = ACTIONS(7211),
    [aux_sym_entry_statement_token1] = ACTIONS(7211),
    [aux_sym_assign_statement_token1] = ACTIONS(7211),
    [aux_sym_logical_expression_token5] = ACTIONS(7215),
    [anon_sym_DOT] = ACTIONS(7211),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7215),
    [aux_sym_boolean_literal_token1] = ACTIONS(7215),
    [aux_sym_boolean_literal_token2] = ACTIONS(7215),
    [aux_sym_null_literal_token1] = ACTIONS(7211),
    [aux_sym_coarray_statement_token1] = ACTIONS(7211),
    [aux_sym_coarray_statement_token2] = ACTIONS(7211),
    [aux_sym_coarray_statement_token6] = ACTIONS(7211),
    [aux_sym_coarray_statement_token8] = ACTIONS(7211),
    [aux_sym_coarray_statement_token11] = ACTIONS(7211),
    [aux_sym_coarray_statement_token12] = ACTIONS(7211),
    [aux_sym_coarray_statement_token13] = ACTIONS(7211),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7211),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7211),
    [aux_sym_identifier_token1] = ACTIONS(7211),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7215),
    [sym__float_literal] = ACTIONS(7215),
    [sym__boz_literal] = ACTIONS(7215),
    [sym__string_literal] = ACTIONS(7215),
    [sym__string_literal_kind] = ACTIONS(7215),
  },
  [2723] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7407),
    [aux_sym_preproc_def_token1] = ACTIONS(7407),
    [aux_sym_preproc_if_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7407),
    [sym_preproc_directive] = ACTIONS(7407),
    [anon_sym_LPAREN2] = ACTIONS(7407),
    [sym_preproc_comment] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7411),
    [anon_sym_DASH] = ACTIONS(7411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7407),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(7407),
    [aux_sym_block_data_statement_token2] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7407),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7407),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7407),
    [aux_sym_contains_statement_token1] = ACTIONS(7407),
    [aux_sym_use_statement_token2] = ACTIONS(7407),
    [aux_sym_implicit_statement_token3] = ACTIONS(7407),
    [aux_sym_implicit_statement_token4] = ACTIONS(7407),
    [aux_sym_save_statement_token1] = ACTIONS(7407),
    [aux_sym_private_statement_token1] = ACTIONS(7407),
    [aux_sym_public_statement_token1] = ACTIONS(7407),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7407),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7407),
    [aux_sym_variable_attributes_token2] = ACTIONS(7407),
    [aux_sym_variable_attributes_token3] = ACTIONS(7407),
    [aux_sym_variable_attributes_token5] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7407),
    [aux_sym_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym_stop_statement_token1] = ACTIONS(7407),
    [aux_sym_stop_statement_token2] = ACTIONS(7407),
    [aux_sym_subroutine_call_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token2] = ACTIONS(7407),
    [aux_sym_keyword_statement_token3] = ACTIONS(7407),
    [aux_sym_keyword_statement_token4] = ACTIONS(7407),
    [aux_sym_keyword_statement_token6] = ACTIONS(7407),
    [aux_sym_keyword_statement_token7] = ACTIONS(7407),
    [aux_sym_include_statement_token1] = ACTIONS(7407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7407),
    [aux_sym_end_if_statement_token1] = ACTIONS(7407),
    [aux_sym_elseif_clause_token2] = ACTIONS(7407),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7407),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token3] = ACTIONS(7407),
    [aux_sym_select_type_statement_token1] = ACTIONS(7407),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7407),
    [aux_sym_associate_statement_token1] = ACTIONS(7407),
    [aux_sym_format_statement_token1] = ACTIONS(7407),
    [aux_sym_print_statement_token1] = ACTIONS(7407),
    [aux_sym_open_statement_token1] = ACTIONS(7407),
    [aux_sym_close_statement_token1] = ACTIONS(7407),
    [aux_sym_inquire_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token2] = ACTIONS(7407),
    [aux_sym_file_position_statement_token3] = ACTIONS(7407),
    [aux_sym_file_position_statement_token4] = ACTIONS(7407),
    [aux_sym_allocate_statement_token1] = ACTIONS(7407),
    [aux_sym_entry_statement_token1] = ACTIONS(7407),
    [aux_sym_assign_statement_token1] = ACTIONS(7407),
    [aux_sym_logical_expression_token5] = ACTIONS(7411),
    [anon_sym_DOT] = ACTIONS(7407),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [aux_sym_boolean_literal_token1] = ACTIONS(7411),
    [aux_sym_boolean_literal_token2] = ACTIONS(7411),
    [aux_sym_null_literal_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token2] = ACTIONS(7407),
    [aux_sym_coarray_statement_token6] = ACTIONS(7407),
    [aux_sym_coarray_statement_token8] = ACTIONS(7407),
    [aux_sym_coarray_statement_token11] = ACTIONS(7407),
    [aux_sym_coarray_statement_token12] = ACTIONS(7407),
    [aux_sym_coarray_statement_token13] = ACTIONS(7407),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7407),
    [aux_sym_identifier_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7411),
    [sym__float_literal] = ACTIONS(7411),
    [sym__boz_literal] = ACTIONS(7411),
    [sym__string_literal] = ACTIONS(7411),
    [sym__string_literal_kind] = ACTIONS(7411),
  },
  [2724] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7419),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [aux_sym_end_program_statement_token2] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_contains_statement_token1] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2725] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym_end_where_statement_token1] = ACTIONS(5276),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2726] = {
    [sym_data_set] = STATE(2678),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5456),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5456),
    [sym_implied_do_loop_expression] = STATE(5456),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5456),
    [aux_sym_data_statement_repeat1] = STATE(2678),
    [anon_sym_COMMA] = ACTIONS(7399),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(7421),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
    [sym__external_end_of_statement] = ACTIONS(7421),
  },
  [2727] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token2] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [aux_sym_end_program_statement_token2] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_contains_statement_token1] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2728] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7423),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [aux_sym_end_program_statement_token2] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2729] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7211),
    [aux_sym_preproc_def_token1] = ACTIONS(7211),
    [aux_sym_preproc_if_token1] = ACTIONS(7211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7211),
    [sym_preproc_directive] = ACTIONS(7211),
    [anon_sym_LPAREN2] = ACTIONS(7211),
    [sym_preproc_comment] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7215),
    [anon_sym_DASH] = ACTIONS(7215),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7211),
    [anon_sym_SEMI] = ACTIONS(7215),
    [aux_sym_block_data_statement_token1] = ACTIONS(7211),
    [aux_sym_block_data_statement_token2] = ACTIONS(7211),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7211),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7211),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7211),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7211),
    [aux_sym_contains_statement_token1] = ACTIONS(7211),
    [aux_sym_use_statement_token2] = ACTIONS(7211),
    [aux_sym_implicit_statement_token3] = ACTIONS(7211),
    [aux_sym_implicit_statement_token4] = ACTIONS(7211),
    [aux_sym_save_statement_token1] = ACTIONS(7211),
    [aux_sym_private_statement_token1] = ACTIONS(7211),
    [aux_sym_public_statement_token1] = ACTIONS(7211),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7211),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7211),
    [aux_sym_variable_attributes_token2] = ACTIONS(7211),
    [aux_sym_variable_attributes_token3] = ACTIONS(7211),
    [aux_sym_variable_attributes_token5] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7211),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7211),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7211),
    [aux_sym_type_qualifier_token1] = ACTIONS(7211),
    [aux_sym_type_qualifier_token2] = ACTIONS(7211),
    [aux_sym_stop_statement_token1] = ACTIONS(7211),
    [aux_sym_stop_statement_token2] = ACTIONS(7211),
    [aux_sym_subroutine_call_token1] = ACTIONS(7211),
    [aux_sym_keyword_statement_token1] = ACTIONS(7211),
    [aux_sym_keyword_statement_token2] = ACTIONS(7211),
    [aux_sym_keyword_statement_token3] = ACTIONS(7211),
    [aux_sym_keyword_statement_token4] = ACTIONS(7211),
    [aux_sym_keyword_statement_token6] = ACTIONS(7211),
    [aux_sym_keyword_statement_token7] = ACTIONS(7211),
    [aux_sym_include_statement_token1] = ACTIONS(7211),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7211),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7211),
    [aux_sym_end_if_statement_token1] = ACTIONS(7211),
    [aux_sym_elseif_clause_token2] = ACTIONS(7211),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7211),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7211),
    [aux_sym_select_case_statement_token1] = ACTIONS(7211),
    [aux_sym_select_case_statement_token3] = ACTIONS(7211),
    [aux_sym_select_type_statement_token1] = ACTIONS(7211),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7211),
    [aux_sym_associate_statement_token1] = ACTIONS(7211),
    [aux_sym_format_statement_token1] = ACTIONS(7211),
    [aux_sym_print_statement_token1] = ACTIONS(7211),
    [aux_sym_open_statement_token1] = ACTIONS(7211),
    [aux_sym_close_statement_token1] = ACTIONS(7211),
    [aux_sym_inquire_statement_token1] = ACTIONS(7211),
    [aux_sym_file_position_statement_token1] = ACTIONS(7211),
    [aux_sym_file_position_statement_token2] = ACTIONS(7211),
    [aux_sym_file_position_statement_token3] = ACTIONS(7211),
    [aux_sym_file_position_statement_token4] = ACTIONS(7211),
    [aux_sym_allocate_statement_token1] = ACTIONS(7211),
    [aux_sym_entry_statement_token1] = ACTIONS(7211),
    [aux_sym_assign_statement_token1] = ACTIONS(7211),
    [aux_sym_logical_expression_token5] = ACTIONS(7215),
    [anon_sym_DOT] = ACTIONS(7211),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7215),
    [aux_sym_boolean_literal_token1] = ACTIONS(7215),
    [aux_sym_boolean_literal_token2] = ACTIONS(7215),
    [aux_sym_null_literal_token1] = ACTIONS(7211),
    [aux_sym_coarray_statement_token1] = ACTIONS(7211),
    [aux_sym_coarray_statement_token2] = ACTIONS(7211),
    [aux_sym_coarray_statement_token6] = ACTIONS(7211),
    [aux_sym_coarray_statement_token8] = ACTIONS(7211),
    [aux_sym_coarray_statement_token11] = ACTIONS(7211),
    [aux_sym_coarray_statement_token12] = ACTIONS(7211),
    [aux_sym_coarray_statement_token13] = ACTIONS(7211),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7211),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7211),
    [aux_sym_identifier_token1] = ACTIONS(7211),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7215),
    [sym__float_literal] = ACTIONS(7215),
    [sym__boz_literal] = ACTIONS(7215),
    [sym__string_literal] = ACTIONS(7215),
    [sym__string_literal_kind] = ACTIONS(7215),
  },
  [2730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7427),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token2] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_select_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2731] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [aux_sym_end_program_statement_token2] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2732] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token2] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7431),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2733] = {
    [sym__expression] = STATE(5121),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_assumed_size] = STATE(7540),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7435),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2734] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_end_function_statement_token1] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2735] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token2] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7439),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2736] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7389),
    [aux_sym_preproc_def_token1] = ACTIONS(7389),
    [aux_sym_preproc_if_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7389),
    [sym_preproc_directive] = ACTIONS(7389),
    [anon_sym_LPAREN2] = ACTIONS(7389),
    [sym_preproc_comment] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7389),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(7389),
    [aux_sym_block_data_statement_token2] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7389),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7389),
    [aux_sym_contains_statement_token1] = ACTIONS(7389),
    [aux_sym_use_statement_token2] = ACTIONS(7389),
    [aux_sym_implicit_statement_token3] = ACTIONS(7389),
    [aux_sym_implicit_statement_token4] = ACTIONS(7389),
    [aux_sym_save_statement_token1] = ACTIONS(7389),
    [aux_sym_private_statement_token1] = ACTIONS(7389),
    [aux_sym_public_statement_token1] = ACTIONS(7389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7389),
    [aux_sym_variable_attributes_token2] = ACTIONS(7389),
    [aux_sym_variable_attributes_token3] = ACTIONS(7389),
    [aux_sym_variable_attributes_token5] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7389),
    [aux_sym_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym_stop_statement_token1] = ACTIONS(7389),
    [aux_sym_stop_statement_token2] = ACTIONS(7389),
    [aux_sym_subroutine_call_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token2] = ACTIONS(7389),
    [aux_sym_keyword_statement_token3] = ACTIONS(7389),
    [aux_sym_keyword_statement_token4] = ACTIONS(7389),
    [aux_sym_keyword_statement_token6] = ACTIONS(7389),
    [aux_sym_keyword_statement_token7] = ACTIONS(7389),
    [aux_sym_include_statement_token1] = ACTIONS(7389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7389),
    [aux_sym_end_if_statement_token1] = ACTIONS(7389),
    [aux_sym_elseif_clause_token2] = ACTIONS(7389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token3] = ACTIONS(7389),
    [aux_sym_select_type_statement_token1] = ACTIONS(7389),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7389),
    [aux_sym_associate_statement_token1] = ACTIONS(7389),
    [aux_sym_format_statement_token1] = ACTIONS(7389),
    [aux_sym_print_statement_token1] = ACTIONS(7389),
    [aux_sym_open_statement_token1] = ACTIONS(7389),
    [aux_sym_close_statement_token1] = ACTIONS(7389),
    [aux_sym_inquire_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token2] = ACTIONS(7389),
    [aux_sym_file_position_statement_token3] = ACTIONS(7389),
    [aux_sym_file_position_statement_token4] = ACTIONS(7389),
    [aux_sym_allocate_statement_token1] = ACTIONS(7389),
    [aux_sym_entry_statement_token1] = ACTIONS(7389),
    [aux_sym_assign_statement_token1] = ACTIONS(7389),
    [aux_sym_logical_expression_token5] = ACTIONS(7393),
    [anon_sym_DOT] = ACTIONS(7389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [aux_sym_boolean_literal_token1] = ACTIONS(7393),
    [aux_sym_boolean_literal_token2] = ACTIONS(7393),
    [aux_sym_null_literal_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token2] = ACTIONS(7389),
    [aux_sym_coarray_statement_token6] = ACTIONS(7389),
    [aux_sym_coarray_statement_token8] = ACTIONS(7389),
    [aux_sym_coarray_statement_token11] = ACTIONS(7389),
    [aux_sym_coarray_statement_token12] = ACTIONS(7389),
    [aux_sym_coarray_statement_token13] = ACTIONS(7389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7389),
    [aux_sym_identifier_token1] = ACTIONS(7389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7393),
    [sym__float_literal] = ACTIONS(7393),
    [sym__boz_literal] = ACTIONS(7393),
    [sym__string_literal] = ACTIONS(7393),
    [sym__string_literal_kind] = ACTIONS(7393),
  },
  [2737] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7443),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token2] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_select_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2738] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token2] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_select_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2739] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7447),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2740] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token2] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2741] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7451),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [aux_sym_end_program_statement_token2] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2742] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2743] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym_end_where_statement_token1] = ACTIONS(6841),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7455),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2745] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_end_function_statement_token1] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2746] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7459),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_end_function_statement_token1] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2747] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token2] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_end_select_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2748] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym_end_where_statement_token1] = ACTIONS(2773),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2749] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym_end_where_statement_token1] = ACTIONS(6925),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2750] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token2] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [aux_sym_end_program_statement_token2] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2751] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7463),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym_end_where_statement_token1] = ACTIONS(6915),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2753] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7407),
    [aux_sym_preproc_def_token1] = ACTIONS(7407),
    [aux_sym_preproc_if_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7407),
    [sym_preproc_directive] = ACTIONS(7407),
    [anon_sym_LPAREN2] = ACTIONS(7407),
    [sym_preproc_comment] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7411),
    [anon_sym_DASH] = ACTIONS(7411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7407),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(7407),
    [aux_sym_block_data_statement_token2] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7407),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7407),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7407),
    [aux_sym_contains_statement_token1] = ACTIONS(7407),
    [aux_sym_use_statement_token2] = ACTIONS(7407),
    [aux_sym_implicit_statement_token3] = ACTIONS(7407),
    [aux_sym_implicit_statement_token4] = ACTIONS(7407),
    [aux_sym_save_statement_token1] = ACTIONS(7407),
    [aux_sym_private_statement_token1] = ACTIONS(7407),
    [aux_sym_public_statement_token1] = ACTIONS(7407),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7407),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7407),
    [aux_sym_variable_attributes_token2] = ACTIONS(7407),
    [aux_sym_variable_attributes_token3] = ACTIONS(7407),
    [aux_sym_variable_attributes_token5] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7407),
    [aux_sym_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym_stop_statement_token1] = ACTIONS(7407),
    [aux_sym_stop_statement_token2] = ACTIONS(7407),
    [aux_sym_subroutine_call_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token2] = ACTIONS(7407),
    [aux_sym_keyword_statement_token3] = ACTIONS(7407),
    [aux_sym_keyword_statement_token4] = ACTIONS(7407),
    [aux_sym_keyword_statement_token6] = ACTIONS(7407),
    [aux_sym_keyword_statement_token7] = ACTIONS(7407),
    [aux_sym_include_statement_token1] = ACTIONS(7407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7407),
    [aux_sym_end_if_statement_token1] = ACTIONS(7407),
    [aux_sym_elseif_clause_token2] = ACTIONS(7407),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7407),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token3] = ACTIONS(7407),
    [aux_sym_select_type_statement_token1] = ACTIONS(7407),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7407),
    [aux_sym_associate_statement_token1] = ACTIONS(7407),
    [aux_sym_format_statement_token1] = ACTIONS(7407),
    [aux_sym_print_statement_token1] = ACTIONS(7407),
    [aux_sym_open_statement_token1] = ACTIONS(7407),
    [aux_sym_close_statement_token1] = ACTIONS(7407),
    [aux_sym_inquire_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token2] = ACTIONS(7407),
    [aux_sym_file_position_statement_token3] = ACTIONS(7407),
    [aux_sym_file_position_statement_token4] = ACTIONS(7407),
    [aux_sym_allocate_statement_token1] = ACTIONS(7407),
    [aux_sym_entry_statement_token1] = ACTIONS(7407),
    [aux_sym_assign_statement_token1] = ACTIONS(7407),
    [aux_sym_logical_expression_token5] = ACTIONS(7411),
    [anon_sym_DOT] = ACTIONS(7407),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [aux_sym_boolean_literal_token1] = ACTIONS(7411),
    [aux_sym_boolean_literal_token2] = ACTIONS(7411),
    [aux_sym_null_literal_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token2] = ACTIONS(7407),
    [aux_sym_coarray_statement_token6] = ACTIONS(7407),
    [aux_sym_coarray_statement_token8] = ACTIONS(7407),
    [aux_sym_coarray_statement_token11] = ACTIONS(7407),
    [aux_sym_coarray_statement_token12] = ACTIONS(7407),
    [aux_sym_coarray_statement_token13] = ACTIONS(7407),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7407),
    [aux_sym_identifier_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7411),
    [sym__float_literal] = ACTIONS(7411),
    [sym__boz_literal] = ACTIONS(7411),
    [sym__string_literal] = ACTIONS(7411),
    [sym__string_literal_kind] = ACTIONS(7411),
  },
  [2754] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7467),
    [aux_sym_preproc_def_token1] = ACTIONS(7467),
    [aux_sym_preproc_if_token1] = ACTIONS(7467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7467),
    [sym_preproc_directive] = ACTIONS(7467),
    [anon_sym_LPAREN2] = ACTIONS(7467),
    [sym_preproc_comment] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7471),
    [anon_sym_DASH] = ACTIONS(7471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7467),
    [anon_sym_SEMI] = ACTIONS(7471),
    [aux_sym_block_data_statement_token1] = ACTIONS(7467),
    [aux_sym_block_data_statement_token2] = ACTIONS(7467),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7467),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7467),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7467),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7467),
    [aux_sym_contains_statement_token1] = ACTIONS(7467),
    [aux_sym_use_statement_token2] = ACTIONS(7467),
    [aux_sym_implicit_statement_token3] = ACTIONS(7467),
    [aux_sym_implicit_statement_token4] = ACTIONS(7467),
    [aux_sym_save_statement_token1] = ACTIONS(7467),
    [aux_sym_private_statement_token1] = ACTIONS(7467),
    [aux_sym_public_statement_token1] = ACTIONS(7467),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7467),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7467),
    [aux_sym_variable_attributes_token2] = ACTIONS(7467),
    [aux_sym_variable_attributes_token3] = ACTIONS(7467),
    [aux_sym_variable_attributes_token5] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7467),
    [aux_sym_type_qualifier_token1] = ACTIONS(7467),
    [aux_sym_type_qualifier_token2] = ACTIONS(7467),
    [aux_sym_stop_statement_token1] = ACTIONS(7467),
    [aux_sym_stop_statement_token2] = ACTIONS(7467),
    [aux_sym_subroutine_call_token1] = ACTIONS(7467),
    [aux_sym_keyword_statement_token1] = ACTIONS(7467),
    [aux_sym_keyword_statement_token2] = ACTIONS(7467),
    [aux_sym_keyword_statement_token3] = ACTIONS(7467),
    [aux_sym_keyword_statement_token4] = ACTIONS(7467),
    [aux_sym_keyword_statement_token6] = ACTIONS(7467),
    [aux_sym_keyword_statement_token7] = ACTIONS(7467),
    [aux_sym_include_statement_token1] = ACTIONS(7467),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7467),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7467),
    [aux_sym_end_if_statement_token1] = ACTIONS(7467),
    [aux_sym_elseif_clause_token2] = ACTIONS(7467),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7467),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7467),
    [aux_sym_select_case_statement_token1] = ACTIONS(7467),
    [aux_sym_select_case_statement_token3] = ACTIONS(7467),
    [aux_sym_select_type_statement_token1] = ACTIONS(7467),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7467),
    [aux_sym_associate_statement_token1] = ACTIONS(7467),
    [aux_sym_format_statement_token1] = ACTIONS(7467),
    [aux_sym_print_statement_token1] = ACTIONS(7467),
    [aux_sym_open_statement_token1] = ACTIONS(7467),
    [aux_sym_close_statement_token1] = ACTIONS(7467),
    [aux_sym_inquire_statement_token1] = ACTIONS(7467),
    [aux_sym_file_position_statement_token1] = ACTIONS(7467),
    [aux_sym_file_position_statement_token2] = ACTIONS(7467),
    [aux_sym_file_position_statement_token3] = ACTIONS(7467),
    [aux_sym_file_position_statement_token4] = ACTIONS(7467),
    [aux_sym_allocate_statement_token1] = ACTIONS(7467),
    [aux_sym_entry_statement_token1] = ACTIONS(7467),
    [aux_sym_assign_statement_token1] = ACTIONS(7467),
    [aux_sym_logical_expression_token5] = ACTIONS(7471),
    [anon_sym_DOT] = ACTIONS(7467),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7471),
    [aux_sym_boolean_literal_token1] = ACTIONS(7471),
    [aux_sym_boolean_literal_token2] = ACTIONS(7471),
    [aux_sym_null_literal_token1] = ACTIONS(7467),
    [aux_sym_coarray_statement_token1] = ACTIONS(7467),
    [aux_sym_coarray_statement_token2] = ACTIONS(7467),
    [aux_sym_coarray_statement_token6] = ACTIONS(7467),
    [aux_sym_coarray_statement_token8] = ACTIONS(7467),
    [aux_sym_coarray_statement_token11] = ACTIONS(7467),
    [aux_sym_coarray_statement_token12] = ACTIONS(7467),
    [aux_sym_coarray_statement_token13] = ACTIONS(7467),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7467),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7467),
    [aux_sym_identifier_token1] = ACTIONS(7467),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7471),
    [sym__float_literal] = ACTIONS(7471),
    [sym__boz_literal] = ACTIONS(7471),
    [sym__string_literal] = ACTIONS(7471),
    [sym__string_literal_kind] = ACTIONS(7471),
  },
  [2755] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2756] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7475),
    [aux_sym_preproc_def_token1] = ACTIONS(7475),
    [aux_sym_preproc_if_token1] = ACTIONS(7475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7475),
    [sym_preproc_directive] = ACTIONS(7475),
    [anon_sym_LPAREN2] = ACTIONS(7475),
    [sym_preproc_comment] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7479),
    [anon_sym_DASH] = ACTIONS(7479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7475),
    [anon_sym_SEMI] = ACTIONS(7479),
    [aux_sym_block_data_statement_token1] = ACTIONS(7475),
    [aux_sym_block_data_statement_token2] = ACTIONS(7475),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7475),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7475),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7475),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7475),
    [aux_sym_contains_statement_token1] = ACTIONS(7475),
    [aux_sym_use_statement_token2] = ACTIONS(7475),
    [aux_sym_implicit_statement_token3] = ACTIONS(7475),
    [aux_sym_implicit_statement_token4] = ACTIONS(7475),
    [aux_sym_save_statement_token1] = ACTIONS(7475),
    [aux_sym_private_statement_token1] = ACTIONS(7475),
    [aux_sym_public_statement_token1] = ACTIONS(7475),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7475),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7475),
    [aux_sym_variable_attributes_token2] = ACTIONS(7475),
    [aux_sym_variable_attributes_token3] = ACTIONS(7475),
    [aux_sym_variable_attributes_token5] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7475),
    [aux_sym_type_qualifier_token1] = ACTIONS(7475),
    [aux_sym_type_qualifier_token2] = ACTIONS(7475),
    [aux_sym_stop_statement_token1] = ACTIONS(7475),
    [aux_sym_stop_statement_token2] = ACTIONS(7475),
    [aux_sym_subroutine_call_token1] = ACTIONS(7475),
    [aux_sym_keyword_statement_token1] = ACTIONS(7475),
    [aux_sym_keyword_statement_token2] = ACTIONS(7475),
    [aux_sym_keyword_statement_token3] = ACTIONS(7475),
    [aux_sym_keyword_statement_token4] = ACTIONS(7475),
    [aux_sym_keyword_statement_token6] = ACTIONS(7475),
    [aux_sym_keyword_statement_token7] = ACTIONS(7475),
    [aux_sym_include_statement_token1] = ACTIONS(7475),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7475),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7475),
    [aux_sym_end_if_statement_token1] = ACTIONS(7475),
    [aux_sym_elseif_clause_token2] = ACTIONS(7475),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7475),
    [aux_sym_select_case_statement_token1] = ACTIONS(7475),
    [aux_sym_select_case_statement_token3] = ACTIONS(7475),
    [aux_sym_select_type_statement_token1] = ACTIONS(7475),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7475),
    [aux_sym_associate_statement_token1] = ACTIONS(7475),
    [aux_sym_format_statement_token1] = ACTIONS(7475),
    [aux_sym_print_statement_token1] = ACTIONS(7475),
    [aux_sym_open_statement_token1] = ACTIONS(7475),
    [aux_sym_close_statement_token1] = ACTIONS(7475),
    [aux_sym_inquire_statement_token1] = ACTIONS(7475),
    [aux_sym_file_position_statement_token1] = ACTIONS(7475),
    [aux_sym_file_position_statement_token2] = ACTIONS(7475),
    [aux_sym_file_position_statement_token3] = ACTIONS(7475),
    [aux_sym_file_position_statement_token4] = ACTIONS(7475),
    [aux_sym_allocate_statement_token1] = ACTIONS(7475),
    [aux_sym_entry_statement_token1] = ACTIONS(7475),
    [aux_sym_assign_statement_token1] = ACTIONS(7475),
    [aux_sym_logical_expression_token5] = ACTIONS(7479),
    [anon_sym_DOT] = ACTIONS(7475),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [aux_sym_boolean_literal_token1] = ACTIONS(7479),
    [aux_sym_boolean_literal_token2] = ACTIONS(7479),
    [aux_sym_null_literal_token1] = ACTIONS(7475),
    [aux_sym_coarray_statement_token1] = ACTIONS(7475),
    [aux_sym_coarray_statement_token2] = ACTIONS(7475),
    [aux_sym_coarray_statement_token6] = ACTIONS(7475),
    [aux_sym_coarray_statement_token8] = ACTIONS(7475),
    [aux_sym_coarray_statement_token11] = ACTIONS(7475),
    [aux_sym_coarray_statement_token12] = ACTIONS(7475),
    [aux_sym_coarray_statement_token13] = ACTIONS(7475),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7475),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7475),
    [aux_sym_identifier_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7479),
    [sym__float_literal] = ACTIONS(7479),
    [sym__boz_literal] = ACTIONS(7479),
    [sym__string_literal] = ACTIONS(7479),
    [sym__string_literal_kind] = ACTIONS(7479),
  },
  [2757] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token2] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_end_select_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2758] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2759] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7483),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [aux_sym_end_program_statement_token2] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2760] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym_end_where_statement_token1] = ACTIONS(7027),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2761] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2762] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym_end_where_statement_token1] = ACTIONS(6955),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2763] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2764] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym_end_where_statement_token1] = ACTIONS(6993),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym_end_where_statement_token1] = ACTIONS(6949),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2766] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2767] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2768] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym_end_where_statement_token1] = ACTIONS(7023),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2769] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2770] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7467),
    [aux_sym_preproc_def_token1] = ACTIONS(7467),
    [aux_sym_preproc_if_token1] = ACTIONS(7467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7467),
    [sym_preproc_directive] = ACTIONS(7467),
    [anon_sym_LPAREN2] = ACTIONS(7467),
    [sym_preproc_comment] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7471),
    [anon_sym_DASH] = ACTIONS(7471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7467),
    [anon_sym_SEMI] = ACTIONS(7471),
    [aux_sym_block_data_statement_token1] = ACTIONS(7467),
    [aux_sym_block_data_statement_token2] = ACTIONS(7467),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7467),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7467),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7467),
    [aux_sym_end_function_statement_token1] = ACTIONS(7467),
    [aux_sym_contains_statement_token1] = ACTIONS(7467),
    [aux_sym_use_statement_token2] = ACTIONS(7467),
    [aux_sym_implicit_statement_token3] = ACTIONS(7467),
    [aux_sym_implicit_statement_token4] = ACTIONS(7467),
    [aux_sym_save_statement_token1] = ACTIONS(7467),
    [aux_sym_private_statement_token1] = ACTIONS(7467),
    [aux_sym_public_statement_token1] = ACTIONS(7467),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7467),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7467),
    [aux_sym_variable_attributes_token2] = ACTIONS(7467),
    [aux_sym_variable_attributes_token3] = ACTIONS(7467),
    [aux_sym_variable_attributes_token5] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7467),
    [aux_sym_type_qualifier_token1] = ACTIONS(7467),
    [aux_sym_type_qualifier_token2] = ACTIONS(7467),
    [aux_sym_stop_statement_token1] = ACTIONS(7467),
    [aux_sym_stop_statement_token2] = ACTIONS(7467),
    [aux_sym_subroutine_call_token1] = ACTIONS(7467),
    [aux_sym_keyword_statement_token1] = ACTIONS(7467),
    [aux_sym_keyword_statement_token2] = ACTIONS(7467),
    [aux_sym_keyword_statement_token3] = ACTIONS(7467),
    [aux_sym_keyword_statement_token4] = ACTIONS(7467),
    [aux_sym_keyword_statement_token6] = ACTIONS(7467),
    [aux_sym_keyword_statement_token7] = ACTIONS(7467),
    [aux_sym_include_statement_token1] = ACTIONS(7467),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7467),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7467),
    [aux_sym_end_if_statement_token1] = ACTIONS(7467),
    [aux_sym_elseif_clause_token2] = ACTIONS(7467),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7467),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7467),
    [aux_sym_select_case_statement_token1] = ACTIONS(7467),
    [aux_sym_select_case_statement_token3] = ACTIONS(7467),
    [aux_sym_select_type_statement_token1] = ACTIONS(7467),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7467),
    [aux_sym_associate_statement_token1] = ACTIONS(7467),
    [aux_sym_format_statement_token1] = ACTIONS(7467),
    [aux_sym_print_statement_token1] = ACTIONS(7467),
    [aux_sym_open_statement_token1] = ACTIONS(7467),
    [aux_sym_close_statement_token1] = ACTIONS(7467),
    [aux_sym_inquire_statement_token1] = ACTIONS(7467),
    [aux_sym_file_position_statement_token1] = ACTIONS(7467),
    [aux_sym_file_position_statement_token2] = ACTIONS(7467),
    [aux_sym_file_position_statement_token3] = ACTIONS(7467),
    [aux_sym_file_position_statement_token4] = ACTIONS(7467),
    [aux_sym_allocate_statement_token1] = ACTIONS(7467),
    [aux_sym_entry_statement_token1] = ACTIONS(7467),
    [aux_sym_assign_statement_token1] = ACTIONS(7467),
    [aux_sym_logical_expression_token5] = ACTIONS(7471),
    [anon_sym_DOT] = ACTIONS(7467),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7471),
    [aux_sym_boolean_literal_token1] = ACTIONS(7471),
    [aux_sym_boolean_literal_token2] = ACTIONS(7471),
    [aux_sym_null_literal_token1] = ACTIONS(7467),
    [aux_sym_coarray_statement_token1] = ACTIONS(7467),
    [aux_sym_coarray_statement_token2] = ACTIONS(7467),
    [aux_sym_coarray_statement_token6] = ACTIONS(7467),
    [aux_sym_coarray_statement_token8] = ACTIONS(7467),
    [aux_sym_coarray_statement_token11] = ACTIONS(7467),
    [aux_sym_coarray_statement_token12] = ACTIONS(7467),
    [aux_sym_coarray_statement_token13] = ACTIONS(7467),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7467),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7467),
    [aux_sym_identifier_token1] = ACTIONS(7467),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7471),
    [sym__float_literal] = ACTIONS(7471),
    [sym__boz_literal] = ACTIONS(7471),
    [sym__string_literal] = ACTIONS(7471),
    [sym__string_literal_kind] = ACTIONS(7471),
  },
  [2771] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7475),
    [aux_sym_preproc_def_token1] = ACTIONS(7475),
    [aux_sym_preproc_if_token1] = ACTIONS(7475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7475),
    [sym_preproc_directive] = ACTIONS(7475),
    [anon_sym_LPAREN2] = ACTIONS(7475),
    [sym_preproc_comment] = ACTIONS(7487),
    [anon_sym_PLUS] = ACTIONS(7479),
    [anon_sym_DASH] = ACTIONS(7479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7475),
    [anon_sym_SEMI] = ACTIONS(7479),
    [aux_sym_block_data_statement_token1] = ACTIONS(7475),
    [aux_sym_block_data_statement_token2] = ACTIONS(7475),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7475),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7475),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7475),
    [aux_sym_end_function_statement_token1] = ACTIONS(7475),
    [aux_sym_contains_statement_token1] = ACTIONS(7475),
    [aux_sym_use_statement_token2] = ACTIONS(7475),
    [aux_sym_implicit_statement_token3] = ACTIONS(7475),
    [aux_sym_implicit_statement_token4] = ACTIONS(7475),
    [aux_sym_save_statement_token1] = ACTIONS(7475),
    [aux_sym_private_statement_token1] = ACTIONS(7475),
    [aux_sym_public_statement_token1] = ACTIONS(7475),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7475),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7475),
    [aux_sym_variable_attributes_token2] = ACTIONS(7475),
    [aux_sym_variable_attributes_token3] = ACTIONS(7475),
    [aux_sym_variable_attributes_token5] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7475),
    [aux_sym_type_qualifier_token1] = ACTIONS(7475),
    [aux_sym_type_qualifier_token2] = ACTIONS(7475),
    [aux_sym_stop_statement_token1] = ACTIONS(7475),
    [aux_sym_stop_statement_token2] = ACTIONS(7475),
    [aux_sym_subroutine_call_token1] = ACTIONS(7475),
    [aux_sym_keyword_statement_token1] = ACTIONS(7475),
    [aux_sym_keyword_statement_token2] = ACTIONS(7475),
    [aux_sym_keyword_statement_token3] = ACTIONS(7475),
    [aux_sym_keyword_statement_token4] = ACTIONS(7475),
    [aux_sym_keyword_statement_token6] = ACTIONS(7475),
    [aux_sym_keyword_statement_token7] = ACTIONS(7475),
    [aux_sym_include_statement_token1] = ACTIONS(7475),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7475),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7475),
    [aux_sym_end_if_statement_token1] = ACTIONS(7475),
    [aux_sym_elseif_clause_token2] = ACTIONS(7475),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7475),
    [aux_sym_select_case_statement_token1] = ACTIONS(7475),
    [aux_sym_select_case_statement_token3] = ACTIONS(7475),
    [aux_sym_select_type_statement_token1] = ACTIONS(7475),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7475),
    [aux_sym_associate_statement_token1] = ACTIONS(7475),
    [aux_sym_format_statement_token1] = ACTIONS(7475),
    [aux_sym_print_statement_token1] = ACTIONS(7475),
    [aux_sym_open_statement_token1] = ACTIONS(7475),
    [aux_sym_close_statement_token1] = ACTIONS(7475),
    [aux_sym_inquire_statement_token1] = ACTIONS(7475),
    [aux_sym_file_position_statement_token1] = ACTIONS(7475),
    [aux_sym_file_position_statement_token2] = ACTIONS(7475),
    [aux_sym_file_position_statement_token3] = ACTIONS(7475),
    [aux_sym_file_position_statement_token4] = ACTIONS(7475),
    [aux_sym_allocate_statement_token1] = ACTIONS(7475),
    [aux_sym_entry_statement_token1] = ACTIONS(7475),
    [aux_sym_assign_statement_token1] = ACTIONS(7475),
    [aux_sym_logical_expression_token5] = ACTIONS(7479),
    [anon_sym_DOT] = ACTIONS(7475),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [aux_sym_boolean_literal_token1] = ACTIONS(7479),
    [aux_sym_boolean_literal_token2] = ACTIONS(7479),
    [aux_sym_null_literal_token1] = ACTIONS(7475),
    [aux_sym_coarray_statement_token1] = ACTIONS(7475),
    [aux_sym_coarray_statement_token2] = ACTIONS(7475),
    [aux_sym_coarray_statement_token6] = ACTIONS(7475),
    [aux_sym_coarray_statement_token8] = ACTIONS(7475),
    [aux_sym_coarray_statement_token11] = ACTIONS(7475),
    [aux_sym_coarray_statement_token12] = ACTIONS(7475),
    [aux_sym_coarray_statement_token13] = ACTIONS(7475),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7475),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7475),
    [aux_sym_identifier_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7479),
    [sym__float_literal] = ACTIONS(7479),
    [sym__boz_literal] = ACTIONS(7479),
    [sym__string_literal] = ACTIONS(7479),
    [sym__string_literal_kind] = ACTIONS(7479),
  },
  [2772] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7337),
    [aux_sym_preproc_def_token1] = ACTIONS(7337),
    [aux_sym_preproc_if_token1] = ACTIONS(7337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7337),
    [sym_preproc_directive] = ACTIONS(7337),
    [anon_sym_LPAREN2] = ACTIONS(7337),
    [sym_preproc_comment] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7337),
    [anon_sym_SEMI] = ACTIONS(7341),
    [aux_sym_block_data_statement_token1] = ACTIONS(7337),
    [aux_sym_block_data_statement_token2] = ACTIONS(7337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7337),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7337),
    [aux_sym_contains_statement_token1] = ACTIONS(7337),
    [aux_sym_use_statement_token2] = ACTIONS(7337),
    [aux_sym_implicit_statement_token3] = ACTIONS(7337),
    [aux_sym_implicit_statement_token4] = ACTIONS(7337),
    [aux_sym_save_statement_token1] = ACTIONS(7337),
    [aux_sym_private_statement_token1] = ACTIONS(7337),
    [aux_sym_public_statement_token1] = ACTIONS(7337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7337),
    [aux_sym_variable_attributes_token2] = ACTIONS(7337),
    [aux_sym_variable_attributes_token3] = ACTIONS(7337),
    [aux_sym_variable_attributes_token5] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7337),
    [aux_sym_type_qualifier_token1] = ACTIONS(7337),
    [aux_sym_type_qualifier_token2] = ACTIONS(7337),
    [aux_sym_stop_statement_token1] = ACTIONS(7337),
    [aux_sym_stop_statement_token2] = ACTIONS(7337),
    [aux_sym_subroutine_call_token1] = ACTIONS(7337),
    [aux_sym_keyword_statement_token1] = ACTIONS(7337),
    [aux_sym_keyword_statement_token2] = ACTIONS(7337),
    [aux_sym_keyword_statement_token3] = ACTIONS(7337),
    [aux_sym_keyword_statement_token4] = ACTIONS(7337),
    [aux_sym_keyword_statement_token6] = ACTIONS(7337),
    [aux_sym_keyword_statement_token7] = ACTIONS(7337),
    [aux_sym_include_statement_token1] = ACTIONS(7337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7337),
    [aux_sym_end_if_statement_token1] = ACTIONS(7337),
    [aux_sym_elseif_clause_token2] = ACTIONS(7337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7337),
    [aux_sym_select_case_statement_token1] = ACTIONS(7337),
    [aux_sym_select_case_statement_token3] = ACTIONS(7337),
    [aux_sym_select_type_statement_token1] = ACTIONS(7337),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7337),
    [aux_sym_associate_statement_token1] = ACTIONS(7337),
    [aux_sym_format_statement_token1] = ACTIONS(7337),
    [aux_sym_print_statement_token1] = ACTIONS(7337),
    [aux_sym_open_statement_token1] = ACTIONS(7337),
    [aux_sym_close_statement_token1] = ACTIONS(7337),
    [aux_sym_inquire_statement_token1] = ACTIONS(7337),
    [aux_sym_file_position_statement_token1] = ACTIONS(7337),
    [aux_sym_file_position_statement_token2] = ACTIONS(7337),
    [aux_sym_file_position_statement_token3] = ACTIONS(7337),
    [aux_sym_file_position_statement_token4] = ACTIONS(7337),
    [aux_sym_allocate_statement_token1] = ACTIONS(7337),
    [aux_sym_entry_statement_token1] = ACTIONS(7337),
    [aux_sym_assign_statement_token1] = ACTIONS(7337),
    [aux_sym_logical_expression_token5] = ACTIONS(7341),
    [anon_sym_DOT] = ACTIONS(7337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [aux_sym_boolean_literal_token1] = ACTIONS(7341),
    [aux_sym_boolean_literal_token2] = ACTIONS(7341),
    [aux_sym_null_literal_token1] = ACTIONS(7337),
    [aux_sym_coarray_statement_token1] = ACTIONS(7337),
    [aux_sym_coarray_statement_token2] = ACTIONS(7337),
    [aux_sym_coarray_statement_token6] = ACTIONS(7337),
    [aux_sym_coarray_statement_token8] = ACTIONS(7337),
    [aux_sym_coarray_statement_token11] = ACTIONS(7337),
    [aux_sym_coarray_statement_token12] = ACTIONS(7337),
    [aux_sym_coarray_statement_token13] = ACTIONS(7337),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7337),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7337),
    [aux_sym_identifier_token1] = ACTIONS(7337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7341),
    [sym__float_literal] = ACTIONS(7341),
    [sym__boz_literal] = ACTIONS(7341),
    [sym__string_literal] = ACTIONS(7341),
    [sym__string_literal_kind] = ACTIONS(7341),
  },
  [2773] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7491),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2774] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym_end_where_statement_token1] = ACTIONS(7017),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2776] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym_end_where_statement_token1] = ACTIONS(7011),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2777] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym_end_where_statement_token1] = ACTIONS(6903),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2778] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2779] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token2] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_end_select_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2780] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7495),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2781] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym_end_where_statement_token1] = ACTIONS(6967),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2782] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7343),
    [aux_sym_preproc_def_token1] = ACTIONS(7343),
    [aux_sym_preproc_if_token1] = ACTIONS(7343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7343),
    [sym_preproc_directive] = ACTIONS(7343),
    [anon_sym_LPAREN2] = ACTIONS(7343),
    [sym_preproc_comment] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7347),
    [anon_sym_DASH] = ACTIONS(7347),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7343),
    [anon_sym_SEMI] = ACTIONS(7347),
    [aux_sym_block_data_statement_token1] = ACTIONS(7343),
    [aux_sym_block_data_statement_token2] = ACTIONS(7343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7343),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7343),
    [aux_sym_contains_statement_token1] = ACTIONS(7343),
    [aux_sym_use_statement_token2] = ACTIONS(7343),
    [aux_sym_implicit_statement_token3] = ACTIONS(7343),
    [aux_sym_implicit_statement_token4] = ACTIONS(7343),
    [aux_sym_save_statement_token1] = ACTIONS(7343),
    [aux_sym_private_statement_token1] = ACTIONS(7343),
    [aux_sym_public_statement_token1] = ACTIONS(7343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7343),
    [aux_sym_variable_attributes_token2] = ACTIONS(7343),
    [aux_sym_variable_attributes_token3] = ACTIONS(7343),
    [aux_sym_variable_attributes_token5] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7343),
    [aux_sym_type_qualifier_token1] = ACTIONS(7343),
    [aux_sym_type_qualifier_token2] = ACTIONS(7343),
    [aux_sym_stop_statement_token1] = ACTIONS(7343),
    [aux_sym_stop_statement_token2] = ACTIONS(7343),
    [aux_sym_subroutine_call_token1] = ACTIONS(7343),
    [aux_sym_keyword_statement_token1] = ACTIONS(7343),
    [aux_sym_keyword_statement_token2] = ACTIONS(7343),
    [aux_sym_keyword_statement_token3] = ACTIONS(7343),
    [aux_sym_keyword_statement_token4] = ACTIONS(7343),
    [aux_sym_keyword_statement_token6] = ACTIONS(7343),
    [aux_sym_keyword_statement_token7] = ACTIONS(7343),
    [aux_sym_include_statement_token1] = ACTIONS(7343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7343),
    [aux_sym_end_if_statement_token1] = ACTIONS(7343),
    [aux_sym_elseif_clause_token2] = ACTIONS(7343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7343),
    [aux_sym_select_case_statement_token1] = ACTIONS(7343),
    [aux_sym_select_case_statement_token3] = ACTIONS(7343),
    [aux_sym_select_type_statement_token1] = ACTIONS(7343),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7343),
    [aux_sym_associate_statement_token1] = ACTIONS(7343),
    [aux_sym_format_statement_token1] = ACTIONS(7343),
    [aux_sym_print_statement_token1] = ACTIONS(7343),
    [aux_sym_open_statement_token1] = ACTIONS(7343),
    [aux_sym_close_statement_token1] = ACTIONS(7343),
    [aux_sym_inquire_statement_token1] = ACTIONS(7343),
    [aux_sym_file_position_statement_token1] = ACTIONS(7343),
    [aux_sym_file_position_statement_token2] = ACTIONS(7343),
    [aux_sym_file_position_statement_token3] = ACTIONS(7343),
    [aux_sym_file_position_statement_token4] = ACTIONS(7343),
    [aux_sym_allocate_statement_token1] = ACTIONS(7343),
    [aux_sym_entry_statement_token1] = ACTIONS(7343),
    [aux_sym_assign_statement_token1] = ACTIONS(7343),
    [aux_sym_logical_expression_token5] = ACTIONS(7347),
    [anon_sym_DOT] = ACTIONS(7343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7347),
    [aux_sym_boolean_literal_token1] = ACTIONS(7347),
    [aux_sym_boolean_literal_token2] = ACTIONS(7347),
    [aux_sym_null_literal_token1] = ACTIONS(7343),
    [aux_sym_coarray_statement_token1] = ACTIONS(7343),
    [aux_sym_coarray_statement_token2] = ACTIONS(7343),
    [aux_sym_coarray_statement_token6] = ACTIONS(7343),
    [aux_sym_coarray_statement_token8] = ACTIONS(7343),
    [aux_sym_coarray_statement_token11] = ACTIONS(7343),
    [aux_sym_coarray_statement_token12] = ACTIONS(7343),
    [aux_sym_coarray_statement_token13] = ACTIONS(7343),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7343),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7343),
    [aux_sym_identifier_token1] = ACTIONS(7343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7347),
    [sym__float_literal] = ACTIONS(7347),
    [sym__boz_literal] = ACTIONS(7347),
    [sym__string_literal] = ACTIONS(7347),
    [sym__string_literal_kind] = ACTIONS(7347),
  },
  [2783] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym_end_where_statement_token1] = ACTIONS(6997),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2784] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7499),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token2] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_end_select_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2785] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym_end_where_statement_token1] = ACTIONS(7007),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2786] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym_end_where_statement_token1] = ACTIONS(7037),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2787] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7355),
    [aux_sym_preproc_def_token1] = ACTIONS(7355),
    [aux_sym_preproc_if_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7355),
    [sym_preproc_directive] = ACTIONS(7355),
    [anon_sym_LPAREN2] = ACTIONS(7355),
    [sym_preproc_comment] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7355),
    [anon_sym_SEMI] = ACTIONS(7359),
    [aux_sym_block_data_statement_token1] = ACTIONS(7355),
    [aux_sym_block_data_statement_token2] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7355),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7355),
    [aux_sym_contains_statement_token1] = ACTIONS(7355),
    [aux_sym_use_statement_token2] = ACTIONS(7355),
    [aux_sym_implicit_statement_token3] = ACTIONS(7355),
    [aux_sym_implicit_statement_token4] = ACTIONS(7355),
    [aux_sym_save_statement_token1] = ACTIONS(7355),
    [aux_sym_private_statement_token1] = ACTIONS(7355),
    [aux_sym_public_statement_token1] = ACTIONS(7355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7355),
    [aux_sym_variable_attributes_token2] = ACTIONS(7355),
    [aux_sym_variable_attributes_token3] = ACTIONS(7355),
    [aux_sym_variable_attributes_token5] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7355),
    [aux_sym_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym_stop_statement_token1] = ACTIONS(7355),
    [aux_sym_stop_statement_token2] = ACTIONS(7355),
    [aux_sym_subroutine_call_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token2] = ACTIONS(7355),
    [aux_sym_keyword_statement_token3] = ACTIONS(7355),
    [aux_sym_keyword_statement_token4] = ACTIONS(7355),
    [aux_sym_keyword_statement_token6] = ACTIONS(7355),
    [aux_sym_keyword_statement_token7] = ACTIONS(7355),
    [aux_sym_include_statement_token1] = ACTIONS(7355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7355),
    [aux_sym_end_if_statement_token1] = ACTIONS(7355),
    [aux_sym_elseif_clause_token2] = ACTIONS(7355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token3] = ACTIONS(7355),
    [aux_sym_select_type_statement_token1] = ACTIONS(7355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7355),
    [aux_sym_associate_statement_token1] = ACTIONS(7355),
    [aux_sym_format_statement_token1] = ACTIONS(7355),
    [aux_sym_print_statement_token1] = ACTIONS(7355),
    [aux_sym_open_statement_token1] = ACTIONS(7355),
    [aux_sym_close_statement_token1] = ACTIONS(7355),
    [aux_sym_inquire_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token2] = ACTIONS(7355),
    [aux_sym_file_position_statement_token3] = ACTIONS(7355),
    [aux_sym_file_position_statement_token4] = ACTIONS(7355),
    [aux_sym_allocate_statement_token1] = ACTIONS(7355),
    [aux_sym_entry_statement_token1] = ACTIONS(7355),
    [aux_sym_assign_statement_token1] = ACTIONS(7355),
    [aux_sym_logical_expression_token5] = ACTIONS(7359),
    [anon_sym_DOT] = ACTIONS(7355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [aux_sym_boolean_literal_token1] = ACTIONS(7359),
    [aux_sym_boolean_literal_token2] = ACTIONS(7359),
    [aux_sym_null_literal_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token2] = ACTIONS(7355),
    [aux_sym_coarray_statement_token6] = ACTIONS(7355),
    [aux_sym_coarray_statement_token8] = ACTIONS(7355),
    [aux_sym_coarray_statement_token11] = ACTIONS(7355),
    [aux_sym_coarray_statement_token12] = ACTIONS(7355),
    [aux_sym_coarray_statement_token13] = ACTIONS(7355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7355),
    [aux_sym_identifier_token1] = ACTIONS(7355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7359),
    [sym__float_literal] = ACTIONS(7359),
    [sym__boz_literal] = ACTIONS(7359),
    [sym__string_literal] = ACTIONS(7359),
    [sym__string_literal_kind] = ACTIONS(7359),
  },
  [2788] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym_end_where_statement_token1] = ACTIONS(7001),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2789] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7349),
    [aux_sym_preproc_def_token1] = ACTIONS(7349),
    [aux_sym_preproc_if_token1] = ACTIONS(7349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7349),
    [sym_preproc_directive] = ACTIONS(7349),
    [anon_sym_LPAREN2] = ACTIONS(7349),
    [sym_preproc_comment] = ACTIONS(7503),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7349),
    [anon_sym_SEMI] = ACTIONS(7353),
    [aux_sym_block_data_statement_token1] = ACTIONS(7349),
    [aux_sym_block_data_statement_token2] = ACTIONS(7349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7349),
    [aux_sym_end_function_statement_token1] = ACTIONS(7349),
    [aux_sym_contains_statement_token1] = ACTIONS(7349),
    [aux_sym_use_statement_token2] = ACTIONS(7349),
    [aux_sym_implicit_statement_token3] = ACTIONS(7349),
    [aux_sym_implicit_statement_token4] = ACTIONS(7349),
    [aux_sym_save_statement_token1] = ACTIONS(7349),
    [aux_sym_private_statement_token1] = ACTIONS(7349),
    [aux_sym_public_statement_token1] = ACTIONS(7349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7349),
    [aux_sym_variable_attributes_token2] = ACTIONS(7349),
    [aux_sym_variable_attributes_token3] = ACTIONS(7349),
    [aux_sym_variable_attributes_token5] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7349),
    [aux_sym_type_qualifier_token1] = ACTIONS(7349),
    [aux_sym_type_qualifier_token2] = ACTIONS(7349),
    [aux_sym_stop_statement_token1] = ACTIONS(7349),
    [aux_sym_stop_statement_token2] = ACTIONS(7349),
    [aux_sym_subroutine_call_token1] = ACTIONS(7349),
    [aux_sym_keyword_statement_token1] = ACTIONS(7349),
    [aux_sym_keyword_statement_token2] = ACTIONS(7349),
    [aux_sym_keyword_statement_token3] = ACTIONS(7349),
    [aux_sym_keyword_statement_token4] = ACTIONS(7349),
    [aux_sym_keyword_statement_token6] = ACTIONS(7349),
    [aux_sym_keyword_statement_token7] = ACTIONS(7349),
    [aux_sym_include_statement_token1] = ACTIONS(7349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7349),
    [aux_sym_end_if_statement_token1] = ACTIONS(7349),
    [aux_sym_elseif_clause_token2] = ACTIONS(7349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7349),
    [aux_sym_select_case_statement_token1] = ACTIONS(7349),
    [aux_sym_select_case_statement_token3] = ACTIONS(7349),
    [aux_sym_select_type_statement_token1] = ACTIONS(7349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7349),
    [aux_sym_associate_statement_token1] = ACTIONS(7349),
    [aux_sym_format_statement_token1] = ACTIONS(7349),
    [aux_sym_print_statement_token1] = ACTIONS(7349),
    [aux_sym_open_statement_token1] = ACTIONS(7349),
    [aux_sym_close_statement_token1] = ACTIONS(7349),
    [aux_sym_inquire_statement_token1] = ACTIONS(7349),
    [aux_sym_file_position_statement_token1] = ACTIONS(7349),
    [aux_sym_file_position_statement_token2] = ACTIONS(7349),
    [aux_sym_file_position_statement_token3] = ACTIONS(7349),
    [aux_sym_file_position_statement_token4] = ACTIONS(7349),
    [aux_sym_allocate_statement_token1] = ACTIONS(7349),
    [aux_sym_entry_statement_token1] = ACTIONS(7349),
    [aux_sym_assign_statement_token1] = ACTIONS(7349),
    [aux_sym_logical_expression_token5] = ACTIONS(7353),
    [anon_sym_DOT] = ACTIONS(7349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7353),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [aux_sym_boolean_literal_token1] = ACTIONS(7353),
    [aux_sym_boolean_literal_token2] = ACTIONS(7353),
    [aux_sym_null_literal_token1] = ACTIONS(7349),
    [aux_sym_coarray_statement_token1] = ACTIONS(7349),
    [aux_sym_coarray_statement_token2] = ACTIONS(7349),
    [aux_sym_coarray_statement_token6] = ACTIONS(7349),
    [aux_sym_coarray_statement_token8] = ACTIONS(7349),
    [aux_sym_coarray_statement_token11] = ACTIONS(7349),
    [aux_sym_coarray_statement_token12] = ACTIONS(7349),
    [aux_sym_coarray_statement_token13] = ACTIONS(7349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7349),
    [aux_sym_identifier_token1] = ACTIONS(7349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7353),
    [sym__float_literal] = ACTIONS(7353),
    [sym__boz_literal] = ACTIONS(7353),
    [sym__string_literal] = ACTIONS(7353),
    [sym__string_literal_kind] = ACTIONS(7353),
  },
  [2790] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7361),
    [aux_sym_preproc_def_token1] = ACTIONS(7361),
    [aux_sym_preproc_if_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7361),
    [sym_preproc_directive] = ACTIONS(7361),
    [anon_sym_LPAREN2] = ACTIONS(7361),
    [sym_preproc_comment] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7361),
    [anon_sym_SEMI] = ACTIONS(7365),
    [aux_sym_block_data_statement_token1] = ACTIONS(7361),
    [aux_sym_block_data_statement_token2] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7361),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7361),
    [aux_sym_contains_statement_token1] = ACTIONS(7361),
    [aux_sym_use_statement_token2] = ACTIONS(7361),
    [aux_sym_implicit_statement_token3] = ACTIONS(7361),
    [aux_sym_implicit_statement_token4] = ACTIONS(7361),
    [aux_sym_save_statement_token1] = ACTIONS(7361),
    [aux_sym_private_statement_token1] = ACTIONS(7361),
    [aux_sym_public_statement_token1] = ACTIONS(7361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7361),
    [aux_sym_variable_attributes_token2] = ACTIONS(7361),
    [aux_sym_variable_attributes_token3] = ACTIONS(7361),
    [aux_sym_variable_attributes_token5] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7361),
    [aux_sym_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym_stop_statement_token1] = ACTIONS(7361),
    [aux_sym_stop_statement_token2] = ACTIONS(7361),
    [aux_sym_subroutine_call_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token2] = ACTIONS(7361),
    [aux_sym_keyword_statement_token3] = ACTIONS(7361),
    [aux_sym_keyword_statement_token4] = ACTIONS(7361),
    [aux_sym_keyword_statement_token6] = ACTIONS(7361),
    [aux_sym_keyword_statement_token7] = ACTIONS(7361),
    [aux_sym_include_statement_token1] = ACTIONS(7361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7361),
    [aux_sym_end_if_statement_token1] = ACTIONS(7361),
    [aux_sym_elseif_clause_token2] = ACTIONS(7361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token3] = ACTIONS(7361),
    [aux_sym_select_type_statement_token1] = ACTIONS(7361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7361),
    [aux_sym_associate_statement_token1] = ACTIONS(7361),
    [aux_sym_format_statement_token1] = ACTIONS(7361),
    [aux_sym_print_statement_token1] = ACTIONS(7361),
    [aux_sym_open_statement_token1] = ACTIONS(7361),
    [aux_sym_close_statement_token1] = ACTIONS(7361),
    [aux_sym_inquire_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token2] = ACTIONS(7361),
    [aux_sym_file_position_statement_token3] = ACTIONS(7361),
    [aux_sym_file_position_statement_token4] = ACTIONS(7361),
    [aux_sym_allocate_statement_token1] = ACTIONS(7361),
    [aux_sym_entry_statement_token1] = ACTIONS(7361),
    [aux_sym_assign_statement_token1] = ACTIONS(7361),
    [aux_sym_logical_expression_token5] = ACTIONS(7365),
    [anon_sym_DOT] = ACTIONS(7361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [aux_sym_boolean_literal_token1] = ACTIONS(7365),
    [aux_sym_boolean_literal_token2] = ACTIONS(7365),
    [aux_sym_null_literal_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token2] = ACTIONS(7361),
    [aux_sym_coarray_statement_token6] = ACTIONS(7361),
    [aux_sym_coarray_statement_token8] = ACTIONS(7361),
    [aux_sym_coarray_statement_token11] = ACTIONS(7361),
    [aux_sym_coarray_statement_token12] = ACTIONS(7361),
    [aux_sym_coarray_statement_token13] = ACTIONS(7361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7361),
    [aux_sym_identifier_token1] = ACTIONS(7361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7365),
    [sym__float_literal] = ACTIONS(7365),
    [sym__boz_literal] = ACTIONS(7365),
    [sym__string_literal] = ACTIONS(7365),
    [sym__string_literal_kind] = ACTIONS(7365),
  },
  [2791] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7253),
    [aux_sym_preproc_def_token1] = ACTIONS(7253),
    [aux_sym_preproc_if_token1] = ACTIONS(7253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7253),
    [sym_preproc_directive] = ACTIONS(7253),
    [anon_sym_LPAREN2] = ACTIONS(7253),
    [sym_preproc_comment] = ACTIONS(7507),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7253),
    [anon_sym_SEMI] = ACTIONS(7257),
    [aux_sym_block_data_statement_token1] = ACTIONS(7253),
    [aux_sym_block_data_statement_token2] = ACTIONS(7253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7253),
    [aux_sym_end_function_statement_token1] = ACTIONS(7253),
    [aux_sym_contains_statement_token1] = ACTIONS(7253),
    [aux_sym_use_statement_token2] = ACTIONS(7253),
    [aux_sym_implicit_statement_token3] = ACTIONS(7253),
    [aux_sym_implicit_statement_token4] = ACTIONS(7253),
    [aux_sym_save_statement_token1] = ACTIONS(7253),
    [aux_sym_private_statement_token1] = ACTIONS(7253),
    [aux_sym_public_statement_token1] = ACTIONS(7253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7253),
    [aux_sym_variable_attributes_token2] = ACTIONS(7253),
    [aux_sym_variable_attributes_token3] = ACTIONS(7253),
    [aux_sym_variable_attributes_token5] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7253),
    [aux_sym_type_qualifier_token1] = ACTIONS(7253),
    [aux_sym_type_qualifier_token2] = ACTIONS(7253),
    [aux_sym_stop_statement_token1] = ACTIONS(7253),
    [aux_sym_stop_statement_token2] = ACTIONS(7253),
    [aux_sym_subroutine_call_token1] = ACTIONS(7253),
    [aux_sym_keyword_statement_token1] = ACTIONS(7253),
    [aux_sym_keyword_statement_token2] = ACTIONS(7253),
    [aux_sym_keyword_statement_token3] = ACTIONS(7253),
    [aux_sym_keyword_statement_token4] = ACTIONS(7253),
    [aux_sym_keyword_statement_token6] = ACTIONS(7253),
    [aux_sym_keyword_statement_token7] = ACTIONS(7253),
    [aux_sym_include_statement_token1] = ACTIONS(7253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7253),
    [aux_sym_end_if_statement_token1] = ACTIONS(7253),
    [aux_sym_elseif_clause_token2] = ACTIONS(7253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7253),
    [aux_sym_select_case_statement_token1] = ACTIONS(7253),
    [aux_sym_select_case_statement_token3] = ACTIONS(7253),
    [aux_sym_select_type_statement_token1] = ACTIONS(7253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7253),
    [aux_sym_associate_statement_token1] = ACTIONS(7253),
    [aux_sym_format_statement_token1] = ACTIONS(7253),
    [aux_sym_print_statement_token1] = ACTIONS(7253),
    [aux_sym_open_statement_token1] = ACTIONS(7253),
    [aux_sym_close_statement_token1] = ACTIONS(7253),
    [aux_sym_inquire_statement_token1] = ACTIONS(7253),
    [aux_sym_file_position_statement_token1] = ACTIONS(7253),
    [aux_sym_file_position_statement_token2] = ACTIONS(7253),
    [aux_sym_file_position_statement_token3] = ACTIONS(7253),
    [aux_sym_file_position_statement_token4] = ACTIONS(7253),
    [aux_sym_allocate_statement_token1] = ACTIONS(7253),
    [aux_sym_entry_statement_token1] = ACTIONS(7253),
    [aux_sym_assign_statement_token1] = ACTIONS(7253),
    [aux_sym_logical_expression_token5] = ACTIONS(7257),
    [anon_sym_DOT] = ACTIONS(7253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [aux_sym_boolean_literal_token1] = ACTIONS(7257),
    [aux_sym_boolean_literal_token2] = ACTIONS(7257),
    [aux_sym_null_literal_token1] = ACTIONS(7253),
    [aux_sym_coarray_statement_token1] = ACTIONS(7253),
    [aux_sym_coarray_statement_token2] = ACTIONS(7253),
    [aux_sym_coarray_statement_token6] = ACTIONS(7253),
    [aux_sym_coarray_statement_token8] = ACTIONS(7253),
    [aux_sym_coarray_statement_token11] = ACTIONS(7253),
    [aux_sym_coarray_statement_token12] = ACTIONS(7253),
    [aux_sym_coarray_statement_token13] = ACTIONS(7253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7253),
    [aux_sym_identifier_token1] = ACTIONS(7253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7257),
    [sym__float_literal] = ACTIONS(7257),
    [sym__boz_literal] = ACTIONS(7257),
    [sym__string_literal] = ACTIONS(7257),
    [sym__string_literal_kind] = ACTIONS(7257),
  },
  [2792] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7253),
    [aux_sym_preproc_def_token1] = ACTIONS(7253),
    [aux_sym_preproc_if_token1] = ACTIONS(7253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7253),
    [sym_preproc_directive] = ACTIONS(7253),
    [anon_sym_LPAREN2] = ACTIONS(7253),
    [sym_preproc_comment] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7253),
    [anon_sym_SEMI] = ACTIONS(7257),
    [aux_sym_block_data_statement_token1] = ACTIONS(7253),
    [aux_sym_block_data_statement_token2] = ACTIONS(7253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7253),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7253),
    [aux_sym_contains_statement_token1] = ACTIONS(7253),
    [aux_sym_use_statement_token2] = ACTIONS(7253),
    [aux_sym_implicit_statement_token3] = ACTIONS(7253),
    [aux_sym_implicit_statement_token4] = ACTIONS(7253),
    [aux_sym_save_statement_token1] = ACTIONS(7253),
    [aux_sym_private_statement_token1] = ACTIONS(7253),
    [aux_sym_public_statement_token1] = ACTIONS(7253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7253),
    [aux_sym_variable_attributes_token2] = ACTIONS(7253),
    [aux_sym_variable_attributes_token3] = ACTIONS(7253),
    [aux_sym_variable_attributes_token5] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7253),
    [aux_sym_type_qualifier_token1] = ACTIONS(7253),
    [aux_sym_type_qualifier_token2] = ACTIONS(7253),
    [aux_sym_stop_statement_token1] = ACTIONS(7253),
    [aux_sym_stop_statement_token2] = ACTIONS(7253),
    [aux_sym_subroutine_call_token1] = ACTIONS(7253),
    [aux_sym_keyword_statement_token1] = ACTIONS(7253),
    [aux_sym_keyword_statement_token2] = ACTIONS(7253),
    [aux_sym_keyword_statement_token3] = ACTIONS(7253),
    [aux_sym_keyword_statement_token4] = ACTIONS(7253),
    [aux_sym_keyword_statement_token6] = ACTIONS(7253),
    [aux_sym_keyword_statement_token7] = ACTIONS(7253),
    [aux_sym_include_statement_token1] = ACTIONS(7253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7253),
    [aux_sym_end_if_statement_token1] = ACTIONS(7253),
    [aux_sym_elseif_clause_token2] = ACTIONS(7253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7253),
    [aux_sym_select_case_statement_token1] = ACTIONS(7253),
    [aux_sym_select_case_statement_token3] = ACTIONS(7253),
    [aux_sym_select_type_statement_token1] = ACTIONS(7253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7253),
    [aux_sym_associate_statement_token1] = ACTIONS(7253),
    [aux_sym_format_statement_token1] = ACTIONS(7253),
    [aux_sym_print_statement_token1] = ACTIONS(7253),
    [aux_sym_open_statement_token1] = ACTIONS(7253),
    [aux_sym_close_statement_token1] = ACTIONS(7253),
    [aux_sym_inquire_statement_token1] = ACTIONS(7253),
    [aux_sym_file_position_statement_token1] = ACTIONS(7253),
    [aux_sym_file_position_statement_token2] = ACTIONS(7253),
    [aux_sym_file_position_statement_token3] = ACTIONS(7253),
    [aux_sym_file_position_statement_token4] = ACTIONS(7253),
    [aux_sym_allocate_statement_token1] = ACTIONS(7253),
    [aux_sym_entry_statement_token1] = ACTIONS(7253),
    [aux_sym_assign_statement_token1] = ACTIONS(7253),
    [aux_sym_logical_expression_token5] = ACTIONS(7257),
    [anon_sym_DOT] = ACTIONS(7253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [aux_sym_boolean_literal_token1] = ACTIONS(7257),
    [aux_sym_boolean_literal_token2] = ACTIONS(7257),
    [aux_sym_null_literal_token1] = ACTIONS(7253),
    [aux_sym_coarray_statement_token1] = ACTIONS(7253),
    [aux_sym_coarray_statement_token2] = ACTIONS(7253),
    [aux_sym_coarray_statement_token6] = ACTIONS(7253),
    [aux_sym_coarray_statement_token8] = ACTIONS(7253),
    [aux_sym_coarray_statement_token11] = ACTIONS(7253),
    [aux_sym_coarray_statement_token12] = ACTIONS(7253),
    [aux_sym_coarray_statement_token13] = ACTIONS(7253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7253),
    [aux_sym_identifier_token1] = ACTIONS(7253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7257),
    [sym__float_literal] = ACTIONS(7257),
    [sym__boz_literal] = ACTIONS(7257),
    [sym__string_literal] = ACTIONS(7257),
    [sym__string_literal_kind] = ACTIONS(7257),
  },
  [2793] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7239),
    [aux_sym_preproc_def_token1] = ACTIONS(7239),
    [aux_sym_preproc_if_token1] = ACTIONS(7239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7239),
    [sym_preproc_directive] = ACTIONS(7239),
    [anon_sym_LPAREN2] = ACTIONS(7239),
    [sym_preproc_comment] = ACTIONS(7511),
    [anon_sym_PLUS] = ACTIONS(7243),
    [anon_sym_DASH] = ACTIONS(7243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7239),
    [anon_sym_SEMI] = ACTIONS(7243),
    [aux_sym_block_data_statement_token1] = ACTIONS(7239),
    [aux_sym_block_data_statement_token2] = ACTIONS(7239),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7239),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7239),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7239),
    [aux_sym_end_function_statement_token1] = ACTIONS(7239),
    [aux_sym_contains_statement_token1] = ACTIONS(7239),
    [aux_sym_use_statement_token2] = ACTIONS(7239),
    [aux_sym_implicit_statement_token3] = ACTIONS(7239),
    [aux_sym_implicit_statement_token4] = ACTIONS(7239),
    [aux_sym_save_statement_token1] = ACTIONS(7239),
    [aux_sym_private_statement_token1] = ACTIONS(7239),
    [aux_sym_public_statement_token1] = ACTIONS(7239),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7239),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7239),
    [aux_sym_variable_attributes_token2] = ACTIONS(7239),
    [aux_sym_variable_attributes_token3] = ACTIONS(7239),
    [aux_sym_variable_attributes_token5] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7239),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7239),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7239),
    [aux_sym_type_qualifier_token1] = ACTIONS(7239),
    [aux_sym_type_qualifier_token2] = ACTIONS(7239),
    [aux_sym_stop_statement_token1] = ACTIONS(7239),
    [aux_sym_stop_statement_token2] = ACTIONS(7239),
    [aux_sym_subroutine_call_token1] = ACTIONS(7239),
    [aux_sym_keyword_statement_token1] = ACTIONS(7239),
    [aux_sym_keyword_statement_token2] = ACTIONS(7239),
    [aux_sym_keyword_statement_token3] = ACTIONS(7239),
    [aux_sym_keyword_statement_token4] = ACTIONS(7239),
    [aux_sym_keyword_statement_token6] = ACTIONS(7239),
    [aux_sym_keyword_statement_token7] = ACTIONS(7239),
    [aux_sym_include_statement_token1] = ACTIONS(7239),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7239),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7239),
    [aux_sym_end_if_statement_token1] = ACTIONS(7239),
    [aux_sym_elseif_clause_token2] = ACTIONS(7239),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7239),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7239),
    [aux_sym_select_case_statement_token1] = ACTIONS(7239),
    [aux_sym_select_case_statement_token3] = ACTIONS(7239),
    [aux_sym_select_type_statement_token1] = ACTIONS(7239),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7239),
    [aux_sym_associate_statement_token1] = ACTIONS(7239),
    [aux_sym_format_statement_token1] = ACTIONS(7239),
    [aux_sym_print_statement_token1] = ACTIONS(7239),
    [aux_sym_open_statement_token1] = ACTIONS(7239),
    [aux_sym_close_statement_token1] = ACTIONS(7239),
    [aux_sym_inquire_statement_token1] = ACTIONS(7239),
    [aux_sym_file_position_statement_token1] = ACTIONS(7239),
    [aux_sym_file_position_statement_token2] = ACTIONS(7239),
    [aux_sym_file_position_statement_token3] = ACTIONS(7239),
    [aux_sym_file_position_statement_token4] = ACTIONS(7239),
    [aux_sym_allocate_statement_token1] = ACTIONS(7239),
    [aux_sym_entry_statement_token1] = ACTIONS(7239),
    [aux_sym_assign_statement_token1] = ACTIONS(7239),
    [aux_sym_logical_expression_token5] = ACTIONS(7243),
    [anon_sym_DOT] = ACTIONS(7239),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7243),
    [aux_sym_boolean_literal_token1] = ACTIONS(7243),
    [aux_sym_boolean_literal_token2] = ACTIONS(7243),
    [aux_sym_null_literal_token1] = ACTIONS(7239),
    [aux_sym_coarray_statement_token1] = ACTIONS(7239),
    [aux_sym_coarray_statement_token2] = ACTIONS(7239),
    [aux_sym_coarray_statement_token6] = ACTIONS(7239),
    [aux_sym_coarray_statement_token8] = ACTIONS(7239),
    [aux_sym_coarray_statement_token11] = ACTIONS(7239),
    [aux_sym_coarray_statement_token12] = ACTIONS(7239),
    [aux_sym_coarray_statement_token13] = ACTIONS(7239),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7239),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7239),
    [aux_sym_identifier_token1] = ACTIONS(7239),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7243),
    [sym__float_literal] = ACTIONS(7243),
    [sym__boz_literal] = ACTIONS(7243),
    [sym__string_literal] = ACTIONS(7243),
    [sym__string_literal_kind] = ACTIONS(7243),
  },
  [2794] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7377),
    [aux_sym_preproc_def_token1] = ACTIONS(7377),
    [aux_sym_preproc_if_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7377),
    [sym_preproc_directive] = ACTIONS(7377),
    [anon_sym_LPAREN2] = ACTIONS(7377),
    [sym_preproc_comment] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(7381),
    [aux_sym_block_data_statement_token1] = ACTIONS(7377),
    [aux_sym_block_data_statement_token2] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7377),
    [aux_sym_end_function_statement_token1] = ACTIONS(7377),
    [aux_sym_contains_statement_token1] = ACTIONS(7377),
    [aux_sym_use_statement_token2] = ACTIONS(7377),
    [aux_sym_implicit_statement_token3] = ACTIONS(7377),
    [aux_sym_implicit_statement_token4] = ACTIONS(7377),
    [aux_sym_save_statement_token1] = ACTIONS(7377),
    [aux_sym_private_statement_token1] = ACTIONS(7377),
    [aux_sym_public_statement_token1] = ACTIONS(7377),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7377),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7377),
    [aux_sym_variable_attributes_token2] = ACTIONS(7377),
    [aux_sym_variable_attributes_token3] = ACTIONS(7377),
    [aux_sym_variable_attributes_token5] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7377),
    [aux_sym_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym_stop_statement_token1] = ACTIONS(7377),
    [aux_sym_stop_statement_token2] = ACTIONS(7377),
    [aux_sym_subroutine_call_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token2] = ACTIONS(7377),
    [aux_sym_keyword_statement_token3] = ACTIONS(7377),
    [aux_sym_keyword_statement_token4] = ACTIONS(7377),
    [aux_sym_keyword_statement_token6] = ACTIONS(7377),
    [aux_sym_keyword_statement_token7] = ACTIONS(7377),
    [aux_sym_include_statement_token1] = ACTIONS(7377),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7377),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7377),
    [aux_sym_end_if_statement_token1] = ACTIONS(7377),
    [aux_sym_elseif_clause_token2] = ACTIONS(7377),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7377),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token3] = ACTIONS(7377),
    [aux_sym_select_type_statement_token1] = ACTIONS(7377),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7377),
    [aux_sym_associate_statement_token1] = ACTIONS(7377),
    [aux_sym_format_statement_token1] = ACTIONS(7377),
    [aux_sym_print_statement_token1] = ACTIONS(7377),
    [aux_sym_open_statement_token1] = ACTIONS(7377),
    [aux_sym_close_statement_token1] = ACTIONS(7377),
    [aux_sym_inquire_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token2] = ACTIONS(7377),
    [aux_sym_file_position_statement_token3] = ACTIONS(7377),
    [aux_sym_file_position_statement_token4] = ACTIONS(7377),
    [aux_sym_allocate_statement_token1] = ACTIONS(7377),
    [aux_sym_entry_statement_token1] = ACTIONS(7377),
    [aux_sym_assign_statement_token1] = ACTIONS(7377),
    [aux_sym_logical_expression_token5] = ACTIONS(7381),
    [anon_sym_DOT] = ACTIONS(7377),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [aux_sym_boolean_literal_token1] = ACTIONS(7381),
    [aux_sym_boolean_literal_token2] = ACTIONS(7381),
    [aux_sym_null_literal_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token2] = ACTIONS(7377),
    [aux_sym_coarray_statement_token6] = ACTIONS(7377),
    [aux_sym_coarray_statement_token8] = ACTIONS(7377),
    [aux_sym_coarray_statement_token11] = ACTIONS(7377),
    [aux_sym_coarray_statement_token12] = ACTIONS(7377),
    [aux_sym_coarray_statement_token13] = ACTIONS(7377),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7377),
    [aux_sym_identifier_token1] = ACTIONS(7377),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7381),
    [sym__float_literal] = ACTIONS(7381),
    [sym__boz_literal] = ACTIONS(7381),
    [sym__string_literal] = ACTIONS(7381),
    [sym__string_literal_kind] = ACTIONS(7381),
  },
  [2795] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7515),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token2] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_end_select_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2796] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7467),
    [aux_sym_preproc_def_token1] = ACTIONS(7467),
    [aux_sym_preproc_if_token1] = ACTIONS(7467),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7467),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7467),
    [sym_preproc_directive] = ACTIONS(7467),
    [anon_sym_LPAREN2] = ACTIONS(7467),
    [sym_preproc_comment] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7471),
    [anon_sym_DASH] = ACTIONS(7471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7467),
    [anon_sym_SEMI] = ACTIONS(7471),
    [aux_sym_block_data_statement_token1] = ACTIONS(7467),
    [aux_sym_block_data_statement_token2] = ACTIONS(7467),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7467),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7467),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7467),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7467),
    [aux_sym_contains_statement_token1] = ACTIONS(7467),
    [aux_sym_use_statement_token2] = ACTIONS(7467),
    [aux_sym_implicit_statement_token3] = ACTIONS(7467),
    [aux_sym_implicit_statement_token4] = ACTIONS(7467),
    [aux_sym_save_statement_token1] = ACTIONS(7467),
    [aux_sym_private_statement_token1] = ACTIONS(7467),
    [aux_sym_public_statement_token1] = ACTIONS(7467),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7467),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7467),
    [aux_sym_variable_attributes_token2] = ACTIONS(7467),
    [aux_sym_variable_attributes_token3] = ACTIONS(7467),
    [aux_sym_variable_attributes_token5] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7467),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7467),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7467),
    [aux_sym_type_qualifier_token1] = ACTIONS(7467),
    [aux_sym_type_qualifier_token2] = ACTIONS(7467),
    [aux_sym_stop_statement_token1] = ACTIONS(7467),
    [aux_sym_stop_statement_token2] = ACTIONS(7467),
    [aux_sym_subroutine_call_token1] = ACTIONS(7467),
    [aux_sym_keyword_statement_token1] = ACTIONS(7467),
    [aux_sym_keyword_statement_token2] = ACTIONS(7467),
    [aux_sym_keyword_statement_token3] = ACTIONS(7467),
    [aux_sym_keyword_statement_token4] = ACTIONS(7467),
    [aux_sym_keyword_statement_token6] = ACTIONS(7467),
    [aux_sym_keyword_statement_token7] = ACTIONS(7467),
    [aux_sym_include_statement_token1] = ACTIONS(7467),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7467),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7467),
    [aux_sym_end_if_statement_token1] = ACTIONS(7467),
    [aux_sym_elseif_clause_token2] = ACTIONS(7467),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7467),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7467),
    [aux_sym_select_case_statement_token1] = ACTIONS(7467),
    [aux_sym_select_case_statement_token3] = ACTIONS(7467),
    [aux_sym_select_type_statement_token1] = ACTIONS(7467),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7467),
    [aux_sym_associate_statement_token1] = ACTIONS(7467),
    [aux_sym_format_statement_token1] = ACTIONS(7467),
    [aux_sym_print_statement_token1] = ACTIONS(7467),
    [aux_sym_open_statement_token1] = ACTIONS(7467),
    [aux_sym_close_statement_token1] = ACTIONS(7467),
    [aux_sym_inquire_statement_token1] = ACTIONS(7467),
    [aux_sym_file_position_statement_token1] = ACTIONS(7467),
    [aux_sym_file_position_statement_token2] = ACTIONS(7467),
    [aux_sym_file_position_statement_token3] = ACTIONS(7467),
    [aux_sym_file_position_statement_token4] = ACTIONS(7467),
    [aux_sym_allocate_statement_token1] = ACTIONS(7467),
    [aux_sym_entry_statement_token1] = ACTIONS(7467),
    [aux_sym_assign_statement_token1] = ACTIONS(7467),
    [aux_sym_logical_expression_token5] = ACTIONS(7471),
    [anon_sym_DOT] = ACTIONS(7467),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7471),
    [aux_sym_boolean_literal_token1] = ACTIONS(7471),
    [aux_sym_boolean_literal_token2] = ACTIONS(7471),
    [aux_sym_null_literal_token1] = ACTIONS(7467),
    [aux_sym_coarray_statement_token1] = ACTIONS(7467),
    [aux_sym_coarray_statement_token2] = ACTIONS(7467),
    [aux_sym_coarray_statement_token6] = ACTIONS(7467),
    [aux_sym_coarray_statement_token8] = ACTIONS(7467),
    [aux_sym_coarray_statement_token11] = ACTIONS(7467),
    [aux_sym_coarray_statement_token12] = ACTIONS(7467),
    [aux_sym_coarray_statement_token13] = ACTIONS(7467),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7467),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7467),
    [aux_sym_identifier_token1] = ACTIONS(7467),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7471),
    [sym__float_literal] = ACTIONS(7471),
    [sym__boz_literal] = ACTIONS(7471),
    [sym__string_literal] = ACTIONS(7471),
    [sym__string_literal_kind] = ACTIONS(7471),
  },
  [2797] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7519),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2798] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_contains_statement_token1] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7523),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token2] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_end_select_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2800] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7475),
    [aux_sym_preproc_def_token1] = ACTIONS(7475),
    [aux_sym_preproc_if_token1] = ACTIONS(7475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7475),
    [sym_preproc_directive] = ACTIONS(7475),
    [anon_sym_LPAREN2] = ACTIONS(7475),
    [sym_preproc_comment] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7479),
    [anon_sym_DASH] = ACTIONS(7479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7475),
    [anon_sym_SEMI] = ACTIONS(7479),
    [aux_sym_block_data_statement_token1] = ACTIONS(7475),
    [aux_sym_block_data_statement_token2] = ACTIONS(7475),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7475),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7475),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7475),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7475),
    [aux_sym_contains_statement_token1] = ACTIONS(7475),
    [aux_sym_use_statement_token2] = ACTIONS(7475),
    [aux_sym_implicit_statement_token3] = ACTIONS(7475),
    [aux_sym_implicit_statement_token4] = ACTIONS(7475),
    [aux_sym_save_statement_token1] = ACTIONS(7475),
    [aux_sym_private_statement_token1] = ACTIONS(7475),
    [aux_sym_public_statement_token1] = ACTIONS(7475),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7475),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7475),
    [aux_sym_variable_attributes_token2] = ACTIONS(7475),
    [aux_sym_variable_attributes_token3] = ACTIONS(7475),
    [aux_sym_variable_attributes_token5] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7475),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7475),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7475),
    [aux_sym_type_qualifier_token1] = ACTIONS(7475),
    [aux_sym_type_qualifier_token2] = ACTIONS(7475),
    [aux_sym_stop_statement_token1] = ACTIONS(7475),
    [aux_sym_stop_statement_token2] = ACTIONS(7475),
    [aux_sym_subroutine_call_token1] = ACTIONS(7475),
    [aux_sym_keyword_statement_token1] = ACTIONS(7475),
    [aux_sym_keyword_statement_token2] = ACTIONS(7475),
    [aux_sym_keyword_statement_token3] = ACTIONS(7475),
    [aux_sym_keyword_statement_token4] = ACTIONS(7475),
    [aux_sym_keyword_statement_token6] = ACTIONS(7475),
    [aux_sym_keyword_statement_token7] = ACTIONS(7475),
    [aux_sym_include_statement_token1] = ACTIONS(7475),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7475),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7475),
    [aux_sym_end_if_statement_token1] = ACTIONS(7475),
    [aux_sym_elseif_clause_token2] = ACTIONS(7475),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7475),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7475),
    [aux_sym_select_case_statement_token1] = ACTIONS(7475),
    [aux_sym_select_case_statement_token3] = ACTIONS(7475),
    [aux_sym_select_type_statement_token1] = ACTIONS(7475),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7475),
    [aux_sym_associate_statement_token1] = ACTIONS(7475),
    [aux_sym_format_statement_token1] = ACTIONS(7475),
    [aux_sym_print_statement_token1] = ACTIONS(7475),
    [aux_sym_open_statement_token1] = ACTIONS(7475),
    [aux_sym_close_statement_token1] = ACTIONS(7475),
    [aux_sym_inquire_statement_token1] = ACTIONS(7475),
    [aux_sym_file_position_statement_token1] = ACTIONS(7475),
    [aux_sym_file_position_statement_token2] = ACTIONS(7475),
    [aux_sym_file_position_statement_token3] = ACTIONS(7475),
    [aux_sym_file_position_statement_token4] = ACTIONS(7475),
    [aux_sym_allocate_statement_token1] = ACTIONS(7475),
    [aux_sym_entry_statement_token1] = ACTIONS(7475),
    [aux_sym_assign_statement_token1] = ACTIONS(7475),
    [aux_sym_logical_expression_token5] = ACTIONS(7479),
    [anon_sym_DOT] = ACTIONS(7475),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [aux_sym_boolean_literal_token1] = ACTIONS(7479),
    [aux_sym_boolean_literal_token2] = ACTIONS(7479),
    [aux_sym_null_literal_token1] = ACTIONS(7475),
    [aux_sym_coarray_statement_token1] = ACTIONS(7475),
    [aux_sym_coarray_statement_token2] = ACTIONS(7475),
    [aux_sym_coarray_statement_token6] = ACTIONS(7475),
    [aux_sym_coarray_statement_token8] = ACTIONS(7475),
    [aux_sym_coarray_statement_token11] = ACTIONS(7475),
    [aux_sym_coarray_statement_token12] = ACTIONS(7475),
    [aux_sym_coarray_statement_token13] = ACTIONS(7475),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7475),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7475),
    [aux_sym_identifier_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7479),
    [sym__float_literal] = ACTIONS(7479),
    [sym__boz_literal] = ACTIONS(7479),
    [sym__string_literal] = ACTIONS(7479),
    [sym__string_literal_kind] = ACTIONS(7479),
  },
  [2801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7527),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_end_function_statement_token1] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_contains_statement_token1] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2803] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7531),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_end_function_statement_token1] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7535),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token2] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_end_select_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2806] = {
    [sym__expression] = STATE(5157),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_assumed_size] = STATE(7990),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7539),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7337),
    [aux_sym_preproc_def_token1] = ACTIONS(7337),
    [aux_sym_preproc_if_token1] = ACTIONS(7337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7337),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7337),
    [sym_preproc_directive] = ACTIONS(7337),
    [anon_sym_LPAREN2] = ACTIONS(7337),
    [sym_preproc_comment] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7337),
    [anon_sym_SEMI] = ACTIONS(7341),
    [aux_sym_block_data_statement_token1] = ACTIONS(7337),
    [aux_sym_block_data_statement_token2] = ACTIONS(7337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7337),
    [aux_sym_end_function_statement_token1] = ACTIONS(7337),
    [aux_sym_contains_statement_token1] = ACTIONS(7337),
    [aux_sym_use_statement_token2] = ACTIONS(7337),
    [aux_sym_implicit_statement_token3] = ACTIONS(7337),
    [aux_sym_implicit_statement_token4] = ACTIONS(7337),
    [aux_sym_save_statement_token1] = ACTIONS(7337),
    [aux_sym_private_statement_token1] = ACTIONS(7337),
    [aux_sym_public_statement_token1] = ACTIONS(7337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7337),
    [aux_sym_variable_attributes_token2] = ACTIONS(7337),
    [aux_sym_variable_attributes_token3] = ACTIONS(7337),
    [aux_sym_variable_attributes_token5] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7337),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7337),
    [aux_sym_type_qualifier_token1] = ACTIONS(7337),
    [aux_sym_type_qualifier_token2] = ACTIONS(7337),
    [aux_sym_stop_statement_token1] = ACTIONS(7337),
    [aux_sym_stop_statement_token2] = ACTIONS(7337),
    [aux_sym_subroutine_call_token1] = ACTIONS(7337),
    [aux_sym_keyword_statement_token1] = ACTIONS(7337),
    [aux_sym_keyword_statement_token2] = ACTIONS(7337),
    [aux_sym_keyword_statement_token3] = ACTIONS(7337),
    [aux_sym_keyword_statement_token4] = ACTIONS(7337),
    [aux_sym_keyword_statement_token6] = ACTIONS(7337),
    [aux_sym_keyword_statement_token7] = ACTIONS(7337),
    [aux_sym_include_statement_token1] = ACTIONS(7337),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7337),
    [aux_sym_end_if_statement_token1] = ACTIONS(7337),
    [aux_sym_elseif_clause_token2] = ACTIONS(7337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7337),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7337),
    [aux_sym_select_case_statement_token1] = ACTIONS(7337),
    [aux_sym_select_case_statement_token3] = ACTIONS(7337),
    [aux_sym_select_type_statement_token1] = ACTIONS(7337),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7337),
    [aux_sym_associate_statement_token1] = ACTIONS(7337),
    [aux_sym_format_statement_token1] = ACTIONS(7337),
    [aux_sym_print_statement_token1] = ACTIONS(7337),
    [aux_sym_open_statement_token1] = ACTIONS(7337),
    [aux_sym_close_statement_token1] = ACTIONS(7337),
    [aux_sym_inquire_statement_token1] = ACTIONS(7337),
    [aux_sym_file_position_statement_token1] = ACTIONS(7337),
    [aux_sym_file_position_statement_token2] = ACTIONS(7337),
    [aux_sym_file_position_statement_token3] = ACTIONS(7337),
    [aux_sym_file_position_statement_token4] = ACTIONS(7337),
    [aux_sym_allocate_statement_token1] = ACTIONS(7337),
    [aux_sym_entry_statement_token1] = ACTIONS(7337),
    [aux_sym_assign_statement_token1] = ACTIONS(7337),
    [aux_sym_logical_expression_token5] = ACTIONS(7341),
    [anon_sym_DOT] = ACTIONS(7337),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7341),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [aux_sym_boolean_literal_token1] = ACTIONS(7341),
    [aux_sym_boolean_literal_token2] = ACTIONS(7341),
    [aux_sym_null_literal_token1] = ACTIONS(7337),
    [aux_sym_coarray_statement_token1] = ACTIONS(7337),
    [aux_sym_coarray_statement_token2] = ACTIONS(7337),
    [aux_sym_coarray_statement_token6] = ACTIONS(7337),
    [aux_sym_coarray_statement_token8] = ACTIONS(7337),
    [aux_sym_coarray_statement_token11] = ACTIONS(7337),
    [aux_sym_coarray_statement_token12] = ACTIONS(7337),
    [aux_sym_coarray_statement_token13] = ACTIONS(7337),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7337),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7337),
    [aux_sym_identifier_token1] = ACTIONS(7337),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7341),
    [sym__float_literal] = ACTIONS(7341),
    [sym__boz_literal] = ACTIONS(7341),
    [sym__string_literal] = ACTIONS(7341),
    [sym__string_literal_kind] = ACTIONS(7341),
  },
  [2808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7343),
    [aux_sym_preproc_def_token1] = ACTIONS(7343),
    [aux_sym_preproc_if_token1] = ACTIONS(7343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7343),
    [sym_preproc_directive] = ACTIONS(7343),
    [anon_sym_LPAREN2] = ACTIONS(7343),
    [sym_preproc_comment] = ACTIONS(7543),
    [anon_sym_PLUS] = ACTIONS(7347),
    [anon_sym_DASH] = ACTIONS(7347),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7343),
    [anon_sym_SEMI] = ACTIONS(7347),
    [aux_sym_block_data_statement_token1] = ACTIONS(7343),
    [aux_sym_block_data_statement_token2] = ACTIONS(7343),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7343),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7343),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7343),
    [aux_sym_end_function_statement_token1] = ACTIONS(7343),
    [aux_sym_contains_statement_token1] = ACTIONS(7343),
    [aux_sym_use_statement_token2] = ACTIONS(7343),
    [aux_sym_implicit_statement_token3] = ACTIONS(7343),
    [aux_sym_implicit_statement_token4] = ACTIONS(7343),
    [aux_sym_save_statement_token1] = ACTIONS(7343),
    [aux_sym_private_statement_token1] = ACTIONS(7343),
    [aux_sym_public_statement_token1] = ACTIONS(7343),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7343),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7343),
    [aux_sym_variable_attributes_token2] = ACTIONS(7343),
    [aux_sym_variable_attributes_token3] = ACTIONS(7343),
    [aux_sym_variable_attributes_token5] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7343),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7343),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7343),
    [aux_sym_type_qualifier_token1] = ACTIONS(7343),
    [aux_sym_type_qualifier_token2] = ACTIONS(7343),
    [aux_sym_stop_statement_token1] = ACTIONS(7343),
    [aux_sym_stop_statement_token2] = ACTIONS(7343),
    [aux_sym_subroutine_call_token1] = ACTIONS(7343),
    [aux_sym_keyword_statement_token1] = ACTIONS(7343),
    [aux_sym_keyword_statement_token2] = ACTIONS(7343),
    [aux_sym_keyword_statement_token3] = ACTIONS(7343),
    [aux_sym_keyword_statement_token4] = ACTIONS(7343),
    [aux_sym_keyword_statement_token6] = ACTIONS(7343),
    [aux_sym_keyword_statement_token7] = ACTIONS(7343),
    [aux_sym_include_statement_token1] = ACTIONS(7343),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7343),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7343),
    [aux_sym_end_if_statement_token1] = ACTIONS(7343),
    [aux_sym_elseif_clause_token2] = ACTIONS(7343),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7343),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7343),
    [aux_sym_select_case_statement_token1] = ACTIONS(7343),
    [aux_sym_select_case_statement_token3] = ACTIONS(7343),
    [aux_sym_select_type_statement_token1] = ACTIONS(7343),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7343),
    [aux_sym_associate_statement_token1] = ACTIONS(7343),
    [aux_sym_format_statement_token1] = ACTIONS(7343),
    [aux_sym_print_statement_token1] = ACTIONS(7343),
    [aux_sym_open_statement_token1] = ACTIONS(7343),
    [aux_sym_close_statement_token1] = ACTIONS(7343),
    [aux_sym_inquire_statement_token1] = ACTIONS(7343),
    [aux_sym_file_position_statement_token1] = ACTIONS(7343),
    [aux_sym_file_position_statement_token2] = ACTIONS(7343),
    [aux_sym_file_position_statement_token3] = ACTIONS(7343),
    [aux_sym_file_position_statement_token4] = ACTIONS(7343),
    [aux_sym_allocate_statement_token1] = ACTIONS(7343),
    [aux_sym_entry_statement_token1] = ACTIONS(7343),
    [aux_sym_assign_statement_token1] = ACTIONS(7343),
    [aux_sym_logical_expression_token5] = ACTIONS(7347),
    [anon_sym_DOT] = ACTIONS(7343),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7347),
    [aux_sym_boolean_literal_token1] = ACTIONS(7347),
    [aux_sym_boolean_literal_token2] = ACTIONS(7347),
    [aux_sym_null_literal_token1] = ACTIONS(7343),
    [aux_sym_coarray_statement_token1] = ACTIONS(7343),
    [aux_sym_coarray_statement_token2] = ACTIONS(7343),
    [aux_sym_coarray_statement_token6] = ACTIONS(7343),
    [aux_sym_coarray_statement_token8] = ACTIONS(7343),
    [aux_sym_coarray_statement_token11] = ACTIONS(7343),
    [aux_sym_coarray_statement_token12] = ACTIONS(7343),
    [aux_sym_coarray_statement_token13] = ACTIONS(7343),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7343),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7343),
    [aux_sym_identifier_token1] = ACTIONS(7343),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7347),
    [sym__float_literal] = ACTIONS(7347),
    [sym__boz_literal] = ACTIONS(7347),
    [sym__string_literal] = ACTIONS(7347),
    [sym__string_literal_kind] = ACTIONS(7347),
  },
  [2809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [aux_sym_end_program_statement_token2] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_contains_statement_token1] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7355),
    [aux_sym_preproc_def_token1] = ACTIONS(7355),
    [aux_sym_preproc_if_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7355),
    [sym_preproc_directive] = ACTIONS(7355),
    [anon_sym_LPAREN2] = ACTIONS(7355),
    [sym_preproc_comment] = ACTIONS(7547),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7355),
    [anon_sym_SEMI] = ACTIONS(7359),
    [aux_sym_block_data_statement_token1] = ACTIONS(7355),
    [aux_sym_block_data_statement_token2] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7355),
    [aux_sym_end_function_statement_token1] = ACTIONS(7355),
    [aux_sym_contains_statement_token1] = ACTIONS(7355),
    [aux_sym_use_statement_token2] = ACTIONS(7355),
    [aux_sym_implicit_statement_token3] = ACTIONS(7355),
    [aux_sym_implicit_statement_token4] = ACTIONS(7355),
    [aux_sym_save_statement_token1] = ACTIONS(7355),
    [aux_sym_private_statement_token1] = ACTIONS(7355),
    [aux_sym_public_statement_token1] = ACTIONS(7355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7355),
    [aux_sym_variable_attributes_token2] = ACTIONS(7355),
    [aux_sym_variable_attributes_token3] = ACTIONS(7355),
    [aux_sym_variable_attributes_token5] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7355),
    [aux_sym_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym_stop_statement_token1] = ACTIONS(7355),
    [aux_sym_stop_statement_token2] = ACTIONS(7355),
    [aux_sym_subroutine_call_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token2] = ACTIONS(7355),
    [aux_sym_keyword_statement_token3] = ACTIONS(7355),
    [aux_sym_keyword_statement_token4] = ACTIONS(7355),
    [aux_sym_keyword_statement_token6] = ACTIONS(7355),
    [aux_sym_keyword_statement_token7] = ACTIONS(7355),
    [aux_sym_include_statement_token1] = ACTIONS(7355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7355),
    [aux_sym_end_if_statement_token1] = ACTIONS(7355),
    [aux_sym_elseif_clause_token2] = ACTIONS(7355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token3] = ACTIONS(7355),
    [aux_sym_select_type_statement_token1] = ACTIONS(7355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7355),
    [aux_sym_associate_statement_token1] = ACTIONS(7355),
    [aux_sym_format_statement_token1] = ACTIONS(7355),
    [aux_sym_print_statement_token1] = ACTIONS(7355),
    [aux_sym_open_statement_token1] = ACTIONS(7355),
    [aux_sym_close_statement_token1] = ACTIONS(7355),
    [aux_sym_inquire_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token2] = ACTIONS(7355),
    [aux_sym_file_position_statement_token3] = ACTIONS(7355),
    [aux_sym_file_position_statement_token4] = ACTIONS(7355),
    [aux_sym_allocate_statement_token1] = ACTIONS(7355),
    [aux_sym_entry_statement_token1] = ACTIONS(7355),
    [aux_sym_assign_statement_token1] = ACTIONS(7355),
    [aux_sym_logical_expression_token5] = ACTIONS(7359),
    [anon_sym_DOT] = ACTIONS(7355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [aux_sym_boolean_literal_token1] = ACTIONS(7359),
    [aux_sym_boolean_literal_token2] = ACTIONS(7359),
    [aux_sym_null_literal_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token2] = ACTIONS(7355),
    [aux_sym_coarray_statement_token6] = ACTIONS(7355),
    [aux_sym_coarray_statement_token8] = ACTIONS(7355),
    [aux_sym_coarray_statement_token11] = ACTIONS(7355),
    [aux_sym_coarray_statement_token12] = ACTIONS(7355),
    [aux_sym_coarray_statement_token13] = ACTIONS(7355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7355),
    [aux_sym_identifier_token1] = ACTIONS(7355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7359),
    [sym__float_literal] = ACTIONS(7359),
    [sym__boz_literal] = ACTIONS(7359),
    [sym__string_literal] = ACTIONS(7359),
    [sym__string_literal_kind] = ACTIONS(7359),
  },
  [2811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7361),
    [aux_sym_preproc_def_token1] = ACTIONS(7361),
    [aux_sym_preproc_if_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7361),
    [sym_preproc_directive] = ACTIONS(7361),
    [anon_sym_LPAREN2] = ACTIONS(7361),
    [sym_preproc_comment] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7361),
    [anon_sym_SEMI] = ACTIONS(7365),
    [aux_sym_block_data_statement_token1] = ACTIONS(7361),
    [aux_sym_block_data_statement_token2] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7361),
    [aux_sym_end_function_statement_token1] = ACTIONS(7361),
    [aux_sym_contains_statement_token1] = ACTIONS(7361),
    [aux_sym_use_statement_token2] = ACTIONS(7361),
    [aux_sym_implicit_statement_token3] = ACTIONS(7361),
    [aux_sym_implicit_statement_token4] = ACTIONS(7361),
    [aux_sym_save_statement_token1] = ACTIONS(7361),
    [aux_sym_private_statement_token1] = ACTIONS(7361),
    [aux_sym_public_statement_token1] = ACTIONS(7361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7361),
    [aux_sym_variable_attributes_token2] = ACTIONS(7361),
    [aux_sym_variable_attributes_token3] = ACTIONS(7361),
    [aux_sym_variable_attributes_token5] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7361),
    [aux_sym_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym_stop_statement_token1] = ACTIONS(7361),
    [aux_sym_stop_statement_token2] = ACTIONS(7361),
    [aux_sym_subroutine_call_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token2] = ACTIONS(7361),
    [aux_sym_keyword_statement_token3] = ACTIONS(7361),
    [aux_sym_keyword_statement_token4] = ACTIONS(7361),
    [aux_sym_keyword_statement_token6] = ACTIONS(7361),
    [aux_sym_keyword_statement_token7] = ACTIONS(7361),
    [aux_sym_include_statement_token1] = ACTIONS(7361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7361),
    [aux_sym_end_if_statement_token1] = ACTIONS(7361),
    [aux_sym_elseif_clause_token2] = ACTIONS(7361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token3] = ACTIONS(7361),
    [aux_sym_select_type_statement_token1] = ACTIONS(7361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7361),
    [aux_sym_associate_statement_token1] = ACTIONS(7361),
    [aux_sym_format_statement_token1] = ACTIONS(7361),
    [aux_sym_print_statement_token1] = ACTIONS(7361),
    [aux_sym_open_statement_token1] = ACTIONS(7361),
    [aux_sym_close_statement_token1] = ACTIONS(7361),
    [aux_sym_inquire_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token2] = ACTIONS(7361),
    [aux_sym_file_position_statement_token3] = ACTIONS(7361),
    [aux_sym_file_position_statement_token4] = ACTIONS(7361),
    [aux_sym_allocate_statement_token1] = ACTIONS(7361),
    [aux_sym_entry_statement_token1] = ACTIONS(7361),
    [aux_sym_assign_statement_token1] = ACTIONS(7361),
    [aux_sym_logical_expression_token5] = ACTIONS(7365),
    [anon_sym_DOT] = ACTIONS(7361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [aux_sym_boolean_literal_token1] = ACTIONS(7365),
    [aux_sym_boolean_literal_token2] = ACTIONS(7365),
    [aux_sym_null_literal_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token2] = ACTIONS(7361),
    [aux_sym_coarray_statement_token6] = ACTIONS(7361),
    [aux_sym_coarray_statement_token8] = ACTIONS(7361),
    [aux_sym_coarray_statement_token11] = ACTIONS(7361),
    [aux_sym_coarray_statement_token12] = ACTIONS(7361),
    [aux_sym_coarray_statement_token13] = ACTIONS(7361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7361),
    [aux_sym_identifier_token1] = ACTIONS(7361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7365),
    [sym__float_literal] = ACTIONS(7365),
    [sym__boz_literal] = ACTIONS(7365),
    [sym__string_literal] = ACTIONS(7365),
    [sym__string_literal_kind] = ACTIONS(7365),
  },
  [2812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token2] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7551),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_contains_statement_token1] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7555),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_contains_statement_token1] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_contains_statement_token1] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token2] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7559),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_contains_statement_token1] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7563),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_contains_statement_token1] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_end_function_statement_token1] = ACTIONS(6865),
    [aux_sym_contains_statement_token1] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7567),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token2] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_end_select_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7229),
    [aux_sym_preproc_def_token1] = ACTIONS(7229),
    [aux_sym_preproc_if_token1] = ACTIONS(7229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7229),
    [sym_preproc_directive] = ACTIONS(7229),
    [anon_sym_LPAREN2] = ACTIONS(7229),
    [sym_preproc_comment] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7229),
    [anon_sym_SEMI] = ACTIONS(7233),
    [aux_sym_block_data_statement_token1] = ACTIONS(7229),
    [aux_sym_block_data_statement_token2] = ACTIONS(7229),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7229),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7229),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7229),
    [aux_sym_end_function_statement_token1] = ACTIONS(7229),
    [aux_sym_contains_statement_token1] = ACTIONS(7229),
    [aux_sym_use_statement_token2] = ACTIONS(7229),
    [aux_sym_implicit_statement_token3] = ACTIONS(7229),
    [aux_sym_implicit_statement_token4] = ACTIONS(7229),
    [aux_sym_save_statement_token1] = ACTIONS(7229),
    [aux_sym_private_statement_token1] = ACTIONS(7229),
    [aux_sym_public_statement_token1] = ACTIONS(7229),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7229),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7229),
    [aux_sym_variable_attributes_token2] = ACTIONS(7229),
    [aux_sym_variable_attributes_token3] = ACTIONS(7229),
    [aux_sym_variable_attributes_token5] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7229),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7229),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7229),
    [aux_sym_type_qualifier_token1] = ACTIONS(7229),
    [aux_sym_type_qualifier_token2] = ACTIONS(7229),
    [aux_sym_stop_statement_token1] = ACTIONS(7229),
    [aux_sym_stop_statement_token2] = ACTIONS(7229),
    [aux_sym_subroutine_call_token1] = ACTIONS(7229),
    [aux_sym_keyword_statement_token1] = ACTIONS(7229),
    [aux_sym_keyword_statement_token2] = ACTIONS(7229),
    [aux_sym_keyword_statement_token3] = ACTIONS(7229),
    [aux_sym_keyword_statement_token4] = ACTIONS(7229),
    [aux_sym_keyword_statement_token6] = ACTIONS(7229),
    [aux_sym_keyword_statement_token7] = ACTIONS(7229),
    [aux_sym_include_statement_token1] = ACTIONS(7229),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7229),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7229),
    [aux_sym_end_if_statement_token1] = ACTIONS(7229),
    [aux_sym_elseif_clause_token2] = ACTIONS(7229),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7229),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7229),
    [aux_sym_select_case_statement_token1] = ACTIONS(7229),
    [aux_sym_select_case_statement_token3] = ACTIONS(7229),
    [aux_sym_select_type_statement_token1] = ACTIONS(7229),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7229),
    [aux_sym_associate_statement_token1] = ACTIONS(7229),
    [aux_sym_format_statement_token1] = ACTIONS(7229),
    [aux_sym_print_statement_token1] = ACTIONS(7229),
    [aux_sym_open_statement_token1] = ACTIONS(7229),
    [aux_sym_close_statement_token1] = ACTIONS(7229),
    [aux_sym_inquire_statement_token1] = ACTIONS(7229),
    [aux_sym_file_position_statement_token1] = ACTIONS(7229),
    [aux_sym_file_position_statement_token2] = ACTIONS(7229),
    [aux_sym_file_position_statement_token3] = ACTIONS(7229),
    [aux_sym_file_position_statement_token4] = ACTIONS(7229),
    [aux_sym_allocate_statement_token1] = ACTIONS(7229),
    [aux_sym_entry_statement_token1] = ACTIONS(7229),
    [aux_sym_assign_statement_token1] = ACTIONS(7229),
    [aux_sym_logical_expression_token5] = ACTIONS(7233),
    [anon_sym_DOT] = ACTIONS(7229),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7233),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [aux_sym_boolean_literal_token1] = ACTIONS(7233),
    [aux_sym_boolean_literal_token2] = ACTIONS(7233),
    [aux_sym_null_literal_token1] = ACTIONS(7229),
    [aux_sym_coarray_statement_token1] = ACTIONS(7229),
    [aux_sym_coarray_statement_token2] = ACTIONS(7229),
    [aux_sym_coarray_statement_token6] = ACTIONS(7229),
    [aux_sym_coarray_statement_token8] = ACTIONS(7229),
    [aux_sym_coarray_statement_token11] = ACTIONS(7229),
    [aux_sym_coarray_statement_token12] = ACTIONS(7229),
    [aux_sym_coarray_statement_token13] = ACTIONS(7229),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7229),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7229),
    [aux_sym_identifier_token1] = ACTIONS(7229),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7233),
    [sym__float_literal] = ACTIONS(7233),
    [sym__boz_literal] = ACTIONS(7233),
    [sym__string_literal] = ACTIONS(7233),
    [sym__string_literal_kind] = ACTIONS(7233),
  },
  [2822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7571),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_end_function_statement_token1] = ACTIONS(6847),
    [aux_sym_contains_statement_token1] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7247),
    [aux_sym_preproc_def_token1] = ACTIONS(7247),
    [aux_sym_preproc_if_token1] = ACTIONS(7247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7247),
    [sym_preproc_directive] = ACTIONS(7247),
    [anon_sym_LPAREN2] = ACTIONS(7247),
    [sym_preproc_comment] = ACTIONS(7575),
    [anon_sym_PLUS] = ACTIONS(7251),
    [anon_sym_DASH] = ACTIONS(7251),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7247),
    [anon_sym_SEMI] = ACTIONS(7251),
    [aux_sym_block_data_statement_token1] = ACTIONS(7247),
    [aux_sym_block_data_statement_token2] = ACTIONS(7247),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7247),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7247),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7247),
    [aux_sym_end_function_statement_token1] = ACTIONS(7247),
    [aux_sym_contains_statement_token1] = ACTIONS(7247),
    [aux_sym_use_statement_token2] = ACTIONS(7247),
    [aux_sym_implicit_statement_token3] = ACTIONS(7247),
    [aux_sym_implicit_statement_token4] = ACTIONS(7247),
    [aux_sym_save_statement_token1] = ACTIONS(7247),
    [aux_sym_private_statement_token1] = ACTIONS(7247),
    [aux_sym_public_statement_token1] = ACTIONS(7247),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7247),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7247),
    [aux_sym_variable_attributes_token2] = ACTIONS(7247),
    [aux_sym_variable_attributes_token3] = ACTIONS(7247),
    [aux_sym_variable_attributes_token5] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7247),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7247),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7247),
    [aux_sym_type_qualifier_token1] = ACTIONS(7247),
    [aux_sym_type_qualifier_token2] = ACTIONS(7247),
    [aux_sym_stop_statement_token1] = ACTIONS(7247),
    [aux_sym_stop_statement_token2] = ACTIONS(7247),
    [aux_sym_subroutine_call_token1] = ACTIONS(7247),
    [aux_sym_keyword_statement_token1] = ACTIONS(7247),
    [aux_sym_keyword_statement_token2] = ACTIONS(7247),
    [aux_sym_keyword_statement_token3] = ACTIONS(7247),
    [aux_sym_keyword_statement_token4] = ACTIONS(7247),
    [aux_sym_keyword_statement_token6] = ACTIONS(7247),
    [aux_sym_keyword_statement_token7] = ACTIONS(7247),
    [aux_sym_include_statement_token1] = ACTIONS(7247),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7247),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7247),
    [aux_sym_end_if_statement_token1] = ACTIONS(7247),
    [aux_sym_elseif_clause_token2] = ACTIONS(7247),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7247),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7247),
    [aux_sym_select_case_statement_token1] = ACTIONS(7247),
    [aux_sym_select_case_statement_token3] = ACTIONS(7247),
    [aux_sym_select_type_statement_token1] = ACTIONS(7247),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7247),
    [aux_sym_associate_statement_token1] = ACTIONS(7247),
    [aux_sym_format_statement_token1] = ACTIONS(7247),
    [aux_sym_print_statement_token1] = ACTIONS(7247),
    [aux_sym_open_statement_token1] = ACTIONS(7247),
    [aux_sym_close_statement_token1] = ACTIONS(7247),
    [aux_sym_inquire_statement_token1] = ACTIONS(7247),
    [aux_sym_file_position_statement_token1] = ACTIONS(7247),
    [aux_sym_file_position_statement_token2] = ACTIONS(7247),
    [aux_sym_file_position_statement_token3] = ACTIONS(7247),
    [aux_sym_file_position_statement_token4] = ACTIONS(7247),
    [aux_sym_allocate_statement_token1] = ACTIONS(7247),
    [aux_sym_entry_statement_token1] = ACTIONS(7247),
    [aux_sym_assign_statement_token1] = ACTIONS(7247),
    [aux_sym_logical_expression_token5] = ACTIONS(7251),
    [anon_sym_DOT] = ACTIONS(7247),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7251),
    [aux_sym_boolean_literal_token1] = ACTIONS(7251),
    [aux_sym_boolean_literal_token2] = ACTIONS(7251),
    [aux_sym_null_literal_token1] = ACTIONS(7247),
    [aux_sym_coarray_statement_token1] = ACTIONS(7247),
    [aux_sym_coarray_statement_token2] = ACTIONS(7247),
    [aux_sym_coarray_statement_token6] = ACTIONS(7247),
    [aux_sym_coarray_statement_token8] = ACTIONS(7247),
    [aux_sym_coarray_statement_token11] = ACTIONS(7247),
    [aux_sym_coarray_statement_token12] = ACTIONS(7247),
    [aux_sym_coarray_statement_token13] = ACTIONS(7247),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7247),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7247),
    [aux_sym_identifier_token1] = ACTIONS(7247),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7251),
    [sym__float_literal] = ACTIONS(7251),
    [sym__boz_literal] = ACTIONS(7251),
    [sym__string_literal] = ACTIONS(7251),
    [sym__string_literal_kind] = ACTIONS(7251),
  },
  [2825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7265),
    [aux_sym_preproc_def_token1] = ACTIONS(7265),
    [aux_sym_preproc_if_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7265),
    [sym_preproc_directive] = ACTIONS(7265),
    [anon_sym_LPAREN2] = ACTIONS(7265),
    [sym_preproc_comment] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7265),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(7265),
    [aux_sym_block_data_statement_token2] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7265),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7265),
    [aux_sym_end_function_statement_token1] = ACTIONS(7265),
    [aux_sym_contains_statement_token1] = ACTIONS(7265),
    [aux_sym_use_statement_token2] = ACTIONS(7265),
    [aux_sym_implicit_statement_token3] = ACTIONS(7265),
    [aux_sym_implicit_statement_token4] = ACTIONS(7265),
    [aux_sym_save_statement_token1] = ACTIONS(7265),
    [aux_sym_private_statement_token1] = ACTIONS(7265),
    [aux_sym_public_statement_token1] = ACTIONS(7265),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7265),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7265),
    [aux_sym_variable_attributes_token2] = ACTIONS(7265),
    [aux_sym_variable_attributes_token3] = ACTIONS(7265),
    [aux_sym_variable_attributes_token5] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7265),
    [aux_sym_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym_stop_statement_token1] = ACTIONS(7265),
    [aux_sym_stop_statement_token2] = ACTIONS(7265),
    [aux_sym_subroutine_call_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token2] = ACTIONS(7265),
    [aux_sym_keyword_statement_token3] = ACTIONS(7265),
    [aux_sym_keyword_statement_token4] = ACTIONS(7265),
    [aux_sym_keyword_statement_token6] = ACTIONS(7265),
    [aux_sym_keyword_statement_token7] = ACTIONS(7265),
    [aux_sym_include_statement_token1] = ACTIONS(7265),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7265),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7265),
    [aux_sym_end_if_statement_token1] = ACTIONS(7265),
    [aux_sym_elseif_clause_token2] = ACTIONS(7265),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7265),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token3] = ACTIONS(7265),
    [aux_sym_select_type_statement_token1] = ACTIONS(7265),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7265),
    [aux_sym_associate_statement_token1] = ACTIONS(7265),
    [aux_sym_format_statement_token1] = ACTIONS(7265),
    [aux_sym_print_statement_token1] = ACTIONS(7265),
    [aux_sym_open_statement_token1] = ACTIONS(7265),
    [aux_sym_close_statement_token1] = ACTIONS(7265),
    [aux_sym_inquire_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token2] = ACTIONS(7265),
    [aux_sym_file_position_statement_token3] = ACTIONS(7265),
    [aux_sym_file_position_statement_token4] = ACTIONS(7265),
    [aux_sym_allocate_statement_token1] = ACTIONS(7265),
    [aux_sym_entry_statement_token1] = ACTIONS(7265),
    [aux_sym_assign_statement_token1] = ACTIONS(7265),
    [aux_sym_logical_expression_token5] = ACTIONS(7269),
    [anon_sym_DOT] = ACTIONS(7265),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [aux_sym_boolean_literal_token1] = ACTIONS(7269),
    [aux_sym_boolean_literal_token2] = ACTIONS(7269),
    [aux_sym_null_literal_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token2] = ACTIONS(7265),
    [aux_sym_coarray_statement_token6] = ACTIONS(7265),
    [aux_sym_coarray_statement_token8] = ACTIONS(7265),
    [aux_sym_coarray_statement_token11] = ACTIONS(7265),
    [aux_sym_coarray_statement_token12] = ACTIONS(7265),
    [aux_sym_coarray_statement_token13] = ACTIONS(7265),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7265),
    [aux_sym_identifier_token1] = ACTIONS(7265),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7269),
    [sym__float_literal] = ACTIONS(7269),
    [sym__boz_literal] = ACTIONS(7269),
    [sym__string_literal] = ACTIONS(7269),
    [sym__string_literal_kind] = ACTIONS(7269),
  },
  [2826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7389),
    [aux_sym_preproc_def_token1] = ACTIONS(7389),
    [aux_sym_preproc_if_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7389),
    [sym_preproc_directive] = ACTIONS(7389),
    [anon_sym_LPAREN2] = ACTIONS(7389),
    [sym_preproc_comment] = ACTIONS(7579),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7389),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(7389),
    [aux_sym_block_data_statement_token2] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7389),
    [aux_sym_end_function_statement_token1] = ACTIONS(7389),
    [aux_sym_contains_statement_token1] = ACTIONS(7389),
    [aux_sym_use_statement_token2] = ACTIONS(7389),
    [aux_sym_implicit_statement_token3] = ACTIONS(7389),
    [aux_sym_implicit_statement_token4] = ACTIONS(7389),
    [aux_sym_save_statement_token1] = ACTIONS(7389),
    [aux_sym_private_statement_token1] = ACTIONS(7389),
    [aux_sym_public_statement_token1] = ACTIONS(7389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7389),
    [aux_sym_variable_attributes_token2] = ACTIONS(7389),
    [aux_sym_variable_attributes_token3] = ACTIONS(7389),
    [aux_sym_variable_attributes_token5] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7389),
    [aux_sym_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym_stop_statement_token1] = ACTIONS(7389),
    [aux_sym_stop_statement_token2] = ACTIONS(7389),
    [aux_sym_subroutine_call_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token2] = ACTIONS(7389),
    [aux_sym_keyword_statement_token3] = ACTIONS(7389),
    [aux_sym_keyword_statement_token4] = ACTIONS(7389),
    [aux_sym_keyword_statement_token6] = ACTIONS(7389),
    [aux_sym_keyword_statement_token7] = ACTIONS(7389),
    [aux_sym_include_statement_token1] = ACTIONS(7389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7389),
    [aux_sym_end_if_statement_token1] = ACTIONS(7389),
    [aux_sym_elseif_clause_token2] = ACTIONS(7389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token3] = ACTIONS(7389),
    [aux_sym_select_type_statement_token1] = ACTIONS(7389),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7389),
    [aux_sym_associate_statement_token1] = ACTIONS(7389),
    [aux_sym_format_statement_token1] = ACTIONS(7389),
    [aux_sym_print_statement_token1] = ACTIONS(7389),
    [aux_sym_open_statement_token1] = ACTIONS(7389),
    [aux_sym_close_statement_token1] = ACTIONS(7389),
    [aux_sym_inquire_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token2] = ACTIONS(7389),
    [aux_sym_file_position_statement_token3] = ACTIONS(7389),
    [aux_sym_file_position_statement_token4] = ACTIONS(7389),
    [aux_sym_allocate_statement_token1] = ACTIONS(7389),
    [aux_sym_entry_statement_token1] = ACTIONS(7389),
    [aux_sym_assign_statement_token1] = ACTIONS(7389),
    [aux_sym_logical_expression_token5] = ACTIONS(7393),
    [anon_sym_DOT] = ACTIONS(7389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [aux_sym_boolean_literal_token1] = ACTIONS(7393),
    [aux_sym_boolean_literal_token2] = ACTIONS(7393),
    [aux_sym_null_literal_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token2] = ACTIONS(7389),
    [aux_sym_coarray_statement_token6] = ACTIONS(7389),
    [aux_sym_coarray_statement_token8] = ACTIONS(7389),
    [aux_sym_coarray_statement_token11] = ACTIONS(7389),
    [aux_sym_coarray_statement_token12] = ACTIONS(7389),
    [aux_sym_coarray_statement_token13] = ACTIONS(7389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7389),
    [aux_sym_identifier_token1] = ACTIONS(7389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7393),
    [sym__float_literal] = ACTIONS(7393),
    [sym__boz_literal] = ACTIONS(7393),
    [sym__string_literal] = ACTIONS(7393),
    [sym__string_literal_kind] = ACTIONS(7393),
  },
  [2827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [aux_sym_end_program_statement_token2] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7583),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_select_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7587),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2831] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7591),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_select_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_select_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7595),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_select_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7599),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token2] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [aux_sym_end_program_statement_token2] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [aux_sym_end_program_statement_token2] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7601),
    [aux_sym_preproc_def_token1] = ACTIONS(7601),
    [aux_sym_preproc_if_token1] = ACTIONS(7601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7601),
    [sym_preproc_directive] = ACTIONS(7601),
    [anon_sym_LPAREN2] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7603),
    [anon_sym_DASH] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7601),
    [anon_sym_SEMI] = ACTIONS(7603),
    [aux_sym_block_data_statement_token1] = ACTIONS(7601),
    [aux_sym_block_data_statement_token2] = ACTIONS(7601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7601),
    [aux_sym_end_function_statement_token1] = ACTIONS(7601),
    [aux_sym_contains_statement_token1] = ACTIONS(7601),
    [aux_sym_use_statement_token2] = ACTIONS(7601),
    [aux_sym_implicit_statement_token3] = ACTIONS(7601),
    [aux_sym_implicit_statement_token4] = ACTIONS(7601),
    [aux_sym_save_statement_token1] = ACTIONS(7601),
    [aux_sym_private_statement_token1] = ACTIONS(7601),
    [aux_sym_public_statement_token1] = ACTIONS(7601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7601),
    [aux_sym_variable_attributes_token2] = ACTIONS(7601),
    [aux_sym_variable_attributes_token3] = ACTIONS(7601),
    [aux_sym_variable_attributes_token5] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7601),
    [aux_sym_type_qualifier_token1] = ACTIONS(7601),
    [aux_sym_type_qualifier_token2] = ACTIONS(7601),
    [aux_sym_stop_statement_token1] = ACTIONS(7601),
    [aux_sym_stop_statement_token2] = ACTIONS(7601),
    [aux_sym_subroutine_call_token1] = ACTIONS(7601),
    [aux_sym_keyword_statement_token1] = ACTIONS(7601),
    [aux_sym_keyword_statement_token2] = ACTIONS(7601),
    [aux_sym_keyword_statement_token3] = ACTIONS(7601),
    [aux_sym_keyword_statement_token4] = ACTIONS(7601),
    [aux_sym_keyword_statement_token6] = ACTIONS(7601),
    [aux_sym_keyword_statement_token7] = ACTIONS(7601),
    [aux_sym_include_statement_token1] = ACTIONS(7601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7601),
    [aux_sym_end_if_statement_token1] = ACTIONS(7601),
    [aux_sym_elseif_clause_token2] = ACTIONS(7601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7601),
    [aux_sym_select_case_statement_token1] = ACTIONS(7601),
    [aux_sym_select_case_statement_token3] = ACTIONS(7601),
    [aux_sym_select_type_statement_token1] = ACTIONS(7601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7601),
    [aux_sym_associate_statement_token1] = ACTIONS(7601),
    [aux_sym_format_statement_token1] = ACTIONS(7601),
    [aux_sym_print_statement_token1] = ACTIONS(7601),
    [aux_sym_open_statement_token1] = ACTIONS(7601),
    [aux_sym_close_statement_token1] = ACTIONS(7601),
    [aux_sym_inquire_statement_token1] = ACTIONS(7601),
    [aux_sym_file_position_statement_token1] = ACTIONS(7601),
    [aux_sym_file_position_statement_token2] = ACTIONS(7601),
    [aux_sym_file_position_statement_token3] = ACTIONS(7601),
    [aux_sym_file_position_statement_token4] = ACTIONS(7601),
    [aux_sym_allocate_statement_token1] = ACTIONS(7601),
    [aux_sym_entry_statement_token1] = ACTIONS(7601),
    [aux_sym_assign_statement_token1] = ACTIONS(7601),
    [aux_sym_logical_expression_token5] = ACTIONS(7603),
    [anon_sym_DOT] = ACTIONS(7601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7603),
    [aux_sym_boolean_literal_token1] = ACTIONS(7603),
    [aux_sym_boolean_literal_token2] = ACTIONS(7603),
    [aux_sym_null_literal_token1] = ACTIONS(7601),
    [aux_sym_coarray_statement_token1] = ACTIONS(7601),
    [aux_sym_coarray_statement_token2] = ACTIONS(7601),
    [aux_sym_coarray_statement_token6] = ACTIONS(7601),
    [aux_sym_coarray_statement_token8] = ACTIONS(7601),
    [aux_sym_coarray_statement_token11] = ACTIONS(7601),
    [aux_sym_coarray_statement_token12] = ACTIONS(7601),
    [aux_sym_coarray_statement_token13] = ACTIONS(7601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7601),
    [aux_sym_identifier_token1] = ACTIONS(7601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7603),
    [sym__float_literal] = ACTIONS(7603),
    [sym__boz_literal] = ACTIONS(7603),
    [sym__string_literal] = ACTIONS(7603),
    [sym__string_literal_kind] = ACTIONS(7603),
  },
  [2843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token2] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_contains_statement_token1] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_end_function_statement_token1] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token2] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [aux_sym_end_program_statement_token2] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [aux_sym_end_program_statement_token2] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7407),
    [aux_sym_preproc_def_token1] = ACTIONS(7407),
    [aux_sym_preproc_if_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7407),
    [sym_preproc_directive] = ACTIONS(7407),
    [anon_sym_LPAREN2] = ACTIONS(7407),
    [anon_sym_PLUS] = ACTIONS(7411),
    [anon_sym_DASH] = ACTIONS(7411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7407),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(7407),
    [aux_sym_block_data_statement_token2] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7407),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7407),
    [aux_sym_end_function_statement_token1] = ACTIONS(7407),
    [aux_sym_contains_statement_token1] = ACTIONS(7407),
    [aux_sym_use_statement_token2] = ACTIONS(7407),
    [aux_sym_implicit_statement_token3] = ACTIONS(7407),
    [aux_sym_implicit_statement_token4] = ACTIONS(7407),
    [aux_sym_save_statement_token1] = ACTIONS(7407),
    [aux_sym_private_statement_token1] = ACTIONS(7407),
    [aux_sym_public_statement_token1] = ACTIONS(7407),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7407),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7407),
    [aux_sym_variable_attributes_token2] = ACTIONS(7407),
    [aux_sym_variable_attributes_token3] = ACTIONS(7407),
    [aux_sym_variable_attributes_token5] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7407),
    [aux_sym_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym_stop_statement_token1] = ACTIONS(7407),
    [aux_sym_stop_statement_token2] = ACTIONS(7407),
    [aux_sym_subroutine_call_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token2] = ACTIONS(7407),
    [aux_sym_keyword_statement_token3] = ACTIONS(7407),
    [aux_sym_keyword_statement_token4] = ACTIONS(7407),
    [aux_sym_keyword_statement_token6] = ACTIONS(7407),
    [aux_sym_keyword_statement_token7] = ACTIONS(7407),
    [aux_sym_include_statement_token1] = ACTIONS(7407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7407),
    [aux_sym_end_if_statement_token1] = ACTIONS(7407),
    [aux_sym_elseif_clause_token2] = ACTIONS(7407),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7407),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token3] = ACTIONS(7407),
    [aux_sym_select_type_statement_token1] = ACTIONS(7407),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7407),
    [aux_sym_associate_statement_token1] = ACTIONS(7407),
    [aux_sym_format_statement_token1] = ACTIONS(7407),
    [aux_sym_print_statement_token1] = ACTIONS(7407),
    [aux_sym_open_statement_token1] = ACTIONS(7407),
    [aux_sym_close_statement_token1] = ACTIONS(7407),
    [aux_sym_inquire_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token2] = ACTIONS(7407),
    [aux_sym_file_position_statement_token3] = ACTIONS(7407),
    [aux_sym_file_position_statement_token4] = ACTIONS(7407),
    [aux_sym_allocate_statement_token1] = ACTIONS(7407),
    [aux_sym_entry_statement_token1] = ACTIONS(7407),
    [aux_sym_assign_statement_token1] = ACTIONS(7407),
    [aux_sym_logical_expression_token5] = ACTIONS(7411),
    [anon_sym_DOT] = ACTIONS(7407),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [aux_sym_boolean_literal_token1] = ACTIONS(7411),
    [aux_sym_boolean_literal_token2] = ACTIONS(7411),
    [aux_sym_null_literal_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token2] = ACTIONS(7407),
    [aux_sym_coarray_statement_token6] = ACTIONS(7407),
    [aux_sym_coarray_statement_token8] = ACTIONS(7407),
    [aux_sym_coarray_statement_token11] = ACTIONS(7407),
    [aux_sym_coarray_statement_token12] = ACTIONS(7407),
    [aux_sym_coarray_statement_token13] = ACTIONS(7407),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7407),
    [aux_sym_identifier_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7411),
    [sym__float_literal] = ACTIONS(7411),
    [sym__boz_literal] = ACTIONS(7411),
    [sym__string_literal] = ACTIONS(7411),
    [sym__string_literal_kind] = ACTIONS(7411),
  },
  [2850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7607),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7611),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7613),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7615),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7617),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7619),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7621),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7623),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7625),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7627),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7629),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7631),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7633),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2864] = {
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [2865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7635),
    [aux_sym_preproc_def_token1] = ACTIONS(7635),
    [aux_sym_preproc_if_token1] = ACTIONS(7635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7635),
    [sym_preproc_directive] = ACTIONS(7635),
    [anon_sym_LPAREN2] = ACTIONS(7635),
    [anon_sym_PLUS] = ACTIONS(7637),
    [anon_sym_DASH] = ACTIONS(7637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7635),
    [anon_sym_SEMI] = ACTIONS(7637),
    [aux_sym_block_data_statement_token1] = ACTIONS(7635),
    [aux_sym_block_data_statement_token2] = ACTIONS(7635),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7635),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7635),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7635),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7635),
    [aux_sym_contains_statement_token1] = ACTIONS(7635),
    [aux_sym_use_statement_token2] = ACTIONS(7635),
    [aux_sym_implicit_statement_token3] = ACTIONS(7635),
    [aux_sym_implicit_statement_token4] = ACTIONS(7635),
    [aux_sym_save_statement_token1] = ACTIONS(7635),
    [aux_sym_private_statement_token1] = ACTIONS(7635),
    [aux_sym_public_statement_token1] = ACTIONS(7635),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7635),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7635),
    [aux_sym_variable_attributes_token2] = ACTIONS(7635),
    [aux_sym_variable_attributes_token3] = ACTIONS(7635),
    [aux_sym_variable_attributes_token5] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7635),
    [aux_sym_type_qualifier_token1] = ACTIONS(7635),
    [aux_sym_type_qualifier_token2] = ACTIONS(7635),
    [aux_sym_stop_statement_token1] = ACTIONS(7635),
    [aux_sym_stop_statement_token2] = ACTIONS(7635),
    [aux_sym_subroutine_call_token1] = ACTIONS(7635),
    [aux_sym_keyword_statement_token1] = ACTIONS(7635),
    [aux_sym_keyword_statement_token2] = ACTIONS(7635),
    [aux_sym_keyword_statement_token3] = ACTIONS(7635),
    [aux_sym_keyword_statement_token4] = ACTIONS(7635),
    [aux_sym_keyword_statement_token6] = ACTIONS(7635),
    [aux_sym_keyword_statement_token7] = ACTIONS(7635),
    [aux_sym_include_statement_token1] = ACTIONS(7635),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7635),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7635),
    [aux_sym_end_if_statement_token1] = ACTIONS(7635),
    [aux_sym_elseif_clause_token2] = ACTIONS(7635),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7635),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7635),
    [aux_sym_select_case_statement_token1] = ACTIONS(7635),
    [aux_sym_select_case_statement_token3] = ACTIONS(7635),
    [aux_sym_select_type_statement_token1] = ACTIONS(7635),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7635),
    [aux_sym_associate_statement_token1] = ACTIONS(7635),
    [aux_sym_format_statement_token1] = ACTIONS(7635),
    [aux_sym_print_statement_token1] = ACTIONS(7635),
    [aux_sym_open_statement_token1] = ACTIONS(7635),
    [aux_sym_close_statement_token1] = ACTIONS(7635),
    [aux_sym_inquire_statement_token1] = ACTIONS(7635),
    [aux_sym_file_position_statement_token1] = ACTIONS(7635),
    [aux_sym_file_position_statement_token2] = ACTIONS(7635),
    [aux_sym_file_position_statement_token3] = ACTIONS(7635),
    [aux_sym_file_position_statement_token4] = ACTIONS(7635),
    [aux_sym_allocate_statement_token1] = ACTIONS(7635),
    [aux_sym_entry_statement_token1] = ACTIONS(7635),
    [aux_sym_assign_statement_token1] = ACTIONS(7635),
    [aux_sym_logical_expression_token5] = ACTIONS(7637),
    [anon_sym_DOT] = ACTIONS(7635),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7637),
    [anon_sym_LBRACK] = ACTIONS(7637),
    [aux_sym_boolean_literal_token1] = ACTIONS(7637),
    [aux_sym_boolean_literal_token2] = ACTIONS(7637),
    [aux_sym_null_literal_token1] = ACTIONS(7635),
    [aux_sym_coarray_statement_token1] = ACTIONS(7635),
    [aux_sym_coarray_statement_token2] = ACTIONS(7635),
    [aux_sym_coarray_statement_token6] = ACTIONS(7635),
    [aux_sym_coarray_statement_token8] = ACTIONS(7635),
    [aux_sym_coarray_statement_token11] = ACTIONS(7635),
    [aux_sym_coarray_statement_token12] = ACTIONS(7635),
    [aux_sym_coarray_statement_token13] = ACTIONS(7635),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7635),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7635),
    [aux_sym_identifier_token1] = ACTIONS(7635),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7637),
    [sym__float_literal] = ACTIONS(7637),
    [sym__boz_literal] = ACTIONS(7637),
    [sym__string_literal] = ACTIONS(7637),
    [sym__string_literal_kind] = ACTIONS(7637),
  },
  [2866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7639),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [aux_sym_end_program_statement_token2] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7641),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7643),
    [aux_sym_preproc_def_token1] = ACTIONS(7643),
    [aux_sym_preproc_if_token1] = ACTIONS(7643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7643),
    [sym_preproc_directive] = ACTIONS(7643),
    [anon_sym_LPAREN2] = ACTIONS(7643),
    [anon_sym_PLUS] = ACTIONS(7645),
    [anon_sym_DASH] = ACTIONS(7645),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7643),
    [anon_sym_SEMI] = ACTIONS(7645),
    [aux_sym_block_data_statement_token1] = ACTIONS(7643),
    [aux_sym_block_data_statement_token2] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7643),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7643),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7643),
    [aux_sym_contains_statement_token1] = ACTIONS(7643),
    [aux_sym_use_statement_token2] = ACTIONS(7643),
    [aux_sym_implicit_statement_token3] = ACTIONS(7643),
    [aux_sym_implicit_statement_token4] = ACTIONS(7643),
    [aux_sym_save_statement_token1] = ACTIONS(7643),
    [aux_sym_private_statement_token1] = ACTIONS(7643),
    [aux_sym_public_statement_token1] = ACTIONS(7643),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7643),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7643),
    [aux_sym_variable_attributes_token2] = ACTIONS(7643),
    [aux_sym_variable_attributes_token3] = ACTIONS(7643),
    [aux_sym_variable_attributes_token5] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7643),
    [aux_sym_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym_stop_statement_token1] = ACTIONS(7643),
    [aux_sym_stop_statement_token2] = ACTIONS(7643),
    [aux_sym_subroutine_call_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token2] = ACTIONS(7643),
    [aux_sym_keyword_statement_token3] = ACTIONS(7643),
    [aux_sym_keyword_statement_token4] = ACTIONS(7643),
    [aux_sym_keyword_statement_token6] = ACTIONS(7643),
    [aux_sym_keyword_statement_token7] = ACTIONS(7643),
    [aux_sym_include_statement_token1] = ACTIONS(7643),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7643),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7643),
    [aux_sym_end_if_statement_token1] = ACTIONS(7643),
    [aux_sym_elseif_clause_token2] = ACTIONS(7643),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7643),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7643),
    [aux_sym_select_case_statement_token1] = ACTIONS(7643),
    [aux_sym_select_case_statement_token3] = ACTIONS(7643),
    [aux_sym_select_type_statement_token1] = ACTIONS(7643),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7643),
    [aux_sym_associate_statement_token1] = ACTIONS(7643),
    [aux_sym_format_statement_token1] = ACTIONS(7643),
    [aux_sym_print_statement_token1] = ACTIONS(7643),
    [aux_sym_open_statement_token1] = ACTIONS(7643),
    [aux_sym_close_statement_token1] = ACTIONS(7643),
    [aux_sym_inquire_statement_token1] = ACTIONS(7643),
    [aux_sym_file_position_statement_token1] = ACTIONS(7643),
    [aux_sym_file_position_statement_token2] = ACTIONS(7643),
    [aux_sym_file_position_statement_token3] = ACTIONS(7643),
    [aux_sym_file_position_statement_token4] = ACTIONS(7643),
    [aux_sym_allocate_statement_token1] = ACTIONS(7643),
    [aux_sym_entry_statement_token1] = ACTIONS(7643),
    [aux_sym_assign_statement_token1] = ACTIONS(7643),
    [aux_sym_logical_expression_token5] = ACTIONS(7645),
    [anon_sym_DOT] = ACTIONS(7643),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7645),
    [anon_sym_LBRACK] = ACTIONS(7645),
    [aux_sym_boolean_literal_token1] = ACTIONS(7645),
    [aux_sym_boolean_literal_token2] = ACTIONS(7645),
    [aux_sym_null_literal_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token2] = ACTIONS(7643),
    [aux_sym_coarray_statement_token6] = ACTIONS(7643),
    [aux_sym_coarray_statement_token8] = ACTIONS(7643),
    [aux_sym_coarray_statement_token11] = ACTIONS(7643),
    [aux_sym_coarray_statement_token12] = ACTIONS(7643),
    [aux_sym_coarray_statement_token13] = ACTIONS(7643),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7643),
    [aux_sym_identifier_token1] = ACTIONS(7643),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7645),
    [sym__float_literal] = ACTIONS(7645),
    [sym__boz_literal] = ACTIONS(7645),
    [sym__string_literal] = ACTIONS(7645),
    [sym__string_literal_kind] = ACTIONS(7645),
  },
  [2870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7647),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token2] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7649),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7355),
    [aux_sym_preproc_def_token1] = ACTIONS(7355),
    [aux_sym_preproc_if_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7355),
    [sym_preproc_directive] = ACTIONS(7355),
    [anon_sym_LPAREN2] = ACTIONS(7355),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7355),
    [anon_sym_SEMI] = ACTIONS(7359),
    [aux_sym_block_data_statement_token1] = ACTIONS(7355),
    [aux_sym_block_data_statement_token2] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7355),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7355),
    [aux_sym_contains_statement_token1] = ACTIONS(7355),
    [aux_sym_use_statement_token2] = ACTIONS(7355),
    [aux_sym_implicit_statement_token3] = ACTIONS(7355),
    [aux_sym_implicit_statement_token4] = ACTIONS(7355),
    [aux_sym_save_statement_token1] = ACTIONS(7355),
    [aux_sym_private_statement_token1] = ACTIONS(7355),
    [aux_sym_public_statement_token1] = ACTIONS(7355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7355),
    [aux_sym_variable_attributes_token2] = ACTIONS(7355),
    [aux_sym_variable_attributes_token3] = ACTIONS(7355),
    [aux_sym_variable_attributes_token5] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7355),
    [aux_sym_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym_stop_statement_token1] = ACTIONS(7355),
    [aux_sym_stop_statement_token2] = ACTIONS(7355),
    [aux_sym_subroutine_call_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token2] = ACTIONS(7355),
    [aux_sym_keyword_statement_token3] = ACTIONS(7355),
    [aux_sym_keyword_statement_token4] = ACTIONS(7355),
    [aux_sym_keyword_statement_token6] = ACTIONS(7355),
    [aux_sym_keyword_statement_token7] = ACTIONS(7355),
    [aux_sym_include_statement_token1] = ACTIONS(7355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7355),
    [aux_sym_end_if_statement_token1] = ACTIONS(7355),
    [aux_sym_elseif_clause_token2] = ACTIONS(7355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token3] = ACTIONS(7355),
    [aux_sym_select_type_statement_token1] = ACTIONS(7355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7355),
    [aux_sym_associate_statement_token1] = ACTIONS(7355),
    [aux_sym_format_statement_token1] = ACTIONS(7355),
    [aux_sym_print_statement_token1] = ACTIONS(7355),
    [aux_sym_open_statement_token1] = ACTIONS(7355),
    [aux_sym_close_statement_token1] = ACTIONS(7355),
    [aux_sym_inquire_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token2] = ACTIONS(7355),
    [aux_sym_file_position_statement_token3] = ACTIONS(7355),
    [aux_sym_file_position_statement_token4] = ACTIONS(7355),
    [aux_sym_allocate_statement_token1] = ACTIONS(7355),
    [aux_sym_entry_statement_token1] = ACTIONS(7355),
    [aux_sym_assign_statement_token1] = ACTIONS(7355),
    [aux_sym_logical_expression_token5] = ACTIONS(7359),
    [anon_sym_DOT] = ACTIONS(7355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [aux_sym_boolean_literal_token1] = ACTIONS(7359),
    [aux_sym_boolean_literal_token2] = ACTIONS(7359),
    [aux_sym_null_literal_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token2] = ACTIONS(7355),
    [aux_sym_coarray_statement_token6] = ACTIONS(7355),
    [aux_sym_coarray_statement_token8] = ACTIONS(7355),
    [aux_sym_coarray_statement_token11] = ACTIONS(7355),
    [aux_sym_coarray_statement_token12] = ACTIONS(7355),
    [aux_sym_coarray_statement_token13] = ACTIONS(7355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7355),
    [aux_sym_identifier_token1] = ACTIONS(7355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7359),
    [sym__float_literal] = ACTIONS(7359),
    [sym__boz_literal] = ACTIONS(7359),
    [sym__string_literal] = ACTIONS(7359),
    [sym__string_literal_kind] = ACTIONS(7359),
  },
  [2873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7651),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7361),
    [aux_sym_preproc_def_token1] = ACTIONS(7361),
    [aux_sym_preproc_if_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7361),
    [sym_preproc_directive] = ACTIONS(7361),
    [anon_sym_LPAREN2] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7361),
    [anon_sym_SEMI] = ACTIONS(7365),
    [aux_sym_block_data_statement_token1] = ACTIONS(7361),
    [aux_sym_block_data_statement_token2] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7361),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7361),
    [aux_sym_contains_statement_token1] = ACTIONS(7361),
    [aux_sym_use_statement_token2] = ACTIONS(7361),
    [aux_sym_implicit_statement_token3] = ACTIONS(7361),
    [aux_sym_implicit_statement_token4] = ACTIONS(7361),
    [aux_sym_save_statement_token1] = ACTIONS(7361),
    [aux_sym_private_statement_token1] = ACTIONS(7361),
    [aux_sym_public_statement_token1] = ACTIONS(7361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7361),
    [aux_sym_variable_attributes_token2] = ACTIONS(7361),
    [aux_sym_variable_attributes_token3] = ACTIONS(7361),
    [aux_sym_variable_attributes_token5] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7361),
    [aux_sym_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym_stop_statement_token1] = ACTIONS(7361),
    [aux_sym_stop_statement_token2] = ACTIONS(7361),
    [aux_sym_subroutine_call_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token2] = ACTIONS(7361),
    [aux_sym_keyword_statement_token3] = ACTIONS(7361),
    [aux_sym_keyword_statement_token4] = ACTIONS(7361),
    [aux_sym_keyword_statement_token6] = ACTIONS(7361),
    [aux_sym_keyword_statement_token7] = ACTIONS(7361),
    [aux_sym_include_statement_token1] = ACTIONS(7361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7361),
    [aux_sym_end_if_statement_token1] = ACTIONS(7361),
    [aux_sym_elseif_clause_token2] = ACTIONS(7361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token3] = ACTIONS(7361),
    [aux_sym_select_type_statement_token1] = ACTIONS(7361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7361),
    [aux_sym_associate_statement_token1] = ACTIONS(7361),
    [aux_sym_format_statement_token1] = ACTIONS(7361),
    [aux_sym_print_statement_token1] = ACTIONS(7361),
    [aux_sym_open_statement_token1] = ACTIONS(7361),
    [aux_sym_close_statement_token1] = ACTIONS(7361),
    [aux_sym_inquire_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token2] = ACTIONS(7361),
    [aux_sym_file_position_statement_token3] = ACTIONS(7361),
    [aux_sym_file_position_statement_token4] = ACTIONS(7361),
    [aux_sym_allocate_statement_token1] = ACTIONS(7361),
    [aux_sym_entry_statement_token1] = ACTIONS(7361),
    [aux_sym_assign_statement_token1] = ACTIONS(7361),
    [aux_sym_logical_expression_token5] = ACTIONS(7365),
    [anon_sym_DOT] = ACTIONS(7361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [aux_sym_boolean_literal_token1] = ACTIONS(7365),
    [aux_sym_boolean_literal_token2] = ACTIONS(7365),
    [aux_sym_null_literal_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token2] = ACTIONS(7361),
    [aux_sym_coarray_statement_token6] = ACTIONS(7361),
    [aux_sym_coarray_statement_token8] = ACTIONS(7361),
    [aux_sym_coarray_statement_token11] = ACTIONS(7361),
    [aux_sym_coarray_statement_token12] = ACTIONS(7361),
    [aux_sym_coarray_statement_token13] = ACTIONS(7361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7361),
    [aux_sym_identifier_token1] = ACTIONS(7361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7365),
    [sym__float_literal] = ACTIONS(7365),
    [sym__boz_literal] = ACTIONS(7365),
    [sym__string_literal] = ACTIONS(7365),
    [sym__string_literal_kind] = ACTIONS(7365),
  },
  [2875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7653),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7655),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token2] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_end_select_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7657),
    [aux_sym_preproc_def_token1] = ACTIONS(7657),
    [aux_sym_preproc_if_token1] = ACTIONS(7657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7657),
    [sym_preproc_directive] = ACTIONS(7657),
    [anon_sym_LPAREN2] = ACTIONS(7657),
    [anon_sym_PLUS] = ACTIONS(7659),
    [anon_sym_DASH] = ACTIONS(7659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7657),
    [anon_sym_SEMI] = ACTIONS(7659),
    [aux_sym_block_data_statement_token1] = ACTIONS(7657),
    [aux_sym_block_data_statement_token2] = ACTIONS(7657),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7657),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7657),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7657),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7657),
    [aux_sym_contains_statement_token1] = ACTIONS(7657),
    [aux_sym_use_statement_token2] = ACTIONS(7657),
    [aux_sym_implicit_statement_token3] = ACTIONS(7657),
    [aux_sym_implicit_statement_token4] = ACTIONS(7657),
    [aux_sym_save_statement_token1] = ACTIONS(7657),
    [aux_sym_private_statement_token1] = ACTIONS(7657),
    [aux_sym_public_statement_token1] = ACTIONS(7657),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7657),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7657),
    [aux_sym_variable_attributes_token2] = ACTIONS(7657),
    [aux_sym_variable_attributes_token3] = ACTIONS(7657),
    [aux_sym_variable_attributes_token5] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7657),
    [aux_sym_type_qualifier_token1] = ACTIONS(7657),
    [aux_sym_type_qualifier_token2] = ACTIONS(7657),
    [aux_sym_stop_statement_token1] = ACTIONS(7657),
    [aux_sym_stop_statement_token2] = ACTIONS(7657),
    [aux_sym_subroutine_call_token1] = ACTIONS(7657),
    [aux_sym_keyword_statement_token1] = ACTIONS(7657),
    [aux_sym_keyword_statement_token2] = ACTIONS(7657),
    [aux_sym_keyword_statement_token3] = ACTIONS(7657),
    [aux_sym_keyword_statement_token4] = ACTIONS(7657),
    [aux_sym_keyword_statement_token6] = ACTIONS(7657),
    [aux_sym_keyword_statement_token7] = ACTIONS(7657),
    [aux_sym_include_statement_token1] = ACTIONS(7657),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7657),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7657),
    [aux_sym_end_if_statement_token1] = ACTIONS(7657),
    [aux_sym_elseif_clause_token2] = ACTIONS(7657),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7657),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7657),
    [aux_sym_select_case_statement_token1] = ACTIONS(7657),
    [aux_sym_select_case_statement_token3] = ACTIONS(7657),
    [aux_sym_select_type_statement_token1] = ACTIONS(7657),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7657),
    [aux_sym_associate_statement_token1] = ACTIONS(7657),
    [aux_sym_format_statement_token1] = ACTIONS(7657),
    [aux_sym_print_statement_token1] = ACTIONS(7657),
    [aux_sym_open_statement_token1] = ACTIONS(7657),
    [aux_sym_close_statement_token1] = ACTIONS(7657),
    [aux_sym_inquire_statement_token1] = ACTIONS(7657),
    [aux_sym_file_position_statement_token1] = ACTIONS(7657),
    [aux_sym_file_position_statement_token2] = ACTIONS(7657),
    [aux_sym_file_position_statement_token3] = ACTIONS(7657),
    [aux_sym_file_position_statement_token4] = ACTIONS(7657),
    [aux_sym_allocate_statement_token1] = ACTIONS(7657),
    [aux_sym_entry_statement_token1] = ACTIONS(7657),
    [aux_sym_assign_statement_token1] = ACTIONS(7657),
    [aux_sym_logical_expression_token5] = ACTIONS(7659),
    [anon_sym_DOT] = ACTIONS(7657),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7659),
    [anon_sym_LBRACK] = ACTIONS(7659),
    [aux_sym_boolean_literal_token1] = ACTIONS(7659),
    [aux_sym_boolean_literal_token2] = ACTIONS(7659),
    [aux_sym_null_literal_token1] = ACTIONS(7657),
    [aux_sym_coarray_statement_token1] = ACTIONS(7657),
    [aux_sym_coarray_statement_token2] = ACTIONS(7657),
    [aux_sym_coarray_statement_token6] = ACTIONS(7657),
    [aux_sym_coarray_statement_token8] = ACTIONS(7657),
    [aux_sym_coarray_statement_token11] = ACTIONS(7657),
    [aux_sym_coarray_statement_token12] = ACTIONS(7657),
    [aux_sym_coarray_statement_token13] = ACTIONS(7657),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7657),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7657),
    [aux_sym_identifier_token1] = ACTIONS(7657),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7659),
    [sym__float_literal] = ACTIONS(7659),
    [sym__boz_literal] = ACTIONS(7659),
    [sym__string_literal] = ACTIONS(7659),
    [sym__string_literal_kind] = ACTIONS(7659),
  },
  [2879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [aux_sym_end_program_statement_token2] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token2] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7661),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7663),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token2] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_end_select_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [aux_sym_end_program_statement_token2] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7665),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token2] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_end_select_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [2886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7667),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [aux_sym_end_program_statement_token2] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7669),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2889] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7974),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7675),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token2] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_end_select_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7677),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7679),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [aux_sym_end_program_statement_token2] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [aux_sym_end_program_statement_token2] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7681),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2898] = {
    [sym__expression] = STATE(5160),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_assumed_size] = STATE(7922),
    [sym_assumed_shape] = STATE(7922),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(6733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7683),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token2] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_end_select_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_contains_statement_token1] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [aux_sym_end_program_statement_token2] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [aux_sym_end_program_statement_token2] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [aux_sym_end_program_statement_token2] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [aux_sym_end_program_statement_token2] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7685),
    [aux_sym_preproc_def_token1] = ACTIONS(7685),
    [aux_sym_preproc_if_token1] = ACTIONS(7685),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7685),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7685),
    [sym_preproc_directive] = ACTIONS(7685),
    [anon_sym_LPAREN2] = ACTIONS(7685),
    [anon_sym_PLUS] = ACTIONS(7687),
    [anon_sym_DASH] = ACTIONS(7687),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7685),
    [anon_sym_SEMI] = ACTIONS(7687),
    [aux_sym_block_data_statement_token1] = ACTIONS(7685),
    [aux_sym_block_data_statement_token2] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7685),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7685),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7685),
    [aux_sym_contains_statement_token1] = ACTIONS(7685),
    [aux_sym_use_statement_token2] = ACTIONS(7685),
    [aux_sym_implicit_statement_token3] = ACTIONS(7685),
    [aux_sym_implicit_statement_token4] = ACTIONS(7685),
    [aux_sym_save_statement_token1] = ACTIONS(7685),
    [aux_sym_private_statement_token1] = ACTIONS(7685),
    [aux_sym_public_statement_token1] = ACTIONS(7685),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7685),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7685),
    [aux_sym_variable_attributes_token2] = ACTIONS(7685),
    [aux_sym_variable_attributes_token3] = ACTIONS(7685),
    [aux_sym_variable_attributes_token5] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7685),
    [aux_sym_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym_stop_statement_token1] = ACTIONS(7685),
    [aux_sym_stop_statement_token2] = ACTIONS(7685),
    [aux_sym_subroutine_call_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token2] = ACTIONS(7685),
    [aux_sym_keyword_statement_token3] = ACTIONS(7685),
    [aux_sym_keyword_statement_token4] = ACTIONS(7685),
    [aux_sym_keyword_statement_token6] = ACTIONS(7685),
    [aux_sym_keyword_statement_token7] = ACTIONS(7685),
    [aux_sym_include_statement_token1] = ACTIONS(7685),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7685),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7685),
    [aux_sym_end_if_statement_token1] = ACTIONS(7685),
    [aux_sym_elseif_clause_token2] = ACTIONS(7685),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7685),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7685),
    [aux_sym_select_case_statement_token1] = ACTIONS(7685),
    [aux_sym_select_case_statement_token3] = ACTIONS(7685),
    [aux_sym_select_type_statement_token1] = ACTIONS(7685),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7685),
    [aux_sym_associate_statement_token1] = ACTIONS(7685),
    [aux_sym_format_statement_token1] = ACTIONS(7685),
    [aux_sym_print_statement_token1] = ACTIONS(7685),
    [aux_sym_open_statement_token1] = ACTIONS(7685),
    [aux_sym_close_statement_token1] = ACTIONS(7685),
    [aux_sym_inquire_statement_token1] = ACTIONS(7685),
    [aux_sym_file_position_statement_token1] = ACTIONS(7685),
    [aux_sym_file_position_statement_token2] = ACTIONS(7685),
    [aux_sym_file_position_statement_token3] = ACTIONS(7685),
    [aux_sym_file_position_statement_token4] = ACTIONS(7685),
    [aux_sym_allocate_statement_token1] = ACTIONS(7685),
    [aux_sym_entry_statement_token1] = ACTIONS(7685),
    [aux_sym_assign_statement_token1] = ACTIONS(7685),
    [aux_sym_logical_expression_token5] = ACTIONS(7687),
    [anon_sym_DOT] = ACTIONS(7685),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7687),
    [anon_sym_LBRACK] = ACTIONS(7687),
    [aux_sym_boolean_literal_token1] = ACTIONS(7687),
    [aux_sym_boolean_literal_token2] = ACTIONS(7687),
    [aux_sym_null_literal_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token2] = ACTIONS(7685),
    [aux_sym_coarray_statement_token6] = ACTIONS(7685),
    [aux_sym_coarray_statement_token8] = ACTIONS(7685),
    [aux_sym_coarray_statement_token11] = ACTIONS(7685),
    [aux_sym_coarray_statement_token12] = ACTIONS(7685),
    [aux_sym_coarray_statement_token13] = ACTIONS(7685),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7685),
    [aux_sym_identifier_token1] = ACTIONS(7685),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7687),
    [sym__float_literal] = ACTIONS(7687),
    [sym__boz_literal] = ACTIONS(7687),
    [sym__string_literal] = ACTIONS(7687),
    [sym__string_literal_kind] = ACTIONS(7687),
  },
  [2907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7689),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7691),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7693),
    [aux_sym_preproc_def_token1] = ACTIONS(7693),
    [aux_sym_preproc_if_token1] = ACTIONS(7693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7693),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7693),
    [sym_preproc_directive] = ACTIONS(7693),
    [anon_sym_LPAREN2] = ACTIONS(7693),
    [anon_sym_PLUS] = ACTIONS(7695),
    [anon_sym_DASH] = ACTIONS(7695),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7693),
    [anon_sym_SEMI] = ACTIONS(7695),
    [aux_sym_block_data_statement_token1] = ACTIONS(7693),
    [aux_sym_block_data_statement_token2] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7693),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7693),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7693),
    [aux_sym_contains_statement_token1] = ACTIONS(7693),
    [aux_sym_use_statement_token2] = ACTIONS(7693),
    [aux_sym_implicit_statement_token3] = ACTIONS(7693),
    [aux_sym_implicit_statement_token4] = ACTIONS(7693),
    [aux_sym_save_statement_token1] = ACTIONS(7693),
    [aux_sym_private_statement_token1] = ACTIONS(7693),
    [aux_sym_public_statement_token1] = ACTIONS(7693),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7693),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7693),
    [aux_sym_variable_attributes_token2] = ACTIONS(7693),
    [aux_sym_variable_attributes_token3] = ACTIONS(7693),
    [aux_sym_variable_attributes_token5] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7693),
    [aux_sym_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym_stop_statement_token1] = ACTIONS(7693),
    [aux_sym_stop_statement_token2] = ACTIONS(7693),
    [aux_sym_subroutine_call_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token2] = ACTIONS(7693),
    [aux_sym_keyword_statement_token3] = ACTIONS(7693),
    [aux_sym_keyword_statement_token4] = ACTIONS(7693),
    [aux_sym_keyword_statement_token6] = ACTIONS(7693),
    [aux_sym_keyword_statement_token7] = ACTIONS(7693),
    [aux_sym_include_statement_token1] = ACTIONS(7693),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7693),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7693),
    [aux_sym_end_if_statement_token1] = ACTIONS(7693),
    [aux_sym_elseif_clause_token2] = ACTIONS(7693),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7693),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7693),
    [aux_sym_select_case_statement_token1] = ACTIONS(7693),
    [aux_sym_select_case_statement_token3] = ACTIONS(7693),
    [aux_sym_select_type_statement_token1] = ACTIONS(7693),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7693),
    [aux_sym_associate_statement_token1] = ACTIONS(7693),
    [aux_sym_format_statement_token1] = ACTIONS(7693),
    [aux_sym_print_statement_token1] = ACTIONS(7693),
    [aux_sym_open_statement_token1] = ACTIONS(7693),
    [aux_sym_close_statement_token1] = ACTIONS(7693),
    [aux_sym_inquire_statement_token1] = ACTIONS(7693),
    [aux_sym_file_position_statement_token1] = ACTIONS(7693),
    [aux_sym_file_position_statement_token2] = ACTIONS(7693),
    [aux_sym_file_position_statement_token3] = ACTIONS(7693),
    [aux_sym_file_position_statement_token4] = ACTIONS(7693),
    [aux_sym_allocate_statement_token1] = ACTIONS(7693),
    [aux_sym_entry_statement_token1] = ACTIONS(7693),
    [aux_sym_assign_statement_token1] = ACTIONS(7693),
    [aux_sym_logical_expression_token5] = ACTIONS(7695),
    [anon_sym_DOT] = ACTIONS(7693),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7695),
    [anon_sym_LBRACK] = ACTIONS(7695),
    [aux_sym_boolean_literal_token1] = ACTIONS(7695),
    [aux_sym_boolean_literal_token2] = ACTIONS(7695),
    [aux_sym_null_literal_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token2] = ACTIONS(7693),
    [aux_sym_coarray_statement_token6] = ACTIONS(7693),
    [aux_sym_coarray_statement_token8] = ACTIONS(7693),
    [aux_sym_coarray_statement_token11] = ACTIONS(7693),
    [aux_sym_coarray_statement_token12] = ACTIONS(7693),
    [aux_sym_coarray_statement_token13] = ACTIONS(7693),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7693),
    [aux_sym_identifier_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7695),
    [sym__float_literal] = ACTIONS(7695),
    [sym__boz_literal] = ACTIONS(7695),
    [sym__string_literal] = ACTIONS(7695),
    [sym__string_literal_kind] = ACTIONS(7695),
  },
  [2910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token2] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_contains_statement_token1] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7697),
    [aux_sym_preproc_def_token1] = ACTIONS(7697),
    [aux_sym_preproc_if_token1] = ACTIONS(7697),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7697),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7697),
    [sym_preproc_directive] = ACTIONS(7697),
    [anon_sym_LPAREN2] = ACTIONS(7697),
    [anon_sym_PLUS] = ACTIONS(7699),
    [anon_sym_DASH] = ACTIONS(7699),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7697),
    [anon_sym_SEMI] = ACTIONS(7699),
    [aux_sym_block_data_statement_token1] = ACTIONS(7697),
    [aux_sym_block_data_statement_token2] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7697),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7697),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7697),
    [aux_sym_contains_statement_token1] = ACTIONS(7697),
    [aux_sym_use_statement_token2] = ACTIONS(7697),
    [aux_sym_implicit_statement_token3] = ACTIONS(7697),
    [aux_sym_implicit_statement_token4] = ACTIONS(7697),
    [aux_sym_save_statement_token1] = ACTIONS(7697),
    [aux_sym_private_statement_token1] = ACTIONS(7697),
    [aux_sym_public_statement_token1] = ACTIONS(7697),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7697),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7697),
    [aux_sym_variable_attributes_token2] = ACTIONS(7697),
    [aux_sym_variable_attributes_token3] = ACTIONS(7697),
    [aux_sym_variable_attributes_token5] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7697),
    [aux_sym_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym_stop_statement_token1] = ACTIONS(7697),
    [aux_sym_stop_statement_token2] = ACTIONS(7697),
    [aux_sym_subroutine_call_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token2] = ACTIONS(7697),
    [aux_sym_keyword_statement_token3] = ACTIONS(7697),
    [aux_sym_keyword_statement_token4] = ACTIONS(7697),
    [aux_sym_keyword_statement_token6] = ACTIONS(7697),
    [aux_sym_keyword_statement_token7] = ACTIONS(7697),
    [aux_sym_include_statement_token1] = ACTIONS(7697),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7697),
    [aux_sym_end_if_statement_token1] = ACTIONS(7697),
    [aux_sym_elseif_clause_token2] = ACTIONS(7697),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7697),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7697),
    [aux_sym_select_case_statement_token1] = ACTIONS(7697),
    [aux_sym_select_case_statement_token3] = ACTIONS(7697),
    [aux_sym_select_type_statement_token1] = ACTIONS(7697),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7697),
    [aux_sym_associate_statement_token1] = ACTIONS(7697),
    [aux_sym_format_statement_token1] = ACTIONS(7697),
    [aux_sym_print_statement_token1] = ACTIONS(7697),
    [aux_sym_open_statement_token1] = ACTIONS(7697),
    [aux_sym_close_statement_token1] = ACTIONS(7697),
    [aux_sym_inquire_statement_token1] = ACTIONS(7697),
    [aux_sym_file_position_statement_token1] = ACTIONS(7697),
    [aux_sym_file_position_statement_token2] = ACTIONS(7697),
    [aux_sym_file_position_statement_token3] = ACTIONS(7697),
    [aux_sym_file_position_statement_token4] = ACTIONS(7697),
    [aux_sym_allocate_statement_token1] = ACTIONS(7697),
    [aux_sym_entry_statement_token1] = ACTIONS(7697),
    [aux_sym_assign_statement_token1] = ACTIONS(7697),
    [aux_sym_logical_expression_token5] = ACTIONS(7699),
    [anon_sym_DOT] = ACTIONS(7697),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7699),
    [anon_sym_LBRACK] = ACTIONS(7699),
    [aux_sym_boolean_literal_token1] = ACTIONS(7699),
    [aux_sym_boolean_literal_token2] = ACTIONS(7699),
    [aux_sym_null_literal_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token2] = ACTIONS(7697),
    [aux_sym_coarray_statement_token6] = ACTIONS(7697),
    [aux_sym_coarray_statement_token8] = ACTIONS(7697),
    [aux_sym_coarray_statement_token11] = ACTIONS(7697),
    [aux_sym_coarray_statement_token12] = ACTIONS(7697),
    [aux_sym_coarray_statement_token13] = ACTIONS(7697),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7697),
    [aux_sym_identifier_token1] = ACTIONS(7697),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7699),
    [sym__float_literal] = ACTIONS(7699),
    [sym__boz_literal] = ACTIONS(7699),
    [sym__string_literal] = ACTIONS(7699),
    [sym__string_literal_kind] = ACTIONS(7699),
  },
  [2912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7377),
    [aux_sym_preproc_def_token1] = ACTIONS(7377),
    [aux_sym_preproc_if_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7377),
    [sym_preproc_directive] = ACTIONS(7377),
    [anon_sym_LPAREN2] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(7381),
    [aux_sym_block_data_statement_token1] = ACTIONS(7377),
    [aux_sym_block_data_statement_token2] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7377),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7377),
    [aux_sym_contains_statement_token1] = ACTIONS(7377),
    [aux_sym_use_statement_token2] = ACTIONS(7377),
    [aux_sym_implicit_statement_token3] = ACTIONS(7377),
    [aux_sym_implicit_statement_token4] = ACTIONS(7377),
    [aux_sym_save_statement_token1] = ACTIONS(7377),
    [aux_sym_private_statement_token1] = ACTIONS(7377),
    [aux_sym_public_statement_token1] = ACTIONS(7377),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7377),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7377),
    [aux_sym_variable_attributes_token2] = ACTIONS(7377),
    [aux_sym_variable_attributes_token3] = ACTIONS(7377),
    [aux_sym_variable_attributes_token5] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7377),
    [aux_sym_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym_stop_statement_token1] = ACTIONS(7377),
    [aux_sym_stop_statement_token2] = ACTIONS(7377),
    [aux_sym_subroutine_call_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token2] = ACTIONS(7377),
    [aux_sym_keyword_statement_token3] = ACTIONS(7377),
    [aux_sym_keyword_statement_token4] = ACTIONS(7377),
    [aux_sym_keyword_statement_token6] = ACTIONS(7377),
    [aux_sym_keyword_statement_token7] = ACTIONS(7377),
    [aux_sym_include_statement_token1] = ACTIONS(7377),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7377),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7377),
    [aux_sym_end_if_statement_token1] = ACTIONS(7377),
    [aux_sym_elseif_clause_token2] = ACTIONS(7377),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7377),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token3] = ACTIONS(7377),
    [aux_sym_select_type_statement_token1] = ACTIONS(7377),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7377),
    [aux_sym_associate_statement_token1] = ACTIONS(7377),
    [aux_sym_format_statement_token1] = ACTIONS(7377),
    [aux_sym_print_statement_token1] = ACTIONS(7377),
    [aux_sym_open_statement_token1] = ACTIONS(7377),
    [aux_sym_close_statement_token1] = ACTIONS(7377),
    [aux_sym_inquire_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token2] = ACTIONS(7377),
    [aux_sym_file_position_statement_token3] = ACTIONS(7377),
    [aux_sym_file_position_statement_token4] = ACTIONS(7377),
    [aux_sym_allocate_statement_token1] = ACTIONS(7377),
    [aux_sym_entry_statement_token1] = ACTIONS(7377),
    [aux_sym_assign_statement_token1] = ACTIONS(7377),
    [aux_sym_logical_expression_token5] = ACTIONS(7381),
    [anon_sym_DOT] = ACTIONS(7377),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [aux_sym_boolean_literal_token1] = ACTIONS(7381),
    [aux_sym_boolean_literal_token2] = ACTIONS(7381),
    [aux_sym_null_literal_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token2] = ACTIONS(7377),
    [aux_sym_coarray_statement_token6] = ACTIONS(7377),
    [aux_sym_coarray_statement_token8] = ACTIONS(7377),
    [aux_sym_coarray_statement_token11] = ACTIONS(7377),
    [aux_sym_coarray_statement_token12] = ACTIONS(7377),
    [aux_sym_coarray_statement_token13] = ACTIONS(7377),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7377),
    [aux_sym_identifier_token1] = ACTIONS(7377),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7381),
    [sym__float_literal] = ACTIONS(7381),
    [sym__boz_literal] = ACTIONS(7381),
    [sym__string_literal] = ACTIONS(7381),
    [sym__string_literal_kind] = ACTIONS(7381),
  },
  [2913] = {
    [anon_sym_LPAREN2] = ACTIONS(7701),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [2914] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7703),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [aux_sym_end_program_statement_token2] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [aux_sym_end_program_statement_token2] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7705),
    [aux_sym_preproc_def_token1] = ACTIONS(7705),
    [aux_sym_preproc_if_token1] = ACTIONS(7705),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7705),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7705),
    [sym_preproc_directive] = ACTIONS(7705),
    [anon_sym_LPAREN2] = ACTIONS(7705),
    [anon_sym_PLUS] = ACTIONS(7707),
    [anon_sym_DASH] = ACTIONS(7707),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7705),
    [anon_sym_SEMI] = ACTIONS(7707),
    [aux_sym_block_data_statement_token1] = ACTIONS(7705),
    [aux_sym_block_data_statement_token2] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7705),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7705),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7705),
    [aux_sym_contains_statement_token1] = ACTIONS(7705),
    [aux_sym_use_statement_token2] = ACTIONS(7705),
    [aux_sym_implicit_statement_token3] = ACTIONS(7705),
    [aux_sym_implicit_statement_token4] = ACTIONS(7705),
    [aux_sym_save_statement_token1] = ACTIONS(7705),
    [aux_sym_private_statement_token1] = ACTIONS(7705),
    [aux_sym_public_statement_token1] = ACTIONS(7705),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7705),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7705),
    [aux_sym_variable_attributes_token2] = ACTIONS(7705),
    [aux_sym_variable_attributes_token3] = ACTIONS(7705),
    [aux_sym_variable_attributes_token5] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7705),
    [aux_sym_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym_stop_statement_token1] = ACTIONS(7705),
    [aux_sym_stop_statement_token2] = ACTIONS(7705),
    [aux_sym_subroutine_call_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token2] = ACTIONS(7705),
    [aux_sym_keyword_statement_token3] = ACTIONS(7705),
    [aux_sym_keyword_statement_token4] = ACTIONS(7705),
    [aux_sym_keyword_statement_token6] = ACTIONS(7705),
    [aux_sym_keyword_statement_token7] = ACTIONS(7705),
    [aux_sym_include_statement_token1] = ACTIONS(7705),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7705),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7705),
    [aux_sym_end_if_statement_token1] = ACTIONS(7705),
    [aux_sym_elseif_clause_token2] = ACTIONS(7705),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7705),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7705),
    [aux_sym_select_case_statement_token1] = ACTIONS(7705),
    [aux_sym_select_case_statement_token3] = ACTIONS(7705),
    [aux_sym_select_type_statement_token1] = ACTIONS(7705),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7705),
    [aux_sym_associate_statement_token1] = ACTIONS(7705),
    [aux_sym_format_statement_token1] = ACTIONS(7705),
    [aux_sym_print_statement_token1] = ACTIONS(7705),
    [aux_sym_open_statement_token1] = ACTIONS(7705),
    [aux_sym_close_statement_token1] = ACTIONS(7705),
    [aux_sym_inquire_statement_token1] = ACTIONS(7705),
    [aux_sym_file_position_statement_token1] = ACTIONS(7705),
    [aux_sym_file_position_statement_token2] = ACTIONS(7705),
    [aux_sym_file_position_statement_token3] = ACTIONS(7705),
    [aux_sym_file_position_statement_token4] = ACTIONS(7705),
    [aux_sym_allocate_statement_token1] = ACTIONS(7705),
    [aux_sym_entry_statement_token1] = ACTIONS(7705),
    [aux_sym_assign_statement_token1] = ACTIONS(7705),
    [aux_sym_logical_expression_token5] = ACTIONS(7707),
    [anon_sym_DOT] = ACTIONS(7705),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7707),
    [anon_sym_LBRACK] = ACTIONS(7707),
    [aux_sym_boolean_literal_token1] = ACTIONS(7707),
    [aux_sym_boolean_literal_token2] = ACTIONS(7707),
    [aux_sym_null_literal_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token2] = ACTIONS(7705),
    [aux_sym_coarray_statement_token6] = ACTIONS(7705),
    [aux_sym_coarray_statement_token8] = ACTIONS(7705),
    [aux_sym_coarray_statement_token11] = ACTIONS(7705),
    [aux_sym_coarray_statement_token12] = ACTIONS(7705),
    [aux_sym_coarray_statement_token13] = ACTIONS(7705),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7705),
    [aux_sym_identifier_token1] = ACTIONS(7705),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7707),
    [sym__float_literal] = ACTIONS(7707),
    [sym__boz_literal] = ACTIONS(7707),
    [sym__string_literal] = ACTIONS(7707),
    [sym__string_literal_kind] = ACTIONS(7707),
  },
  [2918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token2] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_end_select_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [2919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7709),
    [aux_sym_preproc_def_token1] = ACTIONS(7709),
    [aux_sym_preproc_if_token1] = ACTIONS(7709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7709),
    [sym_preproc_directive] = ACTIONS(7709),
    [anon_sym_LPAREN2] = ACTIONS(7709),
    [anon_sym_PLUS] = ACTIONS(7711),
    [anon_sym_DASH] = ACTIONS(7711),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7709),
    [anon_sym_SEMI] = ACTIONS(7711),
    [aux_sym_block_data_statement_token1] = ACTIONS(7709),
    [aux_sym_block_data_statement_token2] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7709),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7709),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7709),
    [aux_sym_contains_statement_token1] = ACTIONS(7709),
    [aux_sym_use_statement_token2] = ACTIONS(7709),
    [aux_sym_implicit_statement_token3] = ACTIONS(7709),
    [aux_sym_implicit_statement_token4] = ACTIONS(7709),
    [aux_sym_save_statement_token1] = ACTIONS(7709),
    [aux_sym_private_statement_token1] = ACTIONS(7709),
    [aux_sym_public_statement_token1] = ACTIONS(7709),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7709),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7709),
    [aux_sym_variable_attributes_token2] = ACTIONS(7709),
    [aux_sym_variable_attributes_token3] = ACTIONS(7709),
    [aux_sym_variable_attributes_token5] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7709),
    [aux_sym_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym_stop_statement_token1] = ACTIONS(7709),
    [aux_sym_stop_statement_token2] = ACTIONS(7709),
    [aux_sym_subroutine_call_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token2] = ACTIONS(7709),
    [aux_sym_keyword_statement_token3] = ACTIONS(7709),
    [aux_sym_keyword_statement_token4] = ACTIONS(7709),
    [aux_sym_keyword_statement_token6] = ACTIONS(7709),
    [aux_sym_keyword_statement_token7] = ACTIONS(7709),
    [aux_sym_include_statement_token1] = ACTIONS(7709),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7709),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7709),
    [aux_sym_end_if_statement_token1] = ACTIONS(7709),
    [aux_sym_elseif_clause_token2] = ACTIONS(7709),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7709),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7709),
    [aux_sym_select_case_statement_token1] = ACTIONS(7709),
    [aux_sym_select_case_statement_token3] = ACTIONS(7709),
    [aux_sym_select_type_statement_token1] = ACTIONS(7709),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7709),
    [aux_sym_associate_statement_token1] = ACTIONS(7709),
    [aux_sym_format_statement_token1] = ACTIONS(7709),
    [aux_sym_print_statement_token1] = ACTIONS(7709),
    [aux_sym_open_statement_token1] = ACTIONS(7709),
    [aux_sym_close_statement_token1] = ACTIONS(7709),
    [aux_sym_inquire_statement_token1] = ACTIONS(7709),
    [aux_sym_file_position_statement_token1] = ACTIONS(7709),
    [aux_sym_file_position_statement_token2] = ACTIONS(7709),
    [aux_sym_file_position_statement_token3] = ACTIONS(7709),
    [aux_sym_file_position_statement_token4] = ACTIONS(7709),
    [aux_sym_allocate_statement_token1] = ACTIONS(7709),
    [aux_sym_entry_statement_token1] = ACTIONS(7709),
    [aux_sym_assign_statement_token1] = ACTIONS(7709),
    [aux_sym_logical_expression_token5] = ACTIONS(7711),
    [anon_sym_DOT] = ACTIONS(7709),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7711),
    [anon_sym_LBRACK] = ACTIONS(7711),
    [aux_sym_boolean_literal_token1] = ACTIONS(7711),
    [aux_sym_boolean_literal_token2] = ACTIONS(7711),
    [aux_sym_null_literal_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token2] = ACTIONS(7709),
    [aux_sym_coarray_statement_token6] = ACTIONS(7709),
    [aux_sym_coarray_statement_token8] = ACTIONS(7709),
    [aux_sym_coarray_statement_token11] = ACTIONS(7709),
    [aux_sym_coarray_statement_token12] = ACTIONS(7709),
    [aux_sym_coarray_statement_token13] = ACTIONS(7709),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7709),
    [aux_sym_identifier_token1] = ACTIONS(7709),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7711),
    [sym__float_literal] = ACTIONS(7711),
    [sym__boz_literal] = ACTIONS(7711),
    [sym__string_literal] = ACTIONS(7711),
    [sym__string_literal_kind] = ACTIONS(7711),
  },
  [2921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token2] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_end_select_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [2922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7265),
    [aux_sym_preproc_def_token1] = ACTIONS(7265),
    [aux_sym_preproc_if_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7265),
    [sym_preproc_directive] = ACTIONS(7265),
    [anon_sym_LPAREN2] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7265),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(7265),
    [aux_sym_block_data_statement_token2] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7265),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7265),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7265),
    [aux_sym_contains_statement_token1] = ACTIONS(7265),
    [aux_sym_use_statement_token2] = ACTIONS(7265),
    [aux_sym_implicit_statement_token3] = ACTIONS(7265),
    [aux_sym_implicit_statement_token4] = ACTIONS(7265),
    [aux_sym_save_statement_token1] = ACTIONS(7265),
    [aux_sym_private_statement_token1] = ACTIONS(7265),
    [aux_sym_public_statement_token1] = ACTIONS(7265),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7265),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7265),
    [aux_sym_variable_attributes_token2] = ACTIONS(7265),
    [aux_sym_variable_attributes_token3] = ACTIONS(7265),
    [aux_sym_variable_attributes_token5] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7265),
    [aux_sym_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym_stop_statement_token1] = ACTIONS(7265),
    [aux_sym_stop_statement_token2] = ACTIONS(7265),
    [aux_sym_subroutine_call_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token2] = ACTIONS(7265),
    [aux_sym_keyword_statement_token3] = ACTIONS(7265),
    [aux_sym_keyword_statement_token4] = ACTIONS(7265),
    [aux_sym_keyword_statement_token6] = ACTIONS(7265),
    [aux_sym_keyword_statement_token7] = ACTIONS(7265),
    [aux_sym_include_statement_token1] = ACTIONS(7265),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7265),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7265),
    [aux_sym_end_if_statement_token1] = ACTIONS(7265),
    [aux_sym_elseif_clause_token2] = ACTIONS(7265),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7265),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token3] = ACTIONS(7265),
    [aux_sym_select_type_statement_token1] = ACTIONS(7265),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7265),
    [aux_sym_associate_statement_token1] = ACTIONS(7265),
    [aux_sym_format_statement_token1] = ACTIONS(7265),
    [aux_sym_print_statement_token1] = ACTIONS(7265),
    [aux_sym_open_statement_token1] = ACTIONS(7265),
    [aux_sym_close_statement_token1] = ACTIONS(7265),
    [aux_sym_inquire_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token2] = ACTIONS(7265),
    [aux_sym_file_position_statement_token3] = ACTIONS(7265),
    [aux_sym_file_position_statement_token4] = ACTIONS(7265),
    [aux_sym_allocate_statement_token1] = ACTIONS(7265),
    [aux_sym_entry_statement_token1] = ACTIONS(7265),
    [aux_sym_assign_statement_token1] = ACTIONS(7265),
    [aux_sym_logical_expression_token5] = ACTIONS(7269),
    [anon_sym_DOT] = ACTIONS(7265),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [aux_sym_boolean_literal_token1] = ACTIONS(7269),
    [aux_sym_boolean_literal_token2] = ACTIONS(7269),
    [aux_sym_null_literal_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token2] = ACTIONS(7265),
    [aux_sym_coarray_statement_token6] = ACTIONS(7265),
    [aux_sym_coarray_statement_token8] = ACTIONS(7265),
    [aux_sym_coarray_statement_token11] = ACTIONS(7265),
    [aux_sym_coarray_statement_token12] = ACTIONS(7265),
    [aux_sym_coarray_statement_token13] = ACTIONS(7265),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7265),
    [aux_sym_identifier_token1] = ACTIONS(7265),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7269),
    [sym__float_literal] = ACTIONS(7269),
    [sym__boz_literal] = ACTIONS(7269),
    [sym__string_literal] = ACTIONS(7269),
    [sym__string_literal_kind] = ACTIONS(7269),
  },
  [2923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7713),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7715),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7389),
    [aux_sym_preproc_def_token1] = ACTIONS(7389),
    [aux_sym_preproc_if_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7389),
    [sym_preproc_directive] = ACTIONS(7389),
    [anon_sym_LPAREN2] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7389),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(7389),
    [aux_sym_block_data_statement_token2] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7389),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7389),
    [aux_sym_contains_statement_token1] = ACTIONS(7389),
    [aux_sym_use_statement_token2] = ACTIONS(7389),
    [aux_sym_implicit_statement_token3] = ACTIONS(7389),
    [aux_sym_implicit_statement_token4] = ACTIONS(7389),
    [aux_sym_save_statement_token1] = ACTIONS(7389),
    [aux_sym_private_statement_token1] = ACTIONS(7389),
    [aux_sym_public_statement_token1] = ACTIONS(7389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7389),
    [aux_sym_variable_attributes_token2] = ACTIONS(7389),
    [aux_sym_variable_attributes_token3] = ACTIONS(7389),
    [aux_sym_variable_attributes_token5] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7389),
    [aux_sym_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym_stop_statement_token1] = ACTIONS(7389),
    [aux_sym_stop_statement_token2] = ACTIONS(7389),
    [aux_sym_subroutine_call_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token2] = ACTIONS(7389),
    [aux_sym_keyword_statement_token3] = ACTIONS(7389),
    [aux_sym_keyword_statement_token4] = ACTIONS(7389),
    [aux_sym_keyword_statement_token6] = ACTIONS(7389),
    [aux_sym_keyword_statement_token7] = ACTIONS(7389),
    [aux_sym_include_statement_token1] = ACTIONS(7389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7389),
    [aux_sym_end_if_statement_token1] = ACTIONS(7389),
    [aux_sym_elseif_clause_token2] = ACTIONS(7389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token3] = ACTIONS(7389),
    [aux_sym_select_type_statement_token1] = ACTIONS(7389),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7389),
    [aux_sym_associate_statement_token1] = ACTIONS(7389),
    [aux_sym_format_statement_token1] = ACTIONS(7389),
    [aux_sym_print_statement_token1] = ACTIONS(7389),
    [aux_sym_open_statement_token1] = ACTIONS(7389),
    [aux_sym_close_statement_token1] = ACTIONS(7389),
    [aux_sym_inquire_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token2] = ACTIONS(7389),
    [aux_sym_file_position_statement_token3] = ACTIONS(7389),
    [aux_sym_file_position_statement_token4] = ACTIONS(7389),
    [aux_sym_allocate_statement_token1] = ACTIONS(7389),
    [aux_sym_entry_statement_token1] = ACTIONS(7389),
    [aux_sym_assign_statement_token1] = ACTIONS(7389),
    [aux_sym_logical_expression_token5] = ACTIONS(7393),
    [anon_sym_DOT] = ACTIONS(7389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [aux_sym_boolean_literal_token1] = ACTIONS(7393),
    [aux_sym_boolean_literal_token2] = ACTIONS(7393),
    [aux_sym_null_literal_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token2] = ACTIONS(7389),
    [aux_sym_coarray_statement_token6] = ACTIONS(7389),
    [aux_sym_coarray_statement_token8] = ACTIONS(7389),
    [aux_sym_coarray_statement_token11] = ACTIONS(7389),
    [aux_sym_coarray_statement_token12] = ACTIONS(7389),
    [aux_sym_coarray_statement_token13] = ACTIONS(7389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7389),
    [aux_sym_identifier_token1] = ACTIONS(7389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7393),
    [sym__float_literal] = ACTIONS(7393),
    [sym__boz_literal] = ACTIONS(7393),
    [sym__string_literal] = ACTIONS(7393),
    [sym__string_literal_kind] = ACTIONS(7393),
  },
  [2926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token2] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_end_select_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7717),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [aux_sym_end_program_statement_token2] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_contains_statement_token1] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [2930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7719),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [aux_sym_end_program_statement_token2] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_contains_statement_token1] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [2932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7721),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [2933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [aux_sym_end_program_statement_token2] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [aux_sym_end_program_statement_token2] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [2935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7723),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7377),
    [aux_sym_preproc_def_token1] = ACTIONS(7377),
    [aux_sym_preproc_if_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7377),
    [sym_preproc_directive] = ACTIONS(7377),
    [anon_sym_LPAREN2] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(7381),
    [aux_sym_block_data_statement_token1] = ACTIONS(7377),
    [aux_sym_block_data_statement_token2] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7377),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7377),
    [aux_sym_contains_statement_token1] = ACTIONS(7377),
    [aux_sym_use_statement_token2] = ACTIONS(7377),
    [aux_sym_implicit_statement_token3] = ACTIONS(7377),
    [aux_sym_implicit_statement_token4] = ACTIONS(7377),
    [aux_sym_save_statement_token1] = ACTIONS(7377),
    [aux_sym_private_statement_token1] = ACTIONS(7377),
    [aux_sym_public_statement_token1] = ACTIONS(7377),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7377),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7377),
    [aux_sym_variable_attributes_token2] = ACTIONS(7377),
    [aux_sym_variable_attributes_token3] = ACTIONS(7377),
    [aux_sym_variable_attributes_token5] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7377),
    [aux_sym_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym_stop_statement_token1] = ACTIONS(7377),
    [aux_sym_stop_statement_token2] = ACTIONS(7377),
    [aux_sym_subroutine_call_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token2] = ACTIONS(7377),
    [aux_sym_keyword_statement_token3] = ACTIONS(7377),
    [aux_sym_keyword_statement_token4] = ACTIONS(7377),
    [aux_sym_keyword_statement_token6] = ACTIONS(7377),
    [aux_sym_keyword_statement_token7] = ACTIONS(7377),
    [aux_sym_include_statement_token1] = ACTIONS(7377),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7377),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7377),
    [aux_sym_end_if_statement_token1] = ACTIONS(7377),
    [aux_sym_elseif_clause_token2] = ACTIONS(7377),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7377),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token3] = ACTIONS(7377),
    [aux_sym_select_type_statement_token1] = ACTIONS(7377),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7377),
    [aux_sym_associate_statement_token1] = ACTIONS(7377),
    [aux_sym_format_statement_token1] = ACTIONS(7377),
    [aux_sym_print_statement_token1] = ACTIONS(7377),
    [aux_sym_open_statement_token1] = ACTIONS(7377),
    [aux_sym_close_statement_token1] = ACTIONS(7377),
    [aux_sym_inquire_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token2] = ACTIONS(7377),
    [aux_sym_file_position_statement_token3] = ACTIONS(7377),
    [aux_sym_file_position_statement_token4] = ACTIONS(7377),
    [aux_sym_allocate_statement_token1] = ACTIONS(7377),
    [aux_sym_entry_statement_token1] = ACTIONS(7377),
    [aux_sym_assign_statement_token1] = ACTIONS(7377),
    [aux_sym_logical_expression_token5] = ACTIONS(7381),
    [anon_sym_DOT] = ACTIONS(7377),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [aux_sym_boolean_literal_token1] = ACTIONS(7381),
    [aux_sym_boolean_literal_token2] = ACTIONS(7381),
    [aux_sym_null_literal_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token2] = ACTIONS(7377),
    [aux_sym_coarray_statement_token6] = ACTIONS(7377),
    [aux_sym_coarray_statement_token8] = ACTIONS(7377),
    [aux_sym_coarray_statement_token11] = ACTIONS(7377),
    [aux_sym_coarray_statement_token12] = ACTIONS(7377),
    [aux_sym_coarray_statement_token13] = ACTIONS(7377),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7377),
    [aux_sym_identifier_token1] = ACTIONS(7377),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7381),
    [sym__float_literal] = ACTIONS(7381),
    [sym__boz_literal] = ACTIONS(7381),
    [sym__string_literal] = ACTIONS(7381),
    [sym__string_literal_kind] = ACTIONS(7381),
  },
  [2937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [2938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [2939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [aux_sym_end_program_statement_token2] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [2940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7725),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7727),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_end_select_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7729),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [2944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7731),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_end_select_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7733),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [2946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7735),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7737),
    [aux_sym_preproc_def_token1] = ACTIONS(7737),
    [aux_sym_preproc_if_token1] = ACTIONS(7737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7737),
    [sym_preproc_directive] = ACTIONS(7737),
    [anon_sym_LPAREN2] = ACTIONS(7737),
    [anon_sym_PLUS] = ACTIONS(7739),
    [anon_sym_DASH] = ACTIONS(7739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7737),
    [anon_sym_SEMI] = ACTIONS(7739),
    [aux_sym_block_data_statement_token1] = ACTIONS(7737),
    [aux_sym_block_data_statement_token2] = ACTIONS(7737),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7737),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7737),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7737),
    [aux_sym_end_function_statement_token1] = ACTIONS(7737),
    [aux_sym_contains_statement_token1] = ACTIONS(7737),
    [aux_sym_use_statement_token2] = ACTIONS(7737),
    [aux_sym_implicit_statement_token3] = ACTIONS(7737),
    [aux_sym_implicit_statement_token4] = ACTIONS(7737),
    [aux_sym_save_statement_token1] = ACTIONS(7737),
    [aux_sym_private_statement_token1] = ACTIONS(7737),
    [aux_sym_public_statement_token1] = ACTIONS(7737),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7737),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7737),
    [aux_sym_variable_attributes_token2] = ACTIONS(7737),
    [aux_sym_variable_attributes_token3] = ACTIONS(7737),
    [aux_sym_variable_attributes_token5] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7737),
    [aux_sym_type_qualifier_token1] = ACTIONS(7737),
    [aux_sym_type_qualifier_token2] = ACTIONS(7737),
    [aux_sym_stop_statement_token1] = ACTIONS(7737),
    [aux_sym_stop_statement_token2] = ACTIONS(7737),
    [aux_sym_subroutine_call_token1] = ACTIONS(7737),
    [aux_sym_keyword_statement_token1] = ACTIONS(7737),
    [aux_sym_keyword_statement_token2] = ACTIONS(7737),
    [aux_sym_keyword_statement_token3] = ACTIONS(7737),
    [aux_sym_keyword_statement_token4] = ACTIONS(7737),
    [aux_sym_keyword_statement_token6] = ACTIONS(7737),
    [aux_sym_keyword_statement_token7] = ACTIONS(7737),
    [aux_sym_include_statement_token1] = ACTIONS(7737),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7737),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7737),
    [aux_sym_end_if_statement_token1] = ACTIONS(7737),
    [aux_sym_elseif_clause_token2] = ACTIONS(7737),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7737),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7737),
    [aux_sym_select_case_statement_token1] = ACTIONS(7737),
    [aux_sym_select_case_statement_token3] = ACTIONS(7737),
    [aux_sym_select_type_statement_token1] = ACTIONS(7737),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7737),
    [aux_sym_associate_statement_token1] = ACTIONS(7737),
    [aux_sym_format_statement_token1] = ACTIONS(7737),
    [aux_sym_print_statement_token1] = ACTIONS(7737),
    [aux_sym_open_statement_token1] = ACTIONS(7737),
    [aux_sym_close_statement_token1] = ACTIONS(7737),
    [aux_sym_inquire_statement_token1] = ACTIONS(7737),
    [aux_sym_file_position_statement_token1] = ACTIONS(7737),
    [aux_sym_file_position_statement_token2] = ACTIONS(7737),
    [aux_sym_file_position_statement_token3] = ACTIONS(7737),
    [aux_sym_file_position_statement_token4] = ACTIONS(7737),
    [aux_sym_allocate_statement_token1] = ACTIONS(7737),
    [aux_sym_entry_statement_token1] = ACTIONS(7737),
    [aux_sym_assign_statement_token1] = ACTIONS(7737),
    [aux_sym_logical_expression_token5] = ACTIONS(7739),
    [anon_sym_DOT] = ACTIONS(7737),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7739),
    [anon_sym_LBRACK] = ACTIONS(7739),
    [aux_sym_boolean_literal_token1] = ACTIONS(7739),
    [aux_sym_boolean_literal_token2] = ACTIONS(7739),
    [aux_sym_null_literal_token1] = ACTIONS(7737),
    [aux_sym_coarray_statement_token1] = ACTIONS(7737),
    [aux_sym_coarray_statement_token2] = ACTIONS(7737),
    [aux_sym_coarray_statement_token6] = ACTIONS(7737),
    [aux_sym_coarray_statement_token8] = ACTIONS(7737),
    [aux_sym_coarray_statement_token11] = ACTIONS(7737),
    [aux_sym_coarray_statement_token12] = ACTIONS(7737),
    [aux_sym_coarray_statement_token13] = ACTIONS(7737),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7737),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7737),
    [aux_sym_identifier_token1] = ACTIONS(7737),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7739),
    [sym__float_literal] = ACTIONS(7739),
    [sym__boz_literal] = ACTIONS(7739),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7739),
  },
  [2948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7741),
    [aux_sym_preproc_def_token1] = ACTIONS(7741),
    [aux_sym_preproc_if_token1] = ACTIONS(7741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7741),
    [sym_preproc_directive] = ACTIONS(7741),
    [anon_sym_LPAREN2] = ACTIONS(7741),
    [anon_sym_PLUS] = ACTIONS(7743),
    [anon_sym_DASH] = ACTIONS(7743),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7741),
    [anon_sym_SEMI] = ACTIONS(7743),
    [aux_sym_block_data_statement_token1] = ACTIONS(7741),
    [aux_sym_block_data_statement_token2] = ACTIONS(7741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7741),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7741),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7741),
    [aux_sym_contains_statement_token1] = ACTIONS(7741),
    [aux_sym_use_statement_token2] = ACTIONS(7741),
    [aux_sym_implicit_statement_token3] = ACTIONS(7741),
    [aux_sym_implicit_statement_token4] = ACTIONS(7741),
    [aux_sym_save_statement_token1] = ACTIONS(7741),
    [aux_sym_private_statement_token1] = ACTIONS(7741),
    [aux_sym_public_statement_token1] = ACTIONS(7741),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7741),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7741),
    [aux_sym_variable_attributes_token2] = ACTIONS(7741),
    [aux_sym_variable_attributes_token3] = ACTIONS(7741),
    [aux_sym_variable_attributes_token5] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7741),
    [aux_sym_type_qualifier_token1] = ACTIONS(7741),
    [aux_sym_type_qualifier_token2] = ACTIONS(7741),
    [aux_sym_stop_statement_token1] = ACTIONS(7741),
    [aux_sym_stop_statement_token2] = ACTIONS(7741),
    [aux_sym_subroutine_call_token1] = ACTIONS(7741),
    [aux_sym_keyword_statement_token1] = ACTIONS(7741),
    [aux_sym_keyword_statement_token2] = ACTIONS(7741),
    [aux_sym_keyword_statement_token3] = ACTIONS(7741),
    [aux_sym_keyword_statement_token4] = ACTIONS(7741),
    [aux_sym_keyword_statement_token6] = ACTIONS(7741),
    [aux_sym_keyword_statement_token7] = ACTIONS(7741),
    [aux_sym_include_statement_token1] = ACTIONS(7741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7741),
    [aux_sym_end_if_statement_token1] = ACTIONS(7741),
    [aux_sym_elseif_clause_token2] = ACTIONS(7741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7741),
    [aux_sym_select_case_statement_token1] = ACTIONS(7741),
    [aux_sym_select_case_statement_token3] = ACTIONS(7741),
    [aux_sym_select_type_statement_token1] = ACTIONS(7741),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7741),
    [aux_sym_associate_statement_token1] = ACTIONS(7741),
    [aux_sym_format_statement_token1] = ACTIONS(7741),
    [aux_sym_print_statement_token1] = ACTIONS(7741),
    [aux_sym_open_statement_token1] = ACTIONS(7741),
    [aux_sym_close_statement_token1] = ACTIONS(7741),
    [aux_sym_inquire_statement_token1] = ACTIONS(7741),
    [aux_sym_file_position_statement_token1] = ACTIONS(7741),
    [aux_sym_file_position_statement_token2] = ACTIONS(7741),
    [aux_sym_file_position_statement_token3] = ACTIONS(7741),
    [aux_sym_file_position_statement_token4] = ACTIONS(7741),
    [aux_sym_allocate_statement_token1] = ACTIONS(7741),
    [aux_sym_entry_statement_token1] = ACTIONS(7741),
    [aux_sym_assign_statement_token1] = ACTIONS(7741),
    [aux_sym_logical_expression_token5] = ACTIONS(7743),
    [anon_sym_DOT] = ACTIONS(7741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7743),
    [anon_sym_LBRACK] = ACTIONS(7743),
    [aux_sym_boolean_literal_token1] = ACTIONS(7743),
    [aux_sym_boolean_literal_token2] = ACTIONS(7743),
    [aux_sym_null_literal_token1] = ACTIONS(7741),
    [aux_sym_coarray_statement_token1] = ACTIONS(7741),
    [aux_sym_coarray_statement_token2] = ACTIONS(7741),
    [aux_sym_coarray_statement_token6] = ACTIONS(7741),
    [aux_sym_coarray_statement_token8] = ACTIONS(7741),
    [aux_sym_coarray_statement_token11] = ACTIONS(7741),
    [aux_sym_coarray_statement_token12] = ACTIONS(7741),
    [aux_sym_coarray_statement_token13] = ACTIONS(7741),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7741),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7741),
    [aux_sym_identifier_token1] = ACTIONS(7741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7743),
    [sym__float_literal] = ACTIONS(7743),
    [sym__boz_literal] = ACTIONS(7743),
    [sym__string_literal] = ACTIONS(7743),
    [sym__string_literal_kind] = ACTIONS(7743),
  },
  [2949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7745),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_end_select_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7747),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_end_select_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7601),
    [aux_sym_preproc_def_token1] = ACTIONS(7601),
    [aux_sym_preproc_if_token1] = ACTIONS(7601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7601),
    [sym_preproc_directive] = ACTIONS(7601),
    [anon_sym_LPAREN2] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7603),
    [anon_sym_DASH] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7601),
    [anon_sym_SEMI] = ACTIONS(7603),
    [aux_sym_block_data_statement_token1] = ACTIONS(7601),
    [aux_sym_block_data_statement_token2] = ACTIONS(7601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7601),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7601),
    [aux_sym_contains_statement_token1] = ACTIONS(7601),
    [aux_sym_use_statement_token2] = ACTIONS(7601),
    [aux_sym_implicit_statement_token3] = ACTIONS(7601),
    [aux_sym_implicit_statement_token4] = ACTIONS(7601),
    [aux_sym_save_statement_token1] = ACTIONS(7601),
    [aux_sym_private_statement_token1] = ACTIONS(7601),
    [aux_sym_public_statement_token1] = ACTIONS(7601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7601),
    [aux_sym_variable_attributes_token2] = ACTIONS(7601),
    [aux_sym_variable_attributes_token3] = ACTIONS(7601),
    [aux_sym_variable_attributes_token5] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7601),
    [aux_sym_type_qualifier_token1] = ACTIONS(7601),
    [aux_sym_type_qualifier_token2] = ACTIONS(7601),
    [aux_sym_stop_statement_token1] = ACTIONS(7601),
    [aux_sym_stop_statement_token2] = ACTIONS(7601),
    [aux_sym_subroutine_call_token1] = ACTIONS(7601),
    [aux_sym_keyword_statement_token1] = ACTIONS(7601),
    [aux_sym_keyword_statement_token2] = ACTIONS(7601),
    [aux_sym_keyword_statement_token3] = ACTIONS(7601),
    [aux_sym_keyword_statement_token4] = ACTIONS(7601),
    [aux_sym_keyword_statement_token6] = ACTIONS(7601),
    [aux_sym_keyword_statement_token7] = ACTIONS(7601),
    [aux_sym_include_statement_token1] = ACTIONS(7601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7601),
    [aux_sym_end_if_statement_token1] = ACTIONS(7601),
    [aux_sym_elseif_clause_token2] = ACTIONS(7601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7601),
    [aux_sym_select_case_statement_token1] = ACTIONS(7601),
    [aux_sym_select_case_statement_token3] = ACTIONS(7601),
    [aux_sym_select_type_statement_token1] = ACTIONS(7601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7601),
    [aux_sym_associate_statement_token1] = ACTIONS(7601),
    [aux_sym_format_statement_token1] = ACTIONS(7601),
    [aux_sym_print_statement_token1] = ACTIONS(7601),
    [aux_sym_open_statement_token1] = ACTIONS(7601),
    [aux_sym_close_statement_token1] = ACTIONS(7601),
    [aux_sym_inquire_statement_token1] = ACTIONS(7601),
    [aux_sym_file_position_statement_token1] = ACTIONS(7601),
    [aux_sym_file_position_statement_token2] = ACTIONS(7601),
    [aux_sym_file_position_statement_token3] = ACTIONS(7601),
    [aux_sym_file_position_statement_token4] = ACTIONS(7601),
    [aux_sym_allocate_statement_token1] = ACTIONS(7601),
    [aux_sym_entry_statement_token1] = ACTIONS(7601),
    [aux_sym_assign_statement_token1] = ACTIONS(7601),
    [aux_sym_logical_expression_token5] = ACTIONS(7603),
    [anon_sym_DOT] = ACTIONS(7601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7603),
    [aux_sym_boolean_literal_token1] = ACTIONS(7603),
    [aux_sym_boolean_literal_token2] = ACTIONS(7603),
    [aux_sym_null_literal_token1] = ACTIONS(7601),
    [aux_sym_coarray_statement_token1] = ACTIONS(7601),
    [aux_sym_coarray_statement_token2] = ACTIONS(7601),
    [aux_sym_coarray_statement_token6] = ACTIONS(7601),
    [aux_sym_coarray_statement_token8] = ACTIONS(7601),
    [aux_sym_coarray_statement_token11] = ACTIONS(7601),
    [aux_sym_coarray_statement_token12] = ACTIONS(7601),
    [aux_sym_coarray_statement_token13] = ACTIONS(7601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7601),
    [aux_sym_identifier_token1] = ACTIONS(7601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7603),
    [sym__float_literal] = ACTIONS(7603),
    [sym__boz_literal] = ACTIONS(7603),
    [sym__string_literal] = ACTIONS(7603),
    [sym__string_literal_kind] = ACTIONS(7603),
  },
  [2952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7407),
    [aux_sym_preproc_def_token1] = ACTIONS(7407),
    [aux_sym_preproc_if_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7407),
    [sym_preproc_directive] = ACTIONS(7407),
    [anon_sym_LPAREN2] = ACTIONS(7407),
    [anon_sym_PLUS] = ACTIONS(7411),
    [anon_sym_DASH] = ACTIONS(7411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7407),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(7407),
    [aux_sym_block_data_statement_token2] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7407),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7407),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7407),
    [aux_sym_contains_statement_token1] = ACTIONS(7407),
    [aux_sym_use_statement_token2] = ACTIONS(7407),
    [aux_sym_implicit_statement_token3] = ACTIONS(7407),
    [aux_sym_implicit_statement_token4] = ACTIONS(7407),
    [aux_sym_save_statement_token1] = ACTIONS(7407),
    [aux_sym_private_statement_token1] = ACTIONS(7407),
    [aux_sym_public_statement_token1] = ACTIONS(7407),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7407),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7407),
    [aux_sym_variable_attributes_token2] = ACTIONS(7407),
    [aux_sym_variable_attributes_token3] = ACTIONS(7407),
    [aux_sym_variable_attributes_token5] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7407),
    [aux_sym_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym_stop_statement_token1] = ACTIONS(7407),
    [aux_sym_stop_statement_token2] = ACTIONS(7407),
    [aux_sym_subroutine_call_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token2] = ACTIONS(7407),
    [aux_sym_keyword_statement_token3] = ACTIONS(7407),
    [aux_sym_keyword_statement_token4] = ACTIONS(7407),
    [aux_sym_keyword_statement_token6] = ACTIONS(7407),
    [aux_sym_keyword_statement_token7] = ACTIONS(7407),
    [aux_sym_include_statement_token1] = ACTIONS(7407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7407),
    [aux_sym_end_if_statement_token1] = ACTIONS(7407),
    [aux_sym_elseif_clause_token2] = ACTIONS(7407),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7407),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token3] = ACTIONS(7407),
    [aux_sym_select_type_statement_token1] = ACTIONS(7407),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7407),
    [aux_sym_associate_statement_token1] = ACTIONS(7407),
    [aux_sym_format_statement_token1] = ACTIONS(7407),
    [aux_sym_print_statement_token1] = ACTIONS(7407),
    [aux_sym_open_statement_token1] = ACTIONS(7407),
    [aux_sym_close_statement_token1] = ACTIONS(7407),
    [aux_sym_inquire_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token2] = ACTIONS(7407),
    [aux_sym_file_position_statement_token3] = ACTIONS(7407),
    [aux_sym_file_position_statement_token4] = ACTIONS(7407),
    [aux_sym_allocate_statement_token1] = ACTIONS(7407),
    [aux_sym_entry_statement_token1] = ACTIONS(7407),
    [aux_sym_assign_statement_token1] = ACTIONS(7407),
    [aux_sym_logical_expression_token5] = ACTIONS(7411),
    [anon_sym_DOT] = ACTIONS(7407),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [aux_sym_boolean_literal_token1] = ACTIONS(7411),
    [aux_sym_boolean_literal_token2] = ACTIONS(7411),
    [aux_sym_null_literal_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token2] = ACTIONS(7407),
    [aux_sym_coarray_statement_token6] = ACTIONS(7407),
    [aux_sym_coarray_statement_token8] = ACTIONS(7407),
    [aux_sym_coarray_statement_token11] = ACTIONS(7407),
    [aux_sym_coarray_statement_token12] = ACTIONS(7407),
    [aux_sym_coarray_statement_token13] = ACTIONS(7407),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7407),
    [aux_sym_identifier_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7411),
    [sym__float_literal] = ACTIONS(7411),
    [sym__boz_literal] = ACTIONS(7411),
    [sym__string_literal] = ACTIONS(7411),
    [sym__string_literal_kind] = ACTIONS(7411),
  },
  [2953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7749),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_end_select_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7737),
    [aux_sym_preproc_def_token1] = ACTIONS(7737),
    [aux_sym_preproc_if_token1] = ACTIONS(7737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7737),
    [sym_preproc_directive] = ACTIONS(7737),
    [anon_sym_LPAREN2] = ACTIONS(7737),
    [anon_sym_PLUS] = ACTIONS(7739),
    [anon_sym_DASH] = ACTIONS(7739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7737),
    [anon_sym_SEMI] = ACTIONS(7739),
    [aux_sym_block_data_statement_token1] = ACTIONS(7737),
    [aux_sym_block_data_statement_token2] = ACTIONS(7737),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7737),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7737),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7737),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7737),
    [aux_sym_contains_statement_token1] = ACTIONS(7737),
    [aux_sym_use_statement_token2] = ACTIONS(7737),
    [aux_sym_implicit_statement_token3] = ACTIONS(7737),
    [aux_sym_implicit_statement_token4] = ACTIONS(7737),
    [aux_sym_save_statement_token1] = ACTIONS(7737),
    [aux_sym_private_statement_token1] = ACTIONS(7737),
    [aux_sym_public_statement_token1] = ACTIONS(7737),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7737),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7737),
    [aux_sym_variable_attributes_token2] = ACTIONS(7737),
    [aux_sym_variable_attributes_token3] = ACTIONS(7737),
    [aux_sym_variable_attributes_token5] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7737),
    [aux_sym_type_qualifier_token1] = ACTIONS(7737),
    [aux_sym_type_qualifier_token2] = ACTIONS(7737),
    [aux_sym_stop_statement_token1] = ACTIONS(7737),
    [aux_sym_stop_statement_token2] = ACTIONS(7737),
    [aux_sym_subroutine_call_token1] = ACTIONS(7737),
    [aux_sym_keyword_statement_token1] = ACTIONS(7737),
    [aux_sym_keyword_statement_token2] = ACTIONS(7737),
    [aux_sym_keyword_statement_token3] = ACTIONS(7737),
    [aux_sym_keyword_statement_token4] = ACTIONS(7737),
    [aux_sym_keyword_statement_token6] = ACTIONS(7737),
    [aux_sym_keyword_statement_token7] = ACTIONS(7737),
    [aux_sym_include_statement_token1] = ACTIONS(7737),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7737),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7737),
    [aux_sym_end_if_statement_token1] = ACTIONS(7737),
    [aux_sym_elseif_clause_token2] = ACTIONS(7737),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7737),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7737),
    [aux_sym_select_case_statement_token1] = ACTIONS(7737),
    [aux_sym_select_case_statement_token3] = ACTIONS(7737),
    [aux_sym_select_type_statement_token1] = ACTIONS(7737),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7737),
    [aux_sym_associate_statement_token1] = ACTIONS(7737),
    [aux_sym_format_statement_token1] = ACTIONS(7737),
    [aux_sym_print_statement_token1] = ACTIONS(7737),
    [aux_sym_open_statement_token1] = ACTIONS(7737),
    [aux_sym_close_statement_token1] = ACTIONS(7737),
    [aux_sym_inquire_statement_token1] = ACTIONS(7737),
    [aux_sym_file_position_statement_token1] = ACTIONS(7737),
    [aux_sym_file_position_statement_token2] = ACTIONS(7737),
    [aux_sym_file_position_statement_token3] = ACTIONS(7737),
    [aux_sym_file_position_statement_token4] = ACTIONS(7737),
    [aux_sym_allocate_statement_token1] = ACTIONS(7737),
    [aux_sym_entry_statement_token1] = ACTIONS(7737),
    [aux_sym_assign_statement_token1] = ACTIONS(7737),
    [aux_sym_logical_expression_token5] = ACTIONS(7739),
    [anon_sym_DOT] = ACTIONS(7737),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7739),
    [anon_sym_LBRACK] = ACTIONS(7739),
    [aux_sym_boolean_literal_token1] = ACTIONS(7739),
    [aux_sym_boolean_literal_token2] = ACTIONS(7739),
    [aux_sym_null_literal_token1] = ACTIONS(7737),
    [aux_sym_coarray_statement_token1] = ACTIONS(7737),
    [aux_sym_coarray_statement_token2] = ACTIONS(7737),
    [aux_sym_coarray_statement_token6] = ACTIONS(7737),
    [aux_sym_coarray_statement_token8] = ACTIONS(7737),
    [aux_sym_coarray_statement_token11] = ACTIONS(7737),
    [aux_sym_coarray_statement_token12] = ACTIONS(7737),
    [aux_sym_coarray_statement_token13] = ACTIONS(7737),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7737),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7737),
    [aux_sym_identifier_token1] = ACTIONS(7737),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7739),
    [sym__float_literal] = ACTIONS(7739),
    [sym__boz_literal] = ACTIONS(7739),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7739),
  },
  [2955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [aux_sym_end_program_statement_token2] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_contains_statement_token1] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [2956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_end_function_statement_token1] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [2957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7751),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_end_select_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2958] = {
    [sym_unit_identifier] = STATE(8405),
    [sym__io_expressions] = STATE(8370),
    [sym__expression] = STATE(5109),
    [sym_parenthesized_expression] = STATE(5844),
    [sym_derived_type_member_expression] = STATE(5844),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5844),
    [sym_math_expression] = STATE(5844),
    [sym_unary_expression] = STATE(5897),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5844),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8027),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5684),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5844),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5455),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(7753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7755),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_end_select_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7757),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_end_select_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_end_function_statement_token1] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7693),
    [aux_sym_preproc_def_token1] = ACTIONS(7693),
    [aux_sym_preproc_if_token1] = ACTIONS(7693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7693),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7693),
    [sym_preproc_directive] = ACTIONS(7693),
    [anon_sym_LPAREN2] = ACTIONS(7693),
    [anon_sym_PLUS] = ACTIONS(7695),
    [anon_sym_DASH] = ACTIONS(7695),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7693),
    [anon_sym_SEMI] = ACTIONS(7695),
    [aux_sym_block_data_statement_token1] = ACTIONS(7693),
    [aux_sym_block_data_statement_token2] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7693),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7693),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7693),
    [aux_sym_contains_statement_token1] = ACTIONS(7693),
    [aux_sym_use_statement_token2] = ACTIONS(7693),
    [aux_sym_implicit_statement_token3] = ACTIONS(7693),
    [aux_sym_implicit_statement_token4] = ACTIONS(7693),
    [aux_sym_save_statement_token1] = ACTIONS(7693),
    [aux_sym_private_statement_token1] = ACTIONS(7693),
    [aux_sym_public_statement_token1] = ACTIONS(7693),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7693),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7693),
    [aux_sym_variable_attributes_token2] = ACTIONS(7693),
    [aux_sym_variable_attributes_token3] = ACTIONS(7693),
    [aux_sym_variable_attributes_token5] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7693),
    [aux_sym_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym_stop_statement_token1] = ACTIONS(7693),
    [aux_sym_stop_statement_token2] = ACTIONS(7693),
    [aux_sym_subroutine_call_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token2] = ACTIONS(7693),
    [aux_sym_keyword_statement_token3] = ACTIONS(7693),
    [aux_sym_keyword_statement_token4] = ACTIONS(7693),
    [aux_sym_keyword_statement_token6] = ACTIONS(7693),
    [aux_sym_keyword_statement_token7] = ACTIONS(7693),
    [aux_sym_include_statement_token1] = ACTIONS(7693),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7693),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7693),
    [aux_sym_end_if_statement_token1] = ACTIONS(7693),
    [aux_sym_elseif_clause_token2] = ACTIONS(7693),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7693),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7693),
    [aux_sym_select_case_statement_token1] = ACTIONS(7693),
    [aux_sym_select_case_statement_token3] = ACTIONS(7693),
    [aux_sym_select_type_statement_token1] = ACTIONS(7693),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7693),
    [aux_sym_associate_statement_token1] = ACTIONS(7693),
    [aux_sym_format_statement_token1] = ACTIONS(7693),
    [aux_sym_print_statement_token1] = ACTIONS(7693),
    [aux_sym_open_statement_token1] = ACTIONS(7693),
    [aux_sym_close_statement_token1] = ACTIONS(7693),
    [aux_sym_inquire_statement_token1] = ACTIONS(7693),
    [aux_sym_file_position_statement_token1] = ACTIONS(7693),
    [aux_sym_file_position_statement_token2] = ACTIONS(7693),
    [aux_sym_file_position_statement_token3] = ACTIONS(7693),
    [aux_sym_file_position_statement_token4] = ACTIONS(7693),
    [aux_sym_allocate_statement_token1] = ACTIONS(7693),
    [aux_sym_entry_statement_token1] = ACTIONS(7693),
    [aux_sym_assign_statement_token1] = ACTIONS(7693),
    [aux_sym_logical_expression_token5] = ACTIONS(7695),
    [anon_sym_DOT] = ACTIONS(7693),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7695),
    [anon_sym_LBRACK] = ACTIONS(7695),
    [aux_sym_boolean_literal_token1] = ACTIONS(7695),
    [aux_sym_boolean_literal_token2] = ACTIONS(7695),
    [aux_sym_null_literal_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token2] = ACTIONS(7693),
    [aux_sym_coarray_statement_token6] = ACTIONS(7693),
    [aux_sym_coarray_statement_token8] = ACTIONS(7693),
    [aux_sym_coarray_statement_token11] = ACTIONS(7693),
    [aux_sym_coarray_statement_token12] = ACTIONS(7693),
    [aux_sym_coarray_statement_token13] = ACTIONS(7693),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7693),
    [aux_sym_identifier_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7695),
    [sym__float_literal] = ACTIONS(7695),
    [sym__boz_literal] = ACTIONS(7695),
    [sym__string_literal] = ACTIONS(7695),
    [sym__string_literal_kind] = ACTIONS(7695),
  },
  [2963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7697),
    [aux_sym_preproc_def_token1] = ACTIONS(7697),
    [aux_sym_preproc_if_token1] = ACTIONS(7697),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7697),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7697),
    [sym_preproc_directive] = ACTIONS(7697),
    [anon_sym_LPAREN2] = ACTIONS(7697),
    [anon_sym_PLUS] = ACTIONS(7699),
    [anon_sym_DASH] = ACTIONS(7699),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7697),
    [anon_sym_SEMI] = ACTIONS(7699),
    [aux_sym_block_data_statement_token1] = ACTIONS(7697),
    [aux_sym_block_data_statement_token2] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7697),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7697),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7697),
    [aux_sym_contains_statement_token1] = ACTIONS(7697),
    [aux_sym_use_statement_token2] = ACTIONS(7697),
    [aux_sym_implicit_statement_token3] = ACTIONS(7697),
    [aux_sym_implicit_statement_token4] = ACTIONS(7697),
    [aux_sym_save_statement_token1] = ACTIONS(7697),
    [aux_sym_private_statement_token1] = ACTIONS(7697),
    [aux_sym_public_statement_token1] = ACTIONS(7697),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7697),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7697),
    [aux_sym_variable_attributes_token2] = ACTIONS(7697),
    [aux_sym_variable_attributes_token3] = ACTIONS(7697),
    [aux_sym_variable_attributes_token5] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7697),
    [aux_sym_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym_stop_statement_token1] = ACTIONS(7697),
    [aux_sym_stop_statement_token2] = ACTIONS(7697),
    [aux_sym_subroutine_call_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token2] = ACTIONS(7697),
    [aux_sym_keyword_statement_token3] = ACTIONS(7697),
    [aux_sym_keyword_statement_token4] = ACTIONS(7697),
    [aux_sym_keyword_statement_token6] = ACTIONS(7697),
    [aux_sym_keyword_statement_token7] = ACTIONS(7697),
    [aux_sym_include_statement_token1] = ACTIONS(7697),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7697),
    [aux_sym_end_if_statement_token1] = ACTIONS(7697),
    [aux_sym_elseif_clause_token2] = ACTIONS(7697),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7697),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7697),
    [aux_sym_select_case_statement_token1] = ACTIONS(7697),
    [aux_sym_select_case_statement_token3] = ACTIONS(7697),
    [aux_sym_select_type_statement_token1] = ACTIONS(7697),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7697),
    [aux_sym_associate_statement_token1] = ACTIONS(7697),
    [aux_sym_format_statement_token1] = ACTIONS(7697),
    [aux_sym_print_statement_token1] = ACTIONS(7697),
    [aux_sym_open_statement_token1] = ACTIONS(7697),
    [aux_sym_close_statement_token1] = ACTIONS(7697),
    [aux_sym_inquire_statement_token1] = ACTIONS(7697),
    [aux_sym_file_position_statement_token1] = ACTIONS(7697),
    [aux_sym_file_position_statement_token2] = ACTIONS(7697),
    [aux_sym_file_position_statement_token3] = ACTIONS(7697),
    [aux_sym_file_position_statement_token4] = ACTIONS(7697),
    [aux_sym_allocate_statement_token1] = ACTIONS(7697),
    [aux_sym_entry_statement_token1] = ACTIONS(7697),
    [aux_sym_assign_statement_token1] = ACTIONS(7697),
    [aux_sym_logical_expression_token5] = ACTIONS(7699),
    [anon_sym_DOT] = ACTIONS(7697),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7699),
    [anon_sym_LBRACK] = ACTIONS(7699),
    [aux_sym_boolean_literal_token1] = ACTIONS(7699),
    [aux_sym_boolean_literal_token2] = ACTIONS(7699),
    [aux_sym_null_literal_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token2] = ACTIONS(7697),
    [aux_sym_coarray_statement_token6] = ACTIONS(7697),
    [aux_sym_coarray_statement_token8] = ACTIONS(7697),
    [aux_sym_coarray_statement_token11] = ACTIONS(7697),
    [aux_sym_coarray_statement_token12] = ACTIONS(7697),
    [aux_sym_coarray_statement_token13] = ACTIONS(7697),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7697),
    [aux_sym_identifier_token1] = ACTIONS(7697),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7699),
    [sym__float_literal] = ACTIONS(7699),
    [sym__boz_literal] = ACTIONS(7699),
    [sym__string_literal] = ACTIONS(7699),
    [sym__string_literal_kind] = ACTIONS(7699),
  },
  [2964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7759),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7761),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [2966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7763),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [2967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7765),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [aux_sym_end_program_statement_token2] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [2969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7767),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [2970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7741),
    [aux_sym_preproc_def_token1] = ACTIONS(7741),
    [aux_sym_preproc_if_token1] = ACTIONS(7741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7741),
    [sym_preproc_directive] = ACTIONS(7741),
    [anon_sym_LPAREN2] = ACTIONS(7741),
    [anon_sym_PLUS] = ACTIONS(7743),
    [anon_sym_DASH] = ACTIONS(7743),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7741),
    [anon_sym_SEMI] = ACTIONS(7743),
    [aux_sym_block_data_statement_token1] = ACTIONS(7741),
    [aux_sym_block_data_statement_token2] = ACTIONS(7741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7741),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7741),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7741),
    [aux_sym_contains_statement_token1] = ACTIONS(7741),
    [aux_sym_use_statement_token2] = ACTIONS(7741),
    [aux_sym_implicit_statement_token3] = ACTIONS(7741),
    [aux_sym_implicit_statement_token4] = ACTIONS(7741),
    [aux_sym_save_statement_token1] = ACTIONS(7741),
    [aux_sym_private_statement_token1] = ACTIONS(7741),
    [aux_sym_public_statement_token1] = ACTIONS(7741),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7741),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7741),
    [aux_sym_variable_attributes_token2] = ACTIONS(7741),
    [aux_sym_variable_attributes_token3] = ACTIONS(7741),
    [aux_sym_variable_attributes_token5] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7741),
    [aux_sym_type_qualifier_token1] = ACTIONS(7741),
    [aux_sym_type_qualifier_token2] = ACTIONS(7741),
    [aux_sym_stop_statement_token1] = ACTIONS(7741),
    [aux_sym_stop_statement_token2] = ACTIONS(7741),
    [aux_sym_subroutine_call_token1] = ACTIONS(7741),
    [aux_sym_keyword_statement_token1] = ACTIONS(7741),
    [aux_sym_keyword_statement_token2] = ACTIONS(7741),
    [aux_sym_keyword_statement_token3] = ACTIONS(7741),
    [aux_sym_keyword_statement_token4] = ACTIONS(7741),
    [aux_sym_keyword_statement_token6] = ACTIONS(7741),
    [aux_sym_keyword_statement_token7] = ACTIONS(7741),
    [aux_sym_include_statement_token1] = ACTIONS(7741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7741),
    [aux_sym_end_if_statement_token1] = ACTIONS(7741),
    [aux_sym_elseif_clause_token2] = ACTIONS(7741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7741),
    [aux_sym_select_case_statement_token1] = ACTIONS(7741),
    [aux_sym_select_case_statement_token3] = ACTIONS(7741),
    [aux_sym_select_type_statement_token1] = ACTIONS(7741),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7741),
    [aux_sym_associate_statement_token1] = ACTIONS(7741),
    [aux_sym_format_statement_token1] = ACTIONS(7741),
    [aux_sym_print_statement_token1] = ACTIONS(7741),
    [aux_sym_open_statement_token1] = ACTIONS(7741),
    [aux_sym_close_statement_token1] = ACTIONS(7741),
    [aux_sym_inquire_statement_token1] = ACTIONS(7741),
    [aux_sym_file_position_statement_token1] = ACTIONS(7741),
    [aux_sym_file_position_statement_token2] = ACTIONS(7741),
    [aux_sym_file_position_statement_token3] = ACTIONS(7741),
    [aux_sym_file_position_statement_token4] = ACTIONS(7741),
    [aux_sym_allocate_statement_token1] = ACTIONS(7741),
    [aux_sym_entry_statement_token1] = ACTIONS(7741),
    [aux_sym_assign_statement_token1] = ACTIONS(7741),
    [aux_sym_logical_expression_token5] = ACTIONS(7743),
    [anon_sym_DOT] = ACTIONS(7741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7743),
    [anon_sym_LBRACK] = ACTIONS(7743),
    [aux_sym_boolean_literal_token1] = ACTIONS(7743),
    [aux_sym_boolean_literal_token2] = ACTIONS(7743),
    [aux_sym_null_literal_token1] = ACTIONS(7741),
    [aux_sym_coarray_statement_token1] = ACTIONS(7741),
    [aux_sym_coarray_statement_token2] = ACTIONS(7741),
    [aux_sym_coarray_statement_token6] = ACTIONS(7741),
    [aux_sym_coarray_statement_token8] = ACTIONS(7741),
    [aux_sym_coarray_statement_token11] = ACTIONS(7741),
    [aux_sym_coarray_statement_token12] = ACTIONS(7741),
    [aux_sym_coarray_statement_token13] = ACTIONS(7741),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7741),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7741),
    [aux_sym_identifier_token1] = ACTIONS(7741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7743),
    [sym__float_literal] = ACTIONS(7743),
    [sym__boz_literal] = ACTIONS(7743),
    [sym__string_literal] = ACTIONS(7743),
    [sym__string_literal_kind] = ACTIONS(7743),
  },
  [2971] = {
    [sym__expression] = STATE(5124),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_COMMA] = ACTIONS(7769),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7771),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7773),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(7769),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [aux_sym_end_program_statement_token2] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_contains_statement_token1] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [2973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [2974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7775),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7777),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7779),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7781),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [2978] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7783),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [2979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7785),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [2980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7787),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7789),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [2982] = {
    [sym_unit_identifier] = STATE(8256),
    [sym__io_expressions] = STATE(8370),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(5844),
    [sym_derived_type_member_expression] = STATE(5844),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5844),
    [sym_math_expression] = STATE(5844),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5844),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7870),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5849),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5844),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5457),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(7753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2983] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7791),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [2984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7793),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [2985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7795),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [2986] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7985),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2987] = {
    [sym__expression] = STATE(5091),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_COMMA] = ACTIONS(7797),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7799),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7801),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(7797),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [2988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7803),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2989] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [2990] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_end_function_statement_token1] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [2991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3913),
    [aux_sym_preproc_def_token1] = ACTIONS(3913),
    [aux_sym_preproc_if_token1] = ACTIONS(3913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3913),
    [sym_preproc_directive] = ACTIONS(3913),
    [anon_sym_LPAREN2] = ACTIONS(3913),
    [anon_sym_PLUS] = ACTIONS(7807),
    [anon_sym_DASH] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3913),
    [anon_sym_SEMI] = ACTIONS(7807),
    [aux_sym_block_data_statement_token1] = ACTIONS(3913),
    [aux_sym_block_data_statement_token2] = ACTIONS(3913),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3913),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3913),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3913),
    [aux_sym_end_function_statement_token1] = ACTIONS(3913),
    [aux_sym_contains_statement_token1] = ACTIONS(3913),
    [aux_sym_use_statement_token2] = ACTIONS(3913),
    [aux_sym_implicit_statement_token3] = ACTIONS(3913),
    [aux_sym_implicit_statement_token4] = ACTIONS(3913),
    [aux_sym_save_statement_token1] = ACTIONS(3913),
    [aux_sym_private_statement_token1] = ACTIONS(3913),
    [aux_sym_public_statement_token1] = ACTIONS(3913),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3913),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3913),
    [aux_sym_variable_attributes_token2] = ACTIONS(3913),
    [aux_sym_variable_attributes_token3] = ACTIONS(3913),
    [aux_sym_variable_attributes_token5] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3913),
    [aux_sym_type_qualifier_token1] = ACTIONS(3913),
    [aux_sym_type_qualifier_token2] = ACTIONS(3913),
    [aux_sym_stop_statement_token1] = ACTIONS(3913),
    [aux_sym_stop_statement_token2] = ACTIONS(3913),
    [aux_sym_subroutine_call_token1] = ACTIONS(3913),
    [aux_sym_keyword_statement_token1] = ACTIONS(3913),
    [aux_sym_keyword_statement_token2] = ACTIONS(3913),
    [aux_sym_keyword_statement_token3] = ACTIONS(3913),
    [aux_sym_keyword_statement_token4] = ACTIONS(3913),
    [aux_sym_keyword_statement_token6] = ACTIONS(3913),
    [aux_sym_keyword_statement_token7] = ACTIONS(3913),
    [aux_sym_include_statement_token1] = ACTIONS(3913),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3913),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3913),
    [aux_sym_end_if_statement_token1] = ACTIONS(3913),
    [aux_sym_elseif_clause_token2] = ACTIONS(3913),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3913),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3913),
    [aux_sym_select_case_statement_token1] = ACTIONS(3913),
    [aux_sym_select_case_statement_token3] = ACTIONS(3913),
    [aux_sym_select_type_statement_token1] = ACTIONS(3913),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3913),
    [aux_sym_associate_statement_token1] = ACTIONS(3913),
    [aux_sym_format_statement_token1] = ACTIONS(3913),
    [aux_sym_print_statement_token1] = ACTIONS(3913),
    [aux_sym_open_statement_token1] = ACTIONS(3913),
    [aux_sym_close_statement_token1] = ACTIONS(3913),
    [aux_sym_inquire_statement_token1] = ACTIONS(3913),
    [aux_sym_file_position_statement_token1] = ACTIONS(3913),
    [aux_sym_file_position_statement_token2] = ACTIONS(3913),
    [aux_sym_file_position_statement_token3] = ACTIONS(3913),
    [aux_sym_file_position_statement_token4] = ACTIONS(3913),
    [aux_sym_allocate_statement_token1] = ACTIONS(3913),
    [aux_sym_entry_statement_token1] = ACTIONS(3913),
    [aux_sym_assign_statement_token1] = ACTIONS(3913),
    [aux_sym_logical_expression_token5] = ACTIONS(7807),
    [anon_sym_DOT] = ACTIONS(3913),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7807),
    [anon_sym_LBRACK] = ACTIONS(7807),
    [aux_sym_boolean_literal_token1] = ACTIONS(7807),
    [aux_sym_boolean_literal_token2] = ACTIONS(7807),
    [aux_sym_null_literal_token1] = ACTIONS(3913),
    [aux_sym_coarray_statement_token1] = ACTIONS(3913),
    [aux_sym_coarray_statement_token2] = ACTIONS(3913),
    [aux_sym_coarray_statement_token6] = ACTIONS(3913),
    [aux_sym_coarray_statement_token8] = ACTIONS(3913),
    [aux_sym_coarray_statement_token11] = ACTIONS(3913),
    [aux_sym_coarray_statement_token12] = ACTIONS(3913),
    [aux_sym_coarray_statement_token13] = ACTIONS(3913),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3913),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3913),
    [aux_sym_identifier_token1] = ACTIONS(3913),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7807),
    [sym__float_literal] = ACTIONS(7807),
    [sym__boz_literal] = ACTIONS(7807),
    [sym__string_literal] = ACTIONS(7807),
    [sym__string_literal_kind] = ACTIONS(7807),
  },
  [2992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token2] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [2993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_end_function_statement_token1] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [2994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7809),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [2995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [aux_sym_end_program_statement_token2] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [2996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7811),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [2997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_end_function_statement_token1] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [2998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_end_function_statement_token1] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [2999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_end_function_statement_token1] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_end_function_statement_token1] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3001] = {
    [sym_unit_identifier] = STATE(8405),
    [sym__io_expressions] = STATE(8370),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(5844),
    [sym_derived_type_member_expression] = STATE(5844),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5844),
    [sym_math_expression] = STATE(5844),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5844),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8027),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5849),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5844),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5457),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(7753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [aux_sym_end_program_statement_token2] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3004] = {
    [sym_output_item_list] = STATE(8476),
    [sym__expression] = STATE(5066),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_COMMA] = ACTIONS(7815),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(7817),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(7817),
  },
  [3005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7741),
    [aux_sym_preproc_def_token1] = ACTIONS(7741),
    [aux_sym_preproc_if_token1] = ACTIONS(7741),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7741),
    [sym_preproc_directive] = ACTIONS(7741),
    [anon_sym_LPAREN2] = ACTIONS(7741),
    [anon_sym_PLUS] = ACTIONS(7743),
    [anon_sym_DASH] = ACTIONS(7743),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7741),
    [anon_sym_SEMI] = ACTIONS(7743),
    [aux_sym_block_data_statement_token1] = ACTIONS(7741),
    [aux_sym_block_data_statement_token2] = ACTIONS(7741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7741),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7741),
    [aux_sym_end_function_statement_token1] = ACTIONS(7741),
    [aux_sym_contains_statement_token1] = ACTIONS(7741),
    [aux_sym_use_statement_token2] = ACTIONS(7741),
    [aux_sym_implicit_statement_token3] = ACTIONS(7741),
    [aux_sym_implicit_statement_token4] = ACTIONS(7741),
    [aux_sym_save_statement_token1] = ACTIONS(7741),
    [aux_sym_private_statement_token1] = ACTIONS(7741),
    [aux_sym_public_statement_token1] = ACTIONS(7741),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7741),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7741),
    [aux_sym_variable_attributes_token2] = ACTIONS(7741),
    [aux_sym_variable_attributes_token3] = ACTIONS(7741),
    [aux_sym_variable_attributes_token5] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7741),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7741),
    [aux_sym_type_qualifier_token1] = ACTIONS(7741),
    [aux_sym_type_qualifier_token2] = ACTIONS(7741),
    [aux_sym_stop_statement_token1] = ACTIONS(7741),
    [aux_sym_stop_statement_token2] = ACTIONS(7741),
    [aux_sym_subroutine_call_token1] = ACTIONS(7741),
    [aux_sym_keyword_statement_token1] = ACTIONS(7741),
    [aux_sym_keyword_statement_token2] = ACTIONS(7741),
    [aux_sym_keyword_statement_token3] = ACTIONS(7741),
    [aux_sym_keyword_statement_token4] = ACTIONS(7741),
    [aux_sym_keyword_statement_token6] = ACTIONS(7741),
    [aux_sym_keyword_statement_token7] = ACTIONS(7741),
    [aux_sym_include_statement_token1] = ACTIONS(7741),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7741),
    [aux_sym_end_if_statement_token1] = ACTIONS(7741),
    [aux_sym_elseif_clause_token2] = ACTIONS(7741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7741),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7741),
    [aux_sym_select_case_statement_token1] = ACTIONS(7741),
    [aux_sym_select_case_statement_token3] = ACTIONS(7741),
    [aux_sym_select_type_statement_token1] = ACTIONS(7741),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7741),
    [aux_sym_associate_statement_token1] = ACTIONS(7741),
    [aux_sym_format_statement_token1] = ACTIONS(7741),
    [aux_sym_print_statement_token1] = ACTIONS(7741),
    [aux_sym_open_statement_token1] = ACTIONS(7741),
    [aux_sym_close_statement_token1] = ACTIONS(7741),
    [aux_sym_inquire_statement_token1] = ACTIONS(7741),
    [aux_sym_file_position_statement_token1] = ACTIONS(7741),
    [aux_sym_file_position_statement_token2] = ACTIONS(7741),
    [aux_sym_file_position_statement_token3] = ACTIONS(7741),
    [aux_sym_file_position_statement_token4] = ACTIONS(7741),
    [aux_sym_allocate_statement_token1] = ACTIONS(7741),
    [aux_sym_entry_statement_token1] = ACTIONS(7741),
    [aux_sym_assign_statement_token1] = ACTIONS(7741),
    [aux_sym_logical_expression_token5] = ACTIONS(7743),
    [anon_sym_DOT] = ACTIONS(7741),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7743),
    [anon_sym_LBRACK] = ACTIONS(7743),
    [aux_sym_boolean_literal_token1] = ACTIONS(7743),
    [aux_sym_boolean_literal_token2] = ACTIONS(7743),
    [aux_sym_null_literal_token1] = ACTIONS(7741),
    [aux_sym_coarray_statement_token1] = ACTIONS(7741),
    [aux_sym_coarray_statement_token2] = ACTIONS(7741),
    [aux_sym_coarray_statement_token6] = ACTIONS(7741),
    [aux_sym_coarray_statement_token8] = ACTIONS(7741),
    [aux_sym_coarray_statement_token11] = ACTIONS(7741),
    [aux_sym_coarray_statement_token12] = ACTIONS(7741),
    [aux_sym_coarray_statement_token13] = ACTIONS(7741),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7741),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7741),
    [aux_sym_identifier_token1] = ACTIONS(7741),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7743),
    [sym__float_literal] = ACTIONS(7743),
    [sym__boz_literal] = ACTIONS(7743),
    [sym__string_literal] = ACTIONS(7743),
    [sym__string_literal_kind] = ACTIONS(7743),
  },
  [3006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token2] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_end_select_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3007] = {
    [sym_case_value_range_list] = STATE(8609),
    [sym__expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7418),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3008] = {
    [sym_case_value_range_list] = STATE(8702),
    [sym__expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7418),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7657),
    [aux_sym_preproc_def_token1] = ACTIONS(7657),
    [aux_sym_preproc_if_token1] = ACTIONS(7657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7657),
    [sym_preproc_directive] = ACTIONS(7657),
    [anon_sym_LPAREN2] = ACTIONS(7657),
    [anon_sym_PLUS] = ACTIONS(7659),
    [anon_sym_DASH] = ACTIONS(7659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7657),
    [anon_sym_SEMI] = ACTIONS(7659),
    [aux_sym_block_data_statement_token1] = ACTIONS(7657),
    [aux_sym_block_data_statement_token2] = ACTIONS(7657),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7657),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7657),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7657),
    [aux_sym_end_function_statement_token1] = ACTIONS(7657),
    [aux_sym_contains_statement_token1] = ACTIONS(7657),
    [aux_sym_use_statement_token2] = ACTIONS(7657),
    [aux_sym_implicit_statement_token3] = ACTIONS(7657),
    [aux_sym_implicit_statement_token4] = ACTIONS(7657),
    [aux_sym_save_statement_token1] = ACTIONS(7657),
    [aux_sym_private_statement_token1] = ACTIONS(7657),
    [aux_sym_public_statement_token1] = ACTIONS(7657),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7657),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7657),
    [aux_sym_variable_attributes_token2] = ACTIONS(7657),
    [aux_sym_variable_attributes_token3] = ACTIONS(7657),
    [aux_sym_variable_attributes_token5] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7657),
    [aux_sym_type_qualifier_token1] = ACTIONS(7657),
    [aux_sym_type_qualifier_token2] = ACTIONS(7657),
    [aux_sym_stop_statement_token1] = ACTIONS(7657),
    [aux_sym_stop_statement_token2] = ACTIONS(7657),
    [aux_sym_subroutine_call_token1] = ACTIONS(7657),
    [aux_sym_keyword_statement_token1] = ACTIONS(7657),
    [aux_sym_keyword_statement_token2] = ACTIONS(7657),
    [aux_sym_keyword_statement_token3] = ACTIONS(7657),
    [aux_sym_keyword_statement_token4] = ACTIONS(7657),
    [aux_sym_keyword_statement_token6] = ACTIONS(7657),
    [aux_sym_keyword_statement_token7] = ACTIONS(7657),
    [aux_sym_include_statement_token1] = ACTIONS(7657),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7657),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7657),
    [aux_sym_end_if_statement_token1] = ACTIONS(7657),
    [aux_sym_elseif_clause_token2] = ACTIONS(7657),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7657),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7657),
    [aux_sym_select_case_statement_token1] = ACTIONS(7657),
    [aux_sym_select_case_statement_token3] = ACTIONS(7657),
    [aux_sym_select_type_statement_token1] = ACTIONS(7657),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7657),
    [aux_sym_associate_statement_token1] = ACTIONS(7657),
    [aux_sym_format_statement_token1] = ACTIONS(7657),
    [aux_sym_print_statement_token1] = ACTIONS(7657),
    [aux_sym_open_statement_token1] = ACTIONS(7657),
    [aux_sym_close_statement_token1] = ACTIONS(7657),
    [aux_sym_inquire_statement_token1] = ACTIONS(7657),
    [aux_sym_file_position_statement_token1] = ACTIONS(7657),
    [aux_sym_file_position_statement_token2] = ACTIONS(7657),
    [aux_sym_file_position_statement_token3] = ACTIONS(7657),
    [aux_sym_file_position_statement_token4] = ACTIONS(7657),
    [aux_sym_allocate_statement_token1] = ACTIONS(7657),
    [aux_sym_entry_statement_token1] = ACTIONS(7657),
    [aux_sym_assign_statement_token1] = ACTIONS(7657),
    [aux_sym_logical_expression_token5] = ACTIONS(7659),
    [anon_sym_DOT] = ACTIONS(7657),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7659),
    [anon_sym_LBRACK] = ACTIONS(7659),
    [aux_sym_boolean_literal_token1] = ACTIONS(7659),
    [aux_sym_boolean_literal_token2] = ACTIONS(7659),
    [aux_sym_null_literal_token1] = ACTIONS(7657),
    [aux_sym_coarray_statement_token1] = ACTIONS(7657),
    [aux_sym_coarray_statement_token2] = ACTIONS(7657),
    [aux_sym_coarray_statement_token6] = ACTIONS(7657),
    [aux_sym_coarray_statement_token8] = ACTIONS(7657),
    [aux_sym_coarray_statement_token11] = ACTIONS(7657),
    [aux_sym_coarray_statement_token12] = ACTIONS(7657),
    [aux_sym_coarray_statement_token13] = ACTIONS(7657),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7657),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7657),
    [aux_sym_identifier_token1] = ACTIONS(7657),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7659),
    [sym__float_literal] = ACTIONS(7659),
    [sym__boz_literal] = ACTIONS(7659),
    [sym__string_literal] = ACTIONS(7659),
    [sym__string_literal_kind] = ACTIONS(7659),
  },
  [3010] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token2] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7819),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [3011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7821),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [3012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token2] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7823),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [3013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7825),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [3014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token2] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7827),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [3015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token2] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7829),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token2] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7831),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [3017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token2] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7833),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [3018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token2] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7835),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [3019] = {
    [sym_unit_identifier] = STATE(9045),
    [sym__io_expressions] = STATE(8370),
    [sym__expression] = STATE(5109),
    [sym_parenthesized_expression] = STATE(5833),
    [sym_derived_type_member_expression] = STATE(5833),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5833),
    [sym_math_expression] = STATE(5833),
    [sym_unary_expression] = STATE(5897),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5833),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7943),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5892),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5833),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5590),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(7753),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token2] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7837),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [3021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_end_function_statement_token1] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7657),
    [aux_sym_preproc_def_token1] = ACTIONS(7657),
    [aux_sym_preproc_if_token1] = ACTIONS(7657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7657),
    [sym_preproc_directive] = ACTIONS(7657),
    [anon_sym_LPAREN2] = ACTIONS(7657),
    [anon_sym_PLUS] = ACTIONS(7659),
    [anon_sym_DASH] = ACTIONS(7659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7657),
    [anon_sym_SEMI] = ACTIONS(7659),
    [aux_sym_block_data_statement_token1] = ACTIONS(7657),
    [aux_sym_block_data_statement_token2] = ACTIONS(7657),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7657),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7657),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7657),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7657),
    [aux_sym_contains_statement_token1] = ACTIONS(7657),
    [aux_sym_use_statement_token2] = ACTIONS(7657),
    [aux_sym_implicit_statement_token3] = ACTIONS(7657),
    [aux_sym_implicit_statement_token4] = ACTIONS(7657),
    [aux_sym_save_statement_token1] = ACTIONS(7657),
    [aux_sym_private_statement_token1] = ACTIONS(7657),
    [aux_sym_public_statement_token1] = ACTIONS(7657),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7657),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7657),
    [aux_sym_variable_attributes_token2] = ACTIONS(7657),
    [aux_sym_variable_attributes_token3] = ACTIONS(7657),
    [aux_sym_variable_attributes_token5] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7657),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7657),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7657),
    [aux_sym_type_qualifier_token1] = ACTIONS(7657),
    [aux_sym_type_qualifier_token2] = ACTIONS(7657),
    [aux_sym_stop_statement_token1] = ACTIONS(7657),
    [aux_sym_stop_statement_token2] = ACTIONS(7657),
    [aux_sym_subroutine_call_token1] = ACTIONS(7657),
    [aux_sym_keyword_statement_token1] = ACTIONS(7657),
    [aux_sym_keyword_statement_token2] = ACTIONS(7657),
    [aux_sym_keyword_statement_token3] = ACTIONS(7657),
    [aux_sym_keyword_statement_token4] = ACTIONS(7657),
    [aux_sym_keyword_statement_token6] = ACTIONS(7657),
    [aux_sym_keyword_statement_token7] = ACTIONS(7657),
    [aux_sym_include_statement_token1] = ACTIONS(7657),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7657),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7657),
    [aux_sym_end_if_statement_token1] = ACTIONS(7657),
    [aux_sym_elseif_clause_token2] = ACTIONS(7657),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7657),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7657),
    [aux_sym_select_case_statement_token1] = ACTIONS(7657),
    [aux_sym_select_case_statement_token3] = ACTIONS(7657),
    [aux_sym_select_type_statement_token1] = ACTIONS(7657),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7657),
    [aux_sym_associate_statement_token1] = ACTIONS(7657),
    [aux_sym_format_statement_token1] = ACTIONS(7657),
    [aux_sym_print_statement_token1] = ACTIONS(7657),
    [aux_sym_open_statement_token1] = ACTIONS(7657),
    [aux_sym_close_statement_token1] = ACTIONS(7657),
    [aux_sym_inquire_statement_token1] = ACTIONS(7657),
    [aux_sym_file_position_statement_token1] = ACTIONS(7657),
    [aux_sym_file_position_statement_token2] = ACTIONS(7657),
    [aux_sym_file_position_statement_token3] = ACTIONS(7657),
    [aux_sym_file_position_statement_token4] = ACTIONS(7657),
    [aux_sym_allocate_statement_token1] = ACTIONS(7657),
    [aux_sym_entry_statement_token1] = ACTIONS(7657),
    [aux_sym_assign_statement_token1] = ACTIONS(7657),
    [aux_sym_logical_expression_token5] = ACTIONS(7659),
    [anon_sym_DOT] = ACTIONS(7657),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7659),
    [anon_sym_LBRACK] = ACTIONS(7659),
    [aux_sym_boolean_literal_token1] = ACTIONS(7659),
    [aux_sym_boolean_literal_token2] = ACTIONS(7659),
    [aux_sym_null_literal_token1] = ACTIONS(7657),
    [aux_sym_coarray_statement_token1] = ACTIONS(7657),
    [aux_sym_coarray_statement_token2] = ACTIONS(7657),
    [aux_sym_coarray_statement_token6] = ACTIONS(7657),
    [aux_sym_coarray_statement_token8] = ACTIONS(7657),
    [aux_sym_coarray_statement_token11] = ACTIONS(7657),
    [aux_sym_coarray_statement_token12] = ACTIONS(7657),
    [aux_sym_coarray_statement_token13] = ACTIONS(7657),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7657),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7657),
    [aux_sym_identifier_token1] = ACTIONS(7657),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7659),
    [sym__float_literal] = ACTIONS(7659),
    [sym__boz_literal] = ACTIONS(7659),
    [sym__string_literal] = ACTIONS(7659),
    [sym__string_literal_kind] = ACTIONS(7659),
  },
  [3023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7839),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [3024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7841),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [3028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7709),
    [aux_sym_preproc_def_token1] = ACTIONS(7709),
    [aux_sym_preproc_if_token1] = ACTIONS(7709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7709),
    [sym_preproc_directive] = ACTIONS(7709),
    [anon_sym_LPAREN2] = ACTIONS(7709),
    [anon_sym_PLUS] = ACTIONS(7711),
    [anon_sym_DASH] = ACTIONS(7711),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7709),
    [anon_sym_SEMI] = ACTIONS(7711),
    [aux_sym_block_data_statement_token1] = ACTIONS(7709),
    [aux_sym_block_data_statement_token2] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7709),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7709),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7709),
    [aux_sym_contains_statement_token1] = ACTIONS(7709),
    [aux_sym_use_statement_token2] = ACTIONS(7709),
    [aux_sym_implicit_statement_token3] = ACTIONS(7709),
    [aux_sym_implicit_statement_token4] = ACTIONS(7709),
    [aux_sym_save_statement_token1] = ACTIONS(7709),
    [aux_sym_private_statement_token1] = ACTIONS(7709),
    [aux_sym_public_statement_token1] = ACTIONS(7709),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7709),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7709),
    [aux_sym_variable_attributes_token2] = ACTIONS(7709),
    [aux_sym_variable_attributes_token3] = ACTIONS(7709),
    [aux_sym_variable_attributes_token5] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7709),
    [aux_sym_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym_stop_statement_token1] = ACTIONS(7709),
    [aux_sym_stop_statement_token2] = ACTIONS(7709),
    [aux_sym_subroutine_call_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token2] = ACTIONS(7709),
    [aux_sym_keyword_statement_token3] = ACTIONS(7709),
    [aux_sym_keyword_statement_token4] = ACTIONS(7709),
    [aux_sym_keyword_statement_token6] = ACTIONS(7709),
    [aux_sym_keyword_statement_token7] = ACTIONS(7709),
    [aux_sym_include_statement_token1] = ACTIONS(7709),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7709),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7709),
    [aux_sym_end_if_statement_token1] = ACTIONS(7709),
    [aux_sym_elseif_clause_token2] = ACTIONS(7709),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7709),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7709),
    [aux_sym_select_case_statement_token1] = ACTIONS(7709),
    [aux_sym_select_case_statement_token3] = ACTIONS(7709),
    [aux_sym_select_type_statement_token1] = ACTIONS(7709),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7709),
    [aux_sym_associate_statement_token1] = ACTIONS(7709),
    [aux_sym_format_statement_token1] = ACTIONS(7709),
    [aux_sym_print_statement_token1] = ACTIONS(7709),
    [aux_sym_open_statement_token1] = ACTIONS(7709),
    [aux_sym_close_statement_token1] = ACTIONS(7709),
    [aux_sym_inquire_statement_token1] = ACTIONS(7709),
    [aux_sym_file_position_statement_token1] = ACTIONS(7709),
    [aux_sym_file_position_statement_token2] = ACTIONS(7709),
    [aux_sym_file_position_statement_token3] = ACTIONS(7709),
    [aux_sym_file_position_statement_token4] = ACTIONS(7709),
    [aux_sym_allocate_statement_token1] = ACTIONS(7709),
    [aux_sym_entry_statement_token1] = ACTIONS(7709),
    [aux_sym_assign_statement_token1] = ACTIONS(7709),
    [aux_sym_logical_expression_token5] = ACTIONS(7711),
    [anon_sym_DOT] = ACTIONS(7709),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7711),
    [anon_sym_LBRACK] = ACTIONS(7711),
    [aux_sym_boolean_literal_token1] = ACTIONS(7711),
    [aux_sym_boolean_literal_token2] = ACTIONS(7711),
    [aux_sym_null_literal_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token2] = ACTIONS(7709),
    [aux_sym_coarray_statement_token6] = ACTIONS(7709),
    [aux_sym_coarray_statement_token8] = ACTIONS(7709),
    [aux_sym_coarray_statement_token11] = ACTIONS(7709),
    [aux_sym_coarray_statement_token12] = ACTIONS(7709),
    [aux_sym_coarray_statement_token13] = ACTIONS(7709),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7709),
    [aux_sym_identifier_token1] = ACTIONS(7709),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7711),
    [sym__float_literal] = ACTIONS(7711),
    [sym__boz_literal] = ACTIONS(7711),
    [sym__string_literal] = ACTIONS(7711),
    [sym__string_literal_kind] = ACTIONS(7711),
  },
  [3029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_end_function_statement_token1] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token2] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3031] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3913),
    [aux_sym_preproc_def_token1] = ACTIONS(3913),
    [aux_sym_preproc_if_token1] = ACTIONS(3913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3913),
    [sym_preproc_directive] = ACTIONS(3913),
    [anon_sym_LPAREN2] = ACTIONS(3913),
    [anon_sym_PLUS] = ACTIONS(7807),
    [anon_sym_DASH] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3913),
    [anon_sym_SEMI] = ACTIONS(7807),
    [aux_sym_block_data_statement_token1] = ACTIONS(3913),
    [aux_sym_block_data_statement_token2] = ACTIONS(3913),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3913),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3913),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3913),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3913),
    [aux_sym_contains_statement_token1] = ACTIONS(3913),
    [aux_sym_use_statement_token2] = ACTIONS(3913),
    [aux_sym_implicit_statement_token3] = ACTIONS(3913),
    [aux_sym_implicit_statement_token4] = ACTIONS(3913),
    [aux_sym_save_statement_token1] = ACTIONS(3913),
    [aux_sym_private_statement_token1] = ACTIONS(3913),
    [aux_sym_public_statement_token1] = ACTIONS(3913),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3913),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3913),
    [aux_sym_variable_attributes_token2] = ACTIONS(3913),
    [aux_sym_variable_attributes_token3] = ACTIONS(3913),
    [aux_sym_variable_attributes_token5] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3913),
    [aux_sym_type_qualifier_token1] = ACTIONS(3913),
    [aux_sym_type_qualifier_token2] = ACTIONS(3913),
    [aux_sym_stop_statement_token1] = ACTIONS(3913),
    [aux_sym_stop_statement_token2] = ACTIONS(3913),
    [aux_sym_subroutine_call_token1] = ACTIONS(3913),
    [aux_sym_keyword_statement_token1] = ACTIONS(3913),
    [aux_sym_keyword_statement_token2] = ACTIONS(3913),
    [aux_sym_keyword_statement_token3] = ACTIONS(3913),
    [aux_sym_keyword_statement_token4] = ACTIONS(3913),
    [aux_sym_keyword_statement_token6] = ACTIONS(3913),
    [aux_sym_keyword_statement_token7] = ACTIONS(3913),
    [aux_sym_include_statement_token1] = ACTIONS(3913),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3913),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3913),
    [aux_sym_end_if_statement_token1] = ACTIONS(3913),
    [aux_sym_elseif_clause_token2] = ACTIONS(3913),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3913),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3913),
    [aux_sym_select_case_statement_token1] = ACTIONS(3913),
    [aux_sym_select_case_statement_token3] = ACTIONS(3913),
    [aux_sym_select_type_statement_token1] = ACTIONS(3913),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3913),
    [aux_sym_associate_statement_token1] = ACTIONS(3913),
    [aux_sym_format_statement_token1] = ACTIONS(3913),
    [aux_sym_print_statement_token1] = ACTIONS(3913),
    [aux_sym_open_statement_token1] = ACTIONS(3913),
    [aux_sym_close_statement_token1] = ACTIONS(3913),
    [aux_sym_inquire_statement_token1] = ACTIONS(3913),
    [aux_sym_file_position_statement_token1] = ACTIONS(3913),
    [aux_sym_file_position_statement_token2] = ACTIONS(3913),
    [aux_sym_file_position_statement_token3] = ACTIONS(3913),
    [aux_sym_file_position_statement_token4] = ACTIONS(3913),
    [aux_sym_allocate_statement_token1] = ACTIONS(3913),
    [aux_sym_entry_statement_token1] = ACTIONS(3913),
    [aux_sym_assign_statement_token1] = ACTIONS(3913),
    [aux_sym_logical_expression_token5] = ACTIONS(7807),
    [anon_sym_DOT] = ACTIONS(3913),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7807),
    [anon_sym_LBRACK] = ACTIONS(7807),
    [aux_sym_boolean_literal_token1] = ACTIONS(7807),
    [aux_sym_boolean_literal_token2] = ACTIONS(7807),
    [aux_sym_null_literal_token1] = ACTIONS(3913),
    [aux_sym_coarray_statement_token1] = ACTIONS(3913),
    [aux_sym_coarray_statement_token2] = ACTIONS(3913),
    [aux_sym_coarray_statement_token6] = ACTIONS(3913),
    [aux_sym_coarray_statement_token8] = ACTIONS(3913),
    [aux_sym_coarray_statement_token11] = ACTIONS(3913),
    [aux_sym_coarray_statement_token12] = ACTIONS(3913),
    [aux_sym_coarray_statement_token13] = ACTIONS(3913),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3913),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3913),
    [aux_sym_identifier_token1] = ACTIONS(3913),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7807),
    [sym__float_literal] = ACTIONS(7807),
    [sym__boz_literal] = ACTIONS(7807),
    [sym__string_literal] = ACTIONS(7807),
    [sym__string_literal_kind] = ACTIONS(7807),
  },
  [3032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token2] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_contains_statement_token1] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7843),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3034] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7845),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [3035] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token2] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7847),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7849),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7851),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [3039] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token2] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_select_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3040] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7853),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3041] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_contains_statement_token1] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3042] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7855),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3043] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7857),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3044] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7635),
    [aux_sym_preproc_def_token1] = ACTIONS(7635),
    [aux_sym_preproc_if_token1] = ACTIONS(7635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7635),
    [sym_preproc_directive] = ACTIONS(7635),
    [anon_sym_LPAREN2] = ACTIONS(7635),
    [anon_sym_PLUS] = ACTIONS(7637),
    [anon_sym_DASH] = ACTIONS(7637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7635),
    [anon_sym_SEMI] = ACTIONS(7637),
    [aux_sym_block_data_statement_token1] = ACTIONS(7635),
    [aux_sym_block_data_statement_token2] = ACTIONS(7635),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7635),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7635),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7635),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7635),
    [aux_sym_contains_statement_token1] = ACTIONS(7635),
    [aux_sym_use_statement_token2] = ACTIONS(7635),
    [aux_sym_implicit_statement_token3] = ACTIONS(7635),
    [aux_sym_implicit_statement_token4] = ACTIONS(7635),
    [aux_sym_save_statement_token1] = ACTIONS(7635),
    [aux_sym_private_statement_token1] = ACTIONS(7635),
    [aux_sym_public_statement_token1] = ACTIONS(7635),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7635),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7635),
    [aux_sym_variable_attributes_token2] = ACTIONS(7635),
    [aux_sym_variable_attributes_token3] = ACTIONS(7635),
    [aux_sym_variable_attributes_token5] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7635),
    [aux_sym_type_qualifier_token1] = ACTIONS(7635),
    [aux_sym_type_qualifier_token2] = ACTIONS(7635),
    [aux_sym_stop_statement_token1] = ACTIONS(7635),
    [aux_sym_stop_statement_token2] = ACTIONS(7635),
    [aux_sym_subroutine_call_token1] = ACTIONS(7635),
    [aux_sym_keyword_statement_token1] = ACTIONS(7635),
    [aux_sym_keyword_statement_token2] = ACTIONS(7635),
    [aux_sym_keyword_statement_token3] = ACTIONS(7635),
    [aux_sym_keyword_statement_token4] = ACTIONS(7635),
    [aux_sym_keyword_statement_token6] = ACTIONS(7635),
    [aux_sym_keyword_statement_token7] = ACTIONS(7635),
    [aux_sym_include_statement_token1] = ACTIONS(7635),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7635),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7635),
    [aux_sym_end_if_statement_token1] = ACTIONS(7635),
    [aux_sym_elseif_clause_token2] = ACTIONS(7635),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7635),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7635),
    [aux_sym_select_case_statement_token1] = ACTIONS(7635),
    [aux_sym_select_case_statement_token3] = ACTIONS(7635),
    [aux_sym_select_type_statement_token1] = ACTIONS(7635),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7635),
    [aux_sym_associate_statement_token1] = ACTIONS(7635),
    [aux_sym_format_statement_token1] = ACTIONS(7635),
    [aux_sym_print_statement_token1] = ACTIONS(7635),
    [aux_sym_open_statement_token1] = ACTIONS(7635),
    [aux_sym_close_statement_token1] = ACTIONS(7635),
    [aux_sym_inquire_statement_token1] = ACTIONS(7635),
    [aux_sym_file_position_statement_token1] = ACTIONS(7635),
    [aux_sym_file_position_statement_token2] = ACTIONS(7635),
    [aux_sym_file_position_statement_token3] = ACTIONS(7635),
    [aux_sym_file_position_statement_token4] = ACTIONS(7635),
    [aux_sym_allocate_statement_token1] = ACTIONS(7635),
    [aux_sym_entry_statement_token1] = ACTIONS(7635),
    [aux_sym_assign_statement_token1] = ACTIONS(7635),
    [aux_sym_logical_expression_token5] = ACTIONS(7637),
    [anon_sym_DOT] = ACTIONS(7635),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7637),
    [anon_sym_LBRACK] = ACTIONS(7637),
    [aux_sym_boolean_literal_token1] = ACTIONS(7637),
    [aux_sym_boolean_literal_token2] = ACTIONS(7637),
    [aux_sym_null_literal_token1] = ACTIONS(7635),
    [aux_sym_coarray_statement_token1] = ACTIONS(7635),
    [aux_sym_coarray_statement_token2] = ACTIONS(7635),
    [aux_sym_coarray_statement_token6] = ACTIONS(7635),
    [aux_sym_coarray_statement_token8] = ACTIONS(7635),
    [aux_sym_coarray_statement_token11] = ACTIONS(7635),
    [aux_sym_coarray_statement_token12] = ACTIONS(7635),
    [aux_sym_coarray_statement_token13] = ACTIONS(7635),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7635),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7635),
    [aux_sym_identifier_token1] = ACTIONS(7635),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7637),
    [sym__float_literal] = ACTIONS(7637),
    [sym__boz_literal] = ACTIONS(7637),
    [sym__string_literal] = ACTIONS(7637),
    [sym__string_literal_kind] = ACTIONS(7637),
  },
  [3045] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7265),
    [aux_sym_preproc_def_token1] = ACTIONS(7265),
    [aux_sym_preproc_if_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7265),
    [sym_preproc_directive] = ACTIONS(7265),
    [anon_sym_LPAREN2] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7265),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(7265),
    [aux_sym_block_data_statement_token2] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7265),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7265),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7265),
    [aux_sym_contains_statement_token1] = ACTIONS(7265),
    [aux_sym_use_statement_token2] = ACTIONS(7265),
    [aux_sym_implicit_statement_token3] = ACTIONS(7265),
    [aux_sym_implicit_statement_token4] = ACTIONS(7265),
    [aux_sym_save_statement_token1] = ACTIONS(7265),
    [aux_sym_private_statement_token1] = ACTIONS(7265),
    [aux_sym_public_statement_token1] = ACTIONS(7265),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7265),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7265),
    [aux_sym_variable_attributes_token2] = ACTIONS(7265),
    [aux_sym_variable_attributes_token3] = ACTIONS(7265),
    [aux_sym_variable_attributes_token5] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7265),
    [aux_sym_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym_stop_statement_token1] = ACTIONS(7265),
    [aux_sym_stop_statement_token2] = ACTIONS(7265),
    [aux_sym_subroutine_call_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token2] = ACTIONS(7265),
    [aux_sym_keyword_statement_token3] = ACTIONS(7265),
    [aux_sym_keyword_statement_token4] = ACTIONS(7265),
    [aux_sym_keyword_statement_token6] = ACTIONS(7265),
    [aux_sym_keyword_statement_token7] = ACTIONS(7265),
    [aux_sym_include_statement_token1] = ACTIONS(7265),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7265),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7265),
    [aux_sym_end_if_statement_token1] = ACTIONS(7265),
    [aux_sym_elseif_clause_token2] = ACTIONS(7265),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7265),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token3] = ACTIONS(7265),
    [aux_sym_select_type_statement_token1] = ACTIONS(7265),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7265),
    [aux_sym_associate_statement_token1] = ACTIONS(7265),
    [aux_sym_format_statement_token1] = ACTIONS(7265),
    [aux_sym_print_statement_token1] = ACTIONS(7265),
    [aux_sym_open_statement_token1] = ACTIONS(7265),
    [aux_sym_close_statement_token1] = ACTIONS(7265),
    [aux_sym_inquire_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token2] = ACTIONS(7265),
    [aux_sym_file_position_statement_token3] = ACTIONS(7265),
    [aux_sym_file_position_statement_token4] = ACTIONS(7265),
    [aux_sym_allocate_statement_token1] = ACTIONS(7265),
    [aux_sym_entry_statement_token1] = ACTIONS(7265),
    [aux_sym_assign_statement_token1] = ACTIONS(7265),
    [aux_sym_logical_expression_token5] = ACTIONS(7269),
    [anon_sym_DOT] = ACTIONS(7265),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [aux_sym_boolean_literal_token1] = ACTIONS(7269),
    [aux_sym_boolean_literal_token2] = ACTIONS(7269),
    [aux_sym_null_literal_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token2] = ACTIONS(7265),
    [aux_sym_coarray_statement_token6] = ACTIONS(7265),
    [aux_sym_coarray_statement_token8] = ACTIONS(7265),
    [aux_sym_coarray_statement_token11] = ACTIONS(7265),
    [aux_sym_coarray_statement_token12] = ACTIONS(7265),
    [aux_sym_coarray_statement_token13] = ACTIONS(7265),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7265),
    [aux_sym_identifier_token1] = ACTIONS(7265),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7269),
    [sym__float_literal] = ACTIONS(7269),
    [sym__boz_literal] = ACTIONS(7269),
    [sym__string_literal] = ACTIONS(7269),
    [sym__string_literal_kind] = ACTIONS(7269),
  },
  [3046] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7601),
    [aux_sym_preproc_def_token1] = ACTIONS(7601),
    [aux_sym_preproc_if_token1] = ACTIONS(7601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7601),
    [sym_preproc_directive] = ACTIONS(7601),
    [anon_sym_LPAREN2] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7603),
    [anon_sym_DASH] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7601),
    [anon_sym_SEMI] = ACTIONS(7603),
    [aux_sym_block_data_statement_token1] = ACTIONS(7601),
    [aux_sym_block_data_statement_token2] = ACTIONS(7601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7601),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7601),
    [aux_sym_contains_statement_token1] = ACTIONS(7601),
    [aux_sym_use_statement_token2] = ACTIONS(7601),
    [aux_sym_implicit_statement_token3] = ACTIONS(7601),
    [aux_sym_implicit_statement_token4] = ACTIONS(7601),
    [aux_sym_save_statement_token1] = ACTIONS(7601),
    [aux_sym_private_statement_token1] = ACTIONS(7601),
    [aux_sym_public_statement_token1] = ACTIONS(7601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7601),
    [aux_sym_variable_attributes_token2] = ACTIONS(7601),
    [aux_sym_variable_attributes_token3] = ACTIONS(7601),
    [aux_sym_variable_attributes_token5] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7601),
    [aux_sym_type_qualifier_token1] = ACTIONS(7601),
    [aux_sym_type_qualifier_token2] = ACTIONS(7601),
    [aux_sym_stop_statement_token1] = ACTIONS(7601),
    [aux_sym_stop_statement_token2] = ACTIONS(7601),
    [aux_sym_subroutine_call_token1] = ACTIONS(7601),
    [aux_sym_keyword_statement_token1] = ACTIONS(7601),
    [aux_sym_keyword_statement_token2] = ACTIONS(7601),
    [aux_sym_keyword_statement_token3] = ACTIONS(7601),
    [aux_sym_keyword_statement_token4] = ACTIONS(7601),
    [aux_sym_keyword_statement_token6] = ACTIONS(7601),
    [aux_sym_keyword_statement_token7] = ACTIONS(7601),
    [aux_sym_include_statement_token1] = ACTIONS(7601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7601),
    [aux_sym_end_if_statement_token1] = ACTIONS(7601),
    [aux_sym_elseif_clause_token2] = ACTIONS(7601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7601),
    [aux_sym_select_case_statement_token1] = ACTIONS(7601),
    [aux_sym_select_case_statement_token3] = ACTIONS(7601),
    [aux_sym_select_type_statement_token1] = ACTIONS(7601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7601),
    [aux_sym_associate_statement_token1] = ACTIONS(7601),
    [aux_sym_format_statement_token1] = ACTIONS(7601),
    [aux_sym_print_statement_token1] = ACTIONS(7601),
    [aux_sym_open_statement_token1] = ACTIONS(7601),
    [aux_sym_close_statement_token1] = ACTIONS(7601),
    [aux_sym_inquire_statement_token1] = ACTIONS(7601),
    [aux_sym_file_position_statement_token1] = ACTIONS(7601),
    [aux_sym_file_position_statement_token2] = ACTIONS(7601),
    [aux_sym_file_position_statement_token3] = ACTIONS(7601),
    [aux_sym_file_position_statement_token4] = ACTIONS(7601),
    [aux_sym_allocate_statement_token1] = ACTIONS(7601),
    [aux_sym_entry_statement_token1] = ACTIONS(7601),
    [aux_sym_assign_statement_token1] = ACTIONS(7601),
    [aux_sym_logical_expression_token5] = ACTIONS(7603),
    [anon_sym_DOT] = ACTIONS(7601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7603),
    [aux_sym_boolean_literal_token1] = ACTIONS(7603),
    [aux_sym_boolean_literal_token2] = ACTIONS(7603),
    [aux_sym_null_literal_token1] = ACTIONS(7601),
    [aux_sym_coarray_statement_token1] = ACTIONS(7601),
    [aux_sym_coarray_statement_token2] = ACTIONS(7601),
    [aux_sym_coarray_statement_token6] = ACTIONS(7601),
    [aux_sym_coarray_statement_token8] = ACTIONS(7601),
    [aux_sym_coarray_statement_token11] = ACTIONS(7601),
    [aux_sym_coarray_statement_token12] = ACTIONS(7601),
    [aux_sym_coarray_statement_token13] = ACTIONS(7601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7601),
    [aux_sym_identifier_token1] = ACTIONS(7601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7603),
    [sym__float_literal] = ACTIONS(7603),
    [sym__boz_literal] = ACTIONS(7603),
    [sym__string_literal] = ACTIONS(7603),
    [sym__string_literal_kind] = ACTIONS(7603),
  },
  [3047] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7705),
    [aux_sym_preproc_def_token1] = ACTIONS(7705),
    [aux_sym_preproc_if_token1] = ACTIONS(7705),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7705),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7705),
    [sym_preproc_directive] = ACTIONS(7705),
    [anon_sym_LPAREN2] = ACTIONS(7705),
    [anon_sym_PLUS] = ACTIONS(7707),
    [anon_sym_DASH] = ACTIONS(7707),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7705),
    [anon_sym_SEMI] = ACTIONS(7707),
    [aux_sym_block_data_statement_token1] = ACTIONS(7705),
    [aux_sym_block_data_statement_token2] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7705),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7705),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7705),
    [aux_sym_contains_statement_token1] = ACTIONS(7705),
    [aux_sym_use_statement_token2] = ACTIONS(7705),
    [aux_sym_implicit_statement_token3] = ACTIONS(7705),
    [aux_sym_implicit_statement_token4] = ACTIONS(7705),
    [aux_sym_save_statement_token1] = ACTIONS(7705),
    [aux_sym_private_statement_token1] = ACTIONS(7705),
    [aux_sym_public_statement_token1] = ACTIONS(7705),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7705),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7705),
    [aux_sym_variable_attributes_token2] = ACTIONS(7705),
    [aux_sym_variable_attributes_token3] = ACTIONS(7705),
    [aux_sym_variable_attributes_token5] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7705),
    [aux_sym_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym_stop_statement_token1] = ACTIONS(7705),
    [aux_sym_stop_statement_token2] = ACTIONS(7705),
    [aux_sym_subroutine_call_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token2] = ACTIONS(7705),
    [aux_sym_keyword_statement_token3] = ACTIONS(7705),
    [aux_sym_keyword_statement_token4] = ACTIONS(7705),
    [aux_sym_keyword_statement_token6] = ACTIONS(7705),
    [aux_sym_keyword_statement_token7] = ACTIONS(7705),
    [aux_sym_include_statement_token1] = ACTIONS(7705),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7705),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7705),
    [aux_sym_end_if_statement_token1] = ACTIONS(7705),
    [aux_sym_elseif_clause_token2] = ACTIONS(7705),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7705),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7705),
    [aux_sym_select_case_statement_token1] = ACTIONS(7705),
    [aux_sym_select_case_statement_token3] = ACTIONS(7705),
    [aux_sym_select_type_statement_token1] = ACTIONS(7705),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7705),
    [aux_sym_associate_statement_token1] = ACTIONS(7705),
    [aux_sym_format_statement_token1] = ACTIONS(7705),
    [aux_sym_print_statement_token1] = ACTIONS(7705),
    [aux_sym_open_statement_token1] = ACTIONS(7705),
    [aux_sym_close_statement_token1] = ACTIONS(7705),
    [aux_sym_inquire_statement_token1] = ACTIONS(7705),
    [aux_sym_file_position_statement_token1] = ACTIONS(7705),
    [aux_sym_file_position_statement_token2] = ACTIONS(7705),
    [aux_sym_file_position_statement_token3] = ACTIONS(7705),
    [aux_sym_file_position_statement_token4] = ACTIONS(7705),
    [aux_sym_allocate_statement_token1] = ACTIONS(7705),
    [aux_sym_entry_statement_token1] = ACTIONS(7705),
    [aux_sym_assign_statement_token1] = ACTIONS(7705),
    [aux_sym_logical_expression_token5] = ACTIONS(7707),
    [anon_sym_DOT] = ACTIONS(7705),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7707),
    [anon_sym_LBRACK] = ACTIONS(7707),
    [aux_sym_boolean_literal_token1] = ACTIONS(7707),
    [aux_sym_boolean_literal_token2] = ACTIONS(7707),
    [aux_sym_null_literal_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token2] = ACTIONS(7705),
    [aux_sym_coarray_statement_token6] = ACTIONS(7705),
    [aux_sym_coarray_statement_token8] = ACTIONS(7705),
    [aux_sym_coarray_statement_token11] = ACTIONS(7705),
    [aux_sym_coarray_statement_token12] = ACTIONS(7705),
    [aux_sym_coarray_statement_token13] = ACTIONS(7705),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7705),
    [aux_sym_identifier_token1] = ACTIONS(7705),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7707),
    [sym__float_literal] = ACTIONS(7707),
    [sym__boz_literal] = ACTIONS(7707),
    [sym__string_literal] = ACTIONS(7707),
    [sym__string_literal_kind] = ACTIONS(7707),
  },
  [3048] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7859),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [3049] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token2] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_select_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3050] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7861),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3051] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7863),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3052] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7865),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7867),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7869),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token2] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token2] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_select_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7871),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [3059] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7643),
    [aux_sym_preproc_def_token1] = ACTIONS(7643),
    [aux_sym_preproc_if_token1] = ACTIONS(7643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7643),
    [sym_preproc_directive] = ACTIONS(7643),
    [anon_sym_LPAREN2] = ACTIONS(7643),
    [anon_sym_PLUS] = ACTIONS(7645),
    [anon_sym_DASH] = ACTIONS(7645),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7643),
    [anon_sym_SEMI] = ACTIONS(7645),
    [aux_sym_block_data_statement_token1] = ACTIONS(7643),
    [aux_sym_block_data_statement_token2] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7643),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7643),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7643),
    [aux_sym_contains_statement_token1] = ACTIONS(7643),
    [aux_sym_use_statement_token2] = ACTIONS(7643),
    [aux_sym_implicit_statement_token3] = ACTIONS(7643),
    [aux_sym_implicit_statement_token4] = ACTIONS(7643),
    [aux_sym_save_statement_token1] = ACTIONS(7643),
    [aux_sym_private_statement_token1] = ACTIONS(7643),
    [aux_sym_public_statement_token1] = ACTIONS(7643),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7643),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7643),
    [aux_sym_variable_attributes_token2] = ACTIONS(7643),
    [aux_sym_variable_attributes_token3] = ACTIONS(7643),
    [aux_sym_variable_attributes_token5] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7643),
    [aux_sym_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym_stop_statement_token1] = ACTIONS(7643),
    [aux_sym_stop_statement_token2] = ACTIONS(7643),
    [aux_sym_subroutine_call_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token2] = ACTIONS(7643),
    [aux_sym_keyword_statement_token3] = ACTIONS(7643),
    [aux_sym_keyword_statement_token4] = ACTIONS(7643),
    [aux_sym_keyword_statement_token6] = ACTIONS(7643),
    [aux_sym_keyword_statement_token7] = ACTIONS(7643),
    [aux_sym_include_statement_token1] = ACTIONS(7643),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7643),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7643),
    [aux_sym_end_if_statement_token1] = ACTIONS(7643),
    [aux_sym_elseif_clause_token2] = ACTIONS(7643),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7643),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7643),
    [aux_sym_select_case_statement_token1] = ACTIONS(7643),
    [aux_sym_select_case_statement_token3] = ACTIONS(7643),
    [aux_sym_select_type_statement_token1] = ACTIONS(7643),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7643),
    [aux_sym_associate_statement_token1] = ACTIONS(7643),
    [aux_sym_format_statement_token1] = ACTIONS(7643),
    [aux_sym_print_statement_token1] = ACTIONS(7643),
    [aux_sym_open_statement_token1] = ACTIONS(7643),
    [aux_sym_close_statement_token1] = ACTIONS(7643),
    [aux_sym_inquire_statement_token1] = ACTIONS(7643),
    [aux_sym_file_position_statement_token1] = ACTIONS(7643),
    [aux_sym_file_position_statement_token2] = ACTIONS(7643),
    [aux_sym_file_position_statement_token3] = ACTIONS(7643),
    [aux_sym_file_position_statement_token4] = ACTIONS(7643),
    [aux_sym_allocate_statement_token1] = ACTIONS(7643),
    [aux_sym_entry_statement_token1] = ACTIONS(7643),
    [aux_sym_assign_statement_token1] = ACTIONS(7643),
    [aux_sym_logical_expression_token5] = ACTIONS(7645),
    [anon_sym_DOT] = ACTIONS(7643),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7645),
    [anon_sym_LBRACK] = ACTIONS(7645),
    [aux_sym_boolean_literal_token1] = ACTIONS(7645),
    [aux_sym_boolean_literal_token2] = ACTIONS(7645),
    [aux_sym_null_literal_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token2] = ACTIONS(7643),
    [aux_sym_coarray_statement_token6] = ACTIONS(7643),
    [aux_sym_coarray_statement_token8] = ACTIONS(7643),
    [aux_sym_coarray_statement_token11] = ACTIONS(7643),
    [aux_sym_coarray_statement_token12] = ACTIONS(7643),
    [aux_sym_coarray_statement_token13] = ACTIONS(7643),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7643),
    [aux_sym_identifier_token1] = ACTIONS(7643),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7645),
    [sym__float_literal] = ACTIONS(7645),
    [sym__boz_literal] = ACTIONS(7645),
    [sym__string_literal] = ACTIONS(7645),
    [sym__string_literal_kind] = ACTIONS(7645),
  },
  [3060] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7873),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [3061] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token2] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7389),
    [aux_sym_preproc_def_token1] = ACTIONS(7389),
    [aux_sym_preproc_if_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7389),
    [sym_preproc_directive] = ACTIONS(7389),
    [anon_sym_LPAREN2] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7389),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(7389),
    [aux_sym_block_data_statement_token2] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7389),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7389),
    [aux_sym_contains_statement_token1] = ACTIONS(7389),
    [aux_sym_use_statement_token2] = ACTIONS(7389),
    [aux_sym_implicit_statement_token3] = ACTIONS(7389),
    [aux_sym_implicit_statement_token4] = ACTIONS(7389),
    [aux_sym_save_statement_token1] = ACTIONS(7389),
    [aux_sym_private_statement_token1] = ACTIONS(7389),
    [aux_sym_public_statement_token1] = ACTIONS(7389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7389),
    [aux_sym_variable_attributes_token2] = ACTIONS(7389),
    [aux_sym_variable_attributes_token3] = ACTIONS(7389),
    [aux_sym_variable_attributes_token5] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7389),
    [aux_sym_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym_stop_statement_token1] = ACTIONS(7389),
    [aux_sym_stop_statement_token2] = ACTIONS(7389),
    [aux_sym_subroutine_call_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token2] = ACTIONS(7389),
    [aux_sym_keyword_statement_token3] = ACTIONS(7389),
    [aux_sym_keyword_statement_token4] = ACTIONS(7389),
    [aux_sym_keyword_statement_token6] = ACTIONS(7389),
    [aux_sym_keyword_statement_token7] = ACTIONS(7389),
    [aux_sym_include_statement_token1] = ACTIONS(7389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7389),
    [aux_sym_end_if_statement_token1] = ACTIONS(7389),
    [aux_sym_elseif_clause_token2] = ACTIONS(7389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token3] = ACTIONS(7389),
    [aux_sym_select_type_statement_token1] = ACTIONS(7389),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7389),
    [aux_sym_associate_statement_token1] = ACTIONS(7389),
    [aux_sym_format_statement_token1] = ACTIONS(7389),
    [aux_sym_print_statement_token1] = ACTIONS(7389),
    [aux_sym_open_statement_token1] = ACTIONS(7389),
    [aux_sym_close_statement_token1] = ACTIONS(7389),
    [aux_sym_inquire_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token2] = ACTIONS(7389),
    [aux_sym_file_position_statement_token3] = ACTIONS(7389),
    [aux_sym_file_position_statement_token4] = ACTIONS(7389),
    [aux_sym_allocate_statement_token1] = ACTIONS(7389),
    [aux_sym_entry_statement_token1] = ACTIONS(7389),
    [aux_sym_assign_statement_token1] = ACTIONS(7389),
    [aux_sym_logical_expression_token5] = ACTIONS(7393),
    [anon_sym_DOT] = ACTIONS(7389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [aux_sym_boolean_literal_token1] = ACTIONS(7393),
    [aux_sym_boolean_literal_token2] = ACTIONS(7393),
    [aux_sym_null_literal_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token2] = ACTIONS(7389),
    [aux_sym_coarray_statement_token6] = ACTIONS(7389),
    [aux_sym_coarray_statement_token8] = ACTIONS(7389),
    [aux_sym_coarray_statement_token11] = ACTIONS(7389),
    [aux_sym_coarray_statement_token12] = ACTIONS(7389),
    [aux_sym_coarray_statement_token13] = ACTIONS(7389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7389),
    [aux_sym_identifier_token1] = ACTIONS(7389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7393),
    [sym__float_literal] = ACTIONS(7393),
    [sym__boz_literal] = ACTIONS(7393),
    [sym__string_literal] = ACTIONS(7393),
    [sym__string_literal_kind] = ACTIONS(7393),
  },
  [3063] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7407),
    [aux_sym_preproc_def_token1] = ACTIONS(7407),
    [aux_sym_preproc_if_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7407),
    [sym_preproc_directive] = ACTIONS(7407),
    [anon_sym_LPAREN2] = ACTIONS(7407),
    [anon_sym_PLUS] = ACTIONS(7411),
    [anon_sym_DASH] = ACTIONS(7411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7407),
    [anon_sym_SEMI] = ACTIONS(7411),
    [aux_sym_block_data_statement_token1] = ACTIONS(7407),
    [aux_sym_block_data_statement_token2] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7407),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7407),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7407),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7407),
    [aux_sym_contains_statement_token1] = ACTIONS(7407),
    [aux_sym_use_statement_token2] = ACTIONS(7407),
    [aux_sym_implicit_statement_token3] = ACTIONS(7407),
    [aux_sym_implicit_statement_token4] = ACTIONS(7407),
    [aux_sym_save_statement_token1] = ACTIONS(7407),
    [aux_sym_private_statement_token1] = ACTIONS(7407),
    [aux_sym_public_statement_token1] = ACTIONS(7407),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7407),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7407),
    [aux_sym_variable_attributes_token2] = ACTIONS(7407),
    [aux_sym_variable_attributes_token3] = ACTIONS(7407),
    [aux_sym_variable_attributes_token5] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7407),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7407),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7407),
    [aux_sym_type_qualifier_token1] = ACTIONS(7407),
    [aux_sym_type_qualifier_token2] = ACTIONS(7407),
    [aux_sym_stop_statement_token1] = ACTIONS(7407),
    [aux_sym_stop_statement_token2] = ACTIONS(7407),
    [aux_sym_subroutine_call_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token1] = ACTIONS(7407),
    [aux_sym_keyword_statement_token2] = ACTIONS(7407),
    [aux_sym_keyword_statement_token3] = ACTIONS(7407),
    [aux_sym_keyword_statement_token4] = ACTIONS(7407),
    [aux_sym_keyword_statement_token6] = ACTIONS(7407),
    [aux_sym_keyword_statement_token7] = ACTIONS(7407),
    [aux_sym_include_statement_token1] = ACTIONS(7407),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7407),
    [aux_sym_end_if_statement_token1] = ACTIONS(7407),
    [aux_sym_elseif_clause_token2] = ACTIONS(7407),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7407),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token1] = ACTIONS(7407),
    [aux_sym_select_case_statement_token3] = ACTIONS(7407),
    [aux_sym_select_type_statement_token1] = ACTIONS(7407),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7407),
    [aux_sym_associate_statement_token1] = ACTIONS(7407),
    [aux_sym_format_statement_token1] = ACTIONS(7407),
    [aux_sym_print_statement_token1] = ACTIONS(7407),
    [aux_sym_open_statement_token1] = ACTIONS(7407),
    [aux_sym_close_statement_token1] = ACTIONS(7407),
    [aux_sym_inquire_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token1] = ACTIONS(7407),
    [aux_sym_file_position_statement_token2] = ACTIONS(7407),
    [aux_sym_file_position_statement_token3] = ACTIONS(7407),
    [aux_sym_file_position_statement_token4] = ACTIONS(7407),
    [aux_sym_allocate_statement_token1] = ACTIONS(7407),
    [aux_sym_entry_statement_token1] = ACTIONS(7407),
    [aux_sym_assign_statement_token1] = ACTIONS(7407),
    [aux_sym_logical_expression_token5] = ACTIONS(7411),
    [anon_sym_DOT] = ACTIONS(7407),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [aux_sym_boolean_literal_token1] = ACTIONS(7411),
    [aux_sym_boolean_literal_token2] = ACTIONS(7411),
    [aux_sym_null_literal_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_statement_token2] = ACTIONS(7407),
    [aux_sym_coarray_statement_token6] = ACTIONS(7407),
    [aux_sym_coarray_statement_token8] = ACTIONS(7407),
    [aux_sym_coarray_statement_token11] = ACTIONS(7407),
    [aux_sym_coarray_statement_token12] = ACTIONS(7407),
    [aux_sym_coarray_statement_token13] = ACTIONS(7407),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7407),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7407),
    [aux_sym_identifier_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7411),
    [sym__float_literal] = ACTIONS(7411),
    [sym__boz_literal] = ACTIONS(7411),
    [sym__string_literal] = ACTIONS(7411),
    [sym__string_literal_kind] = ACTIONS(7411),
  },
  [3064] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3065] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3066] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7875),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3067] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7877),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3068] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7879),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7881),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7737),
    [aux_sym_preproc_def_token1] = ACTIONS(7737),
    [aux_sym_preproc_if_token1] = ACTIONS(7737),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7737),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7737),
    [sym_preproc_directive] = ACTIONS(7737),
    [anon_sym_LPAREN2] = ACTIONS(7737),
    [anon_sym_PLUS] = ACTIONS(7739),
    [anon_sym_DASH] = ACTIONS(7739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7737),
    [anon_sym_SEMI] = ACTIONS(7739),
    [aux_sym_block_data_statement_token1] = ACTIONS(7737),
    [aux_sym_block_data_statement_token2] = ACTIONS(7737),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7737),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7737),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7737),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7737),
    [aux_sym_contains_statement_token1] = ACTIONS(7737),
    [aux_sym_use_statement_token2] = ACTIONS(7737),
    [aux_sym_implicit_statement_token3] = ACTIONS(7737),
    [aux_sym_implicit_statement_token4] = ACTIONS(7737),
    [aux_sym_save_statement_token1] = ACTIONS(7737),
    [aux_sym_private_statement_token1] = ACTIONS(7737),
    [aux_sym_public_statement_token1] = ACTIONS(7737),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7737),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7737),
    [aux_sym_variable_attributes_token2] = ACTIONS(7737),
    [aux_sym_variable_attributes_token3] = ACTIONS(7737),
    [aux_sym_variable_attributes_token5] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7737),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7737),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7737),
    [aux_sym_type_qualifier_token1] = ACTIONS(7737),
    [aux_sym_type_qualifier_token2] = ACTIONS(7737),
    [aux_sym_stop_statement_token1] = ACTIONS(7737),
    [aux_sym_stop_statement_token2] = ACTIONS(7737),
    [aux_sym_subroutine_call_token1] = ACTIONS(7737),
    [aux_sym_keyword_statement_token1] = ACTIONS(7737),
    [aux_sym_keyword_statement_token2] = ACTIONS(7737),
    [aux_sym_keyword_statement_token3] = ACTIONS(7737),
    [aux_sym_keyword_statement_token4] = ACTIONS(7737),
    [aux_sym_keyword_statement_token6] = ACTIONS(7737),
    [aux_sym_keyword_statement_token7] = ACTIONS(7737),
    [aux_sym_include_statement_token1] = ACTIONS(7737),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7737),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7737),
    [aux_sym_end_if_statement_token1] = ACTIONS(7737),
    [aux_sym_elseif_clause_token2] = ACTIONS(7737),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7737),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7737),
    [aux_sym_select_case_statement_token1] = ACTIONS(7737),
    [aux_sym_select_case_statement_token3] = ACTIONS(7737),
    [aux_sym_select_type_statement_token1] = ACTIONS(7737),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7737),
    [aux_sym_associate_statement_token1] = ACTIONS(7737),
    [aux_sym_format_statement_token1] = ACTIONS(7737),
    [aux_sym_print_statement_token1] = ACTIONS(7737),
    [aux_sym_open_statement_token1] = ACTIONS(7737),
    [aux_sym_close_statement_token1] = ACTIONS(7737),
    [aux_sym_inquire_statement_token1] = ACTIONS(7737),
    [aux_sym_file_position_statement_token1] = ACTIONS(7737),
    [aux_sym_file_position_statement_token2] = ACTIONS(7737),
    [aux_sym_file_position_statement_token3] = ACTIONS(7737),
    [aux_sym_file_position_statement_token4] = ACTIONS(7737),
    [aux_sym_allocate_statement_token1] = ACTIONS(7737),
    [aux_sym_entry_statement_token1] = ACTIONS(7737),
    [aux_sym_assign_statement_token1] = ACTIONS(7737),
    [aux_sym_logical_expression_token5] = ACTIONS(7739),
    [anon_sym_DOT] = ACTIONS(7737),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7739),
    [anon_sym_LBRACK] = ACTIONS(7739),
    [aux_sym_boolean_literal_token1] = ACTIONS(7739),
    [aux_sym_boolean_literal_token2] = ACTIONS(7739),
    [aux_sym_null_literal_token1] = ACTIONS(7737),
    [aux_sym_coarray_statement_token1] = ACTIONS(7737),
    [aux_sym_coarray_statement_token2] = ACTIONS(7737),
    [aux_sym_coarray_statement_token6] = ACTIONS(7737),
    [aux_sym_coarray_statement_token8] = ACTIONS(7737),
    [aux_sym_coarray_statement_token11] = ACTIONS(7737),
    [aux_sym_coarray_statement_token12] = ACTIONS(7737),
    [aux_sym_coarray_statement_token13] = ACTIONS(7737),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7737),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7737),
    [aux_sym_identifier_token1] = ACTIONS(7737),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7739),
    [sym__float_literal] = ACTIONS(7739),
    [sym__boz_literal] = ACTIONS(7739),
    [sym__string_literal] = ACTIONS(7739),
    [sym__string_literal_kind] = ACTIONS(7739),
  },
  [3071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7883),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [3072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token2] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_select_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3073] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7885),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7887),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [3075] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token2] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_select_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7889),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3077] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7891),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7693),
    [aux_sym_preproc_def_token1] = ACTIONS(7693),
    [aux_sym_preproc_if_token1] = ACTIONS(7693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7693),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7693),
    [sym_preproc_directive] = ACTIONS(7693),
    [anon_sym_LPAREN2] = ACTIONS(7693),
    [anon_sym_PLUS] = ACTIONS(7695),
    [anon_sym_DASH] = ACTIONS(7695),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7693),
    [anon_sym_SEMI] = ACTIONS(7695),
    [aux_sym_block_data_statement_token1] = ACTIONS(7693),
    [aux_sym_block_data_statement_token2] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7693),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7693),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7693),
    [aux_sym_end_function_statement_token1] = ACTIONS(7693),
    [aux_sym_contains_statement_token1] = ACTIONS(7693),
    [aux_sym_use_statement_token2] = ACTIONS(7693),
    [aux_sym_implicit_statement_token3] = ACTIONS(7693),
    [aux_sym_implicit_statement_token4] = ACTIONS(7693),
    [aux_sym_save_statement_token1] = ACTIONS(7693),
    [aux_sym_private_statement_token1] = ACTIONS(7693),
    [aux_sym_public_statement_token1] = ACTIONS(7693),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7693),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7693),
    [aux_sym_variable_attributes_token2] = ACTIONS(7693),
    [aux_sym_variable_attributes_token3] = ACTIONS(7693),
    [aux_sym_variable_attributes_token5] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7693),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7693),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7693),
    [aux_sym_type_qualifier_token1] = ACTIONS(7693),
    [aux_sym_type_qualifier_token2] = ACTIONS(7693),
    [aux_sym_stop_statement_token1] = ACTIONS(7693),
    [aux_sym_stop_statement_token2] = ACTIONS(7693),
    [aux_sym_subroutine_call_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token1] = ACTIONS(7693),
    [aux_sym_keyword_statement_token2] = ACTIONS(7693),
    [aux_sym_keyword_statement_token3] = ACTIONS(7693),
    [aux_sym_keyword_statement_token4] = ACTIONS(7693),
    [aux_sym_keyword_statement_token6] = ACTIONS(7693),
    [aux_sym_keyword_statement_token7] = ACTIONS(7693),
    [aux_sym_include_statement_token1] = ACTIONS(7693),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7693),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7693),
    [aux_sym_end_if_statement_token1] = ACTIONS(7693),
    [aux_sym_elseif_clause_token2] = ACTIONS(7693),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7693),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7693),
    [aux_sym_select_case_statement_token1] = ACTIONS(7693),
    [aux_sym_select_case_statement_token3] = ACTIONS(7693),
    [aux_sym_select_type_statement_token1] = ACTIONS(7693),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7693),
    [aux_sym_associate_statement_token1] = ACTIONS(7693),
    [aux_sym_format_statement_token1] = ACTIONS(7693),
    [aux_sym_print_statement_token1] = ACTIONS(7693),
    [aux_sym_open_statement_token1] = ACTIONS(7693),
    [aux_sym_close_statement_token1] = ACTIONS(7693),
    [aux_sym_inquire_statement_token1] = ACTIONS(7693),
    [aux_sym_file_position_statement_token1] = ACTIONS(7693),
    [aux_sym_file_position_statement_token2] = ACTIONS(7693),
    [aux_sym_file_position_statement_token3] = ACTIONS(7693),
    [aux_sym_file_position_statement_token4] = ACTIONS(7693),
    [aux_sym_allocate_statement_token1] = ACTIONS(7693),
    [aux_sym_entry_statement_token1] = ACTIONS(7693),
    [aux_sym_assign_statement_token1] = ACTIONS(7693),
    [aux_sym_logical_expression_token5] = ACTIONS(7695),
    [anon_sym_DOT] = ACTIONS(7693),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7695),
    [anon_sym_LBRACK] = ACTIONS(7695),
    [aux_sym_boolean_literal_token1] = ACTIONS(7695),
    [aux_sym_boolean_literal_token2] = ACTIONS(7695),
    [aux_sym_null_literal_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_statement_token2] = ACTIONS(7693),
    [aux_sym_coarray_statement_token6] = ACTIONS(7693),
    [aux_sym_coarray_statement_token8] = ACTIONS(7693),
    [aux_sym_coarray_statement_token11] = ACTIONS(7693),
    [aux_sym_coarray_statement_token12] = ACTIONS(7693),
    [aux_sym_coarray_statement_token13] = ACTIONS(7693),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7693),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7693),
    [aux_sym_identifier_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7695),
    [sym__float_literal] = ACTIONS(7695),
    [sym__boz_literal] = ACTIONS(7695),
    [sym__string_literal] = ACTIONS(7695),
    [sym__string_literal_kind] = ACTIONS(7695),
  },
  [3079] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7355),
    [aux_sym_preproc_def_token1] = ACTIONS(7355),
    [aux_sym_preproc_if_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7355),
    [sym_preproc_directive] = ACTIONS(7355),
    [anon_sym_LPAREN2] = ACTIONS(7355),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7355),
    [anon_sym_SEMI] = ACTIONS(7359),
    [aux_sym_block_data_statement_token1] = ACTIONS(7355),
    [aux_sym_block_data_statement_token2] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7355),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7355),
    [aux_sym_contains_statement_token1] = ACTIONS(7355),
    [aux_sym_use_statement_token2] = ACTIONS(7355),
    [aux_sym_implicit_statement_token3] = ACTIONS(7355),
    [aux_sym_implicit_statement_token4] = ACTIONS(7355),
    [aux_sym_save_statement_token1] = ACTIONS(7355),
    [aux_sym_private_statement_token1] = ACTIONS(7355),
    [aux_sym_public_statement_token1] = ACTIONS(7355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7355),
    [aux_sym_variable_attributes_token2] = ACTIONS(7355),
    [aux_sym_variable_attributes_token3] = ACTIONS(7355),
    [aux_sym_variable_attributes_token5] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7355),
    [aux_sym_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym_stop_statement_token1] = ACTIONS(7355),
    [aux_sym_stop_statement_token2] = ACTIONS(7355),
    [aux_sym_subroutine_call_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token2] = ACTIONS(7355),
    [aux_sym_keyword_statement_token3] = ACTIONS(7355),
    [aux_sym_keyword_statement_token4] = ACTIONS(7355),
    [aux_sym_keyword_statement_token6] = ACTIONS(7355),
    [aux_sym_keyword_statement_token7] = ACTIONS(7355),
    [aux_sym_include_statement_token1] = ACTIONS(7355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7355),
    [aux_sym_end_if_statement_token1] = ACTIONS(7355),
    [aux_sym_elseif_clause_token2] = ACTIONS(7355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token3] = ACTIONS(7355),
    [aux_sym_select_type_statement_token1] = ACTIONS(7355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7355),
    [aux_sym_associate_statement_token1] = ACTIONS(7355),
    [aux_sym_format_statement_token1] = ACTIONS(7355),
    [aux_sym_print_statement_token1] = ACTIONS(7355),
    [aux_sym_open_statement_token1] = ACTIONS(7355),
    [aux_sym_close_statement_token1] = ACTIONS(7355),
    [aux_sym_inquire_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token2] = ACTIONS(7355),
    [aux_sym_file_position_statement_token3] = ACTIONS(7355),
    [aux_sym_file_position_statement_token4] = ACTIONS(7355),
    [aux_sym_allocate_statement_token1] = ACTIONS(7355),
    [aux_sym_entry_statement_token1] = ACTIONS(7355),
    [aux_sym_assign_statement_token1] = ACTIONS(7355),
    [aux_sym_logical_expression_token5] = ACTIONS(7359),
    [anon_sym_DOT] = ACTIONS(7355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [aux_sym_boolean_literal_token1] = ACTIONS(7359),
    [aux_sym_boolean_literal_token2] = ACTIONS(7359),
    [aux_sym_null_literal_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token2] = ACTIONS(7355),
    [aux_sym_coarray_statement_token6] = ACTIONS(7355),
    [aux_sym_coarray_statement_token8] = ACTIONS(7355),
    [aux_sym_coarray_statement_token11] = ACTIONS(7355),
    [aux_sym_coarray_statement_token12] = ACTIONS(7355),
    [aux_sym_coarray_statement_token13] = ACTIONS(7355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7355),
    [aux_sym_identifier_token1] = ACTIONS(7355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7359),
    [sym__float_literal] = ACTIONS(7359),
    [sym__boz_literal] = ACTIONS(7359),
    [sym__string_literal] = ACTIONS(7359),
    [sym__string_literal_kind] = ACTIONS(7359),
  },
  [3080] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token2] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_contains_statement_token1] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7361),
    [aux_sym_preproc_def_token1] = ACTIONS(7361),
    [aux_sym_preproc_if_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7361),
    [sym_preproc_directive] = ACTIONS(7361),
    [anon_sym_LPAREN2] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7361),
    [anon_sym_SEMI] = ACTIONS(7365),
    [aux_sym_block_data_statement_token1] = ACTIONS(7361),
    [aux_sym_block_data_statement_token2] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7361),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7361),
    [aux_sym_contains_statement_token1] = ACTIONS(7361),
    [aux_sym_use_statement_token2] = ACTIONS(7361),
    [aux_sym_implicit_statement_token3] = ACTIONS(7361),
    [aux_sym_implicit_statement_token4] = ACTIONS(7361),
    [aux_sym_save_statement_token1] = ACTIONS(7361),
    [aux_sym_private_statement_token1] = ACTIONS(7361),
    [aux_sym_public_statement_token1] = ACTIONS(7361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7361),
    [aux_sym_variable_attributes_token2] = ACTIONS(7361),
    [aux_sym_variable_attributes_token3] = ACTIONS(7361),
    [aux_sym_variable_attributes_token5] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7361),
    [aux_sym_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym_stop_statement_token1] = ACTIONS(7361),
    [aux_sym_stop_statement_token2] = ACTIONS(7361),
    [aux_sym_subroutine_call_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token2] = ACTIONS(7361),
    [aux_sym_keyword_statement_token3] = ACTIONS(7361),
    [aux_sym_keyword_statement_token4] = ACTIONS(7361),
    [aux_sym_keyword_statement_token6] = ACTIONS(7361),
    [aux_sym_keyword_statement_token7] = ACTIONS(7361),
    [aux_sym_include_statement_token1] = ACTIONS(7361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7361),
    [aux_sym_end_if_statement_token1] = ACTIONS(7361),
    [aux_sym_elseif_clause_token2] = ACTIONS(7361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token3] = ACTIONS(7361),
    [aux_sym_select_type_statement_token1] = ACTIONS(7361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7361),
    [aux_sym_associate_statement_token1] = ACTIONS(7361),
    [aux_sym_format_statement_token1] = ACTIONS(7361),
    [aux_sym_print_statement_token1] = ACTIONS(7361),
    [aux_sym_open_statement_token1] = ACTIONS(7361),
    [aux_sym_close_statement_token1] = ACTIONS(7361),
    [aux_sym_inquire_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token2] = ACTIONS(7361),
    [aux_sym_file_position_statement_token3] = ACTIONS(7361),
    [aux_sym_file_position_statement_token4] = ACTIONS(7361),
    [aux_sym_allocate_statement_token1] = ACTIONS(7361),
    [aux_sym_entry_statement_token1] = ACTIONS(7361),
    [aux_sym_assign_statement_token1] = ACTIONS(7361),
    [aux_sym_logical_expression_token5] = ACTIONS(7365),
    [anon_sym_DOT] = ACTIONS(7361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [aux_sym_boolean_literal_token1] = ACTIONS(7365),
    [aux_sym_boolean_literal_token2] = ACTIONS(7365),
    [aux_sym_null_literal_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token2] = ACTIONS(7361),
    [aux_sym_coarray_statement_token6] = ACTIONS(7361),
    [aux_sym_coarray_statement_token8] = ACTIONS(7361),
    [aux_sym_coarray_statement_token11] = ACTIONS(7361),
    [aux_sym_coarray_statement_token12] = ACTIONS(7361),
    [aux_sym_coarray_statement_token13] = ACTIONS(7361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7361),
    [aux_sym_identifier_token1] = ACTIONS(7361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7365),
    [sym__float_literal] = ACTIONS(7365),
    [sym__boz_literal] = ACTIONS(7365),
    [sym__string_literal] = ACTIONS(7365),
    [sym__string_literal_kind] = ACTIONS(7365),
  },
  [3083] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token2] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token2] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_select_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7685),
    [aux_sym_preproc_def_token1] = ACTIONS(7685),
    [aux_sym_preproc_if_token1] = ACTIONS(7685),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7685),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7685),
    [sym_preproc_directive] = ACTIONS(7685),
    [anon_sym_LPAREN2] = ACTIONS(7685),
    [anon_sym_PLUS] = ACTIONS(7687),
    [anon_sym_DASH] = ACTIONS(7687),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7685),
    [anon_sym_SEMI] = ACTIONS(7687),
    [aux_sym_block_data_statement_token1] = ACTIONS(7685),
    [aux_sym_block_data_statement_token2] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7685),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7685),
    [aux_sym_end_function_statement_token1] = ACTIONS(7685),
    [aux_sym_contains_statement_token1] = ACTIONS(7685),
    [aux_sym_use_statement_token2] = ACTIONS(7685),
    [aux_sym_implicit_statement_token3] = ACTIONS(7685),
    [aux_sym_implicit_statement_token4] = ACTIONS(7685),
    [aux_sym_save_statement_token1] = ACTIONS(7685),
    [aux_sym_private_statement_token1] = ACTIONS(7685),
    [aux_sym_public_statement_token1] = ACTIONS(7685),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7685),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7685),
    [aux_sym_variable_attributes_token2] = ACTIONS(7685),
    [aux_sym_variable_attributes_token3] = ACTIONS(7685),
    [aux_sym_variable_attributes_token5] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7685),
    [aux_sym_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym_stop_statement_token1] = ACTIONS(7685),
    [aux_sym_stop_statement_token2] = ACTIONS(7685),
    [aux_sym_subroutine_call_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token2] = ACTIONS(7685),
    [aux_sym_keyword_statement_token3] = ACTIONS(7685),
    [aux_sym_keyword_statement_token4] = ACTIONS(7685),
    [aux_sym_keyword_statement_token6] = ACTIONS(7685),
    [aux_sym_keyword_statement_token7] = ACTIONS(7685),
    [aux_sym_include_statement_token1] = ACTIONS(7685),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7685),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7685),
    [aux_sym_end_if_statement_token1] = ACTIONS(7685),
    [aux_sym_elseif_clause_token2] = ACTIONS(7685),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7685),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7685),
    [aux_sym_select_case_statement_token1] = ACTIONS(7685),
    [aux_sym_select_case_statement_token3] = ACTIONS(7685),
    [aux_sym_select_type_statement_token1] = ACTIONS(7685),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7685),
    [aux_sym_associate_statement_token1] = ACTIONS(7685),
    [aux_sym_format_statement_token1] = ACTIONS(7685),
    [aux_sym_print_statement_token1] = ACTIONS(7685),
    [aux_sym_open_statement_token1] = ACTIONS(7685),
    [aux_sym_close_statement_token1] = ACTIONS(7685),
    [aux_sym_inquire_statement_token1] = ACTIONS(7685),
    [aux_sym_file_position_statement_token1] = ACTIONS(7685),
    [aux_sym_file_position_statement_token2] = ACTIONS(7685),
    [aux_sym_file_position_statement_token3] = ACTIONS(7685),
    [aux_sym_file_position_statement_token4] = ACTIONS(7685),
    [aux_sym_allocate_statement_token1] = ACTIONS(7685),
    [aux_sym_entry_statement_token1] = ACTIONS(7685),
    [aux_sym_assign_statement_token1] = ACTIONS(7685),
    [aux_sym_logical_expression_token5] = ACTIONS(7687),
    [anon_sym_DOT] = ACTIONS(7685),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7687),
    [anon_sym_LBRACK] = ACTIONS(7687),
    [aux_sym_boolean_literal_token1] = ACTIONS(7687),
    [aux_sym_boolean_literal_token2] = ACTIONS(7687),
    [aux_sym_null_literal_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token2] = ACTIONS(7685),
    [aux_sym_coarray_statement_token6] = ACTIONS(7685),
    [aux_sym_coarray_statement_token8] = ACTIONS(7685),
    [aux_sym_coarray_statement_token11] = ACTIONS(7685),
    [aux_sym_coarray_statement_token12] = ACTIONS(7685),
    [aux_sym_coarray_statement_token13] = ACTIONS(7685),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7685),
    [aux_sym_identifier_token1] = ACTIONS(7685),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7687),
    [sym__float_literal] = ACTIONS(7687),
    [sym__boz_literal] = ACTIONS(7687),
    [sym__string_literal] = ACTIONS(7687),
    [sym__string_literal_kind] = ACTIONS(7687),
  },
  [3088] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7377),
    [aux_sym_preproc_def_token1] = ACTIONS(7377),
    [aux_sym_preproc_if_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7377),
    [sym_preproc_directive] = ACTIONS(7377),
    [anon_sym_LPAREN2] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7377),
    [anon_sym_SEMI] = ACTIONS(7381),
    [aux_sym_block_data_statement_token1] = ACTIONS(7377),
    [aux_sym_block_data_statement_token2] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7377),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7377),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7377),
    [aux_sym_end_function_statement_token1] = ACTIONS(7377),
    [aux_sym_contains_statement_token1] = ACTIONS(7377),
    [aux_sym_use_statement_token2] = ACTIONS(7377),
    [aux_sym_implicit_statement_token3] = ACTIONS(7377),
    [aux_sym_implicit_statement_token4] = ACTIONS(7377),
    [aux_sym_save_statement_token1] = ACTIONS(7377),
    [aux_sym_private_statement_token1] = ACTIONS(7377),
    [aux_sym_public_statement_token1] = ACTIONS(7377),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7377),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7377),
    [aux_sym_variable_attributes_token2] = ACTIONS(7377),
    [aux_sym_variable_attributes_token3] = ACTIONS(7377),
    [aux_sym_variable_attributes_token5] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7377),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7377),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7377),
    [aux_sym_type_qualifier_token1] = ACTIONS(7377),
    [aux_sym_type_qualifier_token2] = ACTIONS(7377),
    [aux_sym_stop_statement_token1] = ACTIONS(7377),
    [aux_sym_stop_statement_token2] = ACTIONS(7377),
    [aux_sym_subroutine_call_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token1] = ACTIONS(7377),
    [aux_sym_keyword_statement_token2] = ACTIONS(7377),
    [aux_sym_keyword_statement_token3] = ACTIONS(7377),
    [aux_sym_keyword_statement_token4] = ACTIONS(7377),
    [aux_sym_keyword_statement_token6] = ACTIONS(7377),
    [aux_sym_keyword_statement_token7] = ACTIONS(7377),
    [aux_sym_include_statement_token1] = ACTIONS(7377),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7377),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7377),
    [aux_sym_end_if_statement_token1] = ACTIONS(7377),
    [aux_sym_elseif_clause_token2] = ACTIONS(7377),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7377),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token1] = ACTIONS(7377),
    [aux_sym_select_case_statement_token3] = ACTIONS(7377),
    [aux_sym_select_type_statement_token1] = ACTIONS(7377),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7377),
    [aux_sym_associate_statement_token1] = ACTIONS(7377),
    [aux_sym_format_statement_token1] = ACTIONS(7377),
    [aux_sym_print_statement_token1] = ACTIONS(7377),
    [aux_sym_open_statement_token1] = ACTIONS(7377),
    [aux_sym_close_statement_token1] = ACTIONS(7377),
    [aux_sym_inquire_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token1] = ACTIONS(7377),
    [aux_sym_file_position_statement_token2] = ACTIONS(7377),
    [aux_sym_file_position_statement_token3] = ACTIONS(7377),
    [aux_sym_file_position_statement_token4] = ACTIONS(7377),
    [aux_sym_allocate_statement_token1] = ACTIONS(7377),
    [aux_sym_entry_statement_token1] = ACTIONS(7377),
    [aux_sym_assign_statement_token1] = ACTIONS(7377),
    [aux_sym_logical_expression_token5] = ACTIONS(7381),
    [anon_sym_DOT] = ACTIONS(7377),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [aux_sym_boolean_literal_token1] = ACTIONS(7381),
    [aux_sym_boolean_literal_token2] = ACTIONS(7381),
    [aux_sym_null_literal_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_statement_token2] = ACTIONS(7377),
    [aux_sym_coarray_statement_token6] = ACTIONS(7377),
    [aux_sym_coarray_statement_token8] = ACTIONS(7377),
    [aux_sym_coarray_statement_token11] = ACTIONS(7377),
    [aux_sym_coarray_statement_token12] = ACTIONS(7377),
    [aux_sym_coarray_statement_token13] = ACTIONS(7377),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7377),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7377),
    [aux_sym_identifier_token1] = ACTIONS(7377),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7381),
    [sym__float_literal] = ACTIONS(7381),
    [sym__boz_literal] = ACTIONS(7381),
    [sym__string_literal] = ACTIONS(7381),
    [sym__string_literal_kind] = ACTIONS(7381),
  },
  [3090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7893),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3092] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7895),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7897),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_contains_statement_token1] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3098] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7899),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3099] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7697),
    [aux_sym_preproc_def_token1] = ACTIONS(7697),
    [aux_sym_preproc_if_token1] = ACTIONS(7697),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7697),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7697),
    [sym_preproc_directive] = ACTIONS(7697),
    [anon_sym_LPAREN2] = ACTIONS(7697),
    [anon_sym_PLUS] = ACTIONS(7699),
    [anon_sym_DASH] = ACTIONS(7699),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7697),
    [anon_sym_SEMI] = ACTIONS(7699),
    [aux_sym_block_data_statement_token1] = ACTIONS(7697),
    [aux_sym_block_data_statement_token2] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7697),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7697),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7697),
    [aux_sym_end_function_statement_token1] = ACTIONS(7697),
    [aux_sym_contains_statement_token1] = ACTIONS(7697),
    [aux_sym_use_statement_token2] = ACTIONS(7697),
    [aux_sym_implicit_statement_token3] = ACTIONS(7697),
    [aux_sym_implicit_statement_token4] = ACTIONS(7697),
    [aux_sym_save_statement_token1] = ACTIONS(7697),
    [aux_sym_private_statement_token1] = ACTIONS(7697),
    [aux_sym_public_statement_token1] = ACTIONS(7697),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7697),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7697),
    [aux_sym_variable_attributes_token2] = ACTIONS(7697),
    [aux_sym_variable_attributes_token3] = ACTIONS(7697),
    [aux_sym_variable_attributes_token5] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7697),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7697),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7697),
    [aux_sym_type_qualifier_token1] = ACTIONS(7697),
    [aux_sym_type_qualifier_token2] = ACTIONS(7697),
    [aux_sym_stop_statement_token1] = ACTIONS(7697),
    [aux_sym_stop_statement_token2] = ACTIONS(7697),
    [aux_sym_subroutine_call_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token1] = ACTIONS(7697),
    [aux_sym_keyword_statement_token2] = ACTIONS(7697),
    [aux_sym_keyword_statement_token3] = ACTIONS(7697),
    [aux_sym_keyword_statement_token4] = ACTIONS(7697),
    [aux_sym_keyword_statement_token6] = ACTIONS(7697),
    [aux_sym_keyword_statement_token7] = ACTIONS(7697),
    [aux_sym_include_statement_token1] = ACTIONS(7697),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7697),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7697),
    [aux_sym_end_if_statement_token1] = ACTIONS(7697),
    [aux_sym_elseif_clause_token2] = ACTIONS(7697),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7697),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7697),
    [aux_sym_select_case_statement_token1] = ACTIONS(7697),
    [aux_sym_select_case_statement_token3] = ACTIONS(7697),
    [aux_sym_select_type_statement_token1] = ACTIONS(7697),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7697),
    [aux_sym_associate_statement_token1] = ACTIONS(7697),
    [aux_sym_format_statement_token1] = ACTIONS(7697),
    [aux_sym_print_statement_token1] = ACTIONS(7697),
    [aux_sym_open_statement_token1] = ACTIONS(7697),
    [aux_sym_close_statement_token1] = ACTIONS(7697),
    [aux_sym_inquire_statement_token1] = ACTIONS(7697),
    [aux_sym_file_position_statement_token1] = ACTIONS(7697),
    [aux_sym_file_position_statement_token2] = ACTIONS(7697),
    [aux_sym_file_position_statement_token3] = ACTIONS(7697),
    [aux_sym_file_position_statement_token4] = ACTIONS(7697),
    [aux_sym_allocate_statement_token1] = ACTIONS(7697),
    [aux_sym_entry_statement_token1] = ACTIONS(7697),
    [aux_sym_assign_statement_token1] = ACTIONS(7697),
    [aux_sym_logical_expression_token5] = ACTIONS(7699),
    [anon_sym_DOT] = ACTIONS(7697),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7699),
    [anon_sym_LBRACK] = ACTIONS(7699),
    [aux_sym_boolean_literal_token1] = ACTIONS(7699),
    [aux_sym_boolean_literal_token2] = ACTIONS(7699),
    [aux_sym_null_literal_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_statement_token2] = ACTIONS(7697),
    [aux_sym_coarray_statement_token6] = ACTIONS(7697),
    [aux_sym_coarray_statement_token8] = ACTIONS(7697),
    [aux_sym_coarray_statement_token11] = ACTIONS(7697),
    [aux_sym_coarray_statement_token12] = ACTIONS(7697),
    [aux_sym_coarray_statement_token13] = ACTIONS(7697),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7697),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7697),
    [aux_sym_identifier_token1] = ACTIONS(7697),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7699),
    [sym__float_literal] = ACTIONS(7699),
    [sym__boz_literal] = ACTIONS(7699),
    [sym__string_literal] = ACTIONS(7699),
    [sym__string_literal_kind] = ACTIONS(7699),
  },
  [3100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_end_function_statement_token1] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7901),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [3102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3103] = {
    [sym_unit_identifier] = STATE(8394),
    [sym__file_position_spec] = STATE(8394),
    [sym__io_expressions] = STATE(8133),
    [sym__expression] = STATE(5358),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_derived_type_member_expression] = STATE(5465),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(5465),
    [sym_math_expression] = STATE(5465),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5465),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5644),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(5465),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5465),
    [anon_sym_LPAREN2] = ACTIONS(7903),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_STAR] = ACTIONS(7905),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(6290),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_end_function_statement_token1] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3105] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3106] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_contains_statement_token1] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_contains_statement_token1] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3108] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_contains_statement_token1] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3109] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_contains_statement_token1] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7907),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [3111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(3913),
    [aux_sym_preproc_def_token1] = ACTIONS(3913),
    [aux_sym_preproc_if_token1] = ACTIONS(3913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3913),
    [sym_preproc_directive] = ACTIONS(3913),
    [anon_sym_LPAREN2] = ACTIONS(3913),
    [anon_sym_PLUS] = ACTIONS(7807),
    [anon_sym_DASH] = ACTIONS(7807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3913),
    [anon_sym_SEMI] = ACTIONS(7807),
    [aux_sym_block_data_statement_token1] = ACTIONS(3913),
    [aux_sym_block_data_statement_token2] = ACTIONS(3913),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3913),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3913),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3913),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3913),
    [aux_sym_contains_statement_token1] = ACTIONS(3913),
    [aux_sym_use_statement_token2] = ACTIONS(3913),
    [aux_sym_implicit_statement_token3] = ACTIONS(3913),
    [aux_sym_implicit_statement_token4] = ACTIONS(3913),
    [aux_sym_save_statement_token1] = ACTIONS(3913),
    [aux_sym_private_statement_token1] = ACTIONS(3913),
    [aux_sym_public_statement_token1] = ACTIONS(3913),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3913),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3913),
    [aux_sym_variable_attributes_token2] = ACTIONS(3913),
    [aux_sym_variable_attributes_token3] = ACTIONS(3913),
    [aux_sym_variable_attributes_token5] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3913),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3913),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3913),
    [aux_sym_type_qualifier_token1] = ACTIONS(3913),
    [aux_sym_type_qualifier_token2] = ACTIONS(3913),
    [aux_sym_stop_statement_token1] = ACTIONS(3913),
    [aux_sym_stop_statement_token2] = ACTIONS(3913),
    [aux_sym_subroutine_call_token1] = ACTIONS(3913),
    [aux_sym_keyword_statement_token1] = ACTIONS(3913),
    [aux_sym_keyword_statement_token2] = ACTIONS(3913),
    [aux_sym_keyword_statement_token3] = ACTIONS(3913),
    [aux_sym_keyword_statement_token4] = ACTIONS(3913),
    [aux_sym_keyword_statement_token6] = ACTIONS(3913),
    [aux_sym_keyword_statement_token7] = ACTIONS(3913),
    [aux_sym_include_statement_token1] = ACTIONS(3913),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3913),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3913),
    [aux_sym_end_if_statement_token1] = ACTIONS(3913),
    [aux_sym_elseif_clause_token2] = ACTIONS(3913),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3913),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3913),
    [aux_sym_select_case_statement_token1] = ACTIONS(3913),
    [aux_sym_select_case_statement_token3] = ACTIONS(3913),
    [aux_sym_select_type_statement_token1] = ACTIONS(3913),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3913),
    [aux_sym_associate_statement_token1] = ACTIONS(3913),
    [aux_sym_format_statement_token1] = ACTIONS(3913),
    [aux_sym_print_statement_token1] = ACTIONS(3913),
    [aux_sym_open_statement_token1] = ACTIONS(3913),
    [aux_sym_close_statement_token1] = ACTIONS(3913),
    [aux_sym_inquire_statement_token1] = ACTIONS(3913),
    [aux_sym_file_position_statement_token1] = ACTIONS(3913),
    [aux_sym_file_position_statement_token2] = ACTIONS(3913),
    [aux_sym_file_position_statement_token3] = ACTIONS(3913),
    [aux_sym_file_position_statement_token4] = ACTIONS(3913),
    [aux_sym_allocate_statement_token1] = ACTIONS(3913),
    [aux_sym_entry_statement_token1] = ACTIONS(3913),
    [aux_sym_assign_statement_token1] = ACTIONS(3913),
    [aux_sym_logical_expression_token5] = ACTIONS(7807),
    [anon_sym_DOT] = ACTIONS(3913),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7807),
    [anon_sym_LBRACK] = ACTIONS(7807),
    [aux_sym_boolean_literal_token1] = ACTIONS(7807),
    [aux_sym_boolean_literal_token2] = ACTIONS(7807),
    [aux_sym_null_literal_token1] = ACTIONS(3913),
    [aux_sym_coarray_statement_token1] = ACTIONS(3913),
    [aux_sym_coarray_statement_token2] = ACTIONS(3913),
    [aux_sym_coarray_statement_token6] = ACTIONS(3913),
    [aux_sym_coarray_statement_token8] = ACTIONS(3913),
    [aux_sym_coarray_statement_token11] = ACTIONS(3913),
    [aux_sym_coarray_statement_token12] = ACTIONS(3913),
    [aux_sym_coarray_statement_token13] = ACTIONS(3913),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3913),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3913),
    [aux_sym_identifier_token1] = ACTIONS(3913),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7807),
    [sym__float_literal] = ACTIONS(7807),
    [sym__boz_literal] = ACTIONS(7807),
    [sym__string_literal] = ACTIONS(7807),
    [sym__string_literal_kind] = ACTIONS(7807),
  },
  [3112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_contains_statement_token1] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3113] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7909),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [3114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_contains_statement_token1] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7911),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [3116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7913),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_contains_statement_token1] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7635),
    [aux_sym_preproc_def_token1] = ACTIONS(7635),
    [aux_sym_preproc_if_token1] = ACTIONS(7635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7635),
    [sym_preproc_directive] = ACTIONS(7635),
    [anon_sym_LPAREN2] = ACTIONS(7635),
    [anon_sym_PLUS] = ACTIONS(7637),
    [anon_sym_DASH] = ACTIONS(7637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7635),
    [anon_sym_SEMI] = ACTIONS(7637),
    [aux_sym_block_data_statement_token1] = ACTIONS(7635),
    [aux_sym_block_data_statement_token2] = ACTIONS(7635),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7635),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7635),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7635),
    [aux_sym_end_function_statement_token1] = ACTIONS(7635),
    [aux_sym_contains_statement_token1] = ACTIONS(7635),
    [aux_sym_use_statement_token2] = ACTIONS(7635),
    [aux_sym_implicit_statement_token3] = ACTIONS(7635),
    [aux_sym_implicit_statement_token4] = ACTIONS(7635),
    [aux_sym_save_statement_token1] = ACTIONS(7635),
    [aux_sym_private_statement_token1] = ACTIONS(7635),
    [aux_sym_public_statement_token1] = ACTIONS(7635),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7635),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7635),
    [aux_sym_variable_attributes_token2] = ACTIONS(7635),
    [aux_sym_variable_attributes_token3] = ACTIONS(7635),
    [aux_sym_variable_attributes_token5] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7635),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7635),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7635),
    [aux_sym_type_qualifier_token1] = ACTIONS(7635),
    [aux_sym_type_qualifier_token2] = ACTIONS(7635),
    [aux_sym_stop_statement_token1] = ACTIONS(7635),
    [aux_sym_stop_statement_token2] = ACTIONS(7635),
    [aux_sym_subroutine_call_token1] = ACTIONS(7635),
    [aux_sym_keyword_statement_token1] = ACTIONS(7635),
    [aux_sym_keyword_statement_token2] = ACTIONS(7635),
    [aux_sym_keyword_statement_token3] = ACTIONS(7635),
    [aux_sym_keyword_statement_token4] = ACTIONS(7635),
    [aux_sym_keyword_statement_token6] = ACTIONS(7635),
    [aux_sym_keyword_statement_token7] = ACTIONS(7635),
    [aux_sym_include_statement_token1] = ACTIONS(7635),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7635),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7635),
    [aux_sym_end_if_statement_token1] = ACTIONS(7635),
    [aux_sym_elseif_clause_token2] = ACTIONS(7635),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7635),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7635),
    [aux_sym_select_case_statement_token1] = ACTIONS(7635),
    [aux_sym_select_case_statement_token3] = ACTIONS(7635),
    [aux_sym_select_type_statement_token1] = ACTIONS(7635),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7635),
    [aux_sym_associate_statement_token1] = ACTIONS(7635),
    [aux_sym_format_statement_token1] = ACTIONS(7635),
    [aux_sym_print_statement_token1] = ACTIONS(7635),
    [aux_sym_open_statement_token1] = ACTIONS(7635),
    [aux_sym_close_statement_token1] = ACTIONS(7635),
    [aux_sym_inquire_statement_token1] = ACTIONS(7635),
    [aux_sym_file_position_statement_token1] = ACTIONS(7635),
    [aux_sym_file_position_statement_token2] = ACTIONS(7635),
    [aux_sym_file_position_statement_token3] = ACTIONS(7635),
    [aux_sym_file_position_statement_token4] = ACTIONS(7635),
    [aux_sym_allocate_statement_token1] = ACTIONS(7635),
    [aux_sym_entry_statement_token1] = ACTIONS(7635),
    [aux_sym_assign_statement_token1] = ACTIONS(7635),
    [aux_sym_logical_expression_token5] = ACTIONS(7637),
    [anon_sym_DOT] = ACTIONS(7635),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7637),
    [anon_sym_LBRACK] = ACTIONS(7637),
    [aux_sym_boolean_literal_token1] = ACTIONS(7637),
    [aux_sym_boolean_literal_token2] = ACTIONS(7637),
    [aux_sym_null_literal_token1] = ACTIONS(7635),
    [aux_sym_coarray_statement_token1] = ACTIONS(7635),
    [aux_sym_coarray_statement_token2] = ACTIONS(7635),
    [aux_sym_coarray_statement_token6] = ACTIONS(7635),
    [aux_sym_coarray_statement_token8] = ACTIONS(7635),
    [aux_sym_coarray_statement_token11] = ACTIONS(7635),
    [aux_sym_coarray_statement_token12] = ACTIONS(7635),
    [aux_sym_coarray_statement_token13] = ACTIONS(7635),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7635),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7635),
    [aux_sym_identifier_token1] = ACTIONS(7635),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7637),
    [sym__float_literal] = ACTIONS(7637),
    [sym__boz_literal] = ACTIONS(7637),
    [sym__string_literal] = ACTIONS(7637),
    [sym__string_literal_kind] = ACTIONS(7637),
  },
  [3120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7915),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_contains_statement_token1] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_end_function_statement_token1] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7643),
    [aux_sym_preproc_def_token1] = ACTIONS(7643),
    [aux_sym_preproc_if_token1] = ACTIONS(7643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7643),
    [sym_preproc_directive] = ACTIONS(7643),
    [anon_sym_LPAREN2] = ACTIONS(7643),
    [anon_sym_PLUS] = ACTIONS(7645),
    [anon_sym_DASH] = ACTIONS(7645),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7643),
    [anon_sym_SEMI] = ACTIONS(7645),
    [aux_sym_block_data_statement_token1] = ACTIONS(7643),
    [aux_sym_block_data_statement_token2] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7643),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7643),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7643),
    [aux_sym_end_function_statement_token1] = ACTIONS(7643),
    [aux_sym_contains_statement_token1] = ACTIONS(7643),
    [aux_sym_use_statement_token2] = ACTIONS(7643),
    [aux_sym_implicit_statement_token3] = ACTIONS(7643),
    [aux_sym_implicit_statement_token4] = ACTIONS(7643),
    [aux_sym_save_statement_token1] = ACTIONS(7643),
    [aux_sym_private_statement_token1] = ACTIONS(7643),
    [aux_sym_public_statement_token1] = ACTIONS(7643),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7643),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7643),
    [aux_sym_variable_attributes_token2] = ACTIONS(7643),
    [aux_sym_variable_attributes_token3] = ACTIONS(7643),
    [aux_sym_variable_attributes_token5] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7643),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7643),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7643),
    [aux_sym_type_qualifier_token1] = ACTIONS(7643),
    [aux_sym_type_qualifier_token2] = ACTIONS(7643),
    [aux_sym_stop_statement_token1] = ACTIONS(7643),
    [aux_sym_stop_statement_token2] = ACTIONS(7643),
    [aux_sym_subroutine_call_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token1] = ACTIONS(7643),
    [aux_sym_keyword_statement_token2] = ACTIONS(7643),
    [aux_sym_keyword_statement_token3] = ACTIONS(7643),
    [aux_sym_keyword_statement_token4] = ACTIONS(7643),
    [aux_sym_keyword_statement_token6] = ACTIONS(7643),
    [aux_sym_keyword_statement_token7] = ACTIONS(7643),
    [aux_sym_include_statement_token1] = ACTIONS(7643),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7643),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7643),
    [aux_sym_end_if_statement_token1] = ACTIONS(7643),
    [aux_sym_elseif_clause_token2] = ACTIONS(7643),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7643),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7643),
    [aux_sym_select_case_statement_token1] = ACTIONS(7643),
    [aux_sym_select_case_statement_token3] = ACTIONS(7643),
    [aux_sym_select_type_statement_token1] = ACTIONS(7643),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7643),
    [aux_sym_associate_statement_token1] = ACTIONS(7643),
    [aux_sym_format_statement_token1] = ACTIONS(7643),
    [aux_sym_print_statement_token1] = ACTIONS(7643),
    [aux_sym_open_statement_token1] = ACTIONS(7643),
    [aux_sym_close_statement_token1] = ACTIONS(7643),
    [aux_sym_inquire_statement_token1] = ACTIONS(7643),
    [aux_sym_file_position_statement_token1] = ACTIONS(7643),
    [aux_sym_file_position_statement_token2] = ACTIONS(7643),
    [aux_sym_file_position_statement_token3] = ACTIONS(7643),
    [aux_sym_file_position_statement_token4] = ACTIONS(7643),
    [aux_sym_allocate_statement_token1] = ACTIONS(7643),
    [aux_sym_entry_statement_token1] = ACTIONS(7643),
    [aux_sym_assign_statement_token1] = ACTIONS(7643),
    [aux_sym_logical_expression_token5] = ACTIONS(7645),
    [anon_sym_DOT] = ACTIONS(7643),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7645),
    [anon_sym_LBRACK] = ACTIONS(7645),
    [aux_sym_boolean_literal_token1] = ACTIONS(7645),
    [aux_sym_boolean_literal_token2] = ACTIONS(7645),
    [aux_sym_null_literal_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_statement_token2] = ACTIONS(7643),
    [aux_sym_coarray_statement_token6] = ACTIONS(7643),
    [aux_sym_coarray_statement_token8] = ACTIONS(7643),
    [aux_sym_coarray_statement_token11] = ACTIONS(7643),
    [aux_sym_coarray_statement_token12] = ACTIONS(7643),
    [aux_sym_coarray_statement_token13] = ACTIONS(7643),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7643),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7643),
    [aux_sym_identifier_token1] = ACTIONS(7643),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7645),
    [sym__float_literal] = ACTIONS(7645),
    [sym__boz_literal] = ACTIONS(7645),
    [sym__string_literal] = ACTIONS(7645),
    [sym__string_literal_kind] = ACTIONS(7645),
  },
  [3124] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token2] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_end_select_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7917),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [3126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7355),
    [aux_sym_preproc_def_token1] = ACTIONS(7355),
    [aux_sym_preproc_if_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7355),
    [sym_preproc_directive] = ACTIONS(7355),
    [anon_sym_LPAREN2] = ACTIONS(7355),
    [anon_sym_PLUS] = ACTIONS(7359),
    [anon_sym_DASH] = ACTIONS(7359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7355),
    [anon_sym_SEMI] = ACTIONS(7359),
    [aux_sym_block_data_statement_token1] = ACTIONS(7355),
    [aux_sym_block_data_statement_token2] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7355),
    [aux_sym_end_function_statement_token1] = ACTIONS(7355),
    [aux_sym_contains_statement_token1] = ACTIONS(7355),
    [aux_sym_use_statement_token2] = ACTIONS(7355),
    [aux_sym_implicit_statement_token3] = ACTIONS(7355),
    [aux_sym_implicit_statement_token4] = ACTIONS(7355),
    [aux_sym_save_statement_token1] = ACTIONS(7355),
    [aux_sym_private_statement_token1] = ACTIONS(7355),
    [aux_sym_public_statement_token1] = ACTIONS(7355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7355),
    [aux_sym_variable_attributes_token2] = ACTIONS(7355),
    [aux_sym_variable_attributes_token3] = ACTIONS(7355),
    [aux_sym_variable_attributes_token5] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7355),
    [aux_sym_type_qualifier_token1] = ACTIONS(7355),
    [aux_sym_type_qualifier_token2] = ACTIONS(7355),
    [aux_sym_stop_statement_token1] = ACTIONS(7355),
    [aux_sym_stop_statement_token2] = ACTIONS(7355),
    [aux_sym_subroutine_call_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token1] = ACTIONS(7355),
    [aux_sym_keyword_statement_token2] = ACTIONS(7355),
    [aux_sym_keyword_statement_token3] = ACTIONS(7355),
    [aux_sym_keyword_statement_token4] = ACTIONS(7355),
    [aux_sym_keyword_statement_token6] = ACTIONS(7355),
    [aux_sym_keyword_statement_token7] = ACTIONS(7355),
    [aux_sym_include_statement_token1] = ACTIONS(7355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7355),
    [aux_sym_end_if_statement_token1] = ACTIONS(7355),
    [aux_sym_elseif_clause_token2] = ACTIONS(7355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token1] = ACTIONS(7355),
    [aux_sym_select_case_statement_token3] = ACTIONS(7355),
    [aux_sym_select_type_statement_token1] = ACTIONS(7355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7355),
    [aux_sym_associate_statement_token1] = ACTIONS(7355),
    [aux_sym_format_statement_token1] = ACTIONS(7355),
    [aux_sym_print_statement_token1] = ACTIONS(7355),
    [aux_sym_open_statement_token1] = ACTIONS(7355),
    [aux_sym_close_statement_token1] = ACTIONS(7355),
    [aux_sym_inquire_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token1] = ACTIONS(7355),
    [aux_sym_file_position_statement_token2] = ACTIONS(7355),
    [aux_sym_file_position_statement_token3] = ACTIONS(7355),
    [aux_sym_file_position_statement_token4] = ACTIONS(7355),
    [aux_sym_allocate_statement_token1] = ACTIONS(7355),
    [aux_sym_entry_statement_token1] = ACTIONS(7355),
    [aux_sym_assign_statement_token1] = ACTIONS(7355),
    [aux_sym_logical_expression_token5] = ACTIONS(7359),
    [anon_sym_DOT] = ACTIONS(7355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [aux_sym_boolean_literal_token1] = ACTIONS(7359),
    [aux_sym_boolean_literal_token2] = ACTIONS(7359),
    [aux_sym_null_literal_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_statement_token2] = ACTIONS(7355),
    [aux_sym_coarray_statement_token6] = ACTIONS(7355),
    [aux_sym_coarray_statement_token8] = ACTIONS(7355),
    [aux_sym_coarray_statement_token11] = ACTIONS(7355),
    [aux_sym_coarray_statement_token12] = ACTIONS(7355),
    [aux_sym_coarray_statement_token13] = ACTIONS(7355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7355),
    [aux_sym_identifier_token1] = ACTIONS(7355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7359),
    [sym__float_literal] = ACTIONS(7359),
    [sym__boz_literal] = ACTIONS(7359),
    [sym__string_literal] = ACTIONS(7359),
    [sym__string_literal_kind] = ACTIONS(7359),
  },
  [3127] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token2] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_end_select_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7361),
    [aux_sym_preproc_def_token1] = ACTIONS(7361),
    [aux_sym_preproc_if_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7361),
    [sym_preproc_directive] = ACTIONS(7361),
    [anon_sym_LPAREN2] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7361),
    [anon_sym_SEMI] = ACTIONS(7365),
    [aux_sym_block_data_statement_token1] = ACTIONS(7361),
    [aux_sym_block_data_statement_token2] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7361),
    [aux_sym_end_function_statement_token1] = ACTIONS(7361),
    [aux_sym_contains_statement_token1] = ACTIONS(7361),
    [aux_sym_use_statement_token2] = ACTIONS(7361),
    [aux_sym_implicit_statement_token3] = ACTIONS(7361),
    [aux_sym_implicit_statement_token4] = ACTIONS(7361),
    [aux_sym_save_statement_token1] = ACTIONS(7361),
    [aux_sym_private_statement_token1] = ACTIONS(7361),
    [aux_sym_public_statement_token1] = ACTIONS(7361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7361),
    [aux_sym_variable_attributes_token2] = ACTIONS(7361),
    [aux_sym_variable_attributes_token3] = ACTIONS(7361),
    [aux_sym_variable_attributes_token5] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7361),
    [aux_sym_type_qualifier_token1] = ACTIONS(7361),
    [aux_sym_type_qualifier_token2] = ACTIONS(7361),
    [aux_sym_stop_statement_token1] = ACTIONS(7361),
    [aux_sym_stop_statement_token2] = ACTIONS(7361),
    [aux_sym_subroutine_call_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token1] = ACTIONS(7361),
    [aux_sym_keyword_statement_token2] = ACTIONS(7361),
    [aux_sym_keyword_statement_token3] = ACTIONS(7361),
    [aux_sym_keyword_statement_token4] = ACTIONS(7361),
    [aux_sym_keyword_statement_token6] = ACTIONS(7361),
    [aux_sym_keyword_statement_token7] = ACTIONS(7361),
    [aux_sym_include_statement_token1] = ACTIONS(7361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7361),
    [aux_sym_end_if_statement_token1] = ACTIONS(7361),
    [aux_sym_elseif_clause_token2] = ACTIONS(7361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token1] = ACTIONS(7361),
    [aux_sym_select_case_statement_token3] = ACTIONS(7361),
    [aux_sym_select_type_statement_token1] = ACTIONS(7361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7361),
    [aux_sym_associate_statement_token1] = ACTIONS(7361),
    [aux_sym_format_statement_token1] = ACTIONS(7361),
    [aux_sym_print_statement_token1] = ACTIONS(7361),
    [aux_sym_open_statement_token1] = ACTIONS(7361),
    [aux_sym_close_statement_token1] = ACTIONS(7361),
    [aux_sym_inquire_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token1] = ACTIONS(7361),
    [aux_sym_file_position_statement_token2] = ACTIONS(7361),
    [aux_sym_file_position_statement_token3] = ACTIONS(7361),
    [aux_sym_file_position_statement_token4] = ACTIONS(7361),
    [aux_sym_allocate_statement_token1] = ACTIONS(7361),
    [aux_sym_entry_statement_token1] = ACTIONS(7361),
    [aux_sym_assign_statement_token1] = ACTIONS(7361),
    [aux_sym_logical_expression_token5] = ACTIONS(7365),
    [anon_sym_DOT] = ACTIONS(7361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [aux_sym_boolean_literal_token1] = ACTIONS(7365),
    [aux_sym_boolean_literal_token2] = ACTIONS(7365),
    [aux_sym_null_literal_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_statement_token2] = ACTIONS(7361),
    [aux_sym_coarray_statement_token6] = ACTIONS(7361),
    [aux_sym_coarray_statement_token8] = ACTIONS(7361),
    [aux_sym_coarray_statement_token11] = ACTIONS(7361),
    [aux_sym_coarray_statement_token12] = ACTIONS(7361),
    [aux_sym_coarray_statement_token13] = ACTIONS(7361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7361),
    [aux_sym_identifier_token1] = ACTIONS(7361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7365),
    [sym__float_literal] = ACTIONS(7365),
    [sym__boz_literal] = ACTIONS(7365),
    [sym__string_literal] = ACTIONS(7365),
    [sym__string_literal_kind] = ACTIONS(7365),
  },
  [3129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7919),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [3130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7921),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7923),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7925),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_end_select_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [3133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7927),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [3134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_contains_statement_token1] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7929),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [3136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7931),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [3137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7933),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [3138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7935),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_end_select_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3139] = {
    [sym_case_value_range_list] = STATE(9156),
    [sym__expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7418),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_contains_statement_token1] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_contains_statement_token1] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_end_function_statement_token1] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token2] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_end_select_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_contains_statement_token1] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token2] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_end_select_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7685),
    [aux_sym_preproc_def_token1] = ACTIONS(7685),
    [aux_sym_preproc_if_token1] = ACTIONS(7685),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7685),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7685),
    [sym_preproc_directive] = ACTIONS(7685),
    [anon_sym_LPAREN2] = ACTIONS(7685),
    [anon_sym_PLUS] = ACTIONS(7687),
    [anon_sym_DASH] = ACTIONS(7687),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7685),
    [anon_sym_SEMI] = ACTIONS(7687),
    [aux_sym_block_data_statement_token1] = ACTIONS(7685),
    [aux_sym_block_data_statement_token2] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7685),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7685),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7685),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7685),
    [aux_sym_contains_statement_token1] = ACTIONS(7685),
    [aux_sym_use_statement_token2] = ACTIONS(7685),
    [aux_sym_implicit_statement_token3] = ACTIONS(7685),
    [aux_sym_implicit_statement_token4] = ACTIONS(7685),
    [aux_sym_save_statement_token1] = ACTIONS(7685),
    [aux_sym_private_statement_token1] = ACTIONS(7685),
    [aux_sym_public_statement_token1] = ACTIONS(7685),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7685),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7685),
    [aux_sym_variable_attributes_token2] = ACTIONS(7685),
    [aux_sym_variable_attributes_token3] = ACTIONS(7685),
    [aux_sym_variable_attributes_token5] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7685),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7685),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7685),
    [aux_sym_type_qualifier_token1] = ACTIONS(7685),
    [aux_sym_type_qualifier_token2] = ACTIONS(7685),
    [aux_sym_stop_statement_token1] = ACTIONS(7685),
    [aux_sym_stop_statement_token2] = ACTIONS(7685),
    [aux_sym_subroutine_call_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token1] = ACTIONS(7685),
    [aux_sym_keyword_statement_token2] = ACTIONS(7685),
    [aux_sym_keyword_statement_token3] = ACTIONS(7685),
    [aux_sym_keyword_statement_token4] = ACTIONS(7685),
    [aux_sym_keyword_statement_token6] = ACTIONS(7685),
    [aux_sym_keyword_statement_token7] = ACTIONS(7685),
    [aux_sym_include_statement_token1] = ACTIONS(7685),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7685),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7685),
    [aux_sym_end_if_statement_token1] = ACTIONS(7685),
    [aux_sym_elseif_clause_token2] = ACTIONS(7685),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7685),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7685),
    [aux_sym_select_case_statement_token1] = ACTIONS(7685),
    [aux_sym_select_case_statement_token3] = ACTIONS(7685),
    [aux_sym_select_type_statement_token1] = ACTIONS(7685),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7685),
    [aux_sym_associate_statement_token1] = ACTIONS(7685),
    [aux_sym_format_statement_token1] = ACTIONS(7685),
    [aux_sym_print_statement_token1] = ACTIONS(7685),
    [aux_sym_open_statement_token1] = ACTIONS(7685),
    [aux_sym_close_statement_token1] = ACTIONS(7685),
    [aux_sym_inquire_statement_token1] = ACTIONS(7685),
    [aux_sym_file_position_statement_token1] = ACTIONS(7685),
    [aux_sym_file_position_statement_token2] = ACTIONS(7685),
    [aux_sym_file_position_statement_token3] = ACTIONS(7685),
    [aux_sym_file_position_statement_token4] = ACTIONS(7685),
    [aux_sym_allocate_statement_token1] = ACTIONS(7685),
    [aux_sym_entry_statement_token1] = ACTIONS(7685),
    [aux_sym_assign_statement_token1] = ACTIONS(7685),
    [aux_sym_logical_expression_token5] = ACTIONS(7687),
    [anon_sym_DOT] = ACTIONS(7685),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7687),
    [anon_sym_LBRACK] = ACTIONS(7687),
    [aux_sym_boolean_literal_token1] = ACTIONS(7687),
    [aux_sym_boolean_literal_token2] = ACTIONS(7687),
    [aux_sym_null_literal_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_statement_token2] = ACTIONS(7685),
    [aux_sym_coarray_statement_token6] = ACTIONS(7685),
    [aux_sym_coarray_statement_token8] = ACTIONS(7685),
    [aux_sym_coarray_statement_token11] = ACTIONS(7685),
    [aux_sym_coarray_statement_token12] = ACTIONS(7685),
    [aux_sym_coarray_statement_token13] = ACTIONS(7685),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7685),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7685),
    [aux_sym_identifier_token1] = ACTIONS(7685),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7687),
    [sym__float_literal] = ACTIONS(7687),
    [sym__boz_literal] = ACTIONS(7687),
    [sym__string_literal] = ACTIONS(7687),
    [sym__string_literal_kind] = ACTIONS(7687),
  },
  [3147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_contains_statement_token1] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3148] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7565),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3149] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7620),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token2] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_end_select_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3151] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token2] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_end_select_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7705),
    [aux_sym_preproc_def_token1] = ACTIONS(7705),
    [aux_sym_preproc_if_token1] = ACTIONS(7705),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7705),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7705),
    [sym_preproc_directive] = ACTIONS(7705),
    [anon_sym_LPAREN2] = ACTIONS(7705),
    [anon_sym_PLUS] = ACTIONS(7707),
    [anon_sym_DASH] = ACTIONS(7707),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7705),
    [anon_sym_SEMI] = ACTIONS(7707),
    [aux_sym_block_data_statement_token1] = ACTIONS(7705),
    [aux_sym_block_data_statement_token2] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7705),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7705),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7705),
    [aux_sym_end_function_statement_token1] = ACTIONS(7705),
    [aux_sym_contains_statement_token1] = ACTIONS(7705),
    [aux_sym_use_statement_token2] = ACTIONS(7705),
    [aux_sym_implicit_statement_token3] = ACTIONS(7705),
    [aux_sym_implicit_statement_token4] = ACTIONS(7705),
    [aux_sym_save_statement_token1] = ACTIONS(7705),
    [aux_sym_private_statement_token1] = ACTIONS(7705),
    [aux_sym_public_statement_token1] = ACTIONS(7705),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7705),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7705),
    [aux_sym_variable_attributes_token2] = ACTIONS(7705),
    [aux_sym_variable_attributes_token3] = ACTIONS(7705),
    [aux_sym_variable_attributes_token5] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7705),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7705),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7705),
    [aux_sym_type_qualifier_token1] = ACTIONS(7705),
    [aux_sym_type_qualifier_token2] = ACTIONS(7705),
    [aux_sym_stop_statement_token1] = ACTIONS(7705),
    [aux_sym_stop_statement_token2] = ACTIONS(7705),
    [aux_sym_subroutine_call_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token1] = ACTIONS(7705),
    [aux_sym_keyword_statement_token2] = ACTIONS(7705),
    [aux_sym_keyword_statement_token3] = ACTIONS(7705),
    [aux_sym_keyword_statement_token4] = ACTIONS(7705),
    [aux_sym_keyword_statement_token6] = ACTIONS(7705),
    [aux_sym_keyword_statement_token7] = ACTIONS(7705),
    [aux_sym_include_statement_token1] = ACTIONS(7705),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7705),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7705),
    [aux_sym_end_if_statement_token1] = ACTIONS(7705),
    [aux_sym_elseif_clause_token2] = ACTIONS(7705),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7705),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7705),
    [aux_sym_select_case_statement_token1] = ACTIONS(7705),
    [aux_sym_select_case_statement_token3] = ACTIONS(7705),
    [aux_sym_select_type_statement_token1] = ACTIONS(7705),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7705),
    [aux_sym_associate_statement_token1] = ACTIONS(7705),
    [aux_sym_format_statement_token1] = ACTIONS(7705),
    [aux_sym_print_statement_token1] = ACTIONS(7705),
    [aux_sym_open_statement_token1] = ACTIONS(7705),
    [aux_sym_close_statement_token1] = ACTIONS(7705),
    [aux_sym_inquire_statement_token1] = ACTIONS(7705),
    [aux_sym_file_position_statement_token1] = ACTIONS(7705),
    [aux_sym_file_position_statement_token2] = ACTIONS(7705),
    [aux_sym_file_position_statement_token3] = ACTIONS(7705),
    [aux_sym_file_position_statement_token4] = ACTIONS(7705),
    [aux_sym_allocate_statement_token1] = ACTIONS(7705),
    [aux_sym_entry_statement_token1] = ACTIONS(7705),
    [aux_sym_assign_statement_token1] = ACTIONS(7705),
    [aux_sym_logical_expression_token5] = ACTIONS(7707),
    [anon_sym_DOT] = ACTIONS(7705),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7707),
    [anon_sym_LBRACK] = ACTIONS(7707),
    [aux_sym_boolean_literal_token1] = ACTIONS(7707),
    [aux_sym_boolean_literal_token2] = ACTIONS(7707),
    [aux_sym_null_literal_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_statement_token2] = ACTIONS(7705),
    [aux_sym_coarray_statement_token6] = ACTIONS(7705),
    [aux_sym_coarray_statement_token8] = ACTIONS(7705),
    [aux_sym_coarray_statement_token11] = ACTIONS(7705),
    [aux_sym_coarray_statement_token12] = ACTIONS(7705),
    [aux_sym_coarray_statement_token13] = ACTIONS(7705),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7705),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7705),
    [aux_sym_identifier_token1] = ACTIONS(7705),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7707),
    [sym__float_literal] = ACTIONS(7707),
    [sym__boz_literal] = ACTIONS(7707),
    [sym__string_literal] = ACTIONS(7707),
    [sym__string_literal_kind] = ACTIONS(7707),
  },
  [3153] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8000),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3154] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8034),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token2] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_end_select_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3156] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_contains_statement_token1] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token2] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_end_select_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3158] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7267),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3159] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7278),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token2] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_end_select_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3161] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7709),
    [aux_sym_preproc_def_token1] = ACTIONS(7709),
    [aux_sym_preproc_if_token1] = ACTIONS(7709),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7709),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7709),
    [sym_preproc_directive] = ACTIONS(7709),
    [anon_sym_LPAREN2] = ACTIONS(7709),
    [anon_sym_PLUS] = ACTIONS(7711),
    [anon_sym_DASH] = ACTIONS(7711),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7709),
    [anon_sym_SEMI] = ACTIONS(7711),
    [aux_sym_block_data_statement_token1] = ACTIONS(7709),
    [aux_sym_block_data_statement_token2] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7709),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7709),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7709),
    [aux_sym_end_function_statement_token1] = ACTIONS(7709),
    [aux_sym_contains_statement_token1] = ACTIONS(7709),
    [aux_sym_use_statement_token2] = ACTIONS(7709),
    [aux_sym_implicit_statement_token3] = ACTIONS(7709),
    [aux_sym_implicit_statement_token4] = ACTIONS(7709),
    [aux_sym_save_statement_token1] = ACTIONS(7709),
    [aux_sym_private_statement_token1] = ACTIONS(7709),
    [aux_sym_public_statement_token1] = ACTIONS(7709),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7709),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7709),
    [aux_sym_variable_attributes_token2] = ACTIONS(7709),
    [aux_sym_variable_attributes_token3] = ACTIONS(7709),
    [aux_sym_variable_attributes_token5] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7709),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7709),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7709),
    [aux_sym_type_qualifier_token1] = ACTIONS(7709),
    [aux_sym_type_qualifier_token2] = ACTIONS(7709),
    [aux_sym_stop_statement_token1] = ACTIONS(7709),
    [aux_sym_stop_statement_token2] = ACTIONS(7709),
    [aux_sym_subroutine_call_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token1] = ACTIONS(7709),
    [aux_sym_keyword_statement_token2] = ACTIONS(7709),
    [aux_sym_keyword_statement_token3] = ACTIONS(7709),
    [aux_sym_keyword_statement_token4] = ACTIONS(7709),
    [aux_sym_keyword_statement_token6] = ACTIONS(7709),
    [aux_sym_keyword_statement_token7] = ACTIONS(7709),
    [aux_sym_include_statement_token1] = ACTIONS(7709),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7709),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7709),
    [aux_sym_end_if_statement_token1] = ACTIONS(7709),
    [aux_sym_elseif_clause_token2] = ACTIONS(7709),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7709),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7709),
    [aux_sym_select_case_statement_token1] = ACTIONS(7709),
    [aux_sym_select_case_statement_token3] = ACTIONS(7709),
    [aux_sym_select_type_statement_token1] = ACTIONS(7709),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7709),
    [aux_sym_associate_statement_token1] = ACTIONS(7709),
    [aux_sym_format_statement_token1] = ACTIONS(7709),
    [aux_sym_print_statement_token1] = ACTIONS(7709),
    [aux_sym_open_statement_token1] = ACTIONS(7709),
    [aux_sym_close_statement_token1] = ACTIONS(7709),
    [aux_sym_inquire_statement_token1] = ACTIONS(7709),
    [aux_sym_file_position_statement_token1] = ACTIONS(7709),
    [aux_sym_file_position_statement_token2] = ACTIONS(7709),
    [aux_sym_file_position_statement_token3] = ACTIONS(7709),
    [aux_sym_file_position_statement_token4] = ACTIONS(7709),
    [aux_sym_allocate_statement_token1] = ACTIONS(7709),
    [aux_sym_entry_statement_token1] = ACTIONS(7709),
    [aux_sym_assign_statement_token1] = ACTIONS(7709),
    [aux_sym_logical_expression_token5] = ACTIONS(7711),
    [anon_sym_DOT] = ACTIONS(7709),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7711),
    [anon_sym_LBRACK] = ACTIONS(7711),
    [aux_sym_boolean_literal_token1] = ACTIONS(7711),
    [aux_sym_boolean_literal_token2] = ACTIONS(7711),
    [aux_sym_null_literal_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_statement_token2] = ACTIONS(7709),
    [aux_sym_coarray_statement_token6] = ACTIONS(7709),
    [aux_sym_coarray_statement_token8] = ACTIONS(7709),
    [aux_sym_coarray_statement_token11] = ACTIONS(7709),
    [aux_sym_coarray_statement_token12] = ACTIONS(7709),
    [aux_sym_coarray_statement_token13] = ACTIONS(7709),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7709),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7709),
    [aux_sym_identifier_token1] = ACTIONS(7709),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7711),
    [sym__float_literal] = ACTIONS(7711),
    [sym__boz_literal] = ACTIONS(7711),
    [sym__string_literal] = ACTIONS(7711),
    [sym__string_literal_kind] = ACTIONS(7711),
  },
  [3162] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7350),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3163] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7365),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token2] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_end_select_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7937),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_select_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3166] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7430),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3167] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7440),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5350),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7265),
    [aux_sym_preproc_def_token1] = ACTIONS(7265),
    [aux_sym_preproc_if_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7265),
    [sym_preproc_directive] = ACTIONS(7265),
    [anon_sym_LPAREN2] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7265),
    [anon_sym_SEMI] = ACTIONS(7269),
    [aux_sym_block_data_statement_token1] = ACTIONS(7265),
    [aux_sym_block_data_statement_token2] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7265),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7265),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7265),
    [aux_sym_end_function_statement_token1] = ACTIONS(7265),
    [aux_sym_contains_statement_token1] = ACTIONS(7265),
    [aux_sym_use_statement_token2] = ACTIONS(7265),
    [aux_sym_implicit_statement_token3] = ACTIONS(7265),
    [aux_sym_implicit_statement_token4] = ACTIONS(7265),
    [aux_sym_save_statement_token1] = ACTIONS(7265),
    [aux_sym_private_statement_token1] = ACTIONS(7265),
    [aux_sym_public_statement_token1] = ACTIONS(7265),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7265),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7265),
    [aux_sym_variable_attributes_token2] = ACTIONS(7265),
    [aux_sym_variable_attributes_token3] = ACTIONS(7265),
    [aux_sym_variable_attributes_token5] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7265),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7265),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7265),
    [aux_sym_type_qualifier_token1] = ACTIONS(7265),
    [aux_sym_type_qualifier_token2] = ACTIONS(7265),
    [aux_sym_stop_statement_token1] = ACTIONS(7265),
    [aux_sym_stop_statement_token2] = ACTIONS(7265),
    [aux_sym_subroutine_call_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token1] = ACTIONS(7265),
    [aux_sym_keyword_statement_token2] = ACTIONS(7265),
    [aux_sym_keyword_statement_token3] = ACTIONS(7265),
    [aux_sym_keyword_statement_token4] = ACTIONS(7265),
    [aux_sym_keyword_statement_token6] = ACTIONS(7265),
    [aux_sym_keyword_statement_token7] = ACTIONS(7265),
    [aux_sym_include_statement_token1] = ACTIONS(7265),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7265),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7265),
    [aux_sym_end_if_statement_token1] = ACTIONS(7265),
    [aux_sym_elseif_clause_token2] = ACTIONS(7265),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7265),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token1] = ACTIONS(7265),
    [aux_sym_select_case_statement_token3] = ACTIONS(7265),
    [aux_sym_select_type_statement_token1] = ACTIONS(7265),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7265),
    [aux_sym_associate_statement_token1] = ACTIONS(7265),
    [aux_sym_format_statement_token1] = ACTIONS(7265),
    [aux_sym_print_statement_token1] = ACTIONS(7265),
    [aux_sym_open_statement_token1] = ACTIONS(7265),
    [aux_sym_close_statement_token1] = ACTIONS(7265),
    [aux_sym_inquire_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token1] = ACTIONS(7265),
    [aux_sym_file_position_statement_token2] = ACTIONS(7265),
    [aux_sym_file_position_statement_token3] = ACTIONS(7265),
    [aux_sym_file_position_statement_token4] = ACTIONS(7265),
    [aux_sym_allocate_statement_token1] = ACTIONS(7265),
    [aux_sym_entry_statement_token1] = ACTIONS(7265),
    [aux_sym_assign_statement_token1] = ACTIONS(7265),
    [aux_sym_logical_expression_token5] = ACTIONS(7269),
    [anon_sym_DOT] = ACTIONS(7265),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [aux_sym_boolean_literal_token1] = ACTIONS(7269),
    [aux_sym_boolean_literal_token2] = ACTIONS(7269),
    [aux_sym_null_literal_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_statement_token2] = ACTIONS(7265),
    [aux_sym_coarray_statement_token6] = ACTIONS(7265),
    [aux_sym_coarray_statement_token8] = ACTIONS(7265),
    [aux_sym_coarray_statement_token11] = ACTIONS(7265),
    [aux_sym_coarray_statement_token12] = ACTIONS(7265),
    [aux_sym_coarray_statement_token13] = ACTIONS(7265),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7265),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7265),
    [aux_sym_identifier_token1] = ACTIONS(7265),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7269),
    [sym__float_literal] = ACTIONS(7269),
    [sym__boz_literal] = ACTIONS(7269),
    [sym__string_literal] = ACTIONS(7269),
    [sym__string_literal_kind] = ACTIONS(7269),
  },
  [3169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7939),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7389),
    [aux_sym_preproc_def_token1] = ACTIONS(7389),
    [aux_sym_preproc_if_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7389),
    [sym_preproc_directive] = ACTIONS(7389),
    [anon_sym_LPAREN2] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7389),
    [anon_sym_SEMI] = ACTIONS(7393),
    [aux_sym_block_data_statement_token1] = ACTIONS(7389),
    [aux_sym_block_data_statement_token2] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7389),
    [aux_sym_end_function_statement_token1] = ACTIONS(7389),
    [aux_sym_contains_statement_token1] = ACTIONS(7389),
    [aux_sym_use_statement_token2] = ACTIONS(7389),
    [aux_sym_implicit_statement_token3] = ACTIONS(7389),
    [aux_sym_implicit_statement_token4] = ACTIONS(7389),
    [aux_sym_save_statement_token1] = ACTIONS(7389),
    [aux_sym_private_statement_token1] = ACTIONS(7389),
    [aux_sym_public_statement_token1] = ACTIONS(7389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7389),
    [aux_sym_variable_attributes_token2] = ACTIONS(7389),
    [aux_sym_variable_attributes_token3] = ACTIONS(7389),
    [aux_sym_variable_attributes_token5] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7389),
    [aux_sym_type_qualifier_token1] = ACTIONS(7389),
    [aux_sym_type_qualifier_token2] = ACTIONS(7389),
    [aux_sym_stop_statement_token1] = ACTIONS(7389),
    [aux_sym_stop_statement_token2] = ACTIONS(7389),
    [aux_sym_subroutine_call_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token1] = ACTIONS(7389),
    [aux_sym_keyword_statement_token2] = ACTIONS(7389),
    [aux_sym_keyword_statement_token3] = ACTIONS(7389),
    [aux_sym_keyword_statement_token4] = ACTIONS(7389),
    [aux_sym_keyword_statement_token6] = ACTIONS(7389),
    [aux_sym_keyword_statement_token7] = ACTIONS(7389),
    [aux_sym_include_statement_token1] = ACTIONS(7389),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7389),
    [aux_sym_end_if_statement_token1] = ACTIONS(7389),
    [aux_sym_elseif_clause_token2] = ACTIONS(7389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7389),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token1] = ACTIONS(7389),
    [aux_sym_select_case_statement_token3] = ACTIONS(7389),
    [aux_sym_select_type_statement_token1] = ACTIONS(7389),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7389),
    [aux_sym_associate_statement_token1] = ACTIONS(7389),
    [aux_sym_format_statement_token1] = ACTIONS(7389),
    [aux_sym_print_statement_token1] = ACTIONS(7389),
    [aux_sym_open_statement_token1] = ACTIONS(7389),
    [aux_sym_close_statement_token1] = ACTIONS(7389),
    [aux_sym_inquire_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token1] = ACTIONS(7389),
    [aux_sym_file_position_statement_token2] = ACTIONS(7389),
    [aux_sym_file_position_statement_token3] = ACTIONS(7389),
    [aux_sym_file_position_statement_token4] = ACTIONS(7389),
    [aux_sym_allocate_statement_token1] = ACTIONS(7389),
    [aux_sym_entry_statement_token1] = ACTIONS(7389),
    [aux_sym_assign_statement_token1] = ACTIONS(7389),
    [aux_sym_logical_expression_token5] = ACTIONS(7393),
    [anon_sym_DOT] = ACTIONS(7389),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [aux_sym_boolean_literal_token1] = ACTIONS(7393),
    [aux_sym_boolean_literal_token2] = ACTIONS(7393),
    [aux_sym_null_literal_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_statement_token2] = ACTIONS(7389),
    [aux_sym_coarray_statement_token6] = ACTIONS(7389),
    [aux_sym_coarray_statement_token8] = ACTIONS(7389),
    [aux_sym_coarray_statement_token11] = ACTIONS(7389),
    [aux_sym_coarray_statement_token12] = ACTIONS(7389),
    [aux_sym_coarray_statement_token13] = ACTIONS(7389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7389),
    [aux_sym_identifier_token1] = ACTIONS(7389),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7393),
    [sym__float_literal] = ACTIONS(7393),
    [sym__boz_literal] = ACTIONS(7393),
    [sym__string_literal] = ACTIONS(7393),
    [sym__string_literal_kind] = ACTIONS(7393),
  },
  [3171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7941),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [3172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7943),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_contains_statement_token1] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7945),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_select_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_contains_statement_token1] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_contains_statement_token1] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3177] = {
    [sym_case_value_range_list] = STATE(9068),
    [sym__expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7418),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3178] = {
    [sym_case_value_range_list] = STATE(9071),
    [sym__expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7418),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3179] = {
    [sym_case_value_range_list] = STATE(9153),
    [sym__expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(7418),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_end_function_statement_token1] = ACTIONS(5284),
    [aux_sym_contains_statement_token1] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_end_select_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_select_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_select_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_select_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token2] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token2] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6875),
    [aux_sym_preproc_def_token1] = ACTIONS(6875),
    [aux_sym_preproc_if_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6875),
    [sym_preproc_directive] = ACTIONS(6875),
    [anon_sym_LPAREN2] = ACTIONS(6875),
    [sym_preproc_comment] = ACTIONS(7947),
    [anon_sym_PLUS] = ACTIONS(6879),
    [anon_sym_DASH] = ACTIONS(6879),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6875),
    [anon_sym_SEMI] = ACTIONS(6879),
    [aux_sym_block_data_statement_token1] = ACTIONS(6875),
    [aux_sym_block_data_statement_token2] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6875),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6875),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6875),
    [aux_sym_use_statement_token2] = ACTIONS(6875),
    [aux_sym_implicit_statement_token3] = ACTIONS(6875),
    [aux_sym_implicit_statement_token4] = ACTIONS(6875),
    [aux_sym_save_statement_token1] = ACTIONS(6875),
    [aux_sym_private_statement_token1] = ACTIONS(6875),
    [aux_sym_public_statement_token1] = ACTIONS(6875),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6875),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6875),
    [aux_sym_variable_attributes_token2] = ACTIONS(6875),
    [aux_sym_variable_attributes_token3] = ACTIONS(6875),
    [aux_sym_variable_attributes_token5] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6875),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6875),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6875),
    [aux_sym_type_qualifier_token1] = ACTIONS(6875),
    [aux_sym_type_qualifier_token2] = ACTIONS(6875),
    [aux_sym_stop_statement_token1] = ACTIONS(6875),
    [aux_sym_stop_statement_token2] = ACTIONS(6875),
    [aux_sym_subroutine_call_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token1] = ACTIONS(6875),
    [aux_sym_keyword_statement_token2] = ACTIONS(6875),
    [aux_sym_keyword_statement_token3] = ACTIONS(6875),
    [aux_sym_keyword_statement_token4] = ACTIONS(6875),
    [aux_sym_keyword_statement_token6] = ACTIONS(6875),
    [aux_sym_keyword_statement_token7] = ACTIONS(6875),
    [aux_sym_include_statement_token1] = ACTIONS(6875),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6875),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6875),
    [aux_sym_end_if_statement_token1] = ACTIONS(6875),
    [aux_sym_elseif_clause_token2] = ACTIONS(6875),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6875),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token1] = ACTIONS(6875),
    [aux_sym_select_case_statement_token3] = ACTIONS(6875),
    [aux_sym_select_type_statement_token1] = ACTIONS(6875),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6875),
    [aux_sym_associate_statement_token1] = ACTIONS(6875),
    [aux_sym_format_statement_token1] = ACTIONS(6875),
    [aux_sym_print_statement_token1] = ACTIONS(6875),
    [aux_sym_open_statement_token1] = ACTIONS(6875),
    [aux_sym_close_statement_token1] = ACTIONS(6875),
    [aux_sym_inquire_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token1] = ACTIONS(6875),
    [aux_sym_file_position_statement_token2] = ACTIONS(6875),
    [aux_sym_file_position_statement_token3] = ACTIONS(6875),
    [aux_sym_file_position_statement_token4] = ACTIONS(6875),
    [aux_sym_allocate_statement_token1] = ACTIONS(6875),
    [aux_sym_entry_statement_token1] = ACTIONS(6875),
    [aux_sym_assign_statement_token1] = ACTIONS(6875),
    [aux_sym_logical_expression_token5] = ACTIONS(6879),
    [anon_sym_DOT] = ACTIONS(6875),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6879),
    [anon_sym_LBRACK] = ACTIONS(6879),
    [aux_sym_boolean_literal_token1] = ACTIONS(6879),
    [aux_sym_boolean_literal_token2] = ACTIONS(6879),
    [aux_sym_null_literal_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_statement_token2] = ACTIONS(6875),
    [aux_sym_coarray_statement_token6] = ACTIONS(6875),
    [aux_sym_coarray_statement_token8] = ACTIONS(6875),
    [aux_sym_coarray_statement_token11] = ACTIONS(6875),
    [aux_sym_coarray_statement_token12] = ACTIONS(6875),
    [aux_sym_coarray_statement_token13] = ACTIONS(6875),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6875),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6875),
    [aux_sym_identifier_token1] = ACTIONS(6875),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6879),
    [sym__float_literal] = ACTIONS(6879),
    [sym__boz_literal] = ACTIONS(6879),
    [sym__string_literal] = ACTIONS(6879),
    [sym__string_literal_kind] = ACTIONS(6879),
  },
  [3207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token2] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token2] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3210] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token2] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token2] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token2] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token2] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_end_select_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_end_select_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3225] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6881),
    [aux_sym_preproc_def_token1] = ACTIONS(6881),
    [aux_sym_preproc_if_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6881),
    [sym_preproc_directive] = ACTIONS(6881),
    [anon_sym_LPAREN2] = ACTIONS(6881),
    [sym_preproc_comment] = ACTIONS(7949),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6881),
    [anon_sym_SEMI] = ACTIONS(6885),
    [aux_sym_block_data_statement_token1] = ACTIONS(6881),
    [aux_sym_block_data_statement_token2] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6881),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6881),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6881),
    [aux_sym_use_statement_token2] = ACTIONS(6881),
    [aux_sym_implicit_statement_token3] = ACTIONS(6881),
    [aux_sym_implicit_statement_token4] = ACTIONS(6881),
    [aux_sym_save_statement_token1] = ACTIONS(6881),
    [aux_sym_private_statement_token1] = ACTIONS(6881),
    [aux_sym_public_statement_token1] = ACTIONS(6881),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6881),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6881),
    [aux_sym_variable_attributes_token2] = ACTIONS(6881),
    [aux_sym_variable_attributes_token3] = ACTIONS(6881),
    [aux_sym_variable_attributes_token5] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6881),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6881),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6881),
    [aux_sym_type_qualifier_token1] = ACTIONS(6881),
    [aux_sym_type_qualifier_token2] = ACTIONS(6881),
    [aux_sym_stop_statement_token1] = ACTIONS(6881),
    [aux_sym_stop_statement_token2] = ACTIONS(6881),
    [aux_sym_subroutine_call_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token1] = ACTIONS(6881),
    [aux_sym_keyword_statement_token2] = ACTIONS(6881),
    [aux_sym_keyword_statement_token3] = ACTIONS(6881),
    [aux_sym_keyword_statement_token4] = ACTIONS(6881),
    [aux_sym_keyword_statement_token6] = ACTIONS(6881),
    [aux_sym_keyword_statement_token7] = ACTIONS(6881),
    [aux_sym_include_statement_token1] = ACTIONS(6881),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6881),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6881),
    [aux_sym_end_if_statement_token1] = ACTIONS(6881),
    [aux_sym_elseif_clause_token2] = ACTIONS(6881),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6881),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token1] = ACTIONS(6881),
    [aux_sym_select_case_statement_token3] = ACTIONS(6881),
    [aux_sym_select_type_statement_token1] = ACTIONS(6881),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6881),
    [aux_sym_associate_statement_token1] = ACTIONS(6881),
    [aux_sym_format_statement_token1] = ACTIONS(6881),
    [aux_sym_print_statement_token1] = ACTIONS(6881),
    [aux_sym_open_statement_token1] = ACTIONS(6881),
    [aux_sym_close_statement_token1] = ACTIONS(6881),
    [aux_sym_inquire_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token1] = ACTIONS(6881),
    [aux_sym_file_position_statement_token2] = ACTIONS(6881),
    [aux_sym_file_position_statement_token3] = ACTIONS(6881),
    [aux_sym_file_position_statement_token4] = ACTIONS(6881),
    [aux_sym_allocate_statement_token1] = ACTIONS(6881),
    [aux_sym_entry_statement_token1] = ACTIONS(6881),
    [aux_sym_assign_statement_token1] = ACTIONS(6881),
    [aux_sym_logical_expression_token5] = ACTIONS(6885),
    [anon_sym_DOT] = ACTIONS(6881),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6885),
    [anon_sym_LBRACK] = ACTIONS(6885),
    [aux_sym_boolean_literal_token1] = ACTIONS(6885),
    [aux_sym_boolean_literal_token2] = ACTIONS(6885),
    [aux_sym_null_literal_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_statement_token2] = ACTIONS(6881),
    [aux_sym_coarray_statement_token6] = ACTIONS(6881),
    [aux_sym_coarray_statement_token8] = ACTIONS(6881),
    [aux_sym_coarray_statement_token11] = ACTIONS(6881),
    [aux_sym_coarray_statement_token12] = ACTIONS(6881),
    [aux_sym_coarray_statement_token13] = ACTIONS(6881),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6881),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6881),
    [aux_sym_identifier_token1] = ACTIONS(6881),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6885),
    [sym__float_literal] = ACTIONS(6885),
    [sym__boz_literal] = ACTIONS(6885),
    [sym__string_literal] = ACTIONS(6885),
    [sym__string_literal_kind] = ACTIONS(6885),
  },
  [3229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_end_select_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_end_select_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_end_select_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [sym_preproc_comment] = ACTIONS(7951),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6937),
    [aux_sym_preproc_def_token1] = ACTIONS(6937),
    [aux_sym_preproc_if_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6937),
    [sym_preproc_directive] = ACTIONS(6937),
    [anon_sym_LPAREN2] = ACTIONS(6937),
    [sym_preproc_comment] = ACTIONS(7953),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6937),
    [anon_sym_SEMI] = ACTIONS(6941),
    [aux_sym_block_data_statement_token1] = ACTIONS(6937),
    [aux_sym_block_data_statement_token2] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6937),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6937),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6937),
    [aux_sym_use_statement_token2] = ACTIONS(6937),
    [aux_sym_implicit_statement_token3] = ACTIONS(6937),
    [aux_sym_implicit_statement_token4] = ACTIONS(6937),
    [aux_sym_save_statement_token1] = ACTIONS(6937),
    [aux_sym_private_statement_token1] = ACTIONS(6937),
    [aux_sym_public_statement_token1] = ACTIONS(6937),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6937),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6937),
    [aux_sym_variable_attributes_token2] = ACTIONS(6937),
    [aux_sym_variable_attributes_token3] = ACTIONS(6937),
    [aux_sym_variable_attributes_token5] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6937),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6937),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6937),
    [aux_sym_type_qualifier_token1] = ACTIONS(6937),
    [aux_sym_type_qualifier_token2] = ACTIONS(6937),
    [aux_sym_stop_statement_token1] = ACTIONS(6937),
    [aux_sym_stop_statement_token2] = ACTIONS(6937),
    [aux_sym_subroutine_call_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token1] = ACTIONS(6937),
    [aux_sym_keyword_statement_token2] = ACTIONS(6937),
    [aux_sym_keyword_statement_token3] = ACTIONS(6937),
    [aux_sym_keyword_statement_token4] = ACTIONS(6937),
    [aux_sym_keyword_statement_token6] = ACTIONS(6937),
    [aux_sym_keyword_statement_token7] = ACTIONS(6937),
    [aux_sym_include_statement_token1] = ACTIONS(6937),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6937),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6937),
    [aux_sym_end_if_statement_token1] = ACTIONS(6937),
    [aux_sym_elseif_clause_token2] = ACTIONS(6937),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6937),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token1] = ACTIONS(6937),
    [aux_sym_select_case_statement_token3] = ACTIONS(6937),
    [aux_sym_select_type_statement_token1] = ACTIONS(6937),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6937),
    [aux_sym_associate_statement_token1] = ACTIONS(6937),
    [aux_sym_format_statement_token1] = ACTIONS(6937),
    [aux_sym_print_statement_token1] = ACTIONS(6937),
    [aux_sym_open_statement_token1] = ACTIONS(6937),
    [aux_sym_close_statement_token1] = ACTIONS(6937),
    [aux_sym_inquire_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token1] = ACTIONS(6937),
    [aux_sym_file_position_statement_token2] = ACTIONS(6937),
    [aux_sym_file_position_statement_token3] = ACTIONS(6937),
    [aux_sym_file_position_statement_token4] = ACTIONS(6937),
    [aux_sym_allocate_statement_token1] = ACTIONS(6937),
    [aux_sym_entry_statement_token1] = ACTIONS(6937),
    [aux_sym_assign_statement_token1] = ACTIONS(6937),
    [aux_sym_logical_expression_token5] = ACTIONS(6941),
    [anon_sym_DOT] = ACTIONS(6937),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6941),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [aux_sym_boolean_literal_token1] = ACTIONS(6941),
    [aux_sym_boolean_literal_token2] = ACTIONS(6941),
    [aux_sym_null_literal_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_statement_token2] = ACTIONS(6937),
    [aux_sym_coarray_statement_token6] = ACTIONS(6937),
    [aux_sym_coarray_statement_token8] = ACTIONS(6937),
    [aux_sym_coarray_statement_token11] = ACTIONS(6937),
    [aux_sym_coarray_statement_token12] = ACTIONS(6937),
    [aux_sym_coarray_statement_token13] = ACTIONS(6937),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6937),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6937),
    [aux_sym_identifier_token1] = ACTIONS(6937),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6941),
    [sym__float_literal] = ACTIONS(6941),
    [sym__boz_literal] = ACTIONS(6941),
    [sym__string_literal] = ACTIONS(6941),
    [sym__string_literal_kind] = ACTIONS(6941),
  },
  [3249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6865),
    [aux_sym_preproc_def_token1] = ACTIONS(6865),
    [aux_sym_preproc_if_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6865),
    [sym_preproc_directive] = ACTIONS(6865),
    [anon_sym_LPAREN2] = ACTIONS(6865),
    [sym_preproc_comment] = ACTIONS(7955),
    [anon_sym_PLUS] = ACTIONS(6869),
    [anon_sym_DASH] = ACTIONS(6869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6865),
    [anon_sym_SEMI] = ACTIONS(6869),
    [aux_sym_block_data_statement_token1] = ACTIONS(6865),
    [aux_sym_block_data_statement_token2] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6865),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6865),
    [aux_sym_use_statement_token2] = ACTIONS(6865),
    [aux_sym_implicit_statement_token3] = ACTIONS(6865),
    [aux_sym_implicit_statement_token4] = ACTIONS(6865),
    [aux_sym_save_statement_token1] = ACTIONS(6865),
    [aux_sym_private_statement_token1] = ACTIONS(6865),
    [aux_sym_public_statement_token1] = ACTIONS(6865),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6865),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6865),
    [aux_sym_variable_attributes_token2] = ACTIONS(6865),
    [aux_sym_variable_attributes_token3] = ACTIONS(6865),
    [aux_sym_variable_attributes_token5] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6865),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6865),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6865),
    [aux_sym_type_qualifier_token1] = ACTIONS(6865),
    [aux_sym_type_qualifier_token2] = ACTIONS(6865),
    [aux_sym_stop_statement_token1] = ACTIONS(6865),
    [aux_sym_stop_statement_token2] = ACTIONS(6865),
    [aux_sym_subroutine_call_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token1] = ACTIONS(6865),
    [aux_sym_keyword_statement_token2] = ACTIONS(6865),
    [aux_sym_keyword_statement_token3] = ACTIONS(6865),
    [aux_sym_keyword_statement_token4] = ACTIONS(6865),
    [aux_sym_keyword_statement_token6] = ACTIONS(6865),
    [aux_sym_keyword_statement_token7] = ACTIONS(6865),
    [aux_sym_include_statement_token1] = ACTIONS(6865),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6865),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6865),
    [aux_sym_end_if_statement_token1] = ACTIONS(6865),
    [aux_sym_elseif_clause_token2] = ACTIONS(6865),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6865),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token1] = ACTIONS(6865),
    [aux_sym_select_case_statement_token3] = ACTIONS(6865),
    [aux_sym_select_type_statement_token1] = ACTIONS(6865),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6865),
    [aux_sym_associate_statement_token1] = ACTIONS(6865),
    [aux_sym_format_statement_token1] = ACTIONS(6865),
    [aux_sym_print_statement_token1] = ACTIONS(6865),
    [aux_sym_open_statement_token1] = ACTIONS(6865),
    [aux_sym_close_statement_token1] = ACTIONS(6865),
    [aux_sym_inquire_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token1] = ACTIONS(6865),
    [aux_sym_file_position_statement_token2] = ACTIONS(6865),
    [aux_sym_file_position_statement_token3] = ACTIONS(6865),
    [aux_sym_file_position_statement_token4] = ACTIONS(6865),
    [aux_sym_allocate_statement_token1] = ACTIONS(6865),
    [aux_sym_entry_statement_token1] = ACTIONS(6865),
    [aux_sym_assign_statement_token1] = ACTIONS(6865),
    [aux_sym_logical_expression_token5] = ACTIONS(6869),
    [anon_sym_DOT] = ACTIONS(6865),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6869),
    [anon_sym_LBRACK] = ACTIONS(6869),
    [aux_sym_boolean_literal_token1] = ACTIONS(6869),
    [aux_sym_boolean_literal_token2] = ACTIONS(6869),
    [aux_sym_null_literal_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_statement_token2] = ACTIONS(6865),
    [aux_sym_coarray_statement_token6] = ACTIONS(6865),
    [aux_sym_coarray_statement_token8] = ACTIONS(6865),
    [aux_sym_coarray_statement_token11] = ACTIONS(6865),
    [aux_sym_coarray_statement_token12] = ACTIONS(6865),
    [aux_sym_coarray_statement_token13] = ACTIONS(6865),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6865),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6865),
    [aux_sym_identifier_token1] = ACTIONS(6865),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6869),
    [sym__float_literal] = ACTIONS(6869),
    [sym__boz_literal] = ACTIONS(6869),
    [sym__string_literal] = ACTIONS(6869),
    [sym__string_literal_kind] = ACTIONS(6869),
  },
  [3252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6931),
    [aux_sym_preproc_def_token1] = ACTIONS(6931),
    [aux_sym_preproc_if_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6931),
    [sym_preproc_directive] = ACTIONS(6931),
    [anon_sym_LPAREN2] = ACTIONS(6931),
    [sym_preproc_comment] = ACTIONS(7957),
    [anon_sym_PLUS] = ACTIONS(6935),
    [anon_sym_DASH] = ACTIONS(6935),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6931),
    [anon_sym_SEMI] = ACTIONS(6935),
    [aux_sym_block_data_statement_token1] = ACTIONS(6931),
    [aux_sym_block_data_statement_token2] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6931),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6931),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6931),
    [aux_sym_use_statement_token2] = ACTIONS(6931),
    [aux_sym_implicit_statement_token3] = ACTIONS(6931),
    [aux_sym_implicit_statement_token4] = ACTIONS(6931),
    [aux_sym_save_statement_token1] = ACTIONS(6931),
    [aux_sym_private_statement_token1] = ACTIONS(6931),
    [aux_sym_public_statement_token1] = ACTIONS(6931),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6931),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6931),
    [aux_sym_variable_attributes_token2] = ACTIONS(6931),
    [aux_sym_variable_attributes_token3] = ACTIONS(6931),
    [aux_sym_variable_attributes_token5] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6931),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6931),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6931),
    [aux_sym_type_qualifier_token1] = ACTIONS(6931),
    [aux_sym_type_qualifier_token2] = ACTIONS(6931),
    [aux_sym_stop_statement_token1] = ACTIONS(6931),
    [aux_sym_stop_statement_token2] = ACTIONS(6931),
    [aux_sym_subroutine_call_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token1] = ACTIONS(6931),
    [aux_sym_keyword_statement_token2] = ACTIONS(6931),
    [aux_sym_keyword_statement_token3] = ACTIONS(6931),
    [aux_sym_keyword_statement_token4] = ACTIONS(6931),
    [aux_sym_keyword_statement_token6] = ACTIONS(6931),
    [aux_sym_keyword_statement_token7] = ACTIONS(6931),
    [aux_sym_include_statement_token1] = ACTIONS(6931),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6931),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6931),
    [aux_sym_end_if_statement_token1] = ACTIONS(6931),
    [aux_sym_elseif_clause_token2] = ACTIONS(6931),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6931),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token1] = ACTIONS(6931),
    [aux_sym_select_case_statement_token3] = ACTIONS(6931),
    [aux_sym_select_type_statement_token1] = ACTIONS(6931),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6931),
    [aux_sym_associate_statement_token1] = ACTIONS(6931),
    [aux_sym_format_statement_token1] = ACTIONS(6931),
    [aux_sym_print_statement_token1] = ACTIONS(6931),
    [aux_sym_open_statement_token1] = ACTIONS(6931),
    [aux_sym_close_statement_token1] = ACTIONS(6931),
    [aux_sym_inquire_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token1] = ACTIONS(6931),
    [aux_sym_file_position_statement_token2] = ACTIONS(6931),
    [aux_sym_file_position_statement_token3] = ACTIONS(6931),
    [aux_sym_file_position_statement_token4] = ACTIONS(6931),
    [aux_sym_allocate_statement_token1] = ACTIONS(6931),
    [aux_sym_entry_statement_token1] = ACTIONS(6931),
    [aux_sym_assign_statement_token1] = ACTIONS(6931),
    [aux_sym_logical_expression_token5] = ACTIONS(6935),
    [anon_sym_DOT] = ACTIONS(6931),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6935),
    [aux_sym_boolean_literal_token1] = ACTIONS(6935),
    [aux_sym_boolean_literal_token2] = ACTIONS(6935),
    [aux_sym_null_literal_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_statement_token2] = ACTIONS(6931),
    [aux_sym_coarray_statement_token6] = ACTIONS(6931),
    [aux_sym_coarray_statement_token8] = ACTIONS(6931),
    [aux_sym_coarray_statement_token11] = ACTIONS(6931),
    [aux_sym_coarray_statement_token12] = ACTIONS(6931),
    [aux_sym_coarray_statement_token13] = ACTIONS(6931),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6931),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6931),
    [aux_sym_identifier_token1] = ACTIONS(6931),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6935),
    [sym__float_literal] = ACTIONS(6935),
    [sym__boz_literal] = ACTIONS(6935),
    [sym__string_literal] = ACTIONS(6935),
    [sym__string_literal_kind] = ACTIONS(6935),
  },
  [3256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [sym_preproc_comment] = ACTIONS(7959),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3259] = {
    [sym_input_item_list] = STATE(8424),
    [sym__expression] = STATE(5062),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(7961),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(7961),
  },
  [3260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6943),
    [aux_sym_preproc_def_token1] = ACTIONS(6943),
    [aux_sym_preproc_if_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6943),
    [sym_preproc_directive] = ACTIONS(6943),
    [anon_sym_LPAREN2] = ACTIONS(6943),
    [sym_preproc_comment] = ACTIONS(7963),
    [anon_sym_PLUS] = ACTIONS(6947),
    [anon_sym_DASH] = ACTIONS(6947),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6943),
    [anon_sym_SEMI] = ACTIONS(6947),
    [aux_sym_block_data_statement_token1] = ACTIONS(6943),
    [aux_sym_block_data_statement_token2] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6943),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6943),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6943),
    [aux_sym_use_statement_token2] = ACTIONS(6943),
    [aux_sym_implicit_statement_token3] = ACTIONS(6943),
    [aux_sym_implicit_statement_token4] = ACTIONS(6943),
    [aux_sym_save_statement_token1] = ACTIONS(6943),
    [aux_sym_private_statement_token1] = ACTIONS(6943),
    [aux_sym_public_statement_token1] = ACTIONS(6943),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6943),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6943),
    [aux_sym_variable_attributes_token2] = ACTIONS(6943),
    [aux_sym_variable_attributes_token3] = ACTIONS(6943),
    [aux_sym_variable_attributes_token5] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6943),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6943),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6943),
    [aux_sym_type_qualifier_token1] = ACTIONS(6943),
    [aux_sym_type_qualifier_token2] = ACTIONS(6943),
    [aux_sym_stop_statement_token1] = ACTIONS(6943),
    [aux_sym_stop_statement_token2] = ACTIONS(6943),
    [aux_sym_subroutine_call_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token1] = ACTIONS(6943),
    [aux_sym_keyword_statement_token2] = ACTIONS(6943),
    [aux_sym_keyword_statement_token3] = ACTIONS(6943),
    [aux_sym_keyword_statement_token4] = ACTIONS(6943),
    [aux_sym_keyword_statement_token6] = ACTIONS(6943),
    [aux_sym_keyword_statement_token7] = ACTIONS(6943),
    [aux_sym_include_statement_token1] = ACTIONS(6943),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6943),
    [aux_sym_end_if_statement_token1] = ACTIONS(6943),
    [aux_sym_elseif_clause_token2] = ACTIONS(6943),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6943),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token1] = ACTIONS(6943),
    [aux_sym_select_case_statement_token3] = ACTIONS(6943),
    [aux_sym_select_type_statement_token1] = ACTIONS(6943),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6943),
    [aux_sym_associate_statement_token1] = ACTIONS(6943),
    [aux_sym_format_statement_token1] = ACTIONS(6943),
    [aux_sym_print_statement_token1] = ACTIONS(6943),
    [aux_sym_open_statement_token1] = ACTIONS(6943),
    [aux_sym_close_statement_token1] = ACTIONS(6943),
    [aux_sym_inquire_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token1] = ACTIONS(6943),
    [aux_sym_file_position_statement_token2] = ACTIONS(6943),
    [aux_sym_file_position_statement_token3] = ACTIONS(6943),
    [aux_sym_file_position_statement_token4] = ACTIONS(6943),
    [aux_sym_allocate_statement_token1] = ACTIONS(6943),
    [aux_sym_entry_statement_token1] = ACTIONS(6943),
    [aux_sym_assign_statement_token1] = ACTIONS(6943),
    [aux_sym_logical_expression_token5] = ACTIONS(6947),
    [anon_sym_DOT] = ACTIONS(6943),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6947),
    [aux_sym_boolean_literal_token1] = ACTIONS(6947),
    [aux_sym_boolean_literal_token2] = ACTIONS(6947),
    [aux_sym_null_literal_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_statement_token2] = ACTIONS(6943),
    [aux_sym_coarray_statement_token6] = ACTIONS(6943),
    [aux_sym_coarray_statement_token8] = ACTIONS(6943),
    [aux_sym_coarray_statement_token11] = ACTIONS(6943),
    [aux_sym_coarray_statement_token12] = ACTIONS(6943),
    [aux_sym_coarray_statement_token13] = ACTIONS(6943),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6943),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6943),
    [aux_sym_identifier_token1] = ACTIONS(6943),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6947),
    [sym__float_literal] = ACTIONS(6947),
    [sym__boz_literal] = ACTIONS(6947),
    [sym__string_literal] = ACTIONS(6947),
    [sym__string_literal_kind] = ACTIONS(6947),
  },
  [3261] = {
    [sym_output_item_list] = STATE(8403),
    [sym__expression] = STATE(5066),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(7965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(7965),
  },
  [3262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6847),
    [aux_sym_preproc_def_token1] = ACTIONS(6847),
    [aux_sym_preproc_if_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6847),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6847),
    [sym_preproc_directive] = ACTIONS(6847),
    [anon_sym_LPAREN2] = ACTIONS(6847),
    [sym_preproc_comment] = ACTIONS(7967),
    [anon_sym_PLUS] = ACTIONS(6851),
    [anon_sym_DASH] = ACTIONS(6851),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6851),
    [aux_sym_block_data_statement_token1] = ACTIONS(6847),
    [aux_sym_block_data_statement_token2] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6847),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6847),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6847),
    [aux_sym_use_statement_token2] = ACTIONS(6847),
    [aux_sym_implicit_statement_token3] = ACTIONS(6847),
    [aux_sym_implicit_statement_token4] = ACTIONS(6847),
    [aux_sym_save_statement_token1] = ACTIONS(6847),
    [aux_sym_private_statement_token1] = ACTIONS(6847),
    [aux_sym_public_statement_token1] = ACTIONS(6847),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6847),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6847),
    [aux_sym_variable_attributes_token2] = ACTIONS(6847),
    [aux_sym_variable_attributes_token3] = ACTIONS(6847),
    [aux_sym_variable_attributes_token5] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6847),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6847),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6847),
    [aux_sym_type_qualifier_token1] = ACTIONS(6847),
    [aux_sym_type_qualifier_token2] = ACTIONS(6847),
    [aux_sym_stop_statement_token1] = ACTIONS(6847),
    [aux_sym_stop_statement_token2] = ACTIONS(6847),
    [aux_sym_subroutine_call_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token1] = ACTIONS(6847),
    [aux_sym_keyword_statement_token2] = ACTIONS(6847),
    [aux_sym_keyword_statement_token3] = ACTIONS(6847),
    [aux_sym_keyword_statement_token4] = ACTIONS(6847),
    [aux_sym_keyword_statement_token6] = ACTIONS(6847),
    [aux_sym_keyword_statement_token7] = ACTIONS(6847),
    [aux_sym_include_statement_token1] = ACTIONS(6847),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6847),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6847),
    [aux_sym_end_if_statement_token1] = ACTIONS(6847),
    [aux_sym_elseif_clause_token2] = ACTIONS(6847),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6847),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token1] = ACTIONS(6847),
    [aux_sym_select_case_statement_token3] = ACTIONS(6847),
    [aux_sym_select_type_statement_token1] = ACTIONS(6847),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6847),
    [aux_sym_associate_statement_token1] = ACTIONS(6847),
    [aux_sym_format_statement_token1] = ACTIONS(6847),
    [aux_sym_print_statement_token1] = ACTIONS(6847),
    [aux_sym_open_statement_token1] = ACTIONS(6847),
    [aux_sym_close_statement_token1] = ACTIONS(6847),
    [aux_sym_inquire_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token1] = ACTIONS(6847),
    [aux_sym_file_position_statement_token2] = ACTIONS(6847),
    [aux_sym_file_position_statement_token3] = ACTIONS(6847),
    [aux_sym_file_position_statement_token4] = ACTIONS(6847),
    [aux_sym_allocate_statement_token1] = ACTIONS(6847),
    [aux_sym_entry_statement_token1] = ACTIONS(6847),
    [aux_sym_assign_statement_token1] = ACTIONS(6847),
    [aux_sym_logical_expression_token5] = ACTIONS(6851),
    [anon_sym_DOT] = ACTIONS(6847),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [aux_sym_boolean_literal_token1] = ACTIONS(6851),
    [aux_sym_boolean_literal_token2] = ACTIONS(6851),
    [aux_sym_null_literal_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_statement_token2] = ACTIONS(6847),
    [aux_sym_coarray_statement_token6] = ACTIONS(6847),
    [aux_sym_coarray_statement_token8] = ACTIONS(6847),
    [aux_sym_coarray_statement_token11] = ACTIONS(6847),
    [aux_sym_coarray_statement_token12] = ACTIONS(6847),
    [aux_sym_coarray_statement_token13] = ACTIONS(6847),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6847),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6847),
    [aux_sym_identifier_token1] = ACTIONS(6847),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6851),
    [sym__float_literal] = ACTIONS(6851),
    [sym__boz_literal] = ACTIONS(6851),
    [sym__string_literal] = ACTIONS(6851),
    [sym__string_literal_kind] = ACTIONS(6851),
  },
  [3263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [sym_preproc_comment] = ACTIONS(7969),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6909),
    [aux_sym_preproc_def_token1] = ACTIONS(6909),
    [aux_sym_preproc_if_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6909),
    [sym_preproc_directive] = ACTIONS(6909),
    [anon_sym_LPAREN2] = ACTIONS(6909),
    [sym_preproc_comment] = ACTIONS(7971),
    [anon_sym_PLUS] = ACTIONS(6913),
    [anon_sym_DASH] = ACTIONS(6913),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6909),
    [anon_sym_SEMI] = ACTIONS(6913),
    [aux_sym_block_data_statement_token1] = ACTIONS(6909),
    [aux_sym_block_data_statement_token2] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6909),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6909),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6909),
    [aux_sym_use_statement_token2] = ACTIONS(6909),
    [aux_sym_implicit_statement_token3] = ACTIONS(6909),
    [aux_sym_implicit_statement_token4] = ACTIONS(6909),
    [aux_sym_save_statement_token1] = ACTIONS(6909),
    [aux_sym_private_statement_token1] = ACTIONS(6909),
    [aux_sym_public_statement_token1] = ACTIONS(6909),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6909),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6909),
    [aux_sym_variable_attributes_token2] = ACTIONS(6909),
    [aux_sym_variable_attributes_token3] = ACTIONS(6909),
    [aux_sym_variable_attributes_token5] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6909),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6909),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6909),
    [aux_sym_type_qualifier_token1] = ACTIONS(6909),
    [aux_sym_type_qualifier_token2] = ACTIONS(6909),
    [aux_sym_stop_statement_token1] = ACTIONS(6909),
    [aux_sym_stop_statement_token2] = ACTIONS(6909),
    [aux_sym_subroutine_call_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token1] = ACTIONS(6909),
    [aux_sym_keyword_statement_token2] = ACTIONS(6909),
    [aux_sym_keyword_statement_token3] = ACTIONS(6909),
    [aux_sym_keyword_statement_token4] = ACTIONS(6909),
    [aux_sym_keyword_statement_token6] = ACTIONS(6909),
    [aux_sym_keyword_statement_token7] = ACTIONS(6909),
    [aux_sym_include_statement_token1] = ACTIONS(6909),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6909),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6909),
    [aux_sym_end_if_statement_token1] = ACTIONS(6909),
    [aux_sym_elseif_clause_token2] = ACTIONS(6909),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6909),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token1] = ACTIONS(6909),
    [aux_sym_select_case_statement_token3] = ACTIONS(6909),
    [aux_sym_select_type_statement_token1] = ACTIONS(6909),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6909),
    [aux_sym_associate_statement_token1] = ACTIONS(6909),
    [aux_sym_format_statement_token1] = ACTIONS(6909),
    [aux_sym_print_statement_token1] = ACTIONS(6909),
    [aux_sym_open_statement_token1] = ACTIONS(6909),
    [aux_sym_close_statement_token1] = ACTIONS(6909),
    [aux_sym_inquire_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token1] = ACTIONS(6909),
    [aux_sym_file_position_statement_token2] = ACTIONS(6909),
    [aux_sym_file_position_statement_token3] = ACTIONS(6909),
    [aux_sym_file_position_statement_token4] = ACTIONS(6909),
    [aux_sym_allocate_statement_token1] = ACTIONS(6909),
    [aux_sym_entry_statement_token1] = ACTIONS(6909),
    [aux_sym_assign_statement_token1] = ACTIONS(6909),
    [aux_sym_logical_expression_token5] = ACTIONS(6913),
    [anon_sym_DOT] = ACTIONS(6909),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [aux_sym_boolean_literal_token1] = ACTIONS(6913),
    [aux_sym_boolean_literal_token2] = ACTIONS(6913),
    [aux_sym_null_literal_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_statement_token2] = ACTIONS(6909),
    [aux_sym_coarray_statement_token6] = ACTIONS(6909),
    [aux_sym_coarray_statement_token8] = ACTIONS(6909),
    [aux_sym_coarray_statement_token11] = ACTIONS(6909),
    [aux_sym_coarray_statement_token12] = ACTIONS(6909),
    [aux_sym_coarray_statement_token13] = ACTIONS(6909),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6909),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6909),
    [aux_sym_identifier_token1] = ACTIONS(6909),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6913),
    [sym__float_literal] = ACTIONS(6913),
    [sym__boz_literal] = ACTIONS(6913),
    [sym__string_literal] = ACTIONS(6913),
    [sym__string_literal_kind] = ACTIONS(6913),
  },
  [3286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6859),
    [aux_sym_preproc_def_token1] = ACTIONS(6859),
    [aux_sym_preproc_if_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6859),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6859),
    [sym_preproc_directive] = ACTIONS(6859),
    [anon_sym_LPAREN2] = ACTIONS(6859),
    [sym_preproc_comment] = ACTIONS(7973),
    [anon_sym_PLUS] = ACTIONS(6863),
    [anon_sym_DASH] = ACTIONS(6863),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6859),
    [anon_sym_SEMI] = ACTIONS(6863),
    [aux_sym_block_data_statement_token1] = ACTIONS(6859),
    [aux_sym_block_data_statement_token2] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6859),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6859),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6859),
    [aux_sym_use_statement_token2] = ACTIONS(6859),
    [aux_sym_implicit_statement_token3] = ACTIONS(6859),
    [aux_sym_implicit_statement_token4] = ACTIONS(6859),
    [aux_sym_save_statement_token1] = ACTIONS(6859),
    [aux_sym_private_statement_token1] = ACTIONS(6859),
    [aux_sym_public_statement_token1] = ACTIONS(6859),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6859),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6859),
    [aux_sym_variable_attributes_token2] = ACTIONS(6859),
    [aux_sym_variable_attributes_token3] = ACTIONS(6859),
    [aux_sym_variable_attributes_token5] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6859),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6859),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6859),
    [aux_sym_type_qualifier_token1] = ACTIONS(6859),
    [aux_sym_type_qualifier_token2] = ACTIONS(6859),
    [aux_sym_stop_statement_token1] = ACTIONS(6859),
    [aux_sym_stop_statement_token2] = ACTIONS(6859),
    [aux_sym_subroutine_call_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token1] = ACTIONS(6859),
    [aux_sym_keyword_statement_token2] = ACTIONS(6859),
    [aux_sym_keyword_statement_token3] = ACTIONS(6859),
    [aux_sym_keyword_statement_token4] = ACTIONS(6859),
    [aux_sym_keyword_statement_token6] = ACTIONS(6859),
    [aux_sym_keyword_statement_token7] = ACTIONS(6859),
    [aux_sym_include_statement_token1] = ACTIONS(6859),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6859),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6859),
    [aux_sym_end_if_statement_token1] = ACTIONS(6859),
    [aux_sym_elseif_clause_token2] = ACTIONS(6859),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6859),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token1] = ACTIONS(6859),
    [aux_sym_select_case_statement_token3] = ACTIONS(6859),
    [aux_sym_select_type_statement_token1] = ACTIONS(6859),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6859),
    [aux_sym_associate_statement_token1] = ACTIONS(6859),
    [aux_sym_format_statement_token1] = ACTIONS(6859),
    [aux_sym_print_statement_token1] = ACTIONS(6859),
    [aux_sym_open_statement_token1] = ACTIONS(6859),
    [aux_sym_close_statement_token1] = ACTIONS(6859),
    [aux_sym_inquire_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token1] = ACTIONS(6859),
    [aux_sym_file_position_statement_token2] = ACTIONS(6859),
    [aux_sym_file_position_statement_token3] = ACTIONS(6859),
    [aux_sym_file_position_statement_token4] = ACTIONS(6859),
    [aux_sym_allocate_statement_token1] = ACTIONS(6859),
    [aux_sym_entry_statement_token1] = ACTIONS(6859),
    [aux_sym_assign_statement_token1] = ACTIONS(6859),
    [aux_sym_logical_expression_token5] = ACTIONS(6863),
    [anon_sym_DOT] = ACTIONS(6859),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6863),
    [anon_sym_LBRACK] = ACTIONS(6863),
    [aux_sym_boolean_literal_token1] = ACTIONS(6863),
    [aux_sym_boolean_literal_token2] = ACTIONS(6863),
    [aux_sym_null_literal_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_statement_token2] = ACTIONS(6859),
    [aux_sym_coarray_statement_token6] = ACTIONS(6859),
    [aux_sym_coarray_statement_token8] = ACTIONS(6859),
    [aux_sym_coarray_statement_token11] = ACTIONS(6859),
    [aux_sym_coarray_statement_token12] = ACTIONS(6859),
    [aux_sym_coarray_statement_token13] = ACTIONS(6859),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6859),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6859),
    [aux_sym_identifier_token1] = ACTIONS(6859),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6863),
    [sym__float_literal] = ACTIONS(6863),
    [sym__boz_literal] = ACTIONS(6863),
    [sym__string_literal] = ACTIONS(6863),
    [sym__string_literal_kind] = ACTIONS(6863),
  },
  [3288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [sym_preproc_comment] = ACTIONS(7975),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6961),
    [aux_sym_preproc_def_token1] = ACTIONS(6961),
    [aux_sym_preproc_if_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6961),
    [sym_preproc_directive] = ACTIONS(6961),
    [anon_sym_LPAREN2] = ACTIONS(6961),
    [sym_preproc_comment] = ACTIONS(7977),
    [anon_sym_PLUS] = ACTIONS(6965),
    [anon_sym_DASH] = ACTIONS(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6961),
    [anon_sym_SEMI] = ACTIONS(6965),
    [aux_sym_block_data_statement_token1] = ACTIONS(6961),
    [aux_sym_block_data_statement_token2] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6961),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6961),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6961),
    [aux_sym_use_statement_token2] = ACTIONS(6961),
    [aux_sym_implicit_statement_token3] = ACTIONS(6961),
    [aux_sym_implicit_statement_token4] = ACTIONS(6961),
    [aux_sym_save_statement_token1] = ACTIONS(6961),
    [aux_sym_private_statement_token1] = ACTIONS(6961),
    [aux_sym_public_statement_token1] = ACTIONS(6961),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6961),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6961),
    [aux_sym_variable_attributes_token2] = ACTIONS(6961),
    [aux_sym_variable_attributes_token3] = ACTIONS(6961),
    [aux_sym_variable_attributes_token5] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6961),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6961),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6961),
    [aux_sym_type_qualifier_token1] = ACTIONS(6961),
    [aux_sym_type_qualifier_token2] = ACTIONS(6961),
    [aux_sym_stop_statement_token1] = ACTIONS(6961),
    [aux_sym_stop_statement_token2] = ACTIONS(6961),
    [aux_sym_subroutine_call_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token1] = ACTIONS(6961),
    [aux_sym_keyword_statement_token2] = ACTIONS(6961),
    [aux_sym_keyword_statement_token3] = ACTIONS(6961),
    [aux_sym_keyword_statement_token4] = ACTIONS(6961),
    [aux_sym_keyword_statement_token6] = ACTIONS(6961),
    [aux_sym_keyword_statement_token7] = ACTIONS(6961),
    [aux_sym_include_statement_token1] = ACTIONS(6961),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6961),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6961),
    [aux_sym_end_if_statement_token1] = ACTIONS(6961),
    [aux_sym_elseif_clause_token2] = ACTIONS(6961),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6961),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token1] = ACTIONS(6961),
    [aux_sym_select_case_statement_token3] = ACTIONS(6961),
    [aux_sym_select_type_statement_token1] = ACTIONS(6961),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6961),
    [aux_sym_associate_statement_token1] = ACTIONS(6961),
    [aux_sym_format_statement_token1] = ACTIONS(6961),
    [aux_sym_print_statement_token1] = ACTIONS(6961),
    [aux_sym_open_statement_token1] = ACTIONS(6961),
    [aux_sym_close_statement_token1] = ACTIONS(6961),
    [aux_sym_inquire_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token1] = ACTIONS(6961),
    [aux_sym_file_position_statement_token2] = ACTIONS(6961),
    [aux_sym_file_position_statement_token3] = ACTIONS(6961),
    [aux_sym_file_position_statement_token4] = ACTIONS(6961),
    [aux_sym_allocate_statement_token1] = ACTIONS(6961),
    [aux_sym_entry_statement_token1] = ACTIONS(6961),
    [aux_sym_assign_statement_token1] = ACTIONS(6961),
    [aux_sym_logical_expression_token5] = ACTIONS(6965),
    [anon_sym_DOT] = ACTIONS(6961),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6965),
    [anon_sym_LBRACK] = ACTIONS(6965),
    [aux_sym_boolean_literal_token1] = ACTIONS(6965),
    [aux_sym_boolean_literal_token2] = ACTIONS(6965),
    [aux_sym_null_literal_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_statement_token2] = ACTIONS(6961),
    [aux_sym_coarray_statement_token6] = ACTIONS(6961),
    [aux_sym_coarray_statement_token8] = ACTIONS(6961),
    [aux_sym_coarray_statement_token11] = ACTIONS(6961),
    [aux_sym_coarray_statement_token12] = ACTIONS(6961),
    [aux_sym_coarray_statement_token13] = ACTIONS(6961),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6961),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6961),
    [aux_sym_identifier_token1] = ACTIONS(6961),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6965),
    [sym__float_literal] = ACTIONS(6965),
    [sym__boz_literal] = ACTIONS(6965),
    [sym__string_literal] = ACTIONS(6965),
    [sym__string_literal_kind] = ACTIONS(6965),
  },
  [3292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [sym_preproc_comment] = ACTIONS(7979),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3301] = {
    [sym_output_item_list] = STATE(8252),
    [sym__expression] = STATE(5066),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(7981),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(7981),
  },
  [3302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [sym_preproc_comment] = ACTIONS(7983),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3311] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7602),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3312] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7610),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3316] = {
    [sym_output_item_list] = STATE(8279),
    [sym__expression] = STATE(5066),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(7985),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(7985),
  },
  [3317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3319] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7611),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3320] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7613),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3321] = {
    [sym__expression] = STATE(5058),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(7852),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7987),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token2] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3326] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7708),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_end_select_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_end_select_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_end_select_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_end_select_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_end_select_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_end_select_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_end_select_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_end_select_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3341] = {
    [sym__expression] = STATE(5151),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_COMMA] = ACTIONS(7989),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(7991),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(7991),
  },
  [3342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token2] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token2] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token2] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token2] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token2] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token2] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3386] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(8125),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token2] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token2] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token2] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3397] = {
    [sym__expression] = STATE(5101),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8472),
    [sym_extent_specifier] = STATE(8450),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3403] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7377),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3404] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7378),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3406] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_keyword_argument] = STATE(7379),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5592),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3407] = {
    [sym__expression] = STATE(5127),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(8381),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7671),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_end_select_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_end_select_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_end_select_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_end_select_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_end_select_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_end_forall_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_end_select_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3432] = {
    [sym__expression] = STATE(5077),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(7426),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7993),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3433] = {
    [sym__expression] = STATE(4987),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(7917),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_end_select_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3436] = {
    [sym__expression] = STATE(5002),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(7244),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7997),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_end_select_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_end_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3439] = {
    [sym__expression] = STATE(5043),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(7330),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(7999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3443] = {
    [sym__expression] = STATE(5081),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym__coarray_extent_specifier] = STATE(7408),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_STAR] = ACTIONS(8001),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(7673),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_end_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_end_forall_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3453] = {
    [sym__expression] = STATE(5099),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_nil_literal] = STATE(5507),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8017),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [aux_sym_block_data_statement_token1] = ACTIONS(5288),
    [aux_sym_block_data_statement_token2] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5288),
    [aux_sym_use_statement_token2] = ACTIONS(5288),
    [aux_sym_implicit_statement_token3] = ACTIONS(5288),
    [aux_sym_implicit_statement_token4] = ACTIONS(5288),
    [aux_sym_save_statement_token1] = ACTIONS(5288),
    [aux_sym_private_statement_token1] = ACTIONS(5288),
    [aux_sym_public_statement_token1] = ACTIONS(5288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5288),
    [aux_sym_variable_attributes_token2] = ACTIONS(5288),
    [aux_sym_variable_attributes_token3] = ACTIONS(5288),
    [aux_sym_variable_attributes_token5] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5288),
    [aux_sym_type_qualifier_token1] = ACTIONS(5288),
    [aux_sym_type_qualifier_token2] = ACTIONS(5288),
    [aux_sym_stop_statement_token1] = ACTIONS(5288),
    [aux_sym_stop_statement_token2] = ACTIONS(5288),
    [aux_sym_subroutine_call_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token1] = ACTIONS(5288),
    [aux_sym_keyword_statement_token2] = ACTIONS(5288),
    [aux_sym_keyword_statement_token3] = ACTIONS(5288),
    [aux_sym_keyword_statement_token4] = ACTIONS(5288),
    [aux_sym_keyword_statement_token6] = ACTIONS(5288),
    [aux_sym_keyword_statement_token7] = ACTIONS(5288),
    [aux_sym_include_statement_token1] = ACTIONS(5288),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5288),
    [aux_sym_end_if_statement_token1] = ACTIONS(5288),
    [aux_sym_elseif_clause_token2] = ACTIONS(5288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5288),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token1] = ACTIONS(5288),
    [aux_sym_select_case_statement_token3] = ACTIONS(5288),
    [aux_sym_select_type_statement_token1] = ACTIONS(5288),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5288),
    [aux_sym_associate_statement_token1] = ACTIONS(5288),
    [aux_sym_format_statement_token1] = ACTIONS(5288),
    [aux_sym_print_statement_token1] = ACTIONS(5288),
    [aux_sym_open_statement_token1] = ACTIONS(5288),
    [aux_sym_close_statement_token1] = ACTIONS(5288),
    [aux_sym_inquire_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token1] = ACTIONS(5288),
    [aux_sym_file_position_statement_token2] = ACTIONS(5288),
    [aux_sym_file_position_statement_token3] = ACTIONS(5288),
    [aux_sym_file_position_statement_token4] = ACTIONS(5288),
    [aux_sym_allocate_statement_token1] = ACTIONS(5288),
    [aux_sym_entry_statement_token1] = ACTIONS(5288),
    [aux_sym_assign_statement_token1] = ACTIONS(5288),
    [aux_sym_logical_expression_token5] = ACTIONS(5290),
    [anon_sym_DOT] = ACTIONS(5288),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [aux_sym_boolean_literal_token1] = ACTIONS(5290),
    [aux_sym_boolean_literal_token2] = ACTIONS(5290),
    [aux_sym_null_literal_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_statement_token2] = ACTIONS(5288),
    [aux_sym_coarray_statement_token6] = ACTIONS(5288),
    [aux_sym_coarray_statement_token8] = ACTIONS(5288),
    [aux_sym_coarray_statement_token11] = ACTIONS(5288),
    [aux_sym_coarray_statement_token12] = ACTIONS(5288),
    [aux_sym_coarray_statement_token13] = ACTIONS(5288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5288),
    [aux_sym_identifier_token1] = ACTIONS(5288),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5290),
    [sym__float_literal] = ACTIONS(5290),
    [sym__boz_literal] = ACTIONS(5290),
    [sym__string_literal] = ACTIONS(5290),
    [sym__string_literal_kind] = ACTIONS(5290),
  },
  [3455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7007),
    [aux_sym_preproc_def_token1] = ACTIONS(7007),
    [aux_sym_preproc_if_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7007),
    [sym_preproc_directive] = ACTIONS(7007),
    [anon_sym_LPAREN2] = ACTIONS(7007),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7007),
    [anon_sym_SEMI] = ACTIONS(7009),
    [aux_sym_block_data_statement_token1] = ACTIONS(7007),
    [aux_sym_block_data_statement_token2] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7007),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7007),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7007),
    [aux_sym_use_statement_token2] = ACTIONS(7007),
    [aux_sym_implicit_statement_token3] = ACTIONS(7007),
    [aux_sym_implicit_statement_token4] = ACTIONS(7007),
    [aux_sym_save_statement_token1] = ACTIONS(7007),
    [aux_sym_private_statement_token1] = ACTIONS(7007),
    [aux_sym_public_statement_token1] = ACTIONS(7007),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7007),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7007),
    [aux_sym_variable_attributes_token2] = ACTIONS(7007),
    [aux_sym_variable_attributes_token3] = ACTIONS(7007),
    [aux_sym_variable_attributes_token5] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7007),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7007),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7007),
    [aux_sym_type_qualifier_token1] = ACTIONS(7007),
    [aux_sym_type_qualifier_token2] = ACTIONS(7007),
    [aux_sym_stop_statement_token1] = ACTIONS(7007),
    [aux_sym_stop_statement_token2] = ACTIONS(7007),
    [aux_sym_subroutine_call_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token1] = ACTIONS(7007),
    [aux_sym_keyword_statement_token2] = ACTIONS(7007),
    [aux_sym_keyword_statement_token3] = ACTIONS(7007),
    [aux_sym_keyword_statement_token4] = ACTIONS(7007),
    [aux_sym_keyword_statement_token6] = ACTIONS(7007),
    [aux_sym_keyword_statement_token7] = ACTIONS(7007),
    [aux_sym_include_statement_token1] = ACTIONS(7007),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7007),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7007),
    [aux_sym_end_if_statement_token1] = ACTIONS(7007),
    [aux_sym_elseif_clause_token2] = ACTIONS(7007),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7007),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token1] = ACTIONS(7007),
    [aux_sym_select_case_statement_token3] = ACTIONS(7007),
    [aux_sym_select_type_statement_token1] = ACTIONS(7007),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7007),
    [aux_sym_associate_statement_token1] = ACTIONS(7007),
    [aux_sym_format_statement_token1] = ACTIONS(7007),
    [aux_sym_print_statement_token1] = ACTIONS(7007),
    [aux_sym_open_statement_token1] = ACTIONS(7007),
    [aux_sym_close_statement_token1] = ACTIONS(7007),
    [aux_sym_inquire_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token1] = ACTIONS(7007),
    [aux_sym_file_position_statement_token2] = ACTIONS(7007),
    [aux_sym_file_position_statement_token3] = ACTIONS(7007),
    [aux_sym_file_position_statement_token4] = ACTIONS(7007),
    [aux_sym_allocate_statement_token1] = ACTIONS(7007),
    [aux_sym_entry_statement_token1] = ACTIONS(7007),
    [aux_sym_assign_statement_token1] = ACTIONS(7007),
    [aux_sym_logical_expression_token5] = ACTIONS(7009),
    [anon_sym_DOT] = ACTIONS(7007),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7009),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [aux_sym_boolean_literal_token1] = ACTIONS(7009),
    [aux_sym_boolean_literal_token2] = ACTIONS(7009),
    [aux_sym_null_literal_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_statement_token2] = ACTIONS(7007),
    [aux_sym_coarray_statement_token6] = ACTIONS(7007),
    [aux_sym_coarray_statement_token8] = ACTIONS(7007),
    [aux_sym_coarray_statement_token11] = ACTIONS(7007),
    [aux_sym_coarray_statement_token12] = ACTIONS(7007),
    [aux_sym_coarray_statement_token13] = ACTIONS(7007),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7007),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7007),
    [aux_sym_identifier_token1] = ACTIONS(7007),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7009),
    [sym__float_literal] = ACTIONS(7009),
    [sym__boz_literal] = ACTIONS(7009),
    [sym__string_literal] = ACTIONS(7009),
    [sym__string_literal_kind] = ACTIONS(7009),
  },
  [3456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [aux_sym_block_data_statement_token1] = ACTIONS(5280),
    [aux_sym_block_data_statement_token2] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5280),
    [aux_sym_use_statement_token2] = ACTIONS(5280),
    [aux_sym_implicit_statement_token3] = ACTIONS(5280),
    [aux_sym_implicit_statement_token4] = ACTIONS(5280),
    [aux_sym_save_statement_token1] = ACTIONS(5280),
    [aux_sym_private_statement_token1] = ACTIONS(5280),
    [aux_sym_public_statement_token1] = ACTIONS(5280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5280),
    [aux_sym_variable_attributes_token2] = ACTIONS(5280),
    [aux_sym_variable_attributes_token3] = ACTIONS(5280),
    [aux_sym_variable_attributes_token5] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5280),
    [aux_sym_type_qualifier_token1] = ACTIONS(5280),
    [aux_sym_type_qualifier_token2] = ACTIONS(5280),
    [aux_sym_stop_statement_token1] = ACTIONS(5280),
    [aux_sym_stop_statement_token2] = ACTIONS(5280),
    [aux_sym_subroutine_call_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token1] = ACTIONS(5280),
    [aux_sym_keyword_statement_token2] = ACTIONS(5280),
    [aux_sym_keyword_statement_token3] = ACTIONS(5280),
    [aux_sym_keyword_statement_token4] = ACTIONS(5280),
    [aux_sym_keyword_statement_token6] = ACTIONS(5280),
    [aux_sym_keyword_statement_token7] = ACTIONS(5280),
    [aux_sym_include_statement_token1] = ACTIONS(5280),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5280),
    [aux_sym_end_if_statement_token1] = ACTIONS(5280),
    [aux_sym_elseif_clause_token2] = ACTIONS(5280),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5280),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token1] = ACTIONS(5280),
    [aux_sym_select_case_statement_token3] = ACTIONS(5280),
    [aux_sym_select_type_statement_token1] = ACTIONS(5280),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5280),
    [aux_sym_associate_statement_token1] = ACTIONS(5280),
    [aux_sym_format_statement_token1] = ACTIONS(5280),
    [aux_sym_print_statement_token1] = ACTIONS(5280),
    [aux_sym_open_statement_token1] = ACTIONS(5280),
    [aux_sym_close_statement_token1] = ACTIONS(5280),
    [aux_sym_inquire_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token1] = ACTIONS(5280),
    [aux_sym_file_position_statement_token2] = ACTIONS(5280),
    [aux_sym_file_position_statement_token3] = ACTIONS(5280),
    [aux_sym_file_position_statement_token4] = ACTIONS(5280),
    [aux_sym_allocate_statement_token1] = ACTIONS(5280),
    [aux_sym_entry_statement_token1] = ACTIONS(5280),
    [aux_sym_assign_statement_token1] = ACTIONS(5280),
    [aux_sym_logical_expression_token5] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [aux_sym_boolean_literal_token1] = ACTIONS(5282),
    [aux_sym_boolean_literal_token2] = ACTIONS(5282),
    [aux_sym_null_literal_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_statement_token2] = ACTIONS(5280),
    [aux_sym_coarray_statement_token6] = ACTIONS(5280),
    [aux_sym_coarray_statement_token8] = ACTIONS(5280),
    [aux_sym_coarray_statement_token11] = ACTIONS(5280),
    [aux_sym_coarray_statement_token12] = ACTIONS(5280),
    [aux_sym_coarray_statement_token13] = ACTIONS(5280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5280),
    [aux_sym_identifier_token1] = ACTIONS(5280),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5282),
    [sym__float_literal] = ACTIONS(5282),
    [sym__boz_literal] = ACTIONS(5282),
    [sym__string_literal] = ACTIONS(5282),
    [sym__string_literal_kind] = ACTIONS(5282),
  },
  [3457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_PLUS] = ACTIONS(5286),
    [anon_sym_DASH] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [aux_sym_block_data_statement_token1] = ACTIONS(5284),
    [aux_sym_block_data_statement_token2] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5284),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5284),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5284),
    [aux_sym_use_statement_token2] = ACTIONS(5284),
    [aux_sym_implicit_statement_token3] = ACTIONS(5284),
    [aux_sym_implicit_statement_token4] = ACTIONS(5284),
    [aux_sym_save_statement_token1] = ACTIONS(5284),
    [aux_sym_private_statement_token1] = ACTIONS(5284),
    [aux_sym_public_statement_token1] = ACTIONS(5284),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5284),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5284),
    [aux_sym_variable_attributes_token2] = ACTIONS(5284),
    [aux_sym_variable_attributes_token3] = ACTIONS(5284),
    [aux_sym_variable_attributes_token5] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5284),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5284),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5284),
    [aux_sym_type_qualifier_token1] = ACTIONS(5284),
    [aux_sym_type_qualifier_token2] = ACTIONS(5284),
    [aux_sym_stop_statement_token1] = ACTIONS(5284),
    [aux_sym_stop_statement_token2] = ACTIONS(5284),
    [aux_sym_subroutine_call_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token1] = ACTIONS(5284),
    [aux_sym_keyword_statement_token2] = ACTIONS(5284),
    [aux_sym_keyword_statement_token3] = ACTIONS(5284),
    [aux_sym_keyword_statement_token4] = ACTIONS(5284),
    [aux_sym_keyword_statement_token6] = ACTIONS(5284),
    [aux_sym_keyword_statement_token7] = ACTIONS(5284),
    [aux_sym_include_statement_token1] = ACTIONS(5284),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5284),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5284),
    [aux_sym_end_if_statement_token1] = ACTIONS(5284),
    [aux_sym_elseif_clause_token2] = ACTIONS(5284),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5284),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token1] = ACTIONS(5284),
    [aux_sym_select_case_statement_token3] = ACTIONS(5284),
    [aux_sym_select_type_statement_token1] = ACTIONS(5284),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5284),
    [aux_sym_associate_statement_token1] = ACTIONS(5284),
    [aux_sym_format_statement_token1] = ACTIONS(5284),
    [aux_sym_print_statement_token1] = ACTIONS(5284),
    [aux_sym_open_statement_token1] = ACTIONS(5284),
    [aux_sym_close_statement_token1] = ACTIONS(5284),
    [aux_sym_inquire_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token1] = ACTIONS(5284),
    [aux_sym_file_position_statement_token2] = ACTIONS(5284),
    [aux_sym_file_position_statement_token3] = ACTIONS(5284),
    [aux_sym_file_position_statement_token4] = ACTIONS(5284),
    [aux_sym_allocate_statement_token1] = ACTIONS(5284),
    [aux_sym_entry_statement_token1] = ACTIONS(5284),
    [aux_sym_assign_statement_token1] = ACTIONS(5284),
    [aux_sym_logical_expression_token5] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5284),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5286),
    [aux_sym_boolean_literal_token1] = ACTIONS(5286),
    [aux_sym_boolean_literal_token2] = ACTIONS(5286),
    [aux_sym_null_literal_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_statement_token2] = ACTIONS(5284),
    [aux_sym_coarray_statement_token6] = ACTIONS(5284),
    [aux_sym_coarray_statement_token8] = ACTIONS(5284),
    [aux_sym_coarray_statement_token11] = ACTIONS(5284),
    [aux_sym_coarray_statement_token12] = ACTIONS(5284),
    [aux_sym_coarray_statement_token13] = ACTIONS(5284),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5284),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5284),
    [aux_sym_identifier_token1] = ACTIONS(5284),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5286),
    [sym__float_literal] = ACTIONS(5286),
    [sym__boz_literal] = ACTIONS(5286),
    [sym__string_literal] = ACTIONS(5286),
    [sym__string_literal_kind] = ACTIONS(5286),
  },
  [3458] = {
    [sym__expression] = STATE(5156),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym__extent_specifier] = STATE(8371),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_COLON] = ACTIONS(6735),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3459] = {
    [sym_statement_label] = STATE(4476),
    [sym_statement_label_reference] = STATE(7706),
    [sym__expression] = STATE(5094),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5897),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5897),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5897),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7027),
    [aux_sym_preproc_def_token1] = ACTIONS(7027),
    [aux_sym_preproc_if_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7027),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7027),
    [sym_preproc_directive] = ACTIONS(7027),
    [anon_sym_LPAREN2] = ACTIONS(7027),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7027),
    [anon_sym_SEMI] = ACTIONS(7029),
    [aux_sym_block_data_statement_token1] = ACTIONS(7027),
    [aux_sym_block_data_statement_token2] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7027),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7027),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7027),
    [aux_sym_use_statement_token2] = ACTIONS(7027),
    [aux_sym_implicit_statement_token3] = ACTIONS(7027),
    [aux_sym_implicit_statement_token4] = ACTIONS(7027),
    [aux_sym_save_statement_token1] = ACTIONS(7027),
    [aux_sym_private_statement_token1] = ACTIONS(7027),
    [aux_sym_public_statement_token1] = ACTIONS(7027),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7027),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7027),
    [aux_sym_variable_attributes_token2] = ACTIONS(7027),
    [aux_sym_variable_attributes_token3] = ACTIONS(7027),
    [aux_sym_variable_attributes_token5] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7027),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7027),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7027),
    [aux_sym_type_qualifier_token1] = ACTIONS(7027),
    [aux_sym_type_qualifier_token2] = ACTIONS(7027),
    [aux_sym_stop_statement_token1] = ACTIONS(7027),
    [aux_sym_stop_statement_token2] = ACTIONS(7027),
    [aux_sym_subroutine_call_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token1] = ACTIONS(7027),
    [aux_sym_keyword_statement_token2] = ACTIONS(7027),
    [aux_sym_keyword_statement_token3] = ACTIONS(7027),
    [aux_sym_keyword_statement_token4] = ACTIONS(7027),
    [aux_sym_keyword_statement_token6] = ACTIONS(7027),
    [aux_sym_keyword_statement_token7] = ACTIONS(7027),
    [aux_sym_include_statement_token1] = ACTIONS(7027),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7027),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7027),
    [aux_sym_end_if_statement_token1] = ACTIONS(7027),
    [aux_sym_elseif_clause_token2] = ACTIONS(7027),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7027),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token1] = ACTIONS(7027),
    [aux_sym_select_case_statement_token3] = ACTIONS(7027),
    [aux_sym_select_type_statement_token1] = ACTIONS(7027),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7027),
    [aux_sym_associate_statement_token1] = ACTIONS(7027),
    [aux_sym_format_statement_token1] = ACTIONS(7027),
    [aux_sym_print_statement_token1] = ACTIONS(7027),
    [aux_sym_open_statement_token1] = ACTIONS(7027),
    [aux_sym_close_statement_token1] = ACTIONS(7027),
    [aux_sym_inquire_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token1] = ACTIONS(7027),
    [aux_sym_file_position_statement_token2] = ACTIONS(7027),
    [aux_sym_file_position_statement_token3] = ACTIONS(7027),
    [aux_sym_file_position_statement_token4] = ACTIONS(7027),
    [aux_sym_allocate_statement_token1] = ACTIONS(7027),
    [aux_sym_entry_statement_token1] = ACTIONS(7027),
    [aux_sym_assign_statement_token1] = ACTIONS(7027),
    [aux_sym_logical_expression_token5] = ACTIONS(7029),
    [anon_sym_DOT] = ACTIONS(7027),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7029),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [aux_sym_boolean_literal_token1] = ACTIONS(7029),
    [aux_sym_boolean_literal_token2] = ACTIONS(7029),
    [aux_sym_null_literal_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_statement_token2] = ACTIONS(7027),
    [aux_sym_coarray_statement_token6] = ACTIONS(7027),
    [aux_sym_coarray_statement_token8] = ACTIONS(7027),
    [aux_sym_coarray_statement_token11] = ACTIONS(7027),
    [aux_sym_coarray_statement_token12] = ACTIONS(7027),
    [aux_sym_coarray_statement_token13] = ACTIONS(7027),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7027),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7027),
    [aux_sym_identifier_token1] = ACTIONS(7027),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7029),
    [sym__float_literal] = ACTIONS(7029),
    [sym__boz_literal] = ACTIONS(7029),
    [sym__string_literal] = ACTIONS(7029),
    [sym__string_literal_kind] = ACTIONS(7029),
  },
  [3461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7017),
    [aux_sym_preproc_def_token1] = ACTIONS(7017),
    [aux_sym_preproc_if_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7017),
    [sym_preproc_directive] = ACTIONS(7017),
    [anon_sym_LPAREN2] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7019),
    [anon_sym_DASH] = ACTIONS(7019),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7017),
    [anon_sym_SEMI] = ACTIONS(7019),
    [aux_sym_block_data_statement_token1] = ACTIONS(7017),
    [aux_sym_block_data_statement_token2] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7017),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7017),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7017),
    [aux_sym_use_statement_token2] = ACTIONS(7017),
    [aux_sym_implicit_statement_token3] = ACTIONS(7017),
    [aux_sym_implicit_statement_token4] = ACTIONS(7017),
    [aux_sym_save_statement_token1] = ACTIONS(7017),
    [aux_sym_private_statement_token1] = ACTIONS(7017),
    [aux_sym_public_statement_token1] = ACTIONS(7017),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7017),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7017),
    [aux_sym_variable_attributes_token2] = ACTIONS(7017),
    [aux_sym_variable_attributes_token3] = ACTIONS(7017),
    [aux_sym_variable_attributes_token5] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7017),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7017),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7017),
    [aux_sym_type_qualifier_token1] = ACTIONS(7017),
    [aux_sym_type_qualifier_token2] = ACTIONS(7017),
    [aux_sym_stop_statement_token1] = ACTIONS(7017),
    [aux_sym_stop_statement_token2] = ACTIONS(7017),
    [aux_sym_subroutine_call_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token1] = ACTIONS(7017),
    [aux_sym_keyword_statement_token2] = ACTIONS(7017),
    [aux_sym_keyword_statement_token3] = ACTIONS(7017),
    [aux_sym_keyword_statement_token4] = ACTIONS(7017),
    [aux_sym_keyword_statement_token6] = ACTIONS(7017),
    [aux_sym_keyword_statement_token7] = ACTIONS(7017),
    [aux_sym_include_statement_token1] = ACTIONS(7017),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7017),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7017),
    [aux_sym_end_if_statement_token1] = ACTIONS(7017),
    [aux_sym_elseif_clause_token2] = ACTIONS(7017),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7017),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token1] = ACTIONS(7017),
    [aux_sym_select_case_statement_token3] = ACTIONS(7017),
    [aux_sym_select_type_statement_token1] = ACTIONS(7017),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7017),
    [aux_sym_associate_statement_token1] = ACTIONS(7017),
    [aux_sym_format_statement_token1] = ACTIONS(7017),
    [aux_sym_print_statement_token1] = ACTIONS(7017),
    [aux_sym_open_statement_token1] = ACTIONS(7017),
    [aux_sym_close_statement_token1] = ACTIONS(7017),
    [aux_sym_inquire_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token1] = ACTIONS(7017),
    [aux_sym_file_position_statement_token2] = ACTIONS(7017),
    [aux_sym_file_position_statement_token3] = ACTIONS(7017),
    [aux_sym_file_position_statement_token4] = ACTIONS(7017),
    [aux_sym_allocate_statement_token1] = ACTIONS(7017),
    [aux_sym_entry_statement_token1] = ACTIONS(7017),
    [aux_sym_assign_statement_token1] = ACTIONS(7017),
    [aux_sym_logical_expression_token5] = ACTIONS(7019),
    [anon_sym_DOT] = ACTIONS(7017),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7019),
    [aux_sym_boolean_literal_token1] = ACTIONS(7019),
    [aux_sym_boolean_literal_token2] = ACTIONS(7019),
    [aux_sym_null_literal_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_statement_token2] = ACTIONS(7017),
    [aux_sym_coarray_statement_token6] = ACTIONS(7017),
    [aux_sym_coarray_statement_token8] = ACTIONS(7017),
    [aux_sym_coarray_statement_token11] = ACTIONS(7017),
    [aux_sym_coarray_statement_token12] = ACTIONS(7017),
    [aux_sym_coarray_statement_token13] = ACTIONS(7017),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7017),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7017),
    [aux_sym_identifier_token1] = ACTIONS(7017),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7019),
    [sym__float_literal] = ACTIONS(7019),
    [sym__boz_literal] = ACTIONS(7019),
    [sym__string_literal] = ACTIONS(7019),
    [sym__string_literal_kind] = ACTIONS(7019),
  },
  [3462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6925),
    [aux_sym_preproc_def_token1] = ACTIONS(6925),
    [aux_sym_preproc_if_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6925),
    [sym_preproc_directive] = ACTIONS(6925),
    [anon_sym_LPAREN2] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6925),
    [anon_sym_SEMI] = ACTIONS(6929),
    [aux_sym_block_data_statement_token1] = ACTIONS(6925),
    [aux_sym_block_data_statement_token2] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6925),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6925),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6925),
    [aux_sym_use_statement_token2] = ACTIONS(6925),
    [aux_sym_implicit_statement_token3] = ACTIONS(6925),
    [aux_sym_implicit_statement_token4] = ACTIONS(6925),
    [aux_sym_save_statement_token1] = ACTIONS(6925),
    [aux_sym_private_statement_token1] = ACTIONS(6925),
    [aux_sym_public_statement_token1] = ACTIONS(6925),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6925),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6925),
    [aux_sym_variable_attributes_token2] = ACTIONS(6925),
    [aux_sym_variable_attributes_token3] = ACTIONS(6925),
    [aux_sym_variable_attributes_token5] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6925),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6925),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6925),
    [aux_sym_type_qualifier_token1] = ACTIONS(6925),
    [aux_sym_type_qualifier_token2] = ACTIONS(6925),
    [aux_sym_stop_statement_token1] = ACTIONS(6925),
    [aux_sym_stop_statement_token2] = ACTIONS(6925),
    [aux_sym_subroutine_call_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token1] = ACTIONS(6925),
    [aux_sym_keyword_statement_token2] = ACTIONS(6925),
    [aux_sym_keyword_statement_token3] = ACTIONS(6925),
    [aux_sym_keyword_statement_token4] = ACTIONS(6925),
    [aux_sym_keyword_statement_token6] = ACTIONS(6925),
    [aux_sym_keyword_statement_token7] = ACTIONS(6925),
    [aux_sym_include_statement_token1] = ACTIONS(6925),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6925),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6925),
    [aux_sym_end_if_statement_token1] = ACTIONS(6925),
    [aux_sym_elseif_clause_token2] = ACTIONS(6925),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6925),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token1] = ACTIONS(6925),
    [aux_sym_select_case_statement_token3] = ACTIONS(6925),
    [aux_sym_select_type_statement_token1] = ACTIONS(6925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6925),
    [aux_sym_associate_statement_token1] = ACTIONS(6925),
    [aux_sym_format_statement_token1] = ACTIONS(6925),
    [aux_sym_print_statement_token1] = ACTIONS(6925),
    [aux_sym_open_statement_token1] = ACTIONS(6925),
    [aux_sym_close_statement_token1] = ACTIONS(6925),
    [aux_sym_inquire_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token1] = ACTIONS(6925),
    [aux_sym_file_position_statement_token2] = ACTIONS(6925),
    [aux_sym_file_position_statement_token3] = ACTIONS(6925),
    [aux_sym_file_position_statement_token4] = ACTIONS(6925),
    [aux_sym_allocate_statement_token1] = ACTIONS(6925),
    [aux_sym_entry_statement_token1] = ACTIONS(6925),
    [aux_sym_assign_statement_token1] = ACTIONS(6925),
    [aux_sym_logical_expression_token5] = ACTIONS(6929),
    [anon_sym_DOT] = ACTIONS(6925),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6929),
    [anon_sym_LBRACK] = ACTIONS(6929),
    [aux_sym_boolean_literal_token1] = ACTIONS(6929),
    [aux_sym_boolean_literal_token2] = ACTIONS(6929),
    [aux_sym_null_literal_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_statement_token2] = ACTIONS(6925),
    [aux_sym_coarray_statement_token6] = ACTIONS(6925),
    [aux_sym_coarray_statement_token8] = ACTIONS(6925),
    [aux_sym_coarray_statement_token11] = ACTIONS(6925),
    [aux_sym_coarray_statement_token12] = ACTIONS(6925),
    [aux_sym_coarray_statement_token13] = ACTIONS(6925),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6925),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6925),
    [aux_sym_identifier_token1] = ACTIONS(6925),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6929),
    [sym__float_literal] = ACTIONS(6929),
    [sym__boz_literal] = ACTIONS(6929),
    [sym__string_literal] = ACTIONS(6929),
    [sym__string_literal_kind] = ACTIONS(6929),
  },
  [3463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7011),
    [aux_sym_preproc_def_token1] = ACTIONS(7011),
    [aux_sym_preproc_if_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7011),
    [sym_preproc_directive] = ACTIONS(7011),
    [anon_sym_LPAREN2] = ACTIONS(7011),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7011),
    [anon_sym_SEMI] = ACTIONS(7013),
    [aux_sym_block_data_statement_token1] = ACTIONS(7011),
    [aux_sym_block_data_statement_token2] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7011),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7011),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7011),
    [aux_sym_use_statement_token2] = ACTIONS(7011),
    [aux_sym_implicit_statement_token3] = ACTIONS(7011),
    [aux_sym_implicit_statement_token4] = ACTIONS(7011),
    [aux_sym_save_statement_token1] = ACTIONS(7011),
    [aux_sym_private_statement_token1] = ACTIONS(7011),
    [aux_sym_public_statement_token1] = ACTIONS(7011),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7011),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7011),
    [aux_sym_variable_attributes_token2] = ACTIONS(7011),
    [aux_sym_variable_attributes_token3] = ACTIONS(7011),
    [aux_sym_variable_attributes_token5] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7011),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7011),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7011),
    [aux_sym_type_qualifier_token1] = ACTIONS(7011),
    [aux_sym_type_qualifier_token2] = ACTIONS(7011),
    [aux_sym_stop_statement_token1] = ACTIONS(7011),
    [aux_sym_stop_statement_token2] = ACTIONS(7011),
    [aux_sym_subroutine_call_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token1] = ACTIONS(7011),
    [aux_sym_keyword_statement_token2] = ACTIONS(7011),
    [aux_sym_keyword_statement_token3] = ACTIONS(7011),
    [aux_sym_keyword_statement_token4] = ACTIONS(7011),
    [aux_sym_keyword_statement_token6] = ACTIONS(7011),
    [aux_sym_keyword_statement_token7] = ACTIONS(7011),
    [aux_sym_include_statement_token1] = ACTIONS(7011),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7011),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7011),
    [aux_sym_end_if_statement_token1] = ACTIONS(7011),
    [aux_sym_elseif_clause_token2] = ACTIONS(7011),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7011),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token1] = ACTIONS(7011),
    [aux_sym_select_case_statement_token3] = ACTIONS(7011),
    [aux_sym_select_type_statement_token1] = ACTIONS(7011),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7011),
    [aux_sym_associate_statement_token1] = ACTIONS(7011),
    [aux_sym_format_statement_token1] = ACTIONS(7011),
    [aux_sym_print_statement_token1] = ACTIONS(7011),
    [aux_sym_open_statement_token1] = ACTIONS(7011),
    [aux_sym_close_statement_token1] = ACTIONS(7011),
    [aux_sym_inquire_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token1] = ACTIONS(7011),
    [aux_sym_file_position_statement_token2] = ACTIONS(7011),
    [aux_sym_file_position_statement_token3] = ACTIONS(7011),
    [aux_sym_file_position_statement_token4] = ACTIONS(7011),
    [aux_sym_allocate_statement_token1] = ACTIONS(7011),
    [aux_sym_entry_statement_token1] = ACTIONS(7011),
    [aux_sym_assign_statement_token1] = ACTIONS(7011),
    [aux_sym_logical_expression_token5] = ACTIONS(7013),
    [anon_sym_DOT] = ACTIONS(7011),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [aux_sym_boolean_literal_token1] = ACTIONS(7013),
    [aux_sym_boolean_literal_token2] = ACTIONS(7013),
    [aux_sym_null_literal_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_statement_token2] = ACTIONS(7011),
    [aux_sym_coarray_statement_token6] = ACTIONS(7011),
    [aux_sym_coarray_statement_token8] = ACTIONS(7011),
    [aux_sym_coarray_statement_token11] = ACTIONS(7011),
    [aux_sym_coarray_statement_token12] = ACTIONS(7011),
    [aux_sym_coarray_statement_token13] = ACTIONS(7011),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7011),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7011),
    [aux_sym_identifier_token1] = ACTIONS(7011),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7013),
    [sym__float_literal] = ACTIONS(7013),
    [sym__boz_literal] = ACTIONS(7013),
    [sym__string_literal] = ACTIONS(7013),
    [sym__string_literal_kind] = ACTIONS(7013),
  },
  [3464] = {
    [sym__expression] = STATE(5228),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8025),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
    [sym__external_end_of_statement] = ACTIONS(8025),
  },
  [3465] = {
    [sym__expression] = STATE(5028),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(4721),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3466] = {
    [sym__expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(4721),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6955),
    [aux_sym_preproc_def_token1] = ACTIONS(6955),
    [aux_sym_preproc_if_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6955),
    [sym_preproc_directive] = ACTIONS(6955),
    [anon_sym_LPAREN2] = ACTIONS(6955),
    [anon_sym_PLUS] = ACTIONS(6959),
    [anon_sym_DASH] = ACTIONS(6959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6955),
    [anon_sym_SEMI] = ACTIONS(6959),
    [aux_sym_block_data_statement_token1] = ACTIONS(6955),
    [aux_sym_block_data_statement_token2] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6955),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6955),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6955),
    [aux_sym_use_statement_token2] = ACTIONS(6955),
    [aux_sym_implicit_statement_token3] = ACTIONS(6955),
    [aux_sym_implicit_statement_token4] = ACTIONS(6955),
    [aux_sym_save_statement_token1] = ACTIONS(6955),
    [aux_sym_private_statement_token1] = ACTIONS(6955),
    [aux_sym_public_statement_token1] = ACTIONS(6955),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6955),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6955),
    [aux_sym_variable_attributes_token2] = ACTIONS(6955),
    [aux_sym_variable_attributes_token3] = ACTIONS(6955),
    [aux_sym_variable_attributes_token5] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6955),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6955),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6955),
    [aux_sym_type_qualifier_token1] = ACTIONS(6955),
    [aux_sym_type_qualifier_token2] = ACTIONS(6955),
    [aux_sym_stop_statement_token1] = ACTIONS(6955),
    [aux_sym_stop_statement_token2] = ACTIONS(6955),
    [aux_sym_subroutine_call_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token1] = ACTIONS(6955),
    [aux_sym_keyword_statement_token2] = ACTIONS(6955),
    [aux_sym_keyword_statement_token3] = ACTIONS(6955),
    [aux_sym_keyword_statement_token4] = ACTIONS(6955),
    [aux_sym_keyword_statement_token6] = ACTIONS(6955),
    [aux_sym_keyword_statement_token7] = ACTIONS(6955),
    [aux_sym_include_statement_token1] = ACTIONS(6955),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6955),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6955),
    [aux_sym_end_if_statement_token1] = ACTIONS(6955),
    [aux_sym_elseif_clause_token2] = ACTIONS(6955),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6955),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token1] = ACTIONS(6955),
    [aux_sym_select_case_statement_token3] = ACTIONS(6955),
    [aux_sym_select_type_statement_token1] = ACTIONS(6955),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6955),
    [aux_sym_associate_statement_token1] = ACTIONS(6955),
    [aux_sym_format_statement_token1] = ACTIONS(6955),
    [aux_sym_print_statement_token1] = ACTIONS(6955),
    [aux_sym_open_statement_token1] = ACTIONS(6955),
    [aux_sym_close_statement_token1] = ACTIONS(6955),
    [aux_sym_inquire_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token1] = ACTIONS(6955),
    [aux_sym_file_position_statement_token2] = ACTIONS(6955),
    [aux_sym_file_position_statement_token3] = ACTIONS(6955),
    [aux_sym_file_position_statement_token4] = ACTIONS(6955),
    [aux_sym_allocate_statement_token1] = ACTIONS(6955),
    [aux_sym_entry_statement_token1] = ACTIONS(6955),
    [aux_sym_assign_statement_token1] = ACTIONS(6955),
    [aux_sym_logical_expression_token5] = ACTIONS(6959),
    [anon_sym_DOT] = ACTIONS(6955),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6959),
    [anon_sym_LBRACK] = ACTIONS(6959),
    [aux_sym_boolean_literal_token1] = ACTIONS(6959),
    [aux_sym_boolean_literal_token2] = ACTIONS(6959),
    [aux_sym_null_literal_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_statement_token2] = ACTIONS(6955),
    [aux_sym_coarray_statement_token6] = ACTIONS(6955),
    [aux_sym_coarray_statement_token8] = ACTIONS(6955),
    [aux_sym_coarray_statement_token11] = ACTIONS(6955),
    [aux_sym_coarray_statement_token12] = ACTIONS(6955),
    [aux_sym_coarray_statement_token13] = ACTIONS(6955),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6955),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6955),
    [aux_sym_identifier_token1] = ACTIONS(6955),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6959),
    [sym__float_literal] = ACTIONS(6959),
    [sym__boz_literal] = ACTIONS(6959),
    [sym__string_literal] = ACTIONS(6959),
    [sym__string_literal_kind] = ACTIONS(6959),
  },
  [3468] = {
    [sym_statement_label] = STATE(7631),
    [sym_statement_label_reference] = STATE(8449),
    [sym__expression] = STATE(5289),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(8035),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8037),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6993),
    [aux_sym_preproc_def_token1] = ACTIONS(6993),
    [aux_sym_preproc_if_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6993),
    [sym_preproc_directive] = ACTIONS(6993),
    [anon_sym_LPAREN2] = ACTIONS(6993),
    [anon_sym_PLUS] = ACTIONS(6995),
    [anon_sym_DASH] = ACTIONS(6995),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6993),
    [anon_sym_SEMI] = ACTIONS(6995),
    [aux_sym_block_data_statement_token1] = ACTIONS(6993),
    [aux_sym_block_data_statement_token2] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6993),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6993),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6993),
    [aux_sym_use_statement_token2] = ACTIONS(6993),
    [aux_sym_implicit_statement_token3] = ACTIONS(6993),
    [aux_sym_implicit_statement_token4] = ACTIONS(6993),
    [aux_sym_save_statement_token1] = ACTIONS(6993),
    [aux_sym_private_statement_token1] = ACTIONS(6993),
    [aux_sym_public_statement_token1] = ACTIONS(6993),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6993),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6993),
    [aux_sym_variable_attributes_token2] = ACTIONS(6993),
    [aux_sym_variable_attributes_token3] = ACTIONS(6993),
    [aux_sym_variable_attributes_token5] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6993),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6993),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6993),
    [aux_sym_type_qualifier_token1] = ACTIONS(6993),
    [aux_sym_type_qualifier_token2] = ACTIONS(6993),
    [aux_sym_stop_statement_token1] = ACTIONS(6993),
    [aux_sym_stop_statement_token2] = ACTIONS(6993),
    [aux_sym_subroutine_call_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token1] = ACTIONS(6993),
    [aux_sym_keyword_statement_token2] = ACTIONS(6993),
    [aux_sym_keyword_statement_token3] = ACTIONS(6993),
    [aux_sym_keyword_statement_token4] = ACTIONS(6993),
    [aux_sym_keyword_statement_token6] = ACTIONS(6993),
    [aux_sym_keyword_statement_token7] = ACTIONS(6993),
    [aux_sym_include_statement_token1] = ACTIONS(6993),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6993),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6993),
    [aux_sym_end_if_statement_token1] = ACTIONS(6993),
    [aux_sym_elseif_clause_token2] = ACTIONS(6993),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6993),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token1] = ACTIONS(6993),
    [aux_sym_select_case_statement_token3] = ACTIONS(6993),
    [aux_sym_select_type_statement_token1] = ACTIONS(6993),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6993),
    [aux_sym_associate_statement_token1] = ACTIONS(6993),
    [aux_sym_format_statement_token1] = ACTIONS(6993),
    [aux_sym_print_statement_token1] = ACTIONS(6993),
    [aux_sym_open_statement_token1] = ACTIONS(6993),
    [aux_sym_close_statement_token1] = ACTIONS(6993),
    [aux_sym_inquire_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token1] = ACTIONS(6993),
    [aux_sym_file_position_statement_token2] = ACTIONS(6993),
    [aux_sym_file_position_statement_token3] = ACTIONS(6993),
    [aux_sym_file_position_statement_token4] = ACTIONS(6993),
    [aux_sym_allocate_statement_token1] = ACTIONS(6993),
    [aux_sym_entry_statement_token1] = ACTIONS(6993),
    [aux_sym_assign_statement_token1] = ACTIONS(6993),
    [aux_sym_logical_expression_token5] = ACTIONS(6995),
    [anon_sym_DOT] = ACTIONS(6993),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6995),
    [anon_sym_LBRACK] = ACTIONS(6995),
    [aux_sym_boolean_literal_token1] = ACTIONS(6995),
    [aux_sym_boolean_literal_token2] = ACTIONS(6995),
    [aux_sym_null_literal_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_statement_token2] = ACTIONS(6993),
    [aux_sym_coarray_statement_token6] = ACTIONS(6993),
    [aux_sym_coarray_statement_token8] = ACTIONS(6993),
    [aux_sym_coarray_statement_token11] = ACTIONS(6993),
    [aux_sym_coarray_statement_token12] = ACTIONS(6993),
    [aux_sym_coarray_statement_token13] = ACTIONS(6993),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6993),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6993),
    [aux_sym_identifier_token1] = ACTIONS(6993),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6995),
    [sym__float_literal] = ACTIONS(6995),
    [sym__boz_literal] = ACTIONS(6995),
    [sym__string_literal] = ACTIONS(6995),
    [sym__string_literal_kind] = ACTIONS(6995),
  },
  [3470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6997),
    [aux_sym_preproc_def_token1] = ACTIONS(6997),
    [aux_sym_preproc_if_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6997),
    [sym_preproc_directive] = ACTIONS(6997),
    [anon_sym_LPAREN2] = ACTIONS(6997),
    [anon_sym_PLUS] = ACTIONS(6999),
    [anon_sym_DASH] = ACTIONS(6999),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6997),
    [anon_sym_SEMI] = ACTIONS(6999),
    [aux_sym_block_data_statement_token1] = ACTIONS(6997),
    [aux_sym_block_data_statement_token2] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6997),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6997),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6997),
    [aux_sym_use_statement_token2] = ACTIONS(6997),
    [aux_sym_implicit_statement_token3] = ACTIONS(6997),
    [aux_sym_implicit_statement_token4] = ACTIONS(6997),
    [aux_sym_save_statement_token1] = ACTIONS(6997),
    [aux_sym_private_statement_token1] = ACTIONS(6997),
    [aux_sym_public_statement_token1] = ACTIONS(6997),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6997),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6997),
    [aux_sym_variable_attributes_token2] = ACTIONS(6997),
    [aux_sym_variable_attributes_token3] = ACTIONS(6997),
    [aux_sym_variable_attributes_token5] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6997),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6997),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6997),
    [aux_sym_type_qualifier_token1] = ACTIONS(6997),
    [aux_sym_type_qualifier_token2] = ACTIONS(6997),
    [aux_sym_stop_statement_token1] = ACTIONS(6997),
    [aux_sym_stop_statement_token2] = ACTIONS(6997),
    [aux_sym_subroutine_call_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token1] = ACTIONS(6997),
    [aux_sym_keyword_statement_token2] = ACTIONS(6997),
    [aux_sym_keyword_statement_token3] = ACTIONS(6997),
    [aux_sym_keyword_statement_token4] = ACTIONS(6997),
    [aux_sym_keyword_statement_token6] = ACTIONS(6997),
    [aux_sym_keyword_statement_token7] = ACTIONS(6997),
    [aux_sym_include_statement_token1] = ACTIONS(6997),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6997),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6997),
    [aux_sym_end_if_statement_token1] = ACTIONS(6997),
    [aux_sym_elseif_clause_token2] = ACTIONS(6997),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6997),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token1] = ACTIONS(6997),
    [aux_sym_select_case_statement_token3] = ACTIONS(6997),
    [aux_sym_select_type_statement_token1] = ACTIONS(6997),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6997),
    [aux_sym_associate_statement_token1] = ACTIONS(6997),
    [aux_sym_format_statement_token1] = ACTIONS(6997),
    [aux_sym_print_statement_token1] = ACTIONS(6997),
    [aux_sym_open_statement_token1] = ACTIONS(6997),
    [aux_sym_close_statement_token1] = ACTIONS(6997),
    [aux_sym_inquire_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token1] = ACTIONS(6997),
    [aux_sym_file_position_statement_token2] = ACTIONS(6997),
    [aux_sym_file_position_statement_token3] = ACTIONS(6997),
    [aux_sym_file_position_statement_token4] = ACTIONS(6997),
    [aux_sym_allocate_statement_token1] = ACTIONS(6997),
    [aux_sym_entry_statement_token1] = ACTIONS(6997),
    [aux_sym_assign_statement_token1] = ACTIONS(6997),
    [aux_sym_logical_expression_token5] = ACTIONS(6999),
    [anon_sym_DOT] = ACTIONS(6997),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6999),
    [aux_sym_boolean_literal_token1] = ACTIONS(6999),
    [aux_sym_boolean_literal_token2] = ACTIONS(6999),
    [aux_sym_null_literal_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_statement_token2] = ACTIONS(6997),
    [aux_sym_coarray_statement_token6] = ACTIONS(6997),
    [aux_sym_coarray_statement_token8] = ACTIONS(6997),
    [aux_sym_coarray_statement_token11] = ACTIONS(6997),
    [aux_sym_coarray_statement_token12] = ACTIONS(6997),
    [aux_sym_coarray_statement_token13] = ACTIONS(6997),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6997),
    [aux_sym_identifier_token1] = ACTIONS(6997),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6999),
    [sym__float_literal] = ACTIONS(6999),
    [sym__boz_literal] = ACTIONS(6999),
    [sym__string_literal] = ACTIONS(6999),
    [sym__string_literal_kind] = ACTIONS(6999),
  },
  [3471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7037),
    [aux_sym_preproc_def_token1] = ACTIONS(7037),
    [aux_sym_preproc_if_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7037),
    [sym_preproc_directive] = ACTIONS(7037),
    [anon_sym_LPAREN2] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7039),
    [anon_sym_DASH] = ACTIONS(7039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7037),
    [anon_sym_SEMI] = ACTIONS(7039),
    [aux_sym_block_data_statement_token1] = ACTIONS(7037),
    [aux_sym_block_data_statement_token2] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7037),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7037),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7037),
    [aux_sym_use_statement_token2] = ACTIONS(7037),
    [aux_sym_implicit_statement_token3] = ACTIONS(7037),
    [aux_sym_implicit_statement_token4] = ACTIONS(7037),
    [aux_sym_save_statement_token1] = ACTIONS(7037),
    [aux_sym_private_statement_token1] = ACTIONS(7037),
    [aux_sym_public_statement_token1] = ACTIONS(7037),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7037),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7037),
    [aux_sym_variable_attributes_token2] = ACTIONS(7037),
    [aux_sym_variable_attributes_token3] = ACTIONS(7037),
    [aux_sym_variable_attributes_token5] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7037),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7037),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7037),
    [aux_sym_type_qualifier_token1] = ACTIONS(7037),
    [aux_sym_type_qualifier_token2] = ACTIONS(7037),
    [aux_sym_stop_statement_token1] = ACTIONS(7037),
    [aux_sym_stop_statement_token2] = ACTIONS(7037),
    [aux_sym_subroutine_call_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token1] = ACTIONS(7037),
    [aux_sym_keyword_statement_token2] = ACTIONS(7037),
    [aux_sym_keyword_statement_token3] = ACTIONS(7037),
    [aux_sym_keyword_statement_token4] = ACTIONS(7037),
    [aux_sym_keyword_statement_token6] = ACTIONS(7037),
    [aux_sym_keyword_statement_token7] = ACTIONS(7037),
    [aux_sym_include_statement_token1] = ACTIONS(7037),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7037),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7037),
    [aux_sym_end_if_statement_token1] = ACTIONS(7037),
    [aux_sym_elseif_clause_token2] = ACTIONS(7037),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7037),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token1] = ACTIONS(7037),
    [aux_sym_select_case_statement_token3] = ACTIONS(7037),
    [aux_sym_select_type_statement_token1] = ACTIONS(7037),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7037),
    [aux_sym_associate_statement_token1] = ACTIONS(7037),
    [aux_sym_format_statement_token1] = ACTIONS(7037),
    [aux_sym_print_statement_token1] = ACTIONS(7037),
    [aux_sym_open_statement_token1] = ACTIONS(7037),
    [aux_sym_close_statement_token1] = ACTIONS(7037),
    [aux_sym_inquire_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token1] = ACTIONS(7037),
    [aux_sym_file_position_statement_token2] = ACTIONS(7037),
    [aux_sym_file_position_statement_token3] = ACTIONS(7037),
    [aux_sym_file_position_statement_token4] = ACTIONS(7037),
    [aux_sym_allocate_statement_token1] = ACTIONS(7037),
    [aux_sym_entry_statement_token1] = ACTIONS(7037),
    [aux_sym_assign_statement_token1] = ACTIONS(7037),
    [aux_sym_logical_expression_token5] = ACTIONS(7039),
    [anon_sym_DOT] = ACTIONS(7037),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7039),
    [aux_sym_boolean_literal_token1] = ACTIONS(7039),
    [aux_sym_boolean_literal_token2] = ACTIONS(7039),
    [aux_sym_null_literal_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_statement_token2] = ACTIONS(7037),
    [aux_sym_coarray_statement_token6] = ACTIONS(7037),
    [aux_sym_coarray_statement_token8] = ACTIONS(7037),
    [aux_sym_coarray_statement_token11] = ACTIONS(7037),
    [aux_sym_coarray_statement_token12] = ACTIONS(7037),
    [aux_sym_coarray_statement_token13] = ACTIONS(7037),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7037),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7037),
    [aux_sym_identifier_token1] = ACTIONS(7037),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7039),
    [sym__float_literal] = ACTIONS(7039),
    [sym__boz_literal] = ACTIONS(7039),
    [sym__string_literal] = ACTIONS(7039),
    [sym__string_literal_kind] = ACTIONS(7039),
  },
  [3472] = {
    [sym_sized_allocation] = STATE(7089),
    [sym_coarray_allocation] = STATE(8119),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5591),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5591),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6949),
    [aux_sym_preproc_def_token1] = ACTIONS(6949),
    [aux_sym_preproc_if_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6949),
    [sym_preproc_directive] = ACTIONS(6949),
    [anon_sym_LPAREN2] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6953),
    [anon_sym_DASH] = ACTIONS(6953),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6949),
    [anon_sym_SEMI] = ACTIONS(6953),
    [aux_sym_block_data_statement_token1] = ACTIONS(6949),
    [aux_sym_block_data_statement_token2] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6949),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6949),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6949),
    [aux_sym_use_statement_token2] = ACTIONS(6949),
    [aux_sym_implicit_statement_token3] = ACTIONS(6949),
    [aux_sym_implicit_statement_token4] = ACTIONS(6949),
    [aux_sym_save_statement_token1] = ACTIONS(6949),
    [aux_sym_private_statement_token1] = ACTIONS(6949),
    [aux_sym_public_statement_token1] = ACTIONS(6949),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6949),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6949),
    [aux_sym_variable_attributes_token2] = ACTIONS(6949),
    [aux_sym_variable_attributes_token3] = ACTIONS(6949),
    [aux_sym_variable_attributes_token5] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6949),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6949),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6949),
    [aux_sym_type_qualifier_token1] = ACTIONS(6949),
    [aux_sym_type_qualifier_token2] = ACTIONS(6949),
    [aux_sym_stop_statement_token1] = ACTIONS(6949),
    [aux_sym_stop_statement_token2] = ACTIONS(6949),
    [aux_sym_subroutine_call_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token1] = ACTIONS(6949),
    [aux_sym_keyword_statement_token2] = ACTIONS(6949),
    [aux_sym_keyword_statement_token3] = ACTIONS(6949),
    [aux_sym_keyword_statement_token4] = ACTIONS(6949),
    [aux_sym_keyword_statement_token6] = ACTIONS(6949),
    [aux_sym_keyword_statement_token7] = ACTIONS(6949),
    [aux_sym_include_statement_token1] = ACTIONS(6949),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6949),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6949),
    [aux_sym_end_if_statement_token1] = ACTIONS(6949),
    [aux_sym_elseif_clause_token2] = ACTIONS(6949),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6949),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token1] = ACTIONS(6949),
    [aux_sym_select_case_statement_token3] = ACTIONS(6949),
    [aux_sym_select_type_statement_token1] = ACTIONS(6949),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6949),
    [aux_sym_associate_statement_token1] = ACTIONS(6949),
    [aux_sym_format_statement_token1] = ACTIONS(6949),
    [aux_sym_print_statement_token1] = ACTIONS(6949),
    [aux_sym_open_statement_token1] = ACTIONS(6949),
    [aux_sym_close_statement_token1] = ACTIONS(6949),
    [aux_sym_inquire_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token1] = ACTIONS(6949),
    [aux_sym_file_position_statement_token2] = ACTIONS(6949),
    [aux_sym_file_position_statement_token3] = ACTIONS(6949),
    [aux_sym_file_position_statement_token4] = ACTIONS(6949),
    [aux_sym_allocate_statement_token1] = ACTIONS(6949),
    [aux_sym_entry_statement_token1] = ACTIONS(6949),
    [aux_sym_assign_statement_token1] = ACTIONS(6949),
    [aux_sym_logical_expression_token5] = ACTIONS(6953),
    [anon_sym_DOT] = ACTIONS(6949),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6953),
    [anon_sym_LBRACK] = ACTIONS(6953),
    [aux_sym_boolean_literal_token1] = ACTIONS(6953),
    [aux_sym_boolean_literal_token2] = ACTIONS(6953),
    [aux_sym_null_literal_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_statement_token2] = ACTIONS(6949),
    [aux_sym_coarray_statement_token6] = ACTIONS(6949),
    [aux_sym_coarray_statement_token8] = ACTIONS(6949),
    [aux_sym_coarray_statement_token11] = ACTIONS(6949),
    [aux_sym_coarray_statement_token12] = ACTIONS(6949),
    [aux_sym_coarray_statement_token13] = ACTIONS(6949),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6949),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6949),
    [aux_sym_identifier_token1] = ACTIONS(6949),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6953),
    [sym__float_literal] = ACTIONS(6953),
    [sym__boz_literal] = ACTIONS(6953),
    [sym__string_literal] = ACTIONS(6953),
    [sym__string_literal_kind] = ACTIONS(6953),
  },
  [3474] = {
    [sym__expression] = STATE(5126),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(4721),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3475] = {
    [sym_sized_allocation] = STATE(7226),
    [sym_coarray_allocation] = STATE(8506),
    [sym__expression] = STATE(5363),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5917),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5917),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7001),
    [aux_sym_preproc_def_token1] = ACTIONS(7001),
    [aux_sym_preproc_if_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7001),
    [sym_preproc_directive] = ACTIONS(7001),
    [anon_sym_LPAREN2] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7003),
    [anon_sym_DASH] = ACTIONS(7003),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7001),
    [anon_sym_SEMI] = ACTIONS(7003),
    [aux_sym_block_data_statement_token1] = ACTIONS(7001),
    [aux_sym_block_data_statement_token2] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7001),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7001),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7001),
    [aux_sym_use_statement_token2] = ACTIONS(7001),
    [aux_sym_implicit_statement_token3] = ACTIONS(7001),
    [aux_sym_implicit_statement_token4] = ACTIONS(7001),
    [aux_sym_save_statement_token1] = ACTIONS(7001),
    [aux_sym_private_statement_token1] = ACTIONS(7001),
    [aux_sym_public_statement_token1] = ACTIONS(7001),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7001),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7001),
    [aux_sym_variable_attributes_token2] = ACTIONS(7001),
    [aux_sym_variable_attributes_token3] = ACTIONS(7001),
    [aux_sym_variable_attributes_token5] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7001),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7001),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7001),
    [aux_sym_type_qualifier_token1] = ACTIONS(7001),
    [aux_sym_type_qualifier_token2] = ACTIONS(7001),
    [aux_sym_stop_statement_token1] = ACTIONS(7001),
    [aux_sym_stop_statement_token2] = ACTIONS(7001),
    [aux_sym_subroutine_call_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token1] = ACTIONS(7001),
    [aux_sym_keyword_statement_token2] = ACTIONS(7001),
    [aux_sym_keyword_statement_token3] = ACTIONS(7001),
    [aux_sym_keyword_statement_token4] = ACTIONS(7001),
    [aux_sym_keyword_statement_token6] = ACTIONS(7001),
    [aux_sym_keyword_statement_token7] = ACTIONS(7001),
    [aux_sym_include_statement_token1] = ACTIONS(7001),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7001),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7001),
    [aux_sym_end_if_statement_token1] = ACTIONS(7001),
    [aux_sym_elseif_clause_token2] = ACTIONS(7001),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7001),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token1] = ACTIONS(7001),
    [aux_sym_select_case_statement_token3] = ACTIONS(7001),
    [aux_sym_select_type_statement_token1] = ACTIONS(7001),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7001),
    [aux_sym_associate_statement_token1] = ACTIONS(7001),
    [aux_sym_format_statement_token1] = ACTIONS(7001),
    [aux_sym_print_statement_token1] = ACTIONS(7001),
    [aux_sym_open_statement_token1] = ACTIONS(7001),
    [aux_sym_close_statement_token1] = ACTIONS(7001),
    [aux_sym_inquire_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token1] = ACTIONS(7001),
    [aux_sym_file_position_statement_token2] = ACTIONS(7001),
    [aux_sym_file_position_statement_token3] = ACTIONS(7001),
    [aux_sym_file_position_statement_token4] = ACTIONS(7001),
    [aux_sym_allocate_statement_token1] = ACTIONS(7001),
    [aux_sym_entry_statement_token1] = ACTIONS(7001),
    [aux_sym_assign_statement_token1] = ACTIONS(7001),
    [aux_sym_logical_expression_token5] = ACTIONS(7003),
    [anon_sym_DOT] = ACTIONS(7001),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7003),
    [aux_sym_boolean_literal_token1] = ACTIONS(7003),
    [aux_sym_boolean_literal_token2] = ACTIONS(7003),
    [aux_sym_null_literal_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_statement_token2] = ACTIONS(7001),
    [aux_sym_coarray_statement_token6] = ACTIONS(7001),
    [aux_sym_coarray_statement_token8] = ACTIONS(7001),
    [aux_sym_coarray_statement_token11] = ACTIONS(7001),
    [aux_sym_coarray_statement_token12] = ACTIONS(7001),
    [aux_sym_coarray_statement_token13] = ACTIONS(7001),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7001),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7001),
    [aux_sym_identifier_token1] = ACTIONS(7001),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7003),
    [sym__float_literal] = ACTIONS(7003),
    [sym__boz_literal] = ACTIONS(7003),
    [sym__string_literal] = ACTIONS(7003),
    [sym__string_literal_kind] = ACTIONS(7003),
  },
  [3477] = {
    [sym_statement_label] = STATE(4476),
    [sym_statement_label_reference] = STATE(7431),
    [sym__expression] = STATE(5094),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5897),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5897),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5897),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2670),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3478] = {
    [sym__expression] = STATE(5230),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_nil_literal] = STATE(5633),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_nil_literal_token1] = ACTIONS(8041),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3479] = {
    [sym__expression] = STATE(4944),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(4721),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7033),
    [aux_sym_preproc_def_token1] = ACTIONS(7033),
    [aux_sym_preproc_if_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7033),
    [sym_preproc_directive] = ACTIONS(7033),
    [anon_sym_LPAREN2] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7035),
    [anon_sym_DASH] = ACTIONS(7035),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7033),
    [anon_sym_SEMI] = ACTIONS(7035),
    [aux_sym_block_data_statement_token1] = ACTIONS(7033),
    [aux_sym_block_data_statement_token2] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7033),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7033),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7033),
    [aux_sym_use_statement_token2] = ACTIONS(7033),
    [aux_sym_implicit_statement_token3] = ACTIONS(7033),
    [aux_sym_implicit_statement_token4] = ACTIONS(7033),
    [aux_sym_save_statement_token1] = ACTIONS(7033),
    [aux_sym_private_statement_token1] = ACTIONS(7033),
    [aux_sym_public_statement_token1] = ACTIONS(7033),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7033),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7033),
    [aux_sym_variable_attributes_token2] = ACTIONS(7033),
    [aux_sym_variable_attributes_token3] = ACTIONS(7033),
    [aux_sym_variable_attributes_token5] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7033),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7033),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7033),
    [aux_sym_type_qualifier_token1] = ACTIONS(7033),
    [aux_sym_type_qualifier_token2] = ACTIONS(7033),
    [aux_sym_stop_statement_token1] = ACTIONS(7033),
    [aux_sym_stop_statement_token2] = ACTIONS(7033),
    [aux_sym_subroutine_call_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token1] = ACTIONS(7033),
    [aux_sym_keyword_statement_token2] = ACTIONS(7033),
    [aux_sym_keyword_statement_token3] = ACTIONS(7033),
    [aux_sym_keyword_statement_token4] = ACTIONS(7033),
    [aux_sym_keyword_statement_token6] = ACTIONS(7033),
    [aux_sym_keyword_statement_token7] = ACTIONS(7033),
    [aux_sym_include_statement_token1] = ACTIONS(7033),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7033),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7033),
    [aux_sym_end_if_statement_token1] = ACTIONS(7033),
    [aux_sym_elseif_clause_token2] = ACTIONS(7033),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7033),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token1] = ACTIONS(7033),
    [aux_sym_select_case_statement_token3] = ACTIONS(7033),
    [aux_sym_select_type_statement_token1] = ACTIONS(7033),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7033),
    [aux_sym_associate_statement_token1] = ACTIONS(7033),
    [aux_sym_format_statement_token1] = ACTIONS(7033),
    [aux_sym_print_statement_token1] = ACTIONS(7033),
    [aux_sym_open_statement_token1] = ACTIONS(7033),
    [aux_sym_close_statement_token1] = ACTIONS(7033),
    [aux_sym_inquire_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token1] = ACTIONS(7033),
    [aux_sym_file_position_statement_token2] = ACTIONS(7033),
    [aux_sym_file_position_statement_token3] = ACTIONS(7033),
    [aux_sym_file_position_statement_token4] = ACTIONS(7033),
    [aux_sym_allocate_statement_token1] = ACTIONS(7033),
    [aux_sym_entry_statement_token1] = ACTIONS(7033),
    [aux_sym_assign_statement_token1] = ACTIONS(7033),
    [aux_sym_logical_expression_token5] = ACTIONS(7035),
    [anon_sym_DOT] = ACTIONS(7033),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7035),
    [aux_sym_boolean_literal_token1] = ACTIONS(7035),
    [aux_sym_boolean_literal_token2] = ACTIONS(7035),
    [aux_sym_null_literal_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_statement_token2] = ACTIONS(7033),
    [aux_sym_coarray_statement_token6] = ACTIONS(7033),
    [aux_sym_coarray_statement_token8] = ACTIONS(7033),
    [aux_sym_coarray_statement_token11] = ACTIONS(7033),
    [aux_sym_coarray_statement_token12] = ACTIONS(7033),
    [aux_sym_coarray_statement_token13] = ACTIONS(7033),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7033),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7033),
    [aux_sym_identifier_token1] = ACTIONS(7033),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7035),
    [sym__float_literal] = ACTIONS(7035),
    [sym__boz_literal] = ACTIONS(7035),
    [sym__string_literal] = ACTIONS(7035),
    [sym__string_literal_kind] = ACTIONS(7035),
  },
  [3481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7023),
    [aux_sym_preproc_def_token1] = ACTIONS(7023),
    [aux_sym_preproc_if_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7023),
    [sym_preproc_directive] = ACTIONS(7023),
    [anon_sym_LPAREN2] = ACTIONS(7023),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7023),
    [anon_sym_SEMI] = ACTIONS(7025),
    [aux_sym_block_data_statement_token1] = ACTIONS(7023),
    [aux_sym_block_data_statement_token2] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7023),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7023),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7023),
    [aux_sym_use_statement_token2] = ACTIONS(7023),
    [aux_sym_implicit_statement_token3] = ACTIONS(7023),
    [aux_sym_implicit_statement_token4] = ACTIONS(7023),
    [aux_sym_save_statement_token1] = ACTIONS(7023),
    [aux_sym_private_statement_token1] = ACTIONS(7023),
    [aux_sym_public_statement_token1] = ACTIONS(7023),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7023),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7023),
    [aux_sym_variable_attributes_token2] = ACTIONS(7023),
    [aux_sym_variable_attributes_token3] = ACTIONS(7023),
    [aux_sym_variable_attributes_token5] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7023),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7023),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7023),
    [aux_sym_type_qualifier_token1] = ACTIONS(7023),
    [aux_sym_type_qualifier_token2] = ACTIONS(7023),
    [aux_sym_stop_statement_token1] = ACTIONS(7023),
    [aux_sym_stop_statement_token2] = ACTIONS(7023),
    [aux_sym_subroutine_call_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token1] = ACTIONS(7023),
    [aux_sym_keyword_statement_token2] = ACTIONS(7023),
    [aux_sym_keyword_statement_token3] = ACTIONS(7023),
    [aux_sym_keyword_statement_token4] = ACTIONS(7023),
    [aux_sym_keyword_statement_token6] = ACTIONS(7023),
    [aux_sym_keyword_statement_token7] = ACTIONS(7023),
    [aux_sym_include_statement_token1] = ACTIONS(7023),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7023),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7023),
    [aux_sym_end_if_statement_token1] = ACTIONS(7023),
    [aux_sym_elseif_clause_token2] = ACTIONS(7023),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7023),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token1] = ACTIONS(7023),
    [aux_sym_select_case_statement_token3] = ACTIONS(7023),
    [aux_sym_select_type_statement_token1] = ACTIONS(7023),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7023),
    [aux_sym_associate_statement_token1] = ACTIONS(7023),
    [aux_sym_format_statement_token1] = ACTIONS(7023),
    [aux_sym_print_statement_token1] = ACTIONS(7023),
    [aux_sym_open_statement_token1] = ACTIONS(7023),
    [aux_sym_close_statement_token1] = ACTIONS(7023),
    [aux_sym_inquire_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token1] = ACTIONS(7023),
    [aux_sym_file_position_statement_token2] = ACTIONS(7023),
    [aux_sym_file_position_statement_token3] = ACTIONS(7023),
    [aux_sym_file_position_statement_token4] = ACTIONS(7023),
    [aux_sym_allocate_statement_token1] = ACTIONS(7023),
    [aux_sym_entry_statement_token1] = ACTIONS(7023),
    [aux_sym_assign_statement_token1] = ACTIONS(7023),
    [aux_sym_logical_expression_token5] = ACTIONS(7025),
    [anon_sym_DOT] = ACTIONS(7023),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7025),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [aux_sym_boolean_literal_token1] = ACTIONS(7025),
    [aux_sym_boolean_literal_token2] = ACTIONS(7025),
    [aux_sym_null_literal_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_statement_token2] = ACTIONS(7023),
    [aux_sym_coarray_statement_token6] = ACTIONS(7023),
    [aux_sym_coarray_statement_token8] = ACTIONS(7023),
    [aux_sym_coarray_statement_token11] = ACTIONS(7023),
    [aux_sym_coarray_statement_token12] = ACTIONS(7023),
    [aux_sym_coarray_statement_token13] = ACTIONS(7023),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7023),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7023),
    [aux_sym_identifier_token1] = ACTIONS(7023),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7025),
    [sym__float_literal] = ACTIONS(7025),
    [sym__boz_literal] = ACTIONS(7025),
    [sym__string_literal] = ACTIONS(7025),
    [sym__string_literal_kind] = ACTIONS(7025),
  },
  [3482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6915),
    [aux_sym_preproc_def_token1] = ACTIONS(6915),
    [aux_sym_preproc_if_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6915),
    [sym_preproc_directive] = ACTIONS(6915),
    [anon_sym_LPAREN2] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6919),
    [anon_sym_DASH] = ACTIONS(6919),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6915),
    [anon_sym_SEMI] = ACTIONS(6919),
    [aux_sym_block_data_statement_token1] = ACTIONS(6915),
    [aux_sym_block_data_statement_token2] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6915),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6915),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6915),
    [aux_sym_use_statement_token2] = ACTIONS(6915),
    [aux_sym_implicit_statement_token3] = ACTIONS(6915),
    [aux_sym_implicit_statement_token4] = ACTIONS(6915),
    [aux_sym_save_statement_token1] = ACTIONS(6915),
    [aux_sym_private_statement_token1] = ACTIONS(6915),
    [aux_sym_public_statement_token1] = ACTIONS(6915),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6915),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6915),
    [aux_sym_variable_attributes_token2] = ACTIONS(6915),
    [aux_sym_variable_attributes_token3] = ACTIONS(6915),
    [aux_sym_variable_attributes_token5] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6915),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6915),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6915),
    [aux_sym_type_qualifier_token1] = ACTIONS(6915),
    [aux_sym_type_qualifier_token2] = ACTIONS(6915),
    [aux_sym_stop_statement_token1] = ACTIONS(6915),
    [aux_sym_stop_statement_token2] = ACTIONS(6915),
    [aux_sym_subroutine_call_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token1] = ACTIONS(6915),
    [aux_sym_keyword_statement_token2] = ACTIONS(6915),
    [aux_sym_keyword_statement_token3] = ACTIONS(6915),
    [aux_sym_keyword_statement_token4] = ACTIONS(6915),
    [aux_sym_keyword_statement_token6] = ACTIONS(6915),
    [aux_sym_keyword_statement_token7] = ACTIONS(6915),
    [aux_sym_include_statement_token1] = ACTIONS(6915),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6915),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6915),
    [aux_sym_end_if_statement_token1] = ACTIONS(6915),
    [aux_sym_elseif_clause_token2] = ACTIONS(6915),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6915),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token1] = ACTIONS(6915),
    [aux_sym_select_case_statement_token3] = ACTIONS(6915),
    [aux_sym_select_type_statement_token1] = ACTIONS(6915),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6915),
    [aux_sym_associate_statement_token1] = ACTIONS(6915),
    [aux_sym_format_statement_token1] = ACTIONS(6915),
    [aux_sym_print_statement_token1] = ACTIONS(6915),
    [aux_sym_open_statement_token1] = ACTIONS(6915),
    [aux_sym_close_statement_token1] = ACTIONS(6915),
    [aux_sym_inquire_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token1] = ACTIONS(6915),
    [aux_sym_file_position_statement_token2] = ACTIONS(6915),
    [aux_sym_file_position_statement_token3] = ACTIONS(6915),
    [aux_sym_file_position_statement_token4] = ACTIONS(6915),
    [aux_sym_allocate_statement_token1] = ACTIONS(6915),
    [aux_sym_entry_statement_token1] = ACTIONS(6915),
    [aux_sym_assign_statement_token1] = ACTIONS(6915),
    [aux_sym_logical_expression_token5] = ACTIONS(6919),
    [anon_sym_DOT] = ACTIONS(6915),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6919),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [aux_sym_boolean_literal_token1] = ACTIONS(6919),
    [aux_sym_boolean_literal_token2] = ACTIONS(6919),
    [aux_sym_null_literal_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_statement_token2] = ACTIONS(6915),
    [aux_sym_coarray_statement_token6] = ACTIONS(6915),
    [aux_sym_coarray_statement_token8] = ACTIONS(6915),
    [aux_sym_coarray_statement_token11] = ACTIONS(6915),
    [aux_sym_coarray_statement_token12] = ACTIONS(6915),
    [aux_sym_coarray_statement_token13] = ACTIONS(6915),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6915),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6915),
    [aux_sym_identifier_token1] = ACTIONS(6915),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6919),
    [sym__float_literal] = ACTIONS(6919),
    [sym__boz_literal] = ACTIONS(6919),
    [sym__string_literal] = ACTIONS(6919),
    [sym__string_literal_kind] = ACTIONS(6919),
  },
  [3483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6903),
    [aux_sym_preproc_def_token1] = ACTIONS(6903),
    [aux_sym_preproc_if_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6903),
    [sym_preproc_directive] = ACTIONS(6903),
    [anon_sym_LPAREN2] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6903),
    [anon_sym_SEMI] = ACTIONS(6907),
    [aux_sym_block_data_statement_token1] = ACTIONS(6903),
    [aux_sym_block_data_statement_token2] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6903),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6903),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6903),
    [aux_sym_use_statement_token2] = ACTIONS(6903),
    [aux_sym_implicit_statement_token3] = ACTIONS(6903),
    [aux_sym_implicit_statement_token4] = ACTIONS(6903),
    [aux_sym_save_statement_token1] = ACTIONS(6903),
    [aux_sym_private_statement_token1] = ACTIONS(6903),
    [aux_sym_public_statement_token1] = ACTIONS(6903),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6903),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6903),
    [aux_sym_variable_attributes_token2] = ACTIONS(6903),
    [aux_sym_variable_attributes_token3] = ACTIONS(6903),
    [aux_sym_variable_attributes_token5] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6903),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6903),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6903),
    [aux_sym_type_qualifier_token1] = ACTIONS(6903),
    [aux_sym_type_qualifier_token2] = ACTIONS(6903),
    [aux_sym_stop_statement_token1] = ACTIONS(6903),
    [aux_sym_stop_statement_token2] = ACTIONS(6903),
    [aux_sym_subroutine_call_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token1] = ACTIONS(6903),
    [aux_sym_keyword_statement_token2] = ACTIONS(6903),
    [aux_sym_keyword_statement_token3] = ACTIONS(6903),
    [aux_sym_keyword_statement_token4] = ACTIONS(6903),
    [aux_sym_keyword_statement_token6] = ACTIONS(6903),
    [aux_sym_keyword_statement_token7] = ACTIONS(6903),
    [aux_sym_include_statement_token1] = ACTIONS(6903),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6903),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6903),
    [aux_sym_end_if_statement_token1] = ACTIONS(6903),
    [aux_sym_elseif_clause_token2] = ACTIONS(6903),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6903),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token1] = ACTIONS(6903),
    [aux_sym_select_case_statement_token3] = ACTIONS(6903),
    [aux_sym_select_type_statement_token1] = ACTIONS(6903),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6903),
    [aux_sym_associate_statement_token1] = ACTIONS(6903),
    [aux_sym_format_statement_token1] = ACTIONS(6903),
    [aux_sym_print_statement_token1] = ACTIONS(6903),
    [aux_sym_open_statement_token1] = ACTIONS(6903),
    [aux_sym_close_statement_token1] = ACTIONS(6903),
    [aux_sym_inquire_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token1] = ACTIONS(6903),
    [aux_sym_file_position_statement_token2] = ACTIONS(6903),
    [aux_sym_file_position_statement_token3] = ACTIONS(6903),
    [aux_sym_file_position_statement_token4] = ACTIONS(6903),
    [aux_sym_allocate_statement_token1] = ACTIONS(6903),
    [aux_sym_entry_statement_token1] = ACTIONS(6903),
    [aux_sym_assign_statement_token1] = ACTIONS(6903),
    [aux_sym_logical_expression_token5] = ACTIONS(6907),
    [anon_sym_DOT] = ACTIONS(6903),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [aux_sym_boolean_literal_token1] = ACTIONS(6907),
    [aux_sym_boolean_literal_token2] = ACTIONS(6907),
    [aux_sym_null_literal_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_statement_token2] = ACTIONS(6903),
    [aux_sym_coarray_statement_token6] = ACTIONS(6903),
    [aux_sym_coarray_statement_token8] = ACTIONS(6903),
    [aux_sym_coarray_statement_token11] = ACTIONS(6903),
    [aux_sym_coarray_statement_token12] = ACTIONS(6903),
    [aux_sym_coarray_statement_token13] = ACTIONS(6903),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6903),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6903),
    [aux_sym_identifier_token1] = ACTIONS(6903),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6907),
    [sym__float_literal] = ACTIONS(6907),
    [sym__boz_literal] = ACTIONS(6907),
    [sym__string_literal] = ACTIONS(6907),
    [sym__string_literal_kind] = ACTIONS(6907),
  },
  [3484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6967),
    [aux_sym_preproc_def_token1] = ACTIONS(6967),
    [aux_sym_preproc_if_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6967),
    [sym_preproc_directive] = ACTIONS(6967),
    [anon_sym_LPAREN2] = ACTIONS(6967),
    [anon_sym_PLUS] = ACTIONS(6969),
    [anon_sym_DASH] = ACTIONS(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6967),
    [anon_sym_SEMI] = ACTIONS(6969),
    [aux_sym_block_data_statement_token1] = ACTIONS(6967),
    [aux_sym_block_data_statement_token2] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6967),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6967),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6967),
    [aux_sym_use_statement_token2] = ACTIONS(6967),
    [aux_sym_implicit_statement_token3] = ACTIONS(6967),
    [aux_sym_implicit_statement_token4] = ACTIONS(6967),
    [aux_sym_save_statement_token1] = ACTIONS(6967),
    [aux_sym_private_statement_token1] = ACTIONS(6967),
    [aux_sym_public_statement_token1] = ACTIONS(6967),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6967),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6967),
    [aux_sym_variable_attributes_token2] = ACTIONS(6967),
    [aux_sym_variable_attributes_token3] = ACTIONS(6967),
    [aux_sym_variable_attributes_token5] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6967),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6967),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6967),
    [aux_sym_type_qualifier_token1] = ACTIONS(6967),
    [aux_sym_type_qualifier_token2] = ACTIONS(6967),
    [aux_sym_stop_statement_token1] = ACTIONS(6967),
    [aux_sym_stop_statement_token2] = ACTIONS(6967),
    [aux_sym_subroutine_call_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token1] = ACTIONS(6967),
    [aux_sym_keyword_statement_token2] = ACTIONS(6967),
    [aux_sym_keyword_statement_token3] = ACTIONS(6967),
    [aux_sym_keyword_statement_token4] = ACTIONS(6967),
    [aux_sym_keyword_statement_token6] = ACTIONS(6967),
    [aux_sym_keyword_statement_token7] = ACTIONS(6967),
    [aux_sym_include_statement_token1] = ACTIONS(6967),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6967),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6967),
    [aux_sym_end_if_statement_token1] = ACTIONS(6967),
    [aux_sym_elseif_clause_token2] = ACTIONS(6967),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6967),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token1] = ACTIONS(6967),
    [aux_sym_select_case_statement_token3] = ACTIONS(6967),
    [aux_sym_select_type_statement_token1] = ACTIONS(6967),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6967),
    [aux_sym_associate_statement_token1] = ACTIONS(6967),
    [aux_sym_format_statement_token1] = ACTIONS(6967),
    [aux_sym_print_statement_token1] = ACTIONS(6967),
    [aux_sym_open_statement_token1] = ACTIONS(6967),
    [aux_sym_close_statement_token1] = ACTIONS(6967),
    [aux_sym_inquire_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token1] = ACTIONS(6967),
    [aux_sym_file_position_statement_token2] = ACTIONS(6967),
    [aux_sym_file_position_statement_token3] = ACTIONS(6967),
    [aux_sym_file_position_statement_token4] = ACTIONS(6967),
    [aux_sym_allocate_statement_token1] = ACTIONS(6967),
    [aux_sym_entry_statement_token1] = ACTIONS(6967),
    [aux_sym_assign_statement_token1] = ACTIONS(6967),
    [aux_sym_logical_expression_token5] = ACTIONS(6969),
    [anon_sym_DOT] = ACTIONS(6967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6969),
    [anon_sym_LBRACK] = ACTIONS(6969),
    [aux_sym_boolean_literal_token1] = ACTIONS(6969),
    [aux_sym_boolean_literal_token2] = ACTIONS(6969),
    [aux_sym_null_literal_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_statement_token2] = ACTIONS(6967),
    [aux_sym_coarray_statement_token6] = ACTIONS(6967),
    [aux_sym_coarray_statement_token8] = ACTIONS(6967),
    [aux_sym_coarray_statement_token11] = ACTIONS(6967),
    [aux_sym_coarray_statement_token12] = ACTIONS(6967),
    [aux_sym_coarray_statement_token13] = ACTIONS(6967),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6967),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6967),
    [aux_sym_identifier_token1] = ACTIONS(6967),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6969),
    [sym__float_literal] = ACTIONS(6969),
    [sym__boz_literal] = ACTIONS(6969),
    [sym__string_literal] = ACTIONS(6969),
    [sym__string_literal_kind] = ACTIONS(6969),
  },
  [3485] = {
    [sym_statement_label] = STATE(7631),
    [sym_statement_label_reference] = STATE(8181),
    [sym__expression] = STATE(5291),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(8043),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8037),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3486] = {
    [sym__expression] = STATE(5326),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9317),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3487] = {
    [sym__expression] = STATE(5325),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(8688),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3488] = {
    [sym__expression] = STATE(5266),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9064),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3489] = {
    [sym__expression] = STATE(5328),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9495),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3490] = {
    [sym__expression] = STATE(4988),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_nil_literal] = STATE(5426),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_nil_literal_token1] = ACTIONS(8045),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3491] = {
    [sym__expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9003),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5252),
    [aux_sym_preproc_def_token1] = ACTIONS(5252),
    [aux_sym_preproc_if_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5252),
    [sym_preproc_directive] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [aux_sym_block_data_statement_token1] = ACTIONS(5252),
    [aux_sym_block_data_statement_token2] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5252),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5252),
    [aux_sym_use_statement_token2] = ACTIONS(5252),
    [aux_sym_implicit_statement_token3] = ACTIONS(5252),
    [aux_sym_implicit_statement_token4] = ACTIONS(5252),
    [aux_sym_save_statement_token1] = ACTIONS(5252),
    [aux_sym_private_statement_token1] = ACTIONS(5252),
    [aux_sym_public_statement_token1] = ACTIONS(5252),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5252),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5252),
    [aux_sym_variable_attributes_token2] = ACTIONS(5252),
    [aux_sym_variable_attributes_token3] = ACTIONS(5252),
    [aux_sym_variable_attributes_token5] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5252),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5252),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5252),
    [aux_sym_type_qualifier_token1] = ACTIONS(5252),
    [aux_sym_type_qualifier_token2] = ACTIONS(5252),
    [aux_sym_stop_statement_token1] = ACTIONS(5252),
    [aux_sym_stop_statement_token2] = ACTIONS(5252),
    [aux_sym_subroutine_call_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token1] = ACTIONS(5252),
    [aux_sym_keyword_statement_token2] = ACTIONS(5252),
    [aux_sym_keyword_statement_token3] = ACTIONS(5252),
    [aux_sym_keyword_statement_token4] = ACTIONS(5252),
    [aux_sym_keyword_statement_token6] = ACTIONS(5252),
    [aux_sym_keyword_statement_token7] = ACTIONS(5252),
    [aux_sym_include_statement_token1] = ACTIONS(5252),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5252),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5252),
    [aux_sym_end_if_statement_token1] = ACTIONS(5252),
    [aux_sym_elseif_clause_token2] = ACTIONS(5252),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5252),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token1] = ACTIONS(5252),
    [aux_sym_select_case_statement_token3] = ACTIONS(5252),
    [aux_sym_select_type_statement_token1] = ACTIONS(5252),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5252),
    [aux_sym_associate_statement_token1] = ACTIONS(5252),
    [aux_sym_format_statement_token1] = ACTIONS(5252),
    [aux_sym_print_statement_token1] = ACTIONS(5252),
    [aux_sym_open_statement_token1] = ACTIONS(5252),
    [aux_sym_close_statement_token1] = ACTIONS(5252),
    [aux_sym_inquire_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token1] = ACTIONS(5252),
    [aux_sym_file_position_statement_token2] = ACTIONS(5252),
    [aux_sym_file_position_statement_token3] = ACTIONS(5252),
    [aux_sym_file_position_statement_token4] = ACTIONS(5252),
    [aux_sym_allocate_statement_token1] = ACTIONS(5252),
    [aux_sym_entry_statement_token1] = ACTIONS(5252),
    [aux_sym_assign_statement_token1] = ACTIONS(5252),
    [aux_sym_logical_expression_token5] = ACTIONS(5254),
    [anon_sym_DOT] = ACTIONS(5252),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [aux_sym_boolean_literal_token1] = ACTIONS(5254),
    [aux_sym_boolean_literal_token2] = ACTIONS(5254),
    [aux_sym_null_literal_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_statement_token2] = ACTIONS(5252),
    [aux_sym_coarray_statement_token6] = ACTIONS(5252),
    [aux_sym_coarray_statement_token8] = ACTIONS(5252),
    [aux_sym_coarray_statement_token11] = ACTIONS(5252),
    [aux_sym_coarray_statement_token12] = ACTIONS(5252),
    [aux_sym_coarray_statement_token13] = ACTIONS(5252),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5252),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5252),
    [aux_sym_identifier_token1] = ACTIONS(5252),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5254),
    [sym__float_literal] = ACTIONS(5254),
    [sym__boz_literal] = ACTIONS(5254),
    [sym__string_literal] = ACTIONS(5254),
    [sym__string_literal_kind] = ACTIONS(5254),
  },
  [3493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5264),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [aux_sym_block_data_statement_token1] = ACTIONS(5264),
    [aux_sym_block_data_statement_token2] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5264),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5264),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5264),
    [aux_sym_use_statement_token2] = ACTIONS(5264),
    [aux_sym_implicit_statement_token3] = ACTIONS(5264),
    [aux_sym_implicit_statement_token4] = ACTIONS(5264),
    [aux_sym_save_statement_token1] = ACTIONS(5264),
    [aux_sym_private_statement_token1] = ACTIONS(5264),
    [aux_sym_public_statement_token1] = ACTIONS(5264),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5264),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5264),
    [aux_sym_variable_attributes_token2] = ACTIONS(5264),
    [aux_sym_variable_attributes_token3] = ACTIONS(5264),
    [aux_sym_variable_attributes_token5] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5264),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5264),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5264),
    [aux_sym_type_qualifier_token1] = ACTIONS(5264),
    [aux_sym_type_qualifier_token2] = ACTIONS(5264),
    [aux_sym_stop_statement_token1] = ACTIONS(5264),
    [aux_sym_stop_statement_token2] = ACTIONS(5264),
    [aux_sym_subroutine_call_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token1] = ACTIONS(5264),
    [aux_sym_keyword_statement_token2] = ACTIONS(5264),
    [aux_sym_keyword_statement_token3] = ACTIONS(5264),
    [aux_sym_keyword_statement_token4] = ACTIONS(5264),
    [aux_sym_keyword_statement_token6] = ACTIONS(5264),
    [aux_sym_keyword_statement_token7] = ACTIONS(5264),
    [aux_sym_include_statement_token1] = ACTIONS(5264),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5264),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5264),
    [aux_sym_end_if_statement_token1] = ACTIONS(5264),
    [aux_sym_elseif_clause_token2] = ACTIONS(5264),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5264),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token1] = ACTIONS(5264),
    [aux_sym_select_case_statement_token3] = ACTIONS(5264),
    [aux_sym_select_type_statement_token1] = ACTIONS(5264),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5264),
    [aux_sym_associate_statement_token1] = ACTIONS(5264),
    [aux_sym_format_statement_token1] = ACTIONS(5264),
    [aux_sym_print_statement_token1] = ACTIONS(5264),
    [aux_sym_open_statement_token1] = ACTIONS(5264),
    [aux_sym_close_statement_token1] = ACTIONS(5264),
    [aux_sym_inquire_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token1] = ACTIONS(5264),
    [aux_sym_file_position_statement_token2] = ACTIONS(5264),
    [aux_sym_file_position_statement_token3] = ACTIONS(5264),
    [aux_sym_file_position_statement_token4] = ACTIONS(5264),
    [aux_sym_allocate_statement_token1] = ACTIONS(5264),
    [aux_sym_entry_statement_token1] = ACTIONS(5264),
    [aux_sym_assign_statement_token1] = ACTIONS(5264),
    [aux_sym_logical_expression_token5] = ACTIONS(5266),
    [anon_sym_DOT] = ACTIONS(5264),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5266),
    [aux_sym_boolean_literal_token1] = ACTIONS(5266),
    [aux_sym_boolean_literal_token2] = ACTIONS(5266),
    [aux_sym_null_literal_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_statement_token2] = ACTIONS(5264),
    [aux_sym_coarray_statement_token6] = ACTIONS(5264),
    [aux_sym_coarray_statement_token8] = ACTIONS(5264),
    [aux_sym_coarray_statement_token11] = ACTIONS(5264),
    [aux_sym_coarray_statement_token12] = ACTIONS(5264),
    [aux_sym_coarray_statement_token13] = ACTIONS(5264),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5264),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5264),
    [aux_sym_identifier_token1] = ACTIONS(5264),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5266),
    [sym__float_literal] = ACTIONS(5266),
    [sym__boz_literal] = ACTIONS(5266),
    [sym__string_literal] = ACTIONS(5266),
    [sym__string_literal_kind] = ACTIONS(5266),
  },
  [3494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [aux_sym_block_data_statement_token1] = ACTIONS(5268),
    [aux_sym_block_data_statement_token2] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5268),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5268),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5268),
    [aux_sym_use_statement_token2] = ACTIONS(5268),
    [aux_sym_implicit_statement_token3] = ACTIONS(5268),
    [aux_sym_implicit_statement_token4] = ACTIONS(5268),
    [aux_sym_save_statement_token1] = ACTIONS(5268),
    [aux_sym_private_statement_token1] = ACTIONS(5268),
    [aux_sym_public_statement_token1] = ACTIONS(5268),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5268),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5268),
    [aux_sym_variable_attributes_token2] = ACTIONS(5268),
    [aux_sym_variable_attributes_token3] = ACTIONS(5268),
    [aux_sym_variable_attributes_token5] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5268),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5268),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5268),
    [aux_sym_type_qualifier_token1] = ACTIONS(5268),
    [aux_sym_type_qualifier_token2] = ACTIONS(5268),
    [aux_sym_stop_statement_token1] = ACTIONS(5268),
    [aux_sym_stop_statement_token2] = ACTIONS(5268),
    [aux_sym_subroutine_call_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token1] = ACTIONS(5268),
    [aux_sym_keyword_statement_token2] = ACTIONS(5268),
    [aux_sym_keyword_statement_token3] = ACTIONS(5268),
    [aux_sym_keyword_statement_token4] = ACTIONS(5268),
    [aux_sym_keyword_statement_token6] = ACTIONS(5268),
    [aux_sym_keyword_statement_token7] = ACTIONS(5268),
    [aux_sym_include_statement_token1] = ACTIONS(5268),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5268),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5268),
    [aux_sym_end_if_statement_token1] = ACTIONS(5268),
    [aux_sym_elseif_clause_token2] = ACTIONS(5268),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5268),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token1] = ACTIONS(5268),
    [aux_sym_select_case_statement_token3] = ACTIONS(5268),
    [aux_sym_select_type_statement_token1] = ACTIONS(5268),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5268),
    [aux_sym_associate_statement_token1] = ACTIONS(5268),
    [aux_sym_format_statement_token1] = ACTIONS(5268),
    [aux_sym_print_statement_token1] = ACTIONS(5268),
    [aux_sym_open_statement_token1] = ACTIONS(5268),
    [aux_sym_close_statement_token1] = ACTIONS(5268),
    [aux_sym_inquire_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token1] = ACTIONS(5268),
    [aux_sym_file_position_statement_token2] = ACTIONS(5268),
    [aux_sym_file_position_statement_token3] = ACTIONS(5268),
    [aux_sym_file_position_statement_token4] = ACTIONS(5268),
    [aux_sym_allocate_statement_token1] = ACTIONS(5268),
    [aux_sym_entry_statement_token1] = ACTIONS(5268),
    [aux_sym_assign_statement_token1] = ACTIONS(5268),
    [aux_sym_logical_expression_token5] = ACTIONS(5270),
    [anon_sym_DOT] = ACTIONS(5268),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [aux_sym_boolean_literal_token1] = ACTIONS(5270),
    [aux_sym_boolean_literal_token2] = ACTIONS(5270),
    [aux_sym_null_literal_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_statement_token2] = ACTIONS(5268),
    [aux_sym_coarray_statement_token6] = ACTIONS(5268),
    [aux_sym_coarray_statement_token8] = ACTIONS(5268),
    [aux_sym_coarray_statement_token11] = ACTIONS(5268),
    [aux_sym_coarray_statement_token12] = ACTIONS(5268),
    [aux_sym_coarray_statement_token13] = ACTIONS(5268),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5268),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5268),
    [aux_sym_identifier_token1] = ACTIONS(5268),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5270),
    [sym__float_literal] = ACTIONS(5270),
    [sym__boz_literal] = ACTIONS(5270),
    [sym__string_literal] = ACTIONS(5270),
    [sym__string_literal_kind] = ACTIONS(5270),
  },
  [3495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [aux_sym_block_data_statement_token1] = ACTIONS(5272),
    [aux_sym_block_data_statement_token2] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5272),
    [aux_sym_use_statement_token2] = ACTIONS(5272),
    [aux_sym_implicit_statement_token3] = ACTIONS(5272),
    [aux_sym_implicit_statement_token4] = ACTIONS(5272),
    [aux_sym_save_statement_token1] = ACTIONS(5272),
    [aux_sym_private_statement_token1] = ACTIONS(5272),
    [aux_sym_public_statement_token1] = ACTIONS(5272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5272),
    [aux_sym_variable_attributes_token2] = ACTIONS(5272),
    [aux_sym_variable_attributes_token3] = ACTIONS(5272),
    [aux_sym_variable_attributes_token5] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5272),
    [aux_sym_type_qualifier_token1] = ACTIONS(5272),
    [aux_sym_type_qualifier_token2] = ACTIONS(5272),
    [aux_sym_stop_statement_token1] = ACTIONS(5272),
    [aux_sym_stop_statement_token2] = ACTIONS(5272),
    [aux_sym_subroutine_call_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token1] = ACTIONS(5272),
    [aux_sym_keyword_statement_token2] = ACTIONS(5272),
    [aux_sym_keyword_statement_token3] = ACTIONS(5272),
    [aux_sym_keyword_statement_token4] = ACTIONS(5272),
    [aux_sym_keyword_statement_token6] = ACTIONS(5272),
    [aux_sym_keyword_statement_token7] = ACTIONS(5272),
    [aux_sym_include_statement_token1] = ACTIONS(5272),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5272),
    [aux_sym_end_if_statement_token1] = ACTIONS(5272),
    [aux_sym_elseif_clause_token2] = ACTIONS(5272),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5272),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token1] = ACTIONS(5272),
    [aux_sym_select_case_statement_token3] = ACTIONS(5272),
    [aux_sym_select_type_statement_token1] = ACTIONS(5272),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5272),
    [aux_sym_associate_statement_token1] = ACTIONS(5272),
    [aux_sym_format_statement_token1] = ACTIONS(5272),
    [aux_sym_print_statement_token1] = ACTIONS(5272),
    [aux_sym_open_statement_token1] = ACTIONS(5272),
    [aux_sym_close_statement_token1] = ACTIONS(5272),
    [aux_sym_inquire_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token1] = ACTIONS(5272),
    [aux_sym_file_position_statement_token2] = ACTIONS(5272),
    [aux_sym_file_position_statement_token3] = ACTIONS(5272),
    [aux_sym_file_position_statement_token4] = ACTIONS(5272),
    [aux_sym_allocate_statement_token1] = ACTIONS(5272),
    [aux_sym_entry_statement_token1] = ACTIONS(5272),
    [aux_sym_assign_statement_token1] = ACTIONS(5272),
    [aux_sym_logical_expression_token5] = ACTIONS(5274),
    [anon_sym_DOT] = ACTIONS(5272),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [aux_sym_boolean_literal_token1] = ACTIONS(5274),
    [aux_sym_boolean_literal_token2] = ACTIONS(5274),
    [aux_sym_null_literal_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_statement_token2] = ACTIONS(5272),
    [aux_sym_coarray_statement_token6] = ACTIONS(5272),
    [aux_sym_coarray_statement_token8] = ACTIONS(5272),
    [aux_sym_coarray_statement_token11] = ACTIONS(5272),
    [aux_sym_coarray_statement_token12] = ACTIONS(5272),
    [aux_sym_coarray_statement_token13] = ACTIONS(5272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5272),
    [aux_sym_identifier_token1] = ACTIONS(5272),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5274),
    [sym__float_literal] = ACTIONS(5274),
    [sym__boz_literal] = ACTIONS(5274),
    [sym__string_literal] = ACTIONS(5274),
    [sym__string_literal_kind] = ACTIONS(5274),
  },
  [3496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2773),
    [aux_sym_preproc_def_token1] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2773),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(7005),
    [aux_sym_block_data_statement_token1] = ACTIONS(2773),
    [aux_sym_block_data_statement_token2] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2773),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2773),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2773),
    [aux_sym_use_statement_token2] = ACTIONS(2773),
    [aux_sym_implicit_statement_token3] = ACTIONS(2773),
    [aux_sym_implicit_statement_token4] = ACTIONS(2773),
    [aux_sym_save_statement_token1] = ACTIONS(2773),
    [aux_sym_private_statement_token1] = ACTIONS(2773),
    [aux_sym_public_statement_token1] = ACTIONS(2773),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2773),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2773),
    [aux_sym_variable_attributes_token2] = ACTIONS(2773),
    [aux_sym_variable_attributes_token3] = ACTIONS(2773),
    [aux_sym_variable_attributes_token5] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2773),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2773),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2773),
    [aux_sym_type_qualifier_token1] = ACTIONS(2773),
    [aux_sym_type_qualifier_token2] = ACTIONS(2773),
    [aux_sym_stop_statement_token1] = ACTIONS(2773),
    [aux_sym_stop_statement_token2] = ACTIONS(2773),
    [aux_sym_subroutine_call_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token1] = ACTIONS(2773),
    [aux_sym_keyword_statement_token2] = ACTIONS(2773),
    [aux_sym_keyword_statement_token3] = ACTIONS(2773),
    [aux_sym_keyword_statement_token4] = ACTIONS(2773),
    [aux_sym_keyword_statement_token6] = ACTIONS(2773),
    [aux_sym_keyword_statement_token7] = ACTIONS(2773),
    [aux_sym_include_statement_token1] = ACTIONS(2773),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2773),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2773),
    [aux_sym_end_if_statement_token1] = ACTIONS(2773),
    [aux_sym_elseif_clause_token2] = ACTIONS(2773),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2773),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token1] = ACTIONS(2773),
    [aux_sym_select_case_statement_token3] = ACTIONS(2773),
    [aux_sym_select_type_statement_token1] = ACTIONS(2773),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2773),
    [aux_sym_associate_statement_token1] = ACTIONS(2773),
    [aux_sym_format_statement_token1] = ACTIONS(2773),
    [aux_sym_print_statement_token1] = ACTIONS(2773),
    [aux_sym_open_statement_token1] = ACTIONS(2773),
    [aux_sym_close_statement_token1] = ACTIONS(2773),
    [aux_sym_inquire_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token1] = ACTIONS(2773),
    [aux_sym_file_position_statement_token2] = ACTIONS(2773),
    [aux_sym_file_position_statement_token3] = ACTIONS(2773),
    [aux_sym_file_position_statement_token4] = ACTIONS(2773),
    [aux_sym_allocate_statement_token1] = ACTIONS(2773),
    [aux_sym_entry_statement_token1] = ACTIONS(2773),
    [aux_sym_assign_statement_token1] = ACTIONS(2773),
    [aux_sym_logical_expression_token5] = ACTIONS(7005),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7005),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [aux_sym_boolean_literal_token1] = ACTIONS(7005),
    [aux_sym_boolean_literal_token2] = ACTIONS(7005),
    [aux_sym_null_literal_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_statement_token2] = ACTIONS(2773),
    [aux_sym_coarray_statement_token6] = ACTIONS(2773),
    [aux_sym_coarray_statement_token8] = ACTIONS(2773),
    [aux_sym_coarray_statement_token11] = ACTIONS(2773),
    [aux_sym_coarray_statement_token12] = ACTIONS(2773),
    [aux_sym_coarray_statement_token13] = ACTIONS(2773),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2773),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2773),
    [aux_sym_identifier_token1] = ACTIONS(2773),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7005),
    [sym__float_literal] = ACTIONS(7005),
    [sym__boz_literal] = ACTIONS(7005),
    [sym__string_literal] = ACTIONS(7005),
    [sym__string_literal_kind] = ACTIONS(7005),
  },
  [3497] = {
    [sym__expression] = STATE(5261),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9041),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3498] = {
    [sym__expression] = STATE(4827),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(4721),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3499] = {
    [sym__expression] = STATE(5312),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9509),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3500] = {
    [sym__expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_nil_literal] = STATE(9136),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_nil_literal_token1] = ACTIONS(8033),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [aux_sym_block_data_statement_token1] = ACTIONS(5276),
    [aux_sym_block_data_statement_token2] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5276),
    [aux_sym_use_statement_token2] = ACTIONS(5276),
    [aux_sym_implicit_statement_token3] = ACTIONS(5276),
    [aux_sym_implicit_statement_token4] = ACTIONS(5276),
    [aux_sym_save_statement_token1] = ACTIONS(5276),
    [aux_sym_private_statement_token1] = ACTIONS(5276),
    [aux_sym_public_statement_token1] = ACTIONS(5276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5276),
    [aux_sym_variable_attributes_token2] = ACTIONS(5276),
    [aux_sym_variable_attributes_token3] = ACTIONS(5276),
    [aux_sym_variable_attributes_token5] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5276),
    [aux_sym_type_qualifier_token1] = ACTIONS(5276),
    [aux_sym_type_qualifier_token2] = ACTIONS(5276),
    [aux_sym_stop_statement_token1] = ACTIONS(5276),
    [aux_sym_stop_statement_token2] = ACTIONS(5276),
    [aux_sym_subroutine_call_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token1] = ACTIONS(5276),
    [aux_sym_keyword_statement_token2] = ACTIONS(5276),
    [aux_sym_keyword_statement_token3] = ACTIONS(5276),
    [aux_sym_keyword_statement_token4] = ACTIONS(5276),
    [aux_sym_keyword_statement_token6] = ACTIONS(5276),
    [aux_sym_keyword_statement_token7] = ACTIONS(5276),
    [aux_sym_include_statement_token1] = ACTIONS(5276),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5276),
    [aux_sym_end_if_statement_token1] = ACTIONS(5276),
    [aux_sym_elseif_clause_token2] = ACTIONS(5276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5276),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token1] = ACTIONS(5276),
    [aux_sym_select_case_statement_token3] = ACTIONS(5276),
    [aux_sym_select_type_statement_token1] = ACTIONS(5276),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5276),
    [aux_sym_associate_statement_token1] = ACTIONS(5276),
    [aux_sym_format_statement_token1] = ACTIONS(5276),
    [aux_sym_print_statement_token1] = ACTIONS(5276),
    [aux_sym_open_statement_token1] = ACTIONS(5276),
    [aux_sym_close_statement_token1] = ACTIONS(5276),
    [aux_sym_inquire_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token1] = ACTIONS(5276),
    [aux_sym_file_position_statement_token2] = ACTIONS(5276),
    [aux_sym_file_position_statement_token3] = ACTIONS(5276),
    [aux_sym_file_position_statement_token4] = ACTIONS(5276),
    [aux_sym_allocate_statement_token1] = ACTIONS(5276),
    [aux_sym_entry_statement_token1] = ACTIONS(5276),
    [aux_sym_assign_statement_token1] = ACTIONS(5276),
    [aux_sym_logical_expression_token5] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5276),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [aux_sym_boolean_literal_token1] = ACTIONS(5278),
    [aux_sym_boolean_literal_token2] = ACTIONS(5278),
    [aux_sym_null_literal_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_statement_token2] = ACTIONS(5276),
    [aux_sym_coarray_statement_token6] = ACTIONS(5276),
    [aux_sym_coarray_statement_token8] = ACTIONS(5276),
    [aux_sym_coarray_statement_token11] = ACTIONS(5276),
    [aux_sym_coarray_statement_token12] = ACTIONS(5276),
    [aux_sym_coarray_statement_token13] = ACTIONS(5276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5276),
    [aux_sym_identifier_token1] = ACTIONS(5276),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5278),
    [sym__float_literal] = ACTIONS(5278),
    [sym__boz_literal] = ACTIONS(5278),
    [sym__string_literal] = ACTIONS(5278),
    [sym__string_literal_kind] = ACTIONS(5278),
  },
  [3502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6841),
    [aux_sym_preproc_def_token1] = ACTIONS(6841),
    [aux_sym_preproc_if_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6841),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6841),
    [sym_preproc_directive] = ACTIONS(6841),
    [anon_sym_LPAREN2] = ACTIONS(6841),
    [anon_sym_PLUS] = ACTIONS(6845),
    [anon_sym_DASH] = ACTIONS(6845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6841),
    [anon_sym_SEMI] = ACTIONS(6845),
    [aux_sym_block_data_statement_token1] = ACTIONS(6841),
    [aux_sym_block_data_statement_token2] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6841),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6841),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6841),
    [aux_sym_use_statement_token2] = ACTIONS(6841),
    [aux_sym_implicit_statement_token3] = ACTIONS(6841),
    [aux_sym_implicit_statement_token4] = ACTIONS(6841),
    [aux_sym_save_statement_token1] = ACTIONS(6841),
    [aux_sym_private_statement_token1] = ACTIONS(6841),
    [aux_sym_public_statement_token1] = ACTIONS(6841),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6841),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6841),
    [aux_sym_variable_attributes_token2] = ACTIONS(6841),
    [aux_sym_variable_attributes_token3] = ACTIONS(6841),
    [aux_sym_variable_attributes_token5] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6841),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6841),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6841),
    [aux_sym_type_qualifier_token1] = ACTIONS(6841),
    [aux_sym_type_qualifier_token2] = ACTIONS(6841),
    [aux_sym_stop_statement_token1] = ACTIONS(6841),
    [aux_sym_stop_statement_token2] = ACTIONS(6841),
    [aux_sym_subroutine_call_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token1] = ACTIONS(6841),
    [aux_sym_keyword_statement_token2] = ACTIONS(6841),
    [aux_sym_keyword_statement_token3] = ACTIONS(6841),
    [aux_sym_keyword_statement_token4] = ACTIONS(6841),
    [aux_sym_keyword_statement_token6] = ACTIONS(6841),
    [aux_sym_keyword_statement_token7] = ACTIONS(6841),
    [aux_sym_include_statement_token1] = ACTIONS(6841),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6841),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6841),
    [aux_sym_end_if_statement_token1] = ACTIONS(6841),
    [aux_sym_elseif_clause_token2] = ACTIONS(6841),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6841),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token1] = ACTIONS(6841),
    [aux_sym_select_case_statement_token3] = ACTIONS(6841),
    [aux_sym_select_type_statement_token1] = ACTIONS(6841),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6841),
    [aux_sym_associate_statement_token1] = ACTIONS(6841),
    [aux_sym_format_statement_token1] = ACTIONS(6841),
    [aux_sym_print_statement_token1] = ACTIONS(6841),
    [aux_sym_open_statement_token1] = ACTIONS(6841),
    [aux_sym_close_statement_token1] = ACTIONS(6841),
    [aux_sym_inquire_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token1] = ACTIONS(6841),
    [aux_sym_file_position_statement_token2] = ACTIONS(6841),
    [aux_sym_file_position_statement_token3] = ACTIONS(6841),
    [aux_sym_file_position_statement_token4] = ACTIONS(6841),
    [aux_sym_allocate_statement_token1] = ACTIONS(6841),
    [aux_sym_entry_statement_token1] = ACTIONS(6841),
    [aux_sym_assign_statement_token1] = ACTIONS(6841),
    [aux_sym_logical_expression_token5] = ACTIONS(6845),
    [anon_sym_DOT] = ACTIONS(6841),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6845),
    [aux_sym_boolean_literal_token1] = ACTIONS(6845),
    [aux_sym_boolean_literal_token2] = ACTIONS(6845),
    [aux_sym_null_literal_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_statement_token2] = ACTIONS(6841),
    [aux_sym_coarray_statement_token6] = ACTIONS(6841),
    [aux_sym_coarray_statement_token8] = ACTIONS(6841),
    [aux_sym_coarray_statement_token11] = ACTIONS(6841),
    [aux_sym_coarray_statement_token12] = ACTIONS(6841),
    [aux_sym_coarray_statement_token13] = ACTIONS(6841),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6841),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6841),
    [aux_sym_identifier_token1] = ACTIONS(6841),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6845),
    [sym__float_literal] = ACTIONS(6845),
    [sym__boz_literal] = ACTIONS(6845),
    [sym__string_literal] = ACTIONS(6845),
    [sym__string_literal_kind] = ACTIONS(6845),
  },
  [3503] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(8577),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3504] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9183),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3505] = {
    [sym_data_set] = STATE(3867),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5456),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5456),
    [sym_implied_do_loop_expression] = STATE(5456),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5456),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3506] = {
    [sym_triplet_spec] = STATE(8451),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(5931),
    [sym_relational_expression] = STATE(5931),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5941),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3507] = {
    [sym_triplet_spec] = STATE(8451),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(5933),
    [sym_relational_expression] = STATE(5933),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5941),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3508] = {
    [sym_concurrent_control] = STATE(8429),
    [sym__expression] = STATE(5287),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5834),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3509] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9121),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3510] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9228),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3511] = {
    [sym__expression] = STATE(5118),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [anon_sym_RBRACK] = ACTIONS(8051),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3512] = {
    [sym__expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_COMMA] = ACTIONS(8053),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3513] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9531),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3514] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9424),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3515] = {
    [sym_concurrent_control] = STATE(8429),
    [sym__expression] = STATE(5302),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5834),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3516] = {
    [sym_triplet_spec] = STATE(8451),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(5940),
    [sym_relational_expression] = STATE(5940),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5941),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3517] = {
    [sym__expression] = STATE(5173),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_COMMA] = ACTIONS(8055),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3518] = {
    [sym_pointer_association_statement] = STATE(9544),
    [sym__expression] = STATE(5212),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3519] = {
    [sym_input_item_list] = STATE(8130),
    [sym__expression] = STATE(5062),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3520] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9141),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3521] = {
    [sym_triplet_spec] = STATE(8451),
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(5926),
    [sym_relational_expression] = STATE(5926),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5941),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3522] = {
    [sym_output_item_list] = STATE(8281),
    [sym__expression] = STATE(5066),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3523] = {
    [sym_concurrent_control] = STATE(8429),
    [sym__expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5834),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3524] = {
    [sym_concurrent_control] = STATE(8429),
    [sym__expression] = STATE(5309),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5834),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3525] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_loop_control_expression] = STATE(9259),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5683),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3526] = {
    [sym__expression] = STATE(5181),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_COMMA] = ACTIONS(8057),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3527] = {
    [sym__expression] = STATE(5164),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_SLASH_RPAREN] = ACTIONS(8051),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3528] = {
    [sym__expression] = STATE(5128),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3529] = {
    [sym__name] = STATE(7301),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5789),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8059),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8061),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8059),
  },
  [3530] = {
    [sym__expression] = STATE(5015),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3531] = {
    [sym__expression] = STATE(4945),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3532] = {
    [sym__expression] = STATE(5006),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3533] = {
    [sym__expression] = STATE(4946),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3534] = {
    [sym__expression] = STATE(4973),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3535] = {
    [sym__name] = STATE(7674),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5438),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8063),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8065),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8063),
  },
  [3536] = {
    [sym__expression] = STATE(4947),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3537] = {
    [sym__expression] = STATE(4948),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3538] = {
    [sym__name] = STATE(7677),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5440),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8067),
  },
  [3539] = {
    [sym__expression] = STATE(4949),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3540] = {
    [sym__name] = STATE(8071),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(4979),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8071),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8071),
  },
  [3541] = {
    [sym__expression] = STATE(4950),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3542] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5678),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5678),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3543] = {
    [sym__expression] = STATE(4951),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3544] = {
    [sym__expression] = STATE(4952),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3545] = {
    [sym__expression] = STATE(4937),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3546] = {
    [sym__expression] = STATE(5205),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3547] = {
    [sym__expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3548] = {
    [sym__expression] = STATE(5166),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3549] = {
    [sym__expression] = STATE(5069),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3550] = {
    [sym__expression] = STATE(5007),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3551] = {
    [sym__expression] = STATE(5257),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3552] = {
    [sym__expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3553] = {
    [sym__expression] = STATE(5172),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3554] = {
    [sym__expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3555] = {
    [sym__expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3556] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5939),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5939),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3557] = {
    [sym__expression] = STATE(5060),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3558] = {
    [sym__name] = STATE(7724),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5713),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8075),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8075),
  },
  [3559] = {
    [sym__name] = STATE(7432),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5245),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8079),
  },
  [3560] = {
    [sym__name] = STATE(7726),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5716),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8083),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8083),
  },
  [3561] = {
    [sym__expression] = STATE(4811),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3562] = {
    [sym__name] = STATE(8077),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(4992),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8087),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8087),
  },
  [3563] = {
    [sym__expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3564] = {
    [sym__expression] = STATE(5094),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5897),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5897),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5897),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3565] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5922),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5922),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(5922),
    [sym_number_literal] = STATE(5922),
    [sym_boolean_literal] = STATE(5922),
    [sym_null_literal] = STATE(5922),
    [sym_string_literal] = STATE(5922),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5922),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3566] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5587),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5587),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3567] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5934),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(5934),
    [sym_implied_do_loop_expression] = STATE(5934),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5934),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3568] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5689),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5689),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(5689),
    [sym_number_literal] = STATE(5694),
    [sym_boolean_literal] = STATE(5689),
    [sym_null_literal] = STATE(5689),
    [sym_string_literal] = STATE(5689),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5689),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3569] = {
    [sym__expression] = STATE(5243),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3570] = {
    [sym__name] = STATE(8102),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1169),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8091),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8091),
  },
  [3571] = {
    [sym__expression] = STATE(5153),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3572] = {
    [sym__expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3573] = {
    [sym__expression] = STATE(5132),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3574] = {
    [sym__expression] = STATE(5196),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3575] = {
    [sym__expression] = STATE(5133),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3576] = {
    [sym__name] = STATE(7579),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5901),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8095),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8097),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8095),
  },
  [3577] = {
    [sym__name] = STATE(7493),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1016),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8099),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8101),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8099),
  },
  [3578] = {
    [sym__expression] = STATE(5136),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3579] = {
    [sym__name] = STATE(7298),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5787),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8103),
  },
  [3580] = {
    [sym__expression] = STATE(5240),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3581] = {
    [sym__expression] = STATE(5241),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3582] = {
    [sym__name] = STATE(8105),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1171),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8107),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8109),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8107),
  },
  [3583] = {
    [sym__expression] = STATE(5173),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3584] = {
    [sym__expression] = STATE(4965),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3585] = {
    [sym__expression] = STATE(5143),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3586] = {
    [sym__expression] = STATE(5299),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3587] = {
    [sym__expression] = STATE(5145),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3588] = {
    [sym__name] = STATE(7807),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1194),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8111),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8113),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8111),
  },
  [3589] = {
    [sym__name] = STATE(7582),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5903),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8115),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8117),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8115),
  },
  [3590] = {
    [sym__expression] = STATE(5168),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3591] = {
    [sym__name] = STATE(7600),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5646),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8119),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8119),
  },
  [3592] = {
    [sym__name] = STATE(8019),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5599),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8123),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8125),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8123),
  },
  [3593] = {
    [sym__expression] = STATE(5227),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3594] = {
    [sym__expression] = STATE(4966),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3595] = {
    [sym__expression] = STATE(5012),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3596] = {
    [sym__expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3597] = {
    [sym__expression] = STATE(5014),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3598] = {
    [sym__expression] = STATE(5264),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3599] = {
    [sym__expression] = STATE(5300),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3600] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(5920),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5920),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3601] = {
    [sym__name] = STATE(7461),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5357),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8127),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8129),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8127),
  },
  [3602] = {
    [sym__expression] = STATE(5019),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3603] = {
    [sym__expression] = STATE(5258),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3604] = {
    [sym__name] = STATE(7464),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5362),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8131),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8133),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8131),
  },
  [3605] = {
    [sym__expression] = STATE(5020),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3606] = {
    [sym__name] = STATE(7353),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5760),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8135),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8135),
  },
  [3607] = {
    [sym__expression] = STATE(5089),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3608] = {
    [sym__expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3609] = {
    [sym__name] = STATE(7271),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5709),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8139),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8141),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8139),
  },
  [3610] = {
    [sym__expression] = STATE(4967),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3611] = {
    [sym__expression] = STATE(5021),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3612] = {
    [sym__expression] = STATE(5024),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3613] = {
    [sym__expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3614] = {
    [sym__expression] = STATE(5106),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3615] = {
    [sym__expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3616] = {
    [sym__expression] = STATE(5026),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3617] = {
    [sym__expression] = STATE(5045),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3618] = {
    [sym__expression] = STATE(5095),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3619] = {
    [sym__expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3620] = {
    [sym__name] = STATE(7658),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1252),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8143),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8145),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8143),
  },
  [3621] = {
    [sym__expression] = STATE(5232),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3622] = {
    [sym__expression] = STATE(5070),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3623] = {
    [sym__expression] = STATE(5175),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3624] = {
    [sym__expression] = STATE(5165),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3625] = {
    [sym__expression] = STATE(5029),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3626] = {
    [sym__expression] = STATE(5181),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3627] = {
    [sym__name] = STATE(7501),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5553),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8149),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8147),
  },
  [3628] = {
    [sym__expression] = STATE(5113),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3629] = {
    [sym__expression] = STATE(5090),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3630] = {
    [sym__expression] = STATE(5004),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3631] = {
    [sym__expression] = STATE(5281),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3632] = {
    [sym__expression] = STATE(5182),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3633] = {
    [sym__expression] = STATE(5152),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3634] = {
    [sym__expression] = STATE(5001),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3635] = {
    [sym__expression] = STATE(5092),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5900),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5900),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5900),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3636] = {
    [sym__expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3637] = {
    [sym__expression] = STATE(5144),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3638] = {
    [sym__expression] = STATE(5154),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3639] = {
    [sym__expression] = STATE(5229),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3640] = {
    [sym__expression] = STATE(5317),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3641] = {
    [sym__expression] = STATE(5155),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3642] = {
    [sym__name] = STATE(7459),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1041),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8151),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8153),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8151),
  },
  [3643] = {
    [sym__expression] = STATE(5329),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3644] = {
    [sym__expression] = STATE(5011),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3645] = {
    [sym__expression] = STATE(5005),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3646] = {
    [sym__expression] = STATE(4942),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3647] = {
    [sym__expression] = STATE(5188),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3648] = {
    [sym__name] = STATE(7949),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1059),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_program_statement_token1] = ACTIONS(8155),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8157),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8157),
  },
  [3649] = {
    [sym__expression] = STATE(5221),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3650] = {
    [sym__expression] = STATE(5109),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5897),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5897),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5897),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3651] = {
    [sym__expression] = STATE(5222),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3652] = {
    [sym__expression] = STATE(5185),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3653] = {
    [sym__expression] = STATE(4968),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3654] = {
    [sym__expression] = STATE(5274),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3655] = {
    [sym__expression] = STATE(5197),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3656] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5929),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5929),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(5929),
    [sym_number_literal] = STATE(5930),
    [sym_boolean_literal] = STATE(5929),
    [sym_null_literal] = STATE(5929),
    [sym_string_literal] = STATE(5929),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5929),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3657] = {
    [sym__expression] = STATE(5290),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3658] = {
    [sym__expression] = STATE(4941),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3659] = {
    [sym__name] = STATE(7268),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5651),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8159),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8161),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8159),
  },
  [3660] = {
    [sym__expression] = STATE(5120),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5911),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5911),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5911),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3661] = {
    [sym__expression] = STATE(5147),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3662] = {
    [sym__name] = STATE(7633),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5189),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8163),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8165),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8163),
  },
  [3663] = {
    [sym__expression] = STATE(5313),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3664] = {
    [sym__expression] = STATE(4969),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3665] = {
    [sym__expression] = STATE(5214),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3666] = {
    [sym__expression] = STATE(5203),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3667] = {
    [sym__name] = STATE(7635),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5194),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8167),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8169),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8167),
  },
  [3668] = {
    [sym__expression] = STATE(5122),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3669] = {
    [sym__expression] = STATE(5097),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3670] = {
    [sym__expression] = STATE(5098),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5912),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(5912),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5912),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3671] = {
    [sym__expression] = STATE(5071),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3672] = {
    [sym__expression] = STATE(5096),
    [sym_parenthesized_expression] = STATE(5416),
    [sym_derived_type_member_expression] = STATE(5416),
    [sym_logical_expression] = STATE(5416),
    [sym_relational_expression] = STATE(5416),
    [sym_concatenation_expression] = STATE(5416),
    [sym_math_expression] = STATE(5416),
    [sym_unary_expression] = STATE(5416),
    [sym_user_defined_operator] = STATE(3617),
    [sym_call_expression] = STATE(5416),
    [sym_implied_do_loop_expression] = STATE(5416),
    [sym_array_literal] = STATE(5416),
    [sym__array_constructor_legacy] = STATE(5421),
    [sym__array_constructor_f2003] = STATE(5423),
    [sym_complex_literal] = STATE(5416),
    [sym_number_literal] = STATE(5416),
    [sym_boolean_literal] = STATE(5416),
    [sym_null_literal] = STATE(5416),
    [sym_string_literal] = STATE(5416),
    [sym_coarray_expression] = STATE(5416),
    [sym_conditional_expression] = STATE(5416),
    [sym_identifier] = STATE(5416),
    [anon_sym_LPAREN2] = ACTIONS(6337),
    [anon_sym_PLUS] = ACTIONS(6339),
    [anon_sym_DASH] = ACTIONS(6339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token5] = ACTIONS(6312),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6317),
    [anon_sym_LBRACK] = ACTIONS(6341),
    [aux_sym_boolean_literal_token1] = ACTIONS(6322),
    [aux_sym_boolean_literal_token2] = ACTIONS(6322),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6296),
    [sym__string_literal_kind] = ACTIONS(6298),
  },
  [3673] = {
    [sym__expression] = STATE(5162),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3674] = {
    [sym__expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3675] = {
    [sym__expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(5918),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(5918),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(5918),
    [sym_number_literal] = STATE(5918),
    [sym_boolean_literal] = STATE(5918),
    [sym_null_literal] = STATE(5918),
    [sym_string_literal] = STATE(5918),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(5918),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3676] = {
    [sym__expression] = STATE(5159),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3677] = {
    [sym__expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3678] = {
    [sym__name] = STATE(7785),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5690),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8171),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8173),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8171),
  },
  [3679] = {
    [sym__expression] = STATE(4972),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3549),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8027),
    [anon_sym_DASH] = ACTIONS(8027),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8031),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3680] = {
    [sym__name] = STATE(7383),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5812),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8177),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8175),
  },
  [3681] = {
    [sym__name] = STATE(7787),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5692),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8179),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8179),
  },
  [3682] = {
    [sym__expression] = STATE(5235),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3683] = {
    [sym__expression] = STATE(5158),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3684] = {
    [sym__name] = STATE(7522),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5882),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8183),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8185),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8183),
  },
  [3685] = {
    [sym__expression] = STATE(5093),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3686] = {
    [sym__expression] = STATE(5131),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3686),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(171),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(199),
    [sym__float_literal] = ACTIONS(199),
    [sym__boz_literal] = ACTIONS(199),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3687] = {
    [sym__expression] = STATE(5174),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3688] = {
    [sym__name] = STATE(7524),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5884),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8187),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8189),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8187),
  },
  [3689] = {
    [sym__expression] = STATE(5061),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3690] = {
    [sym__name] = STATE(7709),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1108),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_program_statement_token1] = ACTIONS(8191),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8193),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8193),
  },
  [3691] = {
    [sym__name] = STATE(7947),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1226),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_program_statement_token1] = ACTIONS(8195),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8197),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8197),
  },
  [3692] = {
    [sym__expression] = STATE(5163),
    [sym_parenthesized_expression] = STATE(5493),
    [sym_derived_type_member_expression] = STATE(5493),
    [sym_logical_expression] = STATE(5493),
    [sym_relational_expression] = STATE(5493),
    [sym_concatenation_expression] = STATE(5493),
    [sym_math_expression] = STATE(5493),
    [sym_unary_expression] = STATE(5493),
    [sym_user_defined_operator] = STATE(3668),
    [sym_call_expression] = STATE(5493),
    [sym_implied_do_loop_expression] = STATE(5493),
    [sym_array_literal] = STATE(5493),
    [sym__array_constructor_legacy] = STATE(5494),
    [sym__array_constructor_f2003] = STATE(5495),
    [sym_complex_literal] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_boolean_literal] = STATE(5493),
    [sym_null_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_coarray_expression] = STATE(5493),
    [sym_conditional_expression] = STATE(5493),
    [sym_identifier] = STATE(5493),
    [anon_sym_LPAREN2] = ACTIONS(8003),
    [anon_sym_PLUS] = ACTIONS(8005),
    [anon_sym_DASH] = ACTIONS(8005),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(8007),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8009),
    [anon_sym_LBRACK] = ACTIONS(8011),
    [aux_sym_boolean_literal_token1] = ACTIONS(8013),
    [aux_sym_boolean_literal_token2] = ACTIONS(8013),
    [aux_sym_null_literal_token1] = ACTIONS(8015),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8019),
    [sym__float_literal] = ACTIONS(8019),
    [sym__boz_literal] = ACTIONS(8019),
    [sym__string_literal] = ACTIONS(8021),
    [sym__string_literal_kind] = ACTIONS(8023),
  },
  [3693] = {
    [sym__expression] = STATE(5063),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3694] = {
    [sym__expression] = STATE(4817),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3695] = {
    [sym__expression] = STATE(4828),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3696] = {
    [sym__expression] = STATE(4818),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3697] = {
    [sym__expression] = STATE(4819),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3698] = {
    [sym__expression] = STATE(4820),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3699] = {
    [sym__expression] = STATE(4821),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3700] = {
    [sym__expression] = STATE(4822),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3701] = {
    [sym__expression] = STATE(4823),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3702] = {
    [sym__expression] = STATE(4824),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3703] = {
    [sym__expression] = STATE(4825),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3704] = {
    [sym__expression] = STATE(4826),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3705] = {
    [sym__expression] = STATE(5263),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3689),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6731),
    [anon_sym_DASH] = ACTIONS(6731),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6737),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3706] = {
    [sym__expression] = STATE(4829),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3706),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(8047),
    [anon_sym_DASH] = ACTIONS(8047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6887),
    [aux_sym_block_data_statement_token1] = ACTIONS(6889),
    [aux_sym_block_data_statement_token2] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6889),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6889),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6889),
    [aux_sym_use_statement_token2] = ACTIONS(6889),
    [aux_sym_implicit_statement_token3] = ACTIONS(6891),
    [aux_sym_implicit_statement_token4] = ACTIONS(6889),
    [aux_sym_save_statement_token1] = ACTIONS(6889),
    [aux_sym_private_statement_token1] = ACTIONS(6889),
    [aux_sym_public_statement_token1] = ACTIONS(6889),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6889),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6889),
    [aux_sym_variable_attributes_token2] = ACTIONS(6889),
    [aux_sym_variable_attributes_token3] = ACTIONS(6889),
    [aux_sym_variable_attributes_token5] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6889),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8029),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6891),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6889),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6889),
    [aux_sym_type_qualifier_token1] = ACTIONS(6889),
    [aux_sym_type_qualifier_token2] = ACTIONS(6889),
    [aux_sym_stop_statement_token1] = ACTIONS(6889),
    [aux_sym_stop_statement_token2] = ACTIONS(6889),
    [aux_sym_subroutine_call_token1] = ACTIONS(6891),
    [aux_sym_keyword_statement_token2] = ACTIONS(6889),
    [aux_sym_keyword_statement_token3] = ACTIONS(6889),
    [aux_sym_keyword_statement_token4] = ACTIONS(6897),
    [aux_sym_include_statement_token1] = ACTIONS(6891),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6889),
    [aux_sym_end_if_statement_token1] = ACTIONS(6889),
    [aux_sym_elseif_clause_token2] = ACTIONS(6889),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6891),
    [aux_sym_select_case_statement_token1] = ACTIONS(6899),
    [aux_sym_format_statement_token1] = ACTIONS(6889),
    [aux_sym_print_statement_token1] = ACTIONS(6891),
    [aux_sym_open_statement_token1] = ACTIONS(6891),
    [aux_sym_inquire_statement_token1] = ACTIONS(6889),
    [aux_sym_entry_statement_token1] = ACTIONS(6889),
    [aux_sym_logical_expression_token5] = ACTIONS(8049),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_statement_token2] = ACTIONS(6889),
    [aux_sym_coarray_statement_token6] = ACTIONS(6889),
    [aux_sym_coarray_statement_token8] = ACTIONS(6889),
    [aux_sym_coarray_statement_token11] = ACTIONS(6889),
    [aux_sym_coarray_statement_token12] = ACTIONS(6889),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6889),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6889),
    [aux_sym_identifier_token1] = ACTIONS(6889),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3707] = {
    [sym__expression] = STATE(5190),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3708] = {
    [sym__name] = STATE(7385),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5814),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8199),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8199),
  },
  [3709] = {
    [sym__name] = STATE(7563),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5847),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(8203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8205),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8203),
  },
  [3710] = {
    [sym__expression] = STATE(5285),
    [sym_parenthesized_expression] = STATE(4741),
    [sym_derived_type_member_expression] = STATE(4741),
    [sym_logical_expression] = STATE(4741),
    [sym_relational_expression] = STATE(4741),
    [sym_concatenation_expression] = STATE(4741),
    [sym_math_expression] = STATE(4741),
    [sym_unary_expression] = STATE(4741),
    [sym_user_defined_operator] = STATE(3646),
    [sym_call_expression] = STATE(4741),
    [sym_implied_do_loop_expression] = STATE(4741),
    [sym_array_literal] = STATE(4741),
    [sym__array_constructor_legacy] = STATE(4742),
    [sym__array_constructor_f2003] = STATE(4718),
    [sym_complex_literal] = STATE(4741),
    [sym_number_literal] = STATE(4741),
    [sym_boolean_literal] = STATE(4741),
    [sym_null_literal] = STATE(4741),
    [sym_string_literal] = STATE(4741),
    [sym_coarray_expression] = STATE(4741),
    [sym_conditional_expression] = STATE(4741),
    [sym_identifier] = STATE(4741),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6272),
    [anon_sym_DASH] = ACTIONS(6272),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_logical_expression_token5] = ACTIONS(6288),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [aux_sym_boolean_literal_token1] = ACTIONS(179),
    [aux_sym_boolean_literal_token2] = ACTIONS(179),
    [aux_sym_null_literal_token1] = ACTIONS(181),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
    [sym__string_literal] = ACTIONS(201),
    [sym__string_literal_kind] = ACTIONS(203),
  },
  [3711] = {
    [sym__expression] = STATE(5204),
    [sym_parenthesized_expression] = STATE(5825),
    [sym_derived_type_member_expression] = STATE(5825),
    [sym_logical_expression] = STATE(5825),
    [sym_relational_expression] = STATE(5825),
    [sym_concatenation_expression] = STATE(5825),
    [sym_math_expression] = STATE(5825),
    [sym_unary_expression] = STATE(5825),
    [sym_user_defined_operator] = STATE(3647),
    [sym_call_expression] = STATE(5825),
    [sym_implied_do_loop_expression] = STATE(5825),
    [sym_array_literal] = STATE(5825),
    [sym__array_constructor_legacy] = STATE(5831),
    [sym__array_constructor_f2003] = STATE(5832),
    [sym_complex_literal] = STATE(5825),
    [sym_number_literal] = STATE(5825),
    [sym_boolean_literal] = STATE(5825),
    [sym_null_literal] = STATE(5825),
    [sym_string_literal] = STATE(5825),
    [sym_coarray_expression] = STATE(5825),
    [sym_conditional_expression] = STATE(5825),
    [sym_identifier] = STATE(5825),
    [anon_sym_LPAREN2] = ACTIONS(6781),
    [anon_sym_PLUS] = ACTIONS(6783),
    [anon_sym_DASH] = ACTIONS(6783),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6785),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [aux_sym_implicit_statement_token3] = ACTIONS(6795),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(6795),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_logical_expression_token5] = ACTIONS(6801),
    [anon_sym_DOT] = ACTIONS(173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6803),
    [anon_sym_LBRACK] = ACTIONS(6805),
    [aux_sym_boolean_literal_token1] = ACTIONS(6807),
    [aux_sym_boolean_literal_token2] = ACTIONS(6807),
    [aux_sym_null_literal_token1] = ACTIONS(6809),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6811),
    [sym__float_literal] = ACTIONS(6811),
    [sym__boz_literal] = ACTIONS(6811),
    [sym__string_literal] = ACTIONS(6813),
    [sym__string_literal_kind] = ACTIONS(6815),
  },
  [3712] = {
    [sym__type_name] = STATE(6850),
    [sym_identifier] = STATE(7446),
    [anon_sym_COMMA] = ACTIONS(8207),
    [anon_sym_LPAREN2] = ACTIONS(8209),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8211),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3713] = {
    [sym__name] = STATE(7427),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1237),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8213),
    [anon_sym_SEMI] = ACTIONS(8215),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8215),
  },
  [3714] = {
    [sym__name] = STATE(7627),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1248),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8217),
    [aux_sym_block_data_statement_token1] = ACTIONS(8219),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_block_data_statement_token3] = ACTIONS(8221),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8217),
  },
  [3715] = {
    [sym__name] = STATE(7743),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1119),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_submodule_statement_token1] = ACTIONS(8223),
    [anon_sym_SEMI] = ACTIONS(8225),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8225),
  },
  [3716] = {
    [sym__name] = STATE(8064),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1052),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_submodule_statement_token1] = ACTIONS(8227),
    [anon_sym_SEMI] = ACTIONS(8229),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8229),
  },
  [3717] = {
    [sym__name] = STATE(8062),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1048),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8231),
    [anon_sym_SEMI] = ACTIONS(8233),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8233),
  },
  [3718] = {
    [sym__name] = STATE(8069),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1039),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8235),
    [aux_sym_block_data_statement_token1] = ACTIONS(8237),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_block_data_statement_token3] = ACTIONS(8239),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8235),
  },
  [3719] = {
    [sym__type_name] = STATE(6850),
    [sym_identifier] = STATE(7446),
    [anon_sym_COMMA] = ACTIONS(8207),
    [anon_sym_LPAREN2] = ACTIONS(8241),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8211),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3720] = {
    [sym__name] = STATE(7738),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1117),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8243),
    [anon_sym_SEMI] = ACTIONS(8245),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8245),
  },
  [3721] = {
    [sym__name] = STATE(7751),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1121),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8247),
    [aux_sym_block_data_statement_token1] = ACTIONS(8249),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_block_data_statement_token3] = ACTIONS(8251),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8247),
  },
  [3722] = {
    [sym__type_name] = STATE(6849),
    [sym_identifier] = STATE(7446),
    [anon_sym_COMMA] = ACTIONS(8253),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8255),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3723] = {
    [sym__block_label] = STATE(8438),
    [sym_identifier] = STATE(8431),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(8257),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8257),
  },
  [3724] = {
    [sym__name] = STATE(7472),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1239),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_submodule_statement_token1] = ACTIONS(8259),
    [anon_sym_SEMI] = ACTIONS(8261),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5078),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8261),
  },
  [3725] = {
    [sym__import_names] = STATE(5065),
    [sym_identifier] = STATE(4929),
    [aux_sym_preproc_include_token1] = ACTIONS(8263),
    [aux_sym_preproc_def_token1] = ACTIONS(8263),
    [anon_sym_COMMA] = ACTIONS(8265),
    [aux_sym_preproc_if_token1] = ACTIONS(8263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8263),
    [sym_preproc_directive] = ACTIONS(8263),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8263),
    [aux_sym_module_statement_token1] = ACTIONS(8263),
    [anon_sym_SEMI] = ACTIONS(8267),
    [aux_sym_end_interface_statement_token1] = ACTIONS(8263),
    [aux_sym_block_data_statement_token1] = ACTIONS(6787),
    [aux_sym_block_data_statement_token2] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6787),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6787),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8263),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8263),
    [aux_sym_function_statement_token1] = ACTIONS(8263),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8263),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6787),
    [aux_sym_use_statement_token2] = ACTIONS(6787),
    [anon_sym_COLON_COLON] = ACTIONS(8269),
    [aux_sym_implicit_statement_token3] = ACTIONS(8263),
    [aux_sym_implicit_statement_token4] = ACTIONS(6787),
    [aux_sym_save_statement_token1] = ACTIONS(6787),
    [aux_sym_private_statement_token1] = ACTIONS(6787),
    [aux_sym_public_statement_token1] = ACTIONS(6787),
    [aux_sym_import_statement_token1] = ACTIONS(8263),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6787),
    [aux_sym_procedure_kind_token1] = ACTIONS(8263),
    [aux_sym_procedure_kind_token2] = ACTIONS(8263),
    [aux_sym_procedure_kind_token3] = ACTIONS(8263),
    [aux_sym_procedure_kind_token4] = ACTIONS(8263),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6787),
    [aux_sym_variable_attributes_token2] = ACTIONS(6787),
    [aux_sym_variable_attributes_token3] = ACTIONS(6787),
    [aux_sym_variable_attributes_token5] = ACTIONS(6787),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8263),
    [aux_sym_derived_type_token1] = ACTIONS(8263),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6795),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6787),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6787),
    [aux_sym_type_qualifier_token1] = ACTIONS(6787),
    [aux_sym_type_qualifier_token2] = ACTIONS(6787),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8263),
    [aux_sym_stop_statement_token1] = ACTIONS(6787),
    [aux_sym_stop_statement_token2] = ACTIONS(6787),
    [aux_sym_subroutine_call_token1] = ACTIONS(6795),
    [aux_sym_keyword_statement_token2] = ACTIONS(6787),
    [aux_sym_keyword_statement_token3] = ACTIONS(6787),
    [aux_sym_keyword_statement_token4] = ACTIONS(6797),
    [aux_sym_include_statement_token1] = ACTIONS(8263),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6787),
    [aux_sym_end_if_statement_token1] = ACTIONS(6787),
    [aux_sym_elseif_clause_token2] = ACTIONS(6787),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6795),
    [aux_sym_select_case_statement_token1] = ACTIONS(6799),
    [aux_sym_format_statement_token1] = ACTIONS(6787),
    [aux_sym_print_statement_token1] = ACTIONS(6795),
    [aux_sym_open_statement_token1] = ACTIONS(6795),
    [aux_sym_inquire_statement_token1] = ACTIONS(6787),
    [aux_sym_entry_statement_token1] = ACTIONS(6787),
    [aux_sym_null_literal_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_statement_token2] = ACTIONS(6787),
    [aux_sym_coarray_statement_token6] = ACTIONS(6787),
    [aux_sym_coarray_statement_token8] = ACTIONS(6787),
    [aux_sym_coarray_statement_token11] = ACTIONS(6787),
    [aux_sym_coarray_statement_token12] = ACTIONS(6787),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6787),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6787),
    [aux_sym_identifier_token1] = ACTIONS(6787),
    [sym_comment] = ACTIONS(21),
  },
  [3726] = {
    [sym_identifier] = STATE(8181),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(8025),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8025),
  },
  [3727] = {
    [anon_sym_LPAREN2] = ACTIONS(8271),
    [anon_sym_PLUS] = ACTIONS(8273),
    [anon_sym_DASH] = ACTIONS(8273),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8271),
    [anon_sym_SEMI] = ACTIONS(8273),
    [aux_sym_block_data_statement_token1] = ACTIONS(8271),
    [aux_sym_block_data_statement_token2] = ACTIONS(8271),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8271),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8271),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8271),
    [aux_sym_use_statement_token2] = ACTIONS(8271),
    [aux_sym_implicit_statement_token3] = ACTIONS(8271),
    [aux_sym_implicit_statement_token4] = ACTIONS(8271),
    [aux_sym_save_statement_token1] = ACTIONS(8271),
    [aux_sym_private_statement_token1] = ACTIONS(8271),
    [aux_sym_public_statement_token1] = ACTIONS(8271),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8271),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8271),
    [aux_sym_variable_attributes_token2] = ACTIONS(8271),
    [aux_sym_variable_attributes_token3] = ACTIONS(8271),
    [aux_sym_variable_attributes_token5] = ACTIONS(8271),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8271),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8271),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8271),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8271),
    [aux_sym_type_qualifier_token1] = ACTIONS(8271),
    [aux_sym_type_qualifier_token2] = ACTIONS(8271),
    [aux_sym_stop_statement_token1] = ACTIONS(8271),
    [aux_sym_stop_statement_token2] = ACTIONS(8271),
    [aux_sym_subroutine_call_token1] = ACTIONS(8271),
    [aux_sym_keyword_statement_token1] = ACTIONS(8271),
    [aux_sym_keyword_statement_token2] = ACTIONS(8271),
    [aux_sym_keyword_statement_token3] = ACTIONS(8271),
    [aux_sym_keyword_statement_token4] = ACTIONS(8271),
    [aux_sym_keyword_statement_token6] = ACTIONS(8271),
    [aux_sym_keyword_statement_token7] = ACTIONS(8271),
    [aux_sym_include_statement_token1] = ACTIONS(8271),
    [aux_sym_do_loop_statement_token1] = ACTIONS(8271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8271),
    [aux_sym_end_if_statement_token1] = ACTIONS(8271),
    [aux_sym_elseif_clause_token2] = ACTIONS(8271),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8271),
    [aux_sym__forall_control_expression_token1] = ACTIONS(8271),
    [aux_sym_select_case_statement_token1] = ACTIONS(8271),
    [aux_sym_select_case_statement_token3] = ACTIONS(8271),
    [aux_sym_select_type_statement_token1] = ACTIONS(8271),
    [aux_sym_select_rank_statement_token1] = ACTIONS(8271),
    [aux_sym_associate_statement_token1] = ACTIONS(8271),
    [aux_sym_format_statement_token1] = ACTIONS(8271),
    [aux_sym_print_statement_token1] = ACTIONS(8271),
    [aux_sym_open_statement_token1] = ACTIONS(8271),
    [aux_sym_close_statement_token1] = ACTIONS(8271),
    [aux_sym_inquire_statement_token1] = ACTIONS(8271),
    [aux_sym_file_position_statement_token1] = ACTIONS(8271),
    [aux_sym_file_position_statement_token2] = ACTIONS(8271),
    [aux_sym_file_position_statement_token3] = ACTIONS(8271),
    [aux_sym_file_position_statement_token4] = ACTIONS(8271),
    [aux_sym_allocate_statement_token1] = ACTIONS(8271),
    [aux_sym_entry_statement_token1] = ACTIONS(8271),
    [aux_sym_assign_statement_token1] = ACTIONS(8271),
    [aux_sym_logical_expression_token5] = ACTIONS(8273),
    [anon_sym_DOT] = ACTIONS(8271),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8273),
    [anon_sym_LBRACK] = ACTIONS(8273),
    [aux_sym_boolean_literal_token1] = ACTIONS(8273),
    [aux_sym_boolean_literal_token2] = ACTIONS(8273),
    [aux_sym_null_literal_token1] = ACTIONS(8271),
    [aux_sym_coarray_statement_token1] = ACTIONS(8271),
    [aux_sym_coarray_statement_token2] = ACTIONS(8271),
    [aux_sym_coarray_statement_token6] = ACTIONS(8271),
    [aux_sym_coarray_statement_token8] = ACTIONS(8271),
    [aux_sym_coarray_statement_token11] = ACTIONS(8271),
    [aux_sym_coarray_statement_token12] = ACTIONS(8271),
    [aux_sym_coarray_statement_token13] = ACTIONS(8271),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8271),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8271),
    [aux_sym_identifier_token1] = ACTIONS(8271),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8273),
    [sym__float_literal] = ACTIONS(8273),
    [sym__boz_literal] = ACTIONS(8273),
    [sym__string_literal] = ACTIONS(8273),
    [sym__string_literal_kind] = ACTIONS(8273),
    [sym__external_end_of_statement] = ACTIONS(8273),
  },
  [3728] = {
    [anon_sym_LPAREN2] = ACTIONS(8275),
    [anon_sym_PLUS] = ACTIONS(8277),
    [anon_sym_DASH] = ACTIONS(8277),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8275),
    [anon_sym_SEMI] = ACTIONS(8277),
    [aux_sym_block_data_statement_token1] = ACTIONS(8275),
    [aux_sym_block_data_statement_token2] = ACTIONS(8275),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8275),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8275),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8275),
    [aux_sym_use_statement_token2] = ACTIONS(8275),
    [aux_sym_implicit_statement_token3] = ACTIONS(8275),
    [aux_sym_implicit_statement_token4] = ACTIONS(8275),
    [aux_sym_save_statement_token1] = ACTIONS(8275),
    [aux_sym_private_statement_token1] = ACTIONS(8275),
    [aux_sym_public_statement_token1] = ACTIONS(8275),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8275),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8275),
    [aux_sym_variable_attributes_token2] = ACTIONS(8275),
    [aux_sym_variable_attributes_token3] = ACTIONS(8275),
    [aux_sym_variable_attributes_token5] = ACTIONS(8275),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8275),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8275),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8275),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8275),
    [aux_sym_type_qualifier_token1] = ACTIONS(8275),
    [aux_sym_type_qualifier_token2] = ACTIONS(8275),
    [aux_sym_stop_statement_token1] = ACTIONS(8275),
    [aux_sym_stop_statement_token2] = ACTIONS(8275),
    [aux_sym_subroutine_call_token1] = ACTIONS(8275),
    [aux_sym_keyword_statement_token1] = ACTIONS(8275),
    [aux_sym_keyword_statement_token2] = ACTIONS(8275),
    [aux_sym_keyword_statement_token3] = ACTIONS(8275),
    [aux_sym_keyword_statement_token4] = ACTIONS(8275),
    [aux_sym_keyword_statement_token6] = ACTIONS(8275),
    [aux_sym_keyword_statement_token7] = ACTIONS(8275),
    [aux_sym_include_statement_token1] = ACTIONS(8275),
    [aux_sym_do_loop_statement_token1] = ACTIONS(8275),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8275),
    [aux_sym_end_if_statement_token1] = ACTIONS(8275),
    [aux_sym_elseif_clause_token2] = ACTIONS(8275),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8275),
    [aux_sym__forall_control_expression_token1] = ACTIONS(8275),
    [aux_sym_select_case_statement_token1] = ACTIONS(8275),
    [aux_sym_select_case_statement_token3] = ACTIONS(8275),
    [aux_sym_select_type_statement_token1] = ACTIONS(8275),
    [aux_sym_select_rank_statement_token1] = ACTIONS(8275),
    [aux_sym_associate_statement_token1] = ACTIONS(8275),
    [aux_sym_format_statement_token1] = ACTIONS(8275),
    [aux_sym_print_statement_token1] = ACTIONS(8275),
    [aux_sym_open_statement_token1] = ACTIONS(8275),
    [aux_sym_close_statement_token1] = ACTIONS(8275),
    [aux_sym_inquire_statement_token1] = ACTIONS(8275),
    [aux_sym_file_position_statement_token1] = ACTIONS(8275),
    [aux_sym_file_position_statement_token2] = ACTIONS(8275),
    [aux_sym_file_position_statement_token3] = ACTIONS(8275),
    [aux_sym_file_position_statement_token4] = ACTIONS(8275),
    [aux_sym_allocate_statement_token1] = ACTIONS(8275),
    [aux_sym_entry_statement_token1] = ACTIONS(8275),
    [aux_sym_assign_statement_token1] = ACTIONS(8275),
    [aux_sym_logical_expression_token5] = ACTIONS(8277),
    [anon_sym_DOT] = ACTIONS(8275),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8277),
    [anon_sym_LBRACK] = ACTIONS(8277),
    [aux_sym_boolean_literal_token1] = ACTIONS(8277),
    [aux_sym_boolean_literal_token2] = ACTIONS(8277),
    [aux_sym_null_literal_token1] = ACTIONS(8275),
    [aux_sym_coarray_statement_token1] = ACTIONS(8275),
    [aux_sym_coarray_statement_token2] = ACTIONS(8275),
    [aux_sym_coarray_statement_token6] = ACTIONS(8275),
    [aux_sym_coarray_statement_token8] = ACTIONS(8275),
    [aux_sym_coarray_statement_token11] = ACTIONS(8275),
    [aux_sym_coarray_statement_token12] = ACTIONS(8275),
    [aux_sym_coarray_statement_token13] = ACTIONS(8275),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8275),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8275),
    [aux_sym_identifier_token1] = ACTIONS(8275),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8277),
    [sym__float_literal] = ACTIONS(8277),
    [sym__boz_literal] = ACTIONS(8277),
    [sym__string_literal] = ACTIONS(8277),
    [sym__string_literal_kind] = ACTIONS(8277),
    [sym__external_end_of_statement] = ACTIONS(8277),
  },
  [3729] = {
    [anon_sym_LPAREN2] = ACTIONS(8279),
    [anon_sym_PLUS] = ACTIONS(8281),
    [anon_sym_DASH] = ACTIONS(8281),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8279),
    [anon_sym_SEMI] = ACTIONS(8281),
    [aux_sym_block_data_statement_token1] = ACTIONS(8279),
    [aux_sym_block_data_statement_token2] = ACTIONS(8279),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8279),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8279),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8279),
    [aux_sym_use_statement_token2] = ACTIONS(8279),
    [aux_sym_implicit_statement_token3] = ACTIONS(8279),
    [aux_sym_implicit_statement_token4] = ACTIONS(8279),
    [aux_sym_save_statement_token1] = ACTIONS(8279),
    [aux_sym_private_statement_token1] = ACTIONS(8279),
    [aux_sym_public_statement_token1] = ACTIONS(8279),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8279),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8279),
    [aux_sym_variable_attributes_token2] = ACTIONS(8279),
    [aux_sym_variable_attributes_token3] = ACTIONS(8279),
    [aux_sym_variable_attributes_token5] = ACTIONS(8279),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8279),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8279),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8279),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8279),
    [aux_sym_type_qualifier_token1] = ACTIONS(8279),
    [aux_sym_type_qualifier_token2] = ACTIONS(8279),
    [aux_sym_stop_statement_token1] = ACTIONS(8279),
    [aux_sym_stop_statement_token2] = ACTIONS(8279),
    [aux_sym_subroutine_call_token1] = ACTIONS(8279),
    [aux_sym_keyword_statement_token1] = ACTIONS(8279),
    [aux_sym_keyword_statement_token2] = ACTIONS(8279),
    [aux_sym_keyword_statement_token3] = ACTIONS(8279),
    [aux_sym_keyword_statement_token4] = ACTIONS(8279),
    [aux_sym_keyword_statement_token6] = ACTIONS(8279),
    [aux_sym_keyword_statement_token7] = ACTIONS(8279),
    [aux_sym_include_statement_token1] = ACTIONS(8279),
    [aux_sym_do_loop_statement_token1] = ACTIONS(8279),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8279),
    [aux_sym_end_if_statement_token1] = ACTIONS(8279),
    [aux_sym_elseif_clause_token2] = ACTIONS(8279),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8279),
    [aux_sym__forall_control_expression_token1] = ACTIONS(8279),
    [aux_sym_select_case_statement_token1] = ACTIONS(8279),
    [aux_sym_select_case_statement_token3] = ACTIONS(8279),
    [aux_sym_select_type_statement_token1] = ACTIONS(8279),
    [aux_sym_select_rank_statement_token1] = ACTIONS(8279),
    [aux_sym_associate_statement_token1] = ACTIONS(8279),
    [aux_sym_format_statement_token1] = ACTIONS(8279),
    [aux_sym_print_statement_token1] = ACTIONS(8279),
    [aux_sym_open_statement_token1] = ACTIONS(8279),
    [aux_sym_close_statement_token1] = ACTIONS(8279),
    [aux_sym_inquire_statement_token1] = ACTIONS(8279),
    [aux_sym_file_position_statement_token1] = ACTIONS(8279),
    [aux_sym_file_position_statement_token2] = ACTIONS(8279),
    [aux_sym_file_position_statement_token3] = ACTIONS(8279),
    [aux_sym_file_position_statement_token4] = ACTIONS(8279),
    [aux_sym_allocate_statement_token1] = ACTIONS(8279),
    [aux_sym_entry_statement_token1] = ACTIONS(8279),
    [aux_sym_assign_statement_token1] = ACTIONS(8279),
    [aux_sym_logical_expression_token5] = ACTIONS(8281),
    [anon_sym_DOT] = ACTIONS(8279),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8281),
    [anon_sym_LBRACK] = ACTIONS(8281),
    [aux_sym_boolean_literal_token1] = ACTIONS(8281),
    [aux_sym_boolean_literal_token2] = ACTIONS(8281),
    [aux_sym_null_literal_token1] = ACTIONS(8279),
    [aux_sym_coarray_statement_token1] = ACTIONS(8279),
    [aux_sym_coarray_statement_token2] = ACTIONS(8279),
    [aux_sym_coarray_statement_token6] = ACTIONS(8279),
    [aux_sym_coarray_statement_token8] = ACTIONS(8279),
    [aux_sym_coarray_statement_token11] = ACTIONS(8279),
    [aux_sym_coarray_statement_token12] = ACTIONS(8279),
    [aux_sym_coarray_statement_token13] = ACTIONS(8279),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8279),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8279),
    [aux_sym_identifier_token1] = ACTIONS(8279),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8281),
    [sym__float_literal] = ACTIONS(8281),
    [sym__boz_literal] = ACTIONS(8281),
    [sym__string_literal] = ACTIONS(8281),
    [sym__string_literal_kind] = ACTIONS(8281),
    [sym__external_end_of_statement] = ACTIONS(8281),
  },
  [3730] = {
    [anon_sym_COMMA] = ACTIONS(7135),
    [anon_sym_LPAREN2] = ACTIONS(7135),
    [anon_sym_PLUS] = ACTIONS(7135),
    [anon_sym_DASH] = ACTIONS(7135),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_PERCENT] = ACTIONS(7135),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7137),
    [anon_sym_GT_EQ] = ACTIONS(7135),
    [anon_sym_LT_EQ] = ACTIONS(7135),
    [anon_sym_LT] = ACTIONS(7137),
    [aux_sym_end_program_statement_token1] = ACTIONS(7137),
    [anon_sym_SEMI] = ACTIONS(7135),
    [aux_sym_block_data_statement_token1] = ACTIONS(7137),
    [aux_sym_block_data_statement_token2] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7137),
    [aux_sym_use_statement_token2] = ACTIONS(7137),
    [anon_sym_EQ_GT] = ACTIONS(7135),
    [aux_sym_implicit_statement_token3] = ACTIONS(7137),
    [aux_sym_implicit_statement_token4] = ACTIONS(7137),
    [aux_sym_save_statement_token1] = ACTIONS(7137),
    [aux_sym_private_statement_token1] = ACTIONS(7137),
    [aux_sym_public_statement_token1] = ACTIONS(7137),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7137),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7137),
    [aux_sym_variable_attributes_token2] = ACTIONS(7137),
    [aux_sym_variable_attributes_token3] = ACTIONS(7137),
    [aux_sym_variable_attributes_token5] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7137),
    [aux_sym_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym_stop_statement_token1] = ACTIONS(7137),
    [aux_sym_stop_statement_token2] = ACTIONS(7137),
    [aux_sym_subroutine_call_token1] = ACTIONS(7137),
    [anon_sym_LT_LT_LT] = ACTIONS(7135),
    [aux_sym_keyword_statement_token2] = ACTIONS(7137),
    [aux_sym_keyword_statement_token3] = ACTIONS(7137),
    [aux_sym_keyword_statement_token4] = ACTIONS(7137),
    [aux_sym_include_statement_token1] = ACTIONS(7137),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7137),
    [aux_sym_end_if_statement_token1] = ACTIONS(7137),
    [aux_sym_elseif_clause_token2] = ACTIONS(7137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7137),
    [aux_sym_select_case_statement_token1] = ACTIONS(7137),
    [aux_sym_format_statement_token1] = ACTIONS(7137),
    [aux_sym_print_statement_token1] = ACTIONS(7137),
    [aux_sym_open_statement_token1] = ACTIONS(7137),
    [aux_sym_inquire_statement_token1] = ACTIONS(7137),
    [aux_sym_entry_statement_token1] = ACTIONS(7137),
    [aux_sym_logical_expression_token1] = ACTIONS(7135),
    [aux_sym_logical_expression_token2] = ACTIONS(7135),
    [aux_sym_logical_expression_token3] = ACTIONS(7135),
    [aux_sym_logical_expression_token4] = ACTIONS(7135),
    [aux_sym_relational_expression_token1] = ACTIONS(7135),
    [aux_sym_relational_expression_token2] = ACTIONS(7135),
    [aux_sym_relational_expression_token3] = ACTIONS(7135),
    [aux_sym_relational_expression_token4] = ACTIONS(7135),
    [aux_sym_relational_expression_token5] = ACTIONS(7135),
    [anon_sym_SLASH_EQ] = ACTIONS(7135),
    [aux_sym_relational_expression_token6] = ACTIONS(7135),
    [anon_sym_SLASH_SLASH] = ACTIONS(7135),
    [anon_sym_STAR_STAR] = ACTIONS(7135),
    [anon_sym_DOT] = ACTIONS(7137),
    [anon_sym_LBRACK] = ACTIONS(7135),
    [aux_sym_null_literal_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token2] = ACTIONS(7137),
    [aux_sym_coarray_statement_token6] = ACTIONS(7137),
    [aux_sym_coarray_statement_token8] = ACTIONS(7137),
    [aux_sym_coarray_statement_token11] = ACTIONS(7137),
    [aux_sym_coarray_statement_token12] = ACTIONS(7137),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7137),
    [anon_sym_QMARK] = ACTIONS(7135),
    [aux_sym_identifier_token1] = ACTIONS(7137),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7135),
  },
  [3731] = {
    [anon_sym_COMMA] = ACTIONS(6871),
    [anon_sym_LPAREN2] = ACTIONS(6871),
    [anon_sym_PLUS] = ACTIONS(6871),
    [anon_sym_DASH] = ACTIONS(6871),
    [anon_sym_STAR] = ACTIONS(6873),
    [anon_sym_SLASH] = ACTIONS(6873),
    [anon_sym_PERCENT] = ACTIONS(6871),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6873),
    [anon_sym_GT_EQ] = ACTIONS(6871),
    [anon_sym_LT_EQ] = ACTIONS(6871),
    [anon_sym_LT] = ACTIONS(6873),
    [aux_sym_end_program_statement_token1] = ACTIONS(6873),
    [anon_sym_SEMI] = ACTIONS(6871),
    [aux_sym_block_data_statement_token1] = ACTIONS(6873),
    [aux_sym_block_data_statement_token2] = ACTIONS(6873),
    [anon_sym_EQ] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6873),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6873),
    [aux_sym_use_statement_token2] = ACTIONS(6873),
    [anon_sym_EQ_GT] = ACTIONS(6871),
    [aux_sym_implicit_statement_token3] = ACTIONS(6873),
    [aux_sym_implicit_statement_token4] = ACTIONS(6873),
    [aux_sym_save_statement_token1] = ACTIONS(6873),
    [aux_sym_private_statement_token1] = ACTIONS(6873),
    [aux_sym_public_statement_token1] = ACTIONS(6873),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6873),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6873),
    [aux_sym_variable_attributes_token2] = ACTIONS(6873),
    [aux_sym_variable_attributes_token3] = ACTIONS(6873),
    [aux_sym_variable_attributes_token5] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6873),
    [aux_sym_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym_stop_statement_token1] = ACTIONS(6873),
    [aux_sym_stop_statement_token2] = ACTIONS(6873),
    [aux_sym_subroutine_call_token1] = ACTIONS(6873),
    [anon_sym_LT_LT_LT] = ACTIONS(6871),
    [aux_sym_keyword_statement_token2] = ACTIONS(6873),
    [aux_sym_keyword_statement_token3] = ACTIONS(6873),
    [aux_sym_keyword_statement_token4] = ACTIONS(6873),
    [aux_sym_include_statement_token1] = ACTIONS(6873),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6873),
    [aux_sym_end_if_statement_token1] = ACTIONS(6873),
    [aux_sym_elseif_clause_token2] = ACTIONS(6873),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6873),
    [aux_sym_select_case_statement_token1] = ACTIONS(6873),
    [aux_sym_format_statement_token1] = ACTIONS(6873),
    [aux_sym_print_statement_token1] = ACTIONS(6873),
    [aux_sym_open_statement_token1] = ACTIONS(6873),
    [aux_sym_inquire_statement_token1] = ACTIONS(6873),
    [aux_sym_entry_statement_token1] = ACTIONS(6873),
    [aux_sym_logical_expression_token1] = ACTIONS(6871),
    [aux_sym_logical_expression_token2] = ACTIONS(6871),
    [aux_sym_logical_expression_token3] = ACTIONS(6871),
    [aux_sym_logical_expression_token4] = ACTIONS(6871),
    [aux_sym_relational_expression_token1] = ACTIONS(6871),
    [aux_sym_relational_expression_token2] = ACTIONS(6871),
    [aux_sym_relational_expression_token3] = ACTIONS(6871),
    [aux_sym_relational_expression_token4] = ACTIONS(6871),
    [aux_sym_relational_expression_token5] = ACTIONS(6871),
    [anon_sym_SLASH_EQ] = ACTIONS(6871),
    [aux_sym_relational_expression_token6] = ACTIONS(6871),
    [anon_sym_SLASH_SLASH] = ACTIONS(6871),
    [anon_sym_STAR_STAR] = ACTIONS(6871),
    [anon_sym_DOT] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6871),
    [aux_sym_null_literal_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token2] = ACTIONS(6873),
    [aux_sym_coarray_statement_token6] = ACTIONS(6873),
    [aux_sym_coarray_statement_token8] = ACTIONS(6873),
    [aux_sym_coarray_statement_token11] = ACTIONS(6873),
    [aux_sym_coarray_statement_token12] = ACTIONS(6873),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6873),
    [anon_sym_QMARK] = ACTIONS(6871),
    [aux_sym_identifier_token1] = ACTIONS(6873),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6871),
  },
  [3732] = {
    [anon_sym_LPAREN2] = ACTIONS(8283),
    [anon_sym_PLUS] = ACTIONS(8285),
    [anon_sym_DASH] = ACTIONS(8285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8283),
    [anon_sym_SEMI] = ACTIONS(8285),
    [aux_sym_block_data_statement_token1] = ACTIONS(8283),
    [aux_sym_block_data_statement_token2] = ACTIONS(8283),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8283),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8283),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8283),
    [aux_sym_use_statement_token2] = ACTIONS(8283),
    [aux_sym_implicit_statement_token3] = ACTIONS(8283),
    [aux_sym_implicit_statement_token4] = ACTIONS(8283),
    [aux_sym_save_statement_token1] = ACTIONS(8283),
    [aux_sym_private_statement_token1] = ACTIONS(8283),
    [aux_sym_public_statement_token1] = ACTIONS(8283),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8283),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8283),
    [aux_sym_variable_attributes_token2] = ACTIONS(8283),
    [aux_sym_variable_attributes_token3] = ACTIONS(8283),
    [aux_sym_variable_attributes_token5] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8283),
    [aux_sym_type_qualifier_token1] = ACTIONS(8283),
    [aux_sym_type_qualifier_token2] = ACTIONS(8283),
    [aux_sym_stop_statement_token1] = ACTIONS(8283),
    [aux_sym_stop_statement_token2] = ACTIONS(8283),
    [aux_sym_subroutine_call_token1] = ACTIONS(8283),
    [aux_sym_keyword_statement_token1] = ACTIONS(8283),
    [aux_sym_keyword_statement_token2] = ACTIONS(8283),
    [aux_sym_keyword_statement_token3] = ACTIONS(8283),
    [aux_sym_keyword_statement_token4] = ACTIONS(8283),
    [aux_sym_keyword_statement_token6] = ACTIONS(8283),
    [aux_sym_keyword_statement_token7] = ACTIONS(8283),
    [aux_sym_include_statement_token1] = ACTIONS(8283),
    [aux_sym_do_loop_statement_token1] = ACTIONS(8283),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8283),
    [aux_sym_end_if_statement_token1] = ACTIONS(8283),
    [aux_sym_elseif_clause_token2] = ACTIONS(8283),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8283),
    [aux_sym__forall_control_expression_token1] = ACTIONS(8283),
    [aux_sym_select_case_statement_token1] = ACTIONS(8283),
    [aux_sym_select_case_statement_token3] = ACTIONS(8283),
    [aux_sym_select_type_statement_token1] = ACTIONS(8283),
    [aux_sym_select_rank_statement_token1] = ACTIONS(8283),
    [aux_sym_associate_statement_token1] = ACTIONS(8283),
    [aux_sym_format_statement_token1] = ACTIONS(8283),
    [aux_sym_print_statement_token1] = ACTIONS(8283),
    [aux_sym_open_statement_token1] = ACTIONS(8283),
    [aux_sym_close_statement_token1] = ACTIONS(8283),
    [aux_sym_inquire_statement_token1] = ACTIONS(8283),
    [aux_sym_file_position_statement_token1] = ACTIONS(8283),
    [aux_sym_file_position_statement_token2] = ACTIONS(8283),
    [aux_sym_file_position_statement_token3] = ACTIONS(8283),
    [aux_sym_file_position_statement_token4] = ACTIONS(8283),
    [aux_sym_allocate_statement_token1] = ACTIONS(8283),
    [aux_sym_entry_statement_token1] = ACTIONS(8283),
    [aux_sym_assign_statement_token1] = ACTIONS(8283),
    [aux_sym_logical_expression_token5] = ACTIONS(8285),
    [anon_sym_DOT] = ACTIONS(8283),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8285),
    [anon_sym_LBRACK] = ACTIONS(8285),
    [aux_sym_boolean_literal_token1] = ACTIONS(8285),
    [aux_sym_boolean_literal_token2] = ACTIONS(8285),
    [aux_sym_null_literal_token1] = ACTIONS(8283),
    [aux_sym_coarray_statement_token1] = ACTIONS(8283),
    [aux_sym_coarray_statement_token2] = ACTIONS(8283),
    [aux_sym_coarray_statement_token6] = ACTIONS(8283),
    [aux_sym_coarray_statement_token8] = ACTIONS(8283),
    [aux_sym_coarray_statement_token11] = ACTIONS(8283),
    [aux_sym_coarray_statement_token12] = ACTIONS(8283),
    [aux_sym_coarray_statement_token13] = ACTIONS(8283),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8283),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8283),
    [aux_sym_identifier_token1] = ACTIONS(8283),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8285),
    [sym__float_literal] = ACTIONS(8285),
    [sym__boz_literal] = ACTIONS(8285),
    [sym__string_literal] = ACTIONS(8285),
    [sym__string_literal_kind] = ACTIONS(8285),
    [sym__external_end_of_statement] = ACTIONS(8285),
  },
  [3733] = {
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_LPAREN2] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6923),
    [anon_sym_SLASH] = ACTIONS(6923),
    [anon_sym_PERCENT] = ACTIONS(6921),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6921),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_GT_EQ] = ACTIONS(6921),
    [anon_sym_LT_EQ] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6923),
    [aux_sym_end_program_statement_token1] = ACTIONS(6923),
    [anon_sym_SEMI] = ACTIONS(6921),
    [aux_sym_block_data_statement_token1] = ACTIONS(6923),
    [aux_sym_block_data_statement_token2] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6923),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6923),
    [aux_sym_use_statement_token2] = ACTIONS(6923),
    [anon_sym_EQ_GT] = ACTIONS(6921),
    [aux_sym_implicit_statement_token3] = ACTIONS(6923),
    [aux_sym_implicit_statement_token4] = ACTIONS(6923),
    [aux_sym_save_statement_token1] = ACTIONS(6923),
    [aux_sym_private_statement_token1] = ACTIONS(6923),
    [aux_sym_public_statement_token1] = ACTIONS(6923),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6923),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6923),
    [aux_sym_variable_attributes_token2] = ACTIONS(6923),
    [aux_sym_variable_attributes_token3] = ACTIONS(6923),
    [aux_sym_variable_attributes_token5] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6923),
    [aux_sym_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym_stop_statement_token1] = ACTIONS(6923),
    [aux_sym_stop_statement_token2] = ACTIONS(6923),
    [aux_sym_subroutine_call_token1] = ACTIONS(6923),
    [anon_sym_LT_LT_LT] = ACTIONS(6921),
    [aux_sym_keyword_statement_token2] = ACTIONS(6923),
    [aux_sym_keyword_statement_token3] = ACTIONS(6923),
    [aux_sym_keyword_statement_token4] = ACTIONS(6923),
    [aux_sym_include_statement_token1] = ACTIONS(6923),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6923),
    [aux_sym_end_if_statement_token1] = ACTIONS(6923),
    [aux_sym_elseif_clause_token2] = ACTIONS(6923),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6923),
    [aux_sym_select_case_statement_token1] = ACTIONS(6923),
    [aux_sym_format_statement_token1] = ACTIONS(6923),
    [aux_sym_print_statement_token1] = ACTIONS(6923),
    [aux_sym_open_statement_token1] = ACTIONS(6923),
    [aux_sym_inquire_statement_token1] = ACTIONS(6923),
    [aux_sym_entry_statement_token1] = ACTIONS(6923),
    [aux_sym_logical_expression_token1] = ACTIONS(6921),
    [aux_sym_logical_expression_token2] = ACTIONS(6921),
    [aux_sym_logical_expression_token3] = ACTIONS(6921),
    [aux_sym_logical_expression_token4] = ACTIONS(6921),
    [aux_sym_relational_expression_token1] = ACTIONS(6921),
    [aux_sym_relational_expression_token2] = ACTIONS(6921),
    [aux_sym_relational_expression_token3] = ACTIONS(6921),
    [aux_sym_relational_expression_token4] = ACTIONS(6921),
    [aux_sym_relational_expression_token5] = ACTIONS(6921),
    [anon_sym_SLASH_EQ] = ACTIONS(6921),
    [aux_sym_relational_expression_token6] = ACTIONS(6921),
    [anon_sym_SLASH_SLASH] = ACTIONS(6921),
    [anon_sym_STAR_STAR] = ACTIONS(6921),
    [anon_sym_DOT] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6921),
    [aux_sym_null_literal_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token2] = ACTIONS(6923),
    [aux_sym_coarray_statement_token6] = ACTIONS(6923),
    [aux_sym_coarray_statement_token8] = ACTIONS(6923),
    [aux_sym_coarray_statement_token11] = ACTIONS(6923),
    [aux_sym_coarray_statement_token12] = ACTIONS(6923),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6923),
    [anon_sym_QMARK] = ACTIONS(6921),
    [aux_sym_identifier_token1] = ACTIONS(6923),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6921),
  },
  [3734] = {
    [anon_sym_LPAREN2] = ACTIONS(8287),
    [anon_sym_PLUS] = ACTIONS(8289),
    [anon_sym_DASH] = ACTIONS(8289),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8287),
    [anon_sym_SEMI] = ACTIONS(8289),
    [aux_sym_block_data_statement_token1] = ACTIONS(8287),
    [aux_sym_block_data_statement_token2] = ACTIONS(8287),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8287),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8287),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8287),
    [aux_sym_use_statement_token2] = ACTIONS(8287),
    [aux_sym_implicit_statement_token3] = ACTIONS(8287),
    [aux_sym_implicit_statement_token4] = ACTIONS(8287),
    [aux_sym_save_statement_token1] = ACTIONS(8287),
    [aux_sym_private_statement_token1] = ACTIONS(8287),
    [aux_sym_public_statement_token1] = ACTIONS(8287),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8287),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8287),
    [aux_sym_variable_attributes_token2] = ACTIONS(8287),
    [aux_sym_variable_attributes_token3] = ACTIONS(8287),
    [aux_sym_variable_attributes_token5] = ACTIONS(8287),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8287),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8287),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8287),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8287),
    [aux_sym_type_qualifier_token1] = ACTIONS(8287),
    [aux_sym_type_qualifier_token2] = ACTIONS(8287),
    [aux_sym_stop_statement_token1] = ACTIONS(8287),
    [aux_sym_stop_statement_token2] = ACTIONS(8287),
    [aux_sym_subroutine_call_token1] = ACTIONS(8287),
    [aux_sym_keyword_statement_token1] = ACTIONS(8287),
    [aux_sym_keyword_statement_token2] = ACTIONS(8287),
    [aux_sym_keyword_statement_token3] = ACTIONS(8287),
    [aux_sym_keyword_statement_token4] = ACTIONS(8287),
    [aux_sym_keyword_statement_token6] = ACTIONS(8287),
    [aux_sym_keyword_statement_token7] = ACTIONS(8287),
    [aux_sym_include_statement_token1] = ACTIONS(8287),
    [aux_sym_do_loop_statement_token1] = ACTIONS(8287),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8287),
    [aux_sym_end_if_statement_token1] = ACTIONS(8287),
    [aux_sym_elseif_clause_token2] = ACTIONS(8287),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8287),
    [aux_sym__forall_control_expression_token1] = ACTIONS(8287),
    [aux_sym_select_case_statement_token1] = ACTIONS(8287),
    [aux_sym_select_case_statement_token3] = ACTIONS(8287),
    [aux_sym_select_type_statement_token1] = ACTIONS(8287),
    [aux_sym_select_rank_statement_token1] = ACTIONS(8287),
    [aux_sym_associate_statement_token1] = ACTIONS(8287),
    [aux_sym_format_statement_token1] = ACTIONS(8287),
    [aux_sym_print_statement_token1] = ACTIONS(8287),
    [aux_sym_open_statement_token1] = ACTIONS(8287),
    [aux_sym_close_statement_token1] = ACTIONS(8287),
    [aux_sym_inquire_statement_token1] = ACTIONS(8287),
    [aux_sym_file_position_statement_token1] = ACTIONS(8287),
    [aux_sym_file_position_statement_token2] = ACTIONS(8287),
    [aux_sym_file_position_statement_token3] = ACTIONS(8287),
    [aux_sym_file_position_statement_token4] = ACTIONS(8287),
    [aux_sym_allocate_statement_token1] = ACTIONS(8287),
    [aux_sym_entry_statement_token1] = ACTIONS(8287),
    [aux_sym_assign_statement_token1] = ACTIONS(8287),
    [aux_sym_logical_expression_token5] = ACTIONS(8289),
    [anon_sym_DOT] = ACTIONS(8287),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8289),
    [anon_sym_LBRACK] = ACTIONS(8289),
    [aux_sym_boolean_literal_token1] = ACTIONS(8289),
    [aux_sym_boolean_literal_token2] = ACTIONS(8289),
    [aux_sym_null_literal_token1] = ACTIONS(8287),
    [aux_sym_coarray_statement_token1] = ACTIONS(8287),
    [aux_sym_coarray_statement_token2] = ACTIONS(8287),
    [aux_sym_coarray_statement_token6] = ACTIONS(8287),
    [aux_sym_coarray_statement_token8] = ACTIONS(8287),
    [aux_sym_coarray_statement_token11] = ACTIONS(8287),
    [aux_sym_coarray_statement_token12] = ACTIONS(8287),
    [aux_sym_coarray_statement_token13] = ACTIONS(8287),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8287),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8287),
    [aux_sym_identifier_token1] = ACTIONS(8287),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8289),
    [sym__float_literal] = ACTIONS(8289),
    [sym__boz_literal] = ACTIONS(8289),
    [sym__string_literal] = ACTIONS(8289),
    [sym__string_literal_kind] = ACTIONS(8289),
    [sym__external_end_of_statement] = ACTIONS(8289),
  },
  [3735] = {
    [anon_sym_COMMA] = ACTIONS(6853),
    [anon_sym_LPAREN2] = ACTIONS(6853),
    [anon_sym_PLUS] = ACTIONS(6853),
    [anon_sym_DASH] = ACTIONS(6853),
    [anon_sym_STAR] = ACTIONS(6855),
    [anon_sym_SLASH] = ACTIONS(6855),
    [anon_sym_PERCENT] = ACTIONS(6853),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6853),
    [anon_sym_GT] = ACTIONS(6855),
    [anon_sym_GT_EQ] = ACTIONS(6853),
    [anon_sym_LT_EQ] = ACTIONS(6853),
    [anon_sym_LT] = ACTIONS(6855),
    [aux_sym_end_program_statement_token1] = ACTIONS(6855),
    [anon_sym_SEMI] = ACTIONS(6853),
    [aux_sym_block_data_statement_token1] = ACTIONS(6855),
    [aux_sym_block_data_statement_token2] = ACTIONS(6855),
    [anon_sym_EQ] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6855),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6855),
    [aux_sym_use_statement_token2] = ACTIONS(6855),
    [anon_sym_EQ_GT] = ACTIONS(6853),
    [aux_sym_implicit_statement_token3] = ACTIONS(6855),
    [aux_sym_implicit_statement_token4] = ACTIONS(6855),
    [aux_sym_save_statement_token1] = ACTIONS(6855),
    [aux_sym_private_statement_token1] = ACTIONS(6855),
    [aux_sym_public_statement_token1] = ACTIONS(6855),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6855),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6855),
    [aux_sym_variable_attributes_token2] = ACTIONS(6855),
    [aux_sym_variable_attributes_token3] = ACTIONS(6855),
    [aux_sym_variable_attributes_token5] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6855),
    [aux_sym_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym_stop_statement_token1] = ACTIONS(6855),
    [aux_sym_stop_statement_token2] = ACTIONS(6855),
    [aux_sym_subroutine_call_token1] = ACTIONS(6855),
    [anon_sym_LT_LT_LT] = ACTIONS(6853),
    [aux_sym_keyword_statement_token2] = ACTIONS(6855),
    [aux_sym_keyword_statement_token3] = ACTIONS(6855),
    [aux_sym_keyword_statement_token4] = ACTIONS(6855),
    [aux_sym_include_statement_token1] = ACTIONS(6855),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6855),
    [aux_sym_end_if_statement_token1] = ACTIONS(6855),
    [aux_sym_elseif_clause_token2] = ACTIONS(6855),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6855),
    [aux_sym_select_case_statement_token1] = ACTIONS(6855),
    [aux_sym_format_statement_token1] = ACTIONS(6855),
    [aux_sym_print_statement_token1] = ACTIONS(6855),
    [aux_sym_open_statement_token1] = ACTIONS(6855),
    [aux_sym_inquire_statement_token1] = ACTIONS(6855),
    [aux_sym_entry_statement_token1] = ACTIONS(6855),
    [aux_sym_logical_expression_token1] = ACTIONS(6853),
    [aux_sym_logical_expression_token2] = ACTIONS(6853),
    [aux_sym_logical_expression_token3] = ACTIONS(6853),
    [aux_sym_logical_expression_token4] = ACTIONS(6853),
    [aux_sym_relational_expression_token1] = ACTIONS(6853),
    [aux_sym_relational_expression_token2] = ACTIONS(6853),
    [aux_sym_relational_expression_token3] = ACTIONS(6853),
    [aux_sym_relational_expression_token4] = ACTIONS(6853),
    [aux_sym_relational_expression_token5] = ACTIONS(6853),
    [anon_sym_SLASH_EQ] = ACTIONS(6853),
    [aux_sym_relational_expression_token6] = ACTIONS(6853),
    [anon_sym_SLASH_SLASH] = ACTIONS(6853),
    [anon_sym_STAR_STAR] = ACTIONS(6853),
    [anon_sym_DOT] = ACTIONS(6855),
    [anon_sym_LBRACK] = ACTIONS(6853),
    [aux_sym_null_literal_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token2] = ACTIONS(6855),
    [aux_sym_coarray_statement_token6] = ACTIONS(6855),
    [aux_sym_coarray_statement_token8] = ACTIONS(6855),
    [aux_sym_coarray_statement_token11] = ACTIONS(6855),
    [aux_sym_coarray_statement_token12] = ACTIONS(6855),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6855),
    [anon_sym_QMARK] = ACTIONS(6853),
    [aux_sym_identifier_token1] = ACTIONS(6855),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6853),
  },
  [3736] = {
    [anon_sym_LPAREN2] = ACTIONS(8283),
    [anon_sym_PLUS] = ACTIONS(8285),
    [anon_sym_DASH] = ACTIONS(8285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8283),
    [aux_sym_block_data_statement_token1] = ACTIONS(8283),
    [aux_sym_block_data_statement_token2] = ACTIONS(8283),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8283),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8283),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8283),
    [aux_sym_use_statement_token2] = ACTIONS(8283),
    [aux_sym_implicit_statement_token3] = ACTIONS(8283),
    [aux_sym_implicit_statement_token4] = ACTIONS(8283),
    [aux_sym_save_statement_token1] = ACTIONS(8283),
    [aux_sym_private_statement_token1] = ACTIONS(8283),
    [aux_sym_public_statement_token1] = ACTIONS(8283),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8283),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8283),
    [aux_sym_variable_attributes_token2] = ACTIONS(8283),
    [aux_sym_variable_attributes_token3] = ACTIONS(8283),
    [aux_sym_variable_attributes_token5] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8283),
    [aux_sym_type_qualifier_token1] = ACTIONS(8283),
    [aux_sym_type_qualifier_token2] = ACTIONS(8283),
    [aux_sym_stop_statement_token1] = ACTIONS(8283),
    [aux_sym_stop_statement_token2] = ACTIONS(8283),
    [aux_sym_subroutine_call_token1] = ACTIONS(8283),
    [aux_sym_keyword_statement_token1] = ACTIONS(8283),
    [aux_sym_keyword_statement_token2] = ACTIONS(8283),
    [aux_sym_keyword_statement_token3] = ACTIONS(8283),
    [aux_sym_keyword_statement_token4] = ACTIONS(8283),
    [aux_sym_keyword_statement_token6] = ACTIONS(8283),
    [aux_sym_keyword_statement_token7] = ACTIONS(8283),
    [aux_sym_include_statement_token1] = ACTIONS(8283),
    [aux_sym_do_loop_statement_token1] = ACTIONS(8283),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8283),
    [aux_sym__block_if_statement_token1] = ACTIONS(8283),
    [aux_sym_end_if_statement_token1] = ACTIONS(8283),
    [aux_sym_elseif_clause_token2] = ACTIONS(8283),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8283),
    [aux_sym__forall_control_expression_token1] = ACTIONS(8283),
    [aux_sym_select_case_statement_token1] = ACTIONS(8283),
    [aux_sym_select_case_statement_token3] = ACTIONS(8283),
    [aux_sym_select_type_statement_token1] = ACTIONS(8283),
    [aux_sym_select_rank_statement_token1] = ACTIONS(8283),
    [aux_sym_associate_statement_token1] = ACTIONS(8283),
    [aux_sym_format_statement_token1] = ACTIONS(8283),
    [aux_sym_print_statement_token1] = ACTIONS(8283),
    [aux_sym_open_statement_token1] = ACTIONS(8283),
    [aux_sym_close_statement_token1] = ACTIONS(8283),
    [aux_sym_inquire_statement_token1] = ACTIONS(8283),
    [aux_sym_file_position_statement_token1] = ACTIONS(8283),
    [aux_sym_file_position_statement_token2] = ACTIONS(8283),
    [aux_sym_file_position_statement_token3] = ACTIONS(8283),
    [aux_sym_file_position_statement_token4] = ACTIONS(8283),
    [aux_sym_allocate_statement_token1] = ACTIONS(8283),
    [aux_sym_entry_statement_token1] = ACTIONS(8283),
    [aux_sym_assign_statement_token1] = ACTIONS(8283),
    [aux_sym_logical_expression_token5] = ACTIONS(8285),
    [anon_sym_DOT] = ACTIONS(8283),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8285),
    [anon_sym_LBRACK] = ACTIONS(8285),
    [aux_sym_boolean_literal_token1] = ACTIONS(8285),
    [aux_sym_boolean_literal_token2] = ACTIONS(8285),
    [aux_sym_null_literal_token1] = ACTIONS(8283),
    [aux_sym_coarray_statement_token1] = ACTIONS(8283),
    [aux_sym_coarray_statement_token2] = ACTIONS(8283),
    [aux_sym_coarray_statement_token6] = ACTIONS(8283),
    [aux_sym_coarray_statement_token8] = ACTIONS(8283),
    [aux_sym_coarray_statement_token11] = ACTIONS(8283),
    [aux_sym_coarray_statement_token12] = ACTIONS(8283),
    [aux_sym_coarray_statement_token13] = ACTIONS(8283),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8283),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8283),
    [aux_sym_identifier_token1] = ACTIONS(8283),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8285),
    [sym__float_literal] = ACTIONS(8285),
    [sym__boz_literal] = ACTIONS(8285),
    [sym__string_literal] = ACTIONS(8285),
    [sym__string_literal_kind] = ACTIONS(8285),
  },
  [3737] = {
    [sym__import_names] = STATE(5346),
    [sym_identifier] = STATE(5217),
    [anon_sym_COMMA] = ACTIONS(8291),
    [aux_sym_preproc_if_token2] = ACTIONS(8267),
    [aux_sym_preproc_else_token1] = ACTIONS(8267),
    [aux_sym_preproc_elif_token1] = ACTIONS(8263),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(8267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(8267),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_module_statement_token1] = ACTIONS(8263),
    [anon_sym_SEMI] = ACTIONS(8267),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8263),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8263),
    [aux_sym_function_statement_token1] = ACTIONS(8263),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8263),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [anon_sym_COLON_COLON] = ACTIONS(8293),
    [aux_sym_implicit_statement_token3] = ACTIONS(8263),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_import_statement_token1] = ACTIONS(8263),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_kind_token1] = ACTIONS(8263),
    [aux_sym_procedure_kind_token2] = ACTIONS(8263),
    [aux_sym_procedure_kind_token3] = ACTIONS(8263),
    [aux_sym_procedure_kind_token4] = ACTIONS(8263),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8263),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8263),
    [aux_sym_derived_type_token1] = ACTIONS(8263),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8263),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8263),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3738] = {
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_LPAREN2] = ACTIONS(6745),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6751),
    [anon_sym_COLON] = ACTIONS(5080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6751),
    [aux_sym_block_data_statement_token2] = ACTIONS(6751),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6751),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6751),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6751),
    [aux_sym_use_statement_token2] = ACTIONS(6751),
    [anon_sym_COLON_COLON] = ACTIONS(6743),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6751),
    [aux_sym_implicit_statement_token4] = ACTIONS(6751),
    [aux_sym_save_statement_token1] = ACTIONS(6751),
    [aux_sym_private_statement_token1] = ACTIONS(6751),
    [aux_sym_public_statement_token1] = ACTIONS(6751),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6751),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6751),
    [aux_sym_variable_attributes_token2] = ACTIONS(6751),
    [aux_sym_variable_attributes_token3] = ACTIONS(6751),
    [aux_sym_variable_attributes_token5] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6751),
    [aux_sym_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym_stop_statement_token1] = ACTIONS(6751),
    [aux_sym_stop_statement_token2] = ACTIONS(6751),
    [aux_sym_subroutine_call_token1] = ACTIONS(6751),
    [aux_sym_keyword_statement_token2] = ACTIONS(6751),
    [aux_sym_keyword_statement_token3] = ACTIONS(6751),
    [aux_sym_keyword_statement_token4] = ACTIONS(6751),
    [aux_sym_include_statement_token1] = ACTIONS(6751),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6751),
    [aux_sym_end_if_statement_token1] = ACTIONS(6751),
    [aux_sym_elseif_clause_token2] = ACTIONS(6751),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6751),
    [aux_sym_select_case_statement_token1] = ACTIONS(6751),
    [aux_sym_format_statement_token1] = ACTIONS(6751),
    [aux_sym_print_statement_token1] = ACTIONS(6751),
    [aux_sym_open_statement_token1] = ACTIONS(6751),
    [aux_sym_inquire_statement_token1] = ACTIONS(6751),
    [aux_sym_entry_statement_token1] = ACTIONS(6751),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token2] = ACTIONS(6751),
    [aux_sym_coarray_statement_token6] = ACTIONS(6751),
    [aux_sym_coarray_statement_token8] = ACTIONS(6751),
    [aux_sym_coarray_statement_token11] = ACTIONS(6751),
    [aux_sym_coarray_statement_token12] = ACTIONS(6751),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6751),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6751),
    [sym_comment] = ACTIONS(21),
  },
  [3739] = {
    [sym__name] = STATE(6533),
    [sym_identifier] = STATE(7092),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_COLON] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [anon_sym_QMARK] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3740] = {
    [anon_sym_COMMA] = ACTIONS(8285),
    [anon_sym_LPAREN2] = ACTIONS(8285),
    [anon_sym_PLUS] = ACTIONS(8285),
    [anon_sym_DASH] = ACTIONS(8285),
    [anon_sym_STAR] = ACTIONS(8283),
    [anon_sym_SLASH] = ACTIONS(8283),
    [anon_sym_PERCENT] = ACTIONS(8285),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(8285),
    [anon_sym_GT] = ACTIONS(8283),
    [anon_sym_GT_EQ] = ACTIONS(8285),
    [anon_sym_LT_EQ] = ACTIONS(8285),
    [anon_sym_LT] = ACTIONS(8283),
    [aux_sym_end_program_statement_token1] = ACTIONS(8283),
    [anon_sym_SEMI] = ACTIONS(8285),
    [aux_sym_block_data_statement_token1] = ACTIONS(8283),
    [aux_sym_block_data_statement_token2] = ACTIONS(8283),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8283),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8283),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8283),
    [aux_sym_use_statement_token2] = ACTIONS(8283),
    [aux_sym_implicit_statement_token3] = ACTIONS(8283),
    [aux_sym_implicit_statement_token4] = ACTIONS(8283),
    [aux_sym_save_statement_token1] = ACTIONS(8283),
    [aux_sym_private_statement_token1] = ACTIONS(8283),
    [aux_sym_public_statement_token1] = ACTIONS(8283),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8283),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8283),
    [aux_sym_variable_attributes_token2] = ACTIONS(8283),
    [aux_sym_variable_attributes_token3] = ACTIONS(8283),
    [aux_sym_variable_attributes_token5] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8283),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8283),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8283),
    [aux_sym_type_qualifier_token1] = ACTIONS(8283),
    [aux_sym_type_qualifier_token2] = ACTIONS(8283),
    [aux_sym_stop_statement_token1] = ACTIONS(8283),
    [aux_sym_stop_statement_token2] = ACTIONS(8283),
    [aux_sym_subroutine_call_token1] = ACTIONS(8283),
    [anon_sym_LT_LT_LT] = ACTIONS(8285),
    [aux_sym_keyword_statement_token2] = ACTIONS(8283),
    [aux_sym_keyword_statement_token3] = ACTIONS(8283),
    [aux_sym_keyword_statement_token4] = ACTIONS(8283),
    [aux_sym_include_statement_token1] = ACTIONS(8283),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8283),
    [aux_sym_end_if_statement_token1] = ACTIONS(8283),
    [aux_sym_elseif_clause_token2] = ACTIONS(8283),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8283),
    [aux_sym_select_case_statement_token1] = ACTIONS(8283),
    [aux_sym_format_statement_token1] = ACTIONS(8283),
    [aux_sym_print_statement_token1] = ACTIONS(8283),
    [aux_sym_open_statement_token1] = ACTIONS(8283),
    [aux_sym_inquire_statement_token1] = ACTIONS(8283),
    [aux_sym_entry_statement_token1] = ACTIONS(8283),
    [aux_sym_logical_expression_token1] = ACTIONS(8285),
    [aux_sym_logical_expression_token2] = ACTIONS(8285),
    [aux_sym_logical_expression_token3] = ACTIONS(8285),
    [aux_sym_logical_expression_token4] = ACTIONS(8285),
    [aux_sym_relational_expression_token1] = ACTIONS(8285),
    [aux_sym_relational_expression_token2] = ACTIONS(8285),
    [aux_sym_relational_expression_token3] = ACTIONS(8285),
    [aux_sym_relational_expression_token4] = ACTIONS(8285),
    [aux_sym_relational_expression_token5] = ACTIONS(8285),
    [anon_sym_SLASH_EQ] = ACTIONS(8285),
    [aux_sym_relational_expression_token6] = ACTIONS(8285),
    [anon_sym_SLASH_SLASH] = ACTIONS(8285),
    [anon_sym_STAR_STAR] = ACTIONS(8285),
    [anon_sym_DOT] = ACTIONS(8283),
    [anon_sym_LBRACK] = ACTIONS(8285),
    [aux_sym_null_literal_token1] = ACTIONS(8283),
    [aux_sym_coarray_statement_token1] = ACTIONS(8283),
    [aux_sym_coarray_statement_token2] = ACTIONS(8283),
    [aux_sym_coarray_statement_token6] = ACTIONS(8283),
    [aux_sym_coarray_statement_token8] = ACTIONS(8283),
    [aux_sym_coarray_statement_token11] = ACTIONS(8283),
    [aux_sym_coarray_statement_token12] = ACTIONS(8283),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8283),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8283),
    [anon_sym_QMARK] = ACTIONS(8285),
    [aux_sym_identifier_token1] = ACTIONS(8283),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8285),
  },
  [3741] = {
    [anon_sym_COMMA] = ACTIONS(7135),
    [anon_sym_LPAREN2] = ACTIONS(7135),
    [anon_sym_PLUS] = ACTIONS(7135),
    [anon_sym_DASH] = ACTIONS(7135),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_PERCENT] = ACTIONS(7135),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7137),
    [anon_sym_GT_EQ] = ACTIONS(7135),
    [anon_sym_LT_EQ] = ACTIONS(7135),
    [anon_sym_LT] = ACTIONS(7137),
    [aux_sym_end_program_statement_token1] = ACTIONS(7137),
    [aux_sym_block_data_statement_token1] = ACTIONS(7137),
    [aux_sym_block_data_statement_token2] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7137),
    [aux_sym_use_statement_token2] = ACTIONS(7137),
    [anon_sym_COLON_COLON] = ACTIONS(7135),
    [aux_sym_implicit_statement_token3] = ACTIONS(7137),
    [aux_sym_implicit_statement_token4] = ACTIONS(7137),
    [aux_sym_save_statement_token1] = ACTIONS(7137),
    [aux_sym_private_statement_token1] = ACTIONS(7137),
    [aux_sym_public_statement_token1] = ACTIONS(7137),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7137),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7137),
    [aux_sym_variable_attributes_token2] = ACTIONS(7137),
    [aux_sym_variable_attributes_token3] = ACTIONS(7137),
    [aux_sym_variable_attributes_token5] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7137),
    [aux_sym_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym_stop_statement_token1] = ACTIONS(7137),
    [aux_sym_stop_statement_token2] = ACTIONS(7137),
    [aux_sym_subroutine_call_token1] = ACTIONS(7137),
    [aux_sym_keyword_statement_token2] = ACTIONS(7137),
    [aux_sym_keyword_statement_token3] = ACTIONS(7137),
    [aux_sym_keyword_statement_token4] = ACTIONS(7137),
    [aux_sym_include_statement_token1] = ACTIONS(7137),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7137),
    [aux_sym_end_if_statement_token1] = ACTIONS(7137),
    [aux_sym_elseif_clause_token2] = ACTIONS(7137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7137),
    [aux_sym_select_case_statement_token1] = ACTIONS(7137),
    [aux_sym_format_statement_token1] = ACTIONS(7137),
    [aux_sym_print_statement_token1] = ACTIONS(7137),
    [aux_sym_open_statement_token1] = ACTIONS(7137),
    [aux_sym_inquire_statement_token1] = ACTIONS(7137),
    [aux_sym_entry_statement_token1] = ACTIONS(7137),
    [aux_sym_logical_expression_token1] = ACTIONS(7135),
    [aux_sym_logical_expression_token2] = ACTIONS(7135),
    [aux_sym_logical_expression_token3] = ACTIONS(7135),
    [aux_sym_logical_expression_token4] = ACTIONS(7135),
    [aux_sym_relational_expression_token1] = ACTIONS(7135),
    [aux_sym_relational_expression_token2] = ACTIONS(7135),
    [aux_sym_relational_expression_token3] = ACTIONS(7135),
    [aux_sym_relational_expression_token4] = ACTIONS(7135),
    [aux_sym_relational_expression_token5] = ACTIONS(7135),
    [anon_sym_SLASH_EQ] = ACTIONS(7135),
    [aux_sym_relational_expression_token6] = ACTIONS(7135),
    [anon_sym_SLASH_SLASH] = ACTIONS(7135),
    [anon_sym_STAR_STAR] = ACTIONS(7135),
    [anon_sym_DOT] = ACTIONS(7137),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7135),
    [aux_sym_null_literal_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token2] = ACTIONS(7137),
    [aux_sym_coarray_statement_token6] = ACTIONS(7137),
    [aux_sym_coarray_statement_token8] = ACTIONS(7137),
    [aux_sym_coarray_statement_token11] = ACTIONS(7137),
    [aux_sym_coarray_statement_token12] = ACTIONS(7137),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7137),
    [anon_sym_QMARK] = ACTIONS(7135),
    [aux_sym_identifier_token1] = ACTIONS(7137),
    [sym_comment] = ACTIONS(21),
  },
  [3742] = {
    [anon_sym_COMMA] = ACTIONS(7119),
    [anon_sym_LPAREN2] = ACTIONS(7119),
    [anon_sym_PLUS] = ACTIONS(7119),
    [anon_sym_DASH] = ACTIONS(7119),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_PERCENT] = ACTIONS(7119),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7121),
    [anon_sym_GT_EQ] = ACTIONS(7119),
    [anon_sym_LT_EQ] = ACTIONS(7119),
    [anon_sym_LT] = ACTIONS(7121),
    [aux_sym_end_program_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token2] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7121),
    [aux_sym_use_statement_token2] = ACTIONS(7121),
    [anon_sym_COLON_COLON] = ACTIONS(7119),
    [aux_sym_implicit_statement_token3] = ACTIONS(7121),
    [aux_sym_implicit_statement_token4] = ACTIONS(7121),
    [aux_sym_save_statement_token1] = ACTIONS(7121),
    [aux_sym_private_statement_token1] = ACTIONS(7121),
    [aux_sym_public_statement_token1] = ACTIONS(7121),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7121),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7121),
    [aux_sym_variable_attributes_token2] = ACTIONS(7121),
    [aux_sym_variable_attributes_token3] = ACTIONS(7121),
    [aux_sym_variable_attributes_token5] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7121),
    [aux_sym_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym_stop_statement_token1] = ACTIONS(7121),
    [aux_sym_stop_statement_token2] = ACTIONS(7121),
    [aux_sym_subroutine_call_token1] = ACTIONS(7121),
    [aux_sym_keyword_statement_token2] = ACTIONS(7121),
    [aux_sym_keyword_statement_token3] = ACTIONS(7121),
    [aux_sym_keyword_statement_token4] = ACTIONS(7121),
    [aux_sym_include_statement_token1] = ACTIONS(7121),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7121),
    [aux_sym_end_if_statement_token1] = ACTIONS(7121),
    [aux_sym_elseif_clause_token2] = ACTIONS(7121),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7121),
    [aux_sym_select_case_statement_token1] = ACTIONS(7121),
    [aux_sym_format_statement_token1] = ACTIONS(7121),
    [aux_sym_print_statement_token1] = ACTIONS(7121),
    [aux_sym_open_statement_token1] = ACTIONS(7121),
    [aux_sym_inquire_statement_token1] = ACTIONS(7121),
    [aux_sym_entry_statement_token1] = ACTIONS(7121),
    [aux_sym_logical_expression_token1] = ACTIONS(7119),
    [aux_sym_logical_expression_token2] = ACTIONS(7119),
    [aux_sym_logical_expression_token3] = ACTIONS(7119),
    [aux_sym_logical_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token1] = ACTIONS(7119),
    [aux_sym_relational_expression_token2] = ACTIONS(7119),
    [aux_sym_relational_expression_token3] = ACTIONS(7119),
    [aux_sym_relational_expression_token4] = ACTIONS(7119),
    [aux_sym_relational_expression_token5] = ACTIONS(7119),
    [anon_sym_SLASH_EQ] = ACTIONS(7119),
    [aux_sym_relational_expression_token6] = ACTIONS(7119),
    [anon_sym_SLASH_SLASH] = ACTIONS(7119),
    [anon_sym_STAR_STAR] = ACTIONS(7119),
    [anon_sym_DOT] = ACTIONS(7121),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7119),
    [aux_sym_null_literal_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token2] = ACTIONS(7121),
    [aux_sym_coarray_statement_token6] = ACTIONS(7121),
    [aux_sym_coarray_statement_token8] = ACTIONS(7121),
    [aux_sym_coarray_statement_token11] = ACTIONS(7121),
    [aux_sym_coarray_statement_token12] = ACTIONS(7121),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7121),
    [anon_sym_QMARK] = ACTIONS(7119),
    [aux_sym_identifier_token1] = ACTIONS(7121),
    [sym_comment] = ACTIONS(21),
  },
  [3743] = {
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_LPAREN2] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7111),
    [anon_sym_SLASH] = ACTIONS(7111),
    [anon_sym_PERCENT] = ACTIONS(7109),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7109),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_GT_EQ] = ACTIONS(7109),
    [anon_sym_LT_EQ] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7111),
    [aux_sym_end_program_statement_token1] = ACTIONS(7111),
    [aux_sym_block_data_statement_token1] = ACTIONS(7111),
    [aux_sym_block_data_statement_token2] = ACTIONS(7111),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7111),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7111),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7111),
    [aux_sym_use_statement_token2] = ACTIONS(7111),
    [anon_sym_COLON_COLON] = ACTIONS(7109),
    [aux_sym_implicit_statement_token3] = ACTIONS(7111),
    [aux_sym_implicit_statement_token4] = ACTIONS(7111),
    [aux_sym_save_statement_token1] = ACTIONS(7111),
    [aux_sym_private_statement_token1] = ACTIONS(7111),
    [aux_sym_public_statement_token1] = ACTIONS(7111),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7111),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7111),
    [aux_sym_variable_attributes_token2] = ACTIONS(7111),
    [aux_sym_variable_attributes_token3] = ACTIONS(7111),
    [aux_sym_variable_attributes_token5] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7111),
    [aux_sym_type_qualifier_token1] = ACTIONS(7111),
    [aux_sym_type_qualifier_token2] = ACTIONS(7111),
    [aux_sym_stop_statement_token1] = ACTIONS(7111),
    [aux_sym_stop_statement_token2] = ACTIONS(7111),
    [aux_sym_subroutine_call_token1] = ACTIONS(7111),
    [aux_sym_keyword_statement_token2] = ACTIONS(7111),
    [aux_sym_keyword_statement_token3] = ACTIONS(7111),
    [aux_sym_keyword_statement_token4] = ACTIONS(7111),
    [aux_sym_include_statement_token1] = ACTIONS(7111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7111),
    [aux_sym_end_if_statement_token1] = ACTIONS(7111),
    [aux_sym_elseif_clause_token2] = ACTIONS(7111),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7111),
    [aux_sym_select_case_statement_token1] = ACTIONS(7111),
    [aux_sym_format_statement_token1] = ACTIONS(7111),
    [aux_sym_print_statement_token1] = ACTIONS(7111),
    [aux_sym_open_statement_token1] = ACTIONS(7111),
    [aux_sym_inquire_statement_token1] = ACTIONS(7111),
    [aux_sym_entry_statement_token1] = ACTIONS(7111),
    [aux_sym_logical_expression_token1] = ACTIONS(7109),
    [aux_sym_logical_expression_token2] = ACTIONS(7109),
    [aux_sym_logical_expression_token3] = ACTIONS(7109),
    [aux_sym_logical_expression_token4] = ACTIONS(7109),
    [aux_sym_relational_expression_token1] = ACTIONS(7109),
    [aux_sym_relational_expression_token2] = ACTIONS(7109),
    [aux_sym_relational_expression_token3] = ACTIONS(7109),
    [aux_sym_relational_expression_token4] = ACTIONS(7109),
    [aux_sym_relational_expression_token5] = ACTIONS(7109),
    [anon_sym_SLASH_EQ] = ACTIONS(7109),
    [aux_sym_relational_expression_token6] = ACTIONS(7109),
    [anon_sym_SLASH_SLASH] = ACTIONS(7109),
    [anon_sym_STAR_STAR] = ACTIONS(7109),
    [anon_sym_DOT] = ACTIONS(7111),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7109),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [aux_sym_null_literal_token1] = ACTIONS(7111),
    [aux_sym_coarray_statement_token1] = ACTIONS(7111),
    [aux_sym_coarray_statement_token2] = ACTIONS(7111),
    [aux_sym_coarray_statement_token6] = ACTIONS(7111),
    [aux_sym_coarray_statement_token8] = ACTIONS(7111),
    [aux_sym_coarray_statement_token11] = ACTIONS(7111),
    [aux_sym_coarray_statement_token12] = ACTIONS(7111),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7111),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7111),
    [anon_sym_QMARK] = ACTIONS(7109),
    [aux_sym_identifier_token1] = ACTIONS(7111),
    [sym_comment] = ACTIONS(21),
  },
  [3744] = {
    [anon_sym_COMMA] = ACTIONS(7131),
    [anon_sym_LPAREN2] = ACTIONS(7131),
    [anon_sym_PLUS] = ACTIONS(7131),
    [anon_sym_DASH] = ACTIONS(7131),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_PERCENT] = ACTIONS(7131),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7133),
    [anon_sym_GT_EQ] = ACTIONS(7131),
    [anon_sym_LT_EQ] = ACTIONS(7131),
    [anon_sym_LT] = ACTIONS(7133),
    [aux_sym_end_program_statement_token1] = ACTIONS(7133),
    [aux_sym_block_data_statement_token1] = ACTIONS(7133),
    [aux_sym_block_data_statement_token2] = ACTIONS(7133),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7133),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7133),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7133),
    [aux_sym_use_statement_token2] = ACTIONS(7133),
    [anon_sym_COLON_COLON] = ACTIONS(7131),
    [aux_sym_implicit_statement_token3] = ACTIONS(7133),
    [aux_sym_implicit_statement_token4] = ACTIONS(7133),
    [aux_sym_save_statement_token1] = ACTIONS(7133),
    [aux_sym_private_statement_token1] = ACTIONS(7133),
    [aux_sym_public_statement_token1] = ACTIONS(7133),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7133),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7133),
    [aux_sym_variable_attributes_token2] = ACTIONS(7133),
    [aux_sym_variable_attributes_token3] = ACTIONS(7133),
    [aux_sym_variable_attributes_token5] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7133),
    [aux_sym_type_qualifier_token1] = ACTIONS(7133),
    [aux_sym_type_qualifier_token2] = ACTIONS(7133),
    [aux_sym_stop_statement_token1] = ACTIONS(7133),
    [aux_sym_stop_statement_token2] = ACTIONS(7133),
    [aux_sym_subroutine_call_token1] = ACTIONS(7133),
    [aux_sym_keyword_statement_token2] = ACTIONS(7133),
    [aux_sym_keyword_statement_token3] = ACTIONS(7133),
    [aux_sym_keyword_statement_token4] = ACTIONS(7133),
    [aux_sym_include_statement_token1] = ACTIONS(7133),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7133),
    [aux_sym_end_if_statement_token1] = ACTIONS(7133),
    [aux_sym_elseif_clause_token2] = ACTIONS(7133),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7133),
    [aux_sym_select_case_statement_token1] = ACTIONS(7133),
    [aux_sym_format_statement_token1] = ACTIONS(7133),
    [aux_sym_print_statement_token1] = ACTIONS(7133),
    [aux_sym_open_statement_token1] = ACTIONS(7133),
    [aux_sym_inquire_statement_token1] = ACTIONS(7133),
    [aux_sym_entry_statement_token1] = ACTIONS(7133),
    [aux_sym_logical_expression_token1] = ACTIONS(7131),
    [aux_sym_logical_expression_token2] = ACTIONS(7131),
    [aux_sym_logical_expression_token3] = ACTIONS(7131),
    [aux_sym_logical_expression_token4] = ACTIONS(7131),
    [aux_sym_relational_expression_token1] = ACTIONS(7131),
    [aux_sym_relational_expression_token2] = ACTIONS(7131),
    [aux_sym_relational_expression_token3] = ACTIONS(7131),
    [aux_sym_relational_expression_token4] = ACTIONS(7131),
    [aux_sym_relational_expression_token5] = ACTIONS(7131),
    [anon_sym_SLASH_EQ] = ACTIONS(7131),
    [aux_sym_relational_expression_token6] = ACTIONS(7131),
    [anon_sym_SLASH_SLASH] = ACTIONS(7131),
    [anon_sym_STAR_STAR] = ACTIONS(7131),
    [anon_sym_DOT] = ACTIONS(7133),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7131),
    [aux_sym_null_literal_token1] = ACTIONS(7133),
    [aux_sym_coarray_statement_token1] = ACTIONS(7133),
    [aux_sym_coarray_statement_token2] = ACTIONS(7133),
    [aux_sym_coarray_statement_token6] = ACTIONS(7133),
    [aux_sym_coarray_statement_token8] = ACTIONS(7133),
    [aux_sym_coarray_statement_token11] = ACTIONS(7133),
    [aux_sym_coarray_statement_token12] = ACTIONS(7133),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7133),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7133),
    [anon_sym_QMARK] = ACTIONS(7131),
    [aux_sym_identifier_token1] = ACTIONS(7133),
    [sym_comment] = ACTIONS(21),
  },
  [3745] = {
    [anon_sym_COMMA] = ACTIONS(7123),
    [anon_sym_LPAREN2] = ACTIONS(7123),
    [anon_sym_PLUS] = ACTIONS(7123),
    [anon_sym_DASH] = ACTIONS(7123),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_PERCENT] = ACTIONS(7123),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7125),
    [anon_sym_GT_EQ] = ACTIONS(7123),
    [anon_sym_LT_EQ] = ACTIONS(7123),
    [anon_sym_LT] = ACTIONS(7125),
    [aux_sym_end_program_statement_token1] = ACTIONS(7125),
    [aux_sym_block_data_statement_token1] = ACTIONS(7125),
    [aux_sym_block_data_statement_token2] = ACTIONS(7125),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7125),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7125),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7125),
    [aux_sym_use_statement_token2] = ACTIONS(7125),
    [anon_sym_COLON_COLON] = ACTIONS(7123),
    [aux_sym_implicit_statement_token3] = ACTIONS(7125),
    [aux_sym_implicit_statement_token4] = ACTIONS(7125),
    [aux_sym_save_statement_token1] = ACTIONS(7125),
    [aux_sym_private_statement_token1] = ACTIONS(7125),
    [aux_sym_public_statement_token1] = ACTIONS(7125),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7125),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7125),
    [aux_sym_variable_attributes_token2] = ACTIONS(7125),
    [aux_sym_variable_attributes_token3] = ACTIONS(7125),
    [aux_sym_variable_attributes_token5] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7125),
    [aux_sym_type_qualifier_token1] = ACTIONS(7125),
    [aux_sym_type_qualifier_token2] = ACTIONS(7125),
    [aux_sym_stop_statement_token1] = ACTIONS(7125),
    [aux_sym_stop_statement_token2] = ACTIONS(7125),
    [aux_sym_subroutine_call_token1] = ACTIONS(7125),
    [aux_sym_keyword_statement_token2] = ACTIONS(7125),
    [aux_sym_keyword_statement_token3] = ACTIONS(7125),
    [aux_sym_keyword_statement_token4] = ACTIONS(7125),
    [aux_sym_include_statement_token1] = ACTIONS(7125),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7125),
    [aux_sym_end_if_statement_token1] = ACTIONS(7125),
    [aux_sym_elseif_clause_token2] = ACTIONS(7125),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7125),
    [aux_sym_select_case_statement_token1] = ACTIONS(7125),
    [aux_sym_format_statement_token1] = ACTIONS(7125),
    [aux_sym_print_statement_token1] = ACTIONS(7125),
    [aux_sym_open_statement_token1] = ACTIONS(7125),
    [aux_sym_inquire_statement_token1] = ACTIONS(7125),
    [aux_sym_entry_statement_token1] = ACTIONS(7125),
    [aux_sym_logical_expression_token1] = ACTIONS(7123),
    [aux_sym_logical_expression_token2] = ACTIONS(7123),
    [aux_sym_logical_expression_token3] = ACTIONS(7123),
    [aux_sym_logical_expression_token4] = ACTIONS(7123),
    [aux_sym_relational_expression_token1] = ACTIONS(7123),
    [aux_sym_relational_expression_token2] = ACTIONS(7123),
    [aux_sym_relational_expression_token3] = ACTIONS(7123),
    [aux_sym_relational_expression_token4] = ACTIONS(7123),
    [aux_sym_relational_expression_token5] = ACTIONS(7123),
    [anon_sym_SLASH_EQ] = ACTIONS(7123),
    [aux_sym_relational_expression_token6] = ACTIONS(7123),
    [anon_sym_SLASH_SLASH] = ACTIONS(7123),
    [anon_sym_STAR_STAR] = ACTIONS(7123),
    [anon_sym_DOT] = ACTIONS(7125),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7123),
    [aux_sym_null_literal_token1] = ACTIONS(7125),
    [aux_sym_coarray_statement_token1] = ACTIONS(7125),
    [aux_sym_coarray_statement_token2] = ACTIONS(7125),
    [aux_sym_coarray_statement_token6] = ACTIONS(7125),
    [aux_sym_coarray_statement_token8] = ACTIONS(7125),
    [aux_sym_coarray_statement_token11] = ACTIONS(7125),
    [aux_sym_coarray_statement_token12] = ACTIONS(7125),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7125),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7125),
    [anon_sym_QMARK] = ACTIONS(7123),
    [aux_sym_identifier_token1] = ACTIONS(7125),
    [sym_comment] = ACTIONS(21),
  },
  [3746] = {
    [anon_sym_COMMA] = ACTIONS(7127),
    [anon_sym_LPAREN2] = ACTIONS(7127),
    [anon_sym_PLUS] = ACTIONS(7127),
    [anon_sym_DASH] = ACTIONS(7127),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_PERCENT] = ACTIONS(7127),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7129),
    [anon_sym_GT_EQ] = ACTIONS(7127),
    [anon_sym_LT_EQ] = ACTIONS(7127),
    [anon_sym_LT] = ACTIONS(7129),
    [aux_sym_end_program_statement_token1] = ACTIONS(7129),
    [aux_sym_block_data_statement_token1] = ACTIONS(7129),
    [aux_sym_block_data_statement_token2] = ACTIONS(7129),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7129),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7129),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7129),
    [aux_sym_use_statement_token2] = ACTIONS(7129),
    [anon_sym_COLON_COLON] = ACTIONS(7127),
    [aux_sym_implicit_statement_token3] = ACTIONS(7129),
    [aux_sym_implicit_statement_token4] = ACTIONS(7129),
    [aux_sym_save_statement_token1] = ACTIONS(7129),
    [aux_sym_private_statement_token1] = ACTIONS(7129),
    [aux_sym_public_statement_token1] = ACTIONS(7129),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7129),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7129),
    [aux_sym_variable_attributes_token2] = ACTIONS(7129),
    [aux_sym_variable_attributes_token3] = ACTIONS(7129),
    [aux_sym_variable_attributes_token5] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7129),
    [aux_sym_type_qualifier_token1] = ACTIONS(7129),
    [aux_sym_type_qualifier_token2] = ACTIONS(7129),
    [aux_sym_stop_statement_token1] = ACTIONS(7129),
    [aux_sym_stop_statement_token2] = ACTIONS(7129),
    [aux_sym_subroutine_call_token1] = ACTIONS(7129),
    [aux_sym_keyword_statement_token2] = ACTIONS(7129),
    [aux_sym_keyword_statement_token3] = ACTIONS(7129),
    [aux_sym_keyword_statement_token4] = ACTIONS(7129),
    [aux_sym_include_statement_token1] = ACTIONS(7129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7129),
    [aux_sym_end_if_statement_token1] = ACTIONS(7129),
    [aux_sym_elseif_clause_token2] = ACTIONS(7129),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7129),
    [aux_sym_select_case_statement_token1] = ACTIONS(7129),
    [aux_sym_format_statement_token1] = ACTIONS(7129),
    [aux_sym_print_statement_token1] = ACTIONS(7129),
    [aux_sym_open_statement_token1] = ACTIONS(7129),
    [aux_sym_inquire_statement_token1] = ACTIONS(7129),
    [aux_sym_entry_statement_token1] = ACTIONS(7129),
    [aux_sym_logical_expression_token1] = ACTIONS(7127),
    [aux_sym_logical_expression_token2] = ACTIONS(7127),
    [aux_sym_logical_expression_token3] = ACTIONS(7127),
    [aux_sym_logical_expression_token4] = ACTIONS(7127),
    [aux_sym_relational_expression_token1] = ACTIONS(7127),
    [aux_sym_relational_expression_token2] = ACTIONS(7127),
    [aux_sym_relational_expression_token3] = ACTIONS(7127),
    [aux_sym_relational_expression_token4] = ACTIONS(7127),
    [aux_sym_relational_expression_token5] = ACTIONS(7127),
    [anon_sym_SLASH_EQ] = ACTIONS(7127),
    [aux_sym_relational_expression_token6] = ACTIONS(7127),
    [anon_sym_SLASH_SLASH] = ACTIONS(7127),
    [anon_sym_STAR_STAR] = ACTIONS(7127),
    [anon_sym_DOT] = ACTIONS(7129),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7127),
    [aux_sym_null_literal_token1] = ACTIONS(7129),
    [aux_sym_coarray_statement_token1] = ACTIONS(7129),
    [aux_sym_coarray_statement_token2] = ACTIONS(7129),
    [aux_sym_coarray_statement_token6] = ACTIONS(7129),
    [aux_sym_coarray_statement_token8] = ACTIONS(7129),
    [aux_sym_coarray_statement_token11] = ACTIONS(7129),
    [aux_sym_coarray_statement_token12] = ACTIONS(7129),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7129),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7129),
    [anon_sym_QMARK] = ACTIONS(7127),
    [aux_sym_identifier_token1] = ACTIONS(7129),
    [sym_comment] = ACTIONS(21),
  },
  [3747] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8295),
    [aux_sym_module_statement_token1] = ACTIONS(8297),
    [aux_sym_block_data_statement_token1] = ACTIONS(8295),
    [aux_sym_block_data_statement_token2] = ACTIONS(8295),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8295),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8295),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8297),
    [aux_sym_function_statement_token1] = ACTIONS(8297),
    [aux_sym_language_binding_token1] = ACTIONS(8295),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8295),
    [aux_sym_use_statement_token2] = ACTIONS(8295),
    [anon_sym_COLON_COLON] = ACTIONS(8299),
    [aux_sym_implicit_statement_token3] = ACTIONS(8297),
    [aux_sym_implicit_statement_token4] = ACTIONS(8295),
    [aux_sym_save_statement_token1] = ACTIONS(8295),
    [aux_sym_private_statement_token1] = ACTIONS(8295),
    [aux_sym_public_statement_token1] = ACTIONS(8295),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8295),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8295),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8295),
    [aux_sym_variable_attributes_token1] = ACTIONS(8295),
    [aux_sym_variable_attributes_token2] = ACTIONS(8295),
    [aux_sym_variable_attributes_token3] = ACTIONS(8295),
    [aux_sym_variable_attributes_token4] = ACTIONS(8295),
    [aux_sym_variable_attributes_token5] = ACTIONS(8295),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8297),
    [aux_sym_derived_type_token1] = ACTIONS(8297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8295),
    [aux_sym_type_qualifier_token1] = ACTIONS(8295),
    [aux_sym_type_qualifier_token2] = ACTIONS(8295),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8297),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8297),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8297),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8297),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8297),
    [aux_sym_stop_statement_token1] = ACTIONS(8295),
    [aux_sym_stop_statement_token2] = ACTIONS(8295),
    [aux_sym_subroutine_call_token1] = ACTIONS(8295),
    [aux_sym_keyword_statement_token2] = ACTIONS(8295),
    [aux_sym_keyword_statement_token3] = ACTIONS(8295),
    [aux_sym_keyword_statement_token4] = ACTIONS(8295),
    [aux_sym_include_statement_token1] = ACTIONS(8295),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8295),
    [aux_sym_end_if_statement_token1] = ACTIONS(8295),
    [aux_sym_elseif_clause_token2] = ACTIONS(8295),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8295),
    [aux_sym_select_case_statement_token1] = ACTIONS(8295),
    [aux_sym_format_statement_token1] = ACTIONS(8295),
    [aux_sym_print_statement_token1] = ACTIONS(8295),
    [aux_sym_open_statement_token1] = ACTIONS(8295),
    [aux_sym_inquire_statement_token1] = ACTIONS(8295),
    [aux_sym_entry_statement_token1] = ACTIONS(8295),
    [aux_sym_null_literal_token1] = ACTIONS(8295),
    [aux_sym_coarray_statement_token1] = ACTIONS(8295),
    [aux_sym_coarray_statement_token2] = ACTIONS(8295),
    [aux_sym_coarray_statement_token6] = ACTIONS(8295),
    [aux_sym_coarray_statement_token8] = ACTIONS(8295),
    [aux_sym_coarray_statement_token11] = ACTIONS(8295),
    [aux_sym_coarray_statement_token12] = ACTIONS(8295),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8295),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8295),
    [aux_sym_identifier_token1] = ACTIONS(8295),
    [sym_comment] = ACTIONS(21),
  },
  [3748] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8184),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [anon_sym_COMMA] = ACTIONS(8301),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8303),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8303),
    [aux_sym_function_statement_token1] = ACTIONS(8303),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8303),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8305),
    [aux_sym_implicit_statement_token3] = ACTIONS(8303),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8303),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8303),
    [aux_sym_derived_type_token1] = ACTIONS(8303),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8303),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8303),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8303),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8303),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8303),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3749] = {
    [sym_kind] = STATE(3755),
    [sym__argument_list] = STATE(3754),
    [anon_sym_COMMA] = ACTIONS(8307),
    [anon_sym_LPAREN2] = ACTIONS(8309),
    [anon_sym_STAR] = ACTIONS(8311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8313),
    [aux_sym_module_statement_token1] = ACTIONS(8313),
    [aux_sym_block_data_statement_token1] = ACTIONS(8313),
    [aux_sym_block_data_statement_token2] = ACTIONS(8313),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8313),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8313),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8313),
    [aux_sym_function_statement_token1] = ACTIONS(8313),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8313),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8313),
    [aux_sym_use_statement_token2] = ACTIONS(8313),
    [anon_sym_COLON_COLON] = ACTIONS(8307),
    [aux_sym_implicit_statement_token3] = ACTIONS(8313),
    [aux_sym_implicit_statement_token4] = ACTIONS(8313),
    [aux_sym_save_statement_token1] = ACTIONS(8313),
    [aux_sym_private_statement_token1] = ACTIONS(8313),
    [aux_sym_public_statement_token1] = ACTIONS(8313),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8313),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8313),
    [aux_sym_variable_attributes_token2] = ACTIONS(8313),
    [aux_sym_variable_attributes_token3] = ACTIONS(8313),
    [aux_sym_variable_attributes_token5] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8313),
    [aux_sym_derived_type_token1] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8313),
    [aux_sym_type_qualifier_token1] = ACTIONS(8313),
    [aux_sym_type_qualifier_token2] = ACTIONS(8313),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8313),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8313),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8313),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8313),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8313),
    [aux_sym_stop_statement_token1] = ACTIONS(8313),
    [aux_sym_stop_statement_token2] = ACTIONS(8313),
    [aux_sym_subroutine_call_token1] = ACTIONS(8313),
    [aux_sym_keyword_statement_token2] = ACTIONS(8313),
    [aux_sym_keyword_statement_token3] = ACTIONS(8313),
    [aux_sym_keyword_statement_token4] = ACTIONS(8313),
    [aux_sym_include_statement_token1] = ACTIONS(8313),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8313),
    [aux_sym_end_if_statement_token1] = ACTIONS(8313),
    [aux_sym_elseif_clause_token2] = ACTIONS(8313),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8313),
    [aux_sym_select_case_statement_token1] = ACTIONS(8313),
    [aux_sym_format_statement_token1] = ACTIONS(8313),
    [aux_sym_print_statement_token1] = ACTIONS(8313),
    [aux_sym_open_statement_token1] = ACTIONS(8313),
    [aux_sym_inquire_statement_token1] = ACTIONS(8313),
    [aux_sym_entry_statement_token1] = ACTIONS(8313),
    [aux_sym_null_literal_token1] = ACTIONS(8313),
    [aux_sym_coarray_statement_token1] = ACTIONS(8313),
    [aux_sym_coarray_statement_token2] = ACTIONS(8313),
    [aux_sym_coarray_statement_token6] = ACTIONS(8313),
    [aux_sym_coarray_statement_token8] = ACTIONS(8313),
    [aux_sym_coarray_statement_token11] = ACTIONS(8313),
    [aux_sym_coarray_statement_token12] = ACTIONS(8313),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8313),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8313),
    [aux_sym_identifier_token1] = ACTIONS(8313),
    [sym_comment] = ACTIONS(21),
  },
  [3750] = {
    [anon_sym_COMMA] = ACTIONS(8315),
    [anon_sym_RPAREN] = ACTIONS(8315),
    [anon_sym_LPAREN2] = ACTIONS(8315),
    [anon_sym_STAR] = ACTIONS(8315),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8317),
    [aux_sym_module_statement_token1] = ACTIONS(8317),
    [aux_sym_block_data_statement_token1] = ACTIONS(8317),
    [aux_sym_block_data_statement_token2] = ACTIONS(8317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8317),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8317),
    [aux_sym_function_statement_token1] = ACTIONS(8317),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8317),
    [aux_sym_use_statement_token2] = ACTIONS(8317),
    [anon_sym_COLON_COLON] = ACTIONS(8315),
    [aux_sym_implicit_statement_token3] = ACTIONS(8317),
    [aux_sym_implicit_statement_token4] = ACTIONS(8317),
    [aux_sym_save_statement_token1] = ACTIONS(8317),
    [aux_sym_private_statement_token1] = ACTIONS(8317),
    [aux_sym_public_statement_token1] = ACTIONS(8317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8317),
    [aux_sym_variable_attributes_token2] = ACTIONS(8317),
    [aux_sym_variable_attributes_token3] = ACTIONS(8317),
    [aux_sym_variable_attributes_token5] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8317),
    [aux_sym_derived_type_token1] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8317),
    [aux_sym_type_qualifier_token1] = ACTIONS(8317),
    [aux_sym_type_qualifier_token2] = ACTIONS(8317),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8317),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8317),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8317),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8317),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8317),
    [aux_sym_stop_statement_token1] = ACTIONS(8317),
    [aux_sym_stop_statement_token2] = ACTIONS(8317),
    [aux_sym_subroutine_call_token1] = ACTIONS(8317),
    [aux_sym_keyword_statement_token2] = ACTIONS(8317),
    [aux_sym_keyword_statement_token3] = ACTIONS(8317),
    [aux_sym_keyword_statement_token4] = ACTIONS(8317),
    [aux_sym_include_statement_token1] = ACTIONS(8317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8317),
    [aux_sym_end_if_statement_token1] = ACTIONS(8317),
    [aux_sym_elseif_clause_token2] = ACTIONS(8317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8317),
    [aux_sym_select_case_statement_token1] = ACTIONS(8317),
    [aux_sym_format_statement_token1] = ACTIONS(8317),
    [aux_sym_print_statement_token1] = ACTIONS(8317),
    [aux_sym_open_statement_token1] = ACTIONS(8317),
    [aux_sym_inquire_statement_token1] = ACTIONS(8317),
    [aux_sym_entry_statement_token1] = ACTIONS(8317),
    [aux_sym_null_literal_token1] = ACTIONS(8317),
    [aux_sym_coarray_statement_token1] = ACTIONS(8317),
    [aux_sym_coarray_statement_token2] = ACTIONS(8317),
    [aux_sym_coarray_statement_token6] = ACTIONS(8317),
    [aux_sym_coarray_statement_token8] = ACTIONS(8317),
    [aux_sym_coarray_statement_token11] = ACTIONS(8317),
    [aux_sym_coarray_statement_token12] = ACTIONS(8317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8317),
    [aux_sym_identifier_token1] = ACTIONS(8317),
    [sym_comment] = ACTIONS(21),
  },
  [3751] = {
    [anon_sym_COMMA] = ACTIONS(8319),
    [anon_sym_RPAREN] = ACTIONS(8319),
    [anon_sym_LPAREN2] = ACTIONS(8319),
    [anon_sym_STAR] = ACTIONS(8319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8321),
    [aux_sym_module_statement_token1] = ACTIONS(8321),
    [aux_sym_block_data_statement_token1] = ACTIONS(8321),
    [aux_sym_block_data_statement_token2] = ACTIONS(8321),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8321),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8321),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8321),
    [aux_sym_function_statement_token1] = ACTIONS(8321),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8321),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8321),
    [aux_sym_use_statement_token2] = ACTIONS(8321),
    [anon_sym_COLON_COLON] = ACTIONS(8319),
    [aux_sym_implicit_statement_token3] = ACTIONS(8321),
    [aux_sym_implicit_statement_token4] = ACTIONS(8321),
    [aux_sym_save_statement_token1] = ACTIONS(8321),
    [aux_sym_private_statement_token1] = ACTIONS(8321),
    [aux_sym_public_statement_token1] = ACTIONS(8321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8321),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8321),
    [aux_sym_variable_attributes_token2] = ACTIONS(8321),
    [aux_sym_variable_attributes_token3] = ACTIONS(8321),
    [aux_sym_variable_attributes_token5] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8321),
    [aux_sym_derived_type_token1] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8321),
    [aux_sym_type_qualifier_token1] = ACTIONS(8321),
    [aux_sym_type_qualifier_token2] = ACTIONS(8321),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8321),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8321),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8321),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8321),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8321),
    [aux_sym_stop_statement_token1] = ACTIONS(8321),
    [aux_sym_stop_statement_token2] = ACTIONS(8321),
    [aux_sym_subroutine_call_token1] = ACTIONS(8321),
    [aux_sym_keyword_statement_token2] = ACTIONS(8321),
    [aux_sym_keyword_statement_token3] = ACTIONS(8321),
    [aux_sym_keyword_statement_token4] = ACTIONS(8321),
    [aux_sym_include_statement_token1] = ACTIONS(8321),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8321),
    [aux_sym_end_if_statement_token1] = ACTIONS(8321),
    [aux_sym_elseif_clause_token2] = ACTIONS(8321),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8321),
    [aux_sym_select_case_statement_token1] = ACTIONS(8321),
    [aux_sym_format_statement_token1] = ACTIONS(8321),
    [aux_sym_print_statement_token1] = ACTIONS(8321),
    [aux_sym_open_statement_token1] = ACTIONS(8321),
    [aux_sym_inquire_statement_token1] = ACTIONS(8321),
    [aux_sym_entry_statement_token1] = ACTIONS(8321),
    [aux_sym_null_literal_token1] = ACTIONS(8321),
    [aux_sym_coarray_statement_token1] = ACTIONS(8321),
    [aux_sym_coarray_statement_token2] = ACTIONS(8321),
    [aux_sym_coarray_statement_token6] = ACTIONS(8321),
    [aux_sym_coarray_statement_token8] = ACTIONS(8321),
    [aux_sym_coarray_statement_token11] = ACTIONS(8321),
    [aux_sym_coarray_statement_token12] = ACTIONS(8321),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8321),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8321),
    [aux_sym_identifier_token1] = ACTIONS(8321),
    [sym_comment] = ACTIONS(21),
  },
  [3752] = {
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_RPAREN] = ACTIONS(6743),
    [anon_sym_LPAREN2] = ACTIONS(6743),
    [anon_sym_STAR] = ACTIONS(6743),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6751),
    [aux_sym_module_statement_token1] = ACTIONS(6751),
    [aux_sym_block_data_statement_token1] = ACTIONS(6751),
    [aux_sym_block_data_statement_token2] = ACTIONS(6751),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6751),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6751),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6751),
    [aux_sym_function_statement_token1] = ACTIONS(6751),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6751),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6751),
    [aux_sym_use_statement_token2] = ACTIONS(6751),
    [anon_sym_COLON_COLON] = ACTIONS(6743),
    [aux_sym_implicit_statement_token3] = ACTIONS(6751),
    [aux_sym_implicit_statement_token4] = ACTIONS(6751),
    [aux_sym_save_statement_token1] = ACTIONS(6751),
    [aux_sym_private_statement_token1] = ACTIONS(6751),
    [aux_sym_public_statement_token1] = ACTIONS(6751),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6751),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6751),
    [aux_sym_variable_attributes_token2] = ACTIONS(6751),
    [aux_sym_variable_attributes_token3] = ACTIONS(6751),
    [aux_sym_variable_attributes_token5] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6751),
    [aux_sym_derived_type_token1] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6751),
    [aux_sym_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6751),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6751),
    [aux_sym_stop_statement_token1] = ACTIONS(6751),
    [aux_sym_stop_statement_token2] = ACTIONS(6751),
    [aux_sym_subroutine_call_token1] = ACTIONS(6751),
    [aux_sym_keyword_statement_token2] = ACTIONS(6751),
    [aux_sym_keyword_statement_token3] = ACTIONS(6751),
    [aux_sym_keyword_statement_token4] = ACTIONS(6751),
    [aux_sym_include_statement_token1] = ACTIONS(6751),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6751),
    [aux_sym_end_if_statement_token1] = ACTIONS(6751),
    [aux_sym_elseif_clause_token2] = ACTIONS(6751),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6751),
    [aux_sym_select_case_statement_token1] = ACTIONS(6751),
    [aux_sym_format_statement_token1] = ACTIONS(6751),
    [aux_sym_print_statement_token1] = ACTIONS(6751),
    [aux_sym_open_statement_token1] = ACTIONS(6751),
    [aux_sym_inquire_statement_token1] = ACTIONS(6751),
    [aux_sym_entry_statement_token1] = ACTIONS(6751),
    [aux_sym_null_literal_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token2] = ACTIONS(6751),
    [aux_sym_coarray_statement_token6] = ACTIONS(6751),
    [aux_sym_coarray_statement_token8] = ACTIONS(6751),
    [aux_sym_coarray_statement_token11] = ACTIONS(6751),
    [aux_sym_coarray_statement_token12] = ACTIONS(6751),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6751),
    [aux_sym_identifier_token1] = ACTIONS(6751),
    [sym_comment] = ACTIONS(21),
  },
  [3753] = {
    [anon_sym_COMMA] = ACTIONS(8323),
    [anon_sym_RPAREN] = ACTIONS(8323),
    [anon_sym_LPAREN2] = ACTIONS(8323),
    [anon_sym_STAR] = ACTIONS(8323),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8325),
    [aux_sym_module_statement_token1] = ACTIONS(8325),
    [aux_sym_block_data_statement_token1] = ACTIONS(8325),
    [aux_sym_block_data_statement_token2] = ACTIONS(8325),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8325),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8325),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8325),
    [aux_sym_function_statement_token1] = ACTIONS(8325),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8325),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8325),
    [aux_sym_use_statement_token2] = ACTIONS(8325),
    [anon_sym_COLON_COLON] = ACTIONS(8323),
    [aux_sym_implicit_statement_token3] = ACTIONS(8325),
    [aux_sym_implicit_statement_token4] = ACTIONS(8325),
    [aux_sym_save_statement_token1] = ACTIONS(8325),
    [aux_sym_private_statement_token1] = ACTIONS(8325),
    [aux_sym_public_statement_token1] = ACTIONS(8325),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8325),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8325),
    [aux_sym_variable_attributes_token2] = ACTIONS(8325),
    [aux_sym_variable_attributes_token3] = ACTIONS(8325),
    [aux_sym_variable_attributes_token5] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8325),
    [aux_sym_derived_type_token1] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8325),
    [aux_sym_type_qualifier_token1] = ACTIONS(8325),
    [aux_sym_type_qualifier_token2] = ACTIONS(8325),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8325),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8325),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8325),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8325),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8325),
    [aux_sym_stop_statement_token1] = ACTIONS(8325),
    [aux_sym_stop_statement_token2] = ACTIONS(8325),
    [aux_sym_subroutine_call_token1] = ACTIONS(8325),
    [aux_sym_keyword_statement_token2] = ACTIONS(8325),
    [aux_sym_keyword_statement_token3] = ACTIONS(8325),
    [aux_sym_keyword_statement_token4] = ACTIONS(8325),
    [aux_sym_include_statement_token1] = ACTIONS(8325),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8325),
    [aux_sym_end_if_statement_token1] = ACTIONS(8325),
    [aux_sym_elseif_clause_token2] = ACTIONS(8325),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8325),
    [aux_sym_select_case_statement_token1] = ACTIONS(8325),
    [aux_sym_format_statement_token1] = ACTIONS(8325),
    [aux_sym_print_statement_token1] = ACTIONS(8325),
    [aux_sym_open_statement_token1] = ACTIONS(8325),
    [aux_sym_inquire_statement_token1] = ACTIONS(8325),
    [aux_sym_entry_statement_token1] = ACTIONS(8325),
    [aux_sym_null_literal_token1] = ACTIONS(8325),
    [aux_sym_coarray_statement_token1] = ACTIONS(8325),
    [aux_sym_coarray_statement_token2] = ACTIONS(8325),
    [aux_sym_coarray_statement_token6] = ACTIONS(8325),
    [aux_sym_coarray_statement_token8] = ACTIONS(8325),
    [aux_sym_coarray_statement_token11] = ACTIONS(8325),
    [aux_sym_coarray_statement_token12] = ACTIONS(8325),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8325),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8325),
    [aux_sym_identifier_token1] = ACTIONS(8325),
    [sym_comment] = ACTIONS(21),
  },
  [3754] = {
    [anon_sym_COMMA] = ACTIONS(8327),
    [anon_sym_RPAREN] = ACTIONS(8327),
    [anon_sym_LPAREN2] = ACTIONS(8327),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8329),
    [aux_sym_module_statement_token1] = ACTIONS(8329),
    [aux_sym_block_data_statement_token1] = ACTIONS(8329),
    [aux_sym_block_data_statement_token2] = ACTIONS(8329),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8329),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8329),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8329),
    [aux_sym_function_statement_token1] = ACTIONS(8329),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8329),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8329),
    [aux_sym_use_statement_token2] = ACTIONS(8329),
    [anon_sym_COLON_COLON] = ACTIONS(8327),
    [aux_sym_implicit_statement_token3] = ACTIONS(8329),
    [aux_sym_implicit_statement_token4] = ACTIONS(8329),
    [aux_sym_save_statement_token1] = ACTIONS(8329),
    [aux_sym_private_statement_token1] = ACTIONS(8329),
    [aux_sym_public_statement_token1] = ACTIONS(8329),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8329),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8329),
    [aux_sym_variable_attributes_token2] = ACTIONS(8329),
    [aux_sym_variable_attributes_token3] = ACTIONS(8329),
    [aux_sym_variable_attributes_token5] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8329),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8329),
    [aux_sym_derived_type_token1] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8329),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8329),
    [aux_sym_type_qualifier_token1] = ACTIONS(8329),
    [aux_sym_type_qualifier_token2] = ACTIONS(8329),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8329),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8329),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8329),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8329),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8329),
    [aux_sym_stop_statement_token1] = ACTIONS(8329),
    [aux_sym_stop_statement_token2] = ACTIONS(8329),
    [aux_sym_subroutine_call_token1] = ACTIONS(8329),
    [aux_sym_keyword_statement_token2] = ACTIONS(8329),
    [aux_sym_keyword_statement_token3] = ACTIONS(8329),
    [aux_sym_keyword_statement_token4] = ACTIONS(8329),
    [aux_sym_include_statement_token1] = ACTIONS(8329),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8329),
    [aux_sym_end_if_statement_token1] = ACTIONS(8329),
    [aux_sym_elseif_clause_token2] = ACTIONS(8329),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8329),
    [aux_sym_select_case_statement_token1] = ACTIONS(8329),
    [aux_sym_format_statement_token1] = ACTIONS(8329),
    [aux_sym_print_statement_token1] = ACTIONS(8329),
    [aux_sym_open_statement_token1] = ACTIONS(8329),
    [aux_sym_inquire_statement_token1] = ACTIONS(8329),
    [aux_sym_entry_statement_token1] = ACTIONS(8329),
    [aux_sym_null_literal_token1] = ACTIONS(8329),
    [aux_sym_coarray_statement_token1] = ACTIONS(8329),
    [aux_sym_coarray_statement_token2] = ACTIONS(8329),
    [aux_sym_coarray_statement_token6] = ACTIONS(8329),
    [aux_sym_coarray_statement_token8] = ACTIONS(8329),
    [aux_sym_coarray_statement_token11] = ACTIONS(8329),
    [aux_sym_coarray_statement_token12] = ACTIONS(8329),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8329),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8329),
    [aux_sym_identifier_token1] = ACTIONS(8329),
    [sym_comment] = ACTIONS(21),
  },
  [3755] = {
    [anon_sym_COMMA] = ACTIONS(8331),
    [anon_sym_RPAREN] = ACTIONS(8331),
    [anon_sym_LPAREN2] = ACTIONS(8331),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8333),
    [aux_sym_module_statement_token1] = ACTIONS(8333),
    [aux_sym_block_data_statement_token1] = ACTIONS(8333),
    [aux_sym_block_data_statement_token2] = ACTIONS(8333),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8333),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8333),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8333),
    [aux_sym_function_statement_token1] = ACTIONS(8333),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8333),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8333),
    [aux_sym_use_statement_token2] = ACTIONS(8333),
    [anon_sym_COLON_COLON] = ACTIONS(8331),
    [aux_sym_implicit_statement_token3] = ACTIONS(8333),
    [aux_sym_implicit_statement_token4] = ACTIONS(8333),
    [aux_sym_save_statement_token1] = ACTIONS(8333),
    [aux_sym_private_statement_token1] = ACTIONS(8333),
    [aux_sym_public_statement_token1] = ACTIONS(8333),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8333),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8333),
    [aux_sym_variable_attributes_token2] = ACTIONS(8333),
    [aux_sym_variable_attributes_token3] = ACTIONS(8333),
    [aux_sym_variable_attributes_token5] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8333),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8333),
    [aux_sym_derived_type_token1] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8333),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8333),
    [aux_sym_type_qualifier_token1] = ACTIONS(8333),
    [aux_sym_type_qualifier_token2] = ACTIONS(8333),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8333),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8333),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8333),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8333),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8333),
    [aux_sym_stop_statement_token1] = ACTIONS(8333),
    [aux_sym_stop_statement_token2] = ACTIONS(8333),
    [aux_sym_subroutine_call_token1] = ACTIONS(8333),
    [aux_sym_keyword_statement_token2] = ACTIONS(8333),
    [aux_sym_keyword_statement_token3] = ACTIONS(8333),
    [aux_sym_keyword_statement_token4] = ACTIONS(8333),
    [aux_sym_include_statement_token1] = ACTIONS(8333),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8333),
    [aux_sym_end_if_statement_token1] = ACTIONS(8333),
    [aux_sym_elseif_clause_token2] = ACTIONS(8333),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8333),
    [aux_sym_select_case_statement_token1] = ACTIONS(8333),
    [aux_sym_format_statement_token1] = ACTIONS(8333),
    [aux_sym_print_statement_token1] = ACTIONS(8333),
    [aux_sym_open_statement_token1] = ACTIONS(8333),
    [aux_sym_inquire_statement_token1] = ACTIONS(8333),
    [aux_sym_entry_statement_token1] = ACTIONS(8333),
    [aux_sym_null_literal_token1] = ACTIONS(8333),
    [aux_sym_coarray_statement_token1] = ACTIONS(8333),
    [aux_sym_coarray_statement_token2] = ACTIONS(8333),
    [aux_sym_coarray_statement_token6] = ACTIONS(8333),
    [aux_sym_coarray_statement_token8] = ACTIONS(8333),
    [aux_sym_coarray_statement_token11] = ACTIONS(8333),
    [aux_sym_coarray_statement_token12] = ACTIONS(8333),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8333),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8333),
    [aux_sym_identifier_token1] = ACTIONS(8333),
    [sym_comment] = ACTIONS(21),
  },
  [3756] = {
    [anon_sym_COMMA] = ACTIONS(8335),
    [anon_sym_RPAREN] = ACTIONS(8335),
    [anon_sym_LPAREN2] = ACTIONS(8335),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8337),
    [aux_sym_module_statement_token1] = ACTIONS(8337),
    [aux_sym_block_data_statement_token1] = ACTIONS(8337),
    [aux_sym_block_data_statement_token2] = ACTIONS(8337),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8337),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8337),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8337),
    [aux_sym_function_statement_token1] = ACTIONS(8337),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8337),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8337),
    [aux_sym_use_statement_token2] = ACTIONS(8337),
    [anon_sym_COLON_COLON] = ACTIONS(8335),
    [aux_sym_implicit_statement_token3] = ACTIONS(8337),
    [aux_sym_implicit_statement_token4] = ACTIONS(8337),
    [aux_sym_save_statement_token1] = ACTIONS(8337),
    [aux_sym_private_statement_token1] = ACTIONS(8337),
    [aux_sym_public_statement_token1] = ACTIONS(8337),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8337),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8337),
    [aux_sym_variable_attributes_token2] = ACTIONS(8337),
    [aux_sym_variable_attributes_token3] = ACTIONS(8337),
    [aux_sym_variable_attributes_token5] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8337),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8337),
    [aux_sym_derived_type_token1] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8337),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8337),
    [aux_sym_type_qualifier_token1] = ACTIONS(8337),
    [aux_sym_type_qualifier_token2] = ACTIONS(8337),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8337),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8337),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8337),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8337),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8337),
    [aux_sym_stop_statement_token1] = ACTIONS(8337),
    [aux_sym_stop_statement_token2] = ACTIONS(8337),
    [aux_sym_subroutine_call_token1] = ACTIONS(8337),
    [aux_sym_keyword_statement_token2] = ACTIONS(8337),
    [aux_sym_keyword_statement_token3] = ACTIONS(8337),
    [aux_sym_keyword_statement_token4] = ACTIONS(8337),
    [aux_sym_include_statement_token1] = ACTIONS(8337),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8337),
    [aux_sym_end_if_statement_token1] = ACTIONS(8337),
    [aux_sym_elseif_clause_token2] = ACTIONS(8337),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8337),
    [aux_sym_select_case_statement_token1] = ACTIONS(8337),
    [aux_sym_format_statement_token1] = ACTIONS(8337),
    [aux_sym_print_statement_token1] = ACTIONS(8337),
    [aux_sym_open_statement_token1] = ACTIONS(8337),
    [aux_sym_inquire_statement_token1] = ACTIONS(8337),
    [aux_sym_entry_statement_token1] = ACTIONS(8337),
    [aux_sym_null_literal_token1] = ACTIONS(8337),
    [aux_sym_coarray_statement_token1] = ACTIONS(8337),
    [aux_sym_coarray_statement_token2] = ACTIONS(8337),
    [aux_sym_coarray_statement_token6] = ACTIONS(8337),
    [aux_sym_coarray_statement_token8] = ACTIONS(8337),
    [aux_sym_coarray_statement_token11] = ACTIONS(8337),
    [aux_sym_coarray_statement_token12] = ACTIONS(8337),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8337),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8337),
    [aux_sym_identifier_token1] = ACTIONS(8337),
    [sym_comment] = ACTIONS(21),
  },
  [3757] = {
    [anon_sym_COMMA] = ACTIONS(8339),
    [anon_sym_RPAREN] = ACTIONS(8339),
    [anon_sym_LPAREN2] = ACTIONS(8339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8341),
    [aux_sym_module_statement_token1] = ACTIONS(8341),
    [aux_sym_block_data_statement_token1] = ACTIONS(8341),
    [aux_sym_block_data_statement_token2] = ACTIONS(8341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8341),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8341),
    [aux_sym_function_statement_token1] = ACTIONS(8341),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8341),
    [aux_sym_use_statement_token2] = ACTIONS(8341),
    [anon_sym_COLON_COLON] = ACTIONS(8339),
    [aux_sym_implicit_statement_token3] = ACTIONS(8341),
    [aux_sym_implicit_statement_token4] = ACTIONS(8341),
    [aux_sym_save_statement_token1] = ACTIONS(8341),
    [aux_sym_private_statement_token1] = ACTIONS(8341),
    [aux_sym_public_statement_token1] = ACTIONS(8341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8341),
    [aux_sym_variable_attributes_token2] = ACTIONS(8341),
    [aux_sym_variable_attributes_token3] = ACTIONS(8341),
    [aux_sym_variable_attributes_token5] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8341),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8341),
    [aux_sym_derived_type_token1] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8341),
    [aux_sym_type_qualifier_token1] = ACTIONS(8341),
    [aux_sym_type_qualifier_token2] = ACTIONS(8341),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8341),
    [aux_sym_stop_statement_token1] = ACTIONS(8341),
    [aux_sym_stop_statement_token2] = ACTIONS(8341),
    [aux_sym_subroutine_call_token1] = ACTIONS(8341),
    [aux_sym_keyword_statement_token2] = ACTIONS(8341),
    [aux_sym_keyword_statement_token3] = ACTIONS(8341),
    [aux_sym_keyword_statement_token4] = ACTIONS(8341),
    [aux_sym_include_statement_token1] = ACTIONS(8341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8341),
    [aux_sym_end_if_statement_token1] = ACTIONS(8341),
    [aux_sym_elseif_clause_token2] = ACTIONS(8341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8341),
    [aux_sym_select_case_statement_token1] = ACTIONS(8341),
    [aux_sym_format_statement_token1] = ACTIONS(8341),
    [aux_sym_print_statement_token1] = ACTIONS(8341),
    [aux_sym_open_statement_token1] = ACTIONS(8341),
    [aux_sym_inquire_statement_token1] = ACTIONS(8341),
    [aux_sym_entry_statement_token1] = ACTIONS(8341),
    [aux_sym_null_literal_token1] = ACTIONS(8341),
    [aux_sym_coarray_statement_token1] = ACTIONS(8341),
    [aux_sym_coarray_statement_token2] = ACTIONS(8341),
    [aux_sym_coarray_statement_token6] = ACTIONS(8341),
    [aux_sym_coarray_statement_token8] = ACTIONS(8341),
    [aux_sym_coarray_statement_token11] = ACTIONS(8341),
    [aux_sym_coarray_statement_token12] = ACTIONS(8341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8341),
    [aux_sym_identifier_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(21),
  },
  [3758] = {
    [anon_sym_COMMA] = ACTIONS(8343),
    [anon_sym_RPAREN] = ACTIONS(8343),
    [anon_sym_LPAREN2] = ACTIONS(8343),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8345),
    [aux_sym_module_statement_token1] = ACTIONS(8345),
    [aux_sym_block_data_statement_token1] = ACTIONS(8345),
    [aux_sym_block_data_statement_token2] = ACTIONS(8345),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8345),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8345),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8345),
    [aux_sym_function_statement_token1] = ACTIONS(8345),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8345),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8345),
    [aux_sym_use_statement_token2] = ACTIONS(8345),
    [anon_sym_COLON_COLON] = ACTIONS(8343),
    [aux_sym_implicit_statement_token3] = ACTIONS(8345),
    [aux_sym_implicit_statement_token4] = ACTIONS(8345),
    [aux_sym_save_statement_token1] = ACTIONS(8345),
    [aux_sym_private_statement_token1] = ACTIONS(8345),
    [aux_sym_public_statement_token1] = ACTIONS(8345),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8345),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8345),
    [aux_sym_variable_attributes_token2] = ACTIONS(8345),
    [aux_sym_variable_attributes_token3] = ACTIONS(8345),
    [aux_sym_variable_attributes_token5] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8345),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8345),
    [aux_sym_derived_type_token1] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8345),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8345),
    [aux_sym_type_qualifier_token1] = ACTIONS(8345),
    [aux_sym_type_qualifier_token2] = ACTIONS(8345),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8345),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8345),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8345),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8345),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8345),
    [aux_sym_stop_statement_token1] = ACTIONS(8345),
    [aux_sym_stop_statement_token2] = ACTIONS(8345),
    [aux_sym_subroutine_call_token1] = ACTIONS(8345),
    [aux_sym_keyword_statement_token2] = ACTIONS(8345),
    [aux_sym_keyword_statement_token3] = ACTIONS(8345),
    [aux_sym_keyword_statement_token4] = ACTIONS(8345),
    [aux_sym_include_statement_token1] = ACTIONS(8345),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8345),
    [aux_sym_end_if_statement_token1] = ACTIONS(8345),
    [aux_sym_elseif_clause_token2] = ACTIONS(8345),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8345),
    [aux_sym_select_case_statement_token1] = ACTIONS(8345),
    [aux_sym_format_statement_token1] = ACTIONS(8345),
    [aux_sym_print_statement_token1] = ACTIONS(8345),
    [aux_sym_open_statement_token1] = ACTIONS(8345),
    [aux_sym_inquire_statement_token1] = ACTIONS(8345),
    [aux_sym_entry_statement_token1] = ACTIONS(8345),
    [aux_sym_null_literal_token1] = ACTIONS(8345),
    [aux_sym_coarray_statement_token1] = ACTIONS(8345),
    [aux_sym_coarray_statement_token2] = ACTIONS(8345),
    [aux_sym_coarray_statement_token6] = ACTIONS(8345),
    [aux_sym_coarray_statement_token8] = ACTIONS(8345),
    [aux_sym_coarray_statement_token11] = ACTIONS(8345),
    [aux_sym_coarray_statement_token12] = ACTIONS(8345),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8345),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8345),
    [aux_sym_identifier_token1] = ACTIONS(8345),
    [sym_comment] = ACTIONS(21),
  },
  [3759] = {
    [anon_sym_COMMA] = ACTIONS(8347),
    [anon_sym_RPAREN] = ACTIONS(8347),
    [anon_sym_LPAREN2] = ACTIONS(8347),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8350),
    [aux_sym_module_statement_token1] = ACTIONS(8350),
    [aux_sym_block_data_statement_token1] = ACTIONS(8350),
    [aux_sym_block_data_statement_token2] = ACTIONS(8350),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8350),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8350),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8350),
    [aux_sym_function_statement_token1] = ACTIONS(8350),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8350),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8350),
    [aux_sym_use_statement_token2] = ACTIONS(8350),
    [anon_sym_COLON_COLON] = ACTIONS(8347),
    [aux_sym_implicit_statement_token3] = ACTIONS(8350),
    [aux_sym_implicit_statement_token4] = ACTIONS(8350),
    [aux_sym_save_statement_token1] = ACTIONS(8350),
    [aux_sym_private_statement_token1] = ACTIONS(8350),
    [aux_sym_public_statement_token1] = ACTIONS(8350),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8350),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8350),
    [aux_sym_variable_attributes_token2] = ACTIONS(8350),
    [aux_sym_variable_attributes_token3] = ACTIONS(8350),
    [aux_sym_variable_attributes_token5] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8350),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8350),
    [aux_sym_derived_type_token1] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8350),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8350),
    [aux_sym_type_qualifier_token1] = ACTIONS(8350),
    [aux_sym_type_qualifier_token2] = ACTIONS(8350),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8350),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8350),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8350),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8350),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8350),
    [aux_sym_stop_statement_token1] = ACTIONS(8350),
    [aux_sym_stop_statement_token2] = ACTIONS(8350),
    [aux_sym_subroutine_call_token1] = ACTIONS(8350),
    [aux_sym_keyword_statement_token2] = ACTIONS(8350),
    [aux_sym_keyword_statement_token3] = ACTIONS(8350),
    [aux_sym_keyword_statement_token4] = ACTIONS(8350),
    [aux_sym_include_statement_token1] = ACTIONS(8350),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8350),
    [aux_sym_end_if_statement_token1] = ACTIONS(8350),
    [aux_sym_elseif_clause_token2] = ACTIONS(8350),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8350),
    [aux_sym_select_case_statement_token1] = ACTIONS(8350),
    [aux_sym_format_statement_token1] = ACTIONS(8350),
    [aux_sym_print_statement_token1] = ACTIONS(8350),
    [aux_sym_open_statement_token1] = ACTIONS(8350),
    [aux_sym_inquire_statement_token1] = ACTIONS(8350),
    [aux_sym_entry_statement_token1] = ACTIONS(8350),
    [aux_sym_null_literal_token1] = ACTIONS(8350),
    [aux_sym_coarray_statement_token1] = ACTIONS(8350),
    [aux_sym_coarray_statement_token2] = ACTIONS(8350),
    [aux_sym_coarray_statement_token6] = ACTIONS(8350),
    [aux_sym_coarray_statement_token8] = ACTIONS(8350),
    [aux_sym_coarray_statement_token11] = ACTIONS(8350),
    [aux_sym_coarray_statement_token12] = ACTIONS(8350),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8350),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8350),
    [aux_sym_identifier_token1] = ACTIONS(8350),
    [sym_comment] = ACTIONS(21),
  },
  [3760] = {
    [sym__preproc_expression] = STATE(6215),
    [sym_preproc_parenthesized_expression] = STATE(6215),
    [sym_preproc_defined] = STATE(6215),
    [sym_preproc_unary_expression] = STATE(6215),
    [sym_preproc_call_expression] = STATE(6215),
    [sym_preproc_binary_expression] = STATE(6215),
    [sym_number_literal] = STATE(6215),
    [sym_string_literal] = STATE(6215),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8357),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3761] = {
    [sym__argument_list] = STATE(2612),
    [sym_argument_list] = STATE(3998),
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(7171),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5082),
  },
  [3762] = {
    [sym__preproc_expression] = STATE(6227),
    [sym_preproc_parenthesized_expression] = STATE(6227),
    [sym_preproc_defined] = STATE(6227),
    [sym_preproc_unary_expression] = STATE(6227),
    [sym_preproc_call_expression] = STATE(6227),
    [sym_preproc_binary_expression] = STATE(6227),
    [sym_number_literal] = STATE(6227),
    [sym_string_literal] = STATE(6227),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8379),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3763] = {
    [sym__preproc_expression] = STATE(6248),
    [sym_preproc_parenthesized_expression] = STATE(6248),
    [sym_preproc_defined] = STATE(6248),
    [sym_preproc_unary_expression] = STATE(6248),
    [sym_preproc_call_expression] = STATE(6248),
    [sym_preproc_binary_expression] = STATE(6248),
    [sym_number_literal] = STATE(6248),
    [sym_string_literal] = STATE(6248),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3764] = {
    [anon_sym_COMMA] = ACTIONS(8383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8385),
    [aux_sym_module_statement_token1] = ACTIONS(8385),
    [aux_sym_block_data_statement_token1] = ACTIONS(8385),
    [aux_sym_block_data_statement_token2] = ACTIONS(8385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8385),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8385),
    [aux_sym_function_statement_token1] = ACTIONS(8385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8385),
    [aux_sym_use_statement_token2] = ACTIONS(8385),
    [anon_sym_COLON_COLON] = ACTIONS(8383),
    [aux_sym_implicit_statement_token3] = ACTIONS(8385),
    [aux_sym_implicit_statement_token4] = ACTIONS(8385),
    [aux_sym_save_statement_token1] = ACTIONS(8385),
    [aux_sym_private_statement_token1] = ACTIONS(8385),
    [aux_sym_public_statement_token1] = ACTIONS(8385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8385),
    [aux_sym_variable_attributes_token2] = ACTIONS(8385),
    [aux_sym_variable_attributes_token3] = ACTIONS(8385),
    [aux_sym_variable_attributes_token5] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8385),
    [aux_sym_derived_type_token1] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8385),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8385),
    [aux_sym_type_qualifier_token1] = ACTIONS(8385),
    [aux_sym_type_qualifier_token2] = ACTIONS(8385),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8385),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8385),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8385),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8385),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8385),
    [aux_sym_stop_statement_token1] = ACTIONS(8385),
    [aux_sym_stop_statement_token2] = ACTIONS(8385),
    [aux_sym_subroutine_call_token1] = ACTIONS(8385),
    [aux_sym_keyword_statement_token2] = ACTIONS(8385),
    [aux_sym_keyword_statement_token3] = ACTIONS(8385),
    [aux_sym_keyword_statement_token4] = ACTIONS(8385),
    [aux_sym_include_statement_token1] = ACTIONS(8385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8385),
    [aux_sym_end_if_statement_token1] = ACTIONS(8385),
    [aux_sym_elseif_clause_token2] = ACTIONS(8385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8385),
    [aux_sym_select_case_statement_token1] = ACTIONS(8385),
    [aux_sym_format_statement_token1] = ACTIONS(8385),
    [aux_sym_print_statement_token1] = ACTIONS(8385),
    [aux_sym_open_statement_token1] = ACTIONS(8385),
    [aux_sym_inquire_statement_token1] = ACTIONS(8385),
    [aux_sym_entry_statement_token1] = ACTIONS(8385),
    [aux_sym_null_literal_token1] = ACTIONS(8385),
    [aux_sym_coarray_statement_token1] = ACTIONS(8385),
    [aux_sym_coarray_statement_token2] = ACTIONS(8385),
    [aux_sym_coarray_statement_token6] = ACTIONS(8385),
    [aux_sym_coarray_statement_token8] = ACTIONS(8385),
    [aux_sym_coarray_statement_token11] = ACTIONS(8385),
    [aux_sym_coarray_statement_token12] = ACTIONS(8385),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8385),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8385),
    [aux_sym_identifier_token1] = ACTIONS(8385),
    [sym_comment] = ACTIONS(21),
  },
  [3765] = {
    [anon_sym_COMMA] = ACTIONS(8387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8389),
    [aux_sym_module_statement_token1] = ACTIONS(8389),
    [aux_sym_block_data_statement_token1] = ACTIONS(8389),
    [aux_sym_block_data_statement_token2] = ACTIONS(8389),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8389),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8389),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8389),
    [aux_sym_function_statement_token1] = ACTIONS(8389),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8389),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8389),
    [aux_sym_use_statement_token2] = ACTIONS(8389),
    [anon_sym_COLON_COLON] = ACTIONS(8387),
    [aux_sym_implicit_statement_token3] = ACTIONS(8389),
    [aux_sym_implicit_statement_token4] = ACTIONS(8389),
    [aux_sym_save_statement_token1] = ACTIONS(8389),
    [aux_sym_private_statement_token1] = ACTIONS(8389),
    [aux_sym_public_statement_token1] = ACTIONS(8389),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8389),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8389),
    [aux_sym_variable_attributes_token2] = ACTIONS(8389),
    [aux_sym_variable_attributes_token3] = ACTIONS(8389),
    [aux_sym_variable_attributes_token5] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8389),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8389),
    [aux_sym_derived_type_token1] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8389),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8389),
    [aux_sym_type_qualifier_token1] = ACTIONS(8389),
    [aux_sym_type_qualifier_token2] = ACTIONS(8389),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8389),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8389),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8389),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8389),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8389),
    [aux_sym_stop_statement_token1] = ACTIONS(8389),
    [aux_sym_stop_statement_token2] = ACTIONS(8389),
    [aux_sym_subroutine_call_token1] = ACTIONS(8389),
    [aux_sym_keyword_statement_token2] = ACTIONS(8389),
    [aux_sym_keyword_statement_token3] = ACTIONS(8389),
    [aux_sym_keyword_statement_token4] = ACTIONS(8389),
    [aux_sym_include_statement_token1] = ACTIONS(8389),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8389),
    [aux_sym_end_if_statement_token1] = ACTIONS(8389),
    [aux_sym_elseif_clause_token2] = ACTIONS(8389),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8389),
    [aux_sym_select_case_statement_token1] = ACTIONS(8389),
    [aux_sym_format_statement_token1] = ACTIONS(8389),
    [aux_sym_print_statement_token1] = ACTIONS(8389),
    [aux_sym_open_statement_token1] = ACTIONS(8389),
    [aux_sym_inquire_statement_token1] = ACTIONS(8389),
    [aux_sym_entry_statement_token1] = ACTIONS(8389),
    [aux_sym_null_literal_token1] = ACTIONS(8389),
    [aux_sym_coarray_statement_token1] = ACTIONS(8389),
    [aux_sym_coarray_statement_token2] = ACTIONS(8389),
    [aux_sym_coarray_statement_token6] = ACTIONS(8389),
    [aux_sym_coarray_statement_token8] = ACTIONS(8389),
    [aux_sym_coarray_statement_token11] = ACTIONS(8389),
    [aux_sym_coarray_statement_token12] = ACTIONS(8389),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8389),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8389),
    [aux_sym_identifier_token1] = ACTIONS(8389),
    [sym_comment] = ACTIONS(21),
  },
  [3766] = {
    [sym__preproc_expression] = STATE(6253),
    [sym_preproc_parenthesized_expression] = STATE(6253),
    [sym_preproc_defined] = STATE(6253),
    [sym_preproc_unary_expression] = STATE(6253),
    [sym_preproc_call_expression] = STATE(6253),
    [sym_preproc_binary_expression] = STATE(6253),
    [sym_number_literal] = STATE(6253),
    [sym_string_literal] = STATE(6253),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8391),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3767] = {
    [sym__preproc_expression] = STATE(6233),
    [sym_preproc_parenthesized_expression] = STATE(6233),
    [sym_preproc_defined] = STATE(6233),
    [sym_preproc_unary_expression] = STATE(6233),
    [sym_preproc_call_expression] = STATE(6233),
    [sym_preproc_binary_expression] = STATE(6233),
    [sym_number_literal] = STATE(6233),
    [sym_string_literal] = STATE(6233),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3768] = {
    [sym__preproc_expression] = STATE(6237),
    [sym_preproc_parenthesized_expression] = STATE(6237),
    [sym_preproc_defined] = STATE(6237),
    [sym_preproc_unary_expression] = STATE(6237),
    [sym_preproc_call_expression] = STATE(6237),
    [sym_preproc_binary_expression] = STATE(6237),
    [sym_number_literal] = STATE(6237),
    [sym_string_literal] = STATE(6237),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8395),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3769] = {
    [sym__preproc_expression] = STATE(6041),
    [sym_preproc_parenthesized_expression] = STATE(6041),
    [sym_preproc_defined] = STATE(6041),
    [sym_preproc_unary_expression] = STATE(6041),
    [sym_preproc_call_expression] = STATE(6041),
    [sym_preproc_binary_expression] = STATE(6041),
    [sym_number_literal] = STATE(6041),
    [sym_string_literal] = STATE(6041),
    [sym_identifier] = STATE(6019),
    [anon_sym_RPAREN] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3770] = {
    [sym__preproc_expression] = STATE(6210),
    [sym_preproc_parenthesized_expression] = STATE(6210),
    [sym_preproc_defined] = STATE(6210),
    [sym_preproc_unary_expression] = STATE(6210),
    [sym_preproc_call_expression] = STATE(6210),
    [sym_preproc_binary_expression] = STATE(6210),
    [sym_number_literal] = STATE(6210),
    [sym_string_literal] = STATE(6210),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3771] = {
    [anon_sym_COMMA] = ACTIONS(8425),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8427),
    [aux_sym_module_statement_token1] = ACTIONS(8427),
    [aux_sym_block_data_statement_token1] = ACTIONS(8427),
    [aux_sym_block_data_statement_token2] = ACTIONS(8427),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8427),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8427),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8427),
    [aux_sym_function_statement_token1] = ACTIONS(8427),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8427),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8427),
    [aux_sym_use_statement_token2] = ACTIONS(8427),
    [anon_sym_COLON_COLON] = ACTIONS(8425),
    [aux_sym_implicit_statement_token3] = ACTIONS(8427),
    [aux_sym_implicit_statement_token4] = ACTIONS(8427),
    [aux_sym_save_statement_token1] = ACTIONS(8427),
    [aux_sym_private_statement_token1] = ACTIONS(8427),
    [aux_sym_public_statement_token1] = ACTIONS(8427),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8427),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8427),
    [aux_sym_variable_attributes_token2] = ACTIONS(8427),
    [aux_sym_variable_attributes_token3] = ACTIONS(8427),
    [aux_sym_variable_attributes_token5] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8427),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8427),
    [aux_sym_derived_type_token1] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8427),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8427),
    [aux_sym_type_qualifier_token1] = ACTIONS(8427),
    [aux_sym_type_qualifier_token2] = ACTIONS(8427),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8427),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8427),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8427),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8427),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8427),
    [aux_sym_stop_statement_token1] = ACTIONS(8427),
    [aux_sym_stop_statement_token2] = ACTIONS(8427),
    [aux_sym_subroutine_call_token1] = ACTIONS(8427),
    [aux_sym_keyword_statement_token2] = ACTIONS(8427),
    [aux_sym_keyword_statement_token3] = ACTIONS(8427),
    [aux_sym_keyword_statement_token4] = ACTIONS(8427),
    [aux_sym_include_statement_token1] = ACTIONS(8427),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8427),
    [aux_sym_end_if_statement_token1] = ACTIONS(8427),
    [aux_sym_elseif_clause_token2] = ACTIONS(8427),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8427),
    [aux_sym_select_case_statement_token1] = ACTIONS(8427),
    [aux_sym_format_statement_token1] = ACTIONS(8427),
    [aux_sym_print_statement_token1] = ACTIONS(8427),
    [aux_sym_open_statement_token1] = ACTIONS(8427),
    [aux_sym_inquire_statement_token1] = ACTIONS(8427),
    [aux_sym_entry_statement_token1] = ACTIONS(8427),
    [aux_sym_null_literal_token1] = ACTIONS(8427),
    [aux_sym_coarray_statement_token1] = ACTIONS(8427),
    [aux_sym_coarray_statement_token2] = ACTIONS(8427),
    [aux_sym_coarray_statement_token6] = ACTIONS(8427),
    [aux_sym_coarray_statement_token8] = ACTIONS(8427),
    [aux_sym_coarray_statement_token11] = ACTIONS(8427),
    [aux_sym_coarray_statement_token12] = ACTIONS(8427),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8427),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8427),
    [aux_sym_identifier_token1] = ACTIONS(8427),
    [sym_comment] = ACTIONS(21),
  },
  [3772] = {
    [anon_sym_COMMA] = ACTIONS(8429),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8431),
    [aux_sym_module_statement_token1] = ACTIONS(8431),
    [aux_sym_block_data_statement_token1] = ACTIONS(8431),
    [aux_sym_block_data_statement_token2] = ACTIONS(8431),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8431),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8431),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8431),
    [aux_sym_function_statement_token1] = ACTIONS(8431),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8431),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8431),
    [aux_sym_use_statement_token2] = ACTIONS(8431),
    [anon_sym_COLON_COLON] = ACTIONS(8429),
    [aux_sym_implicit_statement_token3] = ACTIONS(8431),
    [aux_sym_implicit_statement_token4] = ACTIONS(8431),
    [aux_sym_save_statement_token1] = ACTIONS(8431),
    [aux_sym_private_statement_token1] = ACTIONS(8431),
    [aux_sym_public_statement_token1] = ACTIONS(8431),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8431),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8431),
    [aux_sym_variable_attributes_token2] = ACTIONS(8431),
    [aux_sym_variable_attributes_token3] = ACTIONS(8431),
    [aux_sym_variable_attributes_token5] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8431),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8431),
    [aux_sym_derived_type_token1] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8431),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8431),
    [aux_sym_type_qualifier_token1] = ACTIONS(8431),
    [aux_sym_type_qualifier_token2] = ACTIONS(8431),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8431),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8431),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8431),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8431),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8431),
    [aux_sym_stop_statement_token1] = ACTIONS(8431),
    [aux_sym_stop_statement_token2] = ACTIONS(8431),
    [aux_sym_subroutine_call_token1] = ACTIONS(8431),
    [aux_sym_keyword_statement_token2] = ACTIONS(8431),
    [aux_sym_keyword_statement_token3] = ACTIONS(8431),
    [aux_sym_keyword_statement_token4] = ACTIONS(8431),
    [aux_sym_include_statement_token1] = ACTIONS(8431),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8431),
    [aux_sym_end_if_statement_token1] = ACTIONS(8431),
    [aux_sym_elseif_clause_token2] = ACTIONS(8431),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8431),
    [aux_sym_select_case_statement_token1] = ACTIONS(8431),
    [aux_sym_format_statement_token1] = ACTIONS(8431),
    [aux_sym_print_statement_token1] = ACTIONS(8431),
    [aux_sym_open_statement_token1] = ACTIONS(8431),
    [aux_sym_inquire_statement_token1] = ACTIONS(8431),
    [aux_sym_entry_statement_token1] = ACTIONS(8431),
    [aux_sym_null_literal_token1] = ACTIONS(8431),
    [aux_sym_coarray_statement_token1] = ACTIONS(8431),
    [aux_sym_coarray_statement_token2] = ACTIONS(8431),
    [aux_sym_coarray_statement_token6] = ACTIONS(8431),
    [aux_sym_coarray_statement_token8] = ACTIONS(8431),
    [aux_sym_coarray_statement_token11] = ACTIONS(8431),
    [aux_sym_coarray_statement_token12] = ACTIONS(8431),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8431),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8431),
    [aux_sym_identifier_token1] = ACTIONS(8431),
    [sym_comment] = ACTIONS(21),
  },
  [3773] = {
    [sym__preproc_expression] = STATE(6206),
    [sym_preproc_parenthesized_expression] = STATE(6206),
    [sym_preproc_defined] = STATE(6206),
    [sym_preproc_unary_expression] = STATE(6206),
    [sym_preproc_call_expression] = STATE(6206),
    [sym_preproc_binary_expression] = STATE(6206),
    [sym_number_literal] = STATE(6206),
    [sym_string_literal] = STATE(6206),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8433),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3774] = {
    [anon_sym_COMMA] = ACTIONS(8435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8437),
    [aux_sym_module_statement_token1] = ACTIONS(8437),
    [aux_sym_block_data_statement_token1] = ACTIONS(8437),
    [aux_sym_block_data_statement_token2] = ACTIONS(8437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8437),
    [aux_sym_function_statement_token1] = ACTIONS(8437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8437),
    [aux_sym_use_statement_token2] = ACTIONS(8437),
    [anon_sym_COLON_COLON] = ACTIONS(8435),
    [aux_sym_implicit_statement_token3] = ACTIONS(8437),
    [aux_sym_implicit_statement_token4] = ACTIONS(8437),
    [aux_sym_save_statement_token1] = ACTIONS(8437),
    [aux_sym_private_statement_token1] = ACTIONS(8437),
    [aux_sym_public_statement_token1] = ACTIONS(8437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8437),
    [aux_sym_variable_attributes_token2] = ACTIONS(8437),
    [aux_sym_variable_attributes_token3] = ACTIONS(8437),
    [aux_sym_variable_attributes_token5] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8437),
    [aux_sym_derived_type_token1] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8437),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8437),
    [aux_sym_type_qualifier_token1] = ACTIONS(8437),
    [aux_sym_type_qualifier_token2] = ACTIONS(8437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8437),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8437),
    [aux_sym_stop_statement_token1] = ACTIONS(8437),
    [aux_sym_stop_statement_token2] = ACTIONS(8437),
    [aux_sym_subroutine_call_token1] = ACTIONS(8437),
    [aux_sym_keyword_statement_token2] = ACTIONS(8437),
    [aux_sym_keyword_statement_token3] = ACTIONS(8437),
    [aux_sym_keyword_statement_token4] = ACTIONS(8437),
    [aux_sym_include_statement_token1] = ACTIONS(8437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8437),
    [aux_sym_end_if_statement_token1] = ACTIONS(8437),
    [aux_sym_elseif_clause_token2] = ACTIONS(8437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8437),
    [aux_sym_select_case_statement_token1] = ACTIONS(8437),
    [aux_sym_format_statement_token1] = ACTIONS(8437),
    [aux_sym_print_statement_token1] = ACTIONS(8437),
    [aux_sym_open_statement_token1] = ACTIONS(8437),
    [aux_sym_inquire_statement_token1] = ACTIONS(8437),
    [aux_sym_entry_statement_token1] = ACTIONS(8437),
    [aux_sym_null_literal_token1] = ACTIONS(8437),
    [aux_sym_coarray_statement_token1] = ACTIONS(8437),
    [aux_sym_coarray_statement_token2] = ACTIONS(8437),
    [aux_sym_coarray_statement_token6] = ACTIONS(8437),
    [aux_sym_coarray_statement_token8] = ACTIONS(8437),
    [aux_sym_coarray_statement_token11] = ACTIONS(8437),
    [aux_sym_coarray_statement_token12] = ACTIONS(8437),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8437),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8437),
    [aux_sym_identifier_token1] = ACTIONS(8437),
    [sym_comment] = ACTIONS(21),
  },
  [3775] = {
    [sym__preproc_expression] = STATE(6236),
    [sym_preproc_parenthesized_expression] = STATE(6236),
    [sym_preproc_defined] = STATE(6236),
    [sym_preproc_unary_expression] = STATE(6236),
    [sym_preproc_call_expression] = STATE(6236),
    [sym_preproc_binary_expression] = STATE(6236),
    [sym_number_literal] = STATE(6236),
    [sym_string_literal] = STATE(6236),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3776] = {
    [sym__preproc_expression] = STATE(6069),
    [sym_preproc_parenthesized_expression] = STATE(6069),
    [sym_preproc_defined] = STATE(6069),
    [sym_preproc_unary_expression] = STATE(6069),
    [sym_preproc_call_expression] = STATE(6069),
    [sym_preproc_binary_expression] = STATE(6069),
    [sym_number_literal] = STATE(6069),
    [sym_string_literal] = STATE(6069),
    [sym_identifier] = STATE(6019),
    [anon_sym_RPAREN] = ACTIONS(8441),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3777] = {
    [sym__preproc_expression] = STATE(6239),
    [sym_preproc_parenthesized_expression] = STATE(6239),
    [sym_preproc_defined] = STATE(6239),
    [sym_preproc_unary_expression] = STATE(6239),
    [sym_preproc_call_expression] = STATE(6239),
    [sym_preproc_binary_expression] = STATE(6239),
    [sym_number_literal] = STATE(6239),
    [sym_string_literal] = STATE(6239),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3778] = {
    [sym__preproc_expression] = STATE(6070),
    [sym_preproc_parenthesized_expression] = STATE(6070),
    [sym_preproc_defined] = STATE(6070),
    [sym_preproc_unary_expression] = STATE(6070),
    [sym_preproc_call_expression] = STATE(6070),
    [sym_preproc_binary_expression] = STATE(6070),
    [sym_number_literal] = STATE(6070),
    [sym_string_literal] = STATE(6070),
    [sym_identifier] = STATE(6019),
    [anon_sym_RPAREN] = ACTIONS(8445),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3779] = {
    [sym__name] = STATE(7867),
    [sym_identifier] = STATE(7092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8447),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8447),
    [aux_sym_function_statement_token1] = ACTIONS(8447),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8447),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(8449),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8452),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8447),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8452),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8455),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8447),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8447),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8447),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8447),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8447),
    [aux_sym_derived_type_token1] = ACTIONS(8447),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8447),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8447),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8447),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8447),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8447),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3780] = {
    [sym__preproc_expression] = STATE(6234),
    [sym_preproc_parenthesized_expression] = STATE(6234),
    [sym_preproc_defined] = STATE(6234),
    [sym_preproc_unary_expression] = STATE(6234),
    [sym_preproc_call_expression] = STATE(6234),
    [sym_preproc_binary_expression] = STATE(6234),
    [sym_number_literal] = STATE(6234),
    [sym_string_literal] = STATE(6234),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8458),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3781] = {
    [sym__preproc_expression] = STATE(6222),
    [sym_preproc_parenthesized_expression] = STATE(6222),
    [sym_preproc_defined] = STATE(6222),
    [sym_preproc_unary_expression] = STATE(6222),
    [sym_preproc_call_expression] = STATE(6222),
    [sym_preproc_binary_expression] = STATE(6222),
    [sym_number_literal] = STATE(6222),
    [sym_string_literal] = STATE(6222),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8460),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3782] = {
    [sym__preproc_expression] = STATE(6223),
    [sym_preproc_parenthesized_expression] = STATE(6223),
    [sym_preproc_defined] = STATE(6223),
    [sym_preproc_unary_expression] = STATE(6223),
    [sym_preproc_call_expression] = STATE(6223),
    [sym_preproc_binary_expression] = STATE(6223),
    [sym_number_literal] = STATE(6223),
    [sym_string_literal] = STATE(6223),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3783] = {
    [sym__preproc_expression] = STATE(6228),
    [sym_preproc_parenthesized_expression] = STATE(6228),
    [sym_preproc_defined] = STATE(6228),
    [sym_preproc_unary_expression] = STATE(6228),
    [sym_preproc_call_expression] = STATE(6228),
    [sym_preproc_binary_expression] = STATE(6228),
    [sym_number_literal] = STATE(6228),
    [sym_string_literal] = STATE(6228),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8464),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3784] = {
    [sym_language_binding] = STATE(3920),
    [sym_variable_attributes] = STATE(3920),
    [sym__variable_declarator] = STATE(7147),
    [sym_sized_declarator] = STATE(4036),
    [sym__standalone_type_qualifier] = STATE(4004),
    [sym_coarray_declarator] = STATE(7147),
    [sym_identifier] = STATE(6402),
    [aux_sym_variable_modification_repeat1] = STATE(3920),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_language_binding_token1] = ACTIONS(53),
    [aux_sym_procedure_attributes_token1] = ACTIONS(767),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8466),
    [aux_sym_use_statement_token2] = ACTIONS(8466),
    [anon_sym_COLON_COLON] = ACTIONS(8468),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(8466),
    [aux_sym_save_statement_token1] = ACTIONS(8466),
    [aux_sym_private_statement_token1] = ACTIONS(8466),
    [aux_sym_public_statement_token1] = ACTIONS(8466),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8466),
    [aux_sym_abstract_specifier_token1] = ACTIONS(81),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8466),
    [aux_sym_variable_attributes_token1] = ACTIONS(81),
    [aux_sym_variable_attributes_token2] = ACTIONS(8466),
    [aux_sym_variable_attributes_token3] = ACTIONS(8466),
    [aux_sym_variable_attributes_token4] = ACTIONS(81),
    [aux_sym_variable_attributes_token5] = ACTIONS(8466),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8470),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(99),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(81),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8472),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8466),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(81),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3785] = {
    [anon_sym_COMMA] = ACTIONS(8474),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8476),
    [aux_sym_module_statement_token1] = ACTIONS(8476),
    [aux_sym_block_data_statement_token1] = ACTIONS(8476),
    [aux_sym_block_data_statement_token2] = ACTIONS(8476),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8476),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8476),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8476),
    [aux_sym_function_statement_token1] = ACTIONS(8476),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8476),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8476),
    [aux_sym_use_statement_token2] = ACTIONS(8476),
    [anon_sym_COLON_COLON] = ACTIONS(8474),
    [aux_sym_implicit_statement_token3] = ACTIONS(8476),
    [aux_sym_implicit_statement_token4] = ACTIONS(8476),
    [aux_sym_save_statement_token1] = ACTIONS(8476),
    [aux_sym_private_statement_token1] = ACTIONS(8476),
    [aux_sym_public_statement_token1] = ACTIONS(8476),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8476),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8476),
    [aux_sym_variable_attributes_token2] = ACTIONS(8476),
    [aux_sym_variable_attributes_token3] = ACTIONS(8476),
    [aux_sym_variable_attributes_token5] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8476),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8476),
    [aux_sym_derived_type_token1] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8476),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8476),
    [aux_sym_type_qualifier_token1] = ACTIONS(8476),
    [aux_sym_type_qualifier_token2] = ACTIONS(8476),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8476),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8476),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8476),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8476),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8476),
    [aux_sym_stop_statement_token1] = ACTIONS(8476),
    [aux_sym_stop_statement_token2] = ACTIONS(8476),
    [aux_sym_subroutine_call_token1] = ACTIONS(8476),
    [aux_sym_keyword_statement_token2] = ACTIONS(8476),
    [aux_sym_keyword_statement_token3] = ACTIONS(8476),
    [aux_sym_keyword_statement_token4] = ACTIONS(8476),
    [aux_sym_include_statement_token1] = ACTIONS(8476),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8476),
    [aux_sym_end_if_statement_token1] = ACTIONS(8476),
    [aux_sym_elseif_clause_token2] = ACTIONS(8476),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8476),
    [aux_sym_select_case_statement_token1] = ACTIONS(8476),
    [aux_sym_format_statement_token1] = ACTIONS(8476),
    [aux_sym_print_statement_token1] = ACTIONS(8476),
    [aux_sym_open_statement_token1] = ACTIONS(8476),
    [aux_sym_inquire_statement_token1] = ACTIONS(8476),
    [aux_sym_entry_statement_token1] = ACTIONS(8476),
    [aux_sym_null_literal_token1] = ACTIONS(8476),
    [aux_sym_coarray_statement_token1] = ACTIONS(8476),
    [aux_sym_coarray_statement_token2] = ACTIONS(8476),
    [aux_sym_coarray_statement_token6] = ACTIONS(8476),
    [aux_sym_coarray_statement_token8] = ACTIONS(8476),
    [aux_sym_coarray_statement_token11] = ACTIONS(8476),
    [aux_sym_coarray_statement_token12] = ACTIONS(8476),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8476),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8476),
    [aux_sym_identifier_token1] = ACTIONS(8476),
    [sym_comment] = ACTIONS(21),
  },
  [3786] = {
    [sym__preproc_expression] = STATE(6244),
    [sym_preproc_parenthesized_expression] = STATE(6244),
    [sym_preproc_defined] = STATE(6244),
    [sym_preproc_unary_expression] = STATE(6244),
    [sym_preproc_call_expression] = STATE(6244),
    [sym_preproc_binary_expression] = STATE(6244),
    [sym_number_literal] = STATE(6244),
    [sym_string_literal] = STATE(6244),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [sym_preproc_comment] = ACTIONS(8478),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3787] = {
    [anon_sym_COMMA] = ACTIONS(8480),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8482),
    [aux_sym_module_statement_token1] = ACTIONS(8482),
    [aux_sym_block_data_statement_token1] = ACTIONS(8482),
    [aux_sym_block_data_statement_token2] = ACTIONS(8482),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8482),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8482),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8482),
    [aux_sym_function_statement_token1] = ACTIONS(8482),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8482),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8482),
    [aux_sym_use_statement_token2] = ACTIONS(8482),
    [anon_sym_COLON_COLON] = ACTIONS(8480),
    [aux_sym_implicit_statement_token3] = ACTIONS(8482),
    [aux_sym_implicit_statement_token4] = ACTIONS(8482),
    [aux_sym_save_statement_token1] = ACTIONS(8482),
    [aux_sym_private_statement_token1] = ACTIONS(8482),
    [aux_sym_public_statement_token1] = ACTIONS(8482),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8482),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8482),
    [aux_sym_variable_attributes_token2] = ACTIONS(8482),
    [aux_sym_variable_attributes_token3] = ACTIONS(8482),
    [aux_sym_variable_attributes_token5] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8482),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8482),
    [aux_sym_derived_type_token1] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8482),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8482),
    [aux_sym_type_qualifier_token1] = ACTIONS(8482),
    [aux_sym_type_qualifier_token2] = ACTIONS(8482),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8482),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8482),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8482),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8482),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8482),
    [aux_sym_stop_statement_token1] = ACTIONS(8482),
    [aux_sym_stop_statement_token2] = ACTIONS(8482),
    [aux_sym_subroutine_call_token1] = ACTIONS(8482),
    [aux_sym_keyword_statement_token2] = ACTIONS(8482),
    [aux_sym_keyword_statement_token3] = ACTIONS(8482),
    [aux_sym_keyword_statement_token4] = ACTIONS(8482),
    [aux_sym_include_statement_token1] = ACTIONS(8482),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8482),
    [aux_sym_end_if_statement_token1] = ACTIONS(8482),
    [aux_sym_elseif_clause_token2] = ACTIONS(8482),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8482),
    [aux_sym_select_case_statement_token1] = ACTIONS(8482),
    [aux_sym_format_statement_token1] = ACTIONS(8482),
    [aux_sym_print_statement_token1] = ACTIONS(8482),
    [aux_sym_open_statement_token1] = ACTIONS(8482),
    [aux_sym_inquire_statement_token1] = ACTIONS(8482),
    [aux_sym_entry_statement_token1] = ACTIONS(8482),
    [aux_sym_null_literal_token1] = ACTIONS(8482),
    [aux_sym_coarray_statement_token1] = ACTIONS(8482),
    [aux_sym_coarray_statement_token2] = ACTIONS(8482),
    [aux_sym_coarray_statement_token6] = ACTIONS(8482),
    [aux_sym_coarray_statement_token8] = ACTIONS(8482),
    [aux_sym_coarray_statement_token11] = ACTIONS(8482),
    [aux_sym_coarray_statement_token12] = ACTIONS(8482),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8482),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8482),
    [aux_sym_identifier_token1] = ACTIONS(8482),
    [sym_comment] = ACTIONS(21),
  },
  [3788] = {
    [anon_sym_COMMA] = ACTIONS(8484),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8486),
    [aux_sym_module_statement_token1] = ACTIONS(8486),
    [aux_sym_block_data_statement_token1] = ACTIONS(8486),
    [aux_sym_block_data_statement_token2] = ACTIONS(8486),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8486),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8486),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8486),
    [aux_sym_function_statement_token1] = ACTIONS(8486),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8486),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8486),
    [aux_sym_use_statement_token2] = ACTIONS(8486),
    [anon_sym_COLON_COLON] = ACTIONS(8484),
    [aux_sym_implicit_statement_token3] = ACTIONS(8486),
    [aux_sym_implicit_statement_token4] = ACTIONS(8486),
    [aux_sym_save_statement_token1] = ACTIONS(8486),
    [aux_sym_private_statement_token1] = ACTIONS(8486),
    [aux_sym_public_statement_token1] = ACTIONS(8486),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8486),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8486),
    [aux_sym_variable_attributes_token2] = ACTIONS(8486),
    [aux_sym_variable_attributes_token3] = ACTIONS(8486),
    [aux_sym_variable_attributes_token5] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8486),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8486),
    [aux_sym_derived_type_token1] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8486),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8486),
    [aux_sym_type_qualifier_token1] = ACTIONS(8486),
    [aux_sym_type_qualifier_token2] = ACTIONS(8486),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8486),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8486),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8486),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8486),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8486),
    [aux_sym_stop_statement_token1] = ACTIONS(8486),
    [aux_sym_stop_statement_token2] = ACTIONS(8486),
    [aux_sym_subroutine_call_token1] = ACTIONS(8486),
    [aux_sym_keyword_statement_token2] = ACTIONS(8486),
    [aux_sym_keyword_statement_token3] = ACTIONS(8486),
    [aux_sym_keyword_statement_token4] = ACTIONS(8486),
    [aux_sym_include_statement_token1] = ACTIONS(8486),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8486),
    [aux_sym_end_if_statement_token1] = ACTIONS(8486),
    [aux_sym_elseif_clause_token2] = ACTIONS(8486),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8486),
    [aux_sym_select_case_statement_token1] = ACTIONS(8486),
    [aux_sym_format_statement_token1] = ACTIONS(8486),
    [aux_sym_print_statement_token1] = ACTIONS(8486),
    [aux_sym_open_statement_token1] = ACTIONS(8486),
    [aux_sym_inquire_statement_token1] = ACTIONS(8486),
    [aux_sym_entry_statement_token1] = ACTIONS(8486),
    [aux_sym_null_literal_token1] = ACTIONS(8486),
    [aux_sym_coarray_statement_token1] = ACTIONS(8486),
    [aux_sym_coarray_statement_token2] = ACTIONS(8486),
    [aux_sym_coarray_statement_token6] = ACTIONS(8486),
    [aux_sym_coarray_statement_token8] = ACTIONS(8486),
    [aux_sym_coarray_statement_token11] = ACTIONS(8486),
    [aux_sym_coarray_statement_token12] = ACTIONS(8486),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8486),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8486),
    [aux_sym_identifier_token1] = ACTIONS(8486),
    [sym_comment] = ACTIONS(21),
  },
  [3789] = {
    [anon_sym_COMMA] = ACTIONS(8488),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8490),
    [aux_sym_module_statement_token1] = ACTIONS(8490),
    [aux_sym_block_data_statement_token1] = ACTIONS(8490),
    [aux_sym_block_data_statement_token2] = ACTIONS(8490),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8490),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8490),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8490),
    [aux_sym_function_statement_token1] = ACTIONS(8490),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8490),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8490),
    [aux_sym_use_statement_token2] = ACTIONS(8490),
    [anon_sym_COLON_COLON] = ACTIONS(8488),
    [aux_sym_implicit_statement_token3] = ACTIONS(8490),
    [aux_sym_implicit_statement_token4] = ACTIONS(8490),
    [aux_sym_save_statement_token1] = ACTIONS(8490),
    [aux_sym_private_statement_token1] = ACTIONS(8490),
    [aux_sym_public_statement_token1] = ACTIONS(8490),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8490),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8490),
    [aux_sym_variable_attributes_token2] = ACTIONS(8490),
    [aux_sym_variable_attributes_token3] = ACTIONS(8490),
    [aux_sym_variable_attributes_token5] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8490),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8490),
    [aux_sym_derived_type_token1] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8490),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8490),
    [aux_sym_type_qualifier_token1] = ACTIONS(8490),
    [aux_sym_type_qualifier_token2] = ACTIONS(8490),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8490),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8490),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8490),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8490),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8490),
    [aux_sym_stop_statement_token1] = ACTIONS(8490),
    [aux_sym_stop_statement_token2] = ACTIONS(8490),
    [aux_sym_subroutine_call_token1] = ACTIONS(8490),
    [aux_sym_keyword_statement_token2] = ACTIONS(8490),
    [aux_sym_keyword_statement_token3] = ACTIONS(8490),
    [aux_sym_keyword_statement_token4] = ACTIONS(8490),
    [aux_sym_include_statement_token1] = ACTIONS(8490),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8490),
    [aux_sym_end_if_statement_token1] = ACTIONS(8490),
    [aux_sym_elseif_clause_token2] = ACTIONS(8490),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8490),
    [aux_sym_select_case_statement_token1] = ACTIONS(8490),
    [aux_sym_format_statement_token1] = ACTIONS(8490),
    [aux_sym_print_statement_token1] = ACTIONS(8490),
    [aux_sym_open_statement_token1] = ACTIONS(8490),
    [aux_sym_inquire_statement_token1] = ACTIONS(8490),
    [aux_sym_entry_statement_token1] = ACTIONS(8490),
    [aux_sym_null_literal_token1] = ACTIONS(8490),
    [aux_sym_coarray_statement_token1] = ACTIONS(8490),
    [aux_sym_coarray_statement_token2] = ACTIONS(8490),
    [aux_sym_coarray_statement_token6] = ACTIONS(8490),
    [aux_sym_coarray_statement_token8] = ACTIONS(8490),
    [aux_sym_coarray_statement_token11] = ACTIONS(8490),
    [aux_sym_coarray_statement_token12] = ACTIONS(8490),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8490),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8490),
    [aux_sym_identifier_token1] = ACTIONS(8490),
    [sym_comment] = ACTIONS(21),
  },
  [3790] = {
    [anon_sym_COMMA] = ACTIONS(8492),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8494),
    [aux_sym_module_statement_token1] = ACTIONS(8494),
    [aux_sym_block_data_statement_token1] = ACTIONS(8494),
    [aux_sym_block_data_statement_token2] = ACTIONS(8494),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8494),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8494),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8494),
    [aux_sym_function_statement_token1] = ACTIONS(8494),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8494),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8494),
    [aux_sym_use_statement_token2] = ACTIONS(8494),
    [anon_sym_COLON_COLON] = ACTIONS(8492),
    [aux_sym_implicit_statement_token3] = ACTIONS(8494),
    [aux_sym_implicit_statement_token4] = ACTIONS(8494),
    [aux_sym_save_statement_token1] = ACTIONS(8494),
    [aux_sym_private_statement_token1] = ACTIONS(8494),
    [aux_sym_public_statement_token1] = ACTIONS(8494),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8494),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8494),
    [aux_sym_variable_attributes_token2] = ACTIONS(8494),
    [aux_sym_variable_attributes_token3] = ACTIONS(8494),
    [aux_sym_variable_attributes_token5] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token2] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token6] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token7] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token8] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token9] = ACTIONS(8494),
    [aux_sym__intrinsic_type_token10] = ACTIONS(8494),
    [aux_sym_derived_type_token1] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8494),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8494),
    [aux_sym_type_qualifier_token1] = ACTIONS(8494),
    [aux_sym_type_qualifier_token2] = ACTIONS(8494),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(8494),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(8494),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(8494),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(8494),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(8494),
    [aux_sym_stop_statement_token1] = ACTIONS(8494),
    [aux_sym_stop_statement_token2] = ACTIONS(8494),
    [aux_sym_subroutine_call_token1] = ACTIONS(8494),
    [aux_sym_keyword_statement_token2] = ACTIONS(8494),
    [aux_sym_keyword_statement_token3] = ACTIONS(8494),
    [aux_sym_keyword_statement_token4] = ACTIONS(8494),
    [aux_sym_include_statement_token1] = ACTIONS(8494),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8494),
    [aux_sym_end_if_statement_token1] = ACTIONS(8494),
    [aux_sym_elseif_clause_token2] = ACTIONS(8494),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8494),
    [aux_sym_select_case_statement_token1] = ACTIONS(8494),
    [aux_sym_format_statement_token1] = ACTIONS(8494),
    [aux_sym_print_statement_token1] = ACTIONS(8494),
    [aux_sym_open_statement_token1] = ACTIONS(8494),
    [aux_sym_inquire_statement_token1] = ACTIONS(8494),
    [aux_sym_entry_statement_token1] = ACTIONS(8494),
    [aux_sym_null_literal_token1] = ACTIONS(8494),
    [aux_sym_coarray_statement_token1] = ACTIONS(8494),
    [aux_sym_coarray_statement_token2] = ACTIONS(8494),
    [aux_sym_coarray_statement_token6] = ACTIONS(8494),
    [aux_sym_coarray_statement_token8] = ACTIONS(8494),
    [aux_sym_coarray_statement_token11] = ACTIONS(8494),
    [aux_sym_coarray_statement_token12] = ACTIONS(8494),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8494),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8494),
    [aux_sym_identifier_token1] = ACTIONS(8494),
    [sym_comment] = ACTIONS(21),
  },
  [3791] = {
    [sym__preproc_expression] = STATE(6042),
    [sym_preproc_parenthesized_expression] = STATE(6042),
    [sym_preproc_defined] = STATE(6042),
    [sym_preproc_unary_expression] = STATE(6042),
    [sym_preproc_call_expression] = STATE(6042),
    [sym_preproc_binary_expression] = STATE(6042),
    [sym_number_literal] = STATE(6042),
    [sym_string_literal] = STATE(6042),
    [sym_identifier] = STATE(6019),
    [anon_sym_RPAREN] = ACTIONS(8496),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3792] = {
    [anon_sym_COMMA] = ACTIONS(8498),
    [anon_sym_LPAREN2] = ACTIONS(8500),
    [anon_sym_PLUS] = ACTIONS(8498),
    [anon_sym_DASH] = ACTIONS(8498),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8500),
    [anon_sym_SEMI] = ACTIONS(8498),
    [aux_sym_block_data_statement_token1] = ACTIONS(8500),
    [aux_sym_block_data_statement_token2] = ACTIONS(8500),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8500),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8500),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8500),
    [aux_sym_use_statement_token2] = ACTIONS(8500),
    [aux_sym_implicit_statement_token3] = ACTIONS(8500),
    [aux_sym_implicit_statement_token4] = ACTIONS(8500),
    [aux_sym_save_statement_token1] = ACTIONS(8500),
    [aux_sym_private_statement_token1] = ACTIONS(8500),
    [aux_sym_public_statement_token1] = ACTIONS(8500),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8500),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8500),
    [aux_sym_variable_attributes_token2] = ACTIONS(8500),
    [aux_sym_variable_attributes_token3] = ACTIONS(8500),
    [aux_sym_variable_attributes_token5] = ACTIONS(8500),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8500),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8500),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8500),
    [aux_sym_type_qualifier_token1] = ACTIONS(8500),
    [aux_sym_type_qualifier_token2] = ACTIONS(8500),
    [aux_sym_stop_statement_token1] = ACTIONS(8500),
    [aux_sym_stop_statement_token2] = ACTIONS(8500),
    [aux_sym_subroutine_call_token1] = ACTIONS(8500),
    [aux_sym_keyword_statement_token2] = ACTIONS(8500),
    [aux_sym_keyword_statement_token3] = ACTIONS(8500),
    [aux_sym_keyword_statement_token4] = ACTIONS(8500),
    [aux_sym_include_statement_token1] = ACTIONS(8500),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8500),
    [aux_sym_end_if_statement_token1] = ACTIONS(8500),
    [aux_sym_elseif_clause_token2] = ACTIONS(8500),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8500),
    [aux_sym_select_case_statement_token1] = ACTIONS(8500),
    [aux_sym_format_statement_token1] = ACTIONS(8500),
    [aux_sym_print_statement_token1] = ACTIONS(8500),
    [aux_sym_open_statement_token1] = ACTIONS(8500),
    [aux_sym_inquire_statement_token1] = ACTIONS(8500),
    [aux_sym_entry_statement_token1] = ACTIONS(8500),
    [aux_sym_logical_expression_token5] = ACTIONS(8498),
    [anon_sym_DOT] = ACTIONS(8500),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8498),
    [anon_sym_LBRACK] = ACTIONS(8498),
    [aux_sym_boolean_literal_token1] = ACTIONS(8498),
    [aux_sym_boolean_literal_token2] = ACTIONS(8498),
    [aux_sym_null_literal_token1] = ACTIONS(8500),
    [aux_sym_coarray_statement_token1] = ACTIONS(8500),
    [aux_sym_coarray_statement_token2] = ACTIONS(8500),
    [aux_sym_coarray_statement_token6] = ACTIONS(8500),
    [aux_sym_coarray_statement_token8] = ACTIONS(8500),
    [aux_sym_coarray_statement_token11] = ACTIONS(8500),
    [aux_sym_coarray_statement_token12] = ACTIONS(8500),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8500),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8500),
    [aux_sym_identifier_token1] = ACTIONS(8500),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8498),
    [sym__float_literal] = ACTIONS(8498),
    [sym__boz_literal] = ACTIONS(8498),
    [sym__string_literal] = ACTIONS(8498),
    [sym__string_literal_kind] = ACTIONS(8498),
    [sym__external_end_of_statement] = ACTIONS(8498),
  },
  [3793] = {
    [sym__preproc_expression] = STATE(6185),
    [sym_preproc_parenthesized_expression] = STATE(6185),
    [sym_preproc_defined] = STATE(6185),
    [sym_preproc_unary_expression] = STATE(6185),
    [sym_preproc_call_expression] = STATE(6185),
    [sym_preproc_binary_expression] = STATE(6185),
    [sym_number_literal] = STATE(6185),
    [sym_string_literal] = STATE(6185),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3794] = {
    [anon_sym_COMMA] = ACTIONS(8526),
    [anon_sym_LPAREN2] = ACTIONS(8528),
    [anon_sym_PLUS] = ACTIONS(8526),
    [anon_sym_DASH] = ACTIONS(8526),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8528),
    [anon_sym_SEMI] = ACTIONS(8526),
    [aux_sym_block_data_statement_token1] = ACTIONS(8528),
    [aux_sym_block_data_statement_token2] = ACTIONS(8528),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8528),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8528),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8528),
    [aux_sym_use_statement_token2] = ACTIONS(8528),
    [aux_sym_implicit_statement_token3] = ACTIONS(8528),
    [aux_sym_implicit_statement_token4] = ACTIONS(8528),
    [aux_sym_save_statement_token1] = ACTIONS(8528),
    [aux_sym_private_statement_token1] = ACTIONS(8528),
    [aux_sym_public_statement_token1] = ACTIONS(8528),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8528),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8528),
    [aux_sym_variable_attributes_token2] = ACTIONS(8528),
    [aux_sym_variable_attributes_token3] = ACTIONS(8528),
    [aux_sym_variable_attributes_token5] = ACTIONS(8528),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8528),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8528),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8528),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8528),
    [aux_sym_type_qualifier_token1] = ACTIONS(8528),
    [aux_sym_type_qualifier_token2] = ACTIONS(8528),
    [aux_sym_stop_statement_token1] = ACTIONS(8528),
    [aux_sym_stop_statement_token2] = ACTIONS(8528),
    [aux_sym_subroutine_call_token1] = ACTIONS(8528),
    [aux_sym_keyword_statement_token2] = ACTIONS(8528),
    [aux_sym_keyword_statement_token3] = ACTIONS(8528),
    [aux_sym_keyword_statement_token4] = ACTIONS(8528),
    [aux_sym_include_statement_token1] = ACTIONS(8528),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8528),
    [aux_sym_end_if_statement_token1] = ACTIONS(8528),
    [aux_sym_elseif_clause_token2] = ACTIONS(8528),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8528),
    [aux_sym_select_case_statement_token1] = ACTIONS(8528),
    [aux_sym_format_statement_token1] = ACTIONS(8528),
    [aux_sym_print_statement_token1] = ACTIONS(8528),
    [aux_sym_open_statement_token1] = ACTIONS(8528),
    [aux_sym_inquire_statement_token1] = ACTIONS(8528),
    [aux_sym_entry_statement_token1] = ACTIONS(8528),
    [aux_sym_logical_expression_token5] = ACTIONS(8526),
    [anon_sym_DOT] = ACTIONS(8528),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8526),
    [anon_sym_LBRACK] = ACTIONS(8526),
    [aux_sym_boolean_literal_token1] = ACTIONS(8526),
    [aux_sym_boolean_literal_token2] = ACTIONS(8526),
    [aux_sym_null_literal_token1] = ACTIONS(8528),
    [aux_sym_coarray_statement_token1] = ACTIONS(8528),
    [aux_sym_coarray_statement_token2] = ACTIONS(8528),
    [aux_sym_coarray_statement_token6] = ACTIONS(8528),
    [aux_sym_coarray_statement_token8] = ACTIONS(8528),
    [aux_sym_coarray_statement_token11] = ACTIONS(8528),
    [aux_sym_coarray_statement_token12] = ACTIONS(8528),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8528),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8528),
    [aux_sym_identifier_token1] = ACTIONS(8528),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8526),
    [sym__float_literal] = ACTIONS(8526),
    [sym__boz_literal] = ACTIONS(8526),
    [sym__string_literal] = ACTIONS(8526),
    [sym__string_literal_kind] = ACTIONS(8526),
    [sym__external_end_of_statement] = ACTIONS(8526),
  },
  [3795] = {
    [sym__preproc_expression] = STATE(6176),
    [sym_preproc_parenthesized_expression] = STATE(6176),
    [sym_preproc_defined] = STATE(6176),
    [sym_preproc_unary_expression] = STATE(6176),
    [sym_preproc_call_expression] = STATE(6176),
    [sym_preproc_binary_expression] = STATE(6176),
    [sym_number_literal] = STATE(6176),
    [sym_string_literal] = STATE(6176),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3796] = {
    [sym__preproc_expression] = STATE(6212),
    [sym_preproc_parenthesized_expression] = STATE(6212),
    [sym_preproc_defined] = STATE(6212),
    [sym_preproc_unary_expression] = STATE(6212),
    [sym_preproc_call_expression] = STATE(6212),
    [sym_preproc_binary_expression] = STATE(6212),
    [sym_number_literal] = STATE(6212),
    [sym_string_literal] = STATE(6212),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3797] = {
    [sym__preproc_expression] = STATE(6221),
    [sym_preproc_parenthesized_expression] = STATE(6221),
    [sym_preproc_defined] = STATE(6221),
    [sym_preproc_unary_expression] = STATE(6221),
    [sym_preproc_call_expression] = STATE(6221),
    [sym_preproc_binary_expression] = STATE(6221),
    [sym_number_literal] = STATE(6221),
    [sym_string_literal] = STATE(6221),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3798] = {
    [sym__preproc_expression] = STATE(6193),
    [sym_preproc_parenthesized_expression] = STATE(6193),
    [sym_preproc_defined] = STATE(6193),
    [sym_preproc_unary_expression] = STATE(6193),
    [sym_preproc_call_expression] = STATE(6193),
    [sym_preproc_binary_expression] = STATE(6193),
    [sym_number_literal] = STATE(6193),
    [sym_string_literal] = STATE(6193),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3799] = {
    [sym__preproc_expression] = STATE(6194),
    [sym_preproc_parenthesized_expression] = STATE(6194),
    [sym_preproc_defined] = STATE(6194),
    [sym_preproc_unary_expression] = STATE(6194),
    [sym_preproc_call_expression] = STATE(6194),
    [sym_preproc_binary_expression] = STATE(6194),
    [sym_number_literal] = STATE(6194),
    [sym_string_literal] = STATE(6194),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3800] = {
    [sym__preproc_expression] = STATE(6195),
    [sym_preproc_parenthesized_expression] = STATE(6195),
    [sym_preproc_defined] = STATE(6195),
    [sym_preproc_unary_expression] = STATE(6195),
    [sym_preproc_call_expression] = STATE(6195),
    [sym_preproc_binary_expression] = STATE(6195),
    [sym_number_literal] = STATE(6195),
    [sym_string_literal] = STATE(6195),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3801] = {
    [sym__preproc_expression] = STATE(6196),
    [sym_preproc_parenthesized_expression] = STATE(6196),
    [sym_preproc_defined] = STATE(6196),
    [sym_preproc_unary_expression] = STATE(6196),
    [sym_preproc_call_expression] = STATE(6196),
    [sym_preproc_binary_expression] = STATE(6196),
    [sym_number_literal] = STATE(6196),
    [sym_string_literal] = STATE(6196),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3802] = {
    [sym__preproc_expression] = STATE(6197),
    [sym_preproc_parenthesized_expression] = STATE(6197),
    [sym_preproc_defined] = STATE(6197),
    [sym_preproc_unary_expression] = STATE(6197),
    [sym_preproc_call_expression] = STATE(6197),
    [sym_preproc_binary_expression] = STATE(6197),
    [sym_number_literal] = STATE(6197),
    [sym_string_literal] = STATE(6197),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3803] = {
    [sym__preproc_expression] = STATE(6198),
    [sym_preproc_parenthesized_expression] = STATE(6198),
    [sym_preproc_defined] = STATE(6198),
    [sym_preproc_unary_expression] = STATE(6198),
    [sym_preproc_call_expression] = STATE(6198),
    [sym_preproc_binary_expression] = STATE(6198),
    [sym_number_literal] = STATE(6198),
    [sym_string_literal] = STATE(6198),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3804] = {
    [sym__preproc_expression] = STATE(6199),
    [sym_preproc_parenthesized_expression] = STATE(6199),
    [sym_preproc_defined] = STATE(6199),
    [sym_preproc_unary_expression] = STATE(6199),
    [sym_preproc_call_expression] = STATE(6199),
    [sym_preproc_binary_expression] = STATE(6199),
    [sym_number_literal] = STATE(6199),
    [sym_string_literal] = STATE(6199),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3805] = {
    [sym__preproc_expression] = STATE(6200),
    [sym_preproc_parenthesized_expression] = STATE(6200),
    [sym_preproc_defined] = STATE(6200),
    [sym_preproc_unary_expression] = STATE(6200),
    [sym_preproc_call_expression] = STATE(6200),
    [sym_preproc_binary_expression] = STATE(6200),
    [sym_number_literal] = STATE(6200),
    [sym_string_literal] = STATE(6200),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3806] = {
    [sym__preproc_expression] = STATE(6201),
    [sym_preproc_parenthesized_expression] = STATE(6201),
    [sym_preproc_defined] = STATE(6201),
    [sym_preproc_unary_expression] = STATE(6201),
    [sym_preproc_call_expression] = STATE(6201),
    [sym_preproc_binary_expression] = STATE(6201),
    [sym_number_literal] = STATE(6201),
    [sym_string_literal] = STATE(6201),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3807] = {
    [sym__preproc_expression] = STATE(6148),
    [sym_preproc_parenthesized_expression] = STATE(6148),
    [sym_preproc_defined] = STATE(6148),
    [sym_preproc_unary_expression] = STATE(6148),
    [sym_preproc_call_expression] = STATE(6148),
    [sym_preproc_binary_expression] = STATE(6148),
    [sym_number_literal] = STATE(6148),
    [sym_string_literal] = STATE(6148),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3808] = {
    [sym__preproc_expression] = STATE(6168),
    [sym_preproc_parenthesized_expression] = STATE(6168),
    [sym_preproc_defined] = STATE(6168),
    [sym_preproc_unary_expression] = STATE(6168),
    [sym_preproc_call_expression] = STATE(6168),
    [sym_preproc_binary_expression] = STATE(6168),
    [sym_number_literal] = STATE(6168),
    [sym_string_literal] = STATE(6168),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3809] = {
    [anon_sym_COMMA] = ACTIONS(8530),
    [anon_sym_LPAREN2] = ACTIONS(8532),
    [anon_sym_PLUS] = ACTIONS(8530),
    [anon_sym_DASH] = ACTIONS(8530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8532),
    [anon_sym_SEMI] = ACTIONS(8530),
    [aux_sym_block_data_statement_token1] = ACTIONS(8532),
    [aux_sym_block_data_statement_token2] = ACTIONS(8532),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8532),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8532),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8532),
    [aux_sym_use_statement_token2] = ACTIONS(8532),
    [aux_sym_implicit_statement_token3] = ACTIONS(8532),
    [aux_sym_implicit_statement_token4] = ACTIONS(8532),
    [aux_sym_save_statement_token1] = ACTIONS(8532),
    [aux_sym_private_statement_token1] = ACTIONS(8532),
    [aux_sym_public_statement_token1] = ACTIONS(8532),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8532),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8532),
    [aux_sym_variable_attributes_token2] = ACTIONS(8532),
    [aux_sym_variable_attributes_token3] = ACTIONS(8532),
    [aux_sym_variable_attributes_token5] = ACTIONS(8532),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8532),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8532),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8532),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8532),
    [aux_sym_type_qualifier_token1] = ACTIONS(8532),
    [aux_sym_type_qualifier_token2] = ACTIONS(8532),
    [aux_sym_stop_statement_token1] = ACTIONS(8532),
    [aux_sym_stop_statement_token2] = ACTIONS(8532),
    [aux_sym_subroutine_call_token1] = ACTIONS(8532),
    [aux_sym_keyword_statement_token2] = ACTIONS(8532),
    [aux_sym_keyword_statement_token3] = ACTIONS(8532),
    [aux_sym_keyword_statement_token4] = ACTIONS(8532),
    [aux_sym_include_statement_token1] = ACTIONS(8532),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8532),
    [aux_sym_end_if_statement_token1] = ACTIONS(8532),
    [aux_sym_elseif_clause_token2] = ACTIONS(8532),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8532),
    [aux_sym_select_case_statement_token1] = ACTIONS(8532),
    [aux_sym_format_statement_token1] = ACTIONS(8532),
    [aux_sym_print_statement_token1] = ACTIONS(8532),
    [aux_sym_open_statement_token1] = ACTIONS(8532),
    [aux_sym_inquire_statement_token1] = ACTIONS(8532),
    [aux_sym_entry_statement_token1] = ACTIONS(8532),
    [aux_sym_logical_expression_token5] = ACTIONS(8530),
    [anon_sym_DOT] = ACTIONS(8532),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8530),
    [anon_sym_LBRACK] = ACTIONS(8530),
    [aux_sym_boolean_literal_token1] = ACTIONS(8530),
    [aux_sym_boolean_literal_token2] = ACTIONS(8530),
    [aux_sym_null_literal_token1] = ACTIONS(8532),
    [aux_sym_coarray_statement_token1] = ACTIONS(8532),
    [aux_sym_coarray_statement_token2] = ACTIONS(8532),
    [aux_sym_coarray_statement_token6] = ACTIONS(8532),
    [aux_sym_coarray_statement_token8] = ACTIONS(8532),
    [aux_sym_coarray_statement_token11] = ACTIONS(8532),
    [aux_sym_coarray_statement_token12] = ACTIONS(8532),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8532),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8532),
    [aux_sym_identifier_token1] = ACTIONS(8532),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8530),
    [sym__float_literal] = ACTIONS(8530),
    [sym__boz_literal] = ACTIONS(8530),
    [sym__string_literal] = ACTIONS(8530),
    [sym__string_literal_kind] = ACTIONS(8530),
    [sym__external_end_of_statement] = ACTIONS(8530),
  },
  [3810] = {
    [anon_sym_COMMA] = ACTIONS(8534),
    [anon_sym_LPAREN2] = ACTIONS(8536),
    [anon_sym_PLUS] = ACTIONS(8534),
    [anon_sym_DASH] = ACTIONS(8534),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8536),
    [anon_sym_SEMI] = ACTIONS(8534),
    [aux_sym_block_data_statement_token1] = ACTIONS(8536),
    [aux_sym_block_data_statement_token2] = ACTIONS(8536),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8536),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8536),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8536),
    [aux_sym_use_statement_token2] = ACTIONS(8536),
    [aux_sym_implicit_statement_token3] = ACTIONS(8536),
    [aux_sym_implicit_statement_token4] = ACTIONS(8536),
    [aux_sym_save_statement_token1] = ACTIONS(8536),
    [aux_sym_private_statement_token1] = ACTIONS(8536),
    [aux_sym_public_statement_token1] = ACTIONS(8536),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8536),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8536),
    [aux_sym_variable_attributes_token2] = ACTIONS(8536),
    [aux_sym_variable_attributes_token3] = ACTIONS(8536),
    [aux_sym_variable_attributes_token5] = ACTIONS(8536),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8536),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8536),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8536),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8536),
    [aux_sym_type_qualifier_token1] = ACTIONS(8536),
    [aux_sym_type_qualifier_token2] = ACTIONS(8536),
    [aux_sym_stop_statement_token1] = ACTIONS(8536),
    [aux_sym_stop_statement_token2] = ACTIONS(8536),
    [aux_sym_subroutine_call_token1] = ACTIONS(8536),
    [aux_sym_keyword_statement_token2] = ACTIONS(8536),
    [aux_sym_keyword_statement_token3] = ACTIONS(8536),
    [aux_sym_keyword_statement_token4] = ACTIONS(8536),
    [aux_sym_include_statement_token1] = ACTIONS(8536),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8536),
    [aux_sym_end_if_statement_token1] = ACTIONS(8536),
    [aux_sym_elseif_clause_token2] = ACTIONS(8536),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8536),
    [aux_sym_select_case_statement_token1] = ACTIONS(8536),
    [aux_sym_format_statement_token1] = ACTIONS(8536),
    [aux_sym_print_statement_token1] = ACTIONS(8536),
    [aux_sym_open_statement_token1] = ACTIONS(8536),
    [aux_sym_inquire_statement_token1] = ACTIONS(8536),
    [aux_sym_entry_statement_token1] = ACTIONS(8536),
    [aux_sym_logical_expression_token5] = ACTIONS(8534),
    [anon_sym_DOT] = ACTIONS(8536),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8534),
    [anon_sym_LBRACK] = ACTIONS(8534),
    [aux_sym_boolean_literal_token1] = ACTIONS(8534),
    [aux_sym_boolean_literal_token2] = ACTIONS(8534),
    [aux_sym_null_literal_token1] = ACTIONS(8536),
    [aux_sym_coarray_statement_token1] = ACTIONS(8536),
    [aux_sym_coarray_statement_token2] = ACTIONS(8536),
    [aux_sym_coarray_statement_token6] = ACTIONS(8536),
    [aux_sym_coarray_statement_token8] = ACTIONS(8536),
    [aux_sym_coarray_statement_token11] = ACTIONS(8536),
    [aux_sym_coarray_statement_token12] = ACTIONS(8536),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8536),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8536),
    [aux_sym_identifier_token1] = ACTIONS(8536),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8534),
    [sym__float_literal] = ACTIONS(8534),
    [sym__boz_literal] = ACTIONS(8534),
    [sym__string_literal] = ACTIONS(8534),
    [sym__string_literal_kind] = ACTIONS(8534),
    [sym__external_end_of_statement] = ACTIONS(8534),
  },
  [3811] = {
    [sym__preproc_expression] = STATE(6218),
    [sym_preproc_parenthesized_expression] = STATE(6218),
    [sym_preproc_defined] = STATE(6218),
    [sym_preproc_unary_expression] = STATE(6218),
    [sym_preproc_call_expression] = STATE(6218),
    [sym_preproc_binary_expression] = STATE(6218),
    [sym_number_literal] = STATE(6218),
    [sym_string_literal] = STATE(6218),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3812] = {
    [sym__preproc_expression] = STATE(6219),
    [sym_preproc_parenthesized_expression] = STATE(6219),
    [sym_preproc_defined] = STATE(6219),
    [sym_preproc_unary_expression] = STATE(6219),
    [sym_preproc_call_expression] = STATE(6219),
    [sym_preproc_binary_expression] = STATE(6219),
    [sym_number_literal] = STATE(6219),
    [sym_string_literal] = STATE(6219),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3813] = {
    [sym__preproc_expression] = STATE(6220),
    [sym_preproc_parenthesized_expression] = STATE(6220),
    [sym_preproc_defined] = STATE(6220),
    [sym_preproc_unary_expression] = STATE(6220),
    [sym_preproc_call_expression] = STATE(6220),
    [sym_preproc_binary_expression] = STATE(6220),
    [sym_number_literal] = STATE(6220),
    [sym_string_literal] = STATE(6220),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3814] = {
    [sym__preproc_expression] = STATE(6238),
    [sym_preproc_parenthesized_expression] = STATE(6238),
    [sym_preproc_defined] = STATE(6238),
    [sym_preproc_unary_expression] = STATE(6238),
    [sym_preproc_call_expression] = STATE(6238),
    [sym_preproc_binary_expression] = STATE(6238),
    [sym_number_literal] = STATE(6238),
    [sym_string_literal] = STATE(6238),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3815] = {
    [sym__preproc_expression] = STATE(6254),
    [sym_preproc_parenthesized_expression] = STATE(6254),
    [sym_preproc_defined] = STATE(6254),
    [sym_preproc_unary_expression] = STATE(6254),
    [sym_preproc_call_expression] = STATE(6254),
    [sym_preproc_binary_expression] = STATE(6254),
    [sym_number_literal] = STATE(6254),
    [sym_string_literal] = STATE(6254),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3816] = {
    [sym__preproc_expression] = STATE(6257),
    [sym_preproc_parenthesized_expression] = STATE(6257),
    [sym_preproc_defined] = STATE(6257),
    [sym_preproc_unary_expression] = STATE(6257),
    [sym_preproc_call_expression] = STATE(6257),
    [sym_preproc_binary_expression] = STATE(6257),
    [sym_number_literal] = STATE(6257),
    [sym_string_literal] = STATE(6257),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3817] = {
    [sym__preproc_expression] = STATE(6205),
    [sym_preproc_parenthesized_expression] = STATE(6205),
    [sym_preproc_defined] = STATE(6205),
    [sym_preproc_unary_expression] = STATE(6205),
    [sym_preproc_call_expression] = STATE(6205),
    [sym_preproc_binary_expression] = STATE(6205),
    [sym_number_literal] = STATE(6205),
    [sym_string_literal] = STATE(6205),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3818] = {
    [anon_sym_COMMA] = ACTIONS(8538),
    [anon_sym_LPAREN2] = ACTIONS(8540),
    [anon_sym_PLUS] = ACTIONS(8538),
    [anon_sym_DASH] = ACTIONS(8538),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8540),
    [anon_sym_SEMI] = ACTIONS(8538),
    [aux_sym_block_data_statement_token1] = ACTIONS(8540),
    [aux_sym_block_data_statement_token2] = ACTIONS(8540),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8540),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8540),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8540),
    [aux_sym_use_statement_token2] = ACTIONS(8540),
    [aux_sym_implicit_statement_token3] = ACTIONS(8540),
    [aux_sym_implicit_statement_token4] = ACTIONS(8540),
    [aux_sym_save_statement_token1] = ACTIONS(8540),
    [aux_sym_private_statement_token1] = ACTIONS(8540),
    [aux_sym_public_statement_token1] = ACTIONS(8540),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8540),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8540),
    [aux_sym_variable_attributes_token2] = ACTIONS(8540),
    [aux_sym_variable_attributes_token3] = ACTIONS(8540),
    [aux_sym_variable_attributes_token5] = ACTIONS(8540),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8540),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8540),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8540),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8540),
    [aux_sym_type_qualifier_token1] = ACTIONS(8540),
    [aux_sym_type_qualifier_token2] = ACTIONS(8540),
    [aux_sym_stop_statement_token1] = ACTIONS(8540),
    [aux_sym_stop_statement_token2] = ACTIONS(8540),
    [aux_sym_subroutine_call_token1] = ACTIONS(8540),
    [aux_sym_keyword_statement_token2] = ACTIONS(8540),
    [aux_sym_keyword_statement_token3] = ACTIONS(8540),
    [aux_sym_keyword_statement_token4] = ACTIONS(8540),
    [aux_sym_include_statement_token1] = ACTIONS(8540),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8540),
    [aux_sym_end_if_statement_token1] = ACTIONS(8540),
    [aux_sym_elseif_clause_token2] = ACTIONS(8540),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8540),
    [aux_sym_select_case_statement_token1] = ACTIONS(8540),
    [aux_sym_format_statement_token1] = ACTIONS(8540),
    [aux_sym_print_statement_token1] = ACTIONS(8540),
    [aux_sym_open_statement_token1] = ACTIONS(8540),
    [aux_sym_inquire_statement_token1] = ACTIONS(8540),
    [aux_sym_entry_statement_token1] = ACTIONS(8540),
    [aux_sym_logical_expression_token5] = ACTIONS(8538),
    [anon_sym_DOT] = ACTIONS(8540),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8538),
    [anon_sym_LBRACK] = ACTIONS(8538),
    [aux_sym_boolean_literal_token1] = ACTIONS(8538),
    [aux_sym_boolean_literal_token2] = ACTIONS(8538),
    [aux_sym_null_literal_token1] = ACTIONS(8540),
    [aux_sym_coarray_statement_token1] = ACTIONS(8540),
    [aux_sym_coarray_statement_token2] = ACTIONS(8540),
    [aux_sym_coarray_statement_token6] = ACTIONS(8540),
    [aux_sym_coarray_statement_token8] = ACTIONS(8540),
    [aux_sym_coarray_statement_token11] = ACTIONS(8540),
    [aux_sym_coarray_statement_token12] = ACTIONS(8540),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8540),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8540),
    [aux_sym_identifier_token1] = ACTIONS(8540),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8538),
    [sym__float_literal] = ACTIONS(8538),
    [sym__boz_literal] = ACTIONS(8538),
    [sym__string_literal] = ACTIONS(8538),
    [sym__string_literal_kind] = ACTIONS(8538),
    [sym__external_end_of_statement] = ACTIONS(8538),
  },
  [3819] = {
    [anon_sym_COMMA] = ACTIONS(8542),
    [anon_sym_LPAREN2] = ACTIONS(8544),
    [anon_sym_PLUS] = ACTIONS(8542),
    [anon_sym_DASH] = ACTIONS(8542),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8544),
    [anon_sym_SEMI] = ACTIONS(8542),
    [aux_sym_block_data_statement_token1] = ACTIONS(8544),
    [aux_sym_block_data_statement_token2] = ACTIONS(8544),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8544),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8544),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8544),
    [aux_sym_use_statement_token2] = ACTIONS(8544),
    [aux_sym_implicit_statement_token3] = ACTIONS(8544),
    [aux_sym_implicit_statement_token4] = ACTIONS(8544),
    [aux_sym_save_statement_token1] = ACTIONS(8544),
    [aux_sym_private_statement_token1] = ACTIONS(8544),
    [aux_sym_public_statement_token1] = ACTIONS(8544),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8544),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8544),
    [aux_sym_variable_attributes_token2] = ACTIONS(8544),
    [aux_sym_variable_attributes_token3] = ACTIONS(8544),
    [aux_sym_variable_attributes_token5] = ACTIONS(8544),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8544),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8544),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8544),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8544),
    [aux_sym_type_qualifier_token1] = ACTIONS(8544),
    [aux_sym_type_qualifier_token2] = ACTIONS(8544),
    [aux_sym_stop_statement_token1] = ACTIONS(8544),
    [aux_sym_stop_statement_token2] = ACTIONS(8544),
    [aux_sym_subroutine_call_token1] = ACTIONS(8544),
    [aux_sym_keyword_statement_token2] = ACTIONS(8544),
    [aux_sym_keyword_statement_token3] = ACTIONS(8544),
    [aux_sym_keyword_statement_token4] = ACTIONS(8544),
    [aux_sym_include_statement_token1] = ACTIONS(8544),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8544),
    [aux_sym_end_if_statement_token1] = ACTIONS(8544),
    [aux_sym_elseif_clause_token2] = ACTIONS(8544),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8544),
    [aux_sym_select_case_statement_token1] = ACTIONS(8544),
    [aux_sym_format_statement_token1] = ACTIONS(8544),
    [aux_sym_print_statement_token1] = ACTIONS(8544),
    [aux_sym_open_statement_token1] = ACTIONS(8544),
    [aux_sym_inquire_statement_token1] = ACTIONS(8544),
    [aux_sym_entry_statement_token1] = ACTIONS(8544),
    [aux_sym_logical_expression_token5] = ACTIONS(8542),
    [anon_sym_DOT] = ACTIONS(8544),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8542),
    [anon_sym_LBRACK] = ACTIONS(8542),
    [aux_sym_boolean_literal_token1] = ACTIONS(8542),
    [aux_sym_boolean_literal_token2] = ACTIONS(8542),
    [aux_sym_null_literal_token1] = ACTIONS(8544),
    [aux_sym_coarray_statement_token1] = ACTIONS(8544),
    [aux_sym_coarray_statement_token2] = ACTIONS(8544),
    [aux_sym_coarray_statement_token6] = ACTIONS(8544),
    [aux_sym_coarray_statement_token8] = ACTIONS(8544),
    [aux_sym_coarray_statement_token11] = ACTIONS(8544),
    [aux_sym_coarray_statement_token12] = ACTIONS(8544),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8544),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8544),
    [aux_sym_identifier_token1] = ACTIONS(8544),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8542),
    [sym__float_literal] = ACTIONS(8542),
    [sym__boz_literal] = ACTIONS(8542),
    [sym__string_literal] = ACTIONS(8542),
    [sym__string_literal_kind] = ACTIONS(8542),
    [sym__external_end_of_statement] = ACTIONS(8542),
  },
  [3820] = {
    [anon_sym_COMMA] = ACTIONS(8546),
    [anon_sym_LPAREN2] = ACTIONS(8548),
    [anon_sym_PLUS] = ACTIONS(8546),
    [anon_sym_DASH] = ACTIONS(8546),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8548),
    [anon_sym_SEMI] = ACTIONS(8546),
    [aux_sym_block_data_statement_token1] = ACTIONS(8548),
    [aux_sym_block_data_statement_token2] = ACTIONS(8548),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8548),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8548),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8548),
    [aux_sym_use_statement_token2] = ACTIONS(8548),
    [aux_sym_implicit_statement_token3] = ACTIONS(8548),
    [aux_sym_implicit_statement_token4] = ACTIONS(8548),
    [aux_sym_save_statement_token1] = ACTIONS(8548),
    [aux_sym_private_statement_token1] = ACTIONS(8548),
    [aux_sym_public_statement_token1] = ACTIONS(8548),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8548),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8548),
    [aux_sym_variable_attributes_token2] = ACTIONS(8548),
    [aux_sym_variable_attributes_token3] = ACTIONS(8548),
    [aux_sym_variable_attributes_token5] = ACTIONS(8548),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8548),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8548),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8548),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8548),
    [aux_sym_type_qualifier_token1] = ACTIONS(8548),
    [aux_sym_type_qualifier_token2] = ACTIONS(8548),
    [aux_sym_stop_statement_token1] = ACTIONS(8548),
    [aux_sym_stop_statement_token2] = ACTIONS(8548),
    [aux_sym_subroutine_call_token1] = ACTIONS(8548),
    [aux_sym_keyword_statement_token2] = ACTIONS(8548),
    [aux_sym_keyword_statement_token3] = ACTIONS(8548),
    [aux_sym_keyword_statement_token4] = ACTIONS(8548),
    [aux_sym_include_statement_token1] = ACTIONS(8548),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8548),
    [aux_sym_end_if_statement_token1] = ACTIONS(8548),
    [aux_sym_elseif_clause_token2] = ACTIONS(8548),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8548),
    [aux_sym_select_case_statement_token1] = ACTIONS(8548),
    [aux_sym_format_statement_token1] = ACTIONS(8548),
    [aux_sym_print_statement_token1] = ACTIONS(8548),
    [aux_sym_open_statement_token1] = ACTIONS(8548),
    [aux_sym_inquire_statement_token1] = ACTIONS(8548),
    [aux_sym_entry_statement_token1] = ACTIONS(8548),
    [aux_sym_logical_expression_token5] = ACTIONS(8546),
    [anon_sym_DOT] = ACTIONS(8548),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8546),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [aux_sym_boolean_literal_token1] = ACTIONS(8546),
    [aux_sym_boolean_literal_token2] = ACTIONS(8546),
    [aux_sym_null_literal_token1] = ACTIONS(8548),
    [aux_sym_coarray_statement_token1] = ACTIONS(8548),
    [aux_sym_coarray_statement_token2] = ACTIONS(8548),
    [aux_sym_coarray_statement_token6] = ACTIONS(8548),
    [aux_sym_coarray_statement_token8] = ACTIONS(8548),
    [aux_sym_coarray_statement_token11] = ACTIONS(8548),
    [aux_sym_coarray_statement_token12] = ACTIONS(8548),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8548),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8548),
    [aux_sym_identifier_token1] = ACTIONS(8548),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8546),
    [sym__float_literal] = ACTIONS(8546),
    [sym__boz_literal] = ACTIONS(8546),
    [sym__string_literal] = ACTIONS(8546),
    [sym__string_literal_kind] = ACTIONS(8546),
    [sym__external_end_of_statement] = ACTIONS(8546),
  },
  [3821] = {
    [sym__preproc_expression] = STATE(6243),
    [sym_preproc_parenthesized_expression] = STATE(6243),
    [sym_preproc_defined] = STATE(6243),
    [sym_preproc_unary_expression] = STATE(6243),
    [sym_preproc_call_expression] = STATE(6243),
    [sym_preproc_binary_expression] = STATE(6243),
    [sym_number_literal] = STATE(6243),
    [sym_string_literal] = STATE(6243),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3822] = {
    [sym__preproc_expression] = STATE(6100),
    [sym_preproc_parenthesized_expression] = STATE(6100),
    [sym_preproc_defined] = STATE(6100),
    [sym_preproc_unary_expression] = STATE(6100),
    [sym_preproc_call_expression] = STATE(6100),
    [sym_preproc_binary_expression] = STATE(6100),
    [sym_number_literal] = STATE(6100),
    [sym_string_literal] = STATE(6100),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3823] = {
    [sym__preproc_expression] = STATE(6186),
    [sym_preproc_parenthesized_expression] = STATE(6186),
    [sym_preproc_defined] = STATE(6186),
    [sym_preproc_unary_expression] = STATE(6186),
    [sym_preproc_call_expression] = STATE(6186),
    [sym_preproc_binary_expression] = STATE(6186),
    [sym_number_literal] = STATE(6186),
    [sym_string_literal] = STATE(6186),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3824] = {
    [sym__preproc_expression] = STATE(6250),
    [sym_preproc_parenthesized_expression] = STATE(6250),
    [sym_preproc_defined] = STATE(6250),
    [sym_preproc_unary_expression] = STATE(6250),
    [sym_preproc_call_expression] = STATE(6250),
    [sym_preproc_binary_expression] = STATE(6250),
    [sym_number_literal] = STATE(6250),
    [sym_string_literal] = STATE(6250),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3825] = {
    [sym__preproc_expression] = STATE(6251),
    [sym_preproc_parenthesized_expression] = STATE(6251),
    [sym_preproc_defined] = STATE(6251),
    [sym_preproc_unary_expression] = STATE(6251),
    [sym_preproc_call_expression] = STATE(6251),
    [sym_preproc_binary_expression] = STATE(6251),
    [sym_number_literal] = STATE(6251),
    [sym_string_literal] = STATE(6251),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3826] = {
    [sym__preproc_expression] = STATE(6252),
    [sym_preproc_parenthesized_expression] = STATE(6252),
    [sym_preproc_defined] = STATE(6252),
    [sym_preproc_unary_expression] = STATE(6252),
    [sym_preproc_call_expression] = STATE(6252),
    [sym_preproc_binary_expression] = STATE(6252),
    [sym_number_literal] = STATE(6252),
    [sym_string_literal] = STATE(6252),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3827] = {
    [sym__preproc_expression] = STATE(6255),
    [sym_preproc_parenthesized_expression] = STATE(6255),
    [sym_preproc_defined] = STATE(6255),
    [sym_preproc_unary_expression] = STATE(6255),
    [sym_preproc_call_expression] = STATE(6255),
    [sym_preproc_binary_expression] = STATE(6255),
    [sym_number_literal] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3828] = {
    [sym__preproc_expression] = STATE(6256),
    [sym_preproc_parenthesized_expression] = STATE(6256),
    [sym_preproc_defined] = STATE(6256),
    [sym_preproc_unary_expression] = STATE(6256),
    [sym_preproc_call_expression] = STATE(6256),
    [sym_preproc_binary_expression] = STATE(6256),
    [sym_number_literal] = STATE(6256),
    [sym_string_literal] = STATE(6256),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3829] = {
    [sym__preproc_expression] = STATE(6203),
    [sym_preproc_parenthesized_expression] = STATE(6203),
    [sym_preproc_defined] = STATE(6203),
    [sym_preproc_unary_expression] = STATE(6203),
    [sym_preproc_call_expression] = STATE(6203),
    [sym_preproc_binary_expression] = STATE(6203),
    [sym_number_literal] = STATE(6203),
    [sym_string_literal] = STATE(6203),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3830] = {
    [sym__preproc_expression] = STATE(6258),
    [sym_preproc_parenthesized_expression] = STATE(6258),
    [sym_preproc_defined] = STATE(6258),
    [sym_preproc_unary_expression] = STATE(6258),
    [sym_preproc_call_expression] = STATE(6258),
    [sym_preproc_binary_expression] = STATE(6258),
    [sym_number_literal] = STATE(6258),
    [sym_string_literal] = STATE(6258),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3831] = {
    [sym__preproc_expression] = STATE(6259),
    [sym_preproc_parenthesized_expression] = STATE(6259),
    [sym_preproc_defined] = STATE(6259),
    [sym_preproc_unary_expression] = STATE(6259),
    [sym_preproc_call_expression] = STATE(6259),
    [sym_preproc_binary_expression] = STATE(6259),
    [sym_number_literal] = STATE(6259),
    [sym_string_literal] = STATE(6259),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3832] = {
    [sym__preproc_expression] = STATE(6235),
    [sym_preproc_parenthesized_expression] = STATE(6235),
    [sym_preproc_defined] = STATE(6235),
    [sym_preproc_unary_expression] = STATE(6235),
    [sym_preproc_call_expression] = STATE(6235),
    [sym_preproc_binary_expression] = STATE(6235),
    [sym_number_literal] = STATE(6235),
    [sym_string_literal] = STATE(6235),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3833] = {
    [sym__preproc_expression] = STATE(6211),
    [sym_preproc_parenthesized_expression] = STATE(6211),
    [sym_preproc_defined] = STATE(6211),
    [sym_preproc_unary_expression] = STATE(6211),
    [sym_preproc_call_expression] = STATE(6211),
    [sym_preproc_binary_expression] = STATE(6211),
    [sym_number_literal] = STATE(6211),
    [sym_string_literal] = STATE(6211),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3834] = {
    [sym__preproc_expression] = STATE(6188),
    [sym_preproc_parenthesized_expression] = STATE(6188),
    [sym_preproc_defined] = STATE(6188),
    [sym_preproc_unary_expression] = STATE(6188),
    [sym_preproc_call_expression] = STATE(6188),
    [sym_preproc_binary_expression] = STATE(6188),
    [sym_number_literal] = STATE(6188),
    [sym_string_literal] = STATE(6188),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3835] = {
    [sym__preproc_expression] = STATE(6189),
    [sym_preproc_parenthesized_expression] = STATE(6189),
    [sym_preproc_defined] = STATE(6189),
    [sym_preproc_unary_expression] = STATE(6189),
    [sym_preproc_call_expression] = STATE(6189),
    [sym_preproc_binary_expression] = STATE(6189),
    [sym_number_literal] = STATE(6189),
    [sym_string_literal] = STATE(6189),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3836] = {
    [sym__preproc_expression] = STATE(6169),
    [sym_preproc_parenthesized_expression] = STATE(6169),
    [sym_preproc_defined] = STATE(6169),
    [sym_preproc_unary_expression] = STATE(6169),
    [sym_preproc_call_expression] = STATE(6169),
    [sym_preproc_binary_expression] = STATE(6169),
    [sym_number_literal] = STATE(6169),
    [sym_string_literal] = STATE(6169),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3837] = {
    [sym__preproc_expression] = STATE(6104),
    [sym_preproc_parenthesized_expression] = STATE(6104),
    [sym_preproc_defined] = STATE(6104),
    [sym_preproc_unary_expression] = STATE(6104),
    [sym_preproc_call_expression] = STATE(6104),
    [sym_preproc_binary_expression] = STATE(6104),
    [sym_number_literal] = STATE(6104),
    [sym_string_literal] = STATE(6104),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3838] = {
    [sym__preproc_expression] = STATE(6091),
    [sym_preproc_parenthesized_expression] = STATE(6091),
    [sym_preproc_defined] = STATE(6091),
    [sym_preproc_unary_expression] = STATE(6091),
    [sym_preproc_call_expression] = STATE(6091),
    [sym_preproc_binary_expression] = STATE(6091),
    [sym_number_literal] = STATE(6091),
    [sym_string_literal] = STATE(6091),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3839] = {
    [sym__preproc_expression] = STATE(6105),
    [sym_preproc_parenthesized_expression] = STATE(6105),
    [sym_preproc_defined] = STATE(6105),
    [sym_preproc_unary_expression] = STATE(6105),
    [sym_preproc_call_expression] = STATE(6105),
    [sym_preproc_binary_expression] = STATE(6105),
    [sym_number_literal] = STATE(6105),
    [sym_string_literal] = STATE(6105),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3840] = {
    [sym__preproc_expression] = STATE(6214),
    [sym_preproc_parenthesized_expression] = STATE(6214),
    [sym_preproc_defined] = STATE(6214),
    [sym_preproc_unary_expression] = STATE(6214),
    [sym_preproc_call_expression] = STATE(6214),
    [sym_preproc_binary_expression] = STATE(6214),
    [sym_number_literal] = STATE(6214),
    [sym_string_literal] = STATE(6214),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3841] = {
    [sym__preproc_expression] = STATE(6092),
    [sym_preproc_parenthesized_expression] = STATE(6092),
    [sym_preproc_defined] = STATE(6092),
    [sym_preproc_unary_expression] = STATE(6092),
    [sym_preproc_call_expression] = STATE(6092),
    [sym_preproc_binary_expression] = STATE(6092),
    [sym_number_literal] = STATE(6092),
    [sym_string_literal] = STATE(6092),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3842] = {
    [sym__preproc_expression] = STATE(6225),
    [sym_preproc_parenthesized_expression] = STATE(6225),
    [sym_preproc_defined] = STATE(6225),
    [sym_preproc_unary_expression] = STATE(6225),
    [sym_preproc_call_expression] = STATE(6225),
    [sym_preproc_binary_expression] = STATE(6225),
    [sym_number_literal] = STATE(6225),
    [sym_string_literal] = STATE(6225),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3843] = {
    [sym__preproc_expression] = STATE(6099),
    [sym_preproc_parenthesized_expression] = STATE(6099),
    [sym_preproc_defined] = STATE(6099),
    [sym_preproc_unary_expression] = STATE(6099),
    [sym_preproc_call_expression] = STATE(6099),
    [sym_preproc_binary_expression] = STATE(6099),
    [sym_number_literal] = STATE(6099),
    [sym_string_literal] = STATE(6099),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3844] = {
    [sym__preproc_expression] = STATE(6232),
    [sym_preproc_parenthesized_expression] = STATE(6232),
    [sym_preproc_defined] = STATE(6232),
    [sym_preproc_unary_expression] = STATE(6232),
    [sym_preproc_call_expression] = STATE(6232),
    [sym_preproc_binary_expression] = STATE(6232),
    [sym_number_literal] = STATE(6232),
    [sym_string_literal] = STATE(6232),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3845] = {
    [sym__preproc_expression] = STATE(6101),
    [sym_preproc_parenthesized_expression] = STATE(6101),
    [sym_preproc_defined] = STATE(6101),
    [sym_preproc_unary_expression] = STATE(6101),
    [sym_preproc_call_expression] = STATE(6101),
    [sym_preproc_binary_expression] = STATE(6101),
    [sym_number_literal] = STATE(6101),
    [sym_string_literal] = STATE(6101),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3846] = {
    [sym__preproc_expression] = STATE(6102),
    [sym_preproc_parenthesized_expression] = STATE(6102),
    [sym_preproc_defined] = STATE(6102),
    [sym_preproc_unary_expression] = STATE(6102),
    [sym_preproc_call_expression] = STATE(6102),
    [sym_preproc_binary_expression] = STATE(6102),
    [sym_number_literal] = STATE(6102),
    [sym_string_literal] = STATE(6102),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3847] = {
    [sym__preproc_expression] = STATE(6103),
    [sym_preproc_parenthesized_expression] = STATE(6103),
    [sym_preproc_defined] = STATE(6103),
    [sym_preproc_unary_expression] = STATE(6103),
    [sym_preproc_call_expression] = STATE(6103),
    [sym_preproc_binary_expression] = STATE(6103),
    [sym_number_literal] = STATE(6103),
    [sym_string_literal] = STATE(6103),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3848] = {
    [sym__preproc_expression] = STATE(6121),
    [sym_preproc_parenthesized_expression] = STATE(6121),
    [sym_preproc_defined] = STATE(6121),
    [sym_preproc_unary_expression] = STATE(6121),
    [sym_preproc_call_expression] = STATE(6121),
    [sym_preproc_binary_expression] = STATE(6121),
    [sym_number_literal] = STATE(6121),
    [sym_string_literal] = STATE(6121),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3849] = {
    [sym__preproc_expression] = STATE(6213),
    [sym_preproc_parenthesized_expression] = STATE(6213),
    [sym_preproc_defined] = STATE(6213),
    [sym_preproc_unary_expression] = STATE(6213),
    [sym_preproc_call_expression] = STATE(6213),
    [sym_preproc_binary_expression] = STATE(6213),
    [sym_number_literal] = STATE(6213),
    [sym_string_literal] = STATE(6213),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3850] = {
    [sym__preproc_expression] = STATE(6116),
    [sym_preproc_parenthesized_expression] = STATE(6116),
    [sym_preproc_defined] = STATE(6116),
    [sym_preproc_unary_expression] = STATE(6116),
    [sym_preproc_call_expression] = STATE(6116),
    [sym_preproc_binary_expression] = STATE(6116),
    [sym_number_literal] = STATE(6116),
    [sym_string_literal] = STATE(6116),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3851] = {
    [sym__preproc_expression] = STATE(6226),
    [sym_preproc_parenthesized_expression] = STATE(6226),
    [sym_preproc_defined] = STATE(6226),
    [sym_preproc_unary_expression] = STATE(6226),
    [sym_preproc_call_expression] = STATE(6226),
    [sym_preproc_binary_expression] = STATE(6226),
    [sym_number_literal] = STATE(6226),
    [sym_string_literal] = STATE(6226),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3852] = {
    [sym__preproc_expression] = STATE(6106),
    [sym_preproc_parenthesized_expression] = STATE(6106),
    [sym_preproc_defined] = STATE(6106),
    [sym_preproc_unary_expression] = STATE(6106),
    [sym_preproc_call_expression] = STATE(6106),
    [sym_preproc_binary_expression] = STATE(6106),
    [sym_number_literal] = STATE(6106),
    [sym_string_literal] = STATE(6106),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3853] = {
    [sym__preproc_expression] = STATE(6124),
    [sym_preproc_parenthesized_expression] = STATE(6124),
    [sym_preproc_defined] = STATE(6124),
    [sym_preproc_unary_expression] = STATE(6124),
    [sym_preproc_call_expression] = STATE(6124),
    [sym_preproc_binary_expression] = STATE(6124),
    [sym_number_literal] = STATE(6124),
    [sym_string_literal] = STATE(6124),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3854] = {
    [sym__preproc_expression] = STATE(6217),
    [sym_preproc_parenthesized_expression] = STATE(6217),
    [sym_preproc_defined] = STATE(6217),
    [sym_preproc_unary_expression] = STATE(6217),
    [sym_preproc_call_expression] = STATE(6217),
    [sym_preproc_binary_expression] = STATE(6217),
    [sym_number_literal] = STATE(6217),
    [sym_string_literal] = STATE(6217),
    [sym_identifier] = STATE(6032),
    [anon_sym_LPAREN2] = ACTIONS(8353),
    [anon_sym_defined] = ACTIONS(8355),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8359),
    [aux_sym_block_data_statement_token1] = ACTIONS(8361),
    [aux_sym_block_data_statement_token2] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8361),
    [aux_sym_use_statement_token2] = ACTIONS(8361),
    [aux_sym_implicit_statement_token3] = ACTIONS(8363),
    [aux_sym_implicit_statement_token4] = ACTIONS(8361),
    [aux_sym_save_statement_token1] = ACTIONS(8361),
    [aux_sym_private_statement_token1] = ACTIONS(8361),
    [aux_sym_public_statement_token1] = ACTIONS(8361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8361),
    [aux_sym_variable_attributes_token2] = ACTIONS(8361),
    [aux_sym_variable_attributes_token3] = ACTIONS(8361),
    [aux_sym_variable_attributes_token5] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8365),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8363),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8361),
    [aux_sym_type_qualifier_token1] = ACTIONS(8361),
    [aux_sym_type_qualifier_token2] = ACTIONS(8361),
    [aux_sym_stop_statement_token1] = ACTIONS(8361),
    [aux_sym_stop_statement_token2] = ACTIONS(8361),
    [aux_sym_subroutine_call_token1] = ACTIONS(8363),
    [aux_sym_keyword_statement_token2] = ACTIONS(8361),
    [aux_sym_keyword_statement_token3] = ACTIONS(8361),
    [aux_sym_keyword_statement_token4] = ACTIONS(8367),
    [aux_sym_include_statement_token1] = ACTIONS(8363),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8361),
    [aux_sym_end_if_statement_token1] = ACTIONS(8361),
    [aux_sym_elseif_clause_token2] = ACTIONS(8361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8363),
    [aux_sym_select_case_statement_token1] = ACTIONS(8369),
    [aux_sym_format_statement_token1] = ACTIONS(8361),
    [aux_sym_print_statement_token1] = ACTIONS(8363),
    [aux_sym_open_statement_token1] = ACTIONS(8363),
    [aux_sym_inquire_statement_token1] = ACTIONS(8361),
    [aux_sym_entry_statement_token1] = ACTIONS(8361),
    [aux_sym_null_literal_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_statement_token2] = ACTIONS(8361),
    [aux_sym_coarray_statement_token6] = ACTIONS(8361),
    [aux_sym_coarray_statement_token8] = ACTIONS(8361),
    [aux_sym_coarray_statement_token11] = ACTIONS(8361),
    [aux_sym_coarray_statement_token12] = ACTIONS(8361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8361),
    [aux_sym_identifier_token1] = ACTIONS(8361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8371),
    [sym__float_literal] = ACTIONS(8371),
    [sym__boz_literal] = ACTIONS(8371),
    [sym__string_literal] = ACTIONS(8373),
    [sym__string_literal_kind] = ACTIONS(8375),
    [sym__preproc_unary_operator] = ACTIONS(8377),
  },
  [3855] = {
    [anon_sym_COMMA] = ACTIONS(8550),
    [anon_sym_LPAREN2] = ACTIONS(8552),
    [anon_sym_PLUS] = ACTIONS(8550),
    [anon_sym_DASH] = ACTIONS(8550),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8552),
    [anon_sym_SEMI] = ACTIONS(8550),
    [aux_sym_block_data_statement_token1] = ACTIONS(8552),
    [aux_sym_block_data_statement_token2] = ACTIONS(8552),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8552),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8552),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8552),
    [aux_sym_use_statement_token2] = ACTIONS(8552),
    [aux_sym_implicit_statement_token3] = ACTIONS(8552),
    [aux_sym_implicit_statement_token4] = ACTIONS(8552),
    [aux_sym_save_statement_token1] = ACTIONS(8552),
    [aux_sym_private_statement_token1] = ACTIONS(8552),
    [aux_sym_public_statement_token1] = ACTIONS(8552),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8552),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8552),
    [aux_sym_variable_attributes_token2] = ACTIONS(8552),
    [aux_sym_variable_attributes_token3] = ACTIONS(8552),
    [aux_sym_variable_attributes_token5] = ACTIONS(8552),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8552),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8552),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8552),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8552),
    [aux_sym_type_qualifier_token1] = ACTIONS(8552),
    [aux_sym_type_qualifier_token2] = ACTIONS(8552),
    [aux_sym_stop_statement_token1] = ACTIONS(8552),
    [aux_sym_stop_statement_token2] = ACTIONS(8552),
    [aux_sym_subroutine_call_token1] = ACTIONS(8552),
    [aux_sym_keyword_statement_token2] = ACTIONS(8552),
    [aux_sym_keyword_statement_token3] = ACTIONS(8552),
    [aux_sym_keyword_statement_token4] = ACTIONS(8552),
    [aux_sym_include_statement_token1] = ACTIONS(8552),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8552),
    [aux_sym_end_if_statement_token1] = ACTIONS(8552),
    [aux_sym_elseif_clause_token2] = ACTIONS(8552),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8552),
    [aux_sym_select_case_statement_token1] = ACTIONS(8552),
    [aux_sym_format_statement_token1] = ACTIONS(8552),
    [aux_sym_print_statement_token1] = ACTIONS(8552),
    [aux_sym_open_statement_token1] = ACTIONS(8552),
    [aux_sym_inquire_statement_token1] = ACTIONS(8552),
    [aux_sym_entry_statement_token1] = ACTIONS(8552),
    [aux_sym_logical_expression_token5] = ACTIONS(8550),
    [anon_sym_DOT] = ACTIONS(8552),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8550),
    [anon_sym_LBRACK] = ACTIONS(8550),
    [aux_sym_boolean_literal_token1] = ACTIONS(8550),
    [aux_sym_boolean_literal_token2] = ACTIONS(8550),
    [aux_sym_null_literal_token1] = ACTIONS(8552),
    [aux_sym_coarray_statement_token1] = ACTIONS(8552),
    [aux_sym_coarray_statement_token2] = ACTIONS(8552),
    [aux_sym_coarray_statement_token6] = ACTIONS(8552),
    [aux_sym_coarray_statement_token8] = ACTIONS(8552),
    [aux_sym_coarray_statement_token11] = ACTIONS(8552),
    [aux_sym_coarray_statement_token12] = ACTIONS(8552),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8552),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8552),
    [aux_sym_identifier_token1] = ACTIONS(8552),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8550),
    [sym__float_literal] = ACTIONS(8550),
    [sym__boz_literal] = ACTIONS(8550),
    [sym__string_literal] = ACTIONS(8550),
    [sym__string_literal_kind] = ACTIONS(8550),
    [sym__external_end_of_statement] = ACTIONS(8550),
  },
  [3856] = {
    [sym__preproc_expression] = STATE(6118),
    [sym_preproc_parenthesized_expression] = STATE(6118),
    [sym_preproc_defined] = STATE(6118),
    [sym_preproc_unary_expression] = STATE(6118),
    [sym_preproc_call_expression] = STATE(6118),
    [sym_preproc_binary_expression] = STATE(6118),
    [sym_number_literal] = STATE(6118),
    [sym_string_literal] = STATE(6118),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3857] = {
    [sym__preproc_expression] = STATE(6119),
    [sym_preproc_parenthesized_expression] = STATE(6119),
    [sym_preproc_defined] = STATE(6119),
    [sym_preproc_unary_expression] = STATE(6119),
    [sym_preproc_call_expression] = STATE(6119),
    [sym_preproc_binary_expression] = STATE(6119),
    [sym_number_literal] = STATE(6119),
    [sym_string_literal] = STATE(6119),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3858] = {
    [sym__preproc_expression] = STATE(6143),
    [sym_preproc_parenthesized_expression] = STATE(6143),
    [sym_preproc_defined] = STATE(6143),
    [sym_preproc_unary_expression] = STATE(6143),
    [sym_preproc_call_expression] = STATE(6143),
    [sym_preproc_binary_expression] = STATE(6143),
    [sym_number_literal] = STATE(6143),
    [sym_string_literal] = STATE(6143),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3859] = {
    [sym__preproc_expression] = STATE(6120),
    [sym_preproc_parenthesized_expression] = STATE(6120),
    [sym_preproc_defined] = STATE(6120),
    [sym_preproc_unary_expression] = STATE(6120),
    [sym_preproc_call_expression] = STATE(6120),
    [sym_preproc_binary_expression] = STATE(6120),
    [sym_number_literal] = STATE(6120),
    [sym_string_literal] = STATE(6120),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3860] = {
    [sym__preproc_expression] = STATE(6122),
    [sym_preproc_parenthesized_expression] = STATE(6122),
    [sym_preproc_defined] = STATE(6122),
    [sym_preproc_unary_expression] = STATE(6122),
    [sym_preproc_call_expression] = STATE(6122),
    [sym_preproc_binary_expression] = STATE(6122),
    [sym_number_literal] = STATE(6122),
    [sym_string_literal] = STATE(6122),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3861] = {
    [sym__preproc_expression] = STATE(6261),
    [sym_preproc_parenthesized_expression] = STATE(6261),
    [sym_preproc_defined] = STATE(6261),
    [sym_preproc_unary_expression] = STATE(6261),
    [sym_preproc_call_expression] = STATE(6261),
    [sym_preproc_binary_expression] = STATE(6261),
    [sym_number_literal] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3862] = {
    [anon_sym_COMMA] = ACTIONS(8554),
    [anon_sym_LPAREN2] = ACTIONS(8556),
    [anon_sym_PLUS] = ACTIONS(8554),
    [anon_sym_DASH] = ACTIONS(8554),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8556),
    [anon_sym_SEMI] = ACTIONS(8554),
    [aux_sym_block_data_statement_token1] = ACTIONS(8556),
    [aux_sym_block_data_statement_token2] = ACTIONS(8556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8556),
    [aux_sym_use_statement_token2] = ACTIONS(8556),
    [aux_sym_implicit_statement_token3] = ACTIONS(8556),
    [aux_sym_implicit_statement_token4] = ACTIONS(8556),
    [aux_sym_save_statement_token1] = ACTIONS(8556),
    [aux_sym_private_statement_token1] = ACTIONS(8556),
    [aux_sym_public_statement_token1] = ACTIONS(8556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8556),
    [aux_sym_variable_attributes_token2] = ACTIONS(8556),
    [aux_sym_variable_attributes_token3] = ACTIONS(8556),
    [aux_sym_variable_attributes_token5] = ACTIONS(8556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8556),
    [aux_sym_type_qualifier_token1] = ACTIONS(8556),
    [aux_sym_type_qualifier_token2] = ACTIONS(8556),
    [aux_sym_stop_statement_token1] = ACTIONS(8556),
    [aux_sym_stop_statement_token2] = ACTIONS(8556),
    [aux_sym_subroutine_call_token1] = ACTIONS(8556),
    [aux_sym_keyword_statement_token2] = ACTIONS(8556),
    [aux_sym_keyword_statement_token3] = ACTIONS(8556),
    [aux_sym_keyword_statement_token4] = ACTIONS(8556),
    [aux_sym_include_statement_token1] = ACTIONS(8556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8556),
    [aux_sym_end_if_statement_token1] = ACTIONS(8556),
    [aux_sym_elseif_clause_token2] = ACTIONS(8556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8556),
    [aux_sym_select_case_statement_token1] = ACTIONS(8556),
    [aux_sym_format_statement_token1] = ACTIONS(8556),
    [aux_sym_print_statement_token1] = ACTIONS(8556),
    [aux_sym_open_statement_token1] = ACTIONS(8556),
    [aux_sym_inquire_statement_token1] = ACTIONS(8556),
    [aux_sym_entry_statement_token1] = ACTIONS(8556),
    [aux_sym_logical_expression_token5] = ACTIONS(8554),
    [anon_sym_DOT] = ACTIONS(8556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8554),
    [anon_sym_LBRACK] = ACTIONS(8554),
    [aux_sym_boolean_literal_token1] = ACTIONS(8554),
    [aux_sym_boolean_literal_token2] = ACTIONS(8554),
    [aux_sym_null_literal_token1] = ACTIONS(8556),
    [aux_sym_coarray_statement_token1] = ACTIONS(8556),
    [aux_sym_coarray_statement_token2] = ACTIONS(8556),
    [aux_sym_coarray_statement_token6] = ACTIONS(8556),
    [aux_sym_coarray_statement_token8] = ACTIONS(8556),
    [aux_sym_coarray_statement_token11] = ACTIONS(8556),
    [aux_sym_coarray_statement_token12] = ACTIONS(8556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8556),
    [aux_sym_identifier_token1] = ACTIONS(8556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8554),
    [sym__float_literal] = ACTIONS(8554),
    [sym__boz_literal] = ACTIONS(8554),
    [sym__string_literal] = ACTIONS(8554),
    [sym__string_literal_kind] = ACTIONS(8554),
    [sym__external_end_of_statement] = ACTIONS(8554),
  },
  [3863] = {
    [anon_sym_COMMA] = ACTIONS(8554),
    [anon_sym_LPAREN2] = ACTIONS(8556),
    [anon_sym_PLUS] = ACTIONS(8554),
    [anon_sym_DASH] = ACTIONS(8554),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8556),
    [anon_sym_SEMI] = ACTIONS(8554),
    [aux_sym_block_data_statement_token1] = ACTIONS(8556),
    [aux_sym_block_data_statement_token2] = ACTIONS(8556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8556),
    [aux_sym_use_statement_token2] = ACTIONS(8556),
    [aux_sym_implicit_statement_token3] = ACTIONS(8556),
    [aux_sym_implicit_statement_token4] = ACTIONS(8556),
    [aux_sym_save_statement_token1] = ACTIONS(8556),
    [aux_sym_private_statement_token1] = ACTIONS(8556),
    [aux_sym_public_statement_token1] = ACTIONS(8556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8556),
    [aux_sym_variable_attributes_token2] = ACTIONS(8556),
    [aux_sym_variable_attributes_token3] = ACTIONS(8556),
    [aux_sym_variable_attributes_token5] = ACTIONS(8556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8556),
    [aux_sym_type_qualifier_token1] = ACTIONS(8556),
    [aux_sym_type_qualifier_token2] = ACTIONS(8556),
    [aux_sym_stop_statement_token1] = ACTIONS(8556),
    [aux_sym_stop_statement_token2] = ACTIONS(8556),
    [aux_sym_subroutine_call_token1] = ACTIONS(8556),
    [aux_sym_keyword_statement_token2] = ACTIONS(8556),
    [aux_sym_keyword_statement_token3] = ACTIONS(8556),
    [aux_sym_keyword_statement_token4] = ACTIONS(8556),
    [aux_sym_include_statement_token1] = ACTIONS(8556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8556),
    [aux_sym_end_if_statement_token1] = ACTIONS(8556),
    [aux_sym_elseif_clause_token2] = ACTIONS(8556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8556),
    [aux_sym_select_case_statement_token1] = ACTIONS(8556),
    [aux_sym_format_statement_token1] = ACTIONS(8556),
    [aux_sym_print_statement_token1] = ACTIONS(8556),
    [aux_sym_open_statement_token1] = ACTIONS(8556),
    [aux_sym_inquire_statement_token1] = ACTIONS(8556),
    [aux_sym_entry_statement_token1] = ACTIONS(8556),
    [aux_sym_logical_expression_token5] = ACTIONS(8554),
    [anon_sym_DOT] = ACTIONS(8556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8554),
    [anon_sym_LBRACK] = ACTIONS(8554),
    [aux_sym_boolean_literal_token1] = ACTIONS(8554),
    [aux_sym_boolean_literal_token2] = ACTIONS(8554),
    [aux_sym_null_literal_token1] = ACTIONS(8556),
    [aux_sym_coarray_statement_token1] = ACTIONS(8556),
    [aux_sym_coarray_statement_token2] = ACTIONS(8556),
    [aux_sym_coarray_statement_token6] = ACTIONS(8556),
    [aux_sym_coarray_statement_token8] = ACTIONS(8556),
    [aux_sym_coarray_statement_token11] = ACTIONS(8556),
    [aux_sym_coarray_statement_token12] = ACTIONS(8556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8556),
    [aux_sym_identifier_token1] = ACTIONS(8556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8554),
    [sym__float_literal] = ACTIONS(8554),
    [sym__boz_literal] = ACTIONS(8554),
    [sym__string_literal] = ACTIONS(8554),
    [sym__string_literal_kind] = ACTIONS(8554),
    [sym__external_end_of_statement] = ACTIONS(8554),
  },
  [3864] = {
    [anon_sym_COMMA] = ACTIONS(8558),
    [anon_sym_LPAREN2] = ACTIONS(8560),
    [anon_sym_PLUS] = ACTIONS(8558),
    [anon_sym_DASH] = ACTIONS(8558),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8560),
    [anon_sym_SEMI] = ACTIONS(8558),
    [aux_sym_block_data_statement_token1] = ACTIONS(8560),
    [aux_sym_block_data_statement_token2] = ACTIONS(8560),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8560),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8560),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8560),
    [aux_sym_use_statement_token2] = ACTIONS(8560),
    [aux_sym_implicit_statement_token3] = ACTIONS(8560),
    [aux_sym_implicit_statement_token4] = ACTIONS(8560),
    [aux_sym_save_statement_token1] = ACTIONS(8560),
    [aux_sym_private_statement_token1] = ACTIONS(8560),
    [aux_sym_public_statement_token1] = ACTIONS(8560),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8560),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8560),
    [aux_sym_variable_attributes_token2] = ACTIONS(8560),
    [aux_sym_variable_attributes_token3] = ACTIONS(8560),
    [aux_sym_variable_attributes_token5] = ACTIONS(8560),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8560),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8560),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8560),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8560),
    [aux_sym_type_qualifier_token1] = ACTIONS(8560),
    [aux_sym_type_qualifier_token2] = ACTIONS(8560),
    [aux_sym_stop_statement_token1] = ACTIONS(8560),
    [aux_sym_stop_statement_token2] = ACTIONS(8560),
    [aux_sym_subroutine_call_token1] = ACTIONS(8560),
    [aux_sym_keyword_statement_token2] = ACTIONS(8560),
    [aux_sym_keyword_statement_token3] = ACTIONS(8560),
    [aux_sym_keyword_statement_token4] = ACTIONS(8560),
    [aux_sym_include_statement_token1] = ACTIONS(8560),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8560),
    [aux_sym_end_if_statement_token1] = ACTIONS(8560),
    [aux_sym_elseif_clause_token2] = ACTIONS(8560),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8560),
    [aux_sym_select_case_statement_token1] = ACTIONS(8560),
    [aux_sym_format_statement_token1] = ACTIONS(8560),
    [aux_sym_print_statement_token1] = ACTIONS(8560),
    [aux_sym_open_statement_token1] = ACTIONS(8560),
    [aux_sym_inquire_statement_token1] = ACTIONS(8560),
    [aux_sym_entry_statement_token1] = ACTIONS(8560),
    [aux_sym_logical_expression_token5] = ACTIONS(8558),
    [anon_sym_DOT] = ACTIONS(8560),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8558),
    [anon_sym_LBRACK] = ACTIONS(8558),
    [aux_sym_boolean_literal_token1] = ACTIONS(8558),
    [aux_sym_boolean_literal_token2] = ACTIONS(8558),
    [aux_sym_null_literal_token1] = ACTIONS(8560),
    [aux_sym_coarray_statement_token1] = ACTIONS(8560),
    [aux_sym_coarray_statement_token2] = ACTIONS(8560),
    [aux_sym_coarray_statement_token6] = ACTIONS(8560),
    [aux_sym_coarray_statement_token8] = ACTIONS(8560),
    [aux_sym_coarray_statement_token11] = ACTIONS(8560),
    [aux_sym_coarray_statement_token12] = ACTIONS(8560),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8560),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8560),
    [aux_sym_identifier_token1] = ACTIONS(8560),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8558),
    [sym__float_literal] = ACTIONS(8558),
    [sym__boz_literal] = ACTIONS(8558),
    [sym__string_literal] = ACTIONS(8558),
    [sym__string_literal_kind] = ACTIONS(8558),
    [sym__external_end_of_statement] = ACTIONS(8558),
  },
  [3865] = {
    [sym__preproc_expression] = STATE(6126),
    [sym_preproc_parenthesized_expression] = STATE(6126),
    [sym_preproc_defined] = STATE(6126),
    [sym_preproc_unary_expression] = STATE(6126),
    [sym_preproc_call_expression] = STATE(6126),
    [sym_preproc_binary_expression] = STATE(6126),
    [sym_number_literal] = STATE(6126),
    [sym_string_literal] = STATE(6126),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3866] = {
    [sym__preproc_expression] = STATE(6208),
    [sym_preproc_parenthesized_expression] = STATE(6208),
    [sym_preproc_defined] = STATE(6208),
    [sym_preproc_unary_expression] = STATE(6208),
    [sym_preproc_call_expression] = STATE(6208),
    [sym_preproc_binary_expression] = STATE(6208),
    [sym_number_literal] = STATE(6208),
    [sym_string_literal] = STATE(6208),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3867] = {
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_LPAREN2] = ACTIONS(8562),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8562),
    [anon_sym_SEMI] = ACTIONS(7285),
    [aux_sym_block_data_statement_token1] = ACTIONS(8562),
    [aux_sym_block_data_statement_token2] = ACTIONS(8562),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8562),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8562),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8562),
    [aux_sym_use_statement_token2] = ACTIONS(8562),
    [aux_sym_implicit_statement_token3] = ACTIONS(8562),
    [aux_sym_implicit_statement_token4] = ACTIONS(8562),
    [aux_sym_save_statement_token1] = ACTIONS(8562),
    [aux_sym_private_statement_token1] = ACTIONS(8562),
    [aux_sym_public_statement_token1] = ACTIONS(8562),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8562),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8562),
    [aux_sym_variable_attributes_token2] = ACTIONS(8562),
    [aux_sym_variable_attributes_token3] = ACTIONS(8562),
    [aux_sym_variable_attributes_token5] = ACTIONS(8562),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8562),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8562),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8562),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8562),
    [aux_sym_type_qualifier_token1] = ACTIONS(8562),
    [aux_sym_type_qualifier_token2] = ACTIONS(8562),
    [aux_sym_stop_statement_token1] = ACTIONS(8562),
    [aux_sym_stop_statement_token2] = ACTIONS(8562),
    [aux_sym_subroutine_call_token1] = ACTIONS(8562),
    [aux_sym_keyword_statement_token2] = ACTIONS(8562),
    [aux_sym_keyword_statement_token3] = ACTIONS(8562),
    [aux_sym_keyword_statement_token4] = ACTIONS(8562),
    [aux_sym_include_statement_token1] = ACTIONS(8562),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8562),
    [aux_sym_end_if_statement_token1] = ACTIONS(8562),
    [aux_sym_elseif_clause_token2] = ACTIONS(8562),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8562),
    [aux_sym_select_case_statement_token1] = ACTIONS(8562),
    [aux_sym_format_statement_token1] = ACTIONS(8562),
    [aux_sym_print_statement_token1] = ACTIONS(8562),
    [aux_sym_open_statement_token1] = ACTIONS(8562),
    [aux_sym_inquire_statement_token1] = ACTIONS(8562),
    [aux_sym_entry_statement_token1] = ACTIONS(8562),
    [aux_sym_logical_expression_token5] = ACTIONS(7285),
    [anon_sym_DOT] = ACTIONS(8562),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7285),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [aux_sym_boolean_literal_token1] = ACTIONS(7285),
    [aux_sym_boolean_literal_token2] = ACTIONS(7285),
    [aux_sym_null_literal_token1] = ACTIONS(8562),
    [aux_sym_coarray_statement_token1] = ACTIONS(8562),
    [aux_sym_coarray_statement_token2] = ACTIONS(8562),
    [aux_sym_coarray_statement_token6] = ACTIONS(8562),
    [aux_sym_coarray_statement_token8] = ACTIONS(8562),
    [aux_sym_coarray_statement_token11] = ACTIONS(8562),
    [aux_sym_coarray_statement_token12] = ACTIONS(8562),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8562),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8562),
    [aux_sym_identifier_token1] = ACTIONS(8562),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7285),
    [sym__float_literal] = ACTIONS(7285),
    [sym__boz_literal] = ACTIONS(7285),
    [sym__string_literal] = ACTIONS(7285),
    [sym__string_literal_kind] = ACTIONS(7285),
    [sym__external_end_of_statement] = ACTIONS(7285),
  },
  [3868] = {
    [anon_sym_COMMA] = ACTIONS(8564),
    [anon_sym_LPAREN2] = ACTIONS(8566),
    [anon_sym_PLUS] = ACTIONS(8564),
    [anon_sym_DASH] = ACTIONS(8564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8566),
    [anon_sym_SEMI] = ACTIONS(8564),
    [aux_sym_block_data_statement_token1] = ACTIONS(8566),
    [aux_sym_block_data_statement_token2] = ACTIONS(8566),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8566),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8566),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8566),
    [aux_sym_use_statement_token2] = ACTIONS(8566),
    [aux_sym_implicit_statement_token3] = ACTIONS(8566),
    [aux_sym_implicit_statement_token4] = ACTIONS(8566),
    [aux_sym_save_statement_token1] = ACTIONS(8566),
    [aux_sym_private_statement_token1] = ACTIONS(8566),
    [aux_sym_public_statement_token1] = ACTIONS(8566),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8566),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8566),
    [aux_sym_variable_attributes_token2] = ACTIONS(8566),
    [aux_sym_variable_attributes_token3] = ACTIONS(8566),
    [aux_sym_variable_attributes_token5] = ACTIONS(8566),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8566),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8566),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8566),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8566),
    [aux_sym_type_qualifier_token1] = ACTIONS(8566),
    [aux_sym_type_qualifier_token2] = ACTIONS(8566),
    [aux_sym_stop_statement_token1] = ACTIONS(8566),
    [aux_sym_stop_statement_token2] = ACTIONS(8566),
    [aux_sym_subroutine_call_token1] = ACTIONS(8566),
    [aux_sym_keyword_statement_token2] = ACTIONS(8566),
    [aux_sym_keyword_statement_token3] = ACTIONS(8566),
    [aux_sym_keyword_statement_token4] = ACTIONS(8566),
    [aux_sym_include_statement_token1] = ACTIONS(8566),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8566),
    [aux_sym_end_if_statement_token1] = ACTIONS(8566),
    [aux_sym_elseif_clause_token2] = ACTIONS(8566),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8566),
    [aux_sym_select_case_statement_token1] = ACTIONS(8566),
    [aux_sym_format_statement_token1] = ACTIONS(8566),
    [aux_sym_print_statement_token1] = ACTIONS(8566),
    [aux_sym_open_statement_token1] = ACTIONS(8566),
    [aux_sym_inquire_statement_token1] = ACTIONS(8566),
    [aux_sym_entry_statement_token1] = ACTIONS(8566),
    [aux_sym_logical_expression_token5] = ACTIONS(8564),
    [anon_sym_DOT] = ACTIONS(8566),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8564),
    [anon_sym_LBRACK] = ACTIONS(8564),
    [aux_sym_boolean_literal_token1] = ACTIONS(8564),
    [aux_sym_boolean_literal_token2] = ACTIONS(8564),
    [aux_sym_null_literal_token1] = ACTIONS(8566),
    [aux_sym_coarray_statement_token1] = ACTIONS(8566),
    [aux_sym_coarray_statement_token2] = ACTIONS(8566),
    [aux_sym_coarray_statement_token6] = ACTIONS(8566),
    [aux_sym_coarray_statement_token8] = ACTIONS(8566),
    [aux_sym_coarray_statement_token11] = ACTIONS(8566),
    [aux_sym_coarray_statement_token12] = ACTIONS(8566),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8566),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8566),
    [aux_sym_identifier_token1] = ACTIONS(8566),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8564),
    [sym__float_literal] = ACTIONS(8564),
    [sym__boz_literal] = ACTIONS(8564),
    [sym__string_literal] = ACTIONS(8564),
    [sym__string_literal_kind] = ACTIONS(8564),
    [sym__external_end_of_statement] = ACTIONS(8564),
  },
  [3869] = {
    [anon_sym_COMMA] = ACTIONS(8568),
    [anon_sym_LPAREN2] = ACTIONS(8570),
    [anon_sym_PLUS] = ACTIONS(8568),
    [anon_sym_DASH] = ACTIONS(8568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8570),
    [anon_sym_SEMI] = ACTIONS(8568),
    [aux_sym_block_data_statement_token1] = ACTIONS(8570),
    [aux_sym_block_data_statement_token2] = ACTIONS(8570),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8570),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8570),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8570),
    [aux_sym_use_statement_token2] = ACTIONS(8570),
    [aux_sym_implicit_statement_token3] = ACTIONS(8570),
    [aux_sym_implicit_statement_token4] = ACTIONS(8570),
    [aux_sym_save_statement_token1] = ACTIONS(8570),
    [aux_sym_private_statement_token1] = ACTIONS(8570),
    [aux_sym_public_statement_token1] = ACTIONS(8570),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8570),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8570),
    [aux_sym_variable_attributes_token2] = ACTIONS(8570),
    [aux_sym_variable_attributes_token3] = ACTIONS(8570),
    [aux_sym_variable_attributes_token5] = ACTIONS(8570),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8570),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8570),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8570),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8570),
    [aux_sym_type_qualifier_token1] = ACTIONS(8570),
    [aux_sym_type_qualifier_token2] = ACTIONS(8570),
    [aux_sym_stop_statement_token1] = ACTIONS(8570),
    [aux_sym_stop_statement_token2] = ACTIONS(8570),
    [aux_sym_subroutine_call_token1] = ACTIONS(8570),
    [aux_sym_keyword_statement_token2] = ACTIONS(8570),
    [aux_sym_keyword_statement_token3] = ACTIONS(8570),
    [aux_sym_keyword_statement_token4] = ACTIONS(8570),
    [aux_sym_include_statement_token1] = ACTIONS(8570),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8570),
    [aux_sym_end_if_statement_token1] = ACTIONS(8570),
    [aux_sym_elseif_clause_token2] = ACTIONS(8570),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8570),
    [aux_sym_select_case_statement_token1] = ACTIONS(8570),
    [aux_sym_format_statement_token1] = ACTIONS(8570),
    [aux_sym_print_statement_token1] = ACTIONS(8570),
    [aux_sym_open_statement_token1] = ACTIONS(8570),
    [aux_sym_inquire_statement_token1] = ACTIONS(8570),
    [aux_sym_entry_statement_token1] = ACTIONS(8570),
    [aux_sym_logical_expression_token5] = ACTIONS(8568),
    [anon_sym_DOT] = ACTIONS(8570),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8568),
    [anon_sym_LBRACK] = ACTIONS(8568),
    [aux_sym_boolean_literal_token1] = ACTIONS(8568),
    [aux_sym_boolean_literal_token2] = ACTIONS(8568),
    [aux_sym_null_literal_token1] = ACTIONS(8570),
    [aux_sym_coarray_statement_token1] = ACTIONS(8570),
    [aux_sym_coarray_statement_token2] = ACTIONS(8570),
    [aux_sym_coarray_statement_token6] = ACTIONS(8570),
    [aux_sym_coarray_statement_token8] = ACTIONS(8570),
    [aux_sym_coarray_statement_token11] = ACTIONS(8570),
    [aux_sym_coarray_statement_token12] = ACTIONS(8570),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8570),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8570),
    [aux_sym_identifier_token1] = ACTIONS(8570),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8568),
    [sym__float_literal] = ACTIONS(8568),
    [sym__boz_literal] = ACTIONS(8568),
    [sym__string_literal] = ACTIONS(8568),
    [sym__string_literal_kind] = ACTIONS(8568),
    [sym__external_end_of_statement] = ACTIONS(8568),
  },
  [3870] = {
    [sym__preproc_expression] = STATE(6190),
    [sym_preproc_parenthesized_expression] = STATE(6190),
    [sym_preproc_defined] = STATE(6190),
    [sym_preproc_unary_expression] = STATE(6190),
    [sym_preproc_call_expression] = STATE(6190),
    [sym_preproc_binary_expression] = STATE(6190),
    [sym_number_literal] = STATE(6190),
    [sym_string_literal] = STATE(6190),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3871] = {
    [sym__preproc_expression] = STATE(6129),
    [sym_preproc_parenthesized_expression] = STATE(6129),
    [sym_preproc_defined] = STATE(6129),
    [sym_preproc_unary_expression] = STATE(6129),
    [sym_preproc_call_expression] = STATE(6129),
    [sym_preproc_binary_expression] = STATE(6129),
    [sym_number_literal] = STATE(6129),
    [sym_string_literal] = STATE(6129),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3872] = {
    [sym__preproc_expression] = STATE(6130),
    [sym_preproc_parenthesized_expression] = STATE(6130),
    [sym_preproc_defined] = STATE(6130),
    [sym_preproc_unary_expression] = STATE(6130),
    [sym_preproc_call_expression] = STATE(6130),
    [sym_preproc_binary_expression] = STATE(6130),
    [sym_number_literal] = STATE(6130),
    [sym_string_literal] = STATE(6130),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3873] = {
    [sym__preproc_expression] = STATE(6131),
    [sym_preproc_parenthesized_expression] = STATE(6131),
    [sym_preproc_defined] = STATE(6131),
    [sym_preproc_unary_expression] = STATE(6131),
    [sym_preproc_call_expression] = STATE(6131),
    [sym_preproc_binary_expression] = STATE(6131),
    [sym_number_literal] = STATE(6131),
    [sym_string_literal] = STATE(6131),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3874] = {
    [sym__preproc_expression] = STATE(6132),
    [sym_preproc_parenthesized_expression] = STATE(6132),
    [sym_preproc_defined] = STATE(6132),
    [sym_preproc_unary_expression] = STATE(6132),
    [sym_preproc_call_expression] = STATE(6132),
    [sym_preproc_binary_expression] = STATE(6132),
    [sym_number_literal] = STATE(6132),
    [sym_string_literal] = STATE(6132),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3875] = {
    [sym__preproc_expression] = STATE(6133),
    [sym_preproc_parenthesized_expression] = STATE(6133),
    [sym_preproc_defined] = STATE(6133),
    [sym_preproc_unary_expression] = STATE(6133),
    [sym_preproc_call_expression] = STATE(6133),
    [sym_preproc_binary_expression] = STATE(6133),
    [sym_number_literal] = STATE(6133),
    [sym_string_literal] = STATE(6133),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3876] = {
    [sym__preproc_expression] = STATE(6135),
    [sym_preproc_parenthesized_expression] = STATE(6135),
    [sym_preproc_defined] = STATE(6135),
    [sym_preproc_unary_expression] = STATE(6135),
    [sym_preproc_call_expression] = STATE(6135),
    [sym_preproc_binary_expression] = STATE(6135),
    [sym_number_literal] = STATE(6135),
    [sym_string_literal] = STATE(6135),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3877] = {
    [sym__preproc_expression] = STATE(6136),
    [sym_preproc_parenthesized_expression] = STATE(6136),
    [sym_preproc_defined] = STATE(6136),
    [sym_preproc_unary_expression] = STATE(6136),
    [sym_preproc_call_expression] = STATE(6136),
    [sym_preproc_binary_expression] = STATE(6136),
    [sym_number_literal] = STATE(6136),
    [sym_string_literal] = STATE(6136),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3878] = {
    [sym__preproc_expression] = STATE(6137),
    [sym_preproc_parenthesized_expression] = STATE(6137),
    [sym_preproc_defined] = STATE(6137),
    [sym_preproc_unary_expression] = STATE(6137),
    [sym_preproc_call_expression] = STATE(6137),
    [sym_preproc_binary_expression] = STATE(6137),
    [sym_number_literal] = STATE(6137),
    [sym_string_literal] = STATE(6137),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3879] = {
    [sym__preproc_expression] = STATE(6260),
    [sym_preproc_parenthesized_expression] = STATE(6260),
    [sym_preproc_defined] = STATE(6260),
    [sym_preproc_unary_expression] = STATE(6260),
    [sym_preproc_call_expression] = STATE(6260),
    [sym_preproc_binary_expression] = STATE(6260),
    [sym_number_literal] = STATE(6260),
    [sym_string_literal] = STATE(6260),
    [sym_identifier] = STATE(6019),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_defined] = ACTIONS(8401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8403),
    [aux_sym_block_data_statement_token1] = ACTIONS(8405),
    [aux_sym_block_data_statement_token2] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8405),
    [aux_sym_use_statement_token2] = ACTIONS(8405),
    [aux_sym_implicit_statement_token3] = ACTIONS(8407),
    [aux_sym_implicit_statement_token4] = ACTIONS(8405),
    [aux_sym_save_statement_token1] = ACTIONS(8405),
    [aux_sym_private_statement_token1] = ACTIONS(8405),
    [aux_sym_public_statement_token1] = ACTIONS(8405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8405),
    [aux_sym_variable_attributes_token2] = ACTIONS(8405),
    [aux_sym_variable_attributes_token3] = ACTIONS(8405),
    [aux_sym_variable_attributes_token5] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8407),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8405),
    [aux_sym_type_qualifier_token1] = ACTIONS(8405),
    [aux_sym_type_qualifier_token2] = ACTIONS(8405),
    [aux_sym_stop_statement_token1] = ACTIONS(8405),
    [aux_sym_stop_statement_token2] = ACTIONS(8405),
    [aux_sym_subroutine_call_token1] = ACTIONS(8407),
    [aux_sym_keyword_statement_token2] = ACTIONS(8405),
    [aux_sym_keyword_statement_token3] = ACTIONS(8405),
    [aux_sym_keyword_statement_token4] = ACTIONS(8411),
    [aux_sym_include_statement_token1] = ACTIONS(8407),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8405),
    [aux_sym_end_if_statement_token1] = ACTIONS(8405),
    [aux_sym_elseif_clause_token2] = ACTIONS(8405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8407),
    [aux_sym_select_case_statement_token1] = ACTIONS(8413),
    [aux_sym_format_statement_token1] = ACTIONS(8405),
    [aux_sym_print_statement_token1] = ACTIONS(8407),
    [aux_sym_open_statement_token1] = ACTIONS(8407),
    [aux_sym_inquire_statement_token1] = ACTIONS(8405),
    [aux_sym_entry_statement_token1] = ACTIONS(8405),
    [aux_sym_null_literal_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_statement_token2] = ACTIONS(8405),
    [aux_sym_coarray_statement_token6] = ACTIONS(8405),
    [aux_sym_coarray_statement_token8] = ACTIONS(8405),
    [aux_sym_coarray_statement_token11] = ACTIONS(8405),
    [aux_sym_coarray_statement_token12] = ACTIONS(8405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8405),
    [aux_sym_identifier_token1] = ACTIONS(8405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8415),
    [sym__float_literal] = ACTIONS(8415),
    [sym__boz_literal] = ACTIONS(8415),
    [sym__string_literal] = ACTIONS(8417),
    [sym__string_literal_kind] = ACTIONS(8419),
    [sym__preproc_unary_operator] = ACTIONS(8421),
  },
  [3880] = {
    [sym__preproc_expression] = STATE(6138),
    [sym_preproc_parenthesized_expression] = STATE(6138),
    [sym_preproc_defined] = STATE(6138),
    [sym_preproc_unary_expression] = STATE(6138),
    [sym_preproc_call_expression] = STATE(6138),
    [sym_preproc_binary_expression] = STATE(6138),
    [sym_number_literal] = STATE(6138),
    [sym_string_literal] = STATE(6138),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3881] = {
    [sym__preproc_expression] = STATE(6140),
    [sym_preproc_parenthesized_expression] = STATE(6140),
    [sym_preproc_defined] = STATE(6140),
    [sym_preproc_unary_expression] = STATE(6140),
    [sym_preproc_call_expression] = STATE(6140),
    [sym_preproc_binary_expression] = STATE(6140),
    [sym_number_literal] = STATE(6140),
    [sym_string_literal] = STATE(6140),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3882] = {
    [sym__preproc_expression] = STATE(6141),
    [sym_preproc_parenthesized_expression] = STATE(6141),
    [sym_preproc_defined] = STATE(6141),
    [sym_preproc_unary_expression] = STATE(6141),
    [sym_preproc_call_expression] = STATE(6141),
    [sym_preproc_binary_expression] = STATE(6141),
    [sym_number_literal] = STATE(6141),
    [sym_string_literal] = STATE(6141),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3883] = {
    [sym__preproc_expression] = STATE(6142),
    [sym_preproc_parenthesized_expression] = STATE(6142),
    [sym_preproc_defined] = STATE(6142),
    [sym_preproc_unary_expression] = STATE(6142),
    [sym_preproc_call_expression] = STATE(6142),
    [sym_preproc_binary_expression] = STATE(6142),
    [sym_number_literal] = STATE(6142),
    [sym_string_literal] = STATE(6142),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3884] = {
    [sym__preproc_expression] = STATE(6144),
    [sym_preproc_parenthesized_expression] = STATE(6144),
    [sym_preproc_defined] = STATE(6144),
    [sym_preproc_unary_expression] = STATE(6144),
    [sym_preproc_call_expression] = STATE(6144),
    [sym_preproc_binary_expression] = STATE(6144),
    [sym_number_literal] = STATE(6144),
    [sym_string_literal] = STATE(6144),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3885] = {
    [sym__preproc_expression] = STATE(6145),
    [sym_preproc_parenthesized_expression] = STATE(6145),
    [sym_preproc_defined] = STATE(6145),
    [sym_preproc_unary_expression] = STATE(6145),
    [sym_preproc_call_expression] = STATE(6145),
    [sym_preproc_binary_expression] = STATE(6145),
    [sym_number_literal] = STATE(6145),
    [sym_string_literal] = STATE(6145),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3886] = {
    [sym__preproc_expression] = STATE(6146),
    [sym_preproc_parenthesized_expression] = STATE(6146),
    [sym_preproc_defined] = STATE(6146),
    [sym_preproc_unary_expression] = STATE(6146),
    [sym_preproc_call_expression] = STATE(6146),
    [sym_preproc_binary_expression] = STATE(6146),
    [sym_number_literal] = STATE(6146),
    [sym_string_literal] = STATE(6146),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3887] = {
    [sym__preproc_expression] = STATE(6147),
    [sym_preproc_parenthesized_expression] = STATE(6147),
    [sym_preproc_defined] = STATE(6147),
    [sym_preproc_unary_expression] = STATE(6147),
    [sym_preproc_call_expression] = STATE(6147),
    [sym_preproc_binary_expression] = STATE(6147),
    [sym_number_literal] = STATE(6147),
    [sym_string_literal] = STATE(6147),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3888] = {
    [sym__preproc_expression] = STATE(6202),
    [sym_preproc_parenthesized_expression] = STATE(6202),
    [sym_preproc_defined] = STATE(6202),
    [sym_preproc_unary_expression] = STATE(6202),
    [sym_preproc_call_expression] = STATE(6202),
    [sym_preproc_binary_expression] = STATE(6202),
    [sym_number_literal] = STATE(6202),
    [sym_string_literal] = STATE(6202),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3889] = {
    [sym__preproc_expression] = STATE(6149),
    [sym_preproc_parenthesized_expression] = STATE(6149),
    [sym_preproc_defined] = STATE(6149),
    [sym_preproc_unary_expression] = STATE(6149),
    [sym_preproc_call_expression] = STATE(6149),
    [sym_preproc_binary_expression] = STATE(6149),
    [sym_number_literal] = STATE(6149),
    [sym_string_literal] = STATE(6149),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3890] = {
    [sym__preproc_expression] = STATE(6150),
    [sym_preproc_parenthesized_expression] = STATE(6150),
    [sym_preproc_defined] = STATE(6150),
    [sym_preproc_unary_expression] = STATE(6150),
    [sym_preproc_call_expression] = STATE(6150),
    [sym_preproc_binary_expression] = STATE(6150),
    [sym_number_literal] = STATE(6150),
    [sym_string_literal] = STATE(6150),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3891] = {
    [sym__preproc_expression] = STATE(6151),
    [sym_preproc_parenthesized_expression] = STATE(6151),
    [sym_preproc_defined] = STATE(6151),
    [sym_preproc_unary_expression] = STATE(6151),
    [sym_preproc_call_expression] = STATE(6151),
    [sym_preproc_binary_expression] = STATE(6151),
    [sym_number_literal] = STATE(6151),
    [sym_string_literal] = STATE(6151),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3892] = {
    [sym__preproc_expression] = STATE(6152),
    [sym_preproc_parenthesized_expression] = STATE(6152),
    [sym_preproc_defined] = STATE(6152),
    [sym_preproc_unary_expression] = STATE(6152),
    [sym_preproc_call_expression] = STATE(6152),
    [sym_preproc_binary_expression] = STATE(6152),
    [sym_number_literal] = STATE(6152),
    [sym_string_literal] = STATE(6152),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3893] = {
    [sym__preproc_expression] = STATE(6153),
    [sym_preproc_parenthesized_expression] = STATE(6153),
    [sym_preproc_defined] = STATE(6153),
    [sym_preproc_unary_expression] = STATE(6153),
    [sym_preproc_call_expression] = STATE(6153),
    [sym_preproc_binary_expression] = STATE(6153),
    [sym_number_literal] = STATE(6153),
    [sym_string_literal] = STATE(6153),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3894] = {
    [sym__preproc_expression] = STATE(6155),
    [sym_preproc_parenthesized_expression] = STATE(6155),
    [sym_preproc_defined] = STATE(6155),
    [sym_preproc_unary_expression] = STATE(6155),
    [sym_preproc_call_expression] = STATE(6155),
    [sym_preproc_binary_expression] = STATE(6155),
    [sym_number_literal] = STATE(6155),
    [sym_string_literal] = STATE(6155),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3895] = {
    [sym__preproc_expression] = STATE(6156),
    [sym_preproc_parenthesized_expression] = STATE(6156),
    [sym_preproc_defined] = STATE(6156),
    [sym_preproc_unary_expression] = STATE(6156),
    [sym_preproc_call_expression] = STATE(6156),
    [sym_preproc_binary_expression] = STATE(6156),
    [sym_number_literal] = STATE(6156),
    [sym_string_literal] = STATE(6156),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3896] = {
    [sym__preproc_expression] = STATE(6157),
    [sym_preproc_parenthesized_expression] = STATE(6157),
    [sym_preproc_defined] = STATE(6157),
    [sym_preproc_unary_expression] = STATE(6157),
    [sym_preproc_call_expression] = STATE(6157),
    [sym_preproc_binary_expression] = STATE(6157),
    [sym_number_literal] = STATE(6157),
    [sym_string_literal] = STATE(6157),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3897] = {
    [sym__preproc_expression] = STATE(6159),
    [sym_preproc_parenthesized_expression] = STATE(6159),
    [sym_preproc_defined] = STATE(6159),
    [sym_preproc_unary_expression] = STATE(6159),
    [sym_preproc_call_expression] = STATE(6159),
    [sym_preproc_binary_expression] = STATE(6159),
    [sym_number_literal] = STATE(6159),
    [sym_string_literal] = STATE(6159),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3898] = {
    [sym__preproc_expression] = STATE(6160),
    [sym_preproc_parenthesized_expression] = STATE(6160),
    [sym_preproc_defined] = STATE(6160),
    [sym_preproc_unary_expression] = STATE(6160),
    [sym_preproc_call_expression] = STATE(6160),
    [sym_preproc_binary_expression] = STATE(6160),
    [sym_number_literal] = STATE(6160),
    [sym_string_literal] = STATE(6160),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3899] = {
    [sym__preproc_expression] = STATE(6161),
    [sym_preproc_parenthesized_expression] = STATE(6161),
    [sym_preproc_defined] = STATE(6161),
    [sym_preproc_unary_expression] = STATE(6161),
    [sym_preproc_call_expression] = STATE(6161),
    [sym_preproc_binary_expression] = STATE(6161),
    [sym_number_literal] = STATE(6161),
    [sym_string_literal] = STATE(6161),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3900] = {
    [sym__preproc_expression] = STATE(6162),
    [sym_preproc_parenthesized_expression] = STATE(6162),
    [sym_preproc_defined] = STATE(6162),
    [sym_preproc_unary_expression] = STATE(6162),
    [sym_preproc_call_expression] = STATE(6162),
    [sym_preproc_binary_expression] = STATE(6162),
    [sym_number_literal] = STATE(6162),
    [sym_string_literal] = STATE(6162),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3901] = {
    [sym__preproc_expression] = STATE(6163),
    [sym_preproc_parenthesized_expression] = STATE(6163),
    [sym_preproc_defined] = STATE(6163),
    [sym_preproc_unary_expression] = STATE(6163),
    [sym_preproc_call_expression] = STATE(6163),
    [sym_preproc_binary_expression] = STATE(6163),
    [sym_number_literal] = STATE(6163),
    [sym_string_literal] = STATE(6163),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3902] = {
    [sym__preproc_expression] = STATE(6164),
    [sym_preproc_parenthesized_expression] = STATE(6164),
    [sym_preproc_defined] = STATE(6164),
    [sym_preproc_unary_expression] = STATE(6164),
    [sym_preproc_call_expression] = STATE(6164),
    [sym_preproc_binary_expression] = STATE(6164),
    [sym_number_literal] = STATE(6164),
    [sym_string_literal] = STATE(6164),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3903] = {
    [sym__preproc_expression] = STATE(6166),
    [sym_preproc_parenthesized_expression] = STATE(6166),
    [sym_preproc_defined] = STATE(6166),
    [sym_preproc_unary_expression] = STATE(6166),
    [sym_preproc_call_expression] = STATE(6166),
    [sym_preproc_binary_expression] = STATE(6166),
    [sym_number_literal] = STATE(6166),
    [sym_string_literal] = STATE(6166),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3904] = {
    [sym__preproc_expression] = STATE(6167),
    [sym_preproc_parenthesized_expression] = STATE(6167),
    [sym_preproc_defined] = STATE(6167),
    [sym_preproc_unary_expression] = STATE(6167),
    [sym_preproc_call_expression] = STATE(6167),
    [sym_preproc_binary_expression] = STATE(6167),
    [sym_number_literal] = STATE(6167),
    [sym_string_literal] = STATE(6167),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3905] = {
    [sym__preproc_expression] = STATE(6170),
    [sym_preproc_parenthesized_expression] = STATE(6170),
    [sym_preproc_defined] = STATE(6170),
    [sym_preproc_unary_expression] = STATE(6170),
    [sym_preproc_call_expression] = STATE(6170),
    [sym_preproc_binary_expression] = STATE(6170),
    [sym_number_literal] = STATE(6170),
    [sym_string_literal] = STATE(6170),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3906] = {
    [sym__preproc_expression] = STATE(6172),
    [sym_preproc_parenthesized_expression] = STATE(6172),
    [sym_preproc_defined] = STATE(6172),
    [sym_preproc_unary_expression] = STATE(6172),
    [sym_preproc_call_expression] = STATE(6172),
    [sym_preproc_binary_expression] = STATE(6172),
    [sym_number_literal] = STATE(6172),
    [sym_string_literal] = STATE(6172),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3907] = {
    [sym__preproc_expression] = STATE(6175),
    [sym_preproc_parenthesized_expression] = STATE(6175),
    [sym_preproc_defined] = STATE(6175),
    [sym_preproc_unary_expression] = STATE(6175),
    [sym_preproc_call_expression] = STATE(6175),
    [sym_preproc_binary_expression] = STATE(6175),
    [sym_number_literal] = STATE(6175),
    [sym_string_literal] = STATE(6175),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3908] = {
    [sym__preproc_expression] = STATE(6178),
    [sym_preproc_parenthesized_expression] = STATE(6178),
    [sym_preproc_defined] = STATE(6178),
    [sym_preproc_unary_expression] = STATE(6178),
    [sym_preproc_call_expression] = STATE(6178),
    [sym_preproc_binary_expression] = STATE(6178),
    [sym_number_literal] = STATE(6178),
    [sym_string_literal] = STATE(6178),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3909] = {
    [sym__preproc_expression] = STATE(6179),
    [sym_preproc_parenthesized_expression] = STATE(6179),
    [sym_preproc_defined] = STATE(6179),
    [sym_preproc_unary_expression] = STATE(6179),
    [sym_preproc_call_expression] = STATE(6179),
    [sym_preproc_binary_expression] = STATE(6179),
    [sym_number_literal] = STATE(6179),
    [sym_string_literal] = STATE(6179),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3910] = {
    [sym__preproc_expression] = STATE(6180),
    [sym_preproc_parenthesized_expression] = STATE(6180),
    [sym_preproc_defined] = STATE(6180),
    [sym_preproc_unary_expression] = STATE(6180),
    [sym_preproc_call_expression] = STATE(6180),
    [sym_preproc_binary_expression] = STATE(6180),
    [sym_number_literal] = STATE(6180),
    [sym_string_literal] = STATE(6180),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3911] = {
    [sym__preproc_expression] = STATE(6181),
    [sym_preproc_parenthesized_expression] = STATE(6181),
    [sym_preproc_defined] = STATE(6181),
    [sym_preproc_unary_expression] = STATE(6181),
    [sym_preproc_call_expression] = STATE(6181),
    [sym_preproc_binary_expression] = STATE(6181),
    [sym_number_literal] = STATE(6181),
    [sym_string_literal] = STATE(6181),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3912] = {
    [sym__preproc_expression] = STATE(6182),
    [sym_preproc_parenthesized_expression] = STATE(6182),
    [sym_preproc_defined] = STATE(6182),
    [sym_preproc_unary_expression] = STATE(6182),
    [sym_preproc_call_expression] = STATE(6182),
    [sym_preproc_binary_expression] = STATE(6182),
    [sym_number_literal] = STATE(6182),
    [sym_string_literal] = STATE(6182),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3913] = {
    [sym__preproc_expression] = STATE(6183),
    [sym_preproc_parenthesized_expression] = STATE(6183),
    [sym_preproc_defined] = STATE(6183),
    [sym_preproc_unary_expression] = STATE(6183),
    [sym_preproc_call_expression] = STATE(6183),
    [sym_preproc_binary_expression] = STATE(6183),
    [sym_number_literal] = STATE(6183),
    [sym_string_literal] = STATE(6183),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3914] = {
    [sym__preproc_expression] = STATE(6184),
    [sym_preproc_parenthesized_expression] = STATE(6184),
    [sym_preproc_defined] = STATE(6184),
    [sym_preproc_unary_expression] = STATE(6184),
    [sym_preproc_call_expression] = STATE(6184),
    [sym_preproc_binary_expression] = STATE(6184),
    [sym_number_literal] = STATE(6184),
    [sym_string_literal] = STATE(6184),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3915] = {
    [sym__preproc_expression] = STATE(6117),
    [sym_preproc_parenthesized_expression] = STATE(6117),
    [sym_preproc_defined] = STATE(6117),
    [sym_preproc_unary_expression] = STATE(6117),
    [sym_preproc_call_expression] = STATE(6117),
    [sym_preproc_binary_expression] = STATE(6117),
    [sym_number_literal] = STATE(6117),
    [sym_string_literal] = STATE(6117),
    [sym_identifier] = STATE(6028),
    [anon_sym_LPAREN2] = ACTIONS(8502),
    [anon_sym_defined] = ACTIONS(8504),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8506),
    [aux_sym_block_data_statement_token1] = ACTIONS(8508),
    [aux_sym_block_data_statement_token2] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8508),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8508),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8508),
    [aux_sym_use_statement_token2] = ACTIONS(8508),
    [aux_sym_implicit_statement_token3] = ACTIONS(8510),
    [aux_sym_implicit_statement_token4] = ACTIONS(8508),
    [aux_sym_save_statement_token1] = ACTIONS(8508),
    [aux_sym_private_statement_token1] = ACTIONS(8508),
    [aux_sym_public_statement_token1] = ACTIONS(8508),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8508),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8508),
    [aux_sym_variable_attributes_token2] = ACTIONS(8508),
    [aux_sym_variable_attributes_token3] = ACTIONS(8508),
    [aux_sym_variable_attributes_token5] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8508),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8510),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8508),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8508),
    [aux_sym_type_qualifier_token1] = ACTIONS(8508),
    [aux_sym_type_qualifier_token2] = ACTIONS(8508),
    [aux_sym_stop_statement_token1] = ACTIONS(8508),
    [aux_sym_stop_statement_token2] = ACTIONS(8508),
    [aux_sym_subroutine_call_token1] = ACTIONS(8510),
    [aux_sym_keyword_statement_token2] = ACTIONS(8508),
    [aux_sym_keyword_statement_token3] = ACTIONS(8508),
    [aux_sym_keyword_statement_token4] = ACTIONS(8514),
    [aux_sym_include_statement_token1] = ACTIONS(8510),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8508),
    [aux_sym_end_if_statement_token1] = ACTIONS(8508),
    [aux_sym_elseif_clause_token2] = ACTIONS(8508),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8510),
    [aux_sym_select_case_statement_token1] = ACTIONS(8516),
    [aux_sym_format_statement_token1] = ACTIONS(8508),
    [aux_sym_print_statement_token1] = ACTIONS(8510),
    [aux_sym_open_statement_token1] = ACTIONS(8510),
    [aux_sym_inquire_statement_token1] = ACTIONS(8508),
    [aux_sym_entry_statement_token1] = ACTIONS(8508),
    [aux_sym_null_literal_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_statement_token2] = ACTIONS(8508),
    [aux_sym_coarray_statement_token6] = ACTIONS(8508),
    [aux_sym_coarray_statement_token8] = ACTIONS(8508),
    [aux_sym_coarray_statement_token11] = ACTIONS(8508),
    [aux_sym_coarray_statement_token12] = ACTIONS(8508),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8508),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8508),
    [aux_sym_identifier_token1] = ACTIONS(8508),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8518),
    [sym__float_literal] = ACTIONS(8518),
    [sym__boz_literal] = ACTIONS(8518),
    [sym__string_literal] = ACTIONS(8520),
    [sym__string_literal_kind] = ACTIONS(8522),
    [sym__preproc_unary_operator] = ACTIONS(8524),
  },
  [3916] = {
    [anon_sym_LPAREN2] = ACTIONS(8572),
    [anon_sym_PLUS] = ACTIONS(8574),
    [anon_sym_DASH] = ACTIONS(8574),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8572),
    [aux_sym_block_data_statement_token1] = ACTIONS(8572),
    [aux_sym_block_data_statement_token2] = ACTIONS(8572),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8572),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8572),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8572),
    [aux_sym_use_statement_token2] = ACTIONS(8572),
    [aux_sym_implicit_statement_token3] = ACTIONS(8572),
    [aux_sym_implicit_statement_token4] = ACTIONS(8572),
    [aux_sym_save_statement_token1] = ACTIONS(8572),
    [aux_sym_private_statement_token1] = ACTIONS(8572),
    [aux_sym_public_statement_token1] = ACTIONS(8572),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8572),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8572),
    [aux_sym_variable_attributes_token2] = ACTIONS(8572),
    [aux_sym_variable_attributes_token3] = ACTIONS(8572),
    [aux_sym_variable_attributes_token5] = ACTIONS(8572),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8572),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8572),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8572),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8572),
    [aux_sym_type_qualifier_token1] = ACTIONS(8572),
    [aux_sym_type_qualifier_token2] = ACTIONS(8572),
    [aux_sym_stop_statement_token1] = ACTIONS(8572),
    [aux_sym_stop_statement_token2] = ACTIONS(8572),
    [aux_sym_subroutine_call_token1] = ACTIONS(8572),
    [aux_sym_keyword_statement_token2] = ACTIONS(8572),
    [aux_sym_keyword_statement_token3] = ACTIONS(8572),
    [aux_sym_keyword_statement_token4] = ACTIONS(8572),
    [aux_sym_include_statement_token1] = ACTIONS(8572),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8572),
    [aux_sym_end_if_statement_token1] = ACTIONS(8572),
    [aux_sym_elseif_clause_token2] = ACTIONS(8572),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8572),
    [aux_sym_select_case_statement_token1] = ACTIONS(8572),
    [aux_sym_format_statement_token1] = ACTIONS(8572),
    [aux_sym_print_statement_token1] = ACTIONS(8572),
    [aux_sym_open_statement_token1] = ACTIONS(8572),
    [aux_sym_inquire_statement_token1] = ACTIONS(8572),
    [aux_sym_entry_statement_token1] = ACTIONS(8572),
    [aux_sym_logical_expression_token5] = ACTIONS(8574),
    [anon_sym_DOT] = ACTIONS(8572),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8574),
    [anon_sym_SLASH_RPAREN] = ACTIONS(8574),
    [anon_sym_LBRACK] = ACTIONS(8574),
    [anon_sym_RBRACK] = ACTIONS(8574),
    [aux_sym_boolean_literal_token1] = ACTIONS(8574),
    [aux_sym_boolean_literal_token2] = ACTIONS(8574),
    [aux_sym_null_literal_token1] = ACTIONS(8572),
    [aux_sym_coarray_statement_token1] = ACTIONS(8572),
    [aux_sym_coarray_statement_token2] = ACTIONS(8572),
    [aux_sym_coarray_statement_token6] = ACTIONS(8572),
    [aux_sym_coarray_statement_token8] = ACTIONS(8572),
    [aux_sym_coarray_statement_token11] = ACTIONS(8572),
    [aux_sym_coarray_statement_token12] = ACTIONS(8572),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8572),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8572),
    [aux_sym_identifier_token1] = ACTIONS(8572),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8574),
    [sym__float_literal] = ACTIONS(8574),
    [sym__boz_literal] = ACTIONS(8574),
    [sym__string_literal] = ACTIONS(8574),
    [sym__string_literal_kind] = ACTIONS(8574),
  },
  [3917] = {
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5082),
  },
  [3918] = {
    [sym_statement_label] = STATE(4476),
    [sym_statement_label_reference] = STATE(4424),
    [sym_while_statement] = STATE(8031),
    [sym_concurrent_statement] = STATE(8031),
    [sym_concurrent_header] = STATE(6547),
    [sym_loop_control_expression] = STATE(8031),
    [sym_identifier] = STATE(9362),
    [sym__end_of_statement] = STATE(823),
    [anon_sym_COMMA] = ACTIONS(8576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(8578),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_while_statement_token1] = ACTIONS(8580),
    [aux_sym_concurrent_header_token1] = ACTIONS(8582),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8584),
    [sym__external_end_of_statement] = ACTIONS(8578),
  },
  [3919] = {
    [anon_sym_LPAREN2] = ACTIONS(8586),
    [anon_sym_PLUS] = ACTIONS(8588),
    [anon_sym_DASH] = ACTIONS(8588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8586),
    [aux_sym_block_data_statement_token1] = ACTIONS(8586),
    [aux_sym_block_data_statement_token2] = ACTIONS(8586),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8586),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8586),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8586),
    [aux_sym_use_statement_token2] = ACTIONS(8586),
    [aux_sym_implicit_statement_token3] = ACTIONS(8586),
    [aux_sym_implicit_statement_token4] = ACTIONS(8586),
    [aux_sym_save_statement_token1] = ACTIONS(8586),
    [aux_sym_private_statement_token1] = ACTIONS(8586),
    [aux_sym_public_statement_token1] = ACTIONS(8586),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8586),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8586),
    [aux_sym_variable_attributes_token2] = ACTIONS(8586),
    [aux_sym_variable_attributes_token3] = ACTIONS(8586),
    [aux_sym_variable_attributes_token5] = ACTIONS(8586),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8586),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8586),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8586),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8586),
    [aux_sym_type_qualifier_token1] = ACTIONS(8586),
    [aux_sym_type_qualifier_token2] = ACTIONS(8586),
    [aux_sym_stop_statement_token1] = ACTIONS(8586),
    [aux_sym_stop_statement_token2] = ACTIONS(8586),
    [aux_sym_subroutine_call_token1] = ACTIONS(8586),
    [aux_sym_keyword_statement_token2] = ACTIONS(8586),
    [aux_sym_keyword_statement_token3] = ACTIONS(8586),
    [aux_sym_keyword_statement_token4] = ACTIONS(8586),
    [aux_sym_include_statement_token1] = ACTIONS(8586),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8586),
    [aux_sym_end_if_statement_token1] = ACTIONS(8586),
    [aux_sym_elseif_clause_token2] = ACTIONS(8586),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8586),
    [aux_sym_select_case_statement_token1] = ACTIONS(8586),
    [aux_sym_format_statement_token1] = ACTIONS(8586),
    [aux_sym_print_statement_token1] = ACTIONS(8586),
    [aux_sym_open_statement_token1] = ACTIONS(8586),
    [aux_sym_inquire_statement_token1] = ACTIONS(8586),
    [aux_sym_entry_statement_token1] = ACTIONS(8586),
    [aux_sym_logical_expression_token5] = ACTIONS(8588),
    [anon_sym_DOT] = ACTIONS(8586),
    [anon_sym_LPAREN_SLASH] = ACTIONS(8588),
    [anon_sym_LBRACK] = ACTIONS(8588),
    [aux_sym_boolean_literal_token1] = ACTIONS(8588),
    [aux_sym_boolean_literal_token2] = ACTIONS(8588),
    [aux_sym_null_literal_token1] = ACTIONS(8586),
    [aux_sym_coarray_statement_token1] = ACTIONS(8586),
    [aux_sym_coarray_statement_token2] = ACTIONS(8586),
    [aux_sym_coarray_statement_token6] = ACTIONS(8586),
    [aux_sym_coarray_statement_token8] = ACTIONS(8586),
    [aux_sym_coarray_statement_token11] = ACTIONS(8586),
    [aux_sym_coarray_statement_token12] = ACTIONS(8586),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8586),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8586),
    [aux_sym_identifier_token1] = ACTIONS(8586),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(8588),
    [sym__float_literal] = ACTIONS(8588),
    [sym__boz_literal] = ACTIONS(8588),
    [sym__string_literal] = ACTIONS(8588),
    [sym__string_literal_kind] = ACTIONS(8588),
  },
  [3920] = {
    [sym_language_binding] = STATE(3920),
    [sym_variable_attributes] = STATE(3920),
    [sym__standalone_type_qualifier] = STATE(4004),
    [aux_sym_variable_modification_repeat1] = STATE(3920),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8590),
    [aux_sym_block_data_statement_token1] = ACTIONS(8590),
    [aux_sym_block_data_statement_token2] = ACTIONS(8590),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8590),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8590),
    [aux_sym_language_binding_token1] = ACTIONS(8592),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8595),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8598),
    [aux_sym_use_statement_token2] = ACTIONS(8598),
    [anon_sym_COLON_COLON] = ACTIONS(8601),
    [aux_sym_implicit_statement_token3] = ACTIONS(8590),
    [aux_sym_implicit_statement_token4] = ACTIONS(8598),
    [aux_sym_save_statement_token1] = ACTIONS(8598),
    [aux_sym_private_statement_token1] = ACTIONS(8598),
    [aux_sym_public_statement_token1] = ACTIONS(8598),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8598),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8598),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8598),
    [aux_sym_variable_attributes_token1] = ACTIONS(8598),
    [aux_sym_variable_attributes_token2] = ACTIONS(8598),
    [aux_sym_variable_attributes_token3] = ACTIONS(8598),
    [aux_sym_variable_attributes_token4] = ACTIONS(8598),
    [aux_sym_variable_attributes_token5] = ACTIONS(8598),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8590),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8590),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8590),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8603),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8598),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8598),
    [aux_sym_type_qualifier_token1] = ACTIONS(8590),
    [aux_sym_type_qualifier_token2] = ACTIONS(8590),
    [aux_sym_stop_statement_token1] = ACTIONS(8590),
    [aux_sym_stop_statement_token2] = ACTIONS(8590),
    [aux_sym_subroutine_call_token1] = ACTIONS(8590),
    [aux_sym_keyword_statement_token2] = ACTIONS(8590),
    [aux_sym_keyword_statement_token3] = ACTIONS(8590),
    [aux_sym_keyword_statement_token4] = ACTIONS(8590),
    [aux_sym_include_statement_token1] = ACTIONS(8590),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8590),
    [aux_sym_end_if_statement_token1] = ACTIONS(8590),
    [aux_sym_elseif_clause_token2] = ACTIONS(8590),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8590),
    [aux_sym_select_case_statement_token1] = ACTIONS(8590),
    [aux_sym_format_statement_token1] = ACTIONS(8590),
    [aux_sym_print_statement_token1] = ACTIONS(8590),
    [aux_sym_open_statement_token1] = ACTIONS(8590),
    [aux_sym_inquire_statement_token1] = ACTIONS(8590),
    [aux_sym_entry_statement_token1] = ACTIONS(8590),
    [aux_sym_null_literal_token1] = ACTIONS(8590),
    [aux_sym_coarray_statement_token1] = ACTIONS(8590),
    [aux_sym_coarray_statement_token2] = ACTIONS(8590),
    [aux_sym_coarray_statement_token6] = ACTIONS(8590),
    [aux_sym_coarray_statement_token8] = ACTIONS(8590),
    [aux_sym_coarray_statement_token11] = ACTIONS(8590),
    [aux_sym_coarray_statement_token12] = ACTIONS(8590),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8590),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8590),
    [aux_sym_identifier_token1] = ACTIONS(8590),
    [sym_comment] = ACTIONS(21),
  },
  [3921] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6978),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6978),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(4349),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8623),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3922] = {
    [sym__argument_list] = STATE(2612),
    [sym_argument_list] = STATE(3998),
    [anon_sym_LPAREN2] = ACTIONS(7171),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [3923] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6909),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6909),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(4349),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8625),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3924] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6905),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6905),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(3923),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8627),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3925] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6953),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6953),
    [sym_identifier] = STATE(7185),
    [anon_sym_COMMA] = ACTIONS(8629),
    [anon_sym_LPAREN2] = ACTIONS(8631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8633),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3926] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6921),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6921),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(3921),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8635),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3927] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6907),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6907),
    [sym_identifier] = STATE(7185),
    [anon_sym_COMMA] = ACTIONS(8637),
    [anon_sym_LPAREN2] = ACTIONS(8639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8641),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3928] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7044),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7044),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(3929),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8643),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3929] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7070),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7070),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(4349),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8645),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3930] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6919),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6919),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(4349),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8647),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3931] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7074),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7074),
    [sym_identifier] = STATE(7185),
    [aux_sym_procedure_statement_repeat1] = STATE(3930),
    [anon_sym_COMMA] = ACTIONS(8615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8649),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3932] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6925),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6925),
    [sym_identifier] = STATE(7185),
    [anon_sym_COMMA] = ACTIONS(8651),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8653),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3933] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7080),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7080),
    [sym_identifier] = STATE(7185),
    [anon_sym_COMMA] = ACTIONS(8655),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8657),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3934] = {
    [sym_assignment] = STATE(7669),
    [sym_operator] = STATE(7669),
    [sym_defined_io_procedure] = STATE(7669),
    [sym__generic_procedure] = STATE(7669),
    [sym__name] = STATE(7669),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1413),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8659),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8659),
  },
  [3935] = {
    [sym_assignment] = STATE(7975),
    [sym_operator] = STATE(7975),
    [sym_defined_io_procedure] = STATE(7975),
    [sym__generic_procedure] = STATE(7975),
    [sym__name] = STATE(7975),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1959),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8661),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8661),
  },
  [3936] = {
    [sym_assignment] = STATE(7451),
    [sym_operator] = STATE(7451),
    [sym_defined_io_procedure] = STATE(7451),
    [sym__generic_procedure] = STATE(7451),
    [sym__name] = STATE(7451),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1944),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8663),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8663),
  },
  [3937] = {
    [sym_assignment] = STATE(7375),
    [sym_operator] = STATE(7375),
    [sym_defined_io_procedure] = STATE(7375),
    [sym__generic_procedure] = STATE(7375),
    [sym__name] = STATE(7375),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1722),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8665),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8665),
  },
  [3938] = {
    [sym_assignment] = STATE(6984),
    [sym_operator] = STATE(6984),
    [sym_defined_io_procedure] = STATE(6984),
    [sym__generic_procedure] = STATE(6984),
    [sym_identifier] = STATE(6984),
    [sym__end_of_statement] = STATE(6373),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8667),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8669),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8667),
  },
  [3939] = {
    [sym_assignment] = STATE(7516),
    [sym_operator] = STATE(7516),
    [sym_defined_io_procedure] = STATE(7516),
    [sym__generic_procedure] = STATE(7516),
    [sym__name] = STATE(7516),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8671),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8671),
  },
  [3940] = {
    [sym_assignment] = STATE(7517),
    [sym_operator] = STATE(7517),
    [sym_defined_io_procedure] = STATE(7517),
    [sym__generic_procedure] = STATE(7517),
    [sym__name] = STATE(7517),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8673),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8673),
  },
  [3941] = {
    [sym_assignment] = STATE(6985),
    [sym_operator] = STATE(6985),
    [sym_defined_io_procedure] = STATE(6985),
    [sym__generic_procedure] = STATE(6985),
    [sym_identifier] = STATE(6985),
    [sym__end_of_statement] = STATE(6374),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8675),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8677),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8675),
  },
  [3942] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [aux_sym_interface_statement_token1] = ACTIONS(8679),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [3943] = {
    [sym_assignment] = STATE(7574),
    [sym_operator] = STATE(7574),
    [sym_defined_io_procedure] = STATE(7574),
    [sym__generic_procedure] = STATE(7574),
    [sym__name] = STATE(7574),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2011),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8681),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8681),
  },
  [3944] = {
    [sym_assignment] = STATE(7575),
    [sym_operator] = STATE(7575),
    [sym_defined_io_procedure] = STATE(7575),
    [sym__generic_procedure] = STATE(7575),
    [sym__name] = STATE(7575),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2024),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8683),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8683),
  },
  [3945] = {
    [sym_assignment] = STATE(7749),
    [sym_operator] = STATE(7749),
    [sym_defined_io_procedure] = STATE(7749),
    [sym__generic_procedure] = STATE(7749),
    [sym__name] = STATE(7749),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2175),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8685),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8685),
  },
  [3946] = {
    [sym_assignment] = STATE(7797),
    [sym_operator] = STATE(7797),
    [sym_defined_io_procedure] = STATE(7797),
    [sym__generic_procedure] = STATE(7797),
    [sym__name] = STATE(7797),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8687),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8687),
  },
  [3947] = {
    [sym_assignment] = STATE(7536),
    [sym_operator] = STATE(7536),
    [sym_defined_io_procedure] = STATE(7536),
    [sym__generic_procedure] = STATE(7536),
    [sym__name] = STATE(7536),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1246),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8689),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8689),
  },
  [3948] = {
    [sym_assignment] = STATE(7625),
    [sym_operator] = STATE(7625),
    [sym_defined_io_procedure] = STATE(7625),
    [sym__generic_procedure] = STATE(7625),
    [sym__name] = STATE(7625),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1188),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8691),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8691),
  },
  [3949] = {
    [sym_assignment] = STATE(7626),
    [sym_operator] = STATE(7626),
    [sym_defined_io_procedure] = STATE(7626),
    [sym__generic_procedure] = STATE(7626),
    [sym__name] = STATE(7626),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1190),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8693),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8693),
  },
  [3950] = {
    [sym_assignment] = STATE(7670),
    [sym_operator] = STATE(7670),
    [sym_defined_io_procedure] = STATE(7670),
    [sym__generic_procedure] = STATE(7670),
    [sym__name] = STATE(7670),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8695),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8695),
  },
  [3951] = {
    [sym_assignment] = STATE(7761),
    [sym_operator] = STATE(7761),
    [sym_defined_io_procedure] = STATE(7761),
    [sym__generic_procedure] = STATE(7761),
    [sym__name] = STATE(7761),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2253),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8697),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8697),
  },
  [3952] = {
    [sym_assignment] = STATE(7716),
    [sym_operator] = STATE(7716),
    [sym_defined_io_procedure] = STATE(7716),
    [sym__generic_procedure] = STATE(7716),
    [sym__name] = STATE(7716),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1782),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8699),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8699),
  },
  [3953] = {
    [sym_assignment] = STATE(7717),
    [sym_operator] = STATE(7717),
    [sym_defined_io_procedure] = STATE(7717),
    [sym__generic_procedure] = STATE(7717),
    [sym__name] = STATE(7717),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1792),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8701),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8701),
  },
  [3954] = {
    [sym_assignment] = STATE(7774),
    [sym_operator] = STATE(7774),
    [sym_defined_io_procedure] = STATE(7774),
    [sym__generic_procedure] = STATE(7774),
    [sym__name] = STATE(7774),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1842),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8703),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8703),
  },
  [3955] = {
    [sym_assignment] = STATE(7775),
    [sym_operator] = STATE(7775),
    [sym_defined_io_procedure] = STATE(7775),
    [sym__generic_procedure] = STATE(7775),
    [sym__name] = STATE(7775),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8705),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8705),
  },
  [3956] = {
    [sym_assignment] = STATE(7966),
    [sym_operator] = STATE(7966),
    [sym_defined_io_procedure] = STATE(7966),
    [sym__generic_procedure] = STATE(7966),
    [sym__name] = STATE(7966),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5032),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8707),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8707),
  },
  [3957] = {
    [sym__type_name] = STATE(6930),
    [sym__intrinsic_type] = STATE(6968),
    [sym_unlimited_polymorphic] = STATE(8887),
    [sym_identifier] = STATE(6915),
    [anon_sym_STAR] = ACTIONS(8709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3958] = {
    [sym_assignment] = STATE(6967),
    [sym_operator] = STATE(6967),
    [sym_defined_io_procedure] = STATE(6967),
    [sym__generic_procedure] = STATE(6967),
    [sym_identifier] = STATE(6967),
    [sym__end_of_statement] = STATE(5978),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8711),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8713),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8711),
  },
  [3959] = {
    [sym_assignment] = STATE(7099),
    [sym_operator] = STATE(7099),
    [sym_defined_io_procedure] = STATE(7099),
    [sym__generic_procedure] = STATE(7099),
    [sym_identifier] = STATE(7099),
    [sym__end_of_statement] = STATE(5979),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8715),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8717),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8715),
  },
  [3960] = {
    [sym__type_name] = STATE(6939),
    [sym__intrinsic_type] = STATE(6940),
    [sym_unlimited_polymorphic] = STATE(8532),
    [sym_identifier] = STATE(6915),
    [anon_sym_STAR] = ACTIONS(8709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3961] = {
    [sym__type_name] = STATE(6949),
    [sym__intrinsic_type] = STATE(6950),
    [sym_unlimited_polymorphic] = STATE(9084),
    [sym_identifier] = STATE(6915),
    [anon_sym_STAR] = ACTIONS(8709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3962] = {
    [sym_while_statement] = STATE(7463),
    [sym_concurrent_statement] = STATE(7463),
    [sym_concurrent_header] = STATE(6547),
    [sym_loop_control_expression] = STATE(7463),
    [sym_identifier] = STATE(9362),
    [sym__end_of_statement] = STATE(827),
    [anon_sym_COMMA] = ACTIONS(8719),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(8721),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_while_statement_token1] = ACTIONS(8580),
    [aux_sym_concurrent_header_token1] = ACTIONS(8582),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8721),
  },
  [3963] = {
    [sym_character_length] = STATE(4079),
    [sym__argument_list] = STATE(4090),
    [sym_argument_list] = STATE(4030),
    [sym_coarray_index] = STATE(4141),
    [anon_sym_COMMA] = ACTIONS(8723),
    [anon_sym_LPAREN2] = ACTIONS(8725),
    [anon_sym_STAR] = ACTIONS(8727),
    [anon_sym_SLASH] = ACTIONS(8723),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8729),
    [anon_sym_SEMI] = ACTIONS(8723),
    [aux_sym_block_data_statement_token1] = ACTIONS(8729),
    [aux_sym_block_data_statement_token2] = ACTIONS(8729),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8729),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8729),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8729),
    [aux_sym_use_statement_token2] = ACTIONS(8729),
    [aux_sym_implicit_statement_token3] = ACTIONS(8729),
    [aux_sym_implicit_statement_token4] = ACTIONS(8729),
    [aux_sym_save_statement_token1] = ACTIONS(8729),
    [aux_sym_private_statement_token1] = ACTIONS(8729),
    [aux_sym_public_statement_token1] = ACTIONS(8729),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8729),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8729),
    [aux_sym_variable_attributes_token2] = ACTIONS(8729),
    [aux_sym_variable_attributes_token3] = ACTIONS(8729),
    [aux_sym_variable_attributes_token5] = ACTIONS(8729),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8729),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8729),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8729),
    [aux_sym_type_qualifier_token1] = ACTIONS(8729),
    [aux_sym_type_qualifier_token2] = ACTIONS(8729),
    [aux_sym_stop_statement_token1] = ACTIONS(8729),
    [aux_sym_stop_statement_token2] = ACTIONS(8729),
    [aux_sym_subroutine_call_token1] = ACTIONS(8729),
    [aux_sym_keyword_statement_token2] = ACTIONS(8729),
    [aux_sym_keyword_statement_token3] = ACTIONS(8729),
    [aux_sym_keyword_statement_token4] = ACTIONS(8729),
    [aux_sym_include_statement_token1] = ACTIONS(8729),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8729),
    [aux_sym_end_if_statement_token1] = ACTIONS(8729),
    [aux_sym_elseif_clause_token2] = ACTIONS(8729),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8729),
    [aux_sym_select_case_statement_token1] = ACTIONS(8729),
    [aux_sym_format_statement_token1] = ACTIONS(8729),
    [aux_sym_print_statement_token1] = ACTIONS(8729),
    [aux_sym_open_statement_token1] = ACTIONS(8729),
    [aux_sym_inquire_statement_token1] = ACTIONS(8729),
    [aux_sym_entry_statement_token1] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [aux_sym_null_literal_token1] = ACTIONS(8729),
    [aux_sym_coarray_statement_token1] = ACTIONS(8729),
    [aux_sym_coarray_statement_token2] = ACTIONS(8729),
    [aux_sym_coarray_statement_token6] = ACTIONS(8729),
    [aux_sym_coarray_statement_token8] = ACTIONS(8729),
    [aux_sym_coarray_statement_token11] = ACTIONS(8729),
    [aux_sym_coarray_statement_token12] = ACTIONS(8729),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8729),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8729),
    [aux_sym_identifier_token1] = ACTIONS(8729),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8723),
  },
  [3964] = {
    [sym__type_name] = STATE(6902),
    [sym__intrinsic_type] = STATE(7053),
    [sym_unlimited_polymorphic] = STATE(8706),
    [sym_identifier] = STATE(6915),
    [anon_sym_STAR] = ACTIONS(8709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3965] = {
    [anon_sym_COMMA] = ACTIONS(8733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8735),
    [aux_sym_block_data_statement_token1] = ACTIONS(8735),
    [aux_sym_block_data_statement_token2] = ACTIONS(8735),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8735),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8735),
    [aux_sym_language_binding_token1] = ACTIONS(8735),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8735),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8735),
    [aux_sym_use_statement_token2] = ACTIONS(8735),
    [anon_sym_COLON_COLON] = ACTIONS(8733),
    [aux_sym_implicit_statement_token3] = ACTIONS(8735),
    [aux_sym_implicit_statement_token4] = ACTIONS(8735),
    [aux_sym_save_statement_token1] = ACTIONS(8735),
    [aux_sym_private_statement_token1] = ACTIONS(8735),
    [aux_sym_public_statement_token1] = ACTIONS(8735),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8735),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8735),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8735),
    [aux_sym_variable_attributes_token1] = ACTIONS(8735),
    [aux_sym_variable_attributes_token2] = ACTIONS(8735),
    [aux_sym_variable_attributes_token3] = ACTIONS(8735),
    [aux_sym_variable_attributes_token4] = ACTIONS(8735),
    [aux_sym_variable_attributes_token5] = ACTIONS(8735),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8735),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8735),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8735),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8735),
    [aux_sym_type_qualifier_token1] = ACTIONS(8735),
    [aux_sym_type_qualifier_token2] = ACTIONS(8735),
    [aux_sym_stop_statement_token1] = ACTIONS(8735),
    [aux_sym_stop_statement_token2] = ACTIONS(8735),
    [aux_sym_subroutine_call_token1] = ACTIONS(8735),
    [aux_sym_keyword_statement_token2] = ACTIONS(8735),
    [aux_sym_keyword_statement_token3] = ACTIONS(8735),
    [aux_sym_keyword_statement_token4] = ACTIONS(8735),
    [aux_sym_include_statement_token1] = ACTIONS(8735),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8735),
    [aux_sym_end_if_statement_token1] = ACTIONS(8735),
    [aux_sym_elseif_clause_token2] = ACTIONS(8735),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8735),
    [aux_sym_select_case_statement_token1] = ACTIONS(8735),
    [aux_sym_format_statement_token1] = ACTIONS(8735),
    [aux_sym_print_statement_token1] = ACTIONS(8735),
    [aux_sym_open_statement_token1] = ACTIONS(8735),
    [aux_sym_inquire_statement_token1] = ACTIONS(8735),
    [aux_sym_entry_statement_token1] = ACTIONS(8735),
    [aux_sym_null_literal_token1] = ACTIONS(8735),
    [aux_sym_coarray_statement_token1] = ACTIONS(8735),
    [aux_sym_coarray_statement_token2] = ACTIONS(8735),
    [aux_sym_coarray_statement_token6] = ACTIONS(8735),
    [aux_sym_coarray_statement_token8] = ACTIONS(8735),
    [aux_sym_coarray_statement_token11] = ACTIONS(8735),
    [aux_sym_coarray_statement_token12] = ACTIONS(8735),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8735),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8735),
    [aux_sym_identifier_token1] = ACTIONS(8735),
    [sym_comment] = ACTIONS(21),
  },
  [3966] = {
    [sym__type_name] = STATE(6934),
    [sym__intrinsic_type] = STATE(6938),
    [sym_unlimited_polymorphic] = STATE(8950),
    [sym_identifier] = STATE(6915),
    [anon_sym_STAR] = ACTIONS(8709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3967] = {
    [sym__type_name] = STATE(7019),
    [sym__intrinsic_type] = STATE(7057),
    [sym_unlimited_polymorphic] = STATE(8996),
    [sym_identifier] = STATE(6915),
    [anon_sym_STAR] = ACTIONS(8709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(83),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(83),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [3968] = {
    [sym_assignment] = STATE(8083),
    [sym_operator] = STATE(8083),
    [sym_defined_io_procedure] = STATE(8083),
    [sym__generic_procedure] = STATE(8083),
    [sym__name] = STATE(8083),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2301),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8737),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8737),
  },
  [3969] = {
    [anon_sym_COMMA] = ACTIONS(8739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8741),
    [aux_sym_block_data_statement_token1] = ACTIONS(8741),
    [aux_sym_block_data_statement_token2] = ACTIONS(8741),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8741),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8741),
    [aux_sym_language_binding_token1] = ACTIONS(8741),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8741),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8741),
    [aux_sym_use_statement_token2] = ACTIONS(8741),
    [anon_sym_COLON_COLON] = ACTIONS(8739),
    [aux_sym_implicit_statement_token3] = ACTIONS(8741),
    [aux_sym_implicit_statement_token4] = ACTIONS(8741),
    [aux_sym_save_statement_token1] = ACTIONS(8741),
    [aux_sym_private_statement_token1] = ACTIONS(8741),
    [aux_sym_public_statement_token1] = ACTIONS(8741),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8741),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8741),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8741),
    [aux_sym_variable_attributes_token1] = ACTIONS(8741),
    [aux_sym_variable_attributes_token2] = ACTIONS(8741),
    [aux_sym_variable_attributes_token3] = ACTIONS(8741),
    [aux_sym_variable_attributes_token4] = ACTIONS(8741),
    [aux_sym_variable_attributes_token5] = ACTIONS(8741),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8741),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8741),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8741),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8741),
    [aux_sym_type_qualifier_token1] = ACTIONS(8741),
    [aux_sym_type_qualifier_token2] = ACTIONS(8741),
    [aux_sym_stop_statement_token1] = ACTIONS(8741),
    [aux_sym_stop_statement_token2] = ACTIONS(8741),
    [aux_sym_subroutine_call_token1] = ACTIONS(8741),
    [aux_sym_keyword_statement_token2] = ACTIONS(8741),
    [aux_sym_keyword_statement_token3] = ACTIONS(8741),
    [aux_sym_keyword_statement_token4] = ACTIONS(8741),
    [aux_sym_include_statement_token1] = ACTIONS(8741),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8741),
    [aux_sym_end_if_statement_token1] = ACTIONS(8741),
    [aux_sym_elseif_clause_token2] = ACTIONS(8741),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8741),
    [aux_sym_select_case_statement_token1] = ACTIONS(8741),
    [aux_sym_format_statement_token1] = ACTIONS(8741),
    [aux_sym_print_statement_token1] = ACTIONS(8741),
    [aux_sym_open_statement_token1] = ACTIONS(8741),
    [aux_sym_inquire_statement_token1] = ACTIONS(8741),
    [aux_sym_entry_statement_token1] = ACTIONS(8741),
    [aux_sym_null_literal_token1] = ACTIONS(8741),
    [aux_sym_coarray_statement_token1] = ACTIONS(8741),
    [aux_sym_coarray_statement_token2] = ACTIONS(8741),
    [aux_sym_coarray_statement_token6] = ACTIONS(8741),
    [aux_sym_coarray_statement_token8] = ACTIONS(8741),
    [aux_sym_coarray_statement_token11] = ACTIONS(8741),
    [aux_sym_coarray_statement_token12] = ACTIONS(8741),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8741),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8741),
    [aux_sym_identifier_token1] = ACTIONS(8741),
    [sym_comment] = ACTIONS(21),
  },
  [3970] = {
    [sym_assignment] = STATE(8085),
    [sym_operator] = STATE(8085),
    [sym_defined_io_procedure] = STATE(8085),
    [sym__generic_procedure] = STATE(8085),
    [sym__name] = STATE(8085),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2157),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8743),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8743),
  },
  [3971] = {
    [sym_assignment] = STATE(8068),
    [sym_operator] = STATE(8068),
    [sym_defined_io_procedure] = STATE(8068),
    [sym__generic_procedure] = STATE(8068),
    [sym__name] = STATE(8068),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1951),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8745),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8745),
  },
  [3972] = {
    [sym_assignment] = STATE(7609),
    [sym_operator] = STATE(7609),
    [sym_defined_io_procedure] = STATE(7609),
    [sym__generic_procedure] = STATE(7609),
    [sym__name] = STATE(7609),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1213),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8747),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8747),
  },
  [3973] = {
    [sym_assignment] = STATE(7288),
    [sym_operator] = STATE(7288),
    [sym_defined_io_procedure] = STATE(7288),
    [sym__generic_procedure] = STATE(7288),
    [sym__name] = STATE(7288),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8749),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8749),
  },
  [3974] = {
    [sym_assignment] = STATE(7289),
    [sym_operator] = STATE(7289),
    [sym_defined_io_procedure] = STATE(7289),
    [sym__generic_procedure] = STATE(7289),
    [sym__name] = STATE(7289),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2336),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8751),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8751),
  },
  [3975] = {
    [sym_assignment] = STATE(7374),
    [sym_operator] = STATE(7374),
    [sym_defined_io_procedure] = STATE(7374),
    [sym__generic_procedure] = STATE(7374),
    [sym__name] = STATE(7374),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8753),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8753),
  },
  [3976] = {
    [sym_assignment] = STATE(7452),
    [sym_operator] = STATE(7452),
    [sym_defined_io_procedure] = STATE(7452),
    [sym__generic_procedure] = STATE(7452),
    [sym__name] = STATE(7452),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1971),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8755),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8755),
  },
  [3977] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7508),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7508),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3978] = {
    [sym_assignment] = STATE(7162),
    [sym_operator] = STATE(7162),
    [sym_defined_io_procedure] = STATE(7162),
    [sym__generic_procedure] = STATE(7162),
    [sym_use_alias] = STATE(7162),
    [sym_identifier] = STATE(7069),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8757),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8757),
  },
  [3979] = {
    [sym_while_statement] = STATE(7463),
    [sym_concurrent_statement] = STATE(7463),
    [sym_concurrent_header] = STATE(6547),
    [sym_loop_control_expression] = STATE(7463),
    [sym_identifier] = STATE(9362),
    [sym__end_of_statement] = STATE(827),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(8721),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_while_statement_token1] = ACTIONS(8580),
    [aux_sym_concurrent_header_token1] = ACTIONS(8582),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8721),
  },
  [3980] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7054),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7054),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3981] = {
    [sym_unary_expression] = STATE(8580),
    [sym_user_defined_operator] = STATE(3657),
    [sym_number_literal] = STATE(8580),
    [sym_identifier] = STATE(8580),
    [anon_sym_PLUS] = ACTIONS(8759),
    [anon_sym_DASH] = ACTIONS(8759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8761),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
  },
  [3982] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6989),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6989),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3983] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7098),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7098),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3984] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7070),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7070),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3985] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6891),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6891),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3986] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6914),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6914),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3987] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6919),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6919),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3988] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8763),
    [aux_sym_block_data_statement_token1] = ACTIONS(8763),
    [aux_sym_block_data_statement_token2] = ACTIONS(8763),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8763),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8763),
    [aux_sym_language_binding_token1] = ACTIONS(8763),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8763),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8763),
    [aux_sym_use_statement_token2] = ACTIONS(8763),
    [anon_sym_COLON_COLON] = ACTIONS(8765),
    [aux_sym_implicit_statement_token3] = ACTIONS(8763),
    [aux_sym_implicit_statement_token4] = ACTIONS(8763),
    [aux_sym_save_statement_token1] = ACTIONS(8763),
    [aux_sym_private_statement_token1] = ACTIONS(8763),
    [aux_sym_public_statement_token1] = ACTIONS(8763),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8763),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8763),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8763),
    [aux_sym_variable_attributes_token1] = ACTIONS(8763),
    [aux_sym_variable_attributes_token2] = ACTIONS(8763),
    [aux_sym_variable_attributes_token3] = ACTIONS(8763),
    [aux_sym_variable_attributes_token4] = ACTIONS(8763),
    [aux_sym_variable_attributes_token5] = ACTIONS(8763),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8763),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8763),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8763),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8763),
    [aux_sym_type_qualifier_token1] = ACTIONS(8763),
    [aux_sym_type_qualifier_token2] = ACTIONS(8763),
    [aux_sym_stop_statement_token1] = ACTIONS(8763),
    [aux_sym_stop_statement_token2] = ACTIONS(8763),
    [aux_sym_subroutine_call_token1] = ACTIONS(8763),
    [aux_sym_keyword_statement_token2] = ACTIONS(8763),
    [aux_sym_keyword_statement_token3] = ACTIONS(8763),
    [aux_sym_keyword_statement_token4] = ACTIONS(8763),
    [aux_sym_include_statement_token1] = ACTIONS(8763),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8763),
    [aux_sym_end_if_statement_token1] = ACTIONS(8763),
    [aux_sym_elseif_clause_token2] = ACTIONS(8763),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8763),
    [aux_sym_select_case_statement_token1] = ACTIONS(8763),
    [aux_sym_format_statement_token1] = ACTIONS(8763),
    [aux_sym_print_statement_token1] = ACTIONS(8763),
    [aux_sym_open_statement_token1] = ACTIONS(8763),
    [aux_sym_inquire_statement_token1] = ACTIONS(8763),
    [aux_sym_entry_statement_token1] = ACTIONS(8763),
    [aux_sym_null_literal_token1] = ACTIONS(8763),
    [aux_sym_coarray_statement_token1] = ACTIONS(8763),
    [aux_sym_coarray_statement_token2] = ACTIONS(8763),
    [aux_sym_coarray_statement_token6] = ACTIONS(8763),
    [aux_sym_coarray_statement_token8] = ACTIONS(8763),
    [aux_sym_coarray_statement_token11] = ACTIONS(8763),
    [aux_sym_coarray_statement_token12] = ACTIONS(8763),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8763),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8763),
    [aux_sym_identifier_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(21),
  },
  [3989] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7059),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7059),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3990] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8491),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [aux_sym_variable_declaration_repeat1] = STATE(4000),
    [anon_sym_COMMA] = ACTIONS(8767),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8769),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3991] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6978),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6978),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [3992] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8771),
    [aux_sym_block_data_statement_token1] = ACTIONS(8771),
    [aux_sym_block_data_statement_token2] = ACTIONS(8771),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8771),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8771),
    [aux_sym_language_binding_token1] = ACTIONS(8771),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8771),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8771),
    [aux_sym_use_statement_token2] = ACTIONS(8771),
    [anon_sym_COLON_COLON] = ACTIONS(8773),
    [aux_sym_implicit_statement_token3] = ACTIONS(8771),
    [aux_sym_implicit_statement_token4] = ACTIONS(8771),
    [aux_sym_save_statement_token1] = ACTIONS(8771),
    [aux_sym_private_statement_token1] = ACTIONS(8771),
    [aux_sym_public_statement_token1] = ACTIONS(8771),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8771),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8771),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8771),
    [aux_sym_variable_attributes_token1] = ACTIONS(8771),
    [aux_sym_variable_attributes_token2] = ACTIONS(8771),
    [aux_sym_variable_attributes_token3] = ACTIONS(8771),
    [aux_sym_variable_attributes_token4] = ACTIONS(8771),
    [aux_sym_variable_attributes_token5] = ACTIONS(8771),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8771),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8771),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8771),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8771),
    [aux_sym_type_qualifier_token1] = ACTIONS(8771),
    [aux_sym_type_qualifier_token2] = ACTIONS(8771),
    [aux_sym_stop_statement_token1] = ACTIONS(8771),
    [aux_sym_stop_statement_token2] = ACTIONS(8771),
    [aux_sym_subroutine_call_token1] = ACTIONS(8771),
    [aux_sym_keyword_statement_token2] = ACTIONS(8771),
    [aux_sym_keyword_statement_token3] = ACTIONS(8771),
    [aux_sym_keyword_statement_token4] = ACTIONS(8771),
    [aux_sym_include_statement_token1] = ACTIONS(8771),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8771),
    [aux_sym_end_if_statement_token1] = ACTIONS(8771),
    [aux_sym_elseif_clause_token2] = ACTIONS(8771),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8771),
    [aux_sym_select_case_statement_token1] = ACTIONS(8771),
    [aux_sym_format_statement_token1] = ACTIONS(8771),
    [aux_sym_print_statement_token1] = ACTIONS(8771),
    [aux_sym_open_statement_token1] = ACTIONS(8771),
    [aux_sym_inquire_statement_token1] = ACTIONS(8771),
    [aux_sym_entry_statement_token1] = ACTIONS(8771),
    [aux_sym_null_literal_token1] = ACTIONS(8771),
    [aux_sym_coarray_statement_token1] = ACTIONS(8771),
    [aux_sym_coarray_statement_token2] = ACTIONS(8771),
    [aux_sym_coarray_statement_token6] = ACTIONS(8771),
    [aux_sym_coarray_statement_token8] = ACTIONS(8771),
    [aux_sym_coarray_statement_token11] = ACTIONS(8771),
    [aux_sym_coarray_statement_token12] = ACTIONS(8771),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8771),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8771),
    [aux_sym_identifier_token1] = ACTIONS(8771),
    [sym_comment] = ACTIONS(21),
  },
  [3993] = {
    [sym_unary_expression] = STATE(9284),
    [sym_user_defined_operator] = STATE(3657),
    [sym_number_literal] = STATE(9284),
    [sym_identifier] = STATE(9284),
    [anon_sym_PLUS] = ACTIONS(8759),
    [anon_sym_DASH] = ACTIONS(8759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8761),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
  },
  [3994] = {
    [sym__variable_declarator] = STATE(6004),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6018),
    [sym__declaration_pointer_association] = STATE(6020),
    [sym__declaration_targets] = STATE(6154),
    [sym_coarray_declarator] = STATE(6004),
    [sym_identifier] = STATE(5845),
    [aux_sym_variable_declaration_repeat1] = STATE(4427),
    [anon_sym_COMMA] = ACTIONS(8767),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [anon_sym_COLON_COLON] = ACTIONS(8779),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [3995] = {
    [sym_unary_expression] = STATE(9551),
    [sym_user_defined_operator] = STATE(3657),
    [sym_number_literal] = STATE(9551),
    [sym_identifier] = STATE(9551),
    [anon_sym_PLUS] = ACTIONS(8759),
    [anon_sym_DASH] = ACTIONS(8759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8761),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
  },
  [3996] = {
    [sym__variable_declarator] = STATE(6004),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6018),
    [sym__declaration_pointer_association] = STATE(6020),
    [sym__declaration_targets] = STATE(6127),
    [sym_coarray_declarator] = STATE(6004),
    [sym_identifier] = STATE(5845),
    [aux_sym_variable_declaration_repeat1] = STATE(3994),
    [anon_sym_COMMA] = ACTIONS(8767),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [anon_sym_COLON_COLON] = ACTIONS(8787),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [3997] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8789),
    [aux_sym_block_data_statement_token1] = ACTIONS(8789),
    [aux_sym_block_data_statement_token2] = ACTIONS(8789),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8789),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8789),
    [aux_sym_language_binding_token1] = ACTIONS(8789),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8789),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8789),
    [aux_sym_use_statement_token2] = ACTIONS(8789),
    [anon_sym_COLON_COLON] = ACTIONS(8791),
    [aux_sym_implicit_statement_token3] = ACTIONS(8789),
    [aux_sym_implicit_statement_token4] = ACTIONS(8789),
    [aux_sym_save_statement_token1] = ACTIONS(8789),
    [aux_sym_private_statement_token1] = ACTIONS(8789),
    [aux_sym_public_statement_token1] = ACTIONS(8789),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8789),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8789),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8789),
    [aux_sym_variable_attributes_token1] = ACTIONS(8789),
    [aux_sym_variable_attributes_token2] = ACTIONS(8789),
    [aux_sym_variable_attributes_token3] = ACTIONS(8789),
    [aux_sym_variable_attributes_token4] = ACTIONS(8789),
    [aux_sym_variable_attributes_token5] = ACTIONS(8789),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8789),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8789),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8789),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8789),
    [aux_sym_type_qualifier_token1] = ACTIONS(8789),
    [aux_sym_type_qualifier_token2] = ACTIONS(8789),
    [aux_sym_stop_statement_token1] = ACTIONS(8789),
    [aux_sym_stop_statement_token2] = ACTIONS(8789),
    [aux_sym_subroutine_call_token1] = ACTIONS(8789),
    [aux_sym_keyword_statement_token2] = ACTIONS(8789),
    [aux_sym_keyword_statement_token3] = ACTIONS(8789),
    [aux_sym_keyword_statement_token4] = ACTIONS(8789),
    [aux_sym_include_statement_token1] = ACTIONS(8789),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8789),
    [aux_sym_end_if_statement_token1] = ACTIONS(8789),
    [aux_sym_elseif_clause_token2] = ACTIONS(8789),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8789),
    [aux_sym_select_case_statement_token1] = ACTIONS(8789),
    [aux_sym_format_statement_token1] = ACTIONS(8789),
    [aux_sym_print_statement_token1] = ACTIONS(8789),
    [aux_sym_open_statement_token1] = ACTIONS(8789),
    [aux_sym_inquire_statement_token1] = ACTIONS(8789),
    [aux_sym_entry_statement_token1] = ACTIONS(8789),
    [aux_sym_null_literal_token1] = ACTIONS(8789),
    [aux_sym_coarray_statement_token1] = ACTIONS(8789),
    [aux_sym_coarray_statement_token2] = ACTIONS(8789),
    [aux_sym_coarray_statement_token6] = ACTIONS(8789),
    [aux_sym_coarray_statement_token8] = ACTIONS(8789),
    [aux_sym_coarray_statement_token11] = ACTIONS(8789),
    [aux_sym_coarray_statement_token12] = ACTIONS(8789),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8789),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8789),
    [aux_sym_identifier_token1] = ACTIONS(8789),
    [sym_comment] = ACTIONS(21),
  },
  [3998] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8793),
    [aux_sym_block_data_statement_token1] = ACTIONS(8793),
    [aux_sym_block_data_statement_token2] = ACTIONS(8793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8793),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8793),
    [aux_sym_language_binding_token1] = ACTIONS(8793),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8793),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8793),
    [aux_sym_use_statement_token2] = ACTIONS(8793),
    [anon_sym_COLON_COLON] = ACTIONS(8795),
    [aux_sym_implicit_statement_token3] = ACTIONS(8793),
    [aux_sym_implicit_statement_token4] = ACTIONS(8793),
    [aux_sym_save_statement_token1] = ACTIONS(8793),
    [aux_sym_private_statement_token1] = ACTIONS(8793),
    [aux_sym_public_statement_token1] = ACTIONS(8793),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8793),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8793),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8793),
    [aux_sym_variable_attributes_token1] = ACTIONS(8793),
    [aux_sym_variable_attributes_token2] = ACTIONS(8793),
    [aux_sym_variable_attributes_token3] = ACTIONS(8793),
    [aux_sym_variable_attributes_token4] = ACTIONS(8793),
    [aux_sym_variable_attributes_token5] = ACTIONS(8793),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8793),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8793),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8793),
    [aux_sym_type_qualifier_token1] = ACTIONS(8793),
    [aux_sym_type_qualifier_token2] = ACTIONS(8793),
    [aux_sym_stop_statement_token1] = ACTIONS(8793),
    [aux_sym_stop_statement_token2] = ACTIONS(8793),
    [aux_sym_subroutine_call_token1] = ACTIONS(8793),
    [aux_sym_keyword_statement_token2] = ACTIONS(8793),
    [aux_sym_keyword_statement_token3] = ACTIONS(8793),
    [aux_sym_keyword_statement_token4] = ACTIONS(8793),
    [aux_sym_include_statement_token1] = ACTIONS(8793),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8793),
    [aux_sym_end_if_statement_token1] = ACTIONS(8793),
    [aux_sym_elseif_clause_token2] = ACTIONS(8793),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8793),
    [aux_sym_select_case_statement_token1] = ACTIONS(8793),
    [aux_sym_format_statement_token1] = ACTIONS(8793),
    [aux_sym_print_statement_token1] = ACTIONS(8793),
    [aux_sym_open_statement_token1] = ACTIONS(8793),
    [aux_sym_inquire_statement_token1] = ACTIONS(8793),
    [aux_sym_entry_statement_token1] = ACTIONS(8793),
    [aux_sym_null_literal_token1] = ACTIONS(8793),
    [aux_sym_coarray_statement_token1] = ACTIONS(8793),
    [aux_sym_coarray_statement_token2] = ACTIONS(8793),
    [aux_sym_coarray_statement_token6] = ACTIONS(8793),
    [aux_sym_coarray_statement_token8] = ACTIONS(8793),
    [aux_sym_coarray_statement_token11] = ACTIONS(8793),
    [aux_sym_coarray_statement_token12] = ACTIONS(8793),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8793),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8793),
    [aux_sym_identifier_token1] = ACTIONS(8793),
    [sym_comment] = ACTIONS(21),
  },
  [3999] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8797),
    [aux_sym_block_data_statement_token1] = ACTIONS(8797),
    [aux_sym_block_data_statement_token2] = ACTIONS(8797),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8797),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8797),
    [aux_sym_language_binding_token1] = ACTIONS(8797),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8797),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8797),
    [aux_sym_use_statement_token2] = ACTIONS(8797),
    [anon_sym_COLON_COLON] = ACTIONS(8799),
    [aux_sym_implicit_statement_token3] = ACTIONS(8797),
    [aux_sym_implicit_statement_token4] = ACTIONS(8797),
    [aux_sym_save_statement_token1] = ACTIONS(8797),
    [aux_sym_private_statement_token1] = ACTIONS(8797),
    [aux_sym_public_statement_token1] = ACTIONS(8797),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8797),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8797),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8797),
    [aux_sym_variable_attributes_token1] = ACTIONS(8797),
    [aux_sym_variable_attributes_token2] = ACTIONS(8797),
    [aux_sym_variable_attributes_token3] = ACTIONS(8797),
    [aux_sym_variable_attributes_token4] = ACTIONS(8797),
    [aux_sym_variable_attributes_token5] = ACTIONS(8797),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8797),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8797),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8797),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8797),
    [aux_sym_type_qualifier_token1] = ACTIONS(8797),
    [aux_sym_type_qualifier_token2] = ACTIONS(8797),
    [aux_sym_stop_statement_token1] = ACTIONS(8797),
    [aux_sym_stop_statement_token2] = ACTIONS(8797),
    [aux_sym_subroutine_call_token1] = ACTIONS(8797),
    [aux_sym_keyword_statement_token2] = ACTIONS(8797),
    [aux_sym_keyword_statement_token3] = ACTIONS(8797),
    [aux_sym_keyword_statement_token4] = ACTIONS(8797),
    [aux_sym_include_statement_token1] = ACTIONS(8797),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8797),
    [aux_sym_end_if_statement_token1] = ACTIONS(8797),
    [aux_sym_elseif_clause_token2] = ACTIONS(8797),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8797),
    [aux_sym_select_case_statement_token1] = ACTIONS(8797),
    [aux_sym_format_statement_token1] = ACTIONS(8797),
    [aux_sym_print_statement_token1] = ACTIONS(8797),
    [aux_sym_open_statement_token1] = ACTIONS(8797),
    [aux_sym_inquire_statement_token1] = ACTIONS(8797),
    [aux_sym_entry_statement_token1] = ACTIONS(8797),
    [aux_sym_null_literal_token1] = ACTIONS(8797),
    [aux_sym_coarray_statement_token1] = ACTIONS(8797),
    [aux_sym_coarray_statement_token2] = ACTIONS(8797),
    [aux_sym_coarray_statement_token6] = ACTIONS(8797),
    [aux_sym_coarray_statement_token8] = ACTIONS(8797),
    [aux_sym_coarray_statement_token11] = ACTIONS(8797),
    [aux_sym_coarray_statement_token12] = ACTIONS(8797),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8797),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8797),
    [aux_sym_identifier_token1] = ACTIONS(8797),
    [sym_comment] = ACTIONS(21),
  },
  [4000] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8223),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [aux_sym_variable_declaration_repeat1] = STATE(4427),
    [anon_sym_COMMA] = ACTIONS(8767),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8801),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4001] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9489),
    [sym_concurrent_control] = STATE(7782),
    [sym_identifier] = STATE(9530),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4002] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6909),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6909),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4003] = {
    [sym_while_statement] = STATE(7279),
    [sym_concurrent_statement] = STATE(7279),
    [sym_concurrent_header] = STATE(6547),
    [sym_loop_control_expression] = STATE(7279),
    [sym_identifier] = STATE(9362),
    [sym__end_of_statement] = STATE(848),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(8805),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym_while_statement_token1] = ACTIONS(8580),
    [aux_sym_concurrent_header_token1] = ACTIONS(8582),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8805),
  },
  [4004] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8807),
    [aux_sym_block_data_statement_token1] = ACTIONS(8807),
    [aux_sym_block_data_statement_token2] = ACTIONS(8807),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8807),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8807),
    [aux_sym_language_binding_token1] = ACTIONS(8807),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8807),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8807),
    [aux_sym_use_statement_token2] = ACTIONS(8807),
    [anon_sym_COLON_COLON] = ACTIONS(8809),
    [aux_sym_implicit_statement_token3] = ACTIONS(8807),
    [aux_sym_implicit_statement_token4] = ACTIONS(8807),
    [aux_sym_save_statement_token1] = ACTIONS(8807),
    [aux_sym_private_statement_token1] = ACTIONS(8807),
    [aux_sym_public_statement_token1] = ACTIONS(8807),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8807),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8807),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8807),
    [aux_sym_variable_attributes_token1] = ACTIONS(8807),
    [aux_sym_variable_attributes_token2] = ACTIONS(8807),
    [aux_sym_variable_attributes_token3] = ACTIONS(8807),
    [aux_sym_variable_attributes_token4] = ACTIONS(8807),
    [aux_sym_variable_attributes_token5] = ACTIONS(8807),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8807),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8807),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8807),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8807),
    [aux_sym_type_qualifier_token1] = ACTIONS(8807),
    [aux_sym_type_qualifier_token2] = ACTIONS(8807),
    [aux_sym_stop_statement_token1] = ACTIONS(8807),
    [aux_sym_stop_statement_token2] = ACTIONS(8807),
    [aux_sym_subroutine_call_token1] = ACTIONS(8807),
    [aux_sym_keyword_statement_token2] = ACTIONS(8807),
    [aux_sym_keyword_statement_token3] = ACTIONS(8807),
    [aux_sym_keyword_statement_token4] = ACTIONS(8807),
    [aux_sym_include_statement_token1] = ACTIONS(8807),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8807),
    [aux_sym_end_if_statement_token1] = ACTIONS(8807),
    [aux_sym_elseif_clause_token2] = ACTIONS(8807),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8807),
    [aux_sym_select_case_statement_token1] = ACTIONS(8807),
    [aux_sym_format_statement_token1] = ACTIONS(8807),
    [aux_sym_print_statement_token1] = ACTIONS(8807),
    [aux_sym_open_statement_token1] = ACTIONS(8807),
    [aux_sym_inquire_statement_token1] = ACTIONS(8807),
    [aux_sym_entry_statement_token1] = ACTIONS(8807),
    [aux_sym_null_literal_token1] = ACTIONS(8807),
    [aux_sym_coarray_statement_token1] = ACTIONS(8807),
    [aux_sym_coarray_statement_token2] = ACTIONS(8807),
    [aux_sym_coarray_statement_token6] = ACTIONS(8807),
    [aux_sym_coarray_statement_token8] = ACTIONS(8807),
    [aux_sym_coarray_statement_token11] = ACTIONS(8807),
    [aux_sym_coarray_statement_token12] = ACTIONS(8807),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8807),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8807),
    [aux_sym_identifier_token1] = ACTIONS(8807),
    [sym_comment] = ACTIONS(21),
  },
  [4005] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_language_binding_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token1] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token4] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [4006] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8295),
    [aux_sym_block_data_statement_token1] = ACTIONS(8295),
    [aux_sym_block_data_statement_token2] = ACTIONS(8295),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8295),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8295),
    [aux_sym_language_binding_token1] = ACTIONS(8295),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8295),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8295),
    [aux_sym_use_statement_token2] = ACTIONS(8295),
    [anon_sym_COLON_COLON] = ACTIONS(8299),
    [aux_sym_implicit_statement_token3] = ACTIONS(8295),
    [aux_sym_implicit_statement_token4] = ACTIONS(8295),
    [aux_sym_save_statement_token1] = ACTIONS(8295),
    [aux_sym_private_statement_token1] = ACTIONS(8295),
    [aux_sym_public_statement_token1] = ACTIONS(8295),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8295),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8295),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8295),
    [aux_sym_variable_attributes_token1] = ACTIONS(8295),
    [aux_sym_variable_attributes_token2] = ACTIONS(8295),
    [aux_sym_variable_attributes_token3] = ACTIONS(8295),
    [aux_sym_variable_attributes_token4] = ACTIONS(8295),
    [aux_sym_variable_attributes_token5] = ACTIONS(8295),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8295),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8295),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8295),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8295),
    [aux_sym_type_qualifier_token1] = ACTIONS(8295),
    [aux_sym_type_qualifier_token2] = ACTIONS(8295),
    [aux_sym_stop_statement_token1] = ACTIONS(8295),
    [aux_sym_stop_statement_token2] = ACTIONS(8295),
    [aux_sym_subroutine_call_token1] = ACTIONS(8295),
    [aux_sym_keyword_statement_token2] = ACTIONS(8295),
    [aux_sym_keyword_statement_token3] = ACTIONS(8295),
    [aux_sym_keyword_statement_token4] = ACTIONS(8295),
    [aux_sym_include_statement_token1] = ACTIONS(8295),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8295),
    [aux_sym_end_if_statement_token1] = ACTIONS(8295),
    [aux_sym_elseif_clause_token2] = ACTIONS(8295),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8295),
    [aux_sym_select_case_statement_token1] = ACTIONS(8295),
    [aux_sym_format_statement_token1] = ACTIONS(8295),
    [aux_sym_print_statement_token1] = ACTIONS(8295),
    [aux_sym_open_statement_token1] = ACTIONS(8295),
    [aux_sym_inquire_statement_token1] = ACTIONS(8295),
    [aux_sym_entry_statement_token1] = ACTIONS(8295),
    [aux_sym_null_literal_token1] = ACTIONS(8295),
    [aux_sym_coarray_statement_token1] = ACTIONS(8295),
    [aux_sym_coarray_statement_token2] = ACTIONS(8295),
    [aux_sym_coarray_statement_token6] = ACTIONS(8295),
    [aux_sym_coarray_statement_token8] = ACTIONS(8295),
    [aux_sym_coarray_statement_token11] = ACTIONS(8295),
    [aux_sym_coarray_statement_token12] = ACTIONS(8295),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8295),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8295),
    [aux_sym_identifier_token1] = ACTIONS(8295),
    [sym_comment] = ACTIONS(21),
  },
  [4007] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(7083),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(7083),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4008] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8793),
    [aux_sym_block_data_statement_token1] = ACTIONS(8793),
    [aux_sym_block_data_statement_token2] = ACTIONS(8793),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8793),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8793),
    [aux_sym_language_binding_token1] = ACTIONS(8793),
    [aux_sym_procedure_attributes_token1] = ACTIONS(8793),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8793),
    [aux_sym_use_statement_token2] = ACTIONS(8793),
    [anon_sym_COLON_COLON] = ACTIONS(8795),
    [aux_sym_implicit_statement_token3] = ACTIONS(8793),
    [aux_sym_implicit_statement_token4] = ACTIONS(8793),
    [aux_sym_save_statement_token1] = ACTIONS(8793),
    [aux_sym_private_statement_token1] = ACTIONS(8793),
    [aux_sym_public_statement_token1] = ACTIONS(8793),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8793),
    [aux_sym_abstract_specifier_token1] = ACTIONS(8793),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8793),
    [aux_sym_variable_attributes_token1] = ACTIONS(8793),
    [aux_sym_variable_attributes_token2] = ACTIONS(8793),
    [aux_sym_variable_attributes_token3] = ACTIONS(8793),
    [aux_sym_variable_attributes_token4] = ACTIONS(8793),
    [aux_sym_variable_attributes_token5] = ACTIONS(8793),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8793),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8793),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8793),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(8793),
    [aux_sym_type_qualifier_token1] = ACTIONS(8793),
    [aux_sym_type_qualifier_token2] = ACTIONS(8793),
    [aux_sym_stop_statement_token1] = ACTIONS(8793),
    [aux_sym_stop_statement_token2] = ACTIONS(8793),
    [aux_sym_subroutine_call_token1] = ACTIONS(8793),
    [aux_sym_keyword_statement_token2] = ACTIONS(8793),
    [aux_sym_keyword_statement_token3] = ACTIONS(8793),
    [aux_sym_keyword_statement_token4] = ACTIONS(8793),
    [aux_sym_include_statement_token1] = ACTIONS(8793),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8793),
    [aux_sym_end_if_statement_token1] = ACTIONS(8793),
    [aux_sym_elseif_clause_token2] = ACTIONS(8793),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8793),
    [aux_sym_select_case_statement_token1] = ACTIONS(8793),
    [aux_sym_format_statement_token1] = ACTIONS(8793),
    [aux_sym_print_statement_token1] = ACTIONS(8793),
    [aux_sym_open_statement_token1] = ACTIONS(8793),
    [aux_sym_inquire_statement_token1] = ACTIONS(8793),
    [aux_sym_entry_statement_token1] = ACTIONS(8793),
    [aux_sym_null_literal_token1] = ACTIONS(8793),
    [aux_sym_coarray_statement_token1] = ACTIONS(8793),
    [aux_sym_coarray_statement_token2] = ACTIONS(8793),
    [aux_sym_coarray_statement_token6] = ACTIONS(8793),
    [aux_sym_coarray_statement_token8] = ACTIONS(8793),
    [aux_sym_coarray_statement_token11] = ACTIONS(8793),
    [aux_sym_coarray_statement_token12] = ACTIONS(8793),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8793),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8793),
    [aux_sym_identifier_token1] = ACTIONS(8793),
    [sym_comment] = ACTIONS(21),
  },
  [4009] = {
    [sym_assignment] = STATE(9159),
    [sym_operator] = STATE(9159),
    [sym_defined_io_procedure] = STATE(9159),
    [sym__generic_procedure] = STATE(9159),
    [sym_binding] = STATE(6896),
    [sym_binding_name] = STATE(9164),
    [sym_method_name] = STATE(6896),
    [sym_identifier] = STATE(7185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(8617),
    [aux_sym_operator_token1] = ACTIONS(8619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4010] = {
    [sym_unary_expression] = STATE(9122),
    [sym_user_defined_operator] = STATE(3657),
    [sym_number_literal] = STATE(9122),
    [sym_identifier] = STATE(9122),
    [anon_sym_PLUS] = ACTIONS(8759),
    [anon_sym_DASH] = ACTIONS(8759),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(8761),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6294),
    [sym__float_literal] = ACTIONS(6294),
    [sym__boz_literal] = ACTIONS(6294),
  },
  [4011] = {
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_RPAREN] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_else_token1] = ACTIONS(5082),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_module_statement_token1] = ACTIONS(5082),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_function_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token2] = ACTIONS(5082),
    [aux_sym_procedure_kind_token3] = ACTIONS(5082),
    [aux_sym_procedure_kind_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5082),
    [anon_sym_GT_GT_GT] = ACTIONS(5082),
    [aux_sym_enumerator_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_RBRACK] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
  },
  [4012] = {
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_RPAREN] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_else_token1] = ACTIONS(5078),
    [aux_sym_preproc_elif_token1] = ACTIONS(5076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(5078),
    [aux_sym_module_statement_token1] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym_EQ] = ACTIONS(5076),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5078),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5078),
    [aux_sym_function_statement_token1] = ACTIONS(5078),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5078),
    [anon_sym_EQ_GT] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(5078),
    [aux_sym_import_statement_token1] = ACTIONS(5078),
    [aux_sym_procedure_kind_token1] = ACTIONS(5078),
    [aux_sym_procedure_kind_token2] = ACTIONS(5078),
    [aux_sym_procedure_kind_token3] = ACTIONS(5078),
    [aux_sym_procedure_kind_token4] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5078),
    [aux_sym_derived_type_token1] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5078),
    [anon_sym_GT_GT_GT] = ACTIONS(5078),
    [aux_sym_enumerator_statement_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_RBRACK] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5078),
    [sym_comment] = ACTIONS(21),
  },
  [4013] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9069),
    [sym_identifier] = STATE(9069),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4014] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9070),
    [sym_identifier] = STATE(9070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4015] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9431),
    [sym_identifier] = STATE(9431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4016] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9074),
    [sym_identifier] = STATE(9074),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4017] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9075),
    [sym_identifier] = STATE(9075),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4018] = {
    [anon_sym_COMMA] = ACTIONS(5156),
    [anon_sym_RPAREN] = ACTIONS(5156),
    [aux_sym_preproc_if_token2] = ACTIONS(5156),
    [aux_sym_preproc_else_token1] = ACTIONS(5156),
    [aux_sym_preproc_elif_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5156),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_SLASH] = ACTIONS(5154),
    [anon_sym_PERCENT] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5156),
    [anon_sym_GT] = ACTIONS(5154),
    [anon_sym_GT_EQ] = ACTIONS(5156),
    [anon_sym_LT_EQ] = ACTIONS(5156),
    [anon_sym_LT] = ACTIONS(5154),
    [aux_sym_end_program_statement_token1] = ACTIONS(5156),
    [aux_sym_module_statement_token1] = ACTIONS(5156),
    [anon_sym_COLON] = ACTIONS(5156),
    [anon_sym_SEMI] = ACTIONS(5156),
    [anon_sym_EQ] = ACTIONS(5154),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5156),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5156),
    [aux_sym_function_statement_token1] = ACTIONS(5156),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5156),
    [anon_sym_EQ_GT] = ACTIONS(5156),
    [aux_sym_implicit_statement_token3] = ACTIONS(5156),
    [aux_sym_import_statement_token1] = ACTIONS(5156),
    [aux_sym_procedure_kind_token1] = ACTIONS(5156),
    [aux_sym_procedure_kind_token2] = ACTIONS(5156),
    [aux_sym_procedure_kind_token3] = ACTIONS(5156),
    [aux_sym_procedure_kind_token4] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5156),
    [aux_sym_derived_type_token1] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5156),
    [anon_sym_GT_GT_GT] = ACTIONS(5156),
    [aux_sym_enumerator_statement_token1] = ACTIONS(5156),
    [aux_sym_logical_expression_token1] = ACTIONS(5156),
    [aux_sym_logical_expression_token2] = ACTIONS(5156),
    [aux_sym_logical_expression_token3] = ACTIONS(5156),
    [aux_sym_logical_expression_token4] = ACTIONS(5156),
    [aux_sym_relational_expression_token1] = ACTIONS(5156),
    [aux_sym_relational_expression_token2] = ACTIONS(5156),
    [aux_sym_relational_expression_token3] = ACTIONS(5156),
    [aux_sym_relational_expression_token4] = ACTIONS(5156),
    [aux_sym_relational_expression_token5] = ACTIONS(5156),
    [anon_sym_SLASH_EQ] = ACTIONS(5156),
    [aux_sym_relational_expression_token6] = ACTIONS(5156),
    [anon_sym_SLASH_SLASH] = ACTIONS(5156),
    [anon_sym_STAR_STAR] = ACTIONS(5156),
    [anon_sym_DOT] = ACTIONS(5154),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [anon_sym_RBRACK] = ACTIONS(5156),
    [anon_sym_QMARK] = ACTIONS(5156),
    [sym_comment] = ACTIONS(21),
  },
  [4019] = {
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_RPAREN] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_else_token1] = ACTIONS(5082),
    [aux_sym_preproc_elif_token1] = ACTIONS(5080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_module_statement_token1] = ACTIONS(5082),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5080),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_function_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [anon_sym_EQ_GT] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token2] = ACTIONS(5082),
    [aux_sym_procedure_kind_token3] = ACTIONS(5082),
    [aux_sym_procedure_kind_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5082),
    [anon_sym_GT_GT_GT] = ACTIONS(5082),
    [aux_sym_enumerator_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_RBRACK] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
  },
  [4020] = {
    [sym_variable_group] = STATE(4034),
    [sym__variable_declarator] = STATE(4365),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(4365),
    [sym_identifier] = STATE(3963),
    [aux_sym_common_statement_repeat2] = STATE(4034),
    [anon_sym_SLASH] = ACTIONS(8811),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8813),
    [anon_sym_SEMI] = ACTIONS(8815),
    [aux_sym_block_data_statement_token1] = ACTIONS(8817),
    [aux_sym_block_data_statement_token2] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8817),
    [aux_sym_use_statement_token2] = ACTIONS(8817),
    [aux_sym_implicit_statement_token3] = ACTIONS(8819),
    [aux_sym_implicit_statement_token4] = ACTIONS(8817),
    [aux_sym_save_statement_token1] = ACTIONS(8817),
    [aux_sym_private_statement_token1] = ACTIONS(8817),
    [aux_sym_public_statement_token1] = ACTIONS(8817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8817),
    [aux_sym_variable_attributes_token2] = ACTIONS(8817),
    [aux_sym_variable_attributes_token3] = ACTIONS(8817),
    [aux_sym_variable_attributes_token5] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8821),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8817),
    [aux_sym_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym_stop_statement_token1] = ACTIONS(8817),
    [aux_sym_stop_statement_token2] = ACTIONS(8817),
    [aux_sym_subroutine_call_token1] = ACTIONS(8819),
    [aux_sym_keyword_statement_token2] = ACTIONS(8817),
    [aux_sym_keyword_statement_token3] = ACTIONS(8817),
    [aux_sym_keyword_statement_token4] = ACTIONS(8823),
    [aux_sym_include_statement_token1] = ACTIONS(8819),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8817),
    [aux_sym_end_if_statement_token1] = ACTIONS(8817),
    [aux_sym_elseif_clause_token2] = ACTIONS(8817),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8819),
    [aux_sym_select_case_statement_token1] = ACTIONS(8825),
    [aux_sym_format_statement_token1] = ACTIONS(8817),
    [aux_sym_print_statement_token1] = ACTIONS(8819),
    [aux_sym_open_statement_token1] = ACTIONS(8819),
    [aux_sym_inquire_statement_token1] = ACTIONS(8817),
    [aux_sym_entry_statement_token1] = ACTIONS(8817),
    [aux_sym_null_literal_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token2] = ACTIONS(8817),
    [aux_sym_coarray_statement_token6] = ACTIONS(8817),
    [aux_sym_coarray_statement_token8] = ACTIONS(8817),
    [aux_sym_coarray_statement_token11] = ACTIONS(8817),
    [aux_sym_coarray_statement_token12] = ACTIONS(8817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8817),
    [aux_sym_identifier_token1] = ACTIONS(8817),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8815),
  },
  [4021] = {
    [sym__variable_declarator] = STATE(6004),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6018),
    [sym__declaration_pointer_association] = STATE(6020),
    [sym__declaration_targets] = STATE(6158),
    [sym_coarray_declarator] = STATE(6004),
    [sym_identifier] = STATE(5845),
    [anon_sym_COMMA] = ACTIONS(8827),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [anon_sym_COLON_COLON] = ACTIONS(8829),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4022] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9358),
    [sym_identifier] = STATE(9358),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4023] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8151),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [anon_sym_COMMA] = ACTIONS(8301),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8305),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4024] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9154),
    [sym_identifier] = STATE(9154),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4025] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9155),
    [sym_identifier] = STATE(9155),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4026] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9157),
    [sym_identifier] = STATE(9157),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4027] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9158),
    [sym_identifier] = STATE(9158),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4028] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9381),
    [sym_identifier] = STATE(9381),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4029] = {
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [aux_sym_preproc_if_token2] = ACTIONS(5110),
    [aux_sym_preproc_else_token1] = ACTIONS(5110),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5110),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5108),
    [anon_sym_SLASH] = ACTIONS(5108),
    [anon_sym_PERCENT] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5110),
    [anon_sym_GT] = ACTIONS(5108),
    [anon_sym_GT_EQ] = ACTIONS(5110),
    [anon_sym_LT_EQ] = ACTIONS(5110),
    [anon_sym_LT] = ACTIONS(5108),
    [aux_sym_end_program_statement_token1] = ACTIONS(5110),
    [aux_sym_module_statement_token1] = ACTIONS(5110),
    [anon_sym_COLON] = ACTIONS(5110),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym_EQ] = ACTIONS(5108),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5110),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5110),
    [aux_sym_function_statement_token1] = ACTIONS(5110),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5110),
    [anon_sym_EQ_GT] = ACTIONS(5110),
    [aux_sym_implicit_statement_token3] = ACTIONS(5110),
    [aux_sym_import_statement_token1] = ACTIONS(5110),
    [aux_sym_procedure_kind_token1] = ACTIONS(5110),
    [aux_sym_procedure_kind_token2] = ACTIONS(5110),
    [aux_sym_procedure_kind_token3] = ACTIONS(5110),
    [aux_sym_procedure_kind_token4] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5110),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5110),
    [aux_sym_derived_type_token1] = ACTIONS(5110),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5110),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5110),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5110),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5110),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5110),
    [anon_sym_GT_GT_GT] = ACTIONS(5110),
    [aux_sym_enumerator_statement_token1] = ACTIONS(5110),
    [aux_sym_logical_expression_token1] = ACTIONS(5110),
    [aux_sym_logical_expression_token2] = ACTIONS(5110),
    [aux_sym_logical_expression_token3] = ACTIONS(5110),
    [aux_sym_logical_expression_token4] = ACTIONS(5110),
    [aux_sym_relational_expression_token1] = ACTIONS(5110),
    [aux_sym_relational_expression_token2] = ACTIONS(5110),
    [aux_sym_relational_expression_token3] = ACTIONS(5110),
    [aux_sym_relational_expression_token4] = ACTIONS(5110),
    [aux_sym_relational_expression_token5] = ACTIONS(5110),
    [anon_sym_SLASH_EQ] = ACTIONS(5110),
    [aux_sym_relational_expression_token6] = ACTIONS(5110),
    [anon_sym_SLASH_SLASH] = ACTIONS(5110),
    [anon_sym_STAR_STAR] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [anon_sym_RBRACK] = ACTIONS(5110),
    [anon_sym_QMARK] = ACTIONS(5110),
    [sym_comment] = ACTIONS(21),
  },
  [4030] = {
    [sym_character_length] = STATE(4049),
    [anon_sym_COMMA] = ACTIONS(8831),
    [anon_sym_STAR] = ACTIONS(8727),
    [anon_sym_SLASH] = ACTIONS(8831),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8833),
    [anon_sym_SEMI] = ACTIONS(8831),
    [aux_sym_block_data_statement_token1] = ACTIONS(8833),
    [aux_sym_block_data_statement_token2] = ACTIONS(8833),
    [anon_sym_EQ] = ACTIONS(8833),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8833),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8833),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8833),
    [aux_sym_use_statement_token2] = ACTIONS(8833),
    [anon_sym_EQ_GT] = ACTIONS(8831),
    [aux_sym_implicit_statement_token3] = ACTIONS(8833),
    [aux_sym_implicit_statement_token4] = ACTIONS(8833),
    [aux_sym_save_statement_token1] = ACTIONS(8833),
    [aux_sym_private_statement_token1] = ACTIONS(8833),
    [aux_sym_public_statement_token1] = ACTIONS(8833),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8833),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8833),
    [aux_sym_variable_attributes_token2] = ACTIONS(8833),
    [aux_sym_variable_attributes_token3] = ACTIONS(8833),
    [aux_sym_variable_attributes_token5] = ACTIONS(8833),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8833),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8833),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8833),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8833),
    [aux_sym_type_qualifier_token1] = ACTIONS(8833),
    [aux_sym_type_qualifier_token2] = ACTIONS(8833),
    [aux_sym_stop_statement_token1] = ACTIONS(8833),
    [aux_sym_stop_statement_token2] = ACTIONS(8833),
    [aux_sym_subroutine_call_token1] = ACTIONS(8833),
    [aux_sym_keyword_statement_token2] = ACTIONS(8833),
    [aux_sym_keyword_statement_token3] = ACTIONS(8833),
    [aux_sym_keyword_statement_token4] = ACTIONS(8833),
    [aux_sym_include_statement_token1] = ACTIONS(8833),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8833),
    [aux_sym_end_if_statement_token1] = ACTIONS(8833),
    [aux_sym_elseif_clause_token2] = ACTIONS(8833),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8833),
    [aux_sym_select_case_statement_token1] = ACTIONS(8833),
    [aux_sym_format_statement_token1] = ACTIONS(8833),
    [aux_sym_print_statement_token1] = ACTIONS(8833),
    [aux_sym_open_statement_token1] = ACTIONS(8833),
    [aux_sym_inquire_statement_token1] = ACTIONS(8833),
    [aux_sym_entry_statement_token1] = ACTIONS(8833),
    [anon_sym_LBRACK] = ACTIONS(8831),
    [aux_sym_null_literal_token1] = ACTIONS(8833),
    [aux_sym_coarray_statement_token1] = ACTIONS(8833),
    [aux_sym_coarray_statement_token2] = ACTIONS(8833),
    [aux_sym_coarray_statement_token6] = ACTIONS(8833),
    [aux_sym_coarray_statement_token8] = ACTIONS(8833),
    [aux_sym_coarray_statement_token11] = ACTIONS(8833),
    [aux_sym_coarray_statement_token12] = ACTIONS(8833),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8833),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8833),
    [aux_sym_identifier_token1] = ACTIONS(8833),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8831),
  },
  [4031] = {
    [anon_sym_COMMA] = ACTIONS(8835),
    [anon_sym_LPAREN2] = ACTIONS(8837),
    [anon_sym_SLASH] = ACTIONS(8835),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8839),
    [anon_sym_SEMI] = ACTIONS(8835),
    [aux_sym_block_data_statement_token1] = ACTIONS(8839),
    [aux_sym_block_data_statement_token2] = ACTIONS(8839),
    [anon_sym_EQ] = ACTIONS(8839),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8839),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8839),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8839),
    [aux_sym_use_statement_token2] = ACTIONS(8839),
    [anon_sym_EQ_GT] = ACTIONS(8835),
    [aux_sym_implicit_statement_token3] = ACTIONS(8839),
    [aux_sym_implicit_statement_token4] = ACTIONS(8839),
    [aux_sym_save_statement_token1] = ACTIONS(8839),
    [aux_sym_private_statement_token1] = ACTIONS(8839),
    [aux_sym_public_statement_token1] = ACTIONS(8839),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8839),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8839),
    [aux_sym_variable_attributes_token2] = ACTIONS(8839),
    [aux_sym_variable_attributes_token3] = ACTIONS(8839),
    [aux_sym_variable_attributes_token5] = ACTIONS(8839),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8839),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8839),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8839),
    [aux_sym_kind_token1] = ACTIONS(8841),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8839),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8839),
    [aux_sym_type_qualifier_token1] = ACTIONS(8839),
    [aux_sym_type_qualifier_token2] = ACTIONS(8839),
    [aux_sym_stop_statement_token1] = ACTIONS(8839),
    [aux_sym_stop_statement_token2] = ACTIONS(8839),
    [aux_sym_subroutine_call_token1] = ACTIONS(8839),
    [aux_sym_keyword_statement_token2] = ACTIONS(8839),
    [aux_sym_keyword_statement_token3] = ACTIONS(8839),
    [aux_sym_keyword_statement_token4] = ACTIONS(8839),
    [aux_sym_include_statement_token1] = ACTIONS(8839),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8839),
    [aux_sym_end_if_statement_token1] = ACTIONS(8839),
    [aux_sym_elseif_clause_token2] = ACTIONS(8839),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8839),
    [aux_sym_select_case_statement_token1] = ACTIONS(8839),
    [aux_sym_format_statement_token1] = ACTIONS(8839),
    [aux_sym_print_statement_token1] = ACTIONS(8839),
    [aux_sym_open_statement_token1] = ACTIONS(8839),
    [aux_sym_inquire_statement_token1] = ACTIONS(8839),
    [aux_sym_entry_statement_token1] = ACTIONS(8839),
    [anon_sym_LBRACK] = ACTIONS(8835),
    [aux_sym_null_literal_token1] = ACTIONS(8839),
    [aux_sym_coarray_statement_token1] = ACTIONS(8839),
    [aux_sym_coarray_statement_token2] = ACTIONS(8839),
    [aux_sym_coarray_statement_token6] = ACTIONS(8839),
    [aux_sym_coarray_statement_token8] = ACTIONS(8839),
    [aux_sym_coarray_statement_token11] = ACTIONS(8839),
    [aux_sym_coarray_statement_token12] = ACTIONS(8839),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8839),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8839),
    [aux_sym_identifier_token1] = ACTIONS(8839),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8835),
  },
  [4032] = {
    [anon_sym_COMMA] = ACTIONS(5132),
    [anon_sym_RPAREN] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_else_token1] = ACTIONS(5132),
    [aux_sym_preproc_elif_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5130),
    [anon_sym_SLASH] = ACTIONS(5130),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5130),
    [anon_sym_GT_EQ] = ACTIONS(5132),
    [anon_sym_LT_EQ] = ACTIONS(5132),
    [anon_sym_LT] = ACTIONS(5130),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_module_statement_token1] = ACTIONS(5132),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5132),
    [anon_sym_EQ] = ACTIONS(5130),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_function_statement_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [anon_sym_EQ_GT] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_procedure_kind_token1] = ACTIONS(5132),
    [aux_sym_procedure_kind_token2] = ACTIONS(5132),
    [aux_sym_procedure_kind_token3] = ACTIONS(5132),
    [aux_sym_procedure_kind_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5132),
    [anon_sym_GT_GT_GT] = ACTIONS(5132),
    [aux_sym_enumerator_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token2] = ACTIONS(5132),
    [aux_sym_logical_expression_token3] = ACTIONS(5132),
    [aux_sym_logical_expression_token4] = ACTIONS(5132),
    [aux_sym_relational_expression_token1] = ACTIONS(5132),
    [aux_sym_relational_expression_token2] = ACTIONS(5132),
    [aux_sym_relational_expression_token3] = ACTIONS(5132),
    [aux_sym_relational_expression_token4] = ACTIONS(5132),
    [aux_sym_relational_expression_token5] = ACTIONS(5132),
    [anon_sym_SLASH_EQ] = ACTIONS(5132),
    [aux_sym_relational_expression_token6] = ACTIONS(5132),
    [anon_sym_SLASH_SLASH] = ACTIONS(5132),
    [anon_sym_STAR_STAR] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [anon_sym_RBRACK] = ACTIONS(5132),
    [anon_sym_QMARK] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
  },
  [4033] = {
    [sym__intrinsic_type] = STATE(6868),
    [sym_intrinsic_type] = STATE(9403),
    [sym_identifier] = STATE(9403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token2] = ACTIONS(85),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8803),
    [aux_sym__intrinsic_type_token4] = ACTIONS(87),
    [aux_sym__intrinsic_type_token6] = ACTIONS(85),
    [aux_sym__intrinsic_type_token7] = ACTIONS(85),
    [aux_sym__intrinsic_type_token8] = ACTIONS(89),
    [aux_sym__intrinsic_type_token9] = ACTIONS(85),
    [aux_sym__intrinsic_type_token10] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4034] = {
    [sym_variable_group] = STATE(4034),
    [sym__variable_declarator] = STATE(4365),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(4365),
    [sym_identifier] = STATE(3963),
    [aux_sym_common_statement_repeat2] = STATE(4034),
    [anon_sym_SLASH] = ACTIONS(8843),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8846),
    [anon_sym_SEMI] = ACTIONS(8849),
    [aux_sym_block_data_statement_token1] = ACTIONS(8851),
    [aux_sym_block_data_statement_token2] = ACTIONS(8851),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8851),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8851),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8851),
    [aux_sym_use_statement_token2] = ACTIONS(8851),
    [aux_sym_implicit_statement_token3] = ACTIONS(8854),
    [aux_sym_implicit_statement_token4] = ACTIONS(8851),
    [aux_sym_save_statement_token1] = ACTIONS(8851),
    [aux_sym_private_statement_token1] = ACTIONS(8851),
    [aux_sym_public_statement_token1] = ACTIONS(8851),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8851),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8851),
    [aux_sym_variable_attributes_token2] = ACTIONS(8851),
    [aux_sym_variable_attributes_token3] = ACTIONS(8851),
    [aux_sym_variable_attributes_token5] = ACTIONS(8851),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8851),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8851),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8857),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8854),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8854),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8851),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8851),
    [aux_sym_type_qualifier_token1] = ACTIONS(8851),
    [aux_sym_type_qualifier_token2] = ACTIONS(8851),
    [aux_sym_stop_statement_token1] = ACTIONS(8851),
    [aux_sym_stop_statement_token2] = ACTIONS(8851),
    [aux_sym_subroutine_call_token1] = ACTIONS(8854),
    [aux_sym_keyword_statement_token2] = ACTIONS(8851),
    [aux_sym_keyword_statement_token3] = ACTIONS(8851),
    [aux_sym_keyword_statement_token4] = ACTIONS(8860),
    [aux_sym_include_statement_token1] = ACTIONS(8854),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8851),
    [aux_sym_end_if_statement_token1] = ACTIONS(8851),
    [aux_sym_elseif_clause_token2] = ACTIONS(8851),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8854),
    [aux_sym_select_case_statement_token1] = ACTIONS(8863),
    [aux_sym_format_statement_token1] = ACTIONS(8851),
    [aux_sym_print_statement_token1] = ACTIONS(8854),
    [aux_sym_open_statement_token1] = ACTIONS(8854),
    [aux_sym_inquire_statement_token1] = ACTIONS(8851),
    [aux_sym_entry_statement_token1] = ACTIONS(8851),
    [aux_sym_null_literal_token1] = ACTIONS(8851),
    [aux_sym_coarray_statement_token1] = ACTIONS(8851),
    [aux_sym_coarray_statement_token2] = ACTIONS(8851),
    [aux_sym_coarray_statement_token6] = ACTIONS(8851),
    [aux_sym_coarray_statement_token8] = ACTIONS(8851),
    [aux_sym_coarray_statement_token11] = ACTIONS(8851),
    [aux_sym_coarray_statement_token12] = ACTIONS(8851),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8851),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8851),
    [aux_sym_identifier_token1] = ACTIONS(8851),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8849),
  },
  [4035] = {
    [anon_sym_COMMA] = ACTIONS(8866),
    [anon_sym_LPAREN2] = ACTIONS(8868),
    [anon_sym_SLASH] = ACTIONS(8866),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8870),
    [anon_sym_SEMI] = ACTIONS(8866),
    [aux_sym_block_data_statement_token1] = ACTIONS(8870),
    [aux_sym_block_data_statement_token2] = ACTIONS(8870),
    [anon_sym_EQ] = ACTIONS(8870),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8870),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8870),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8870),
    [aux_sym_use_statement_token2] = ACTIONS(8870),
    [anon_sym_EQ_GT] = ACTIONS(8866),
    [aux_sym_implicit_statement_token3] = ACTIONS(8870),
    [aux_sym_implicit_statement_token4] = ACTIONS(8870),
    [aux_sym_save_statement_token1] = ACTIONS(8870),
    [aux_sym_private_statement_token1] = ACTIONS(8870),
    [aux_sym_public_statement_token1] = ACTIONS(8870),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8870),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8870),
    [aux_sym_variable_attributes_token2] = ACTIONS(8870),
    [aux_sym_variable_attributes_token3] = ACTIONS(8870),
    [aux_sym_variable_attributes_token5] = ACTIONS(8870),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8870),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8870),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8870),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8870),
    [aux_sym_type_qualifier_token1] = ACTIONS(8870),
    [aux_sym_type_qualifier_token2] = ACTIONS(8870),
    [aux_sym_stop_statement_token1] = ACTIONS(8870),
    [aux_sym_stop_statement_token2] = ACTIONS(8870),
    [aux_sym_subroutine_call_token1] = ACTIONS(8870),
    [aux_sym_keyword_statement_token2] = ACTIONS(8870),
    [aux_sym_keyword_statement_token3] = ACTIONS(8870),
    [aux_sym_keyword_statement_token4] = ACTIONS(8870),
    [aux_sym_include_statement_token1] = ACTIONS(8870),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8870),
    [aux_sym_end_if_statement_token1] = ACTIONS(8870),
    [aux_sym_elseif_clause_token2] = ACTIONS(8870),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8870),
    [aux_sym_select_case_statement_token1] = ACTIONS(8870),
    [aux_sym_format_statement_token1] = ACTIONS(8870),
    [aux_sym_print_statement_token1] = ACTIONS(8870),
    [aux_sym_open_statement_token1] = ACTIONS(8870),
    [aux_sym_inquire_statement_token1] = ACTIONS(8870),
    [aux_sym_entry_statement_token1] = ACTIONS(8870),
    [anon_sym_LBRACK] = ACTIONS(8866),
    [aux_sym_null_literal_token1] = ACTIONS(8870),
    [aux_sym_coarray_statement_token1] = ACTIONS(8870),
    [aux_sym_coarray_statement_token2] = ACTIONS(8870),
    [aux_sym_coarray_statement_token6] = ACTIONS(8870),
    [aux_sym_coarray_statement_token8] = ACTIONS(8870),
    [aux_sym_coarray_statement_token11] = ACTIONS(8870),
    [aux_sym_coarray_statement_token12] = ACTIONS(8870),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8870),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8870),
    [aux_sym_identifier_token1] = ACTIONS(8870),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8866),
  },
  [4036] = {
    [sym_coarray_index] = STATE(4141),
    [anon_sym_COMMA] = ACTIONS(8723),
    [anon_sym_SLASH] = ACTIONS(8723),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8729),
    [anon_sym_SEMI] = ACTIONS(8723),
    [aux_sym_block_data_statement_token1] = ACTIONS(8729),
    [aux_sym_block_data_statement_token2] = ACTIONS(8729),
    [anon_sym_EQ] = ACTIONS(8729),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8729),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8729),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8729),
    [aux_sym_use_statement_token2] = ACTIONS(8729),
    [anon_sym_EQ_GT] = ACTIONS(8723),
    [aux_sym_implicit_statement_token3] = ACTIONS(8729),
    [aux_sym_implicit_statement_token4] = ACTIONS(8729),
    [aux_sym_save_statement_token1] = ACTIONS(8729),
    [aux_sym_private_statement_token1] = ACTIONS(8729),
    [aux_sym_public_statement_token1] = ACTIONS(8729),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8729),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8729),
    [aux_sym_variable_attributes_token2] = ACTIONS(8729),
    [aux_sym_variable_attributes_token3] = ACTIONS(8729),
    [aux_sym_variable_attributes_token5] = ACTIONS(8729),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8729),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8729),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8729),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8729),
    [aux_sym_type_qualifier_token1] = ACTIONS(8729),
    [aux_sym_type_qualifier_token2] = ACTIONS(8729),
    [aux_sym_stop_statement_token1] = ACTIONS(8729),
    [aux_sym_stop_statement_token2] = ACTIONS(8729),
    [aux_sym_subroutine_call_token1] = ACTIONS(8729),
    [aux_sym_keyword_statement_token2] = ACTIONS(8729),
    [aux_sym_keyword_statement_token3] = ACTIONS(8729),
    [aux_sym_keyword_statement_token4] = ACTIONS(8729),
    [aux_sym_include_statement_token1] = ACTIONS(8729),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8729),
    [aux_sym_end_if_statement_token1] = ACTIONS(8729),
    [aux_sym_elseif_clause_token2] = ACTIONS(8729),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8729),
    [aux_sym_select_case_statement_token1] = ACTIONS(8729),
    [aux_sym_format_statement_token1] = ACTIONS(8729),
    [aux_sym_print_statement_token1] = ACTIONS(8729),
    [aux_sym_open_statement_token1] = ACTIONS(8729),
    [aux_sym_inquire_statement_token1] = ACTIONS(8729),
    [aux_sym_entry_statement_token1] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [aux_sym_null_literal_token1] = ACTIONS(8729),
    [aux_sym_coarray_statement_token1] = ACTIONS(8729),
    [aux_sym_coarray_statement_token2] = ACTIONS(8729),
    [aux_sym_coarray_statement_token6] = ACTIONS(8729),
    [aux_sym_coarray_statement_token8] = ACTIONS(8729),
    [aux_sym_coarray_statement_token11] = ACTIONS(8729),
    [aux_sym_coarray_statement_token12] = ACTIONS(8729),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8729),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8729),
    [aux_sym_identifier_token1] = ACTIONS(8729),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8723),
  },
  [4037] = {
    [sym_assignment] = STATE(7262),
    [sym_operator] = STATE(7262),
    [sym_defined_io_procedure] = STATE(7262),
    [sym__generic_procedure] = STATE(7262),
    [sym_use_alias] = STATE(7262),
    [sym_identifier] = STATE(7219),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4038] = {
    [sym_assignment] = STATE(6965),
    [sym_operator] = STATE(6965),
    [sym_defined_io_procedure] = STATE(6965),
    [sym__generic_procedure] = STATE(6965),
    [sym_identifier] = STATE(6965),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4039] = {
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5082),
  },
  [4040] = {
    [anon_sym_COMMA] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5132),
    [anon_sym_SLASH] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5132),
    [aux_sym_block_data_statement_token1] = ACTIONS(5130),
    [aux_sym_block_data_statement_token2] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5130),
    [aux_sym_use_statement_token2] = ACTIONS(5130),
    [aux_sym_implicit_statement_token3] = ACTIONS(5130),
    [aux_sym_implicit_statement_token4] = ACTIONS(5130),
    [aux_sym_save_statement_token1] = ACTIONS(5130),
    [aux_sym_private_statement_token1] = ACTIONS(5130),
    [aux_sym_public_statement_token1] = ACTIONS(5130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5130),
    [aux_sym_variable_attributes_token2] = ACTIONS(5130),
    [aux_sym_variable_attributes_token3] = ACTIONS(5130),
    [aux_sym_variable_attributes_token5] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5130),
    [aux_sym_type_qualifier_token1] = ACTIONS(5130),
    [aux_sym_type_qualifier_token2] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5130),
    [aux_sym_stop_statement_token2] = ACTIONS(5130),
    [aux_sym_subroutine_call_token1] = ACTIONS(5130),
    [aux_sym_keyword_statement_token2] = ACTIONS(5130),
    [aux_sym_keyword_statement_token3] = ACTIONS(5130),
    [aux_sym_keyword_statement_token4] = ACTIONS(5130),
    [aux_sym_include_statement_token1] = ACTIONS(5130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5130),
    [aux_sym_end_if_statement_token1] = ACTIONS(5130),
    [aux_sym_elseif_clause_token2] = ACTIONS(5130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5130),
    [aux_sym_select_case_statement_token1] = ACTIONS(5130),
    [aux_sym_format_statement_token1] = ACTIONS(5130),
    [aux_sym_print_statement_token1] = ACTIONS(5130),
    [aux_sym_open_statement_token1] = ACTIONS(5130),
    [aux_sym_inquire_statement_token1] = ACTIONS(5130),
    [aux_sym_entry_statement_token1] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_statement_token2] = ACTIONS(5130),
    [aux_sym_coarray_statement_token6] = ACTIONS(5130),
    [aux_sym_coarray_statement_token8] = ACTIONS(5130),
    [aux_sym_coarray_statement_token11] = ACTIONS(5130),
    [aux_sym_coarray_statement_token12] = ACTIONS(5130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5130),
    [aux_sym_identifier_token1] = ACTIONS(5130),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5132),
  },
  [4041] = {
    [anon_sym_COMMA] = ACTIONS(5156),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_SLASH] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5154),
    [anon_sym_SEMI] = ACTIONS(5156),
    [aux_sym_block_data_statement_token1] = ACTIONS(5154),
    [aux_sym_block_data_statement_token2] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5154),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5154),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5154),
    [aux_sym_use_statement_token2] = ACTIONS(5154),
    [aux_sym_implicit_statement_token3] = ACTIONS(5154),
    [aux_sym_implicit_statement_token4] = ACTIONS(5154),
    [aux_sym_save_statement_token1] = ACTIONS(5154),
    [aux_sym_private_statement_token1] = ACTIONS(5154),
    [aux_sym_public_statement_token1] = ACTIONS(5154),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5154),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5154),
    [aux_sym_variable_attributes_token2] = ACTIONS(5154),
    [aux_sym_variable_attributes_token3] = ACTIONS(5154),
    [aux_sym_variable_attributes_token5] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5154),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5154),
    [aux_sym_type_qualifier_token1] = ACTIONS(5154),
    [aux_sym_type_qualifier_token2] = ACTIONS(5154),
    [aux_sym_stop_statement_token1] = ACTIONS(5154),
    [aux_sym_stop_statement_token2] = ACTIONS(5154),
    [aux_sym_subroutine_call_token1] = ACTIONS(5154),
    [aux_sym_keyword_statement_token2] = ACTIONS(5154),
    [aux_sym_keyword_statement_token3] = ACTIONS(5154),
    [aux_sym_keyword_statement_token4] = ACTIONS(5154),
    [aux_sym_include_statement_token1] = ACTIONS(5154),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5154),
    [aux_sym_end_if_statement_token1] = ACTIONS(5154),
    [aux_sym_elseif_clause_token2] = ACTIONS(5154),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5154),
    [aux_sym_select_case_statement_token1] = ACTIONS(5154),
    [aux_sym_format_statement_token1] = ACTIONS(5154),
    [aux_sym_print_statement_token1] = ACTIONS(5154),
    [aux_sym_open_statement_token1] = ACTIONS(5154),
    [aux_sym_inquire_statement_token1] = ACTIONS(5154),
    [aux_sym_entry_statement_token1] = ACTIONS(5154),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [aux_sym_null_literal_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_statement_token2] = ACTIONS(5154),
    [aux_sym_coarray_statement_token6] = ACTIONS(5154),
    [aux_sym_coarray_statement_token8] = ACTIONS(5154),
    [aux_sym_coarray_statement_token11] = ACTIONS(5154),
    [aux_sym_coarray_statement_token12] = ACTIONS(5154),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5154),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5154),
    [aux_sym_identifier_token1] = ACTIONS(5154),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5156),
  },
  [4042] = {
    [sym__variable_declarator] = STATE(6004),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6018),
    [sym__declaration_pointer_association] = STATE(6020),
    [sym__declaration_targets] = STATE(6187),
    [sym_coarray_declarator] = STATE(6004),
    [sym_identifier] = STATE(5845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4043] = {
    [sym_assignment] = STATE(6962),
    [sym_operator] = STATE(6962),
    [sym_defined_io_procedure] = STATE(6962),
    [sym__generic_procedure] = STATE(6962),
    [sym_identifier] = STATE(6962),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4044] = {
    [sym_assignment] = STATE(7000),
    [sym_operator] = STATE(7000),
    [sym_defined_io_procedure] = STATE(7000),
    [sym__generic_procedure] = STATE(7000),
    [sym_identifier] = STATE(7000),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4045] = {
    [anon_sym_COMMA] = ACTIONS(8872),
    [anon_sym_SLASH] = ACTIONS(8872),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8874),
    [anon_sym_SEMI] = ACTIONS(8872),
    [aux_sym_block_data_statement_token1] = ACTIONS(8874),
    [aux_sym_block_data_statement_token2] = ACTIONS(8874),
    [anon_sym_EQ] = ACTIONS(8874),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8874),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8874),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8874),
    [aux_sym_use_statement_token2] = ACTIONS(8874),
    [anon_sym_EQ_GT] = ACTIONS(8872),
    [aux_sym_implicit_statement_token3] = ACTIONS(8874),
    [aux_sym_implicit_statement_token4] = ACTIONS(8874),
    [aux_sym_save_statement_token1] = ACTIONS(8874),
    [aux_sym_private_statement_token1] = ACTIONS(8874),
    [aux_sym_public_statement_token1] = ACTIONS(8874),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8874),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8874),
    [aux_sym_variable_attributes_token2] = ACTIONS(8874),
    [aux_sym_variable_attributes_token3] = ACTIONS(8874),
    [aux_sym_variable_attributes_token5] = ACTIONS(8874),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8874),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8874),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8874),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8874),
    [aux_sym_type_qualifier_token1] = ACTIONS(8874),
    [aux_sym_type_qualifier_token2] = ACTIONS(8874),
    [aux_sym_stop_statement_token1] = ACTIONS(8874),
    [aux_sym_stop_statement_token2] = ACTIONS(8874),
    [aux_sym_subroutine_call_token1] = ACTIONS(8874),
    [aux_sym_keyword_statement_token2] = ACTIONS(8874),
    [aux_sym_keyword_statement_token3] = ACTIONS(8874),
    [aux_sym_keyword_statement_token4] = ACTIONS(8874),
    [aux_sym_include_statement_token1] = ACTIONS(8874),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8874),
    [aux_sym_end_if_statement_token1] = ACTIONS(8874),
    [aux_sym_elseif_clause_token2] = ACTIONS(8874),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8874),
    [aux_sym_select_case_statement_token1] = ACTIONS(8874),
    [aux_sym_format_statement_token1] = ACTIONS(8874),
    [aux_sym_print_statement_token1] = ACTIONS(8874),
    [aux_sym_open_statement_token1] = ACTIONS(8874),
    [aux_sym_inquire_statement_token1] = ACTIONS(8874),
    [aux_sym_entry_statement_token1] = ACTIONS(8874),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [aux_sym_null_literal_token1] = ACTIONS(8874),
    [aux_sym_coarray_statement_token1] = ACTIONS(8874),
    [aux_sym_coarray_statement_token2] = ACTIONS(8874),
    [aux_sym_coarray_statement_token6] = ACTIONS(8874),
    [aux_sym_coarray_statement_token8] = ACTIONS(8874),
    [aux_sym_coarray_statement_token11] = ACTIONS(8874),
    [aux_sym_coarray_statement_token12] = ACTIONS(8874),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8874),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8874),
    [aux_sym_identifier_token1] = ACTIONS(8874),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8872),
  },
  [4046] = {
    [sym_assignment] = STATE(6969),
    [sym_operator] = STATE(6969),
    [sym_defined_io_procedure] = STATE(6969),
    [sym__generic_procedure] = STATE(6969),
    [sym_identifier] = STATE(6969),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4047] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8409),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4048] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8215),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4049] = {
    [anon_sym_COMMA] = ACTIONS(8876),
    [anon_sym_SLASH] = ACTIONS(8876),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8878),
    [anon_sym_SEMI] = ACTIONS(8876),
    [aux_sym_block_data_statement_token1] = ACTIONS(8878),
    [aux_sym_block_data_statement_token2] = ACTIONS(8878),
    [anon_sym_EQ] = ACTIONS(8878),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8878),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8878),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8878),
    [aux_sym_use_statement_token2] = ACTIONS(8878),
    [anon_sym_EQ_GT] = ACTIONS(8876),
    [aux_sym_implicit_statement_token3] = ACTIONS(8878),
    [aux_sym_implicit_statement_token4] = ACTIONS(8878),
    [aux_sym_save_statement_token1] = ACTIONS(8878),
    [aux_sym_private_statement_token1] = ACTIONS(8878),
    [aux_sym_public_statement_token1] = ACTIONS(8878),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8878),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8878),
    [aux_sym_variable_attributes_token2] = ACTIONS(8878),
    [aux_sym_variable_attributes_token3] = ACTIONS(8878),
    [aux_sym_variable_attributes_token5] = ACTIONS(8878),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8878),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8878),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8878),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8878),
    [aux_sym_type_qualifier_token1] = ACTIONS(8878),
    [aux_sym_type_qualifier_token2] = ACTIONS(8878),
    [aux_sym_stop_statement_token1] = ACTIONS(8878),
    [aux_sym_stop_statement_token2] = ACTIONS(8878),
    [aux_sym_subroutine_call_token1] = ACTIONS(8878),
    [aux_sym_keyword_statement_token2] = ACTIONS(8878),
    [aux_sym_keyword_statement_token3] = ACTIONS(8878),
    [aux_sym_keyword_statement_token4] = ACTIONS(8878),
    [aux_sym_include_statement_token1] = ACTIONS(8878),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8878),
    [aux_sym_end_if_statement_token1] = ACTIONS(8878),
    [aux_sym_elseif_clause_token2] = ACTIONS(8878),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8878),
    [aux_sym_select_case_statement_token1] = ACTIONS(8878),
    [aux_sym_format_statement_token1] = ACTIONS(8878),
    [aux_sym_print_statement_token1] = ACTIONS(8878),
    [aux_sym_open_statement_token1] = ACTIONS(8878),
    [aux_sym_inquire_statement_token1] = ACTIONS(8878),
    [aux_sym_entry_statement_token1] = ACTIONS(8878),
    [anon_sym_LBRACK] = ACTIONS(8876),
    [aux_sym_null_literal_token1] = ACTIONS(8878),
    [aux_sym_coarray_statement_token1] = ACTIONS(8878),
    [aux_sym_coarray_statement_token2] = ACTIONS(8878),
    [aux_sym_coarray_statement_token6] = ACTIONS(8878),
    [aux_sym_coarray_statement_token8] = ACTIONS(8878),
    [aux_sym_coarray_statement_token11] = ACTIONS(8878),
    [aux_sym_coarray_statement_token12] = ACTIONS(8878),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8878),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8878),
    [aux_sym_identifier_token1] = ACTIONS(8878),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8876),
  },
  [4050] = {
    [sym_assignment] = STATE(7076),
    [sym_operator] = STATE(7076),
    [sym_defined_io_procedure] = STATE(7076),
    [sym__generic_procedure] = STATE(7076),
    [sym_identifier] = STATE(7076),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4051] = {
    [sym_assignment] = STATE(7078),
    [sym_operator] = STATE(7078),
    [sym_defined_io_procedure] = STATE(7078),
    [sym__generic_procedure] = STATE(7078),
    [sym_identifier] = STATE(7078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4052] = {
    [sym_assignment] = STATE(6931),
    [sym_operator] = STATE(6931),
    [sym_defined_io_procedure] = STATE(6931),
    [sym__generic_procedure] = STATE(6931),
    [sym_identifier] = STATE(6931),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4053] = {
    [sym_assignment] = STATE(6960),
    [sym_operator] = STATE(6960),
    [sym_defined_io_procedure] = STATE(6960),
    [sym__generic_procedure] = STATE(6960),
    [sym_identifier] = STATE(6960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4054] = {
    [sym_assignment] = STATE(7015),
    [sym_operator] = STATE(7015),
    [sym_defined_io_procedure] = STATE(7015),
    [sym__generic_procedure] = STATE(7015),
    [sym_identifier] = STATE(7015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4055] = {
    [sym_assignment] = STATE(7025),
    [sym_operator] = STATE(7025),
    [sym_defined_io_procedure] = STATE(7025),
    [sym__generic_procedure] = STATE(7025),
    [sym_identifier] = STATE(7025),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4056] = {
    [sym_assignment] = STATE(6974),
    [sym_operator] = STATE(6974),
    [sym_defined_io_procedure] = STATE(6974),
    [sym__generic_procedure] = STATE(6974),
    [sym_identifier] = STATE(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4057] = {
    [sym_assignment] = STATE(7012),
    [sym_operator] = STATE(7012),
    [sym_defined_io_procedure] = STATE(7012),
    [sym__generic_procedure] = STATE(7012),
    [sym_identifier] = STATE(7012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4058] = {
    [sym_assignment] = STATE(6892),
    [sym_operator] = STATE(6892),
    [sym_defined_io_procedure] = STATE(6892),
    [sym__generic_procedure] = STATE(6892),
    [sym_identifier] = STATE(6892),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4059] = {
    [sym_assignment] = STATE(6894),
    [sym_operator] = STATE(6894),
    [sym_defined_io_procedure] = STATE(6894),
    [sym__generic_procedure] = STATE(6894),
    [sym_identifier] = STATE(6894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4060] = {
    [sym_assignment] = STATE(7013),
    [sym_operator] = STATE(7013),
    [sym_defined_io_procedure] = STATE(7013),
    [sym__generic_procedure] = STATE(7013),
    [sym_identifier] = STATE(7013),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4061] = {
    [sym_assignment] = STATE(7017),
    [sym_operator] = STATE(7017),
    [sym_defined_io_procedure] = STATE(7017),
    [sym__generic_procedure] = STATE(7017),
    [sym_identifier] = STATE(7017),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4062] = {
    [sym_parenthesized_expression] = STATE(4246),
    [sym__block_label] = STATE(8065),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(809),
    [anon_sym_LPAREN2] = ACTIONS(8880),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8882),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8882),
  },
  [4063] = {
    [sym_assignment] = STATE(6884),
    [sym_operator] = STATE(6884),
    [sym_defined_io_procedure] = STATE(6884),
    [sym__generic_procedure] = STATE(6884),
    [sym_identifier] = STATE(6884),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4064] = {
    [sym_assignment] = STATE(6886),
    [sym_operator] = STATE(6886),
    [sym_defined_io_procedure] = STATE(6886),
    [sym__generic_procedure] = STATE(6886),
    [sym_identifier] = STATE(6886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4065] = {
    [sym_assignment] = STATE(6933),
    [sym_operator] = STATE(6933),
    [sym_defined_io_procedure] = STATE(6933),
    [sym__generic_procedure] = STATE(6933),
    [sym_identifier] = STATE(6933),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4066] = {
    [sym_assignment] = STATE(6936),
    [sym_operator] = STATE(6936),
    [sym_defined_io_procedure] = STATE(6936),
    [sym__generic_procedure] = STATE(6936),
    [sym_identifier] = STATE(6936),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4067] = {
    [sym_assignment] = STATE(6997),
    [sym_operator] = STATE(6997),
    [sym_defined_io_procedure] = STATE(6997),
    [sym__generic_procedure] = STATE(6997),
    [sym_identifier] = STATE(6997),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4068] = {
    [sym_assignment] = STATE(7002),
    [sym_operator] = STATE(7002),
    [sym_defined_io_procedure] = STATE(7002),
    [sym__generic_procedure] = STATE(7002),
    [sym_identifier] = STATE(7002),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4069] = {
    [sym_assignment] = STATE(7036),
    [sym_operator] = STATE(7036),
    [sym_defined_io_procedure] = STATE(7036),
    [sym__generic_procedure] = STATE(7036),
    [sym_identifier] = STATE(7036),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4070] = {
    [sym_assignment] = STATE(7038),
    [sym_operator] = STATE(7038),
    [sym_defined_io_procedure] = STATE(7038),
    [sym__generic_procedure] = STATE(7038),
    [sym_identifier] = STATE(7038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4071] = {
    [anon_sym_COMMA] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_block_data_statement_token1] = ACTIONS(5080),
    [aux_sym_block_data_statement_token2] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5080),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5080),
    [aux_sym_use_statement_token2] = ACTIONS(5080),
    [aux_sym_implicit_statement_token3] = ACTIONS(5080),
    [aux_sym_implicit_statement_token4] = ACTIONS(5080),
    [aux_sym_save_statement_token1] = ACTIONS(5080),
    [aux_sym_private_statement_token1] = ACTIONS(5080),
    [aux_sym_public_statement_token1] = ACTIONS(5080),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5080),
    [aux_sym_variable_attributes_token2] = ACTIONS(5080),
    [aux_sym_variable_attributes_token3] = ACTIONS(5080),
    [aux_sym_variable_attributes_token5] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5080),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5080),
    [aux_sym_type_qualifier_token1] = ACTIONS(5080),
    [aux_sym_type_qualifier_token2] = ACTIONS(5080),
    [aux_sym_stop_statement_token1] = ACTIONS(5080),
    [aux_sym_stop_statement_token2] = ACTIONS(5080),
    [aux_sym_subroutine_call_token1] = ACTIONS(5080),
    [aux_sym_keyword_statement_token2] = ACTIONS(5080),
    [aux_sym_keyword_statement_token3] = ACTIONS(5080),
    [aux_sym_keyword_statement_token4] = ACTIONS(5080),
    [aux_sym_include_statement_token1] = ACTIONS(5080),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5080),
    [aux_sym_end_if_statement_token1] = ACTIONS(5080),
    [aux_sym_elseif_clause_token2] = ACTIONS(5080),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5080),
    [aux_sym_select_case_statement_token1] = ACTIONS(5080),
    [aux_sym_format_statement_token1] = ACTIONS(5080),
    [aux_sym_print_statement_token1] = ACTIONS(5080),
    [aux_sym_open_statement_token1] = ACTIONS(5080),
    [aux_sym_inquire_statement_token1] = ACTIONS(5080),
    [aux_sym_entry_statement_token1] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_statement_token2] = ACTIONS(5080),
    [aux_sym_coarray_statement_token6] = ACTIONS(5080),
    [aux_sym_coarray_statement_token8] = ACTIONS(5080),
    [aux_sym_coarray_statement_token11] = ACTIONS(5080),
    [aux_sym_coarray_statement_token12] = ACTIONS(5080),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5080),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5080),
    [aux_sym_identifier_token1] = ACTIONS(5080),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5082),
  },
  [4072] = {
    [sym__argument_list] = STATE(3730),
    [sym_argument_list] = STATE(4400),
    [sym__block_label] = STATE(8190),
    [sym_identifier] = STATE(8431),
    [anon_sym_LPAREN2] = ACTIONS(8884),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8886),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8886),
  },
  [4073] = {
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_SLASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_block_data_statement_token1] = ACTIONS(5108),
    [aux_sym_block_data_statement_token2] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5110),
  },
  [4074] = {
    [sym_assignment] = STATE(7062),
    [sym_operator] = STATE(7062),
    [sym_defined_io_procedure] = STATE(7062),
    [sym__generic_procedure] = STATE(7062),
    [sym_identifier] = STATE(7062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4075] = {
    [anon_sym_COMMA] = ACTIONS(8888),
    [anon_sym_SLASH] = ACTIONS(8888),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8890),
    [anon_sym_SEMI] = ACTIONS(8888),
    [aux_sym_block_data_statement_token1] = ACTIONS(8890),
    [aux_sym_block_data_statement_token2] = ACTIONS(8890),
    [anon_sym_EQ] = ACTIONS(8890),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8890),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8890),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8890),
    [aux_sym_use_statement_token2] = ACTIONS(8890),
    [anon_sym_EQ_GT] = ACTIONS(8888),
    [aux_sym_implicit_statement_token3] = ACTIONS(8890),
    [aux_sym_implicit_statement_token4] = ACTIONS(8890),
    [aux_sym_save_statement_token1] = ACTIONS(8890),
    [aux_sym_private_statement_token1] = ACTIONS(8890),
    [aux_sym_public_statement_token1] = ACTIONS(8890),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8890),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8890),
    [aux_sym_variable_attributes_token2] = ACTIONS(8890),
    [aux_sym_variable_attributes_token3] = ACTIONS(8890),
    [aux_sym_variable_attributes_token5] = ACTIONS(8890),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8890),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8890),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8890),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8890),
    [aux_sym_type_qualifier_token1] = ACTIONS(8890),
    [aux_sym_type_qualifier_token2] = ACTIONS(8890),
    [aux_sym_stop_statement_token1] = ACTIONS(8890),
    [aux_sym_stop_statement_token2] = ACTIONS(8890),
    [aux_sym_subroutine_call_token1] = ACTIONS(8890),
    [aux_sym_keyword_statement_token2] = ACTIONS(8890),
    [aux_sym_keyword_statement_token3] = ACTIONS(8890),
    [aux_sym_keyword_statement_token4] = ACTIONS(8890),
    [aux_sym_include_statement_token1] = ACTIONS(8890),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8890),
    [aux_sym_end_if_statement_token1] = ACTIONS(8890),
    [aux_sym_elseif_clause_token2] = ACTIONS(8890),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8890),
    [aux_sym_select_case_statement_token1] = ACTIONS(8890),
    [aux_sym_format_statement_token1] = ACTIONS(8890),
    [aux_sym_print_statement_token1] = ACTIONS(8890),
    [aux_sym_open_statement_token1] = ACTIONS(8890),
    [aux_sym_inquire_statement_token1] = ACTIONS(8890),
    [aux_sym_entry_statement_token1] = ACTIONS(8890),
    [anon_sym_LBRACK] = ACTIONS(8888),
    [aux_sym_null_literal_token1] = ACTIONS(8890),
    [aux_sym_coarray_statement_token1] = ACTIONS(8890),
    [aux_sym_coarray_statement_token2] = ACTIONS(8890),
    [aux_sym_coarray_statement_token6] = ACTIONS(8890),
    [aux_sym_coarray_statement_token8] = ACTIONS(8890),
    [aux_sym_coarray_statement_token11] = ACTIONS(8890),
    [aux_sym_coarray_statement_token12] = ACTIONS(8890),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8890),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8890),
    [aux_sym_identifier_token1] = ACTIONS(8890),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8888),
  },
  [4076] = {
    [sym__variable_declarator] = STATE(6004),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6018),
    [sym__declaration_pointer_association] = STATE(6020),
    [sym__declaration_targets] = STATE(6128),
    [sym_coarray_declarator] = STATE(6004),
    [sym_identifier] = STATE(5845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4077] = {
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_block_data_statement_token1] = ACTIONS(5076),
    [aux_sym_block_data_statement_token2] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5076),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5076),
    [aux_sym_use_statement_token2] = ACTIONS(5076),
    [aux_sym_implicit_statement_token3] = ACTIONS(5076),
    [aux_sym_implicit_statement_token4] = ACTIONS(5076),
    [aux_sym_save_statement_token1] = ACTIONS(5076),
    [aux_sym_private_statement_token1] = ACTIONS(5076),
    [aux_sym_public_statement_token1] = ACTIONS(5076),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5076),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5076),
    [aux_sym_variable_attributes_token2] = ACTIONS(5076),
    [aux_sym_variable_attributes_token3] = ACTIONS(5076),
    [aux_sym_variable_attributes_token5] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5076),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5076),
    [aux_sym_type_qualifier_token1] = ACTIONS(5076),
    [aux_sym_type_qualifier_token2] = ACTIONS(5076),
    [aux_sym_stop_statement_token1] = ACTIONS(5076),
    [aux_sym_stop_statement_token2] = ACTIONS(5076),
    [aux_sym_subroutine_call_token1] = ACTIONS(5076),
    [aux_sym_keyword_statement_token2] = ACTIONS(5076),
    [aux_sym_keyword_statement_token3] = ACTIONS(5076),
    [aux_sym_keyword_statement_token4] = ACTIONS(5076),
    [aux_sym_include_statement_token1] = ACTIONS(5076),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5076),
    [aux_sym_end_if_statement_token1] = ACTIONS(5076),
    [aux_sym_elseif_clause_token2] = ACTIONS(5076),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5076),
    [aux_sym_select_case_statement_token1] = ACTIONS(5076),
    [aux_sym_format_statement_token1] = ACTIONS(5076),
    [aux_sym_print_statement_token1] = ACTIONS(5076),
    [aux_sym_open_statement_token1] = ACTIONS(5076),
    [aux_sym_inquire_statement_token1] = ACTIONS(5076),
    [aux_sym_entry_statement_token1] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [aux_sym_null_literal_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_statement_token2] = ACTIONS(5076),
    [aux_sym_coarray_statement_token6] = ACTIONS(5076),
    [aux_sym_coarray_statement_token8] = ACTIONS(5076),
    [aux_sym_coarray_statement_token11] = ACTIONS(5076),
    [aux_sym_coarray_statement_token12] = ACTIONS(5076),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5076),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5076),
    [aux_sym_identifier_token1] = ACTIONS(5076),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5078),
  },
  [4078] = {
    [sym_parenthesized_expression] = STATE(4368),
    [sym__block_label] = STATE(7292),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(806),
    [anon_sym_LPAREN2] = ACTIONS(8880),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8892),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8892),
  },
  [4079] = {
    [anon_sym_COMMA] = ACTIONS(8894),
    [anon_sym_SLASH] = ACTIONS(8894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8896),
    [anon_sym_SEMI] = ACTIONS(8894),
    [aux_sym_block_data_statement_token1] = ACTIONS(8896),
    [aux_sym_block_data_statement_token2] = ACTIONS(8896),
    [anon_sym_EQ] = ACTIONS(8896),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8896),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8896),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8896),
    [aux_sym_use_statement_token2] = ACTIONS(8896),
    [anon_sym_EQ_GT] = ACTIONS(8894),
    [aux_sym_implicit_statement_token3] = ACTIONS(8896),
    [aux_sym_implicit_statement_token4] = ACTIONS(8896),
    [aux_sym_save_statement_token1] = ACTIONS(8896),
    [aux_sym_private_statement_token1] = ACTIONS(8896),
    [aux_sym_public_statement_token1] = ACTIONS(8896),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8896),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8896),
    [aux_sym_variable_attributes_token2] = ACTIONS(8896),
    [aux_sym_variable_attributes_token3] = ACTIONS(8896),
    [aux_sym_variable_attributes_token5] = ACTIONS(8896),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8896),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8896),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8896),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8896),
    [aux_sym_type_qualifier_token1] = ACTIONS(8896),
    [aux_sym_type_qualifier_token2] = ACTIONS(8896),
    [aux_sym_stop_statement_token1] = ACTIONS(8896),
    [aux_sym_stop_statement_token2] = ACTIONS(8896),
    [aux_sym_subroutine_call_token1] = ACTIONS(8896),
    [aux_sym_keyword_statement_token2] = ACTIONS(8896),
    [aux_sym_keyword_statement_token3] = ACTIONS(8896),
    [aux_sym_keyword_statement_token4] = ACTIONS(8896),
    [aux_sym_include_statement_token1] = ACTIONS(8896),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8896),
    [aux_sym_end_if_statement_token1] = ACTIONS(8896),
    [aux_sym_elseif_clause_token2] = ACTIONS(8896),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8896),
    [aux_sym_select_case_statement_token1] = ACTIONS(8896),
    [aux_sym_format_statement_token1] = ACTIONS(8896),
    [aux_sym_print_statement_token1] = ACTIONS(8896),
    [aux_sym_open_statement_token1] = ACTIONS(8896),
    [aux_sym_inquire_statement_token1] = ACTIONS(8896),
    [aux_sym_entry_statement_token1] = ACTIONS(8896),
    [anon_sym_LBRACK] = ACTIONS(8894),
    [aux_sym_null_literal_token1] = ACTIONS(8896),
    [aux_sym_coarray_statement_token1] = ACTIONS(8896),
    [aux_sym_coarray_statement_token2] = ACTIONS(8896),
    [aux_sym_coarray_statement_token6] = ACTIONS(8896),
    [aux_sym_coarray_statement_token8] = ACTIONS(8896),
    [aux_sym_coarray_statement_token11] = ACTIONS(8896),
    [aux_sym_coarray_statement_token12] = ACTIONS(8896),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8896),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8896),
    [aux_sym_identifier_token1] = ACTIONS(8896),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8894),
  },
  [4080] = {
    [sym_assignment] = STATE(6943),
    [sym_operator] = STATE(6943),
    [sym_defined_io_procedure] = STATE(6943),
    [sym__generic_procedure] = STATE(6943),
    [sym_identifier] = STATE(6943),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4081] = {
    [sym__argument_list] = STATE(3730),
    [sym_argument_list] = STATE(4386),
    [sym__block_label] = STATE(8505),
    [sym_identifier] = STATE(8431),
    [anon_sym_LPAREN2] = ACTIONS(8884),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8898),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8898),
  },
  [4082] = {
    [sym_assignment] = STATE(6945),
    [sym_operator] = STATE(6945),
    [sym_defined_io_procedure] = STATE(6945),
    [sym__generic_procedure] = STATE(6945),
    [sym_identifier] = STATE(6945),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4083] = {
    [sym__variable_declarator] = STATE(6864),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(7115),
    [sym__declaration_pointer_association] = STATE(7212),
    [sym__declaration_targets] = STATE(8414),
    [sym_coarray_declarator] = STATE(6864),
    [sym_identifier] = STATE(6402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4084] = {
    [sym_variable_group] = STATE(4020),
    [sym__variable_declarator] = STATE(4365),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(4365),
    [sym_identifier] = STATE(3963),
    [aux_sym_common_statement_repeat2] = STATE(4020),
    [anon_sym_SLASH] = ACTIONS(8811),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8813),
    [aux_sym_block_data_statement_token1] = ACTIONS(8817),
    [aux_sym_block_data_statement_token2] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8817),
    [aux_sym_use_statement_token2] = ACTIONS(8817),
    [aux_sym_implicit_statement_token3] = ACTIONS(8819),
    [aux_sym_implicit_statement_token4] = ACTIONS(8817),
    [aux_sym_save_statement_token1] = ACTIONS(8817),
    [aux_sym_private_statement_token1] = ACTIONS(8817),
    [aux_sym_public_statement_token1] = ACTIONS(8817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8817),
    [aux_sym_variable_attributes_token2] = ACTIONS(8817),
    [aux_sym_variable_attributes_token3] = ACTIONS(8817),
    [aux_sym_variable_attributes_token5] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8821),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8817),
    [aux_sym_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym_stop_statement_token1] = ACTIONS(8817),
    [aux_sym_stop_statement_token2] = ACTIONS(8817),
    [aux_sym_subroutine_call_token1] = ACTIONS(8819),
    [aux_sym_keyword_statement_token2] = ACTIONS(8817),
    [aux_sym_keyword_statement_token3] = ACTIONS(8817),
    [aux_sym_keyword_statement_token4] = ACTIONS(8823),
    [aux_sym_include_statement_token1] = ACTIONS(8819),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8817),
    [aux_sym_end_if_statement_token1] = ACTIONS(8817),
    [aux_sym_elseif_clause_token2] = ACTIONS(8817),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8819),
    [aux_sym_select_case_statement_token1] = ACTIONS(8825),
    [aux_sym_format_statement_token1] = ACTIONS(8817),
    [aux_sym_print_statement_token1] = ACTIONS(8819),
    [aux_sym_open_statement_token1] = ACTIONS(8819),
    [aux_sym_inquire_statement_token1] = ACTIONS(8817),
    [aux_sym_entry_statement_token1] = ACTIONS(8817),
    [aux_sym_null_literal_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token2] = ACTIONS(8817),
    [aux_sym_coarray_statement_token6] = ACTIONS(8817),
    [aux_sym_coarray_statement_token8] = ACTIONS(8817),
    [aux_sym_coarray_statement_token11] = ACTIONS(8817),
    [aux_sym_coarray_statement_token12] = ACTIONS(8817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8817),
    [aux_sym_identifier_token1] = ACTIONS(8817),
    [sym_comment] = ACTIONS(21),
  },
  [4085] = {
    [sym_assignment] = STATE(6901),
    [sym_operator] = STATE(6901),
    [sym_defined_io_procedure] = STATE(6901),
    [sym__generic_procedure] = STATE(6901),
    [sym_identifier] = STATE(6901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4086] = {
    [sym__variable_declarator] = STATE(6004),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6018),
    [sym__declaration_pointer_association] = STATE(6020),
    [sym__declaration_targets] = STATE(6139),
    [sym_coarray_declarator] = STATE(6004),
    [sym_identifier] = STATE(5845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4087] = {
    [sym_assignment] = STATE(8042),
    [sym_operator] = STATE(8042),
    [sym_defined_io_procedure] = STATE(8042),
    [sym__generic_procedure] = STATE(8042),
    [sym_identifier] = STATE(8042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_assignment_token1] = ACTIONS(6635),
    [aux_sym_operator_token1] = ACTIONS(6637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6639),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6639),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4088] = {
    [sym_preproc_call_expression] = STATE(8858),
    [sym_string_literal] = STATE(8858),
    [sym_identifier] = STATE(7883),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8900),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4089] = {
    [sym_kind] = STATE(4481),
    [sym__argument_list] = STATE(4436),
    [anon_sym_COMMA] = ACTIONS(8307),
    [anon_sym_LPAREN2] = ACTIONS(8918),
    [anon_sym_STAR] = ACTIONS(8920),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8313),
    [aux_sym_block_data_statement_token1] = ACTIONS(8313),
    [aux_sym_block_data_statement_token2] = ACTIONS(8313),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8313),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8313),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8313),
    [aux_sym_use_statement_token2] = ACTIONS(8313),
    [anon_sym_COLON_COLON] = ACTIONS(8307),
    [aux_sym_implicit_statement_token3] = ACTIONS(8313),
    [aux_sym_implicit_statement_token4] = ACTIONS(8313),
    [aux_sym_save_statement_token1] = ACTIONS(8313),
    [aux_sym_private_statement_token1] = ACTIONS(8313),
    [aux_sym_public_statement_token1] = ACTIONS(8313),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8313),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8313),
    [aux_sym_variable_attributes_token2] = ACTIONS(8313),
    [aux_sym_variable_attributes_token3] = ACTIONS(8313),
    [aux_sym_variable_attributes_token5] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8313),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8313),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8313),
    [aux_sym_type_qualifier_token1] = ACTIONS(8313),
    [aux_sym_type_qualifier_token2] = ACTIONS(8313),
    [aux_sym_stop_statement_token1] = ACTIONS(8313),
    [aux_sym_stop_statement_token2] = ACTIONS(8313),
    [aux_sym_subroutine_call_token1] = ACTIONS(8313),
    [aux_sym_keyword_statement_token2] = ACTIONS(8313),
    [aux_sym_keyword_statement_token3] = ACTIONS(8313),
    [aux_sym_keyword_statement_token4] = ACTIONS(8313),
    [aux_sym_include_statement_token1] = ACTIONS(8313),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8313),
    [aux_sym_end_if_statement_token1] = ACTIONS(8313),
    [aux_sym_elseif_clause_token2] = ACTIONS(8313),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8313),
    [aux_sym_select_case_statement_token1] = ACTIONS(8313),
    [aux_sym_format_statement_token1] = ACTIONS(8313),
    [aux_sym_print_statement_token1] = ACTIONS(8313),
    [aux_sym_open_statement_token1] = ACTIONS(8313),
    [aux_sym_inquire_statement_token1] = ACTIONS(8313),
    [aux_sym_entry_statement_token1] = ACTIONS(8313),
    [aux_sym_null_literal_token1] = ACTIONS(8313),
    [aux_sym_coarray_statement_token1] = ACTIONS(8313),
    [aux_sym_coarray_statement_token2] = ACTIONS(8313),
    [aux_sym_coarray_statement_token6] = ACTIONS(8313),
    [aux_sym_coarray_statement_token8] = ACTIONS(8313),
    [aux_sym_coarray_statement_token11] = ACTIONS(8313),
    [aux_sym_coarray_statement_token12] = ACTIONS(8313),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8313),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8313),
    [aux_sym_identifier_token1] = ACTIONS(8313),
    [sym_comment] = ACTIONS(21),
  },
  [4090] = {
    [anon_sym_COMMA] = ACTIONS(7135),
    [anon_sym_STAR] = ACTIONS(7135),
    [anon_sym_SLASH] = ACTIONS(7135),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7137),
    [anon_sym_SEMI] = ACTIONS(7135),
    [aux_sym_block_data_statement_token1] = ACTIONS(7137),
    [aux_sym_block_data_statement_token2] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7137),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7137),
    [aux_sym_use_statement_token2] = ACTIONS(7137),
    [aux_sym_implicit_statement_token3] = ACTIONS(7137),
    [aux_sym_implicit_statement_token4] = ACTIONS(7137),
    [aux_sym_save_statement_token1] = ACTIONS(7137),
    [aux_sym_private_statement_token1] = ACTIONS(7137),
    [aux_sym_public_statement_token1] = ACTIONS(7137),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7137),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7137),
    [aux_sym_variable_attributes_token2] = ACTIONS(7137),
    [aux_sym_variable_attributes_token3] = ACTIONS(7137),
    [aux_sym_variable_attributes_token5] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7137),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7137),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7137),
    [aux_sym_type_qualifier_token1] = ACTIONS(7137),
    [aux_sym_type_qualifier_token2] = ACTIONS(7137),
    [aux_sym_stop_statement_token1] = ACTIONS(7137),
    [aux_sym_stop_statement_token2] = ACTIONS(7137),
    [aux_sym_subroutine_call_token1] = ACTIONS(7137),
    [aux_sym_keyword_statement_token2] = ACTIONS(7137),
    [aux_sym_keyword_statement_token3] = ACTIONS(7137),
    [aux_sym_keyword_statement_token4] = ACTIONS(7137),
    [aux_sym_include_statement_token1] = ACTIONS(7137),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7137),
    [aux_sym_end_if_statement_token1] = ACTIONS(7137),
    [aux_sym_elseif_clause_token2] = ACTIONS(7137),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7137),
    [aux_sym_select_case_statement_token1] = ACTIONS(7137),
    [aux_sym_format_statement_token1] = ACTIONS(7137),
    [aux_sym_print_statement_token1] = ACTIONS(7137),
    [aux_sym_open_statement_token1] = ACTIONS(7137),
    [aux_sym_inquire_statement_token1] = ACTIONS(7137),
    [aux_sym_entry_statement_token1] = ACTIONS(7137),
    [anon_sym_LBRACK] = ACTIONS(7135),
    [aux_sym_null_literal_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_statement_token2] = ACTIONS(7137),
    [aux_sym_coarray_statement_token6] = ACTIONS(7137),
    [aux_sym_coarray_statement_token8] = ACTIONS(7137),
    [aux_sym_coarray_statement_token11] = ACTIONS(7137),
    [aux_sym_coarray_statement_token12] = ACTIONS(7137),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7137),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7137),
    [aux_sym_identifier_token1] = ACTIONS(7137),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7135),
  },
  [4091] = {
    [sym_preproc_call_expression] = STATE(8845),
    [sym_string_literal] = STATE(8845),
    [sym_identifier] = STATE(7687),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8922),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4092] = {
    [sym__name] = STATE(7674),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5438),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8063),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8065),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8063),
  },
  [4093] = {
    [sym__name] = STATE(7501),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5553),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8149),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8147),
  },
  [4094] = {
    [sym_preproc_call_expression] = STATE(9224),
    [sym_string_literal] = STATE(9224),
    [sym_identifier] = STATE(7740),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8924),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4095] = {
    [sym__name] = STATE(7677),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5440),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8069),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8067),
  },
  [4096] = {
    [sym__name] = STATE(7743),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1119),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_submodule_statement_token1] = ACTIONS(8223),
    [anon_sym_SEMI] = ACTIONS(8225),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8225),
  },
  [4097] = {
    [sym_preproc_call_expression] = STATE(9485),
    [sym_string_literal] = STATE(9485),
    [sym_identifier] = STATE(7778),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8926),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4098] = {
    [sym_preproc_call_expression] = STATE(9529),
    [sym_string_literal] = STATE(9529),
    [sym_identifier] = STATE(7319),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8928),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4099] = {
    [sym__name] = STATE(7461),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5357),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8127),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8129),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8127),
  },
  [4100] = {
    [sym__name] = STATE(7579),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8095),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8097),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8095),
  },
  [4101] = {
    [sym_preproc_call_expression] = STATE(8521),
    [sym_string_literal] = STATE(8521),
    [sym_identifier] = STATE(7791),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8930),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4102] = {
    [anon_sym_COMMA] = ACTIONS(7127),
    [anon_sym_SLASH] = ACTIONS(7127),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7129),
    [anon_sym_SEMI] = ACTIONS(7127),
    [aux_sym_block_data_statement_token1] = ACTIONS(7129),
    [aux_sym_block_data_statement_token2] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7129),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7129),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7129),
    [aux_sym_use_statement_token2] = ACTIONS(7129),
    [anon_sym_EQ_GT] = ACTIONS(7127),
    [aux_sym_implicit_statement_token3] = ACTIONS(7129),
    [aux_sym_implicit_statement_token4] = ACTIONS(7129),
    [aux_sym_save_statement_token1] = ACTIONS(7129),
    [aux_sym_private_statement_token1] = ACTIONS(7129),
    [aux_sym_public_statement_token1] = ACTIONS(7129),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7129),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7129),
    [aux_sym_variable_attributes_token2] = ACTIONS(7129),
    [aux_sym_variable_attributes_token3] = ACTIONS(7129),
    [aux_sym_variable_attributes_token5] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7129),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7129),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7129),
    [aux_sym_type_qualifier_token1] = ACTIONS(7129),
    [aux_sym_type_qualifier_token2] = ACTIONS(7129),
    [aux_sym_stop_statement_token1] = ACTIONS(7129),
    [aux_sym_stop_statement_token2] = ACTIONS(7129),
    [aux_sym_subroutine_call_token1] = ACTIONS(7129),
    [aux_sym_keyword_statement_token2] = ACTIONS(7129),
    [aux_sym_keyword_statement_token3] = ACTIONS(7129),
    [aux_sym_keyword_statement_token4] = ACTIONS(7129),
    [aux_sym_include_statement_token1] = ACTIONS(7129),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7129),
    [aux_sym_end_if_statement_token1] = ACTIONS(7129),
    [aux_sym_elseif_clause_token2] = ACTIONS(7129),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7129),
    [aux_sym_select_case_statement_token1] = ACTIONS(7129),
    [aux_sym_format_statement_token1] = ACTIONS(7129),
    [aux_sym_print_statement_token1] = ACTIONS(7129),
    [aux_sym_open_statement_token1] = ACTIONS(7129),
    [aux_sym_inquire_statement_token1] = ACTIONS(7129),
    [aux_sym_entry_statement_token1] = ACTIONS(7129),
    [aux_sym_null_literal_token1] = ACTIONS(7129),
    [aux_sym_coarray_statement_token1] = ACTIONS(7129),
    [aux_sym_coarray_statement_token2] = ACTIONS(7129),
    [aux_sym_coarray_statement_token6] = ACTIONS(7129),
    [aux_sym_coarray_statement_token8] = ACTIONS(7129),
    [aux_sym_coarray_statement_token11] = ACTIONS(7129),
    [aux_sym_coarray_statement_token12] = ACTIONS(7129),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7129),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7129),
    [aux_sym_identifier_token1] = ACTIONS(7129),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7127),
  },
  [4103] = {
    [sym__name] = STATE(8071),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(4979),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8071),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8073),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8071),
  },
  [4104] = {
    [sym_preproc_call_expression] = STATE(8608),
    [sym_string_literal] = STATE(8608),
    [sym_identifier] = STATE(7821),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8932),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4105] = {
    [sym_preproc_call_expression] = STATE(8562),
    [sym_string_literal] = STATE(8562),
    [sym_identifier] = STATE(7805),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8934),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4106] = {
    [sym_preproc_call_expression] = STATE(8595),
    [sym_string_literal] = STATE(8595),
    [sym_identifier] = STATE(7819),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8936),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4107] = {
    [sym_preproc_call_expression] = STATE(8628),
    [sym_string_literal] = STATE(8628),
    [sym_identifier] = STATE(7825),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8938),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4108] = {
    [sym_preproc_call_expression] = STATE(8661),
    [sym_string_literal] = STATE(8661),
    [sym_identifier] = STATE(7836),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8940),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4109] = {
    [sym_preproc_call_expression] = STATE(8694),
    [sym_string_literal] = STATE(8694),
    [sym_identifier] = STATE(7849),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8942),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4110] = {
    [sym_preproc_call_expression] = STATE(8726),
    [sym_string_literal] = STATE(8726),
    [sym_identifier] = STATE(7854),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8944),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4111] = {
    [sym_preproc_call_expression] = STATE(8743),
    [sym_string_literal] = STATE(8743),
    [sym_identifier] = STATE(7856),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8946),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4112] = {
    [sym_preproc_call_expression] = STATE(8760),
    [sym_string_literal] = STATE(8760),
    [sym_identifier] = STATE(7858),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8948),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4113] = {
    [sym_preproc_call_expression] = STATE(8777),
    [sym_string_literal] = STATE(8777),
    [sym_identifier] = STATE(7860),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8950),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4114] = {
    [sym_preproc_call_expression] = STATE(8786),
    [sym_string_literal] = STATE(8786),
    [sym_identifier] = STATE(7862),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8952),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4115] = {
    [sym_preproc_call_expression] = STATE(8795),
    [sym_string_literal] = STATE(8795),
    [sym_identifier] = STATE(7864),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8954),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4116] = {
    [sym_preproc_call_expression] = STATE(8804),
    [sym_string_literal] = STATE(8804),
    [sym_identifier] = STATE(7866),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8956),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4117] = {
    [sym_preproc_call_expression] = STATE(8813),
    [sym_string_literal] = STATE(8813),
    [sym_identifier] = STATE(7869),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8958),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4118] = {
    [sym_preproc_call_expression] = STATE(8822),
    [sym_string_literal] = STATE(8822),
    [sym_identifier] = STATE(7872),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8960),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4119] = {
    [sym_preproc_call_expression] = STATE(8831),
    [sym_string_literal] = STATE(8831),
    [sym_identifier] = STATE(7874),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8962),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4120] = {
    [sym_preproc_call_expression] = STATE(8840),
    [sym_string_literal] = STATE(8840),
    [sym_identifier] = STATE(7877),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8964),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4121] = {
    [sym_preproc_call_expression] = STATE(8849),
    [sym_string_literal] = STATE(8849),
    [sym_identifier] = STATE(7880),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8966),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4122] = {
    [sym__name] = STATE(8062),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8231),
    [anon_sym_SEMI] = ACTIONS(8233),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8233),
  },
  [4123] = {
    [sym_preproc_call_expression] = STATE(8867),
    [sym_string_literal] = STATE(8867),
    [sym_identifier] = STATE(7885),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8968),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4124] = {
    [sym_preproc_call_expression] = STATE(8876),
    [sym_string_literal] = STATE(8876),
    [sym_identifier] = STATE(7887),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8970),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4125] = {
    [sym_preproc_call_expression] = STATE(8885),
    [sym_string_literal] = STATE(8885),
    [sym_identifier] = STATE(7889),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8972),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4126] = {
    [sym_preproc_call_expression] = STATE(8894),
    [sym_string_literal] = STATE(8894),
    [sym_identifier] = STATE(7892),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8974),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4127] = {
    [sym_preproc_call_expression] = STATE(8903),
    [sym_string_literal] = STATE(8903),
    [sym_identifier] = STATE(7894),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8976),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4128] = {
    [sym_preproc_call_expression] = STATE(8912),
    [sym_string_literal] = STATE(8912),
    [sym_identifier] = STATE(7897),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8978),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4129] = {
    [sym_preproc_call_expression] = STATE(8921),
    [sym_string_literal] = STATE(8921),
    [sym_identifier] = STATE(7900),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8980),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4130] = {
    [sym_preproc_call_expression] = STATE(8930),
    [sym_string_literal] = STATE(8930),
    [sym_identifier] = STATE(7902),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8982),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4131] = {
    [sym_preproc_call_expression] = STATE(8939),
    [sym_string_literal] = STATE(8939),
    [sym_identifier] = STATE(7904),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8984),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4132] = {
    [sym_preproc_call_expression] = STATE(8948),
    [sym_string_literal] = STATE(8948),
    [sym_identifier] = STATE(7906),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8986),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4133] = {
    [sym_preproc_call_expression] = STATE(8957),
    [sym_string_literal] = STATE(8957),
    [sym_identifier] = STATE(7908),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8988),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4134] = {
    [sym_preproc_call_expression] = STATE(8966),
    [sym_string_literal] = STATE(8966),
    [sym_identifier] = STATE(7910),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8990),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4135] = {
    [sym_preproc_call_expression] = STATE(8975),
    [sym_string_literal] = STATE(8975),
    [sym_identifier] = STATE(7912),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8992),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4136] = {
    [sym_preproc_call_expression] = STATE(8983),
    [sym_string_literal] = STATE(8983),
    [sym_identifier] = STATE(7913),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(8994),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4137] = {
    [sym__name] = STATE(7464),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5362),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8131),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8133),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8131),
  },
  [4138] = {
    [sym__variable_declarator] = STATE(6012),
    [sym_sized_declarator] = STATE(5997),
    [sym__declaration_assignment] = STATE(6040),
    [sym__declaration_pointer_association] = STATE(6057),
    [sym_coarray_declarator] = STATE(6012),
    [sym_identifier] = STATE(5845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4139] = {
    [sym__name] = STATE(7427),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1237),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8213),
    [anon_sym_SEMI] = ACTIONS(8215),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8215),
  },
  [4140] = {
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6923),
    [anon_sym_SEMI] = ACTIONS(6921),
    [aux_sym_block_data_statement_token1] = ACTIONS(6923),
    [aux_sym_block_data_statement_token2] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6923),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6923),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6923),
    [aux_sym_use_statement_token2] = ACTIONS(6923),
    [aux_sym_implicit_statement_token3] = ACTIONS(6923),
    [aux_sym_implicit_statement_token4] = ACTIONS(6923),
    [aux_sym_save_statement_token1] = ACTIONS(6923),
    [aux_sym_private_statement_token1] = ACTIONS(6923),
    [aux_sym_public_statement_token1] = ACTIONS(6923),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6923),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6923),
    [aux_sym_variable_attributes_token2] = ACTIONS(6923),
    [aux_sym_variable_attributes_token3] = ACTIONS(6923),
    [aux_sym_variable_attributes_token5] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6923),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6923),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6923),
    [aux_sym_type_qualifier_token1] = ACTIONS(6923),
    [aux_sym_type_qualifier_token2] = ACTIONS(6923),
    [aux_sym_stop_statement_token1] = ACTIONS(6923),
    [aux_sym_stop_statement_token2] = ACTIONS(6923),
    [aux_sym_subroutine_call_token1] = ACTIONS(6923),
    [aux_sym_keyword_statement_token2] = ACTIONS(6923),
    [aux_sym_keyword_statement_token3] = ACTIONS(6923),
    [aux_sym_keyword_statement_token4] = ACTIONS(6923),
    [aux_sym_include_statement_token1] = ACTIONS(6923),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6923),
    [aux_sym_end_if_statement_token1] = ACTIONS(6923),
    [aux_sym_elseif_clause_token2] = ACTIONS(6923),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6923),
    [aux_sym_select_case_statement_token1] = ACTIONS(6923),
    [aux_sym_format_statement_token1] = ACTIONS(6923),
    [aux_sym_print_statement_token1] = ACTIONS(6923),
    [aux_sym_open_statement_token1] = ACTIONS(6923),
    [aux_sym_inquire_statement_token1] = ACTIONS(6923),
    [aux_sym_entry_statement_token1] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6921),
    [aux_sym_null_literal_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_statement_token2] = ACTIONS(6923),
    [aux_sym_coarray_statement_token6] = ACTIONS(6923),
    [aux_sym_coarray_statement_token8] = ACTIONS(6923),
    [aux_sym_coarray_statement_token11] = ACTIONS(6923),
    [aux_sym_coarray_statement_token12] = ACTIONS(6923),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6923),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6923),
    [aux_sym_identifier_token1] = ACTIONS(6923),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6921),
  },
  [4141] = {
    [anon_sym_COMMA] = ACTIONS(8996),
    [anon_sym_SLASH] = ACTIONS(8996),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8998),
    [anon_sym_SEMI] = ACTIONS(8996),
    [aux_sym_block_data_statement_token1] = ACTIONS(8998),
    [aux_sym_block_data_statement_token2] = ACTIONS(8998),
    [anon_sym_EQ] = ACTIONS(8998),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8998),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8998),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8998),
    [aux_sym_use_statement_token2] = ACTIONS(8998),
    [anon_sym_EQ_GT] = ACTIONS(8996),
    [aux_sym_implicit_statement_token3] = ACTIONS(8998),
    [aux_sym_implicit_statement_token4] = ACTIONS(8998),
    [aux_sym_save_statement_token1] = ACTIONS(8998),
    [aux_sym_private_statement_token1] = ACTIONS(8998),
    [aux_sym_public_statement_token1] = ACTIONS(8998),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8998),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8998),
    [aux_sym_variable_attributes_token2] = ACTIONS(8998),
    [aux_sym_variable_attributes_token3] = ACTIONS(8998),
    [aux_sym_variable_attributes_token5] = ACTIONS(8998),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8998),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8998),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8998),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8998),
    [aux_sym_type_qualifier_token1] = ACTIONS(8998),
    [aux_sym_type_qualifier_token2] = ACTIONS(8998),
    [aux_sym_stop_statement_token1] = ACTIONS(8998),
    [aux_sym_stop_statement_token2] = ACTIONS(8998),
    [aux_sym_subroutine_call_token1] = ACTIONS(8998),
    [aux_sym_keyword_statement_token2] = ACTIONS(8998),
    [aux_sym_keyword_statement_token3] = ACTIONS(8998),
    [aux_sym_keyword_statement_token4] = ACTIONS(8998),
    [aux_sym_include_statement_token1] = ACTIONS(8998),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8998),
    [aux_sym_end_if_statement_token1] = ACTIONS(8998),
    [aux_sym_elseif_clause_token2] = ACTIONS(8998),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8998),
    [aux_sym_select_case_statement_token1] = ACTIONS(8998),
    [aux_sym_format_statement_token1] = ACTIONS(8998),
    [aux_sym_print_statement_token1] = ACTIONS(8998),
    [aux_sym_open_statement_token1] = ACTIONS(8998),
    [aux_sym_inquire_statement_token1] = ACTIONS(8998),
    [aux_sym_entry_statement_token1] = ACTIONS(8998),
    [aux_sym_null_literal_token1] = ACTIONS(8998),
    [aux_sym_coarray_statement_token1] = ACTIONS(8998),
    [aux_sym_coarray_statement_token2] = ACTIONS(8998),
    [aux_sym_coarray_statement_token6] = ACTIONS(8998),
    [aux_sym_coarray_statement_token8] = ACTIONS(8998),
    [aux_sym_coarray_statement_token11] = ACTIONS(8998),
    [aux_sym_coarray_statement_token12] = ACTIONS(8998),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8998),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8998),
    [aux_sym_identifier_token1] = ACTIONS(8998),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8996),
  },
  [4142] = {
    [sym__name] = STATE(8019),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8123),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8125),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8123),
  },
  [4143] = {
    [sym__name] = STATE(7522),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8183),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8185),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8183),
  },
  [4144] = {
    [sym__name] = STATE(7563),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5847),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8205),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8203),
  },
  [4145] = {
    [sym__name] = STATE(7582),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5903),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8115),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8117),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8115),
  },
  [4146] = {
    [sym_preproc_call_expression] = STATE(9333),
    [sym_string_literal] = STATE(9333),
    [sym_identifier] = STATE(7398),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9000),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4147] = {
    [sym__name] = STATE(7493),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1016),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8099),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8101),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8099),
  },
  [4148] = {
    [sym__name] = STATE(7785),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8171),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8173),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8171),
  },
  [4149] = {
    [sym__name] = STATE(7709),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1108),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(8191),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8193),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8193),
  },
  [4150] = {
    [sym__name] = STATE(7947),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(8195),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8197),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8197),
  },
  [4151] = {
    [sym__name] = STATE(7600),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5646),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8119),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8119),
  },
  [4152] = {
    [sym__variable_declarator] = STATE(9435),
    [sym_sized_declarator] = STATE(7952),
    [sym__declaration_assignment] = STATE(7056),
    [sym_coarray_declarator] = STATE(9435),
    [sym_identifier] = STATE(6399),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [anon_sym_COLON_COLON] = ACTIONS(9002),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4153] = {
    [sym__name] = STATE(7459),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8151),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8153),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8151),
  },
  [4154] = {
    [sym_preproc_call_expression] = STATE(9329),
    [sym_string_literal] = STATE(9329),
    [sym_identifier] = STATE(7479),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9004),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4155] = {
    [sym__name] = STATE(7787),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5692),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8179),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8179),
  },
  [4156] = {
    [sym__name] = STATE(7724),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5713),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8075),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8077),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8075),
  },
  [4157] = {
    [anon_sym_COMMA] = ACTIONS(6871),
    [anon_sym_STAR] = ACTIONS(6871),
    [anon_sym_SLASH] = ACTIONS(6871),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6873),
    [anon_sym_SEMI] = ACTIONS(6871),
    [aux_sym_block_data_statement_token1] = ACTIONS(6873),
    [aux_sym_block_data_statement_token2] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6873),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6873),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6873),
    [aux_sym_use_statement_token2] = ACTIONS(6873),
    [aux_sym_implicit_statement_token3] = ACTIONS(6873),
    [aux_sym_implicit_statement_token4] = ACTIONS(6873),
    [aux_sym_save_statement_token1] = ACTIONS(6873),
    [aux_sym_private_statement_token1] = ACTIONS(6873),
    [aux_sym_public_statement_token1] = ACTIONS(6873),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6873),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6873),
    [aux_sym_variable_attributes_token2] = ACTIONS(6873),
    [aux_sym_variable_attributes_token3] = ACTIONS(6873),
    [aux_sym_variable_attributes_token5] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6873),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6873),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6873),
    [aux_sym_type_qualifier_token1] = ACTIONS(6873),
    [aux_sym_type_qualifier_token2] = ACTIONS(6873),
    [aux_sym_stop_statement_token1] = ACTIONS(6873),
    [aux_sym_stop_statement_token2] = ACTIONS(6873),
    [aux_sym_subroutine_call_token1] = ACTIONS(6873),
    [aux_sym_keyword_statement_token2] = ACTIONS(6873),
    [aux_sym_keyword_statement_token3] = ACTIONS(6873),
    [aux_sym_keyword_statement_token4] = ACTIONS(6873),
    [aux_sym_include_statement_token1] = ACTIONS(6873),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6873),
    [aux_sym_end_if_statement_token1] = ACTIONS(6873),
    [aux_sym_elseif_clause_token2] = ACTIONS(6873),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6873),
    [aux_sym_select_case_statement_token1] = ACTIONS(6873),
    [aux_sym_format_statement_token1] = ACTIONS(6873),
    [aux_sym_print_statement_token1] = ACTIONS(6873),
    [aux_sym_open_statement_token1] = ACTIONS(6873),
    [aux_sym_inquire_statement_token1] = ACTIONS(6873),
    [aux_sym_entry_statement_token1] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6871),
    [aux_sym_null_literal_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_statement_token2] = ACTIONS(6873),
    [aux_sym_coarray_statement_token6] = ACTIONS(6873),
    [aux_sym_coarray_statement_token8] = ACTIONS(6873),
    [aux_sym_coarray_statement_token11] = ACTIONS(6873),
    [aux_sym_coarray_statement_token12] = ACTIONS(6873),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6873),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6873),
    [aux_sym_identifier_token1] = ACTIONS(6873),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6871),
  },
  [4158] = {
    [sym__name] = STATE(7524),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5884),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8187),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8189),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8187),
  },
  [4159] = {
    [sym__import_names] = STATE(8295),
    [sym_identifier] = STATE(7207),
    [anon_sym_COMMA] = ACTIONS(9006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8267),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(9008),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8267),
  },
  [4160] = {
    [sym__name] = STATE(8102),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1169),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8091),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8093),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8091),
  },
  [4161] = {
    [sym__name] = STATE(8105),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1171),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8107),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8109),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8107),
  },
  [4162] = {
    [sym__name] = STATE(7268),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5651),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8159),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8161),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8159),
  },
  [4163] = {
    [anon_sym_COMMA] = ACTIONS(6853),
    [anon_sym_STAR] = ACTIONS(6853),
    [anon_sym_SLASH] = ACTIONS(6853),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6855),
    [anon_sym_SEMI] = ACTIONS(6853),
    [aux_sym_block_data_statement_token1] = ACTIONS(6855),
    [aux_sym_block_data_statement_token2] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6855),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6855),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6855),
    [aux_sym_use_statement_token2] = ACTIONS(6855),
    [aux_sym_implicit_statement_token3] = ACTIONS(6855),
    [aux_sym_implicit_statement_token4] = ACTIONS(6855),
    [aux_sym_save_statement_token1] = ACTIONS(6855),
    [aux_sym_private_statement_token1] = ACTIONS(6855),
    [aux_sym_public_statement_token1] = ACTIONS(6855),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6855),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6855),
    [aux_sym_variable_attributes_token2] = ACTIONS(6855),
    [aux_sym_variable_attributes_token3] = ACTIONS(6855),
    [aux_sym_variable_attributes_token5] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6855),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6855),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6855),
    [aux_sym_type_qualifier_token1] = ACTIONS(6855),
    [aux_sym_type_qualifier_token2] = ACTIONS(6855),
    [aux_sym_stop_statement_token1] = ACTIONS(6855),
    [aux_sym_stop_statement_token2] = ACTIONS(6855),
    [aux_sym_subroutine_call_token1] = ACTIONS(6855),
    [aux_sym_keyword_statement_token2] = ACTIONS(6855),
    [aux_sym_keyword_statement_token3] = ACTIONS(6855),
    [aux_sym_keyword_statement_token4] = ACTIONS(6855),
    [aux_sym_include_statement_token1] = ACTIONS(6855),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6855),
    [aux_sym_end_if_statement_token1] = ACTIONS(6855),
    [aux_sym_elseif_clause_token2] = ACTIONS(6855),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6855),
    [aux_sym_select_case_statement_token1] = ACTIONS(6855),
    [aux_sym_format_statement_token1] = ACTIONS(6855),
    [aux_sym_print_statement_token1] = ACTIONS(6855),
    [aux_sym_open_statement_token1] = ACTIONS(6855),
    [aux_sym_inquire_statement_token1] = ACTIONS(6855),
    [aux_sym_entry_statement_token1] = ACTIONS(6855),
    [anon_sym_LBRACK] = ACTIONS(6853),
    [aux_sym_null_literal_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_statement_token2] = ACTIONS(6855),
    [aux_sym_coarray_statement_token6] = ACTIONS(6855),
    [aux_sym_coarray_statement_token8] = ACTIONS(6855),
    [aux_sym_coarray_statement_token11] = ACTIONS(6855),
    [aux_sym_coarray_statement_token12] = ACTIONS(6855),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6855),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6855),
    [aux_sym_identifier_token1] = ACTIONS(6855),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6853),
  },
  [4164] = {
    [sym__name] = STATE(7633),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5189),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8163),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8165),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8163),
  },
  [4165] = {
    [sym_preproc_call_expression] = STATE(8803),
    [sym_string_literal] = STATE(8803),
    [sym_identifier] = STATE(7321),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9010),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4166] = {
    [anon_sym_COMMA] = ACTIONS(7119),
    [anon_sym_SLASH] = ACTIONS(7119),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7121),
    [anon_sym_SEMI] = ACTIONS(7119),
    [aux_sym_block_data_statement_token1] = ACTIONS(7121),
    [aux_sym_block_data_statement_token2] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7121),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7121),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7121),
    [aux_sym_use_statement_token2] = ACTIONS(7121),
    [anon_sym_EQ_GT] = ACTIONS(7119),
    [aux_sym_implicit_statement_token3] = ACTIONS(7121),
    [aux_sym_implicit_statement_token4] = ACTIONS(7121),
    [aux_sym_save_statement_token1] = ACTIONS(7121),
    [aux_sym_private_statement_token1] = ACTIONS(7121),
    [aux_sym_public_statement_token1] = ACTIONS(7121),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7121),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7121),
    [aux_sym_variable_attributes_token2] = ACTIONS(7121),
    [aux_sym_variable_attributes_token3] = ACTIONS(7121),
    [aux_sym_variable_attributes_token5] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7121),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7121),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7121),
    [aux_sym_type_qualifier_token1] = ACTIONS(7121),
    [aux_sym_type_qualifier_token2] = ACTIONS(7121),
    [aux_sym_stop_statement_token1] = ACTIONS(7121),
    [aux_sym_stop_statement_token2] = ACTIONS(7121),
    [aux_sym_subroutine_call_token1] = ACTIONS(7121),
    [aux_sym_keyword_statement_token2] = ACTIONS(7121),
    [aux_sym_keyword_statement_token3] = ACTIONS(7121),
    [aux_sym_keyword_statement_token4] = ACTIONS(7121),
    [aux_sym_include_statement_token1] = ACTIONS(7121),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7121),
    [aux_sym_end_if_statement_token1] = ACTIONS(7121),
    [aux_sym_elseif_clause_token2] = ACTIONS(7121),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7121),
    [aux_sym_select_case_statement_token1] = ACTIONS(7121),
    [aux_sym_format_statement_token1] = ACTIONS(7121),
    [aux_sym_print_statement_token1] = ACTIONS(7121),
    [aux_sym_open_statement_token1] = ACTIONS(7121),
    [aux_sym_inquire_statement_token1] = ACTIONS(7121),
    [aux_sym_entry_statement_token1] = ACTIONS(7121),
    [aux_sym_null_literal_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_statement_token2] = ACTIONS(7121),
    [aux_sym_coarray_statement_token6] = ACTIONS(7121),
    [aux_sym_coarray_statement_token8] = ACTIONS(7121),
    [aux_sym_coarray_statement_token11] = ACTIONS(7121),
    [aux_sym_coarray_statement_token12] = ACTIONS(7121),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7121),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7121),
    [aux_sym_identifier_token1] = ACTIONS(7121),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7119),
  },
  [4167] = {
    [sym__name] = STATE(7738),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1117),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_module_statement_token1] = ACTIONS(8243),
    [anon_sym_SEMI] = ACTIONS(8245),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8245),
  },
  [4168] = {
    [sym__name] = STATE(7635),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8167),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8169),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8167),
  },
  [4169] = {
    [sym__name] = STATE(8077),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(4992),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8087),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8089),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8087),
  },
  [4170] = {
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7111),
    [anon_sym_SEMI] = ACTIONS(7109),
    [aux_sym_block_data_statement_token1] = ACTIONS(7111),
    [aux_sym_block_data_statement_token2] = ACTIONS(7111),
    [anon_sym_EQ] = ACTIONS(7111),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7111),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7111),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7111),
    [aux_sym_use_statement_token2] = ACTIONS(7111),
    [anon_sym_EQ_GT] = ACTIONS(7109),
    [aux_sym_implicit_statement_token3] = ACTIONS(7111),
    [aux_sym_implicit_statement_token4] = ACTIONS(7111),
    [aux_sym_save_statement_token1] = ACTIONS(7111),
    [aux_sym_private_statement_token1] = ACTIONS(7111),
    [aux_sym_public_statement_token1] = ACTIONS(7111),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7111),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7111),
    [aux_sym_variable_attributes_token2] = ACTIONS(7111),
    [aux_sym_variable_attributes_token3] = ACTIONS(7111),
    [aux_sym_variable_attributes_token5] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7111),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7111),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7111),
    [aux_sym_type_qualifier_token1] = ACTIONS(7111),
    [aux_sym_type_qualifier_token2] = ACTIONS(7111),
    [aux_sym_stop_statement_token1] = ACTIONS(7111),
    [aux_sym_stop_statement_token2] = ACTIONS(7111),
    [aux_sym_subroutine_call_token1] = ACTIONS(7111),
    [aux_sym_keyword_statement_token2] = ACTIONS(7111),
    [aux_sym_keyword_statement_token3] = ACTIONS(7111),
    [aux_sym_keyword_statement_token4] = ACTIONS(7111),
    [aux_sym_include_statement_token1] = ACTIONS(7111),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7111),
    [aux_sym_end_if_statement_token1] = ACTIONS(7111),
    [aux_sym_elseif_clause_token2] = ACTIONS(7111),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7111),
    [aux_sym_select_case_statement_token1] = ACTIONS(7111),
    [aux_sym_format_statement_token1] = ACTIONS(7111),
    [aux_sym_print_statement_token1] = ACTIONS(7111),
    [aux_sym_open_statement_token1] = ACTIONS(7111),
    [aux_sym_inquire_statement_token1] = ACTIONS(7111),
    [aux_sym_entry_statement_token1] = ACTIONS(7111),
    [aux_sym_null_literal_token1] = ACTIONS(7111),
    [aux_sym_coarray_statement_token1] = ACTIONS(7111),
    [aux_sym_coarray_statement_token2] = ACTIONS(7111),
    [aux_sym_coarray_statement_token6] = ACTIONS(7111),
    [aux_sym_coarray_statement_token8] = ACTIONS(7111),
    [aux_sym_coarray_statement_token11] = ACTIONS(7111),
    [aux_sym_coarray_statement_token12] = ACTIONS(7111),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7111),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7111),
    [aux_sym_identifier_token1] = ACTIONS(7111),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7109),
  },
  [4171] = {
    [sym__name] = STATE(7949),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1059),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(8155),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8157),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8157),
  },
  [4172] = {
    [sym_preproc_call_expression] = STATE(8967),
    [sym_string_literal] = STATE(8967),
    [sym_identifier] = STATE(7539),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9012),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4173] = {
    [sym__variable_declarator] = STATE(9087),
    [sym_sized_declarator] = STATE(7952),
    [sym__declaration_assignment] = STATE(7173),
    [sym_coarray_declarator] = STATE(9087),
    [sym_identifier] = STATE(6407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [anon_sym_COLON_COLON] = ACTIONS(9014),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4174] = {
    [anon_sym_COMMA] = ACTIONS(7123),
    [anon_sym_SLASH] = ACTIONS(7123),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7125),
    [anon_sym_SEMI] = ACTIONS(7123),
    [aux_sym_block_data_statement_token1] = ACTIONS(7125),
    [aux_sym_block_data_statement_token2] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7125),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7125),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7125),
    [aux_sym_use_statement_token2] = ACTIONS(7125),
    [anon_sym_EQ_GT] = ACTIONS(7123),
    [aux_sym_implicit_statement_token3] = ACTIONS(7125),
    [aux_sym_implicit_statement_token4] = ACTIONS(7125),
    [aux_sym_save_statement_token1] = ACTIONS(7125),
    [aux_sym_private_statement_token1] = ACTIONS(7125),
    [aux_sym_public_statement_token1] = ACTIONS(7125),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7125),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7125),
    [aux_sym_variable_attributes_token2] = ACTIONS(7125),
    [aux_sym_variable_attributes_token3] = ACTIONS(7125),
    [aux_sym_variable_attributes_token5] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7125),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7125),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7125),
    [aux_sym_type_qualifier_token1] = ACTIONS(7125),
    [aux_sym_type_qualifier_token2] = ACTIONS(7125),
    [aux_sym_stop_statement_token1] = ACTIONS(7125),
    [aux_sym_stop_statement_token2] = ACTIONS(7125),
    [aux_sym_subroutine_call_token1] = ACTIONS(7125),
    [aux_sym_keyword_statement_token2] = ACTIONS(7125),
    [aux_sym_keyword_statement_token3] = ACTIONS(7125),
    [aux_sym_keyword_statement_token4] = ACTIONS(7125),
    [aux_sym_include_statement_token1] = ACTIONS(7125),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7125),
    [aux_sym_end_if_statement_token1] = ACTIONS(7125),
    [aux_sym_elseif_clause_token2] = ACTIONS(7125),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7125),
    [aux_sym_select_case_statement_token1] = ACTIONS(7125),
    [aux_sym_format_statement_token1] = ACTIONS(7125),
    [aux_sym_print_statement_token1] = ACTIONS(7125),
    [aux_sym_open_statement_token1] = ACTIONS(7125),
    [aux_sym_inquire_statement_token1] = ACTIONS(7125),
    [aux_sym_entry_statement_token1] = ACTIONS(7125),
    [aux_sym_null_literal_token1] = ACTIONS(7125),
    [aux_sym_coarray_statement_token1] = ACTIONS(7125),
    [aux_sym_coarray_statement_token2] = ACTIONS(7125),
    [aux_sym_coarray_statement_token6] = ACTIONS(7125),
    [aux_sym_coarray_statement_token8] = ACTIONS(7125),
    [aux_sym_coarray_statement_token11] = ACTIONS(7125),
    [aux_sym_coarray_statement_token12] = ACTIONS(7125),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7125),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7125),
    [aux_sym_identifier_token1] = ACTIONS(7125),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7123),
  },
  [4175] = {
    [sym__name] = STATE(7726),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5716),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8083),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8085),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8083),
  },
  [4176] = {
    [sym__name] = STATE(7271),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8139),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8141),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8139),
  },
  [4177] = {
    [sym_preproc_call_expression] = STATE(9391),
    [sym_string_literal] = STATE(9391),
    [sym_identifier] = STATE(7593),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9016),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4178] = {
    [anon_sym_COMMA] = ACTIONS(7131),
    [anon_sym_SLASH] = ACTIONS(7131),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7133),
    [anon_sym_SEMI] = ACTIONS(7131),
    [aux_sym_block_data_statement_token1] = ACTIONS(7133),
    [aux_sym_block_data_statement_token2] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7133),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7133),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7133),
    [aux_sym_use_statement_token2] = ACTIONS(7133),
    [anon_sym_EQ_GT] = ACTIONS(7131),
    [aux_sym_implicit_statement_token3] = ACTIONS(7133),
    [aux_sym_implicit_statement_token4] = ACTIONS(7133),
    [aux_sym_save_statement_token1] = ACTIONS(7133),
    [aux_sym_private_statement_token1] = ACTIONS(7133),
    [aux_sym_public_statement_token1] = ACTIONS(7133),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7133),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7133),
    [aux_sym_variable_attributes_token2] = ACTIONS(7133),
    [aux_sym_variable_attributes_token3] = ACTIONS(7133),
    [aux_sym_variable_attributes_token5] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7133),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7133),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7133),
    [aux_sym_type_qualifier_token1] = ACTIONS(7133),
    [aux_sym_type_qualifier_token2] = ACTIONS(7133),
    [aux_sym_stop_statement_token1] = ACTIONS(7133),
    [aux_sym_stop_statement_token2] = ACTIONS(7133),
    [aux_sym_subroutine_call_token1] = ACTIONS(7133),
    [aux_sym_keyword_statement_token2] = ACTIONS(7133),
    [aux_sym_keyword_statement_token3] = ACTIONS(7133),
    [aux_sym_keyword_statement_token4] = ACTIONS(7133),
    [aux_sym_include_statement_token1] = ACTIONS(7133),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7133),
    [aux_sym_end_if_statement_token1] = ACTIONS(7133),
    [aux_sym_elseif_clause_token2] = ACTIONS(7133),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7133),
    [aux_sym_select_case_statement_token1] = ACTIONS(7133),
    [aux_sym_format_statement_token1] = ACTIONS(7133),
    [aux_sym_print_statement_token1] = ACTIONS(7133),
    [aux_sym_open_statement_token1] = ACTIONS(7133),
    [aux_sym_inquire_statement_token1] = ACTIONS(7133),
    [aux_sym_entry_statement_token1] = ACTIONS(7133),
    [aux_sym_null_literal_token1] = ACTIONS(7133),
    [aux_sym_coarray_statement_token1] = ACTIONS(7133),
    [aux_sym_coarray_statement_token2] = ACTIONS(7133),
    [aux_sym_coarray_statement_token6] = ACTIONS(7133),
    [aux_sym_coarray_statement_token8] = ACTIONS(7133),
    [aux_sym_coarray_statement_token11] = ACTIONS(7133),
    [aux_sym_coarray_statement_token12] = ACTIONS(7133),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7133),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7133),
    [aux_sym_identifier_token1] = ACTIONS(7133),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7131),
  },
  [4179] = {
    [sym__variable_declarator] = STATE(6937),
    [sym_sized_declarator] = STATE(4036),
    [sym__declaration_assignment] = STATE(8111),
    [sym__declaration_pointer_association] = STATE(8112),
    [sym_coarray_declarator] = STATE(6937),
    [sym_identifier] = STATE(6402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4180] = {
    [sym__name] = STATE(7658),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1252),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8143),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8145),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8143),
  },
  [4181] = {
    [sym__name] = STATE(7298),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5787),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8103),
  },
  [4182] = {
    [sym__name] = STATE(7301),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8059),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8061),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8059),
  },
  [4183] = {
    [sym__name] = STATE(8064),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_submodule_statement_token1] = ACTIONS(8227),
    [anon_sym_SEMI] = ACTIONS(8229),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8229),
  },
  [4184] = {
    [sym_preproc_call_expression] = STATE(9361),
    [sym_string_literal] = STATE(9361),
    [sym_identifier] = STATE(7800),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9018),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4185] = {
    [sym__name] = STATE(7432),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5245),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8081),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8079),
  },
  [4186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [anon_sym_COMMA] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_end_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_function_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token2] = ACTIONS(5082),
    [aux_sym_procedure_kind_token3] = ACTIONS(5082),
    [aux_sym_procedure_kind_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_SLASH_RPAREN] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
  },
  [4187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5076),
    [aux_sym_preproc_def_token1] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5076),
    [sym_preproc_directive] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_SLASH] = ACTIONS(5076),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5076),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5076),
    [aux_sym_end_program_statement_token1] = ACTIONS(5076),
    [aux_sym_module_statement_token1] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(5078),
    [aux_sym_end_interface_statement_token1] = ACTIONS(5078),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5078),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5078),
    [aux_sym_function_statement_token1] = ACTIONS(5078),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5078),
    [aux_sym_implicit_statement_token3] = ACTIONS(5078),
    [aux_sym_import_statement_token1] = ACTIONS(5078),
    [aux_sym_procedure_kind_token1] = ACTIONS(5078),
    [aux_sym_procedure_kind_token2] = ACTIONS(5078),
    [aux_sym_procedure_kind_token3] = ACTIONS(5078),
    [aux_sym_procedure_kind_token4] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5076),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5078),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5078),
    [aux_sym_derived_type_token1] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5078),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5078),
    [aux_sym_include_statement_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token1] = ACTIONS(5078),
    [aux_sym_logical_expression_token2] = ACTIONS(5078),
    [aux_sym_logical_expression_token3] = ACTIONS(5078),
    [aux_sym_logical_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token1] = ACTIONS(5078),
    [aux_sym_relational_expression_token2] = ACTIONS(5078),
    [aux_sym_relational_expression_token3] = ACTIONS(5078),
    [aux_sym_relational_expression_token4] = ACTIONS(5078),
    [aux_sym_relational_expression_token5] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [aux_sym_relational_expression_token6] = ACTIONS(5078),
    [anon_sym_SLASH_SLASH] = ACTIONS(5078),
    [anon_sym_STAR_STAR] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5076),
    [anon_sym_SLASH_RPAREN] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5078),
    [sym_comment] = ACTIONS(21),
  },
  [4188] = {
    [sym_preproc_call_expression] = STATE(9097),
    [sym_string_literal] = STATE(9097),
    [sym_identifier] = STATE(7644),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9020),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5080),
    [aux_sym_preproc_def_token1] = ACTIONS(5080),
    [anon_sym_COMMA] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5080),
    [sym_preproc_directive] = ACTIONS(5080),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5082),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5080),
    [aux_sym_end_program_statement_token1] = ACTIONS(5080),
    [aux_sym_module_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5082),
    [aux_sym_end_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_function_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token1] = ACTIONS(5082),
    [aux_sym_procedure_kind_token2] = ACTIONS(5082),
    [aux_sym_procedure_kind_token3] = ACTIONS(5082),
    [aux_sym_procedure_kind_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5080),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5082),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token2] = ACTIONS(5082),
    [aux_sym_logical_expression_token3] = ACTIONS(5082),
    [aux_sym_logical_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token1] = ACTIONS(5082),
    [aux_sym_relational_expression_token2] = ACTIONS(5082),
    [aux_sym_relational_expression_token3] = ACTIONS(5082),
    [aux_sym_relational_expression_token4] = ACTIONS(5082),
    [aux_sym_relational_expression_token5] = ACTIONS(5082),
    [anon_sym_SLASH_EQ] = ACTIONS(5082),
    [aux_sym_relational_expression_token6] = ACTIONS(5082),
    [anon_sym_SLASH_SLASH] = ACTIONS(5082),
    [anon_sym_STAR_STAR] = ACTIONS(5082),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_SLASH_RPAREN] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
  },
  [4190] = {
    [sym__name] = STATE(7353),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8135),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(8137),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8135),
  },
  [4191] = {
    [sym__name] = STATE(7807),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8111),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8113),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8111),
  },
  [4192] = {
    [sym_preproc_call_expression] = STATE(9537),
    [sym_string_literal] = STATE(9537),
    [sym_identifier] = STATE(8120),
    [anon_sym_AMP] = ACTIONS(21),
    [sym_system_lib_string] = ACTIONS(9022),
    [aux_sym_end_program_statement_token1] = ACTIONS(8902),
    [aux_sym_block_data_statement_token1] = ACTIONS(8904),
    [aux_sym_block_data_statement_token2] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8904),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8904),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8904),
    [aux_sym_use_statement_token2] = ACTIONS(8904),
    [aux_sym_implicit_statement_token3] = ACTIONS(8906),
    [aux_sym_implicit_statement_token4] = ACTIONS(8904),
    [aux_sym_save_statement_token1] = ACTIONS(8904),
    [aux_sym_private_statement_token1] = ACTIONS(8904),
    [aux_sym_public_statement_token1] = ACTIONS(8904),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8904),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8904),
    [aux_sym_variable_attributes_token2] = ACTIONS(8904),
    [aux_sym_variable_attributes_token3] = ACTIONS(8904),
    [aux_sym_variable_attributes_token5] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8908),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8904),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8904),
    [aux_sym_type_qualifier_token1] = ACTIONS(8904),
    [aux_sym_type_qualifier_token2] = ACTIONS(8904),
    [aux_sym_stop_statement_token1] = ACTIONS(8904),
    [aux_sym_stop_statement_token2] = ACTIONS(8904),
    [aux_sym_subroutine_call_token1] = ACTIONS(8906),
    [aux_sym_keyword_statement_token2] = ACTIONS(8904),
    [aux_sym_keyword_statement_token3] = ACTIONS(8904),
    [aux_sym_keyword_statement_token4] = ACTIONS(8910),
    [aux_sym_include_statement_token1] = ACTIONS(8906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8904),
    [aux_sym_end_if_statement_token1] = ACTIONS(8904),
    [aux_sym_elseif_clause_token2] = ACTIONS(8904),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8906),
    [aux_sym_select_case_statement_token1] = ACTIONS(8912),
    [aux_sym_format_statement_token1] = ACTIONS(8904),
    [aux_sym_print_statement_token1] = ACTIONS(8906),
    [aux_sym_open_statement_token1] = ACTIONS(8906),
    [aux_sym_inquire_statement_token1] = ACTIONS(8904),
    [aux_sym_entry_statement_token1] = ACTIONS(8904),
    [aux_sym_null_literal_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_statement_token2] = ACTIONS(8904),
    [aux_sym_coarray_statement_token6] = ACTIONS(8904),
    [aux_sym_coarray_statement_token8] = ACTIONS(8904),
    [aux_sym_coarray_statement_token11] = ACTIONS(8904),
    [aux_sym_coarray_statement_token12] = ACTIONS(8904),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8904),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8904),
    [aux_sym_identifier_token1] = ACTIONS(8904),
    [sym_comment] = ACTIONS(21),
    [sym__string_literal] = ACTIONS(8914),
    [sym__string_literal_kind] = ACTIONS(8916),
  },
  [4193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [anon_sym_COMMA] = ACTIONS(5156),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_SLASH] = ACTIONS(5154),
    [anon_sym_PERCENT] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5156),
    [anon_sym_GT] = ACTIONS(5154),
    [anon_sym_GT_EQ] = ACTIONS(5156),
    [anon_sym_LT_EQ] = ACTIONS(5156),
    [anon_sym_LT] = ACTIONS(5154),
    [aux_sym_end_program_statement_token1] = ACTIONS(5154),
    [aux_sym_module_statement_token1] = ACTIONS(5156),
    [anon_sym_SEMI] = ACTIONS(5156),
    [aux_sym_end_interface_statement_token1] = ACTIONS(5156),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5156),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5156),
    [aux_sym_function_statement_token1] = ACTIONS(5156),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5156),
    [aux_sym_implicit_statement_token3] = ACTIONS(5156),
    [aux_sym_import_statement_token1] = ACTIONS(5156),
    [aux_sym_procedure_kind_token1] = ACTIONS(5156),
    [aux_sym_procedure_kind_token2] = ACTIONS(5156),
    [aux_sym_procedure_kind_token3] = ACTIONS(5156),
    [aux_sym_procedure_kind_token4] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5154),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5156),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5156),
    [aux_sym_derived_type_token1] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5156),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5156),
    [aux_sym_include_statement_token1] = ACTIONS(5156),
    [aux_sym_logical_expression_token1] = ACTIONS(5156),
    [aux_sym_logical_expression_token2] = ACTIONS(5156),
    [aux_sym_logical_expression_token3] = ACTIONS(5156),
    [aux_sym_logical_expression_token4] = ACTIONS(5156),
    [aux_sym_relational_expression_token1] = ACTIONS(5156),
    [aux_sym_relational_expression_token2] = ACTIONS(5156),
    [aux_sym_relational_expression_token3] = ACTIONS(5156),
    [aux_sym_relational_expression_token4] = ACTIONS(5156),
    [aux_sym_relational_expression_token5] = ACTIONS(5156),
    [anon_sym_SLASH_EQ] = ACTIONS(5156),
    [aux_sym_relational_expression_token6] = ACTIONS(5156),
    [anon_sym_SLASH_SLASH] = ACTIONS(5156),
    [anon_sym_STAR_STAR] = ACTIONS(5156),
    [anon_sym_DOT] = ACTIONS(5154),
    [anon_sym_SLASH_RPAREN] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [anon_sym_QMARK] = ACTIONS(5156),
    [sym_comment] = ACTIONS(21),
  },
  [4194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5130),
    [aux_sym_preproc_def_token1] = ACTIONS(5130),
    [anon_sym_COMMA] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5130),
    [sym_preproc_directive] = ACTIONS(5130),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5130),
    [anon_sym_SLASH] = ACTIONS(5130),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5130),
    [anon_sym_GT_EQ] = ACTIONS(5132),
    [anon_sym_LT_EQ] = ACTIONS(5132),
    [anon_sym_LT] = ACTIONS(5130),
    [aux_sym_end_program_statement_token1] = ACTIONS(5130),
    [aux_sym_module_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5132),
    [aux_sym_end_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_function_statement_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_procedure_kind_token1] = ACTIONS(5132),
    [aux_sym_procedure_kind_token2] = ACTIONS(5132),
    [aux_sym_procedure_kind_token3] = ACTIONS(5132),
    [aux_sym_procedure_kind_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5130),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5132),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token2] = ACTIONS(5132),
    [aux_sym_logical_expression_token3] = ACTIONS(5132),
    [aux_sym_logical_expression_token4] = ACTIONS(5132),
    [aux_sym_relational_expression_token1] = ACTIONS(5132),
    [aux_sym_relational_expression_token2] = ACTIONS(5132),
    [aux_sym_relational_expression_token3] = ACTIONS(5132),
    [aux_sym_relational_expression_token4] = ACTIONS(5132),
    [aux_sym_relational_expression_token5] = ACTIONS(5132),
    [anon_sym_SLASH_EQ] = ACTIONS(5132),
    [aux_sym_relational_expression_token6] = ACTIONS(5132),
    [anon_sym_SLASH_SLASH] = ACTIONS(5132),
    [anon_sym_STAR_STAR] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_SLASH_RPAREN] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [anon_sym_QMARK] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
  },
  [4195] = {
    [sym__name] = STATE(7383),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5812),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_subroutine_statement_token1] = ACTIONS(8177),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8175),
  },
  [4196] = {
    [sym__name] = STATE(7385),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5814),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8199),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_function_statement_token1] = ACTIONS(8201),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8199),
  },
  [4197] = {
    [sym__name] = STATE(7472),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1239),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_submodule_statement_token1] = ACTIONS(8259),
    [anon_sym_SEMI] = ACTIONS(8261),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8261),
  },
  [4198] = {
    [sym__name] = STATE(7528),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9024),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9024),
  },
  [4199] = {
    [sym__block_label] = STATE(7585),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(773),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9026),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9026),
  },
  [4200] = {
    [sym__name] = STATE(7600),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5646),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8119),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8119),
  },
  [4201] = {
    [sym__block_label] = STATE(7624),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(747),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9028),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9028),
  },
  [4202] = {
    [sym__block_label] = STATE(7628),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(758),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9030),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9030),
  },
  [4203] = {
    [sym__name] = STATE(7265),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2347),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9032),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9032),
  },
  [4204] = {
    [sym__name] = STATE(7659),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5673),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9034),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9034),
  },
  [4205] = {
    [sym__block_label] = STATE(7684),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9036),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9036),
  },
  [4206] = {
    [sym__block_label] = STATE(7688),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(732),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9038),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9038),
  },
  [4207] = {
    [sym__block_label] = STATE(7689),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9040),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9040),
  },
  [4208] = {
    [sym__block_label] = STATE(7581),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(770),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9042),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9042),
  },
  [4209] = {
    [sym__block_label] = STATE(7701),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(742),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9044),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9044),
  },
  [4210] = {
    [sym__block_label] = STATE(7702),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(743),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9046),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9046),
  },
  [4211] = {
    [sym__name] = STATE(7733),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1115),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9048),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9048),
  },
  [4212] = {
    [sym__name] = STATE(7738),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1117),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8245),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8245),
  },
  [4213] = {
    [sym__name] = STATE(7743),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1119),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8225),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8225),
  },
  [4214] = {
    [sym__block_label] = STATE(7833),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(782),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9050),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9050),
  },
  [4215] = {
    [sym__name] = STATE(7751),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1121),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8247),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8247),
  },
  [4216] = {
    [sym__name] = STATE(7759),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9052),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9052),
  },
  [4217] = {
    [sym__name] = STATE(7760),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1133),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9054),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9054),
  },
  [4218] = {
    [sym__name] = STATE(7763),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1136),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9056),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9056),
  },
  [4219] = {
    [sym__block_label] = STATE(8089),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9058),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9058),
  },
  [4220] = {
    [sym__name] = STATE(7767),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1148),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9060),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9060),
  },
  [4221] = {
    [sym__name] = STATE(7785),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8171),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8171),
  },
  [4222] = {
    [sym__name] = STATE(7787),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5692),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8179),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8179),
  },
  [4223] = {
    [sym__name] = STATE(7792),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5695),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9062),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9062),
  },
  [4224] = {
    [sym__name] = STATE(7794),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5698),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9064),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9064),
  },
  [4225] = {
    [sym__name] = STATE(7709),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1108),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8193),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8193),
  },
  [4226] = {
    [sym__name] = STATE(7935),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2206),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9066),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9068),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9066),
  },
  [4227] = {
    [sym__name] = STATE(7935),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2206),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9066),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9066),
  },
  [4228] = {
    [aux_sym_common_statement_repeat1] = STATE(4366),
    [anon_sym_COMMA] = ACTIONS(9070),
    [anon_sym_SLASH] = ACTIONS(9072),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9074),
    [anon_sym_SEMI] = ACTIONS(9072),
    [aux_sym_block_data_statement_token1] = ACTIONS(9074),
    [aux_sym_block_data_statement_token2] = ACTIONS(9074),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9074),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9074),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9074),
    [aux_sym_use_statement_token2] = ACTIONS(9074),
    [aux_sym_implicit_statement_token3] = ACTIONS(9074),
    [aux_sym_implicit_statement_token4] = ACTIONS(9074),
    [aux_sym_save_statement_token1] = ACTIONS(9074),
    [aux_sym_private_statement_token1] = ACTIONS(9074),
    [aux_sym_public_statement_token1] = ACTIONS(9074),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9074),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9074),
    [aux_sym_variable_attributes_token2] = ACTIONS(9074),
    [aux_sym_variable_attributes_token3] = ACTIONS(9074),
    [aux_sym_variable_attributes_token5] = ACTIONS(9074),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9074),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9074),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9074),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9074),
    [aux_sym_type_qualifier_token1] = ACTIONS(9074),
    [aux_sym_type_qualifier_token2] = ACTIONS(9074),
    [aux_sym_stop_statement_token1] = ACTIONS(9074),
    [aux_sym_stop_statement_token2] = ACTIONS(9074),
    [aux_sym_subroutine_call_token1] = ACTIONS(9074),
    [aux_sym_keyword_statement_token2] = ACTIONS(9074),
    [aux_sym_keyword_statement_token3] = ACTIONS(9074),
    [aux_sym_keyword_statement_token4] = ACTIONS(9074),
    [aux_sym_include_statement_token1] = ACTIONS(9074),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9074),
    [aux_sym_end_if_statement_token1] = ACTIONS(9074),
    [aux_sym_elseif_clause_token2] = ACTIONS(9074),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9074),
    [aux_sym_select_case_statement_token1] = ACTIONS(9074),
    [aux_sym_format_statement_token1] = ACTIONS(9074),
    [aux_sym_print_statement_token1] = ACTIONS(9074),
    [aux_sym_open_statement_token1] = ACTIONS(9074),
    [aux_sym_inquire_statement_token1] = ACTIONS(9074),
    [aux_sym_entry_statement_token1] = ACTIONS(9074),
    [aux_sym_null_literal_token1] = ACTIONS(9074),
    [aux_sym_coarray_statement_token1] = ACTIONS(9074),
    [aux_sym_coarray_statement_token2] = ACTIONS(9074),
    [aux_sym_coarray_statement_token6] = ACTIONS(9074),
    [aux_sym_coarray_statement_token8] = ACTIONS(9074),
    [aux_sym_coarray_statement_token11] = ACTIONS(9074),
    [aux_sym_coarray_statement_token12] = ACTIONS(9074),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9074),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9074),
    [aux_sym_identifier_token1] = ACTIONS(9074),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9072),
  },
  [4229] = {
    [sym__name] = STATE(7981),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2184),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9076),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9076),
  },
  [4230] = {
    [sym__block_label] = STATE(8002),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(918),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9078),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9078),
  },
  [4231] = {
    [sym__name] = STATE(7494),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1207),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9080),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9080),
  },
  [4232] = {
    [sym__name] = STATE(8019),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8123),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8123),
  },
  [4233] = {
    [sym__block_label] = STATE(8035),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(907),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9082),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9082),
  },
  [4234] = {
    [sym__block_label] = STATE(8037),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(881),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9084),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9084),
  },
  [4235] = {
    [sym__name] = STATE(7507),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1210),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9086),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9086),
  },
  [4236] = {
    [sym__name] = STATE(8046),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9088),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9088),
  },
  [4237] = {
    [sym__block_label] = STATE(7256),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(920),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9090),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9092),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9090),
  },
  [4238] = {
    [sym__name] = STATE(8044),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5648),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9094),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9094),
  },
  [4239] = {
    [sym__block_label] = STATE(8056),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(896),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9096),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9096),
  },
  [4240] = {
    [sym__block_label] = STATE(8059),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9098),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9098),
  },
  [4241] = {
    [sym__block_label] = STATE(8061),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(903),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9100),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9100),
  },
  [4242] = {
    [sym__block_label] = STATE(8067),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(904),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9102),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9102),
  },
  [4243] = {
    [sym__block_label] = STATE(8073),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(915),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9104),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9104),
  },
  [4244] = {
    [sym__block_label] = STATE(8075),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(916),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9106),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9106),
  },
  [4245] = {
    [sym__name] = STATE(8062),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8233),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8233),
  },
  [4246] = {
    [sym__block_label] = STATE(7320),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9108),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9108),
  },
  [4247] = {
    [sym__name] = STATE(8064),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8229),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8229),
  },
  [4248] = {
    [sym__name] = STATE(8102),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1169),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8091),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8091),
  },
  [4249] = {
    [sym__name] = STATE(8105),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1171),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8107),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8107),
  },
  [4250] = {
    [sym__block_label] = STATE(7422),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(841),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9110),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9110),
  },
  [4251] = {
    [sym__name] = STATE(8107),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1174),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9112),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9112),
  },
  [4252] = {
    [sym__name] = STATE(8069),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1039),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8235),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8235),
  },
  [4253] = {
    [sym__name] = STATE(8109),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1177),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9114),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9114),
  },
  [4254] = {
    [sym__name] = STATE(8071),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(4979),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8071),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8071),
  },
  [4255] = {
    [anon_sym_COMMA] = ACTIONS(9116),
    [anon_sym_LPAREN2] = ACTIONS(9116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9118),
    [aux_sym_block_data_statement_token1] = ACTIONS(9118),
    [aux_sym_block_data_statement_token2] = ACTIONS(9118),
    [aux_sym_assignment_token1] = ACTIONS(9118),
    [aux_sym_operator_token1] = ACTIONS(9118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9118),
    [aux_sym_use_statement_token2] = ACTIONS(9118),
    [anon_sym_COLON_COLON] = ACTIONS(9116),
    [aux_sym_implicit_statement_token3] = ACTIONS(9118),
    [aux_sym_implicit_statement_token4] = ACTIONS(9118),
    [aux_sym_save_statement_token1] = ACTIONS(9118),
    [aux_sym_private_statement_token1] = ACTIONS(9118),
    [aux_sym_public_statement_token1] = ACTIONS(9118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9118),
    [aux_sym_variable_attributes_token2] = ACTIONS(9118),
    [aux_sym_variable_attributes_token3] = ACTIONS(9118),
    [aux_sym_variable_attributes_token5] = ACTIONS(9118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9118),
    [aux_sym_type_qualifier_token1] = ACTIONS(9118),
    [aux_sym_type_qualifier_token2] = ACTIONS(9118),
    [aux_sym_stop_statement_token1] = ACTIONS(9118),
    [aux_sym_stop_statement_token2] = ACTIONS(9118),
    [aux_sym_subroutine_call_token1] = ACTIONS(9118),
    [aux_sym_keyword_statement_token2] = ACTIONS(9118),
    [aux_sym_keyword_statement_token3] = ACTIONS(9118),
    [aux_sym_keyword_statement_token4] = ACTIONS(9118),
    [aux_sym_include_statement_token1] = ACTIONS(9118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9118),
    [aux_sym_end_if_statement_token1] = ACTIONS(9118),
    [aux_sym_elseif_clause_token2] = ACTIONS(9118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9118),
    [aux_sym_select_case_statement_token1] = ACTIONS(9118),
    [aux_sym_format_statement_token1] = ACTIONS(9118),
    [aux_sym_print_statement_token1] = ACTIONS(9118),
    [aux_sym_open_statement_token1] = ACTIONS(9118),
    [aux_sym_inquire_statement_token1] = ACTIONS(9118),
    [aux_sym_entry_statement_token1] = ACTIONS(9118),
    [aux_sym_null_literal_token1] = ACTIONS(9118),
    [aux_sym_coarray_statement_token1] = ACTIONS(9118),
    [aux_sym_coarray_statement_token2] = ACTIONS(9118),
    [aux_sym_coarray_statement_token6] = ACTIONS(9118),
    [aux_sym_coarray_statement_token8] = ACTIONS(9118),
    [aux_sym_coarray_statement_token11] = ACTIONS(9118),
    [aux_sym_coarray_statement_token12] = ACTIONS(9118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9118),
    [aux_sym_identifier_token1] = ACTIONS(9118),
    [sym_comment] = ACTIONS(21),
  },
  [4256] = {
    [sym__name] = STATE(7249),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9120),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9122),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9120),
  },
  [4257] = {
    [sym__name] = STATE(7249),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2393),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9120),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9120),
  },
  [4258] = {
    [sym__name] = STATE(8077),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(4992),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8087),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8087),
  },
  [4259] = {
    [sym__block_label] = STATE(7511),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(871),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9124),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9124),
  },
  [4260] = {
    [sym__name] = STATE(7261),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2357),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9126),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9126),
  },
  [4261] = {
    [sym__name] = STATE(7271),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5709),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8139),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8139),
  },
  [4262] = {
    [sym__name] = STATE(7741),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1105),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9128),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9128),
  },
  [4263] = {
    [sym__name] = STATE(7798),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1216),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9130),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9130),
  },
  [4264] = {
    [sym__name] = STATE(7280),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5717),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9132),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9132),
  },
  [4265] = {
    [sym__name] = STATE(7298),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5787),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8103),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8103),
  },
  [4266] = {
    [sym__name] = STATE(7301),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8059),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8059),
  },
  [4267] = {
    [sym__name] = STATE(7305),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5793),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9134),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9134),
  },
  [4268] = {
    [sym__name] = STATE(7307),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9136),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9136),
  },
  [4269] = {
    [sym__name] = STATE(7334),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1819),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9138),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9140),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9138),
  },
  [4270] = {
    [sym__name] = STATE(7334),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1819),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9138),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9138),
  },
  [4271] = {
    [sym__name] = STATE(7346),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9142),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9142),
  },
  [4272] = {
    [sym__name] = STATE(7816),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1219),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9144),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9144),
  },
  [4273] = {
    [anon_sym_COMMA] = ACTIONS(9146),
    [anon_sym_LPAREN2] = ACTIONS(9148),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9150),
    [aux_sym_block_data_statement_token1] = ACTIONS(9150),
    [aux_sym_block_data_statement_token2] = ACTIONS(9150),
    [aux_sym_assignment_token1] = ACTIONS(9150),
    [aux_sym_operator_token1] = ACTIONS(9150),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9150),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9150),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9150),
    [aux_sym_use_statement_token2] = ACTIONS(9150),
    [anon_sym_COLON_COLON] = ACTIONS(9146),
    [aux_sym_implicit_statement_token3] = ACTIONS(9150),
    [aux_sym_implicit_statement_token4] = ACTIONS(9150),
    [aux_sym_save_statement_token1] = ACTIONS(9150),
    [aux_sym_private_statement_token1] = ACTIONS(9150),
    [aux_sym_public_statement_token1] = ACTIONS(9150),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9150),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9150),
    [aux_sym_variable_attributes_token2] = ACTIONS(9150),
    [aux_sym_variable_attributes_token3] = ACTIONS(9150),
    [aux_sym_variable_attributes_token5] = ACTIONS(9150),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9150),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9150),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9150),
    [aux_sym_type_qualifier_token1] = ACTIONS(9150),
    [aux_sym_type_qualifier_token2] = ACTIONS(9150),
    [aux_sym_stop_statement_token1] = ACTIONS(9150),
    [aux_sym_stop_statement_token2] = ACTIONS(9150),
    [aux_sym_subroutine_call_token1] = ACTIONS(9150),
    [aux_sym_keyword_statement_token2] = ACTIONS(9150),
    [aux_sym_keyword_statement_token3] = ACTIONS(9150),
    [aux_sym_keyword_statement_token4] = ACTIONS(9150),
    [aux_sym_include_statement_token1] = ACTIONS(9150),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9150),
    [aux_sym_end_if_statement_token1] = ACTIONS(9150),
    [aux_sym_elseif_clause_token2] = ACTIONS(9150),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9150),
    [aux_sym_select_case_statement_token1] = ACTIONS(9150),
    [aux_sym_format_statement_token1] = ACTIONS(9150),
    [aux_sym_print_statement_token1] = ACTIONS(9150),
    [aux_sym_open_statement_token1] = ACTIONS(9150),
    [aux_sym_inquire_statement_token1] = ACTIONS(9150),
    [aux_sym_entry_statement_token1] = ACTIONS(9150),
    [aux_sym_null_literal_token1] = ACTIONS(9150),
    [aux_sym_coarray_statement_token1] = ACTIONS(9150),
    [aux_sym_coarray_statement_token2] = ACTIONS(9150),
    [aux_sym_coarray_statement_token6] = ACTIONS(9150),
    [aux_sym_coarray_statement_token8] = ACTIONS(9150),
    [aux_sym_coarray_statement_token11] = ACTIONS(9150),
    [aux_sym_coarray_statement_token12] = ACTIONS(9150),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9150),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9150),
    [aux_sym_identifier_token1] = ACTIONS(9150),
    [sym_comment] = ACTIONS(21),
  },
  [4274] = {
    [sym__name] = STATE(7353),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5760),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8135),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8135),
  },
  [4275] = {
    [sym__name] = STATE(7367),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5765),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9152),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9152),
  },
  [4276] = {
    [sym__name] = STATE(7383),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5812),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8175),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8175),
  },
  [4277] = {
    [sym__name] = STATE(7385),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5814),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8199),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8199),
  },
  [4278] = {
    [sym__name] = STATE(7427),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1237),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8215),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8215),
  },
  [4279] = {
    [sym__name] = STATE(7839),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1068),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9154),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9154),
  },
  [4280] = {
    [sym__name] = STATE(7387),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5816),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9156),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9156),
  },
  [4281] = {
    [sym__name] = STATE(7389),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5819),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9158),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9158),
  },
  [4282] = {
    [sym__name] = STATE(7926),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1002),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9160),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9160),
  },
  [4283] = {
    [sym__name] = STATE(7413),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1704),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9162),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9164),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9162),
  },
  [4284] = {
    [sym__name] = STATE(7413),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1704),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9162),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9162),
  },
  [4285] = {
    [sym__name] = STATE(7424),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9166),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9166),
  },
  [4286] = {
    [sym__name] = STATE(7459),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1041),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8151),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8151),
  },
  [4287] = {
    [sym__name] = STATE(7432),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5245),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8079),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8079),
  },
  [4288] = {
    [sym__name] = STATE(7442),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5223),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9168),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9168),
  },
  [4289] = {
    [sym__name] = STATE(8028),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1007),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9170),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9170),
  },
  [4290] = {
    [sym__name] = STATE(7445),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9172),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9172),
  },
  [4291] = {
    [sym__name] = STATE(7461),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5357),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8127),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8127),
  },
  [4292] = {
    [sym__name] = STATE(7464),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5362),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8131),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8131),
  },
  [4293] = {
    [sym__name] = STATE(7583),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5055),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9174),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9174),
  },
  [4294] = {
    [sym__name] = STATE(7468),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9176),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9176),
  },
  [4295] = {
    [sym__name] = STATE(7470),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5342),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9178),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9178),
  },
  [4296] = {
    [sym__name] = STATE(7493),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1016),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8099),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8099),
  },
  [4297] = {
    [sym__name] = STATE(7489),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9180),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9182),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9180),
  },
  [4298] = {
    [sym__name] = STATE(7489),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9180),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9180),
  },
  [4299] = {
    [sym__name] = STATE(7499),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9184),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9184),
  },
  [4300] = {
    [sym__name] = STATE(7501),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5553),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8147),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8147),
  },
  [4301] = {
    [sym__variable_declarator] = STATE(9087),
    [sym_sized_declarator] = STATE(7952),
    [sym__declaration_assignment] = STATE(7218),
    [sym_coarray_declarator] = STATE(9087),
    [sym_identifier] = STATE(6403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4302] = {
    [sym__name] = STATE(8058),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1910),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9186),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9186),
  },
  [4303] = {
    [sym__name] = STATE(7509),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5556),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9188),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9188),
  },
  [4304] = {
    [sym__block_label] = STATE(7282),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(884),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9190),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9190),
  },
  [4305] = {
    [sym__name] = STATE(7522),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8183),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8183),
  },
  [4306] = {
    [sym__name] = STATE(7524),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5884),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8187),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8187),
  },
  [4307] = {
    [sym__name] = STATE(7530),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5889),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9192),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9192),
  },
  [4308] = {
    [sym__name] = STATE(7964),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1230),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9194),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9194),
  },
  [4309] = {
    [sym__argument_list] = STATE(3741),
    [sym_argument_list] = STATE(4497),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_LPAREN2] = ACTIONS(8918),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token1] = ACTIONS(6641),
    [aux_sym_block_data_statement_token2] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6641),
    [aux_sym_use_statement_token2] = ACTIONS(6641),
    [anon_sym_COLON_COLON] = ACTIONS(7173),
    [aux_sym_implicit_statement_token3] = ACTIONS(6641),
    [aux_sym_implicit_statement_token4] = ACTIONS(6641),
    [aux_sym_save_statement_token1] = ACTIONS(6641),
    [aux_sym_private_statement_token1] = ACTIONS(6641),
    [aux_sym_public_statement_token1] = ACTIONS(6641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6641),
    [aux_sym_variable_attributes_token2] = ACTIONS(6641),
    [aux_sym_variable_attributes_token3] = ACTIONS(6641),
    [aux_sym_variable_attributes_token5] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6641),
    [aux_sym_type_qualifier_token1] = ACTIONS(6641),
    [aux_sym_type_qualifier_token2] = ACTIONS(6641),
    [aux_sym_stop_statement_token1] = ACTIONS(6641),
    [aux_sym_stop_statement_token2] = ACTIONS(6641),
    [aux_sym_subroutine_call_token1] = ACTIONS(6641),
    [aux_sym_keyword_statement_token2] = ACTIONS(6641),
    [aux_sym_keyword_statement_token3] = ACTIONS(6641),
    [aux_sym_keyword_statement_token4] = ACTIONS(6641),
    [aux_sym_include_statement_token1] = ACTIONS(6641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6641),
    [aux_sym_end_if_statement_token1] = ACTIONS(6641),
    [aux_sym_elseif_clause_token2] = ACTIONS(6641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6641),
    [aux_sym_select_case_statement_token1] = ACTIONS(6641),
    [aux_sym_format_statement_token1] = ACTIONS(6641),
    [aux_sym_print_statement_token1] = ACTIONS(6641),
    [aux_sym_open_statement_token1] = ACTIONS(6641),
    [aux_sym_inquire_statement_token1] = ACTIONS(6641),
    [aux_sym_entry_statement_token1] = ACTIONS(6641),
    [aux_sym_null_literal_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_statement_token2] = ACTIONS(6641),
    [aux_sym_coarray_statement_token6] = ACTIONS(6641),
    [aux_sym_coarray_statement_token8] = ACTIONS(6641),
    [aux_sym_coarray_statement_token11] = ACTIONS(6641),
    [aux_sym_coarray_statement_token12] = ACTIONS(6641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6641),
    [aux_sym_identifier_token1] = ACTIONS(6641),
    [sym_comment] = ACTIONS(21),
  },
  [4310] = {
    [sym__name] = STATE(7550),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9196),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9198),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9196),
  },
  [4311] = {
    [sym__name] = STATE(7550),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9196),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9196),
  },
  [4312] = {
    [sym__name] = STATE(7559),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2055),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9200),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9200),
  },
  [4313] = {
    [sym__name] = STATE(7472),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1239),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8261),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8261),
  },
  [4314] = {
    [sym__name] = STATE(7563),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5847),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8203),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8203),
  },
  [4315] = {
    [sym__name] = STATE(7569),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5854),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9202),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9202),
  },
  [4316] = {
    [sym__block_label] = STATE(7310),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(837),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9204),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9204),
  },
  [4317] = {
    [sym__name] = STATE(7579),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5901),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8095),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8095),
  },
  [4318] = {
    [sym__name] = STATE(7582),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5903),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8115),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8115),
  },
  [4319] = {
    [sym__name] = STATE(7586),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5905),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9206),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9206),
  },
  [4320] = {
    [sym__block_label] = STATE(7343),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9208),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9208),
  },
  [4321] = {
    [sym__name] = STATE(7588),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5908),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9210),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9210),
  },
  [4322] = {
    [sym__block_label] = STATE(7345),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(769),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9212),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9212),
  },
  [4323] = {
    [sym__name] = STATE(7605),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9214),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9216),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9214),
  },
  [4324] = {
    [sym__name] = STATE(7605),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9214),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9214),
  },
  [4325] = {
    [sym__name] = STATE(7612),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1514),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9218),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9218),
  },
  [4326] = {
    [sym__name] = STATE(7965),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9220),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9220),
  },
  [4327] = {
    [sym__name] = STATE(7995),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5636),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9222),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9222),
  },
  [4328] = {
    [sym__name] = STATE(7633),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5189),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8163),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8163),
  },
  [4329] = {
    [sym__variable_declarator] = STATE(9435),
    [sym_sized_declarator] = STATE(7952),
    [sym__declaration_assignment] = STATE(6996),
    [sym_coarray_declarator] = STATE(9435),
    [sym_identifier] = STATE(6398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4330] = {
    [sym__name] = STATE(7635),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8167),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8167),
  },
  [4331] = {
    [sym__variable_declarator] = STATE(9087),
    [sym_sized_declarator] = STATE(7952),
    [sym__declaration_assignment] = STATE(8049),
    [sym_coarray_declarator] = STATE(9087),
    [sym_identifier] = STATE(6492),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4332] = {
    [sym__name] = STATE(7637),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5202),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9224),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9224),
  },
  [4333] = {
    [sym__name] = STATE(7639),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5213),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9226),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9226),
  },
  [4334] = {
    [anon_sym_COMMA] = ACTIONS(9228),
    [anon_sym_LPAREN2] = ACTIONS(9228),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9230),
    [aux_sym_block_data_statement_token1] = ACTIONS(9230),
    [aux_sym_block_data_statement_token2] = ACTIONS(9230),
    [aux_sym_assignment_token1] = ACTIONS(9230),
    [aux_sym_operator_token1] = ACTIONS(9230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9230),
    [aux_sym_use_statement_token2] = ACTIONS(9230),
    [anon_sym_COLON_COLON] = ACTIONS(9228),
    [aux_sym_implicit_statement_token3] = ACTIONS(9230),
    [aux_sym_implicit_statement_token4] = ACTIONS(9230),
    [aux_sym_save_statement_token1] = ACTIONS(9230),
    [aux_sym_private_statement_token1] = ACTIONS(9230),
    [aux_sym_public_statement_token1] = ACTIONS(9230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9230),
    [aux_sym_variable_attributes_token2] = ACTIONS(9230),
    [aux_sym_variable_attributes_token3] = ACTIONS(9230),
    [aux_sym_variable_attributes_token5] = ACTIONS(9230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9230),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9230),
    [aux_sym_type_qualifier_token1] = ACTIONS(9230),
    [aux_sym_type_qualifier_token2] = ACTIONS(9230),
    [aux_sym_stop_statement_token1] = ACTIONS(9230),
    [aux_sym_stop_statement_token2] = ACTIONS(9230),
    [aux_sym_subroutine_call_token1] = ACTIONS(9230),
    [aux_sym_keyword_statement_token2] = ACTIONS(9230),
    [aux_sym_keyword_statement_token3] = ACTIONS(9230),
    [aux_sym_keyword_statement_token4] = ACTIONS(9230),
    [aux_sym_include_statement_token1] = ACTIONS(9230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9230),
    [aux_sym_end_if_statement_token1] = ACTIONS(9230),
    [aux_sym_elseif_clause_token2] = ACTIONS(9230),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9230),
    [aux_sym_select_case_statement_token1] = ACTIONS(9230),
    [aux_sym_format_statement_token1] = ACTIONS(9230),
    [aux_sym_print_statement_token1] = ACTIONS(9230),
    [aux_sym_open_statement_token1] = ACTIONS(9230),
    [aux_sym_inquire_statement_token1] = ACTIONS(9230),
    [aux_sym_entry_statement_token1] = ACTIONS(9230),
    [aux_sym_null_literal_token1] = ACTIONS(9230),
    [aux_sym_coarray_statement_token1] = ACTIONS(9230),
    [aux_sym_coarray_statement_token2] = ACTIONS(9230),
    [aux_sym_coarray_statement_token6] = ACTIONS(9230),
    [aux_sym_coarray_statement_token8] = ACTIONS(9230),
    [aux_sym_coarray_statement_token11] = ACTIONS(9230),
    [aux_sym_coarray_statement_token12] = ACTIONS(9230),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9230),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9230),
    [aux_sym_identifier_token1] = ACTIONS(9230),
    [sym_comment] = ACTIONS(21),
  },
  [4335] = {
    [sym__name] = STATE(7653),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9232),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9234),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9232),
  },
  [4336] = {
    [sym__name] = STATE(7653),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9232),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9232),
  },
  [4337] = {
    [sym__name] = STATE(7661),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1404),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9236),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9236),
  },
  [4338] = {
    [sym__block_label] = STATE(7354),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(866),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9238),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9238),
  },
  [4339] = {
    [sym__name] = STATE(7547),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1243),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9240),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9240),
  },
  [4340] = {
    [sym__name] = STATE(7674),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5438),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8063),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8063),
  },
  [4341] = {
    [sym__name] = STATE(7677),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5440),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8067),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8067),
  },
  [4342] = {
    [sym__name] = STATE(7680),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5442),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9242),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9242),
  },
  [4343] = {
    [sym__name] = STATE(7682),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5445),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9244),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9244),
  },
  [4344] = {
    [sym__name] = STATE(7697),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9246),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9248),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9246),
  },
  [4345] = {
    [sym__name] = STATE(7697),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1727),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9246),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9246),
  },
  [4346] = {
    [sym__name] = STATE(7704),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1738),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9250),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9250),
  },
  [4347] = {
    [sym__name] = STATE(7678),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1015),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9252),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9252),
  },
  [4348] = {
    [sym__name] = STATE(7724),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5713),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8075),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8075),
  },
  [4349] = {
    [aux_sym_procedure_statement_repeat1] = STATE(4349),
    [anon_sym_COMMA] = ACTIONS(9254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9257),
    [aux_sym_block_data_statement_token1] = ACTIONS(9257),
    [aux_sym_block_data_statement_token2] = ACTIONS(9257),
    [aux_sym_assignment_token1] = ACTIONS(9257),
    [aux_sym_operator_token1] = ACTIONS(9257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9257),
    [aux_sym_use_statement_token2] = ACTIONS(9257),
    [anon_sym_COLON_COLON] = ACTIONS(9259),
    [aux_sym_implicit_statement_token3] = ACTIONS(9257),
    [aux_sym_implicit_statement_token4] = ACTIONS(9257),
    [aux_sym_save_statement_token1] = ACTIONS(9257),
    [aux_sym_private_statement_token1] = ACTIONS(9257),
    [aux_sym_public_statement_token1] = ACTIONS(9257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9257),
    [aux_sym_variable_attributes_token2] = ACTIONS(9257),
    [aux_sym_variable_attributes_token3] = ACTIONS(9257),
    [aux_sym_variable_attributes_token5] = ACTIONS(9257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9257),
    [aux_sym_type_qualifier_token1] = ACTIONS(9257),
    [aux_sym_type_qualifier_token2] = ACTIONS(9257),
    [aux_sym_stop_statement_token1] = ACTIONS(9257),
    [aux_sym_stop_statement_token2] = ACTIONS(9257),
    [aux_sym_subroutine_call_token1] = ACTIONS(9257),
    [aux_sym_keyword_statement_token2] = ACTIONS(9257),
    [aux_sym_keyword_statement_token3] = ACTIONS(9257),
    [aux_sym_keyword_statement_token4] = ACTIONS(9257),
    [aux_sym_include_statement_token1] = ACTIONS(9257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9257),
    [aux_sym_end_if_statement_token1] = ACTIONS(9257),
    [aux_sym_elseif_clause_token2] = ACTIONS(9257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9257),
    [aux_sym_select_case_statement_token1] = ACTIONS(9257),
    [aux_sym_format_statement_token1] = ACTIONS(9257),
    [aux_sym_print_statement_token1] = ACTIONS(9257),
    [aux_sym_open_statement_token1] = ACTIONS(9257),
    [aux_sym_inquire_statement_token1] = ACTIONS(9257),
    [aux_sym_entry_statement_token1] = ACTIONS(9257),
    [aux_sym_null_literal_token1] = ACTIONS(9257),
    [aux_sym_coarray_statement_token1] = ACTIONS(9257),
    [aux_sym_coarray_statement_token2] = ACTIONS(9257),
    [aux_sym_coarray_statement_token6] = ACTIONS(9257),
    [aux_sym_coarray_statement_token8] = ACTIONS(9257),
    [aux_sym_coarray_statement_token11] = ACTIONS(9257),
    [aux_sym_coarray_statement_token12] = ACTIONS(9257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9257),
    [aux_sym_identifier_token1] = ACTIONS(9257),
    [sym_comment] = ACTIONS(21),
  },
  [4350] = {
    [sym__name] = STATE(7726),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5716),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8083),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8083),
  },
  [4351] = {
    [sym__name] = STATE(7729),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5733),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9261),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9261),
  },
  [4352] = {
    [sym__name] = STATE(7731),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5741),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9263),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9263),
  },
  [4353] = {
    [sym__name] = STATE(7752),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9265),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9267),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9265),
  },
  [4354] = {
    [sym__name] = STATE(7752),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9265),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9265),
  },
  [4355] = {
    [sym__name] = STATE(7757),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9269),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9269),
  },
  [4356] = {
    [aux_sym_common_statement_repeat1] = STATE(4356),
    [anon_sym_COMMA] = ACTIONS(9271),
    [anon_sym_SLASH] = ACTIONS(9274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9276),
    [anon_sym_SEMI] = ACTIONS(9274),
    [aux_sym_block_data_statement_token1] = ACTIONS(9276),
    [aux_sym_block_data_statement_token2] = ACTIONS(9276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9276),
    [aux_sym_use_statement_token2] = ACTIONS(9276),
    [aux_sym_implicit_statement_token3] = ACTIONS(9276),
    [aux_sym_implicit_statement_token4] = ACTIONS(9276),
    [aux_sym_save_statement_token1] = ACTIONS(9276),
    [aux_sym_private_statement_token1] = ACTIONS(9276),
    [aux_sym_public_statement_token1] = ACTIONS(9276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9276),
    [aux_sym_variable_attributes_token2] = ACTIONS(9276),
    [aux_sym_variable_attributes_token3] = ACTIONS(9276),
    [aux_sym_variable_attributes_token5] = ACTIONS(9276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9276),
    [aux_sym_type_qualifier_token1] = ACTIONS(9276),
    [aux_sym_type_qualifier_token2] = ACTIONS(9276),
    [aux_sym_stop_statement_token1] = ACTIONS(9276),
    [aux_sym_stop_statement_token2] = ACTIONS(9276),
    [aux_sym_subroutine_call_token1] = ACTIONS(9276),
    [aux_sym_keyword_statement_token2] = ACTIONS(9276),
    [aux_sym_keyword_statement_token3] = ACTIONS(9276),
    [aux_sym_keyword_statement_token4] = ACTIONS(9276),
    [aux_sym_include_statement_token1] = ACTIONS(9276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9276),
    [aux_sym_end_if_statement_token1] = ACTIONS(9276),
    [aux_sym_elseif_clause_token2] = ACTIONS(9276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9276),
    [aux_sym_select_case_statement_token1] = ACTIONS(9276),
    [aux_sym_format_statement_token1] = ACTIONS(9276),
    [aux_sym_print_statement_token1] = ACTIONS(9276),
    [aux_sym_open_statement_token1] = ACTIONS(9276),
    [aux_sym_inquire_statement_token1] = ACTIONS(9276),
    [aux_sym_entry_statement_token1] = ACTIONS(9276),
    [aux_sym_null_literal_token1] = ACTIONS(9276),
    [aux_sym_coarray_statement_token1] = ACTIONS(9276),
    [aux_sym_coarray_statement_token2] = ACTIONS(9276),
    [aux_sym_coarray_statement_token6] = ACTIONS(9276),
    [aux_sym_coarray_statement_token8] = ACTIONS(9276),
    [aux_sym_coarray_statement_token11] = ACTIONS(9276),
    [aux_sym_coarray_statement_token12] = ACTIONS(9276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9276),
    [aux_sym_identifier_token1] = ACTIONS(9276),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9274),
  },
  [4357] = {
    [sym__name] = STATE(7627),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1248),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8217),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8217),
  },
  [4358] = {
    [sym__name] = STATE(7947),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1226),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8197),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8197),
  },
  [4359] = {
    [sym__name] = STATE(7658),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1252),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8143),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8143),
  },
  [4360] = {
    [sym__name] = STATE(7807),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1194),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8111),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8111),
  },
  [4361] = {
    [sym__name] = STATE(7705),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9278),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9278),
  },
  [4362] = {
    [sym__name] = STATE(7972),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9280),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9282),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9280),
  },
  [4363] = {
    [sym__name] = STATE(7972),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9280),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9280),
  },
  [4364] = {
    [sym__name] = STATE(7373),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2364),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9284),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9284),
  },
  [4365] = {
    [aux_sym_common_statement_repeat1] = STATE(4377),
    [anon_sym_COMMA] = ACTIONS(9070),
    [anon_sym_SLASH] = ACTIONS(9286),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9288),
    [anon_sym_SEMI] = ACTIONS(9286),
    [aux_sym_block_data_statement_token1] = ACTIONS(9288),
    [aux_sym_block_data_statement_token2] = ACTIONS(9288),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9288),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9288),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9288),
    [aux_sym_use_statement_token2] = ACTIONS(9288),
    [aux_sym_implicit_statement_token3] = ACTIONS(9288),
    [aux_sym_implicit_statement_token4] = ACTIONS(9288),
    [aux_sym_save_statement_token1] = ACTIONS(9288),
    [aux_sym_private_statement_token1] = ACTIONS(9288),
    [aux_sym_public_statement_token1] = ACTIONS(9288),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9288),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9288),
    [aux_sym_variable_attributes_token2] = ACTIONS(9288),
    [aux_sym_variable_attributes_token3] = ACTIONS(9288),
    [aux_sym_variable_attributes_token5] = ACTIONS(9288),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9288),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9288),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9288),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9288),
    [aux_sym_type_qualifier_token1] = ACTIONS(9288),
    [aux_sym_type_qualifier_token2] = ACTIONS(9288),
    [aux_sym_stop_statement_token1] = ACTIONS(9288),
    [aux_sym_stop_statement_token2] = ACTIONS(9288),
    [aux_sym_subroutine_call_token1] = ACTIONS(9288),
    [aux_sym_keyword_statement_token2] = ACTIONS(9288),
    [aux_sym_keyword_statement_token3] = ACTIONS(9288),
    [aux_sym_keyword_statement_token4] = ACTIONS(9288),
    [aux_sym_include_statement_token1] = ACTIONS(9288),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9288),
    [aux_sym_end_if_statement_token1] = ACTIONS(9288),
    [aux_sym_elseif_clause_token2] = ACTIONS(9288),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9288),
    [aux_sym_select_case_statement_token1] = ACTIONS(9288),
    [aux_sym_format_statement_token1] = ACTIONS(9288),
    [aux_sym_print_statement_token1] = ACTIONS(9288),
    [aux_sym_open_statement_token1] = ACTIONS(9288),
    [aux_sym_inquire_statement_token1] = ACTIONS(9288),
    [aux_sym_entry_statement_token1] = ACTIONS(9288),
    [aux_sym_null_literal_token1] = ACTIONS(9288),
    [aux_sym_coarray_statement_token1] = ACTIONS(9288),
    [aux_sym_coarray_statement_token2] = ACTIONS(9288),
    [aux_sym_coarray_statement_token6] = ACTIONS(9288),
    [aux_sym_coarray_statement_token8] = ACTIONS(9288),
    [aux_sym_coarray_statement_token11] = ACTIONS(9288),
    [aux_sym_coarray_statement_token12] = ACTIONS(9288),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9288),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9288),
    [aux_sym_identifier_token1] = ACTIONS(9288),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9286),
  },
  [4366] = {
    [aux_sym_common_statement_repeat1] = STATE(4356),
    [anon_sym_COMMA] = ACTIONS(9070),
    [anon_sym_SLASH] = ACTIONS(9290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9292),
    [anon_sym_SEMI] = ACTIONS(9290),
    [aux_sym_block_data_statement_token1] = ACTIONS(9292),
    [aux_sym_block_data_statement_token2] = ACTIONS(9292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9292),
    [aux_sym_use_statement_token2] = ACTIONS(9292),
    [aux_sym_implicit_statement_token3] = ACTIONS(9292),
    [aux_sym_implicit_statement_token4] = ACTIONS(9292),
    [aux_sym_save_statement_token1] = ACTIONS(9292),
    [aux_sym_private_statement_token1] = ACTIONS(9292),
    [aux_sym_public_statement_token1] = ACTIONS(9292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9292),
    [aux_sym_variable_attributes_token2] = ACTIONS(9292),
    [aux_sym_variable_attributes_token3] = ACTIONS(9292),
    [aux_sym_variable_attributes_token5] = ACTIONS(9292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9292),
    [aux_sym_type_qualifier_token1] = ACTIONS(9292),
    [aux_sym_type_qualifier_token2] = ACTIONS(9292),
    [aux_sym_stop_statement_token1] = ACTIONS(9292),
    [aux_sym_stop_statement_token2] = ACTIONS(9292),
    [aux_sym_subroutine_call_token1] = ACTIONS(9292),
    [aux_sym_keyword_statement_token2] = ACTIONS(9292),
    [aux_sym_keyword_statement_token3] = ACTIONS(9292),
    [aux_sym_keyword_statement_token4] = ACTIONS(9292),
    [aux_sym_include_statement_token1] = ACTIONS(9292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9292),
    [aux_sym_end_if_statement_token1] = ACTIONS(9292),
    [aux_sym_elseif_clause_token2] = ACTIONS(9292),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9292),
    [aux_sym_select_case_statement_token1] = ACTIONS(9292),
    [aux_sym_format_statement_token1] = ACTIONS(9292),
    [aux_sym_print_statement_token1] = ACTIONS(9292),
    [aux_sym_open_statement_token1] = ACTIONS(9292),
    [aux_sym_inquire_statement_token1] = ACTIONS(9292),
    [aux_sym_entry_statement_token1] = ACTIONS(9292),
    [aux_sym_null_literal_token1] = ACTIONS(9292),
    [aux_sym_coarray_statement_token1] = ACTIONS(9292),
    [aux_sym_coarray_statement_token2] = ACTIONS(9292),
    [aux_sym_coarray_statement_token6] = ACTIONS(9292),
    [aux_sym_coarray_statement_token8] = ACTIONS(9292),
    [aux_sym_coarray_statement_token11] = ACTIONS(9292),
    [aux_sym_coarray_statement_token12] = ACTIONS(9292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9292),
    [aux_sym_identifier_token1] = ACTIONS(9292),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9290),
  },
  [4367] = {
    [sym__name] = STATE(7268),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(5651),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8159),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8159),
  },
  [4368] = {
    [sym__block_label] = STATE(7498),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(816),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9294),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9294),
  },
  [4369] = {
    [sym__name] = STATE(7949),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(1059),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8157),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8157),
  },
  [4370] = {
    [sym__variable_declarator] = STATE(9435),
    [sym_sized_declarator] = STATE(7952),
    [sym__declaration_assignment] = STATE(7121),
    [sym_coarray_declarator] = STATE(9435),
    [sym_identifier] = STATE(6401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8775),
    [aux_sym_block_data_statement_token1] = ACTIONS(8777),
    [aux_sym_block_data_statement_token2] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8777),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8777),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8777),
    [aux_sym_use_statement_token2] = ACTIONS(8777),
    [aux_sym_implicit_statement_token3] = ACTIONS(8781),
    [aux_sym_implicit_statement_token4] = ACTIONS(8777),
    [aux_sym_save_statement_token1] = ACTIONS(8777),
    [aux_sym_private_statement_token1] = ACTIONS(8777),
    [aux_sym_public_statement_token1] = ACTIONS(8777),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8777),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8777),
    [aux_sym_variable_attributes_token2] = ACTIONS(8777),
    [aux_sym_variable_attributes_token3] = ACTIONS(8777),
    [aux_sym_variable_attributes_token5] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8777),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8039),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8781),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8777),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8777),
    [aux_sym_type_qualifier_token1] = ACTIONS(8777),
    [aux_sym_type_qualifier_token2] = ACTIONS(8777),
    [aux_sym_stop_statement_token1] = ACTIONS(8777),
    [aux_sym_stop_statement_token2] = ACTIONS(8777),
    [aux_sym_subroutine_call_token1] = ACTIONS(8781),
    [aux_sym_keyword_statement_token2] = ACTIONS(8777),
    [aux_sym_keyword_statement_token3] = ACTIONS(8777),
    [aux_sym_keyword_statement_token4] = ACTIONS(8783),
    [aux_sym_include_statement_token1] = ACTIONS(8781),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8777),
    [aux_sym_end_if_statement_token1] = ACTIONS(8777),
    [aux_sym_elseif_clause_token2] = ACTIONS(8777),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8781),
    [aux_sym_select_case_statement_token1] = ACTIONS(8785),
    [aux_sym_format_statement_token1] = ACTIONS(8777),
    [aux_sym_print_statement_token1] = ACTIONS(8781),
    [aux_sym_open_statement_token1] = ACTIONS(8781),
    [aux_sym_inquire_statement_token1] = ACTIONS(8777),
    [aux_sym_entry_statement_token1] = ACTIONS(8777),
    [aux_sym_null_literal_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_statement_token2] = ACTIONS(8777),
    [aux_sym_coarray_statement_token6] = ACTIONS(8777),
    [aux_sym_coarray_statement_token8] = ACTIONS(8777),
    [aux_sym_coarray_statement_token11] = ACTIONS(8777),
    [aux_sym_coarray_statement_token12] = ACTIONS(8777),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8777),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8777),
    [aux_sym_identifier_token1] = ACTIONS(8777),
    [sym_comment] = ACTIONS(21),
  },
  [4371] = {
    [sym__name] = STATE(7447),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2217),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9296),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(9298),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9296),
  },
  [4372] = {
    [sym__name] = STATE(7447),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2217),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9296),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9296),
  },
  [4373] = {
    [sym__block_label] = STATE(7951),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(739),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9300),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9300),
  },
  [4374] = {
    [sym__block_label] = STATE(7568),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(720),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9302),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9302),
  },
  [4375] = {
    [sym__name] = STATE(7533),
    [sym_identifier] = STATE(7092),
    [sym__end_of_statement] = STATE(2231),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9304),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9304),
  },
  [4376] = {
    [sym__block_label] = STATE(7561),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(869),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9306),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9306),
  },
  [4377] = {
    [aux_sym_common_statement_repeat1] = STATE(4356),
    [anon_sym_COMMA] = ACTIONS(9070),
    [anon_sym_SLASH] = ACTIONS(8849),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9308),
    [anon_sym_SEMI] = ACTIONS(8849),
    [aux_sym_block_data_statement_token1] = ACTIONS(9308),
    [aux_sym_block_data_statement_token2] = ACTIONS(9308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9308),
    [aux_sym_use_statement_token2] = ACTIONS(9308),
    [aux_sym_implicit_statement_token3] = ACTIONS(9308),
    [aux_sym_implicit_statement_token4] = ACTIONS(9308),
    [aux_sym_save_statement_token1] = ACTIONS(9308),
    [aux_sym_private_statement_token1] = ACTIONS(9308),
    [aux_sym_public_statement_token1] = ACTIONS(9308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9308),
    [aux_sym_variable_attributes_token2] = ACTIONS(9308),
    [aux_sym_variable_attributes_token3] = ACTIONS(9308),
    [aux_sym_variable_attributes_token5] = ACTIONS(9308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9308),
    [aux_sym_type_qualifier_token1] = ACTIONS(9308),
    [aux_sym_type_qualifier_token2] = ACTIONS(9308),
    [aux_sym_stop_statement_token1] = ACTIONS(9308),
    [aux_sym_stop_statement_token2] = ACTIONS(9308),
    [aux_sym_subroutine_call_token1] = ACTIONS(9308),
    [aux_sym_keyword_statement_token2] = ACTIONS(9308),
    [aux_sym_keyword_statement_token3] = ACTIONS(9308),
    [aux_sym_keyword_statement_token4] = ACTIONS(9308),
    [aux_sym_include_statement_token1] = ACTIONS(9308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9308),
    [aux_sym_end_if_statement_token1] = ACTIONS(9308),
    [aux_sym_elseif_clause_token2] = ACTIONS(9308),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9308),
    [aux_sym_select_case_statement_token1] = ACTIONS(9308),
    [aux_sym_format_statement_token1] = ACTIONS(9308),
    [aux_sym_print_statement_token1] = ACTIONS(9308),
    [aux_sym_open_statement_token1] = ACTIONS(9308),
    [aux_sym_inquire_statement_token1] = ACTIONS(9308),
    [aux_sym_entry_statement_token1] = ACTIONS(9308),
    [aux_sym_null_literal_token1] = ACTIONS(9308),
    [aux_sym_coarray_statement_token1] = ACTIONS(9308),
    [aux_sym_coarray_statement_token2] = ACTIONS(9308),
    [aux_sym_coarray_statement_token6] = ACTIONS(9308),
    [aux_sym_coarray_statement_token8] = ACTIONS(9308),
    [aux_sym_coarray_statement_token11] = ACTIONS(9308),
    [aux_sym_coarray_statement_token12] = ACTIONS(9308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9308),
    [aux_sym_identifier_token1] = ACTIONS(9308),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8849),
  },
  [4378] = {
    [sym__block_label] = STATE(7690),
    [sym_identifier] = STATE(8431),
    [sym__end_of_statement] = STATE(734),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9310),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9310),
  },
  [4379] = {
    [sym__block_label] = STATE(8430),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9312),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9312),
  },
  [4380] = {
    [sym__variable_declarator] = STATE(7196),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(7196),
    [sym_identifier] = STATE(6402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4381] = {
    [sym__type_name] = STATE(8347),
    [sym_identifier] = STATE(6915),
    [anon_sym_COMMA] = ACTIONS(9314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(761),
    [aux_sym_block_data_statement_token1] = ACTIONS(105),
    [aux_sym_block_data_statement_token2] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(105),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(105),
    [aux_sym_procedure_attributes_token3] = ACTIONS(105),
    [aux_sym_use_statement_token2] = ACTIONS(105),
    [anon_sym_COLON_COLON] = ACTIONS(9316),
    [aux_sym_implicit_statement_token3] = ACTIONS(1960),
    [aux_sym_implicit_statement_token4] = ACTIONS(105),
    [aux_sym_save_statement_token1] = ACTIONS(105),
    [aux_sym_private_statement_token1] = ACTIONS(105),
    [aux_sym_public_statement_token1] = ACTIONS(105),
    [aux_sym_derived_type_definition_token1] = ACTIONS(105),
    [aux_sym_procedure_attribute_token6] = ACTIONS(105),
    [aux_sym_variable_attributes_token2] = ACTIONS(105),
    [aux_sym_variable_attributes_token3] = ACTIONS(105),
    [aux_sym_variable_attributes_token5] = ACTIONS(105),
    [aux_sym__intrinsic_type_token1] = ACTIONS(105),
    [aux_sym__intrinsic_type_token3] = ACTIONS(105),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1960),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(105),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(105),
    [aux_sym_type_qualifier_token1] = ACTIONS(105),
    [aux_sym_type_qualifier_token2] = ACTIONS(105),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(105),
    [aux_sym_subroutine_call_token1] = ACTIONS(1960),
    [aux_sym_keyword_statement_token2] = ACTIONS(105),
    [aux_sym_keyword_statement_token3] = ACTIONS(105),
    [aux_sym_keyword_statement_token4] = ACTIONS(2664),
    [aux_sym_include_statement_token1] = ACTIONS(1960),
    [aux_sym__inline_if_statement_token1] = ACTIONS(105),
    [aux_sym_end_if_statement_token1] = ACTIONS(105),
    [aux_sym_elseif_clause_token2] = ACTIONS(105),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1960),
    [aux_sym_select_case_statement_token1] = ACTIONS(2668),
    [aux_sym_format_statement_token1] = ACTIONS(105),
    [aux_sym_print_statement_token1] = ACTIONS(1960),
    [aux_sym_open_statement_token1] = ACTIONS(1960),
    [aux_sym_inquire_statement_token1] = ACTIONS(105),
    [aux_sym_entry_statement_token1] = ACTIONS(105),
    [aux_sym_null_literal_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_statement_token2] = ACTIONS(105),
    [aux_sym_coarray_statement_token6] = ACTIONS(105),
    [aux_sym_coarray_statement_token8] = ACTIONS(105),
    [aux_sym_coarray_statement_token11] = ACTIONS(105),
    [aux_sym_coarray_statement_token12] = ACTIONS(105),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(105),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(105),
    [aux_sym_identifier_token1] = ACTIONS(105),
    [sym_comment] = ACTIONS(21),
  },
  [4382] = {
    [sym__type_name] = STATE(6849),
    [sym_identifier] = STATE(7446),
    [anon_sym_COMMA] = ACTIONS(8253),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [anon_sym_COLON_COLON] = ACTIONS(8255),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4383] = {
    [sym__block_label] = STATE(8187),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9318),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9318),
  },
  [4384] = {
    [sym__variable_declarator] = STATE(7410),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(7410),
    [sym_identifier] = STATE(6402),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
  },
  [4385] = {
    [sym__block_label] = STATE(8434),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9320),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9320),
  },
  [4386] = {
    [sym__block_label] = STATE(8193),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9322),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9322),
  },
  [4387] = {
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_LPAREN2] = ACTIONS(6743),
    [anon_sym_STAR] = ACTIONS(6743),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6751),
    [aux_sym_block_data_statement_token1] = ACTIONS(6751),
    [aux_sym_block_data_statement_token2] = ACTIONS(6751),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6751),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6751),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6751),
    [aux_sym_use_statement_token2] = ACTIONS(6751),
    [anon_sym_COLON_COLON] = ACTIONS(6743),
    [aux_sym_implicit_statement_token3] = ACTIONS(6751),
    [aux_sym_implicit_statement_token4] = ACTIONS(6751),
    [aux_sym_save_statement_token1] = ACTIONS(6751),
    [aux_sym_private_statement_token1] = ACTIONS(6751),
    [aux_sym_public_statement_token1] = ACTIONS(6751),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6751),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6751),
    [aux_sym_variable_attributes_token2] = ACTIONS(6751),
    [aux_sym_variable_attributes_token3] = ACTIONS(6751),
    [aux_sym_variable_attributes_token5] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6751),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6751),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6751),
    [aux_sym_type_qualifier_token1] = ACTIONS(6751),
    [aux_sym_type_qualifier_token2] = ACTIONS(6751),
    [aux_sym_stop_statement_token1] = ACTIONS(6751),
    [aux_sym_stop_statement_token2] = ACTIONS(6751),
    [aux_sym_subroutine_call_token1] = ACTIONS(6751),
    [aux_sym_keyword_statement_token2] = ACTIONS(6751),
    [aux_sym_keyword_statement_token3] = ACTIONS(6751),
    [aux_sym_keyword_statement_token4] = ACTIONS(6751),
    [aux_sym_include_statement_token1] = ACTIONS(6751),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6751),
    [aux_sym_end_if_statement_token1] = ACTIONS(6751),
    [aux_sym_elseif_clause_token2] = ACTIONS(6751),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6751),
    [aux_sym_select_case_statement_token1] = ACTIONS(6751),
    [aux_sym_format_statement_token1] = ACTIONS(6751),
    [aux_sym_print_statement_token1] = ACTIONS(6751),
    [aux_sym_open_statement_token1] = ACTIONS(6751),
    [aux_sym_inquire_statement_token1] = ACTIONS(6751),
    [aux_sym_entry_statement_token1] = ACTIONS(6751),
    [aux_sym_null_literal_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_statement_token2] = ACTIONS(6751),
    [aux_sym_coarray_statement_token6] = ACTIONS(6751),
    [aux_sym_coarray_statement_token8] = ACTIONS(6751),
    [aux_sym_coarray_statement_token11] = ACTIONS(6751),
    [aux_sym_coarray_statement_token12] = ACTIONS(6751),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6751),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6751),
    [aux_sym_identifier_token1] = ACTIONS(6751),
    [sym_comment] = ACTIONS(21),
  },
  [4388] = {
    [anon_sym_COMMA] = ACTIONS(8323),
    [anon_sym_LPAREN2] = ACTIONS(8323),
    [anon_sym_STAR] = ACTIONS(8323),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8325),
    [aux_sym_block_data_statement_token1] = ACTIONS(8325),
    [aux_sym_block_data_statement_token2] = ACTIONS(8325),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8325),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8325),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8325),
    [aux_sym_use_statement_token2] = ACTIONS(8325),
    [anon_sym_COLON_COLON] = ACTIONS(8323),
    [aux_sym_implicit_statement_token3] = ACTIONS(8325),
    [aux_sym_implicit_statement_token4] = ACTIONS(8325),
    [aux_sym_save_statement_token1] = ACTIONS(8325),
    [aux_sym_private_statement_token1] = ACTIONS(8325),
    [aux_sym_public_statement_token1] = ACTIONS(8325),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8325),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8325),
    [aux_sym_variable_attributes_token2] = ACTIONS(8325),
    [aux_sym_variable_attributes_token3] = ACTIONS(8325),
    [aux_sym_variable_attributes_token5] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8325),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8325),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8325),
    [aux_sym_type_qualifier_token1] = ACTIONS(8325),
    [aux_sym_type_qualifier_token2] = ACTIONS(8325),
    [aux_sym_stop_statement_token1] = ACTIONS(8325),
    [aux_sym_stop_statement_token2] = ACTIONS(8325),
    [aux_sym_subroutine_call_token1] = ACTIONS(8325),
    [aux_sym_keyword_statement_token2] = ACTIONS(8325),
    [aux_sym_keyword_statement_token3] = ACTIONS(8325),
    [aux_sym_keyword_statement_token4] = ACTIONS(8325),
    [aux_sym_include_statement_token1] = ACTIONS(8325),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8325),
    [aux_sym_end_if_statement_token1] = ACTIONS(8325),
    [aux_sym_elseif_clause_token2] = ACTIONS(8325),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8325),
    [aux_sym_select_case_statement_token1] = ACTIONS(8325),
    [aux_sym_format_statement_token1] = ACTIONS(8325),
    [aux_sym_print_statement_token1] = ACTIONS(8325),
    [aux_sym_open_statement_token1] = ACTIONS(8325),
    [aux_sym_inquire_statement_token1] = ACTIONS(8325),
    [aux_sym_entry_statement_token1] = ACTIONS(8325),
    [aux_sym_null_literal_token1] = ACTIONS(8325),
    [aux_sym_coarray_statement_token1] = ACTIONS(8325),
    [aux_sym_coarray_statement_token2] = ACTIONS(8325),
    [aux_sym_coarray_statement_token6] = ACTIONS(8325),
    [aux_sym_coarray_statement_token8] = ACTIONS(8325),
    [aux_sym_coarray_statement_token11] = ACTIONS(8325),
    [aux_sym_coarray_statement_token12] = ACTIONS(8325),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8325),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8325),
    [aux_sym_identifier_token1] = ACTIONS(8325),
    [sym_comment] = ACTIONS(21),
  },
  [4389] = {
    [sym__block_label] = STATE(8236),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9324),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9324),
  },
  [4390] = {
    [anon_sym_COMMA] = ACTIONS(9326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9328),
    [aux_sym_block_data_statement_token1] = ACTIONS(9328),
    [aux_sym_block_data_statement_token2] = ACTIONS(9328),
    [aux_sym_assignment_token1] = ACTIONS(9328),
    [aux_sym_operator_token1] = ACTIONS(9328),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9328),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9328),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9328),
    [aux_sym_use_statement_token2] = ACTIONS(9328),
    [anon_sym_COLON_COLON] = ACTIONS(9326),
    [aux_sym_implicit_statement_token3] = ACTIONS(9328),
    [aux_sym_implicit_statement_token4] = ACTIONS(9328),
    [aux_sym_save_statement_token1] = ACTIONS(9328),
    [aux_sym_private_statement_token1] = ACTIONS(9328),
    [aux_sym_public_statement_token1] = ACTIONS(9328),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9328),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9328),
    [aux_sym_variable_attributes_token2] = ACTIONS(9328),
    [aux_sym_variable_attributes_token3] = ACTIONS(9328),
    [aux_sym_variable_attributes_token5] = ACTIONS(9328),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9328),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9328),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9328),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9328),
    [aux_sym_type_qualifier_token1] = ACTIONS(9328),
    [aux_sym_type_qualifier_token2] = ACTIONS(9328),
    [aux_sym_stop_statement_token1] = ACTIONS(9328),
    [aux_sym_stop_statement_token2] = ACTIONS(9328),
    [aux_sym_subroutine_call_token1] = ACTIONS(9328),
    [aux_sym_keyword_statement_token2] = ACTIONS(9328),
    [aux_sym_keyword_statement_token3] = ACTIONS(9328),
    [aux_sym_keyword_statement_token4] = ACTIONS(9328),
    [aux_sym_include_statement_token1] = ACTIONS(9328),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9328),
    [aux_sym_end_if_statement_token1] = ACTIONS(9328),
    [aux_sym_elseif_clause_token2] = ACTIONS(9328),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9328),
    [aux_sym_select_case_statement_token1] = ACTIONS(9328),
    [aux_sym_format_statement_token1] = ACTIONS(9328),
    [aux_sym_print_statement_token1] = ACTIONS(9328),
    [aux_sym_open_statement_token1] = ACTIONS(9328),
    [aux_sym_inquire_statement_token1] = ACTIONS(9328),
    [aux_sym_entry_statement_token1] = ACTIONS(9328),
    [aux_sym_null_literal_token1] = ACTIONS(9328),
    [aux_sym_coarray_statement_token1] = ACTIONS(9328),
    [aux_sym_coarray_statement_token2] = ACTIONS(9328),
    [aux_sym_coarray_statement_token6] = ACTIONS(9328),
    [aux_sym_coarray_statement_token8] = ACTIONS(9328),
    [aux_sym_coarray_statement_token11] = ACTIONS(9328),
    [aux_sym_coarray_statement_token12] = ACTIONS(9328),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9328),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9328),
    [aux_sym_identifier_token1] = ACTIONS(9328),
    [sym_comment] = ACTIONS(21),
  },
  [4391] = {
    [anon_sym_COMMA] = ACTIONS(9274),
    [anon_sym_SLASH] = ACTIONS(9274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9276),
    [anon_sym_SEMI] = ACTIONS(9274),
    [aux_sym_block_data_statement_token1] = ACTIONS(9276),
    [aux_sym_block_data_statement_token2] = ACTIONS(9276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9276),
    [aux_sym_use_statement_token2] = ACTIONS(9276),
    [aux_sym_implicit_statement_token3] = ACTIONS(9276),
    [aux_sym_implicit_statement_token4] = ACTIONS(9276),
    [aux_sym_save_statement_token1] = ACTIONS(9276),
    [aux_sym_private_statement_token1] = ACTIONS(9276),
    [aux_sym_public_statement_token1] = ACTIONS(9276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9276),
    [aux_sym_variable_attributes_token2] = ACTIONS(9276),
    [aux_sym_variable_attributes_token3] = ACTIONS(9276),
    [aux_sym_variable_attributes_token5] = ACTIONS(9276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9276),
    [aux_sym_type_qualifier_token1] = ACTIONS(9276),
    [aux_sym_type_qualifier_token2] = ACTIONS(9276),
    [aux_sym_stop_statement_token1] = ACTIONS(9276),
    [aux_sym_stop_statement_token2] = ACTIONS(9276),
    [aux_sym_subroutine_call_token1] = ACTIONS(9276),
    [aux_sym_keyword_statement_token2] = ACTIONS(9276),
    [aux_sym_keyword_statement_token3] = ACTIONS(9276),
    [aux_sym_keyword_statement_token4] = ACTIONS(9276),
    [aux_sym_include_statement_token1] = ACTIONS(9276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9276),
    [aux_sym_end_if_statement_token1] = ACTIONS(9276),
    [aux_sym_elseif_clause_token2] = ACTIONS(9276),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9276),
    [aux_sym_select_case_statement_token1] = ACTIONS(9276),
    [aux_sym_format_statement_token1] = ACTIONS(9276),
    [aux_sym_print_statement_token1] = ACTIONS(9276),
    [aux_sym_open_statement_token1] = ACTIONS(9276),
    [aux_sym_inquire_statement_token1] = ACTIONS(9276),
    [aux_sym_entry_statement_token1] = ACTIONS(9276),
    [aux_sym_null_literal_token1] = ACTIONS(9276),
    [aux_sym_coarray_statement_token1] = ACTIONS(9276),
    [aux_sym_coarray_statement_token2] = ACTIONS(9276),
    [aux_sym_coarray_statement_token6] = ACTIONS(9276),
    [aux_sym_coarray_statement_token8] = ACTIONS(9276),
    [aux_sym_coarray_statement_token11] = ACTIONS(9276),
    [aux_sym_coarray_statement_token12] = ACTIONS(9276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9276),
    [aux_sym_identifier_token1] = ACTIONS(9276),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9274),
  },
  [4392] = {
    [sym__block_label] = STATE(8243),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9330),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9330),
  },
  [4393] = {
    [sym__block_label] = STATE(8201),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9332),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9332),
  },
  [4394] = {
    [anon_sym_COMMA] = ACTIONS(9259),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9257),
    [aux_sym_block_data_statement_token1] = ACTIONS(9257),
    [aux_sym_block_data_statement_token2] = ACTIONS(9257),
    [aux_sym_assignment_token1] = ACTIONS(9257),
    [aux_sym_operator_token1] = ACTIONS(9257),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9257),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9257),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9257),
    [aux_sym_use_statement_token2] = ACTIONS(9257),
    [anon_sym_COLON_COLON] = ACTIONS(9259),
    [aux_sym_implicit_statement_token3] = ACTIONS(9257),
    [aux_sym_implicit_statement_token4] = ACTIONS(9257),
    [aux_sym_save_statement_token1] = ACTIONS(9257),
    [aux_sym_private_statement_token1] = ACTIONS(9257),
    [aux_sym_public_statement_token1] = ACTIONS(9257),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9257),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9257),
    [aux_sym_variable_attributes_token2] = ACTIONS(9257),
    [aux_sym_variable_attributes_token3] = ACTIONS(9257),
    [aux_sym_variable_attributes_token5] = ACTIONS(9257),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9257),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9257),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9257),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9257),
    [aux_sym_type_qualifier_token1] = ACTIONS(9257),
    [aux_sym_type_qualifier_token2] = ACTIONS(9257),
    [aux_sym_stop_statement_token1] = ACTIONS(9257),
    [aux_sym_stop_statement_token2] = ACTIONS(9257),
    [aux_sym_subroutine_call_token1] = ACTIONS(9257),
    [aux_sym_keyword_statement_token2] = ACTIONS(9257),
    [aux_sym_keyword_statement_token3] = ACTIONS(9257),
    [aux_sym_keyword_statement_token4] = ACTIONS(9257),
    [aux_sym_include_statement_token1] = ACTIONS(9257),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9257),
    [aux_sym_end_if_statement_token1] = ACTIONS(9257),
    [aux_sym_elseif_clause_token2] = ACTIONS(9257),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9257),
    [aux_sym_select_case_statement_token1] = ACTIONS(9257),
    [aux_sym_format_statement_token1] = ACTIONS(9257),
    [aux_sym_print_statement_token1] = ACTIONS(9257),
    [aux_sym_open_statement_token1] = ACTIONS(9257),
    [aux_sym_inquire_statement_token1] = ACTIONS(9257),
    [aux_sym_entry_statement_token1] = ACTIONS(9257),
    [aux_sym_null_literal_token1] = ACTIONS(9257),
    [aux_sym_coarray_statement_token1] = ACTIONS(9257),
    [aux_sym_coarray_statement_token2] = ACTIONS(9257),
    [aux_sym_coarray_statement_token6] = ACTIONS(9257),
    [aux_sym_coarray_statement_token8] = ACTIONS(9257),
    [aux_sym_coarray_statement_token11] = ACTIONS(9257),
    [aux_sym_coarray_statement_token12] = ACTIONS(9257),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9257),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9257),
    [aux_sym_identifier_token1] = ACTIONS(9257),
    [sym_comment] = ACTIONS(21),
  },
  [4395] = {
    [sym__block_label] = STATE(8456),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9334),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9334),
  },
  [4396] = {
    [sym__block_label] = STATE(8438),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(8257),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(8257),
  },
  [4397] = {
    [sym__block_label] = STATE(8374),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9336),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9336),
  },
  [4398] = {
    [anon_sym_COMMA] = ACTIONS(9146),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(9150),
    [aux_sym_block_data_statement_token1] = ACTIONS(9150),
    [aux_sym_block_data_statement_token2] = ACTIONS(9150),
    [aux_sym_assignment_token1] = ACTIONS(9150),
    [aux_sym_operator_token1] = ACTIONS(9150),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(9150),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(9150),
    [aux_sym_procedure_attributes_token3] = ACTIONS(9150),
    [aux_sym_use_statement_token2] = ACTIONS(9150),
    [anon_sym_COLON_COLON] = ACTIONS(9146),
    [aux_sym_implicit_statement_token3] = ACTIONS(9150),
    [aux_sym_implicit_statement_token4] = ACTIONS(9150),
    [aux_sym_save_statement_token1] = ACTIONS(9150),
    [aux_sym_private_statement_token1] = ACTIONS(9150),
    [aux_sym_public_statement_token1] = ACTIONS(9150),
    [aux_sym_derived_type_definition_token1] = ACTIONS(9150),
    [aux_sym_procedure_attribute_token6] = ACTIONS(9150),
    [aux_sym_variable_attributes_token2] = ACTIONS(9150),
    [aux_sym_variable_attributes_token3] = ACTIONS(9150),
    [aux_sym_variable_attributes_token5] = ACTIONS(9150),
    [aux_sym__intrinsic_type_token1] = ACTIONS(9150),
    [aux_sym__intrinsic_type_token3] = ACTIONS(9150),
    [aux_sym__intrinsic_type_token4] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(9150),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(9150),
    [aux_sym_type_qualifier_token1] = ACTIONS(9150),
    [aux_sym_type_qualifier_token2] = ACTIONS(9150),
    [aux_sym_stop_statement_token1] = ACTIONS(9150),
    [aux_sym_stop_statement_token2] = ACTIONS(9150),
    [aux_sym_subroutine_call_token1] = ACTIONS(9150),
    [aux_sym_keyword_statement_token2] = ACTIONS(9150),
    [aux_sym_keyword_statement_token3] = ACTIONS(9150),
    [aux_sym_keyword_statement_token4] = ACTIONS(9150),
    [aux_sym_include_statement_token1] = ACTIONS(9150),
    [aux_sym__inline_if_statement_token1] = ACTIONS(9150),
    [aux_sym_end_if_statement_token1] = ACTIONS(9150),
    [aux_sym_elseif_clause_token2] = ACTIONS(9150),
    [aux_sym__inline_where_statement_token1] = ACTIONS(9150),
    [aux_sym_select_case_statement_token1] = ACTIONS(9150),
    [aux_sym_format_statement_token1] = ACTIONS(9150),
    [aux_sym_print_statement_token1] = ACTIONS(9150),
    [aux_sym_open_statement_token1] = ACTIONS(9150),
    [aux_sym_inquire_statement_token1] = ACTIONS(9150),
    [aux_sym_entry_statement_token1] = ACTIONS(9150),
    [aux_sym_null_literal_token1] = ACTIONS(9150),
    [aux_sym_coarray_statement_token1] = ACTIONS(9150),
    [aux_sym_coarray_statement_token2] = ACTIONS(9150),
    [aux_sym_coarray_statement_token6] = ACTIONS(9150),
    [aux_sym_coarray_statement_token8] = ACTIONS(9150),
    [aux_sym_coarray_statement_token11] = ACTIONS(9150),
    [aux_sym_coarray_statement_token12] = ACTIONS(9150),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(9150),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(9150),
    [aux_sym_identifier_token1] = ACTIONS(9150),
    [sym_comment] = ACTIONS(21),
  },
  [4399] = {
    [sym__block_label] = STATE(8327),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9338),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9338),
  },
  [4400] = {
    [sym__block_label] = STATE(8364),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9340),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9340),
  },
  [4401] = {
    [sym__name] = STATE(8350),
    [sym_identifier] = STATE(7092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9342),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9342),
  },
  [4402] = {
    [sym__block_label] = STATE(8225),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9344),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9344),
  },
  [4403] = {
    [sym__variable_declarator] = STATE(4228),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(4228),
    [sym_identifier] = STATE(3963),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8813),
    [aux_sym_block_data_statement_token1] = ACTIONS(8817),
    [aux_sym_block_data_statement_token2] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8817),
    [aux_sym_use_statement_token2] = ACTIONS(8817),
    [aux_sym_implicit_statement_token3] = ACTIONS(8819),
    [aux_sym_implicit_statement_token4] = ACTIONS(8817),
    [aux_sym_save_statement_token1] = ACTIONS(8817),
    [aux_sym_private_statement_token1] = ACTIONS(8817),
    [aux_sym_public_statement_token1] = ACTIONS(8817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8817),
    [aux_sym_variable_attributes_token2] = ACTIONS(8817),
    [aux_sym_variable_attributes_token3] = ACTIONS(8817),
    [aux_sym_variable_attributes_token5] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8821),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8817),
    [aux_sym_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym_stop_statement_token1] = ACTIONS(8817),
    [aux_sym_stop_statement_token2] = ACTIONS(8817),
    [aux_sym_subroutine_call_token1] = ACTIONS(8819),
    [aux_sym_keyword_statement_token2] = ACTIONS(8817),
    [aux_sym_keyword_statement_token3] = ACTIONS(8817),
    [aux_sym_keyword_statement_token4] = ACTIONS(8823),
    [aux_sym_include_statement_token1] = ACTIONS(8819),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8817),
    [aux_sym_end_if_statement_token1] = ACTIONS(8817),
    [aux_sym_elseif_clause_token2] = ACTIONS(8817),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8819),
    [aux_sym_select_case_statement_token1] = ACTIONS(8825),
    [aux_sym_format_statement_token1] = ACTIONS(8817),
    [aux_sym_print_statement_token1] = ACTIONS(8819),
    [aux_sym_open_statement_token1] = ACTIONS(8819),
    [aux_sym_inquire_statement_token1] = ACTIONS(8817),
    [aux_sym_entry_statement_token1] = ACTIONS(8817),
    [aux_sym_null_literal_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token2] = ACTIONS(8817),
    [aux_sym_coarray_statement_token6] = ACTIONS(8817),
    [aux_sym_coarray_statement_token8] = ACTIONS(8817),
    [aux_sym_coarray_statement_token11] = ACTIONS(8817),
    [aux_sym_coarray_statement_token12] = ACTIONS(8817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8817),
    [aux_sym_identifier_token1] = ACTIONS(8817),
    [sym_comment] = ACTIONS(21),
  },
  [4404] = {
    [sym__block_label] = STATE(8445),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9346),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9346),
  },
  [4405] = {
    [sym__block_label] = STATE(8402),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9348),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9348),
  },
  [4406] = {
    [sym__block_label] = STATE(8154),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9350),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9350),
  },
  [4407] = {
    [sym__block_label] = STATE(8434),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9320),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9320),
  },
  [4408] = {
    [sym__block_label] = STATE(8153),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9352),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9352),
  },
  [4409] = {
    [anon_sym_COMMA] = ACTIONS(8319),
    [anon_sym_LPAREN2] = ACTIONS(8319),
    [anon_sym_STAR] = ACTIONS(8319),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8321),
    [aux_sym_block_data_statement_token1] = ACTIONS(8321),
    [aux_sym_block_data_statement_token2] = ACTIONS(8321),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8321),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8321),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8321),
    [aux_sym_use_statement_token2] = ACTIONS(8321),
    [anon_sym_COLON_COLON] = ACTIONS(8319),
    [aux_sym_implicit_statement_token3] = ACTIONS(8321),
    [aux_sym_implicit_statement_token4] = ACTIONS(8321),
    [aux_sym_save_statement_token1] = ACTIONS(8321),
    [aux_sym_private_statement_token1] = ACTIONS(8321),
    [aux_sym_public_statement_token1] = ACTIONS(8321),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8321),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8321),
    [aux_sym_variable_attributes_token2] = ACTIONS(8321),
    [aux_sym_variable_attributes_token3] = ACTIONS(8321),
    [aux_sym_variable_attributes_token5] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8321),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8321),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8321),
    [aux_sym_type_qualifier_token1] = ACTIONS(8321),
    [aux_sym_type_qualifier_token2] = ACTIONS(8321),
    [aux_sym_stop_statement_token1] = ACTIONS(8321),
    [aux_sym_stop_statement_token2] = ACTIONS(8321),
    [aux_sym_subroutine_call_token1] = ACTIONS(8321),
    [aux_sym_keyword_statement_token2] = ACTIONS(8321),
    [aux_sym_keyword_statement_token3] = ACTIONS(8321),
    [aux_sym_keyword_statement_token4] = ACTIONS(8321),
    [aux_sym_include_statement_token1] = ACTIONS(8321),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8321),
    [aux_sym_end_if_statement_token1] = ACTIONS(8321),
    [aux_sym_elseif_clause_token2] = ACTIONS(8321),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8321),
    [aux_sym_select_case_statement_token1] = ACTIONS(8321),
    [aux_sym_format_statement_token1] = ACTIONS(8321),
    [aux_sym_print_statement_token1] = ACTIONS(8321),
    [aux_sym_open_statement_token1] = ACTIONS(8321),
    [aux_sym_inquire_statement_token1] = ACTIONS(8321),
    [aux_sym_entry_statement_token1] = ACTIONS(8321),
    [aux_sym_null_literal_token1] = ACTIONS(8321),
    [aux_sym_coarray_statement_token1] = ACTIONS(8321),
    [aux_sym_coarray_statement_token2] = ACTIONS(8321),
    [aux_sym_coarray_statement_token6] = ACTIONS(8321),
    [aux_sym_coarray_statement_token8] = ACTIONS(8321),
    [aux_sym_coarray_statement_token11] = ACTIONS(8321),
    [aux_sym_coarray_statement_token12] = ACTIONS(8321),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8321),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8321),
    [aux_sym_identifier_token1] = ACTIONS(8321),
    [sym_comment] = ACTIONS(21),
  },
  [4410] = {
    [sym__block_label] = STATE(8236),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9324),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9324),
  },
  [4411] = {
    [sym__variable_declarator] = STATE(4391),
    [sym_sized_declarator] = STATE(4036),
    [sym_coarray_declarator] = STATE(4391),
    [sym_identifier] = STATE(3963),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8813),
    [aux_sym_block_data_statement_token1] = ACTIONS(8817),
    [aux_sym_block_data_statement_token2] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8817),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8817),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8817),
    [aux_sym_use_statement_token2] = ACTIONS(8817),
    [aux_sym_implicit_statement_token3] = ACTIONS(8819),
    [aux_sym_implicit_statement_token4] = ACTIONS(8817),
    [aux_sym_save_statement_token1] = ACTIONS(8817),
    [aux_sym_private_statement_token1] = ACTIONS(8817),
    [aux_sym_public_statement_token1] = ACTIONS(8817),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8817),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8817),
    [aux_sym_variable_attributes_token2] = ACTIONS(8817),
    [aux_sym_variable_attributes_token3] = ACTIONS(8817),
    [aux_sym_variable_attributes_token5] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8817),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8821),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8819),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8817),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8817),
    [aux_sym_type_qualifier_token1] = ACTIONS(8817),
    [aux_sym_type_qualifier_token2] = ACTIONS(8817),
    [aux_sym_stop_statement_token1] = ACTIONS(8817),
    [aux_sym_stop_statement_token2] = ACTIONS(8817),
    [aux_sym_subroutine_call_token1] = ACTIONS(8819),
    [aux_sym_keyword_statement_token2] = ACTIONS(8817),
    [aux_sym_keyword_statement_token3] = ACTIONS(8817),
    [aux_sym_keyword_statement_token4] = ACTIONS(8823),
    [aux_sym_include_statement_token1] = ACTIONS(8819),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8817),
    [aux_sym_end_if_statement_token1] = ACTIONS(8817),
    [aux_sym_elseif_clause_token2] = ACTIONS(8817),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8819),
    [aux_sym_select_case_statement_token1] = ACTIONS(8825),
    [aux_sym_format_statement_token1] = ACTIONS(8817),
    [aux_sym_print_statement_token1] = ACTIONS(8819),
    [aux_sym_open_statement_token1] = ACTIONS(8819),
    [aux_sym_inquire_statement_token1] = ACTIONS(8817),
    [aux_sym_entry_statement_token1] = ACTIONS(8817),
    [aux_sym_null_literal_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_statement_token2] = ACTIONS(8817),
    [aux_sym_coarray_statement_token6] = ACTIONS(8817),
    [aux_sym_coarray_statement_token8] = ACTIONS(8817),
    [aux_sym_coarray_statement_token11] = ACTIONS(8817),
    [aux_sym_coarray_statement_token12] = ACTIONS(8817),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8817),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8817),
    [aux_sym_identifier_token1] = ACTIONS(8817),
    [sym_comment] = ACTIONS(21),
  },
  [4412] = {
    [anon_sym_COMMA] = ACTIONS(8315),
    [anon_sym_LPAREN2] = ACTIONS(8315),
    [anon_sym_STAR] = ACTIONS(8315),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(8317),
    [aux_sym_block_data_statement_token1] = ACTIONS(8317),
    [aux_sym_block_data_statement_token2] = ACTIONS(8317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(8317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(8317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(8317),
    [aux_sym_use_statement_token2] = ACTIONS(8317),
    [anon_sym_COLON_COLON] = ACTIONS(8315),
    [aux_sym_implicit_statement_token3] = ACTIONS(8317),
    [aux_sym_implicit_statement_token4] = ACTIONS(8317),
    [aux_sym_save_statement_token1] = ACTIONS(8317),
    [aux_sym_private_statement_token1] = ACTIONS(8317),
    [aux_sym_public_statement_token1] = ACTIONS(8317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(8317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(8317),
    [aux_sym_variable_attributes_token2] = ACTIONS(8317),
    [aux_sym_variable_attributes_token3] = ACTIONS(8317),
    [aux_sym_variable_attributes_token5] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(8317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(8317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(8317),
    [aux_sym_type_qualifier_token1] = ACTIONS(8317),
    [aux_sym_type_qualifier_token2] = ACTIONS(8317),
    [aux_sym_stop_statement_token1] = ACTIONS(8317),
    [aux_sym_stop_statement_token2] = ACTIONS(8317),
    [aux_sym_subroutine_call_token1] = ACTIONS(8317),
    [aux_sym_keyword_statement_token2] = ACTIONS(8317),
    [aux_sym_keyword_statement_token3] = ACTIONS(8317),
    [aux_sym_keyword_statement_token4] = ACTIONS(8317),
    [aux_sym_include_statement_token1] = ACTIONS(8317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(8317),
    [aux_sym_end_if_statement_token1] = ACTIONS(8317),
    [aux_sym_elseif_clause_token2] = ACTIONS(8317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(8317),
    [aux_sym_select_case_statement_token1] = ACTIONS(8317),
    [aux_sym_format_statement_token1] = ACTIONS(8317),
    [aux_sym_print_statement_token1] = ACTIONS(8317),
    [aux_sym_open_statement_token1] = ACTIONS(8317),
    [aux_sym_inquire_statement_token1] = ACTIONS(8317),
    [aux_sym_entry_statement_token1] = ACTIONS(8317),
    [aux_sym_null_literal_token1] = ACTIONS(8317),
    [aux_sym_coarray_statement_token1] = ACTIONS(8317),
    [aux_sym_coarray_statement_token2] = ACTIONS(8317),
    [aux_sym_coarray_statement_token6] = ACTIONS(8317),
    [aux_sym_coarray_statement_token8] = ACTIONS(8317),
    [aux_sym_coarray_statement_token11] = ACTIONS(8317),
    [aux_sym_coarray_statement_token12] = ACTIONS(8317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(8317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(8317),
    [aux_sym_identifier_token1] = ACTIONS(8317),
    [sym_comment] = ACTIONS(21),
  },
  [4413] = {
    [sym__block_label] = STATE(8205),
    [sym_identifier] = STATE(8431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(9354),
    [aux_sym_block_data_statement_token1] = ACTIONS(6278),
    [aux_sym_block_data_statement_token2] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6278),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6278),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6278),
    [aux_sym_use_statement_token2] = ACTIONS(6278),
    [aux_sym_implicit_statement_token3] = ACTIONS(6280),
    [aux_sym_implicit_statement_token4] = ACTIONS(6278),
    [aux_sym_save_statement_token1] = ACTIONS(6278),
    [aux_sym_private_statement_token1] = ACTIONS(6278),
    [aux_sym_public_statement_token1] = ACTIONS(6278),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6278),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6278),
    [aux_sym_variable_attributes_token2] = ACTIONS(6278),
    [aux_sym_variable_attributes_token3] = ACTIONS(6278),
    [aux_sym_variable_attributes_token5] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6278),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6282),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6278),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6278),
    [aux_sym_type_qualifier_token1] = ACTIONS(6278),
    [aux_sym_type_qualifier_token2] = ACTIONS(6278),
    [aux_sym_stop_statement_token1] = ACTIONS(6278),
    [aux_sym_stop_statement_token2] = ACTIONS(6278),
    [aux_sym_subroutine_call_token1] = ACTIONS(6280),
    [aux_sym_keyword_statement_token2] = ACTIONS(6278),
    [aux_sym_keyword_statement_token3] = ACTIONS(6278),
    [aux_sym_keyword_statement_token4] = ACTIONS(6284),
    [aux_sym_include_statement_token1] = ACTIONS(6280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6278),
    [aux_sym_end_if_statement_token1] = ACTIONS(6278),
    [aux_sym_elseif_clause_token2] = ACTIONS(6278),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6280),
    [aux_sym_select_case_statement_token1] = ACTIONS(6286),
    [aux_sym_format_statement_token1] = ACTIONS(6278),
    [aux_sym_print_statement_token1] = ACTIONS(6280),
    [aux_sym_open_statement_token1] = ACTIONS(6280),
    [aux_sym_inquire_statement_token1] = ACTIONS(6278),
    [aux_sym_entry_statement_token1] = ACTIONS(6278),
    [aux_sym_null_literal_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_statement_token2] = ACTIONS(6278),
    [aux_sym_coarray_statement_token6] = ACTIONS(6278),
    [aux_sym_coarray_statement_token8] = ACTIONS(6278),
    [aux_sym_coarray_statement_token11] = ACTIONS(6278),
    [aux_sym_coarray_statement_token12] = ACTIONS(6278),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6278),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6278),
    [aux_sym_identifier_token1] = ACTIONS(6278),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(9354),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(9356), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9146), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9150), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [73] = 5,
    ACTIONS(9358), 1,
      anon_sym_COMMA,
    ACTIONS(9363), 1,
      anon_sym_COLON_COLON,
    STATE(4420), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9361), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [148] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9365), 1,
      aux_sym_included_items_token1,
    STATE(7136), 1,
      sym_use_alias,
    STATE(8707), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [233] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9365), 1,
      aux_sym_included_items_token1,
    STATE(7132), 1,
      sym_use_alias,
    STATE(8707), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [318] = 5,
    ACTIONS(9259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9367), 1,
      anon_sym_COMMA,
    STATE(4418), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9257), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [393] = 10,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9370), 1,
      anon_sym_COMMA,
    ACTIONS(9372), 1,
      anon_sym_COLON_COLON,
    STATE(7223), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [478] = 5,
    ACTIONS(9374), 1,
      anon_sym_COMMA,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    STATE(4418), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9377), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [553] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7948), 1,
      sym_identifier,
    STATE(8404), 1,
      sym__name,
    STATE(9353), 1,
      sym_module_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [638] = 5,
    ACTIONS(9381), 1,
      anon_sym_COMMA,
    ACTIONS(9386), 1,
      anon_sym_COLON_COLON,
    STATE(4431), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9384), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [713] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9388), 1,
      anon_sym_COLON_COLON,
    STATE(6915), 1,
      sym_identifier,
    STATE(8499), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [798] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    STATE(8246), 1,
      sym_loop_control_expression,
    STATE(9362), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [883] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9365), 1,
      aux_sym_included_items_token1,
    STATE(7214), 1,
      sym_use_alias,
    STATE(8707), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [968] = 5,
    ACTIONS(9392), 1,
      anon_sym_COMMA,
    ACTIONS(9395), 1,
      anon_sym_LPAREN2,
    ACTIONS(9399), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9397), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1043] = 5,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9406), 1,
      anon_sym_COLON_COLON,
    STATE(4427), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9404), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1118] = 5,
    ACTIONS(9408), 1,
      anon_sym_COMMA,
    ACTIONS(9413), 1,
      anon_sym_COLON_COLON,
    STATE(4432), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9411), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1193] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9415), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9417), 1,
      anon_sym_RPAREN,
    STATE(8053), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1278] = 10,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7948), 1,
      sym_identifier,
    STATE(8395), 1,
      sym_module_name,
    STATE(8404), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1363] = 5,
    ACTIONS(9419), 1,
      anon_sym_COMMA,
    ACTIONS(9424), 1,
      anon_sym_COLON_COLON,
    STATE(4418), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9422), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1438] = 5,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9431), 1,
      anon_sym_COLON_COLON,
    STATE(4418), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9429), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1513] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9433), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(8479), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1595] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8425), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8427), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1665] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8435), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8437), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1735] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8329), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1805] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8474), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8476), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1875] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8484), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8486), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1945] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8387), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8389), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2015] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8429), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8431), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2085] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8383), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8385), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2155] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8488), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8490), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2225] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8492), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8494), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2295] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9437), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9435), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2365] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8791), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8789), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2435] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8765), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8763), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2505] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8799), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8797), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2575] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9439), 1,
      anon_sym_SLASH,
    STATE(7134), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2657] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7312), 1,
      sym_association,
    STATE(8547), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2739] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7173), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6641), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2809] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9441), 1,
      anon_sym_RPAREN,
    STATE(8721), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2891] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6423), 1,
      sym__name,
    STATE(7092), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2973] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6865), 1,
      sym__type_name,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3055] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8733), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3125] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6854), 1,
      sym__type_name,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3207] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8116), 1,
      sym_keyword_argument,
    STATE(8716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3289] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(6915), 1,
      sym_identifier,
    STATE(8241), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3371] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8347), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8350), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3441] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6732), 1,
      sym__name,
    STATE(7092), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3523] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6476), 1,
      sym__name,
    STATE(7092), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3605] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8398), 1,
      sym_parameter_assignment,
    STATE(9311), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3687] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6921), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6923), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3757] = 9,
    ACTIONS(8506), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8512), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8514), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8516), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9443), 1,
      anon_sym_LPAREN2,
    STATE(6088), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8510), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8508), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3839] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7092), 1,
      sym_identifier,
    STATE(7351), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3921] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7433), 1,
      sym_triplet_spec,
    STATE(9351), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4003] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7359), 1,
      sym_keyword_argument,
    STATE(8716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4085] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9326), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9328), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4155] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8716), 1,
      sym_identifier,
    STATE(9191), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4237] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8210), 1,
      sym_loop_control_expression,
    STATE(9362), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4319] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7092), 1,
      sym_identifier,
    STATE(7513), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4401] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9445), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9447), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4471] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9259), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9257), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4541] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8429), 1,
      sym_concurrent_control,
    STATE(9530), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4623] = 9,
    ACTIONS(8775), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8783), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8785), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(7948), 1,
      sym_identifier,
    STATE(9322), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8781), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8777), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4705] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7750), 1,
      sym_triplet_spec,
    STATE(9351), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4787] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9451), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9453), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4857] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8716), 1,
      sym_identifier,
    STATE(9233), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4939] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7092), 1,
      sym_identifier,
    STATE(7727), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5021] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7092), 1,
      sym_identifier,
    STATE(7997), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5103] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8482), 1,
      sym_association,
    STATE(8547), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5185] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8331), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8333), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5255] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8335), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8337), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5325] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7092), 1,
      sym_identifier,
    STATE(7263), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5407] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8242), 1,
      sym_keyword_argument,
    STATE(8716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5489] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8339), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8341), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5559] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8343), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8345), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5629] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7799), 1,
      sym_association,
    STATE(8547), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9455), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5781] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6345), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6343), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5851] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8773), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8771), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5921] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8451), 1,
      sym_triplet_spec,
    STATE(9351), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6003] = 4,
    ACTIONS(9459), 1,
      anon_sym_COMMA,
    ACTIONS(9464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9462), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6075] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9468), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9466), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6145] = 9,
    ACTIONS(8403), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8409), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8411), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8413), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9470), 1,
      anon_sym_LPAREN2,
    STATE(6177), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8407), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8405), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6227] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6853), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6855), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6297] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7950), 1,
      sym_use_alias,
    STATE(8707), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6379] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8795), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8793), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6449] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8795), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8793), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6519] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7514), 1,
      sym_method_name,
    STATE(7518), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6601] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9472), 1,
      anon_sym_RPAREN,
    STATE(7623), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6683] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9146), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9150), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6753] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6879), 1,
      sym__type_name,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6835] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8047), 1,
      sym_concurrent_control,
    STATE(9530), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6917] = 9,
    ACTIONS(8359), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8365), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8367), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8369), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9474), 1,
      anon_sym_LPAREN2,
    STATE(6245), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8363), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8361), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6999] = 4,
    ACTIONS(9386), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9476), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9384), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7071] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6872), 1,
      sym__type_name,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7153] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8716), 1,
      sym_identifier,
    STATE(9038), 1,
      sym_keyword_argument,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7235] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6846), 1,
      sym__type_name,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7317] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6647), 1,
      sym__name,
    STATE(7092), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7399] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8426), 1,
      sym_keyword_argument,
    STATE(8716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7481] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9481), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7551] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6871), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6873), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7621] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(6849), 1,
      sym__type_name,
    STATE(7446), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7703] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9483), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7773] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8115), 1,
      sym_keyword_argument,
    STATE(8716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7855] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9487), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(9489), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7925] = 9,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9491), 1,
      anon_sym_SLASH,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8007] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7247), 1,
      sym_parameter_assignment,
    STATE(9311), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8089] = 9,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(6915), 1,
      sym_identifier,
    STATE(8361), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8171] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8480), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8482), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8241] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8739), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8741), 59,
      aux_sym_end_program_statement_token1,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_subroutine_call_token1,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_keyword_statement_token4,
      aux_sym_include_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym__inline_where_statement_token1,
      aux_sym_select_case_statement_token1,
      aux_sym_format_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8311] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7283), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8390] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9486), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8469] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7131), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8548] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9094), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8627] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(4834), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8706] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(6242), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8785] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(7304), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8864] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7217), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8943] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(5246), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9022] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8622), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9101] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(331), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9180] = 8,
    ACTIONS(9529), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9535), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9537), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9539), 1,
      aux_sym_select_case_statement_token1,
    STATE(6800), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9533), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9531), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9259] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(5369), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9338] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(76), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9417] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(2), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9496] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(4837), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9575] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(3), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9654] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(79), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9733] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4714), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9812] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7204), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9891] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(7352), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9970] = 8,
    ACTIONS(8775), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8783), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8785), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(9574), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8781), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8777), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10049] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(6216), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10128] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(8177), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10207] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(8093), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10286] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(329), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10365] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(4727), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10444] = 8,
    ACTIONS(8775), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8783), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8785), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(9277), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8781), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8777), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10523] = 8,
    ACTIONS(9493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9499), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9501), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9503), 1,
      aux_sym_select_case_statement_token1,
    STATE(8078), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9497), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9495), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10602] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(80), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10681] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(4928), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10760] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(125), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10839] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(59), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10918] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(56), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10997] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(5209), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11076] = 8,
    ACTIONS(9529), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9535), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9537), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9539), 1,
      aux_sym_select_case_statement_token1,
    STATE(6786), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9533), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9531), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11155] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4709), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11234] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(72), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11313] = 8,
    ACTIONS(9577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9583), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9585), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9587), 1,
      aux_sym_select_case_statement_token1,
    STATE(5578), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9581), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9579), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11392] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(26), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11471] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(128), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11550] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7202), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11629] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(4), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11708] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8502), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11787] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(77), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11866] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(73), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11945] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(57), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12024] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(389), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12103] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9398), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12182] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(328), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12261] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4713), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12340] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(126), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12419] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9189), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12498] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7129), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12577] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(5), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12656] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8314), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12735] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(74), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12814] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(75), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12893] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(58), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12972] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(391), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13051] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9082), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13130] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(330), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13209] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(131), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13288] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7106), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13367] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(6), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13446] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7956), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13525] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(78), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13604] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(382), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13683] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4707), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13762] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(124), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13841] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7182), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13920] = 8,
    ACTIONS(9553), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9559), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9561), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9563), 1,
      aux_sym_select_case_statement_token1,
    STATE(7), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9557), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9555), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13999] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(386), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14078] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4710), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14157] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(129), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14236] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(7467), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14315] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7191), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14394] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9085), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14473] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(380), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14552] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4712), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14631] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(130), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14710] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7130), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14789] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7155), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14868] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(388), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14947] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4717), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15026] = 8,
    ACTIONS(9541), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9547), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9549), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9551), 1,
      aux_sym_select_case_statement_token1,
    STATE(127), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9545), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9543), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15105] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7112), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15184] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(384), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15263] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4706), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15342] = 8,
    ACTIONS(9577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9583), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9585), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9587), 1,
      aux_sym_select_case_statement_token1,
    STATE(5437), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9581), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9579), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15421] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7211), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15500] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(381), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15579] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7233), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15658] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(392), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15737] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7225), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15816] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(385), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15895] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8516), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15974] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7180), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16053] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(390), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16132] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7184), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16211] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(393), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16290] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7123), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16369] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(394), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16448] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7151), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16527] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(395), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16606] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7169), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16685] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(396), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16764] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7206), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16843] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(397), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16922] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7229), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17001] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(398), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17080] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7213), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17159] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(399), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17238] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7231), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17317] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7232), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17396] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7172), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17475] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7102), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17554] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7105), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17633] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7107), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17712] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7108), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17791] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7110), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17870] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7111), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17949] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7125), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18028] = 8,
    ACTIONS(6785), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6797), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6799), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4933), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6795), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6787), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18107] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7137), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18186] = 8,
    ACTIONS(6785), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6797), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6799), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8039), 1,
      aux_sym__intrinsic_type_token4,
    STATE(5869), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6795), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6787), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18265] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7138), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18344] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7139), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18423] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7142), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18502] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7143), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18581] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7149), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18660] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7150), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18739] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7153), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18818] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7157), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18897] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7158), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18976] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7161), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19055] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7166), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19134] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7188), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19213] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7189), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19292] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(5501), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19371] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7190), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19450] = 8,
    ACTIONS(6887), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6897), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6899), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8029), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4727), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6891), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6889), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19529] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7194), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19608] = 8,
    ACTIONS(9505), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9511), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9513), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9515), 1,
      aux_sym_select_case_statement_token1,
    STATE(7198), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9509), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9507), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19687] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(9028), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19766] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(383), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19845] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(5286), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19924] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8051), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20003] = 8,
    ACTIONS(6785), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6797), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6799), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4928), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6795), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6787), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20082] = 8,
    ACTIONS(761), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1962), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(2664), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(2668), 1,
      aux_sym_select_case_statement_token1,
    STATE(8228), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1960), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(105), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20161] = 8,
    ACTIONS(8775), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8783), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(8785), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(9227), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8781), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(8777), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20240] = 8,
    ACTIONS(6276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6282), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6284), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6286), 1,
      aux_sym_select_case_statement_token1,
    STATE(7140), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6280), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6278), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20319] = 8,
    ACTIONS(9517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9523), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9525), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9527), 1,
      aux_sym_select_case_statement_token1,
    STATE(387), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9521), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9519), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20398] = 8,
    ACTIONS(6785), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6797), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(6799), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(9449), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4934), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6795), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(6787), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20477] = 8,
    ACTIONS(9565), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9571), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9573), 1,
      aux_sym_keyword_statement_token4,
    ACTIONS(9575), 1,
      aux_sym_select_case_statement_token1,
    STATE(4715), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9569), 8,
      aux_sym_implicit_statement_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_subroutine_call_token1,
      aux_sym_include_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym_print_statement_token1,
      aux_sym_open_statement_token1,
    ACTIONS(9567), 47,
      aux_sym_block_data_statement_token1,
      aux_sym_block_data_statement_token2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20556] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9599), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9605), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1952), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [20678] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9631), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9633), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1189), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [20800] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9631), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9633), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9635), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1187), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4678), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [20922] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9637), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9639), 1,
      anon_sym_SEMI,
    ACTIONS(9641), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2312), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4692), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21044] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9643), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9645), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1414), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21166] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9643), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9645), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9647), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1411), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4681), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21288] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9649), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9651), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1783), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21410] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9653), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9655), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(995), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21532] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9649), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9651), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9657), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1778), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4683), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21654] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9661), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1843), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21776] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9663), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9665), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1955), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [21898] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9667), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9669), 1,
      anon_sym_SEMI,
    ACTIONS(9671), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1151), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4690), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22020] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9661), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9673), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1838), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4686), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22142] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9667), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9671), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1247), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22264] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9675), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9677), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1703), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22386] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9637), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9641), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2373), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22508] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9679), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9681), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2012), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22630] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9683), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9685), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2181), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22752] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9683), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9685), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9687), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2138), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4694), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22874] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9675), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9677), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9689), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1696), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4691), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [22996] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9679), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9681), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9691), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2005), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4693), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23118] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9653), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9655), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9693), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1011), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4684), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23240] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9603), 1,
      anon_sym_SEMI,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9695), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9697), 1,
      aux_sym_end_interface_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2302), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23362] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9695), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9697), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9699), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(2201), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4699), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23484] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9663), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9665), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9701), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1924), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4687), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23606] = 30,
    ACTIONS(9589), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9591), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9597), 1,
      sym_preproc_directive,
    ACTIONS(9599), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9605), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9617), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9629), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9703), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(1938), 1,
      sym_end_interface_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9595), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4677), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23728] = 5,
    ACTIONS(9709), 1,
      anon_sym__,
    STATE(4757), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9707), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9705), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [23799] = 29,
    ACTIONS(9711), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9714), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9717), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9723), 1,
      sym_preproc_directive,
    ACTIONS(9726), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9728), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9731), 1,
      anon_sym_SEMI,
    ACTIONS(9734), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(9736), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9742), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9745), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9748), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9751), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9757), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9763), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9769), 1,
      aux_sym_include_statement_token1,
    STATE(217), 1,
      sym_subroutine_statement,
    STATE(218), 1,
      sym_function_statement,
    STATE(3927), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9720), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9739), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9766), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9754), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4704), 13,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_interface_repeat1,
  [23918] = 5,
    ACTIONS(9709), 1,
      anon_sym__,
    STATE(4711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6347), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6349), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_keyword_statement_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [23989] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9778), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9790), 1,
      sym_preproc_comment,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9166), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4735), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24109] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9798), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9543), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4772), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24229] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9802), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9800), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_keyword_statement_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [24295] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9804), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9806), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9304), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4778), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24415] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9810), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8531), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4785), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24535] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9814), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9812), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_keyword_statement_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [24601] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9816), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9818), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8529), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4796), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24721] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9820), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9822), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9410), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4745), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24841] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9824), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9826), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9170), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4728), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [24961] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9830), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9268), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4793), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25081] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8283), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8285), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym__block_if_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25147] = 30,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9834), 1,
      sym_preproc_comment,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8630), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4759), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25267] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9836), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25332] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9840), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8919), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25449] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9840), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8919), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4730), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25566] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9844), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9842), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25631] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9846), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8940), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25748] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9848), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8559), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4753), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25865] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9850), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8566), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4786), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25982] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9852), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8805), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26099] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9854), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9230), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4738), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26216] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9858), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9856), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [26281] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9850), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8566), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26398] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9860), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8920), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26515] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9862), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8955), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26632] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9864), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9096), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26749] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9864), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9096), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4787), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [26866] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9868), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9866), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [26931] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9870), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9256), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4739), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27048] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9854), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9230), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27165] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9872), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9427), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27282] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9874), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9439), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4751), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27399] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9876), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9261), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27516] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9878), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9272), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27633] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9882), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9880), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [27698] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9884), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [27763] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9836), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [27828] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9888), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8691), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4761), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [27945] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9890), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8776), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28062] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9874), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9439), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28179] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9860), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8920), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4768), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28296] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9892), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8938), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28413] = 4,
    ACTIONS(9894), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5082), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [28480] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9898), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9896), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [28545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9902), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9900), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [28610] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9904), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8794), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28727] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9908), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9906), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [28792] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9910), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8827), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28909] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9912), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9223), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4774), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29026] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9914), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9280), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4744), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29143] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9916), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8698), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4766), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29260] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9920), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9918), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [29325] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9890), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8776), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4792), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29442] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9916), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8698), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29559] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9922), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8821), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4788), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29676] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8784), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29793] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9926), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9340), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4767), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [29910] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8784), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4725), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9930), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9928), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [30092] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9932), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9343), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4777), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30209] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9934), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8793), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30326] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9936), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9384), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30443] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9938), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8947), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30560] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9940), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9198), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4789), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30677] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9279), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4791), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30794] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9944), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8932), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4731), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30911] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9279), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31028] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9936), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9384), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4736), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31145] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9870), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9256), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31262] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9946), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9193), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4784), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31379] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9948), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8823), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4719), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31496] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9950), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9386), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31613] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9946), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9193), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31730] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9952), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8836), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4729), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31847] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9956), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9954), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [31912] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9958), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8841), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4722), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32029] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9960), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8854), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4747), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32146] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9964), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9962), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [32211] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9966), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9178), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32328] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9958), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8841), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32445] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9968), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8829), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32562] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9970), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8554), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32679] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9972), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8617), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32796] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9974), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8646), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32913] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9974), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8646), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4795), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33030] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9976), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8660), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33147] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9978), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8935), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33264] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9932), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9343), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33381] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9982), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9980), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [33446] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9984), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8727), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33563] = 29,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9782), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9784), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9960), 1,
      aux_sym_preproc_if_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9786), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8854), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [33680] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9988), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9986), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [33745] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7111), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7109), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [33809] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7129), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7127), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [33873] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7133), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7131), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [33937] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7137), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7135), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34001] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7125), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7123), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34065] = 26,
    ACTIONS(9990), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9993), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9996), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10004), 1,
      sym_preproc_directive,
    ACTIONS(10007), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10039), 1,
      aux_sym_include_statement_token1,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10001), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9999), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34175] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_program_statement_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10042), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4803), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34285] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7121), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7119), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34349] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9774), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9776), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9788), 1,
      sym_preproc_directive,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9794), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_program_statement_token2,
    STATE(229), 1,
      sym_module_procedure_statement,
    STATE(256), 1,
      sym_subroutine_statement,
    STATE(257), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10046), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4804), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34459] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6855), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6853), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34522] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6923), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6921), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34585] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6873), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6871), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [34648] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5110), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [34710] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10066), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10068), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10078), 1,
      anon_sym_QMARK,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10070), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10052), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10050), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [34807] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5132), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [34868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5082), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [34929] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5078), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [34990] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5156), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35051] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5082), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_COLON_COLON,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35112] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10066), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10068), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10078), 1,
      anon_sym_QMARK,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10070), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10082), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10080), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [35209] = 11,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10084), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35286] = 10,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10084), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35361] = 13,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10088), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35442] = 16,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10068), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10094), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10092), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35529] = 15,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10094), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10092), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35614] = 17,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10066), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10068), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10094), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10092), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35703] = 13,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10096), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35784] = 9,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10084), 36,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35857] = 18,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10066), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10068), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10070), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10084), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [35948] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10066), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10068), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10070), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9844), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(9842), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [36041] = 15,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10072), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10074), 1,
      anon_sym_STAR_STAR,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10056), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10058), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10064), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10102), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10062), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10100), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [36126] = 8,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    STATE(3704), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4864), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10104), 37,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [36197] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6855), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6853), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [36257] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10110), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10112), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10116), 1,
      sym_preproc_directive,
    ACTIONS(10118), 1,
      aux_sym_include_statement_token1,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10042), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(10114), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4833), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36363] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6873), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6871), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [36423] = 26,
    ACTIONS(10007), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10120), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10123), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10126), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10132), 1,
      sym_preproc_directive,
    ACTIONS(10135), 1,
      aux_sym_include_statement_token1,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9999), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(10129), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4833), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36529] = 27,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10138), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10146), 1,
      sym_preproc_comment,
    ACTIONS(10148), 1,
      anon_sym_SEMI,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9360), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4840), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [36637] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10110), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10112), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10116), 1,
      sym_preproc_directive,
    ACTIONS(10118), 1,
      aux_sym_include_statement_token1,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10046), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(10114), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4831), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36743] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6923), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6921), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [36803] = 27,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10152), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10154), 1,
      sym_preproc_comment,
    ACTIONS(10156), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9434), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4841), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [36911] = 26,
    ACTIONS(9999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10007), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10158), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10161), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10164), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10170), 1,
      sym_preproc_directive,
    ACTIONS(10173), 1,
      aux_sym_include_statement_token1,
    STATE(206), 1,
      sym_module_procedure_statement,
    STATE(234), 1,
      sym_subroutine_statement,
    STATE(235), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10167), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4838), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37016] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10176), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10178), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9383), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4844), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [37121] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8556), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [37226] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10176), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9383), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [37331] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10042), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(10184), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10186), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10188), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10192), 1,
      sym_preproc_directive,
    ACTIONS(10194), 1,
      aux_sym_include_statement_token1,
    STATE(206), 1,
      sym_module_procedure_statement,
    STATE(234), 1,
      sym_subroutine_statement,
    STATE(235), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10190), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4838), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37436] = 26,
    ACTIONS(9999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10007), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10196), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10199), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10202), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10208), 1,
      sym_preproc_directive,
    ACTIONS(10211), 1,
      aux_sym_include_statement_token1,
    STATE(207), 1,
      sym_module_procedure_statement,
    STATE(212), 1,
      sym_subroutine_statement,
    STATE(213), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10205), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4843), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37541] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10214), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9414), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [37646] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10042), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(10216), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10218), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10220), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10224), 1,
      sym_preproc_directive,
    ACTIONS(10226), 1,
      aux_sym_include_statement_token1,
    STATE(215), 1,
      sym_module_procedure_statement,
    STATE(247), 1,
      sym_subroutine_statement,
    STATE(248), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10222), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4857), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37751] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10042), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10228), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10230), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10232), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10236), 1,
      sym_preproc_directive,
    ACTIONS(10238), 1,
      aux_sym_include_statement_token1,
    STATE(207), 1,
      sym_module_procedure_statement,
    STATE(212), 1,
      sym_subroutine_statement,
    STATE(213), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10234), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4843), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37856] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10046), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(10216), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10218), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10220), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10224), 1,
      sym_preproc_directive,
    ACTIONS(10226), 1,
      aux_sym_include_statement_token1,
    STATE(215), 1,
      sym_module_procedure_statement,
    STATE(247), 1,
      sym_subroutine_statement,
    STATE(248), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10222), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4845), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37961] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10046), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(10240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10248), 1,
      sym_preproc_directive,
    ACTIONS(10250), 1,
      aux_sym_include_statement_token1,
    STATE(223), 1,
      sym_module_procedure_statement,
    STATE(252), 1,
      sym_subroutine_statement,
    STATE(253), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4861), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38066] = 26,
    ACTIONS(9999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10007), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10252), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10255), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10258), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10264), 1,
      sym_preproc_directive,
    ACTIONS(10267), 1,
      aux_sym_include_statement_token1,
    STATE(197), 1,
      sym_function_statement,
    STATE(243), 1,
      sym_module_procedure_statement,
    STATE(262), 1,
      sym_subroutine_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10261), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4849), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38171] = 6,
    ACTIONS(10274), 1,
      anon_sym_LPAREN2,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4850), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10272), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10270), 37,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [38236] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10046), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(10277), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10279), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10281), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10285), 1,
      sym_preproc_directive,
    ACTIONS(10287), 1,
      aux_sym_include_statement_token1,
    STATE(197), 1,
      sym_function_statement,
    STATE(243), 1,
      sym_module_procedure_statement,
    STATE(262), 1,
      sym_subroutine_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10283), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4863), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38341] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10289), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9021), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [38446] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10046), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(10228), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10230), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10232), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10236), 1,
      sym_preproc_directive,
    ACTIONS(10238), 1,
      aux_sym_include_statement_token1,
    STATE(207), 1,
      sym_module_procedure_statement,
    STATE(212), 1,
      sym_subroutine_statement,
    STATE(213), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10234), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4846), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38551] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10291), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10293), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8956), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4862), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [38656] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5110), 40,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [38715] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10110), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10112), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10116), 1,
      sym_preproc_directive,
    ACTIONS(10118), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10295), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10297), 1,
      sym_preproc_comment,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10114), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4875), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38820] = 26,
    ACTIONS(9999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10007), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10299), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10302), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10305), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10311), 1,
      sym_preproc_directive,
    ACTIONS(10314), 1,
      aux_sym_include_statement_token1,
    STATE(215), 1,
      sym_module_procedure_statement,
    STATE(247), 1,
      sym_subroutine_statement,
    STATE(248), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10308), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4857), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38925] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10317), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8556), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4871), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [39030] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10046), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(10319), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10321), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10323), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10327), 1,
      sym_preproc_directive,
    ACTIONS(10329), 1,
      aux_sym_include_statement_token1,
    STATE(227), 1,
      sym_subroutine_statement,
    STATE(228), 1,
      sym_function_statement,
    STATE(230), 1,
      sym_module_procedure_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10325), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4860), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39135] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10042), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(10319), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10321), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10323), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10327), 1,
      sym_preproc_directive,
    ACTIONS(10329), 1,
      aux_sym_include_statement_token1,
    STATE(227), 1,
      sym_subroutine_statement,
    STATE(228), 1,
      sym_function_statement,
    STATE(230), 1,
      sym_module_procedure_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10325), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4869), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39240] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10042), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(10240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10248), 1,
      sym_preproc_directive,
    ACTIONS(10250), 1,
      aux_sym_include_statement_token1,
    STATE(223), 1,
      sym_module_procedure_statement,
    STATE(252), 1,
      sym_subroutine_statement,
    STATE(253), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4870), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39345] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10331), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8543), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [39450] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10042), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10044), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(10277), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10279), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10281), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10285), 1,
      sym_preproc_directive,
    ACTIONS(10287), 1,
      aux_sym_include_statement_token1,
    STATE(197), 1,
      sym_function_statement,
    STATE(243), 1,
      sym_module_procedure_statement,
    STATE(262), 1,
      sym_subroutine_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10283), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4849), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39555] = 5,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4850), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10335), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(10333), 38,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [39618] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10337), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10339), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9160), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4852), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [39723] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10341), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9190), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [39828] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10343), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10345), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8941), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4873), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [39933] = 26,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10046), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10048), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(10184), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10186), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10188), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10192), 1,
      sym_preproc_directive,
    ACTIONS(10194), 1,
      aux_sym_include_statement_token1,
    STATE(206), 1,
      sym_module_procedure_statement,
    STATE(234), 1,
      sym_subroutine_statement,
    STATE(235), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10190), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4842), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40038] = 26,
    ACTIONS(9999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10007), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10347), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10350), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10353), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10359), 1,
      sym_preproc_directive,
    ACTIONS(10362), 1,
      aux_sym_include_statement_token1,
    STATE(227), 1,
      sym_subroutine_statement,
    STATE(228), 1,
      sym_function_statement,
    STATE(230), 1,
      sym_module_procedure_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10356), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4869), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40143] = 26,
    ACTIONS(9999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10007), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(10009), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10012), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10015), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10018), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10021), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10027), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10030), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10033), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10365), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10368), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10371), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10377), 1,
      sym_preproc_directive,
    ACTIONS(10380), 1,
      aux_sym_include_statement_token1,
    STATE(223), 1,
      sym_module_procedure_statement,
    STATE(252), 1,
      sym_subroutine_statement,
    STATE(253), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10374), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10036), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10024), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4870), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40248] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10383), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(9323), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [40353] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10385), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10387), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8550), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4866), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [40458] = 26,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10140), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10142), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10291), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10144), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8956), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [40563] = 25,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10110), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10112), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10116), 1,
      sym_preproc_directive,
    ACTIONS(10118), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10389), 1,
      aux_sym_preproc_if_token2,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10114), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4876), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40665] = 25,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10110), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10112), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10116), 1,
      sym_preproc_directive,
    ACTIONS(10118), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10389), 1,
      aux_sym_preproc_if_token2,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10114), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4833), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40767] = 25,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9792), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10108), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10110), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10112), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10116), 1,
      sym_preproc_directive,
    ACTIONS(10118), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10391), 1,
      aux_sym_preproc_if_token2,
    STATE(236), 1,
      sym_module_procedure_statement,
    STATE(260), 1,
      sym_subroutine_statement,
    STATE(261), 1,
      sym_function_statement,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10114), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5988), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4833), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40869] = 23,
    ACTIONS(10395), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10397), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10400), 1,
      anon_sym_SEMI,
    ACTIONS(10403), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10409), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10412), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10415), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10418), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10424), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10427), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10430), 1,
      aux_sym_derived_type_token1,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10393), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(10406), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(10433), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(10421), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [40965] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10446), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10460), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    STATE(1785), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7753), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41068] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10472), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10474), 1,
      aux_sym_end_type_statement_token1,
    STATE(1728), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7698), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41171] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10476), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10478), 1,
      aux_sym_end_type_statement_token1,
    STATE(1705), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7414), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41274] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10480), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10482), 1,
      aux_sym_end_type_statement_token1,
    STATE(1510), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7606), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41377] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10486), 1,
      aux_sym_end_type_statement_token1,
    STATE(1379), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7647), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4887), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41480] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10488), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10490), 1,
      aux_sym_end_type_statement_token1,
    STATE(2218), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7449), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41583] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10492), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10494), 1,
      aux_sym_end_type_statement_token1,
    STATE(2032), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7551), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41686] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10496), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10498), 1,
      aux_sym_end_type_statement_token1,
    STATE(1641), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7988), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41789] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10500), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10502), 1,
      aux_sym_end_type_statement_token1,
    STATE(2260), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7840), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4894), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41892] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10486), 1,
      aux_sym_end_type_statement_token1,
    STATE(1391), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7654), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [41995] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10496), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10498), 1,
      aux_sym_end_type_statement_token1,
    STATE(1885), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7286), 1,
      sym_derived_type_procedures,
    STATE(7342), 1,
      sym_variable_declaration,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4885), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42098] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10476), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10478), 1,
      aux_sym_end_type_statement_token1,
    STATE(1698), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7402), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4880), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42201] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10504), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10506), 1,
      aux_sym_end_type_statement_token1,
    STATE(1683), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7322), 1,
      sym_derived_type_procedures,
    STATE(7342), 1,
      sym_variable_declaration,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4898), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42304] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10508), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10510), 1,
      aux_sym_end_type_statement_token1,
    STATE(1318), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7481), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4895), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42407] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10512), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10514), 1,
      aux_sym_end_type_statement_token1,
    STATE(2394), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7250), 1,
      sym_derived_type_procedures,
    STATE(7342), 1,
      sym_variable_declaration,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42510] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10492), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10494), 1,
      aux_sym_end_type_statement_token1,
    STATE(2047), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7542), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4884), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42613] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10500), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10502), 1,
      aux_sym_end_type_statement_token1,
    STATE(2214), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7936), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42716] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10508), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10510), 1,
      aux_sym_end_type_statement_token1,
    STATE(1320), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7490), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42819] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10480), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10482), 1,
      aux_sym_end_type_statement_token1,
    STATE(1508), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7595), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4881), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [42922] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10512), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10514), 1,
      aux_sym_end_type_statement_token1,
    STATE(2392), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7236), 1,
      sym_derived_type_procedures,
    STATE(7342), 1,
      sym_variable_declaration,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4892), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [43025] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10504), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10506), 1,
      aux_sym_end_type_statement_token1,
    STATE(1995), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7335), 1,
      sym_derived_type_procedures,
    STATE(7342), 1,
      sym_variable_declaration,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [43128] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10472), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10474), 1,
      aux_sym_end_type_statement_token1,
    STATE(1725), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7691), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4879), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [43231] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    ACTIONS(10488), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10490), 1,
      aux_sym_end_type_statement_token1,
    STATE(2210), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7356), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4883), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [43334] = 27,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10436), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10438), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10440), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10444), 1,
      sym_preproc_directive,
    ACTIONS(10446), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10450), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10454), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10456), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10458), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10460), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10470), 1,
      aux_sym_include_statement_token1,
    STATE(1780), 1,
      sym_end_type_statement,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(6013), 1,
      sym_contains_statement,
    STATE(7342), 1,
      sym_variable_declaration,
    STATE(7744), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10442), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4878), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [43437] = 23,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10516), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10518), 1,
      sym_preproc_comment,
    ACTIONS(10520), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4906), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [43530] = 22,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10522), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [43620] = 22,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10524), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10526), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4903), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [43710] = 23,
    ACTIONS(10528), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10531), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10534), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10540), 1,
      sym_preproc_directive,
    ACTIONS(10543), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10545), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10550), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10553), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10556), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10559), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(10565), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10568), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10571), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10577), 1,
      aux_sym_include_statement_token1,
    STATE(4089), 1,
      sym__intrinsic_type,
    STATE(7342), 1,
      sym_variable_declaration,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10537), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10548), 2,
      aux_sym_contains_statement_token1,
      aux_sym_end_type_statement_token1,
    ACTIONS(10574), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(4023), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10562), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4905), 10,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      sym_include_statement,
      aux_sym_derived_type_definition_repeat1,
  [43802] = 22,
    ACTIONS(9601), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9607), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9611), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10150), 1,
      aux_sym_import_statement_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10524), 1,
      aux_sym_preproc_if_token2,
    STATE(241), 1,
      sym_subroutine_statement,
    STATE(242), 1,
      sym_function_statement,
    STATE(3925), 1,
      sym_procedure_kind,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5987), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4877), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [43892] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10580), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10582), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [43941] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10584), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10586), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [43990] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10588), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10590), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44039] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10592), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10594), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44088] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10596), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10598), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44137] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44186] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10604), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10606), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44235] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44284] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10612), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10614), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44333] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10616), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10618), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44382] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10620), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10622), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44431] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10624), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10626), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44480] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44529] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10632), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10634), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44578] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10636), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10638), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44627] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10640), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10642), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44676] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10644), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10646), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44725] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10648), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10650), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44774] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10652), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10654), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44823] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10656), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10658), 36,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5110), 30,
      anon_sym_COMMA,
      anon_sym_SLASH,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44919] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10660), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10662), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [44966] = 5,
    ACTIONS(10666), 1,
      anon_sym_COMMA,
    STATE(4931), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10664), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45017] = 5,
    ACTIONS(10666), 1,
      anon_sym_COMMA,
    STATE(4932), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45068] = 5,
    ACTIONS(10666), 1,
      anon_sym_COMMA,
    STATE(4932), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45119] = 5,
    ACTIONS(10678), 1,
      anon_sym_COMMA,
    STATE(4932), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10660), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10662), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45170] = 5,
    ACTIONS(10666), 1,
      anon_sym_COMMA,
    STATE(4930), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45221] = 5,
    ACTIONS(10666), 1,
      anon_sym_COMMA,
    STATE(4935), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10681), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10683), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45272] = 5,
    ACTIONS(10666), 1,
      anon_sym_COMMA,
    STATE(4932), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10685), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10687), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45323] = 7,
    ACTIONS(6343), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9709), 1,
      anon_sym__,
    STATE(4711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6345), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_implicit_statement_token3,
      aux_sym_end_do_loop_statement_token1,
      aux_sym_format_statement_token1,
    ACTIONS(6347), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(6349), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [45378] = 18,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10086), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [45454] = 4,
    ACTIONS(10711), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10709), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10713), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45502] = 4,
    ACTIONS(10717), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10715), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10719), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45550] = 5,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4956), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10335), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10333), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45600] = 15,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10100), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45670] = 8,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10104), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45726] = 4,
    ACTIONS(10723), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10721), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10725), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [45774] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [45850] = 11,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45912] = 10,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45972] = 13,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10088), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46038] = 16,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [46110] = 15,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(10092), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46180] = 17,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [46254] = 13,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10096), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46320] = 9,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46378] = 4,
    ACTIONS(10729), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10727), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10731), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46426] = 4,
    ACTIONS(10735), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10733), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10737), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46474] = 4,
    ACTIONS(10741), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10739), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10743), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46522] = 6,
    ACTIONS(10745), 1,
      anon_sym_LPAREN2,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4956), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10272), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10270), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46574] = 4,
    ACTIONS(10750), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10748), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10752), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46622] = 4,
    ACTIONS(10756), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10758), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46670] = 4,
    ACTIONS(10762), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10760), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10764), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46718] = 4,
    ACTIONS(10768), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10766), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10770), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46766] = 4,
    ACTIONS(10774), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10772), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10776), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46814] = 4,
    ACTIONS(10780), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10778), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10782), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46862] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [46907] = 6,
    ACTIONS(10784), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4964), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10272), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10270), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [46958] = 11,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10084), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [47019] = 10,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10084), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [47078] = 13,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10088), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [47143] = 16,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10801), 1,
      aux_sym_logical_expression_token2,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 8,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [47214] = 15,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 9,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [47283] = 17,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10801), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10803), 1,
      aux_sym_logical_expression_token1,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 7,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [47356] = 13,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10096), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [47421] = 9,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10084), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [47478] = 18,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10801), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10803), 1,
      aux_sym_logical_expression_token1,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10086), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10805), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [47553] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47598] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47643] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10721), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10725), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47688] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10807), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10809), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47733] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10656), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10658), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47778] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47823] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10811), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10813), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47913] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [47958] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48003] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48048] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48093] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48138] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10815), 1,
      anon_sym_COMMA,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10837), 1,
      anon_sym_RBRACK,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7967), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [48223] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [48298] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10636), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10638), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48343] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10863), 1,
      anon_sym_RPAREN,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7968), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [48428] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10709), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10713), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48473] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48518] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48563] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10600), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10602), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48608] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48653] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10867), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10869), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48698] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10778), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10782), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48743] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10640), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10642), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48788] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [48833] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10871), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7495), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [48918] = 11,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48979] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10873), 1,
      anon_sym_COMMA,
    ACTIONS(10875), 1,
      anon_sym_RBRACK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7257), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [49064] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10877), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7258), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [49149] = 10,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49208] = 13,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10088), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49273] = 16,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [49344] = 15,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [49413] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10616), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10618), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [49458] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10628), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10630), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [49503] = 17,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [49576] = 13,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10096), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49641] = 11,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 23,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [49702] = 10,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 23,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [49761] = 13,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10088), 20,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [49826] = 9,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49883] = 18,
    ACTIONS(10086), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [49958] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10879), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10881), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50003] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10885), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50048] = 16,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 9,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [50119] = 15,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 10,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [50188] = 17,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 8,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [50261] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10644), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10646), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50306] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10887), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7420), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [50391] = 13,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10096), 20,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [50456] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10612), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10614), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50501] = 9,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 24,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [50558] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10889), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10891), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50603] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(9844), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10801), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10803), 1,
      aux_sym_logical_expression_token1,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10805), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [50680] = 18,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10086), 1,
      anon_sym_DOT,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [50755] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10596), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10598), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50800] = 6,
    ACTIONS(10893), 1,
      anon_sym_LPAREN2,
    STATE(2612), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5031), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10272), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10270), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50851] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10896), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10898), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50896] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10588), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10590), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50941] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10648), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10650), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [50986] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10592), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10594), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51031] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10580), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10582), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51076] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10624), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10626), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51121] = 5,
    STATE(2612), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5031), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10335), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10333), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [51170] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10900), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7341), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [51255] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10727), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10731), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51300] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10902), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10904), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51345] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10906), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7615), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [51430] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10908), 1,
      anon_sym_COMMA,
    ACTIONS(10910), 1,
      anon_sym_RBRACK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7340), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [51515] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10912), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7341), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [51600] = 8,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10104), 25,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [51655] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10914), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10916), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51700] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51745] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10918), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10920), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51790] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10652), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10654), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51835] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51880] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [51925] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10922), 1,
      anon_sym_COMMA,
    ACTIONS(10924), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7567), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52010] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10906), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7968), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52095] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [52140] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [52185] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [52230] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [52275] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10926), 1,
      anon_sym_COMMA,
    ACTIONS(10928), 1,
      anon_sym_RBRACK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7465), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52360] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10932), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5072), 1,
      aux_sym_call_expression_repeat1,
    STATE(5427), 1,
      sym_coarray_index,
    STATE(5490), 1,
      sym_argument_list,
    STATE(6916), 1,
      sym_cuda_kernel_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10930), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52445] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10082), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10801), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10803), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10938), 1,
      anon_sym_QMARK,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10805), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10080), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52526] = 8,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10104), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [52581] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    ACTIONS(10940), 1,
      anon_sym_COMMA,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    STATE(7195), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10942), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52664] = 15,
    ACTIONS(10102), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10100), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52733] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52808] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10944), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10946), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [52853] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    ACTIONS(10940), 1,
      anon_sym_COMMA,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    STATE(7163), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10948), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [52936] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [52981] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10632), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10634), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53026] = 8,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10104), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [53081] = 15,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_DOT,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10100), 10,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53150] = 15,
    ACTIONS(10060), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10791), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10795), 1,
      anon_sym_SLASH_SLASH,
    STATE(3534), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10102), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(10789), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10793), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10799), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10100), 9,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10797), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53219] = 5,
    STATE(3730), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4964), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10335), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10333), 27,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [53268] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10950), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7615), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53353] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10952), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10954), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53398] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10584), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10586), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53443] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10620), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10622), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53488] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10956), 1,
      anon_sym_COMMA,
    ACTIONS(10958), 1,
      anon_sym_RBRACK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7502), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53573] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10960), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7504), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53658] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10608), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10610), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53703] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53748] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    ACTIONS(10964), 1,
      anon_sym_RBRACK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7419), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53833] = 23,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    STATE(7420), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [53918] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [53963] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [54008] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10968), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10970), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [54053] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10604), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10606), 28,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [54098] = 15,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_DOT,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10100), 9,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54166] = 4,
    ACTIONS(10988), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [54212] = 11,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [54272] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10080), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54350] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10994), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54430] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10996), 1,
      anon_sym_COMMA,
    ACTIONS(10998), 1,
      anon_sym_RPAREN,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8474), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54512] = 9,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [54568] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11004), 1,
      anon_sym_COMMA,
    ACTIONS(11006), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8356), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54650] = 10,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [54708] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10050), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54786] = 15,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10102), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10100), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54854] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11020), 1,
      anon_sym_COMMA,
    ACTIONS(11022), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8504), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [54936] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11024), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11026), 1,
      aux_sym_logical_expression_token2,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11028), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 5,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55010] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11030), 1,
      anon_sym_COMMA,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11042), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11052), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(11054), 1,
      anon_sym_LBRACK,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    STATE(7253), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11046), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55092] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11058), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55172] = 13,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10088), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [55236] = 5,
    ACTIONS(11060), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(11062), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5110), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [55284] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11064), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55364] = 4,
    ACTIONS(11068), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [55410] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11024), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11026), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_QMARK,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11028), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10080), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55488] = 4,
    ACTIONS(11078), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [55534] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [55578] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10998), 1,
      anon_sym_RPAREN,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11004), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8356), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55660] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [55704] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11082), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55782] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5110), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [55826] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11086), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11084), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [55906] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5132), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [55950] = 4,
    ACTIONS(11090), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [55996] = 4,
    ACTIONS(11096), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [56042] = 4,
    ACTIONS(11102), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [56088] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_RBRACK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(7826), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56170] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5156), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [56214] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11110), 1,
      anon_sym_COMMA,
    ACTIONS(11112), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8495), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56296] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7539), 1,
      anon_sym_COLON,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56376] = 8,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10104), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [56430] = 4,
    ACTIONS(11116), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [56476] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7801), 1,
      anon_sym_COLON,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56556] = 4,
    ACTIONS(11122), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [56602] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(9844), 1,
      anon_sym_EQ,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56678] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10825), 1,
      anon_sym_COLON,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56758] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    ACTIONS(11134), 1,
      anon_sym_COMMA,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11136), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56838] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_COMMA,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7991), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [56918] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11052), 1,
      anon_sym_RBRACK,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8057), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57000] = 8,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10104), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57054] = 11,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10084), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57114] = 10,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10084), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57172] = 8,
    ACTIONS(11138), 1,
      anon_sym_LPAREN2,
    STATE(839), 1,
      sym__end_of_statement,
    STATE(3730), 1,
      sym__argument_list,
    STATE(7776), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11141), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57226] = 4,
    ACTIONS(11145), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [57272] = 13,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10088), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57336] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57380] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57424] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57468] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5110), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57512] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5132), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57556] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5156), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57600] = 16,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57670] = 15,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 9,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57738] = 15,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57806] = 17,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10094), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57878] = 17,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11024), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11026), 1,
      aux_sym_logical_expression_token2,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 7,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [57950] = 4,
    ACTIONS(11151), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [57996] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 33,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_select_case_statement_token2,
  [58040] = 4,
    ACTIONS(11157), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [58086] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    ACTIONS(11161), 1,
      anon_sym_COMMA,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11163), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58166] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11165), 1,
      anon_sym_GT_GT_GT,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(8018), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58248] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11169), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11167), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58328] = 13,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10096), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58392] = 9,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10084), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58448] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(10865), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11171), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58528] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11175), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11173), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58608] = 13,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10096), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58672] = 18,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10086), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58746] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11177), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58824] = 4,
    ACTIONS(11181), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [58870] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11082), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT_GT,
      anon_sym_RBRACK,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [58948] = 18,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10086), 1,
      anon_sym_DOT,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11024), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11026), 1,
      aux_sym_logical_expression_token2,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11028), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 5,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59022] = 22,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11030), 1,
      anon_sym_COMMA,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11042), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11054), 1,
      anon_sym_LBRACK,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    ACTIONS(11108), 1,
      anon_sym_SLASH_RPAREN,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    STATE(7339), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11046), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59104] = 16,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(10976), 1,
      anon_sym_PERCENT,
    ACTIONS(10982), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10984), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11026), 1,
      aux_sym_logical_expression_token2,
    STATE(3692), 1,
      sym_user_defined_operator,
    STATE(5497), 1,
      sym_coarray_index,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10974), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10980), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5284), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 8,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10978), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59174] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11185), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59251] = 5,
    ACTIONS(11187), 1,
      anon_sym_COMMA,
    STATE(5184), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10685), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10687), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [59298] = 11,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [59357] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [59400] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [59443] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [59486] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11197), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59563] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11199), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59640] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11042), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11054), 1,
      anon_sym_LBRACK,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11046), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11082), 2,
      anon_sym_COMMA,
      anon_sym_SLASH_RPAREN,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [59717] = 10,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 21,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [59774] = 6,
    ACTIONS(11203), 1,
      aux_sym_block_data_statement_token2,
    STATE(285), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11201), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [59823] = 5,
    ACTIONS(11187), 1,
      anon_sym_COMMA,
    STATE(5184), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10672), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [59870] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [59913] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [59956] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [59999] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11205), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60076] = 13,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10090), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10088), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [60139] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60182] = 5,
    ACTIONS(11207), 1,
      anon_sym_COMMA,
    STATE(5184), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10660), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10662), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [60229] = 16,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 7,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60298] = 10,
    ACTIONS(11210), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11214), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(11216), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(11218), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(11220), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4516), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11222), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3996), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(11212), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [60355] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60398] = 8,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10106), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10104), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [60451] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60494] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11228), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60571] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60614] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60657] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60700] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60743] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [60786] = 15,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 8,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60853] = 17,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(10094), 1,
      anon_sym_DOT,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11042), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10092), 6,
      anon_sym_COMMA,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [60924] = 13,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10098), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10096), 18,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [60987] = 10,
    ACTIONS(11210), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11214), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(11216), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(11218), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(11220), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4516), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11222), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(4488), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(11212), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [61044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61087] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61130] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61173] = 9,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10086), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10084), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [61228] = 18,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(10086), 1,
      anon_sym_DOT,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11042), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11046), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10084), 4,
      anon_sym_COMMA,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [61301] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11136), 1,
      anon_sym_RPAREN,
    ACTIONS(11242), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [61380] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61423] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61466] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61509] = 5,
    ACTIONS(11187), 1,
      anon_sym_COMMA,
    STATE(5177), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [61556] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61599] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61642] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11248), 1,
      anon_sym_RPAREN,
    ACTIONS(11250), 1,
      anon_sym_EQ_GT,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [61721] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61764] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11252), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [61841] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61884] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [61927] = 5,
    ACTIONS(11187), 1,
      anon_sym_COMMA,
    STATE(5218), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10664), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10668), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [61974] = 5,
    ACTIONS(11187), 1,
      anon_sym_COMMA,
    STATE(5184), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [62021] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62107] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11258), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62184] = 15,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(10102), 1,
      anon_sym_DOT,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10100), 8,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62251] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62294] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62380] = 21,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11272), 1,
      anon_sym_EQ,
    ACTIONS(11274), 1,
      anon_sym_EQ_GT,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62459] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11278), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62536] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11280), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62613] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11282), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62690] = 18,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8309), 1,
      anon_sym_LPAREN2,
    ACTIONS(11036), 1,
      anon_sym_PERCENT,
    ACTIONS(11042), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11044), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11048), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11050), 1,
      anon_sym_STAR_STAR,
    STATE(3711), 1,
      sym_user_defined_operator,
    STATE(3741), 1,
      sym__argument_list,
    STATE(5837), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11032), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11034), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11040), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11046), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5349), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9842), 4,
      anon_sym_COMMA,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(11038), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62763] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62806] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11173), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [62883] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11288), 4,
      aux_sym__import_names_token1,
      aux_sym_coarray_statement_token3,
      aux_sym_coarray_statement_token4,
      aux_sym_coarray_statement_token5,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [62928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [62971] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63048] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11296), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63125] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63168] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11298), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63245] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63288] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11304), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63365] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11306), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63442] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63485] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63562] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63648] = 5,
    ACTIONS(11187), 1,
      anon_sym_COMMA,
    STATE(5167), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10681), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10683), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [63695] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63738] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63781] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [63824] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11318), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63901] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10851), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10853), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10936), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5427), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10855), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11320), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [63978] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [64021] = 10,
    ACTIONS(11210), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11214), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(11216), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(11218), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(11220), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4516), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11222), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3990), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(11212), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [64078] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [64121] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [64164] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [64207] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(11322), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64284] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64361] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7909), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64409] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7957), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64457] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11324), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64533] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7871), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64581] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11326), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64657] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11306), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64733] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7873), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64781] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11328), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [64857] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7876), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64905] = 5,
    STATE(285), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11201), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64951] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7879), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [64999] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7884), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65047] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7789), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65095] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7886), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65143] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7888), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65191] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10998), 1,
      anon_sym_RPAREN,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65267] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7891), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65315] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7896), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65363] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7899), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65411] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7903), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65459] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7905), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65507] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7907), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65555] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11330), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65631] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7911), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65679] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7803), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65727] = 5,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5301), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10335), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10333), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [65773] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11006), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65849] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10660), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10662), 31,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [65891] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11332), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [65967] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7450), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66015] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    ACTIONS(11334), 1,
      anon_sym_COMMA,
    ACTIONS(11336), 1,
      anon_sym_LPAREN2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66091] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10104), 1,
      anon_sym_RPAREN,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66167] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    ACTIONS(11338), 1,
      anon_sym_COMMA,
    ACTIONS(11340), 1,
      anon_sym_LPAREN2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66243] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7834), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66291] = 5,
    ACTIONS(11342), 1,
      anon_sym__,
    STATE(5429), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6347), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6349), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66337] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7621), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66385] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7859), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66433] = 5,
    ACTIONS(11342), 1,
      anon_sym__,
    STATE(5388), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9707), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9705), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66479] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7714), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66527] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7847), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66575] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11320), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66651] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11344), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66727] = 6,
    ACTIONS(10274), 1,
      anon_sym_LPAREN2,
    STATE(5538), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5301), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10272), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10270), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66775] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11346), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66851] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11272), 1,
      anon_sym_EQ,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [66927] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7772), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [66975] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7372), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67023] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [67065] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5078), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [67107] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7853), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67155] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11348), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67231] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5082), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [67273] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5110), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [67315] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11350), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67391] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67467] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5132), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [67509] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11352), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67585] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7573), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67633] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11354), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67709] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    ACTIONS(11356), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67785] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5156), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [67827] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    ACTIONS(11358), 1,
      anon_sym_RPAREN,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [67903] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7855), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67951] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7927), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67999] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11360), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68075] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7666), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68123] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11362), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68199] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11364), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68275] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7857), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68323] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(10827), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10829), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10833), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10839), 1,
      anon_sym_QMARK,
    ACTIONS(11366), 1,
      anon_sym_COLON,
    STATE(3552), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    STATE(4801), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10819), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10823), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10831), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4940), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10821), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68399] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(11018), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11126), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(11128), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(11276), 1,
      anon_sym_QMARK,
    ACTIONS(11368), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3676), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(11014), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11130), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(11012), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [68475] = 6,
    ACTIONS(11370), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11372), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(11374), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5156), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68523] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [68564] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10914), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10916), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [68605] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(8415), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68652] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [68693] = 6,
    ACTIONS(9709), 1,
      anon_sym__,
    STATE(4711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6345), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6347), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6349), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68740] = 5,
    ACTIONS(9709), 1,
      anon_sym__,
    STATE(5541), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6347), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(6349), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68785] = 5,
    ACTIONS(11060), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(11062), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5110), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68830] = 5,
    ACTIONS(11376), 1,
      anon_sym__,
    STATE(5549), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6347), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6349), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68875] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10676), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [68916] = 5,
    ACTIONS(11376), 1,
      anon_sym__,
    STATE(5496), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9707), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9705), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68961] = 5,
    ACTIONS(11378), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(11380), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69006] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69047] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69088] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69129] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69170] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10944), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10946), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69211] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11382), 2,
      aux_sym_coarray_statement_token9,
      aux_sym_coarray_statement_token10,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69254] = 6,
    ACTIONS(11384), 1,
      anon_sym_LPAREN2,
    STATE(3741), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5348), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10272), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10270), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69301] = 5,
    STATE(3741), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5348), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10335), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10333), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69346] = 4,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [69389] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(5038), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [69462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69503] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69544] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69585] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69626] = 5,
    ACTIONS(11378), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(11389), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69671] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69712] = 19,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10845), 1,
      anon_sym_PERCENT,
    ACTIONS(10857), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10859), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(3625), 1,
      sym_user_defined_operator,
    STATE(3730), 1,
      sym__argument_list,
    STATE(4783), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10841), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10843), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(5072), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [69785] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69826] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69867] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(4008), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69914] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [69955] = 20,
    ACTIONS(173), 1,
      anon_sym_DOT,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(10693), 1,
      anon_sym_PERCENT,
    ACTIONS(10699), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10701), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10705), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10707), 1,
      anon_sym_STAR_STAR,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_QMARK,
    STATE(2612), 1,
      sym__argument_list,
    STATE(3545), 1,
      sym_user_defined_operator,
    STATE(5038), 1,
      aux_sym_call_expression_repeat1,
    STATE(5669), 1,
      sym_argument_list,
    STATE(5670), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10691), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10697), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10703), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10695), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [70030] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [70071] = 6,
    ACTIONS(9709), 1,
      anon_sym__,
    STATE(4711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(6347), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6349), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70118] = 5,
    ACTIONS(11391), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(11393), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5110), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70163] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 30,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      anon_sym_SEMI,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [70204] = 4,
    ACTIONS(11395), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70246] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9858), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9856), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70286] = 4,
    ACTIONS(11397), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70328] = 4,
    ACTIONS(11399), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70370] = 5,
    ACTIONS(11401), 1,
      anon_sym_LPAREN2,
    STATE(3004), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70414] = 4,
    ACTIONS(11403), 1,
      aux_sym_coarray_statement_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70456] = 4,
    ACTIONS(11378), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70498] = 5,
    ACTIONS(11405), 1,
      anon_sym_LPAREN2,
    STATE(933), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70542] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9956), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9954), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70582] = 4,
    ACTIONS(11407), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [70624] = 4,
    ACTIONS(11409), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 25,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70666] = 4,
    ACTIONS(11411), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [70708] = 4,
    ACTIONS(11413), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70750] = 4,
    ACTIONS(11415), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70792] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9980), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70832] = 4,
    ACTIONS(11417), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [70874] = 4,
    ACTIONS(11419), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [70916] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9882), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9880), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [70956] = 5,
    ACTIONS(11401), 1,
      anon_sym_LPAREN2,
    STATE(3316), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71000] = 4,
    ACTIONS(11421), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [71042] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9920), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9918), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71082] = 5,
    ACTIONS(11423), 1,
      anon_sym_LPAREN2,
    STATE(9204), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71126] = 4,
    ACTIONS(11426), 1,
      aux_sym_stop_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71168] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11428), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9886), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71210] = 4,
    ACTIONS(11430), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [71252] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9908), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9906), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71292] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9902), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9900), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71332] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9802), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9800), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71372] = 4,
    ACTIONS(11432), 1,
      aux_sym_keyword_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5132), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71414] = 5,
    ACTIONS(11060), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(11062), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5110), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71458] = 4,
    ACTIONS(11434), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [71500] = 7,
    ACTIONS(11436), 1,
      anon_sym_COMMA,
    ACTIONS(11438), 1,
      anon_sym_RPAREN,
    ACTIONS(11440), 1,
      anon_sym_COLON_COLON,
    STATE(7329), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71548] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7285), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71594] = 4,
    ACTIONS(11389), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71636] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7121), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7119), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71676] = 4,
    ACTIONS(11442), 1,
      aux_sym_coarray_critical_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71718] = 4,
    ACTIONS(11444), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71760] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(8076), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71806] = 6,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7710), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71852] = 4,
    ACTIONS(11446), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [71894] = 4,
    ACTIONS(11448), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [71936] = 4,
    ACTIONS(11450), 1,
      aux_sym_block_data_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [71978] = 4,
    ACTIONS(11380), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5078), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72020] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7111), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7109), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72060] = 4,
    ACTIONS(11452), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [72102] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9868), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9866), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72142] = 4,
    ACTIONS(11454), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [72184] = 5,
    ACTIONS(11456), 1,
      anon_sym__,
    STATE(5685), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6347), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6349), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72228] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72268] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7133), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7131), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72308] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7129), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7127), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72348] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9898), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9896), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72388] = 4,
    ACTIONS(11458), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [72430] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9836), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72470] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9988), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9986), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72510] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9836), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72550] = 5,
    ACTIONS(11456), 1,
      anon_sym__,
    STATE(5835), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9707), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9705), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72594] = 5,
    ACTIONS(11401), 1,
      anon_sym_LPAREN2,
    STATE(3301), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9844), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9842), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72678] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9964), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9962), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72718] = 5,
    ACTIONS(11460), 1,
      anon_sym_LPAREN2,
    STATE(928), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72762] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9814), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9812), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72802] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9930), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9928), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72842] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7125), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7123), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72882] = 4,
    ACTIONS(11462), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [72923] = 4,
    ACTIONS(11464), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [72964] = 4,
    ACTIONS(11466), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73005] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73083] = 17,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11468), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11476), 1,
      sym_preproc_comment,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5642), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9253), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [73150] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73189] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73228] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73267] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73306] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73345] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73384] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73423] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73501] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73540] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73618] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73657] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73696] = 4,
    ACTIONS(11478), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73737] = 4,
    ACTIONS(11480), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73778] = 4,
    ACTIONS(11482), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73819] = 5,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [73862] = 7,
    ACTIONS(11486), 1,
      anon_sym_COMMA,
    ACTIONS(11488), 1,
      anon_sym_SLASH,
    STATE(3794), 1,
      sym_data_value,
    STATE(7187), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [73909] = 5,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [73952] = 4,
    ACTIONS(11490), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [73993] = 4,
    ACTIONS(11492), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74034] = 4,
    ACTIONS(11494), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74075] = 4,
    ACTIONS(11496), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74116] = 4,
    ACTIONS(11498), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74157] = 4,
    ACTIONS(11500), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74198] = 4,
    ACTIONS(11502), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74239] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11484), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [74280] = 4,
    ACTIONS(11504), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74321] = 6,
    ACTIONS(6743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6745), 1,
      anon_sym_LPAREN2,
    ACTIONS(6748), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [74366] = 4,
    ACTIONS(11506), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74407] = 4,
    ACTIONS(11508), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74448] = 4,
    ACTIONS(11510), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74489] = 4,
    ACTIONS(11512), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74530] = 4,
    ACTIONS(11514), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74571] = 4,
    ACTIONS(11516), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74612] = 4,
    ACTIONS(11518), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74653] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74692] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74731] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74770] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74809] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74848] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74887] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74926] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [74965] = 4,
    ACTIONS(11520), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75006] = 4,
    ACTIONS(11522), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75047] = 4,
    ACTIONS(11524), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75088] = 4,
    ACTIONS(11526), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75129] = 4,
    ACTIONS(11528), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75170] = 4,
    ACTIONS(11530), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75211] = 4,
    ACTIONS(11532), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75252] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11538), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(11536), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(11534), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75293] = 4,
    ACTIONS(11540), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75334] = 4,
    ACTIONS(9894), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75375] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75414] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9836), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9836), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75492] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9920), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9918), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75531] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9964), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9962), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75570] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9930), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9928), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75609] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9956), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9954), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75648] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9980), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75687] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9858), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9856), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75726] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9902), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9900), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75765] = 4,
    ACTIONS(11542), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75806] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9868), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9866), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75845] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9898), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9896), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75884] = 4,
    ACTIONS(11544), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [75925] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9844), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9842), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [75964] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9988), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9986), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [76003] = 4,
    ACTIONS(11546), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76044] = 4,
    ACTIONS(11548), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76085] = 4,
    ACTIONS(11550), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76126] = 4,
    ACTIONS(11552), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76167] = 4,
    ACTIONS(11554), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76208] = 4,
    ACTIONS(11556), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76249] = 4,
    ACTIONS(11558), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76290] = 4,
    ACTIONS(11560), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76331] = 4,
    ACTIONS(11562), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76372] = 4,
    ACTIONS(11564), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76413] = 4,
    ACTIONS(11566), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76454] = 4,
    ACTIONS(11568), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [76495] = 4,
    ACTIONS(11570), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76536] = 4,
    ACTIONS(11572), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76577] = 4,
    ACTIONS(11574), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76618] = 5,
    ACTIONS(6748), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6745), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(5080), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [76661] = 6,
    ACTIONS(11436), 1,
      anon_sym_COMMA,
    ACTIONS(11438), 1,
      anon_sym_RPAREN,
    STATE(7328), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [76706] = 4,
    ACTIONS(11576), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76747] = 4,
    ACTIONS(11578), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76788] = 4,
    ACTIONS(11580), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76829] = 4,
    ACTIONS(11582), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76870] = 4,
    ACTIONS(11584), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76911] = 4,
    ACTIONS(11586), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76952] = 4,
    ACTIONS(11588), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [76993] = 4,
    ACTIONS(11590), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77034] = 4,
    ACTIONS(11592), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77075] = 4,
    ACTIONS(11594), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77116] = 4,
    ACTIONS(11596), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77157] = 4,
    ACTIONS(11598), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77198] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7137), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7135), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77237] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8283), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8285), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77276] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7125), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7123), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77315] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9814), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9812), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77354] = 4,
    ACTIONS(11600), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77395] = 4,
    ACTIONS(11602), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77436] = 4,
    ACTIONS(11604), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77477] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7133), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7131), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77516] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7111), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7109), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77555] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7121), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7119), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77594] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7129), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7127), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77633] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9814), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9812), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77672] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9802), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9800), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [77711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77750] = 4,
    ACTIONS(11606), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77791] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77830] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77869] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77908] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [77986] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78025] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78142] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78181] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78220] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78259] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78298] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78376] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78415] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78454] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78493] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78532] = 6,
    ACTIONS(6743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6745), 1,
      anon_sym_LPAREN2,
    ACTIONS(6748), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [78577] = 4,
    ACTIONS(9894), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 24,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [78618] = 4,
    ACTIONS(11608), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11120), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11124), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78659] = 4,
    ACTIONS(11610), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11066), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11070), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78700] = 4,
    ACTIONS(11612), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78741] = 4,
    ACTIONS(11614), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11100), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11104), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78782] = 17,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11618), 1,
      sym_preproc_comment,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5754), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9187), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [78849] = 4,
    ACTIONS(11620), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10986), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10990), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78890] = 4,
    ACTIONS(11622), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78931] = 4,
    ACTIONS(11624), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11155), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11159), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [78972] = 4,
    ACTIONS(11626), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79013] = 4,
    ACTIONS(11628), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79054] = 4,
    ACTIONS(11630), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79095] = 4,
    ACTIONS(11632), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11094), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11098), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79136] = 4,
    ACTIONS(11634), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11114), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11118), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79177] = 6,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(11638), 1,
      anon_sym_RPAREN,
    STATE(8005), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79222] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9882), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9880), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79261] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9908), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9906), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79300] = 5,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(11484), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79343] = 6,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(7572), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79388] = 5,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11644), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79431] = 4,
    ACTIONS(11646), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11143), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11147), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79472] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79510] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79548] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9868), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9866), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79586] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9898), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9896), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79624] = 4,
    ACTIONS(8209), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79664] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79702] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79740] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79778] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79816] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79892] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79930] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [79968] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80006] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80082] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80120] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80196] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80234] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80348] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80424] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80500] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80576] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80614] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80652] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80690] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80728] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80766] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80804] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80842] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80880] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80918] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [80956] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9844), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9842), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80994] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81032] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81070] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81108] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81146] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81184] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11648), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9212), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [81248] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11650), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5745), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9217), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [81312] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11652), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5746), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9255), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [81376] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11652), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9255), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [81440] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9988), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9986), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81478] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11654), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81518] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81556] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81594] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81632] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81670] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81708] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81746] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81784] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81822] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11656), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9241), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [81886] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11656), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5639), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9241), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [81950] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [81988] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82026] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82102] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82140] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82178] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82216] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82254] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82292] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82330] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82368] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82406] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82444] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82482] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11658), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(11536), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(11534), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
  [82522] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9964), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9962), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [82562] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82600] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82676] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82714] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82752] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82790] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82828] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [82868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82906] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82944] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [82982] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83020] = 4,
    ACTIONS(11664), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [83060] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [83100] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9814), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9812), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [83138] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83176] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83214] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9802), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9800), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [83252] = 6,
    ACTIONS(11666), 1,
      anon_sym_COMMA,
    ACTIONS(11668), 1,
      anon_sym_SLASH,
    STATE(7802), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [83296] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83334] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83372] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83410] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83448] = 7,
    ACTIONS(11666), 1,
      anon_sym_COMMA,
    ACTIONS(11668), 1,
      anon_sym_SLASH,
    ACTIONS(11671), 1,
      anon_sym_STAR,
    STATE(7809), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [83494] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83532] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83570] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83608] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83646] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83684] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83722] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83760] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83798] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83836] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83874] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83912] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83950] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83988] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84026] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84064] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84102] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84140] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84178] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84216] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84254] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84292] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84330] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84368] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84406] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84444] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11673), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5653), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9161), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [84508] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84546] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84584] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84622] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84660] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84698] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84736] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84774] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84812] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84850] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84888] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11675), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5771), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9292), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [84952] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84990] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85028] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85066] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85104] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85142] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11677), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5804), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8610), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [85206] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85244] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85282] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85320] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85358] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85396] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85434] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85472] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11679), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8627), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [85536] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11681), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8629), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [85600] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85676] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85714] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85752] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85790] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9882), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9880), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [85828] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [85866] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11675), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9292), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [85930] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9908), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9906), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [85968] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8283), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8285), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86006] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86082] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86120] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86196] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86234] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86348] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86424] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86500] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86538] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11683), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(9264), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [86602] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86640] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86678] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86716] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86754] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86792] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86830] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86906] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86944] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [86982] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87020] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87058] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87096] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87134] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87172] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87210] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87248] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87286] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87324] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87362] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87400] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87438] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87476] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87514] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87552] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87590] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87628] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87666] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87704] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87742] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87780] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87818] = 16,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11470), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11685), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(11474), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8859), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [87882] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87920] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87958] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87996] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88034] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88072] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88110] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88148] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88186] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88262] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88300] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88338] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88376] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88414] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88452] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88490] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88528] = 4,
    ACTIONS(11687), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88568] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88606] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88644] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88682] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88720] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88758] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88796] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88834] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9836), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88910] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9838), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9836), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88948] = 4,
    ACTIONS(11484), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [88988] = 4,
    ACTIONS(11689), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89028] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9920), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9918), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89066] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89104] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9964), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9962), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89142] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5254), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89180] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5266), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89218] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5270), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89256] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5274), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89294] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5278), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89332] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11314), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11316), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89370] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89410] = 10,
    ACTIONS(10054), 1,
      anon_sym_LPAREN2,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    STATE(4801), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8729), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8723), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [89462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5282), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89500] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11310), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11312), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11300), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11302), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89576] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89616] = 4,
    ACTIONS(8209), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [89656] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5286), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89694] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11088), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11092), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89732] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5290), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89770] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11262), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89808] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11268), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11270), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89846] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11284), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11286), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89884] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9930), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9928), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89922] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11179), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11183), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89960] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9956), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9954), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [89998] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9982), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9980), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90036] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11076), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11080), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90074] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11193), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11195), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90112] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11238), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11240), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90150] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11290), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11292), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90188] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11189), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11191), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90226] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11149), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11153), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90264] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11234), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11236), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90302] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11244), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11246), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90340] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9858), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9856), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90378] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11224), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11226), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90416] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11230), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11232), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90454] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9902), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9900), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [90492] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11254), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11256), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90530] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11264), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11266), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90568] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [90606] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5078), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [90644] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5082), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [90682] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5132), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [90720] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 6,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5156), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
  [90758] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90796] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90834] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90910] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90948] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90986] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91024] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91062] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91100] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91138] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91176] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91214] = 4,
    ACTIONS(11654), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [91254] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91292] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91330] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91368] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91406] = 4,
    ACTIONS(11693), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [91446] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5388), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5390), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91484] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5168), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5170), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91522] = 4,
    ACTIONS(11696), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [91562] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5324), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5326), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91600] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5336), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5338), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91638] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5232), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5234), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91676] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5436), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5438), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91714] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5228), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5230), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91752] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5292), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5294), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91790] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5304), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5306), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91828] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5312), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5314), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91866] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5328), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5330), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91904] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5332), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5334), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91942] = 4,
    ACTIONS(11699), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [91982] = 4,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92022] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5220), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5222), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92060] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5248), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5250), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92098] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5260), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5262), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92136] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5296), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5298), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [92174] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11644), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92214] = 6,
    ACTIONS(11666), 1,
      anon_sym_COMMA,
    ACTIONS(11705), 1,
      anon_sym_SLASH,
    STATE(7358), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92258] = 4,
    ACTIONS(11710), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11708), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11712), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92297] = 4,
    ACTIONS(11714), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92336] = 4,
    ACTIONS(11718), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11716), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11720), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92375] = 5,
    ACTIONS(11722), 1,
      anon_sym_COMMA,
    ACTIONS(11724), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92416] = 4,
    ACTIONS(11729), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11727), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11731), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92455] = 4,
    ACTIONS(11735), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11733), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11737), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92494] = 4,
    ACTIONS(11741), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11743), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92533] = 4,
    ACTIONS(11745), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92572] = 4,
    ACTIONS(11749), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11747), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11751), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92611] = 4,
    ACTIONS(11755), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11753), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11757), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92650] = 5,
    ACTIONS(11759), 1,
      anon_sym_COMMA,
    ACTIONS(11761), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92691] = 6,
    ACTIONS(11759), 1,
      anon_sym_COMMA,
    ACTIONS(11761), 1,
      anon_sym_SLASH,
    ACTIONS(11764), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92734] = 4,
    ACTIONS(11766), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92773] = 4,
    ACTIONS(11770), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11768), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11772), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92812] = 4,
    ACTIONS(11774), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92851] = 5,
    ACTIONS(11776), 1,
      anon_sym_COMMA,
    ACTIONS(11778), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92892] = 4,
    ACTIONS(11783), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11781), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11785), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92931] = 4,
    ACTIONS(11789), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11787), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11791), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [92970] = 4,
    ACTIONS(11795), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11793), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11797), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93009] = 4,
    ACTIONS(11801), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11799), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11803), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93048] = 4,
    ACTIONS(11805), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93087] = 4,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93126] = 4,
    ACTIONS(11809), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9886), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9884), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93165] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5770), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5772), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93201] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11811), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11813), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93237] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11815), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11817), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93273] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11819), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11821), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93309] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11727), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11731), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93345] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11823), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11825), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93381] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11827), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11829), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93417] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11831), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11833), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11835), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11837), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93489] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11839), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11841), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93525] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10543), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10548), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93561] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11793), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11797), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93597] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5774), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5776), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93633] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11743), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93669] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5778), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5780), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93705] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5252), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5254), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93741] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11843), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11845), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93777] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5264), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5266), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93813] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5268), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5270), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93849] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5272), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5274), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93885] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5278), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93921] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11847), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11849), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93957] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5280), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5282), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [93993] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5284), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5286), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94029] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11851), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11853), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94065] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11855), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11857), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94101] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11859), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11861), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94137] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11863), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11865), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94173] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11867), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11869), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94209] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5288), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5290), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94245] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11871), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11873), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94281] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11875), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11877), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94317] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11879), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11881), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94353] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11883), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11885), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94389] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11887), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11889), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94425] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11891), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11893), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94461] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5738), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5740), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94497] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5742), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5744), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94533] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11895), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11897), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94569] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5612), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5614), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5750), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5752), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94641] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11899), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11901), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94677] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5766), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5768), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94713] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11787), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11791), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [94749] = 13,
    ACTIONS(11905), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11907), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(11910), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11916), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11919), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11922), 1,
      aux_sym_derived_type_token1,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11925), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    ACTIONS(11903), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(11913), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [94804] = 13,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11928), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(11930), 1,
      aux_sym_function_statement_token1,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5989), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 6,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [94859] = 14,
    ACTIONS(9613), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9615), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9621), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9623), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9625), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11928), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(11930), 1,
      aux_sym_function_statement_token1,
    ACTIONS(11932), 1,
      aux_sym_module_statement_token1,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5989), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9627), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(9619), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [94916] = 12,
    ACTIONS(11939), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(11942), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11948), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11951), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(11954), 1,
      aux_sym_derived_type_token1,
    STATE(5996), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11937), 2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
    STATE(6034), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5989), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(11934), 6,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(11945), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [94969] = 18,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    STATE(4219), 1,
      sym__class_default,
    STATE(7382), 1,
      sym_statement_label,
    STATE(8393), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5999), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [95033] = 5,
    ACTIONS(11983), 1,
      anon_sym_LPAREN2,
    ACTIONS(11985), 1,
      aux_sym_kind_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8839), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8835), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95071] = 18,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    STATE(4219), 1,
      sym__class_default,
    STATE(8055), 1,
      sym_statement_label,
    STATE(8439), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5999), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [95135] = 18,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    STATE(4219), 1,
      sym__class_default,
    STATE(8079), 1,
      sym_statement_label,
    STATE(8458), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5999), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [95199] = 5,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    STATE(6000), 1,
      sym_character_length,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8833), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8831), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95237] = 18,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    STATE(4219), 1,
      sym__class_default,
    STATE(8091), 1,
      sym_statement_label,
    STATE(8470), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5999), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [95301] = 7,
    ACTIONS(8313), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10787), 1,
      anon_sym_LPAREN2,
    ACTIONS(11987), 1,
      anon_sym_STAR,
    STATE(6060), 1,
      sym_kind,
    STATE(6062), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8307), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95342] = 5,
    ACTIONS(10076), 1,
      anon_sym_LBRACK,
    STATE(6014), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8729), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8723), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [95379] = 4,
    ACTIONS(11989), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8870), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8866), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95414] = 15,
    ACTIONS(11991), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11994), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11997), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12003), 1,
      sym_preproc_directive,
    ACTIONS(12006), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12008), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12011), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12016), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12019), 1,
      aux_sym_type_statement_token3,
    ACTIONS(12022), 1,
      aux_sym__class_default_token1,
    STATE(4219), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12000), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(12014), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5999), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [95470] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8878), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8876), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95502] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8890), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8888), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95534] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8874), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8872), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95566] = 13,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(12025), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12027), 1,
      sym_preproc_comment,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6011), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [95618] = 7,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    ACTIONS(12035), 1,
      anon_sym_EQ,
    ACTIONS(12037), 1,
      anon_sym_EQ_GT,
    STATE(6025), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12033), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12031), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [95658] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8896), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8894), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [95690] = 3,
    ACTIONS(8325), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8323), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95721] = 3,
    ACTIONS(8321), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8319), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95752] = 3,
    ACTIONS(8317), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8315), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95783] = 12,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(12039), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6010), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [95832] = 12,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(12041), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [95881] = 12,
    ACTIONS(783), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10448), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10452), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10464), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10466), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(12039), 1,
      aux_sym_preproc_if_token2,
    STATE(4089), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10468), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5986), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(4021), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10462), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [95930] = 5,
    ACTIONS(12035), 1,
      anon_sym_EQ,
    ACTIONS(12037), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12045), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12043), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [95965] = 12,
    ACTIONS(12047), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12051), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12055), 1,
      aux_sym_private_statement_token1,
    ACTIONS(12057), 1,
      aux_sym_public_statement_token1,
    ACTIONS(12059), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(12061), 1,
      aux_sym_include_statement_token1,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12049), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(6015), 7,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_derived_type_procedures_repeat1,
  [96014] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8998), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8996), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96045] = 12,
    ACTIONS(12047), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12055), 1,
      aux_sym_private_statement_token1,
    ACTIONS(12057), 1,
      aux_sym_public_statement_token1,
    ACTIONS(12061), 1,
      aux_sym_include_statement_token1,
    ACTIONS(12063), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12065), 1,
      aux_sym_end_type_statement_token1,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12049), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(6016), 7,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_derived_type_procedures_repeat1,
  [96094] = 12,
    ACTIONS(12067), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12073), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12075), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12081), 1,
      aux_sym_private_statement_token1,
    ACTIONS(12084), 1,
      aux_sym_public_statement_token1,
    ACTIONS(12087), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(12089), 1,
      aux_sym_include_statement_token1,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12070), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(12078), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(6016), 7,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      sym_include_statement,
      aux_sym_derived_type_procedures_repeat1,
  [96143] = 3,
    ACTIONS(6751), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6743), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96174] = 5,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    STATE(6026), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12094), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12092), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12098), 1,
      anon_sym_LPAREN2,
    STATE(6171), 1,
      sym_preproc_argument_list,
    ACTIONS(12100), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12096), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96242] = 5,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    STATE(6027), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12094), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12092), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96276] = 4,
    ACTIONS(8447), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(12104), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12102), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96308] = 4,
    ACTIONS(8447), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(12106), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12102), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym__,
    STATE(6097), 1,
      sym__kind,
    ACTIONS(6347), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6349), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96374] = 5,
    ACTIONS(12110), 1,
      anon_sym_COMMA,
    STATE(6024), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12115), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12113), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96408] = 5,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    STATE(6024), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12119), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12117), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96442] = 5,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    STATE(6024), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12123), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12121), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96476] = 5,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    STATE(6024), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12123), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12121), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_LF,
    ACTIONS(12125), 1,
      anon_sym_LPAREN2,
    STATE(6174), 1,
      sym_preproc_argument_list,
    ACTIONS(12100), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_LF,
    ACTIONS(12127), 1,
      anon_sym__,
    STATE(6134), 1,
      sym__kind,
    ACTIONS(6347), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96578] = 4,
    ACTIONS(8447), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(12129), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12102), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96610] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5082), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_LF,
    ACTIONS(12131), 1,
      anon_sym_LPAREN2,
    STATE(6246), 1,
      sym_preproc_argument_list,
    ACTIONS(12100), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96672] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    STATE(4219), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5992), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [96721] = 3,
    ACTIONS(8303), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12133), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96750] = 3,
    ACTIONS(12137), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12135), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_LF,
    ACTIONS(5080), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [96808] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8097), 1,
      sym_statement_label,
    STATE(8480), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6249), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [96857] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8070), 1,
      sym_statement_label,
    STATE(8462), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6249), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [96906] = 3,
    ACTIONS(8297), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12145), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96935] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12149), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12147), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [96964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    STATE(7264), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [97019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12179), 1,
      anon_sym_RPAREN,
    STATE(7992), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [97074] = 3,
    ACTIONS(8389), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8387), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97103] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8082), 1,
      sym_statement_label,
    STATE(8461), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6249), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [97152] = 3,
    ACTIONS(8447), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12102), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97181] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5132), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [97210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_LF,
    ACTIONS(5154), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5082), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97268] = 3,
    ACTIONS(8482), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8480), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97297] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5078), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [97326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5076), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5078), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97355] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    STATE(4219), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5993), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [97404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LF,
    ACTIONS(5130), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_LF,
    ACTIONS(5076), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_LF,
    ACTIONS(5080), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5082), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [97520] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12149), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12147), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [97549] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7391), 1,
      sym_statement_label,
    STATE(8410), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6249), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [97598] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    STATE(4219), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5995), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [97647] = 3,
    ACTIONS(8333), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8331), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97676] = 3,
    ACTIONS(8437), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8435), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97705] = 3,
    ACTIONS(8329), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8327), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5082), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97763] = 3,
    ACTIONS(8337), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8335), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5132), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [97821] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11961), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11969), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(11971), 1,
      aux_sym_derived_type_token1,
    ACTIONS(11975), 1,
      aux_sym_type_statement_token2,
    ACTIONS(11977), 1,
      aux_sym_type_statement_token3,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    STATE(4219), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11963), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5990), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [97870] = 3,
    ACTIONS(8350), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8347), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97899] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12185), 1,
      aux_sym_select_case_statement_token2,
    STATE(8084), 1,
      sym_statement_label,
    STATE(8463), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6247), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [97948] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12187), 1,
      anon_sym_RPAREN,
    STATE(7425), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [98003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12189), 1,
      anon_sym_RPAREN,
    STATE(7549), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [98058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5108), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5110), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5154), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5156), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98116] = 3,
    ACTIONS(8486), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8484), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98145] = 3,
    ACTIONS(8490), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8488), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_LF,
    ACTIONS(12191), 1,
      anon_sym__,
    STATE(6207), 1,
      sym__kind,
    ACTIONS(6347), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98207] = 3,
    ACTIONS(8494), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8492), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98236] = 3,
    ACTIONS(8427), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8425), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98265] = 3,
    ACTIONS(8341), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8339), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98294] = 3,
    ACTIONS(8345), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8343), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_LF,
    ACTIONS(5108), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98352] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5110), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [98381] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12185), 1,
      aux_sym_select_case_statement_token2,
    STATE(8081), 1,
      sym_statement_label,
    STATE(8460), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6247), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [98430] = 3,
    ACTIONS(8431), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8429), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98459] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5156), 16,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_comment,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [98488] = 3,
    ACTIONS(8385), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8383), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98517] = 3,
    ACTIONS(8476), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8474), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [98546] = 13,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(11981), 1,
      sym__integer_literal,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12185), 1,
      aux_sym_select_case_statement_token2,
    STATE(7392), 1,
      sym_statement_label,
    STATE(8413), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6247), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [98595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12193), 1,
      anon_sym_LF,
    ACTIONS(12195), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12197), 1,
      anon_sym_LF,
    ACTIONS(12199), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12203), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12201), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98679] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12205), 1,
      anon_sym_LF,
    ACTIONS(12207), 1,
      sym_preproc_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [98727] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12229), 1,
      anon_sym_LF,
    ACTIONS(12231), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [98775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_LF,
    ACTIONS(12235), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12233), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12239), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12237), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12241), 1,
      anon_sym_LF,
    ACTIONS(12243), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9812), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9802), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9800), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [98943] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12245), 1,
      anon_sym_LF,
    ACTIONS(12247), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [98991] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12249), 1,
      anon_sym_LF,
    ACTIONS(12251), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 16,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12255), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99097] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12255), 2,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99143] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12257), 1,
      anon_sym_LF,
    ACTIONS(12259), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99191] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12261), 1,
      anon_sym_LF,
    ACTIONS(12263), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99239] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12265), 1,
      anon_sym_LF,
    ACTIONS(12267), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_LF,
    ACTIONS(5076), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_LF,
    ACTIONS(5080), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_LF,
    ACTIONS(5108), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LF,
    ACTIONS(5130), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_LF,
    ACTIONS(5154), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9882), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9880), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12199), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12197), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_LF,
    ACTIONS(12239), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9906), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 3,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99583] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(12255), 4,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
  [99625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(12255), 5,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
  [99665] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(12255), 6,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [99703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(12255), 8,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99739] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12269), 1,
      anon_sym_LF,
    ACTIONS(12271), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 12,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_LF,
    ACTIONS(5080), 19,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99849] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12273), 1,
      anon_sym_LF,
    ACTIONS(12275), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [99897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_LF,
    ACTIONS(9882), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 14,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [99957] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12279), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12277), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [99985] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12283), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12281), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [100013] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12285), 1,
      anon_sym_LF,
    ACTIONS(12287), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100061] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12289), 1,
      anon_sym_LF,
    ACTIONS(12291), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100109] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12293), 1,
      anon_sym_LF,
    ACTIONS(12295), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100157] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12297), 1,
      anon_sym_LF,
    ACTIONS(12299), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100205] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12301), 1,
      anon_sym_LF,
    ACTIONS(12303), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9812), 1,
      anon_sym_LF,
    ACTIONS(9814), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [100281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12305), 1,
      anon_sym_LF,
    ACTIONS(12307), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100329] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12309), 1,
      anon_sym_LF,
    ACTIONS(12311), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100377] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12313), 1,
      anon_sym_LF,
    ACTIONS(12315), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100425] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12317), 1,
      anon_sym_LF,
    ACTIONS(12319), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100473] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12323), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12321), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [100501] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12325), 1,
      anon_sym_LF,
    ACTIONS(12327), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12329), 1,
      anon_sym_LF,
    ACTIONS(12331), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100597] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12333), 1,
      anon_sym_LF,
    ACTIONS(12335), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100645] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12337), 1,
      anon_sym_LF,
    ACTIONS(12339), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100693] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12341), 1,
      anon_sym_LF,
    ACTIONS(12343), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100741] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12345), 1,
      anon_sym_LF,
    ACTIONS(12347), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12349), 1,
      anon_sym_LF,
    ACTIONS(12351), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100837] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12353), 1,
      anon_sym_LF,
    ACTIONS(12355), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12253), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [100917] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12357), 1,
      anon_sym_LF,
    ACTIONS(12359), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [100965] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12361), 1,
      anon_sym_LF,
    ACTIONS(12363), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101013] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12365), 1,
      anon_sym_LF,
    ACTIONS(12367), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101061] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12369), 1,
      anon_sym_LF,
    ACTIONS(12371), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101109] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12373), 1,
      anon_sym_LF,
    ACTIONS(12375), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101157] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12379), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12377), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [101185] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12381), 1,
      anon_sym_LF,
    ACTIONS(12383), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101233] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12385), 1,
      anon_sym_LF,
    ACTIONS(12387), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12389), 1,
      anon_sym_LF,
    ACTIONS(12391), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101329] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12395), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12393), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [101357] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12397), 1,
      anon_sym_LF,
    ACTIONS(12399), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101405] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12401), 1,
      anon_sym_LF,
    ACTIONS(12403), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101453] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12405), 1,
      anon_sym_LF,
    ACTIONS(12407), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101501] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12409), 1,
      anon_sym_LF,
    ACTIONS(12411), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12413), 1,
      anon_sym_LF,
    ACTIONS(12415), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101597] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12417), 1,
      anon_sym_LF,
    ACTIONS(12419), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 1,
      anon_sym_LF,
    ACTIONS(9908), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [101673] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12421), 1,
      anon_sym_LF,
    ACTIONS(12423), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101721] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12425), 1,
      anon_sym_LF,
    ACTIONS(12427), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101769] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12429), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [101819] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12431), 1,
      anon_sym_LF,
    ACTIONS(12433), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101867] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12435), 1,
      anon_sym_LF,
    ACTIONS(12437), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12441), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12439), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [101943] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12443), 1,
      anon_sym_LF,
    ACTIONS(12445), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [101991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9800), 1,
      anon_sym_LF,
    ACTIONS(9802), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12439), 1,
      anon_sym_LF,
    ACTIONS(12441), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102047] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12447), 1,
      anon_sym_LF,
    ACTIONS(12449), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12451), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12195), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12193), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102151] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12455), 1,
      anon_sym_LF,
    ACTIONS(12457), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102199] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12459), 1,
      anon_sym_LF,
    ACTIONS(12461), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102247] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12463), 1,
      anon_sym_LF,
    ACTIONS(12465), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102295] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12467), 1,
      anon_sym_LF,
    ACTIONS(12469), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102343] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12471), 1,
      anon_sym_LF,
    ACTIONS(12473), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102391] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12475), 1,
      anon_sym_LF,
    ACTIONS(12477), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102439] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12479), 1,
      anon_sym_LF,
    ACTIONS(12481), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102487] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12483), 1,
      anon_sym_LF,
    ACTIONS(12485), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102535] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12487), 1,
      anon_sym_LF,
    ACTIONS(12489), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102583] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12493), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(12491), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [102611] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12495), 1,
      anon_sym_LF,
    ACTIONS(12497), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102659] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12499), 1,
      anon_sym_LF,
    ACTIONS(12501), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [102707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_LF,
    ACTIONS(12453), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12201), 1,
      anon_sym_LF,
    ACTIONS(12203), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12241), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12253), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12253), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [102849] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12253), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [102897] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12253), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [102943] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12255), 1,
      anon_sym_PIPE,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12253), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [102989] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12255), 1,
      anon_sym_PIPE,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12253), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [103033] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12255), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12253), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [103075] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
    ACTIONS(12253), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
  [103113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12253), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [103147] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12215), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12217), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_CARET,
    ACTIONS(12221), 1,
      anon_sym_AMP,
    ACTIONS(12503), 1,
      anon_sym_LF,
    ACTIONS(12505), 1,
      sym_preproc_comment,
    ACTIONS(12209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12223), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12227), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12211), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12225), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12197), 1,
      anon_sym_LF,
    ACTIONS(12199), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [103261] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12519), 1,
      anon_sym_LF,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103306] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12529), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9812), 1,
      anon_sym_LF,
    ACTIONS(9814), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [103378] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12531), 1,
      anon_sym_RPAREN,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [103427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9800), 1,
      anon_sym_LF,
    ACTIONS(9802), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [103454] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12533), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [103530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12535), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12537), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103620] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12539), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103665] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12541), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103710] = 11,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12543), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12551), 1,
      sym_preproc_comment,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6268), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9341), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [103753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12553), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103798] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12555), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103843] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12557), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12559), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103933] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12561), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [103978] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12563), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12565), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_LF,
    ACTIONS(12235), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104095] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12567), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104140] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12569), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104185] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12571), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104230] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12573), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_LF,
    ACTIONS(9882), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 1,
      anon_sym_LF,
    ACTIONS(9908), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_LF,
    ACTIONS(12239), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104356] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12575), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104401] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12577), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104446] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12579), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104524] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12581), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104569] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12583), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104614] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12585), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104659] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12587), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12201), 1,
      anon_sym_LF,
    ACTIONS(12203), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12241), 1,
      anon_sym_LF,
    ACTIONS(12243), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104758] = 11,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12589), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12591), 1,
      sym_preproc_comment,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6263), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9047), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [104801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_LF,
    ACTIONS(12453), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104828] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12593), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [104873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12193), 1,
      anon_sym_LF,
    ACTIONS(12195), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12439), 1,
      anon_sym_LF,
    ACTIONS(12441), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [104927] = 10,
    ACTIONS(12595), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(12598), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(12601), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12607), 1,
      sym_preproc_directive,
    ACTIONS(12610), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12612), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12604), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(12615), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(6247), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [104968] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12617), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105013] = 10,
    ACTIONS(12619), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(12622), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(12625), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12631), 1,
      sym_preproc_directive,
    ACTIONS(12634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12636), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12628), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(12639), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(6249), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [105054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12255), 15,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [105083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12255), 18,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [105110] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12255), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105155] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12641), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105200] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12643), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12255), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105288] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12255), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105329] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_AMP,
    ACTIONS(12521), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12523), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12525), 1,
      anon_sym_PIPE,
    ACTIONS(12527), 1,
      anon_sym_CARET,
    ACTIONS(12645), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [105374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12513), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(12255), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [105411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_LF,
    ACTIONS(12507), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12517), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12509), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(12515), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(12255), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105446] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12647), 1,
      anon_sym_RPAREN,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [105495] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(12161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(12163), 1,
      anon_sym_PIPE,
    ACTIONS(12165), 1,
      anon_sym_CARET,
    ACTIONS(12167), 1,
      anon_sym_AMP,
    ACTIONS(12169), 1,
      anon_sym_EQ_EQ,
    ACTIONS(12171), 1,
      anon_sym_BANG_EQ,
    ACTIONS(12649), 1,
      anon_sym_RPAREN,
    ACTIONS(12155), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(12173), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(12175), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(12177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(12157), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [105544] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12651), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6272), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8922), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105584] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12653), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9296), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105624] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12655), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8695), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105664] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12657), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6264), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9283), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105704] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12659), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6271), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8741), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105744] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12661), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6273), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8811), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105784] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12661), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8811), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105824] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12657), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9283), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105864] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12663), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6269), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9267), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105904] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12665), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8959), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105944] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12667), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8636), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [105984] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12669), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9008), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [106024] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12671), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9359), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [106064] = 10,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(12545), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12547), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12653), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6274), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(9296), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [106104] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5290), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5288), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106129] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5274), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5272), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106154] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5282), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5280), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106179] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5286), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5284), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106204] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5266), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5264), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106229] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5254), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5252), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106254] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5270), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(5268), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106279] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6044), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [106313] = 4,
    ACTIONS(12677), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12673), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12675), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106339] = 4,
    ACTIONS(12683), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12679), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12681), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106365] = 4,
    ACTIONS(12689), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12685), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12687), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106391] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12185), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6087), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [106425] = 4,
    ACTIONS(12693), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12695), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12691), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106451] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6038), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [106485] = 4,
    ACTIONS(12699), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12701), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12697), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106511] = 4,
    ACTIONS(12705), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12703), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106537] = 4,
    ACTIONS(12713), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12709), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12711), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106563] = 4,
    ACTIONS(12719), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12715), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12717), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106589] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12185), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6068), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [106623] = 4,
    ACTIONS(12725), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12721), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12723), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106649] = 4,
    ACTIONS(12729), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12731), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12727), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106675] = 4,
    ACTIONS(12737), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12733), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12735), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106701] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12185), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12183), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6082), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [106735] = 4,
    ACTIONS(12743), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12739), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12741), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106761] = 4,
    ACTIONS(12747), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12749), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12745), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106787] = 4,
    ACTIONS(12755), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12751), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12753), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106813] = 4,
    ACTIONS(12761), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12757), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12759), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106839] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6058), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [106873] = 8,
    ACTIONS(11957), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11959), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11965), 1,
      sym_preproc_directive,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(12143), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12141), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6037), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [106907] = 4,
    ACTIONS(12767), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12763), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12765), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106933] = 4,
    ACTIONS(12773), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12769), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12771), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [106959] = 4,
    ACTIONS(12777), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12779), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12775), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [106985] = 4,
    ACTIONS(12783), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12785), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12781), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [107011] = 4,
    ACTIONS(12789), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12791), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12787), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [107037] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12793), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8962), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9328), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9393), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107070] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8788), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9368), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9480), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107103] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8576), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9037), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9422), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [107136] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12803), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9168), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9169), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107173] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12813), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8744), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8896), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9554), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107206] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12815), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8899), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8908), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9354), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107239] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12817), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8974), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9331), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9405), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12821), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12819), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [107295] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12823), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8525), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9194), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107332] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12715), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12717), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [107355] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12825), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9040), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9433), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107392] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12827), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9027), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9506), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107429] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12827), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9027), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9506), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107466] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12829), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9511), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9517), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107503] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12831), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8797), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8902), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107540] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12829), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9511), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9517), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107577] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12833), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8657), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9150), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9488), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [107610] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12835), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9445), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [107647] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12837), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9014), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9370), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9425), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107680] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12839), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9031), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9372), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9436), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107713] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12841), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8603), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9018), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9035), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107746] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12843), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9471), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9475), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107783] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12845), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8584), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9313), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107820] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12847), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9376), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107857] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12849), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9258), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9274), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107894] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12847), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9376), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [107931] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12757), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12759), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [107954] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9115), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [107987] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12853), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12855), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108010] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12857), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12859), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108033] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12861), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12863), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108056] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12865), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9044), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9421), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9453), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108089] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12867), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12869), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108112] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12871), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12873), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108135] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12831), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8797), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8902), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9103), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [108168] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12875), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9108), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9314), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9532), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [108201] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12877), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8937), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8982), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108238] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12879), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9503), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9505), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108275] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8551), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9542), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9547), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108308] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12883), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8561), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8895), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8985), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [108341] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12885), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12887), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108364] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12841), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9018), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9035), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108401] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12889), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8517), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9076), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [108434] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9368), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9480), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108471] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12891), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8676), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8917), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108508] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12891), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8676), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8917), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108545] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12751), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12753), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108568] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9542), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9547), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108605] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108642] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5276), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5278), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108665] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12849), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9258), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9274), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108702] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12893), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9039), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9208), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9215), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [108735] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12897), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12895), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [108758] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12901), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12899), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [108781] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12903), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9102), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9220), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9458), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [108814] = 7,
    ACTIONS(12907), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12909), 1,
      aux_sym_module_statement_token1,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(12905), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(12912), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [108845] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12917), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12915), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [108868] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12919), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12921), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [108891] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12923), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9285), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [108928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12707), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12703), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [108951] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9037), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9422), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [108988] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8568), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9285), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109021] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12925), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8929), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9257), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9349), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109054] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5738), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5740), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109077] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5742), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5744), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109100] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12927), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8574), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8758), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [109137] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5612), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5614), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109160] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5750), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5752), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109183] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12931), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12929), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [109206] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12785), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12781), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [109229] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12933), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12935), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109252] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109289] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5766), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5768), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109312] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5770), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5772), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109335] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12937), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12939), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109358] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12941), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8728), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8791), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9302), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109391] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12943), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8742), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8809), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9312), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109424] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12945), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8693), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8712), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9524), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109457] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12673), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12675), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109480] = 8,
    ACTIONS(753), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12795), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12947), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8614), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9104), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9560), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109513] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12949), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9538), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9540), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109550] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12949), 1,
      aux_sym_preproc_if_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9538), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9540), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109587] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5778), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5780), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109610] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12953), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(12951), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [109633] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12955), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8787), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8875), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [109670] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12957), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9546), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9550), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109707] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5774), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5776), 12,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym_include_statement_token1,
  [109730] = 10,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(12959), 1,
      aux_sym_preproc_if_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8683), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9167), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [109767] = 13,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(12963), 1,
      aux_sym_end_program_statement_token1,
    STATE(2612), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    STATE(6959), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12965), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [109809] = 13,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(12967), 1,
      aux_sym_end_program_statement_token1,
    STATE(2612), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    STATE(7027), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12969), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [109851] = 14,
    ACTIONS(11374), 1,
      aux_sym_select_case_statement_token3,
    ACTIONS(12971), 1,
      aux_sym_block_data_statement_token1,
    ACTIONS(12973), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(12975), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(12977), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(12979), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(12981), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(12983), 1,
      aux_sym_select_type_statement_token1,
    ACTIONS(12985), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(12987), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(12989), 1,
      aux_sym_coarray_team_statement_token1,
    ACTIONS(12991), 1,
      aux_sym_coarray_critical_statement_token1,
    STATE(8008), 1,
      sym__forall_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [109895] = 11,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    ACTIONS(12995), 1,
      aux_sym_end_program_statement_token1,
    STATE(2612), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12993), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [109932] = 10,
    ACTIONS(8727), 1,
      anon_sym_STAR,
    ACTIONS(8729), 1,
      anon_sym_EQ,
    ACTIONS(8731), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(4030), 1,
      sym_argument_list,
    STATE(4079), 1,
      sym_character_length,
    STATE(4141), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8723), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [109967] = 12,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    STATE(7170), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12965), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [110006] = 9,
    ACTIONS(12999), 1,
      anon_sym_COMMA,
    ACTIONS(13001), 1,
      anon_sym_RPAREN,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
    ACTIONS(13007), 1,
      sym__string_literal,
    ACTIONS(13009), 1,
      sym__string_literal_kind,
    ACTIONS(13011), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13005), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6408), 4,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [110039] = 7,
    ACTIONS(13013), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(13017), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(13019), 1,
      aux_sym__intrinsic_type_token8,
    STATE(7109), 1,
      sym__intrinsic_type,
    STATE(9515), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13015), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [110068] = 3,
    ACTIONS(13023), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13021), 11,
      aux_sym_block_data_statement_token1,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_associate_statement_token1,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
  [110089] = 12,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    STATE(7104), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12969), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [110128] = 9,
    ACTIONS(13025), 1,
      anon_sym_COMMA,
    ACTIONS(13028), 1,
      anon_sym_RPAREN,
    ACTIONS(13030), 1,
      anon_sym_LPAREN2,
    ACTIONS(13036), 1,
      sym__string_literal,
    ACTIONS(13039), 1,
      sym__string_literal_kind,
    ACTIONS(13042), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13033), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6408), 4,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [110161] = 9,
    ACTIONS(12999), 1,
      anon_sym_COMMA,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
    ACTIONS(13007), 1,
      sym__string_literal,
    ACTIONS(13009), 1,
      sym__string_literal_kind,
    ACTIONS(13045), 1,
      anon_sym_RPAREN,
    ACTIONS(13047), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13005), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6404), 4,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [110194] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13049), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8728), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9302), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110222] = 4,
    ACTIONS(13057), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13059), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13055), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [110244] = 4,
    ACTIONS(13063), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13065), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13061), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [110266] = 4,
    ACTIONS(13069), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13071), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13067), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [110288] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9368), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9480), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110316] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13073), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9491), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9510), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110344] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13079), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8593), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8601), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110372] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13081), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8896), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9554), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110400] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9368), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9528), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [110428] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8625), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9542), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110456] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8708), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110484] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8820), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9422), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110512] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13083), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8534), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9539), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110540] = 8,
    ACTIONS(13085), 1,
      anon_sym_LPAREN2,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1935), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13087), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6645), 2,
      sym__parameters,
      sym_parameters,
    STATE(6735), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [110570] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13093), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9185), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9245), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [110598] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13095), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8641), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8647), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110626] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13097), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8549), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9179), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [110654] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13099), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8724), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9202), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110682] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12831), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8797), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9411), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [110710] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13101), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8866), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9352), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [110738] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13103), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8561), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8985), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [110766] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13105), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8902), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9103), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [110794] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13107), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9115), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [110822] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9420), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [110850] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13109), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9126), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9413), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110878] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13111), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9063), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9109), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110906] = 6,
    ACTIONS(13017), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(13019), 1,
      aux_sym__intrinsic_type_token8,
    STATE(7109), 1,
      sym__intrinsic_type,
    STATE(9273), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13015), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [110932] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13113), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8742), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9312), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [110960] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13115), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9287), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9318), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [110988] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13117), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9324), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9364), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [111016] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13119), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8908), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9354), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111044] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13121), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8517), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9076), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111072] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12841), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9018), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9035), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111100] = 4,
    ACTIONS(13125), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13127), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13123), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111122] = 4,
    ACTIONS(13131), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13133), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13129), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111144] = 4,
    ACTIONS(13137), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13139), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13135), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111166] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13141), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9257), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9349), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111194] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13143), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8657), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9150), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111222] = 4,
    ACTIONS(13147), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13149), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13145), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111244] = 4,
    ACTIONS(13153), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13155), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13151), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111266] = 4,
    ACTIONS(13159), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13161), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13157), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111288] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13163), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8796), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9210), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [111316] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12841), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8570), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9018), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [111344] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13165), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8551), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9547), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111372] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13167), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8868), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9365), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [111400] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13169), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9138), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9497), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111428] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13171), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8568), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9285), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111456] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13173), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8576), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9037), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111484] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13175), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8953), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9369), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [111512] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13177), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8614), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9560), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111540] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13179), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9328), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9393), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111568] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13181), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9331), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9405), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111596] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12955), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8787), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8875), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [111624] = 4,
    ACTIONS(13185), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13187), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13183), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111646] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13189), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9500), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9502), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111674] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13191), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8544), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9418), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [111702] = 4,
    ACTIONS(13195), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13197), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13193), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [111724] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12877), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8937), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8982), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111752] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13199), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9072), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9527), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [111780] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8603), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9035), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111808] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13203), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9370), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9425), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111836] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13205), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8541), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111864] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13207), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9372), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9436), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111892] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12831), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8797), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8902), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111920] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13209), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9421), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9453), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111948] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13211), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9344), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9523), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [111976] = 8,
    ACTIONS(13085), 1,
      anon_sym_LPAREN2,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1909), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13213), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6654), 2,
      sym__parameters,
      sym_parameters,
    STATE(6729), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [112006] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13215), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9388), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9533), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112034] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13217), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9399), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9535), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112062] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13219), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9419), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9557), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112090] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13221), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9432), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9558), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112118] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112146] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13223), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9444), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9573), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112174] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13225), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8555), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8558), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112202] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12803), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9168), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9169), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112230] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13227), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8980), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9526), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112258] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9542), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9547), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112286] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12849), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9258), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9274), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112314] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9285), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112342] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13229), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9107), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9276), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [112370] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9037), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9422), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112398] = 4,
    ACTIONS(13233), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13235), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13231), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [112420] = 10,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11691), 1,
      anon_sym_STAR,
    STATE(2612), 1,
      sym__argument_list,
    STATE(5994), 1,
      sym_argument_list,
    STATE(6005), 1,
      sym_character_length,
    STATE(6014), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12993), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [112454] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13237), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8533), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9207), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112482] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13239), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8725), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9219), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112510] = 7,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(13241), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13243), 1,
      sym_preproc_comment,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6535), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [112538] = 4,
    ACTIONS(13247), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13249), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13245), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [112560] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13251), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9108), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9314), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [112588] = 4,
    ACTIONS(13255), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13257), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13253), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [112610] = 4,
    ACTIONS(13261), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13263), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13259), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [112632] = 4,
    ACTIONS(13267), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13269), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13265), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [112654] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12827), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9027), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9506), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112682] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13271), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8626), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9298), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112710] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13273), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8643), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9308), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112738] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13275), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8904), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(9246), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112766] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13277), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8712), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9524), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112794] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13279), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9039), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9208), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112822] = 7,
    ACTIONS(857), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13075), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13281), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13077), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8765), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
    STATE(9131), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [112850] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12825), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9040), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(9433), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112878] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13283), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8788), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9480), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112906] = 7,
    ACTIONS(2014), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13285), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9102), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(9220), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112934] = 7,
    ACTIONS(847), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12805), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13287), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8621), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8624), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [112962] = 10,
    ACTIONS(3555), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13293), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(6922), 1,
      sym_else_clause,
    STATE(7266), 1,
      sym_statement_label,
    STATE(8488), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6834), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [112995] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13299), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13297), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113014] = 8,
    ACTIONS(13301), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13305), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(13307), 1,
      aux_sym_base_type_specifier_token1,
    STATE(8484), 1,
      sym_access_specifier,
    STATE(8485), 1,
      sym_base_type_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13303), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(8367), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [113043] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13311), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13309), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113062] = 10,
    ACTIONS(3555), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13293), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(7045), 1,
      sym_else_clause,
    STATE(7276), 1,
      sym_statement_label,
    STATE(8160), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6834), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [113095] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13315), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13313), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113114] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13319), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13317), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113133] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13323), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13321), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113152] = 10,
    ACTIONS(3555), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13293), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(6910), 1,
      sym_else_clause,
    STATE(7560), 1,
      sym_statement_label,
    STATE(8375), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6834), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [113185] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13327), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13325), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113204] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13331), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13329), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113223] = 8,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
    ACTIONS(13007), 1,
      sym__string_literal,
    ACTIONS(13009), 1,
      sym__string_literal_kind,
    ACTIONS(13333), 1,
      sym_hollerith_constant,
    STATE(8615), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13005), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6409), 3,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
  [113252] = 8,
    ACTIONS(13301), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13305), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(13307), 1,
      aux_sym_base_type_specifier_token1,
    STATE(8484), 1,
      sym_access_specifier,
    STATE(8485), 1,
      sym_base_type_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13303), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(7237), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [113281] = 8,
    ACTIONS(13301), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13305), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(13307), 1,
      aux_sym_base_type_specifier_token1,
    STATE(8484), 1,
      sym_access_specifier,
    STATE(8485), 1,
      sym_base_type_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13303), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(8124), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [113310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13337), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13335), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113329] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13133), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13129), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113348] = 8,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
    ACTIONS(13007), 1,
      sym__string_literal,
    ACTIONS(13009), 1,
      sym__string_literal_kind,
    ACTIONS(13333), 1,
      sym_hollerith_constant,
    STATE(9320), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13005), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6409), 3,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
  [113377] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13257), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13253), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113396] = 6,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(13339), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [113421] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13343), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13341), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113440] = 6,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(13345), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6530), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [113465] = 7,
    ACTIONS(13085), 1,
      anon_sym_LPAREN2,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13347), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6828), 2,
      sym__parameters,
      sym_parameters,
    STATE(6829), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [113492] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13351), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13349), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113511] = 6,
    ACTIONS(12053), 1,
      aux_sym_module_statement_token1,
    ACTIONS(13345), 1,
      aux_sym_preproc_if_token2,
    STATE(3925), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6365), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(9609), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [113536] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13065), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13061), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113555] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13355), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13353), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113574] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13155), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(13151), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113593] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13359), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(13357), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [113612] = 10,
    ACTIONS(3555), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13293), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(6964), 1,
      sym_else_clause,
    STATE(7473), 1,
      sym_statement_label,
    STATE(8192), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6834), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [113645] = 4,
    ACTIONS(13363), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3928), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113665] = 4,
    ACTIONS(13367), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4422), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13365), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113685] = 4,
    ACTIONS(13367), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4415), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13365), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113705] = 4,
    ACTIONS(13363), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3931), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113725] = 4,
    ACTIONS(13363), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3924), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113745] = 7,
    ACTIONS(13373), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(13375), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(13377), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13369), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(13371), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(6553), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [113771] = 7,
    ACTIONS(13373), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(13375), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(13377), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13371), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    ACTIONS(13379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6546), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [113797] = 4,
    ACTIONS(13383), 1,
      aux_sym_procedure_attributes_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13381), 3,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
    ACTIONS(13385), 5,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [113817] = 7,
    ACTIONS(13003), 1,
      anon_sym_LPAREN2,
    ACTIONS(13007), 1,
      sym__string_literal,
    ACTIONS(13009), 1,
      sym__string_literal_kind,
    ACTIONS(13387), 1,
      sym_hollerith_constant,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13005), 2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
    STATE(6798), 3,
      sym__transfer_item,
      sym_edit_descriptor,
      sym_string_literal,
  [113843] = 4,
    ACTIONS(13363), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3926), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113863] = 4,
    ACTIONS(13367), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4472), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13365), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113883] = 4,
    ACTIONS(13367), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4428), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13365), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113903] = 7,
    ACTIONS(13394), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(13397), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(13400), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13389), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(13391), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    STATE(6553), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [113929] = 4,
    ACTIONS(13363), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4394), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [113949] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13403), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8735), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [113972] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13409), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8744), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [113995] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13415), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8976), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114018] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13417), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8758), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114041] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13419), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8778), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114064] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13421), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9023), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114087] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13423), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9036), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114110] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13425), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8802), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114133] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13427), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9051), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114156] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13429), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9219), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114179] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13431), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [114194] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13433), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9194), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114217] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13435), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9547), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114240] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13437), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9285), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114263] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13439), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9037), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114286] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13441), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9100), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114309] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13443), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9138), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114332] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13445), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9502), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114355] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13447), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9202), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114378] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13449), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9210), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114401] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13451), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9313), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114424] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13453), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9376), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114447] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13455), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114470] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13457), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8558), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114493] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13459), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9246), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114516] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13461), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9251), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114539] = 6,
    ACTIONS(13463), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9337), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [114562] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13471), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8601), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114585] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13473), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8624), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114608] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13475), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9263), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114631] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13477), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8647), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114654] = 6,
    ACTIONS(13479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9416), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [114677] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13487), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9040), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114700] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13489), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8587), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114723] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9368), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114746] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13491), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9511), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114769] = 6,
    ACTIONS(13493), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8542), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [114792] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13501), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9458), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114815] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13503), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9475), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114838] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13505), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9538), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114861] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9880), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [114876] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13507), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9546), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114899] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13509), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9505), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114922] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13511), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9517), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [114945] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13513), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9445), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114968] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13515), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8842), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [114991] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13517), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9540), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115014] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13519), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9550), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115037] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13521), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8971), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115060] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13523), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8700), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115083] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13525), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8599), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115106] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9906), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [115121] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13527), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9352), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115144] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13529), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9258), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115167] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13531), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8555), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115190] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13533), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8538), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115213] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13535), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8593), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115236] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13537), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8621), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115259] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13539), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8545), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115282] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13541), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8546), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115305] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13543), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8641), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115328] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13545), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8658), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115351] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13547), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8552), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115374] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13549), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8553), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115397] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13551), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8665), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115420] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13553), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8557), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115443] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13555), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9355), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115466] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13557), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9215), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115489] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13559), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9506), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115512] = 6,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1948), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13561), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [115535] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9109), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115558] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13565), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8791), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115581] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13567), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8974), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115604] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13569), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8809), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115627] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13571), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8573), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115650] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13573), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9014), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115673] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13575), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9031), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115696] = 6,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1649), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13577), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [115719] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13579), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8578), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115742] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13581), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9480), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115765] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13583), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8579), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115788] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13585), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9044), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115811] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13587), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9433), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115834] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13589), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9052), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115857] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13591), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8585), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115880] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13593), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8937), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115903] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13595), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8586), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115926] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13597), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9059), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [115949] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13599), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8590), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115972] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13601), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9035), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [115995] = 6,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1862), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13603), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6624), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [116018] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13605), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8681), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116041] = 7,
    ACTIONS(13085), 1,
      anon_sym_LPAREN2,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    STATE(1932), 1,
      sym__end_of_statement,
    STATE(7360), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13607), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(7087), 2,
      sym__parameters,
      sym_parameters,
  [116066] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13609), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9522), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116089] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13611), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8690), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116112] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13613), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8673), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [116135] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13615), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8687), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [116158] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13617), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9399), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116181] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13619), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9389), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116204] = 6,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1990), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13621), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6632), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [116227] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13623), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9523), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116250] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13625), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9413), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116273] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13627), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9419), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116296] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13629), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9432), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116319] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13631), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9533), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116342] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13633), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8713), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [116365] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13635), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8714), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [116388] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13637), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9535), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116411] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13639), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9444), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116434] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13641), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9456), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116457] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13643), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9557), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116480] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13645), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9558), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116503] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13647), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9460), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116526] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13649), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9573), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116549] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13651), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9497), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116572] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13653), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8895), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116595] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13655), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8606), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116618] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13657), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8611), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116641] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13659), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8612), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116664] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13661), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8899), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [116687] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13663), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8618), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116710] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13665), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8619), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116733] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13667), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8623), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116756] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13669), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8993), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [116779] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13671), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8994), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [116802] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13673), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8639), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116825] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13675), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8644), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116848] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13677), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8645), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116871] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13679), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8651), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116894] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13681), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8652), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116917] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13683), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8656), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116940] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13685), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8672), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116963] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13687), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8677), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [116986] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13689), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8678), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117009] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13691), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8684), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117032] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13693), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8685), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117055] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13695), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8689), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117078] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13697), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8914), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [117101] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13699), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8705), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117124] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13701), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8710), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117147] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13703), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8724), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117170] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13705), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9402), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [117193] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13707), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8711), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117216] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13709), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8717), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117239] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13711), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9288), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [117262] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13713), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8718), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117285] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13715), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8722), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117308] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13717), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8736), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117331] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9422), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [117354] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13719), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8737), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117377] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13721), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8796), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117400] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13723), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8738), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117423] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13725), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8739), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117446] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13727), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8740), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117469] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13729), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9004), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [117492] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13731), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8946), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [117515] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13733), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8752), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117538] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13735), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8904), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117561] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13737), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8753), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117584] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13739), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8754), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117607] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13741), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8755), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117630] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13743), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8756), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117653] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13745), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8757), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117676] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13747), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8905), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [117699] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13749), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8775), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117722] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13751), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8769), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117745] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13753), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9005), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [117768] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13755), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8770), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117791] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13757), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8771), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117814] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13759), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8772), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117837] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13761), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8773), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117860] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13763), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8774), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117883] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13765), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8929), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [117906] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13767), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9006), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [117929] = 6,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1991), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13769), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [117952] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13771), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8965), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [117975] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13773), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8962), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [117998] = 7,
    ACTIONS(13085), 1,
      anon_sym_LPAREN2,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    STATE(1908), 1,
      sym__end_of_statement,
    STATE(7851), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13775), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6926), 2,
      sym__parameters,
      sym_parameters,
  [118023] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13777), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8588), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118046] = 5,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(4008), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [118067] = 6,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    STATE(1864), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13779), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [118090] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13781), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9500), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118113] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13783), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9027), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118136] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13785), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8917), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118159] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13787), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8541), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118182] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12831), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8797), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118205] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13789), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9167), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118228] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13791), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8949), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118251] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13793), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8787), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118274] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13795), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8875), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118297] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13797), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118320] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13799), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8902), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118343] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13801), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118366] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12841), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9018), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118389] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13803), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9049), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118412] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13805), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9062), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118435] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13807), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8982), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118458] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13809), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9131), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118481] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13811), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8574), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118504] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13813), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8693), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118527] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13815), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9344), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118550] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13817), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9274), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118573] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13819), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9364), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118596] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9542), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118619] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13821), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9168), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118642] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13823), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8999), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [118665] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13825), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9025), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [118688] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13827), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9561), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118711] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13829), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9065), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118734] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13831), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8868), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118757] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13833), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9510), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118780] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13835), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8953), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118803] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13837), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9129), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118826] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13839), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9539), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118849] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13841), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9149), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118872] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13843), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8544), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118895] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13845), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8575), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118918] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13847), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8944), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [118941] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13849), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9388), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [118964] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9205), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [118987] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13853), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8881), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [119010] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13855), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9213), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119033] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13857), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8723), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119056] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13859), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9249), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119079] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13861), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9063), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119102] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13863), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9126), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119125] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13865), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8526), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119148] = 9,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13867), 1,
      sym_preproc_comment,
    ACTIONS(13869), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13871), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13873), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13875), 1,
      aux_sym_type_statement_token3,
    STATE(4230), 1,
      sym__class_default,
    STATE(8591), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [119177] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13877), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9188), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [119200] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13879), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9226), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119223] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13881), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119246] = 9,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13883), 1,
      sym_preproc_comment,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6696), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [119275] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13893), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9319), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [119298] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13895), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9463), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119321] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13897), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9428), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [119344] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13899), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8549), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119367] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13901), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9169), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119390] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13903), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8564), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119413] = 6,
    ACTIONS(13465), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13467), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13905), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13469), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9105), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [119436] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13907), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8931), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119459] = 6,
    ACTIONS(13495), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13497), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13909), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13499), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9415), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [119482] = 6,
    ACTIONS(13481), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13483), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13911), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9286), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [119505] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13913), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [119520] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13028), 8,
      sym__string_literal,
      sym__string_literal_kind,
      sym_hollerith_constant,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SLASH,
      aux_sym_edit_descriptor_token1,
  [119535] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13915), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8676), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119558] = 9,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    ACTIONS(13917), 1,
      sym_preproc_comment,
    STATE(4374), 1,
      sym__class_default,
    STATE(6586), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [119587] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13919), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9298), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119610] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13921), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8683), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119633] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9532), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119656] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119679] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13925), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9488), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119702] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13927), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8913), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119725] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13929), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9104), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119748] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13931), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8800), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119771] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13933), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9308), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119794] = 6,
    ACTIONS(2122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13405), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13935), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13407), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8815), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [119817] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(13937), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8806), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119840] = 6,
    ACTIONS(1019), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12923), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13411), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13413), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9088), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [119863] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6775), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [119889] = 3,
    ACTIONS(13941), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13939), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [119905] = 7,
    ACTIONS(2962), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13943), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13945), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13947), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(8448), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6847), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [119929] = 7,
    ACTIONS(2962), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13943), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13945), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13947), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(8455), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6847), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [119953] = 5,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [119973] = 3,
    ACTIONS(13953), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13951), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [119989] = 3,
    ACTIONS(13957), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13955), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120005] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6660), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [120031] = 3,
    ACTIONS(13961), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13959), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120047] = 3,
    ACTIONS(13965), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13963), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120063] = 3,
    ACTIONS(13969), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13967), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120079] = 3,
    ACTIONS(13973), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13971), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120095] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6661), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [120121] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6796), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [120147] = 5,
    ACTIONS(13977), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13980), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13975), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [120167] = 5,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13983), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6817), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [120187] = 5,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    ACTIONS(13091), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13985), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6827), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [120207] = 7,
    ACTIONS(2962), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(13943), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13945), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(13947), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(8162), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6847), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [120231] = 3,
    ACTIONS(13989), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13987), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120247] = 3,
    ACTIONS(13993), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13991), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120263] = 3,
    ACTIONS(13997), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13995), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120279] = 6,
    ACTIONS(13999), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14003), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(14006), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14001), 2,
      sym__integer_literal,
      aux_sym_end_if_statement_token1,
    STATE(6834), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [120301] = 3,
    ACTIONS(14011), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14009), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120317] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6721), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [120343] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13869), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13871), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13873), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13875), 1,
      aux_sym_type_statement_token3,
    STATE(4230), 1,
      sym__class_default,
    STATE(9293), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [120369] = 3,
    ACTIONS(14015), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14013), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120385] = 3,
    ACTIONS(14019), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14017), 6,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [120401] = 8,
    ACTIONS(11979), 1,
      aux_sym__class_default_token1,
    ACTIONS(13885), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(13887), 1,
      aux_sym_derived_type_token1,
    ACTIONS(13889), 1,
      aux_sym_type_statement_token2,
    ACTIONS(13891), 1,
      aux_sym_type_statement_token3,
    STATE(4374), 1,
      sym__class_default,
    STATE(6772), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [120427] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7491), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120448] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(5082), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [120463] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7693), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6844), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120484] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7699), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120505] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7241), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6848), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120526] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5945), 1,
      sym__end_of_statement,
    STATE(7393), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14027), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [120547] = 6,
    ACTIONS(14029), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14031), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(14034), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(14036), 1,
      aux_sym_elsewhere_clause_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6847), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [120568] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7251), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120589] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5976), 1,
      sym__end_of_statement,
    STATE(7991), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14039), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [120610] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5950), 1,
      sym__end_of_statement,
    STATE(7417), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14041), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [120631] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7630), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6880), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120652] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7746), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6858), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120673] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7326), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6857), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120694] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5967), 1,
      sym__end_of_statement,
    STATE(7971), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14043), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [120715] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7844), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6873), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120736] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5080), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(5082), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [120751] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7336), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120772] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7754), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120793] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13385), 6,
      aux_sym_procedure_attributes_token3,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [120806] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7405), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6862), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120827] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7607), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120848] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7415), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120869] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5108), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(5110), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [120884] = 6,
    ACTIONS(14045), 1,
      anon_sym_COMMA,
    ACTIONS(14047), 1,
      anon_sym_EQ,
    ACTIONS(14049), 1,
      anon_sym_EQ_GT,
    STATE(7116), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12031), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [120905] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5943), 1,
      sym__end_of_statement,
    STATE(7898), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14051), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [120926] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7655), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [120947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5130), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(5132), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [120962] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    STATE(3754), 1,
      sym__argument_list,
    STATE(3755), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8307), 2,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [120983] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7363), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6874), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121004] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7484), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6841), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121025] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5154), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(5156), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [121040] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5975), 1,
      sym__end_of_statement,
    STATE(7520), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14055), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121061] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7937), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121082] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7457), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5076), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(5078), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [121118] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7649), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6866), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121139] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7545), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6878), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121160] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7552), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121181] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(5947), 1,
      sym__end_of_statement,
    STATE(8052), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14057), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121202] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(8088), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121223] = 6,
    ACTIONS(14021), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14023), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14025), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7598), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6861), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121244] = 6,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(818), 1,
      sym__end_of_statement,
    STATE(3730), 1,
      sym__argument_list,
    STATE(7771), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121265] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5037), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14063), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121283] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1553), 1,
      sym__end_of_statement,
    STATE(6889), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14067), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121301] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1553), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14067), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121319] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1554), 1,
      sym__end_of_statement,
    STATE(6890), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14069), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121337] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1554), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14069), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121355] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4912), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14071), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121373] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1559), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14073), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121391] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1560), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14075), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121409] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4922), 1,
      sym__end_of_statement,
    STATE(6979), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14077), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121427] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2022), 1,
      sym__end_of_statement,
    STATE(6898), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14079), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121445] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2022), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14079), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121463] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2023), 1,
      sym__end_of_statement,
    STATE(6899), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14081), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121481] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2023), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14081), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121499] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5022), 1,
      sym__end_of_statement,
    STATE(7011), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14083), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121517] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1700), 1,
      sym__end_of_statement,
    STATE(6977), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14085), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121535] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2040), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14087), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121553] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2041), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14089), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121571] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7366), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6906), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121589] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      sym__end_of_statement,
    STATE(7085), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14095), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121607] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14097), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(8865), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [121627] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      sym__end_of_statement,
    STATE(6944), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14099), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121645] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2213), 1,
      sym__end_of_statement,
    STATE(6946), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14101), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121663] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4978), 1,
      sym__end_of_statement,
    STATE(6911), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14103), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121681] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7458), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [121699] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5068), 1,
      sym__end_of_statement,
    STATE(7049), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14105), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121717] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5049), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14107), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121735] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5025), 1,
      sym__end_of_statement,
    STATE(7033), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14109), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121753] = 6,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(7828), 1,
      sym_statement_label,
    STATE(8179), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [121773] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5086), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14111), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121791] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5075), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14113), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121809] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4914), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14115), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121827] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4923), 1,
      sym__end_of_statement,
    STATE(6913), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14117), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121845] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14119), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [121857] = 5,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(8164), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11538), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121875] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4925), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121893] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1950), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14123), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121911] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4909), 1,
      sym__end_of_statement,
    STATE(7048), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14125), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121929] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2151), 1,
      sym__end_of_statement,
    STATE(6999), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14127), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121947] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5076), 1,
      sym__end_of_statement,
    STATE(7023), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14129), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [121965] = 6,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(7473), 1,
      sym_statement_label,
    STATE(8192), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [121985] = 4,
    ACTIONS(14131), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14134), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6923), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [122001] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7845), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6928), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122019] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5030), 1,
      sym__end_of_statement,
    STATE(6908), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14136), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122037] = 5,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    STATE(1989), 1,
      sym__end_of_statement,
    STATE(7969), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14138), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122055] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1420), 1,
      sym__end_of_statement,
    STATE(6935), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14140), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122073] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7938), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122091] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1421), 1,
      sym__end_of_statement,
    STATE(6941), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14142), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122109] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14144), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9046), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122129] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1716), 1,
      sym__end_of_statement,
    STATE(6970), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14146), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122147] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14095), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122165] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      sym__end_of_statement,
    STATE(6955), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14148), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122183] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14150), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9123), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122203] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14148), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122221] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1362), 1,
      sym__end_of_statement,
    STATE(6956), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14152), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122239] = 4,
    ACTIONS(14047), 1,
      anon_sym_EQ,
    ACTIONS(14049), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12043), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122255] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9124), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122275] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14156), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(8589), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122295] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14158), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(8592), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122315] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1362), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14152), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122333] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7242), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6948), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122351] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2308), 1,
      sym__end_of_statement,
    STATE(6981), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14160), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122369] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2308), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14160), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122387] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2227), 1,
      sym__end_of_statement,
    STATE(6982), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14162), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122405] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2227), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14162), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122423] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1716), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14146), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122441] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7252), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122459] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14164), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(8632), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122479] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14166), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(8640), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122499] = 6,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11436), 1,
      anon_sym_COMMA,
    ACTIONS(11438), 1,
      anon_sym_RPAREN,
    STATE(7300), 1,
      aux_sym_allocate_statement_repeat1,
    STATE(8346), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122519] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2390), 1,
      sym__end_of_statement,
    STATE(6966), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14168), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122537] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4920), 1,
      sym__end_of_statement,
    STATE(6993), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14170), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122555] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2391), 1,
      sym__end_of_statement,
    STATE(6973), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14172), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122573] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1363), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14174), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122591] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1364), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14176), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122609] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7327), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6961), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122627] = 5,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(14178), 1,
      aux_sym_end_program_statement_token1,
    STATE(7005), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14180), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [122645] = 5,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(14182), 1,
      aux_sym_end_program_statement_token1,
    STATE(7005), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14184), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [122663] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1718), 1,
      sym__end_of_statement,
    STATE(7066), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14186), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122681] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7337), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122699] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2268), 1,
      sym__end_of_statement,
    STATE(7073), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14188), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122717] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1281), 1,
      sym__end_of_statement,
    STATE(6988), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14190), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122735] = 6,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(7276), 1,
      sym_statement_label,
    STATE(8160), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122755] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2333), 1,
      sym__end_of_statement,
    STATE(6991), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122773] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2333), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122791] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5981), 1,
      sym__end_of_statement,
    STATE(7020), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14194), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122809] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14196), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9174), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [122829] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2334), 1,
      sym__end_of_statement,
    STATE(6992), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14198), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122847] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1756), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14200), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122865] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7406), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6975), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122883] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1335), 1,
      sym__end_of_statement,
    STATE(7024), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14202), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122901] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2334), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14198), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122919] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1340), 1,
      sym__end_of_statement,
    STATE(7060), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14204), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122937] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7416), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [122955] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2156), 1,
      sym__end_of_statement,
    STATE(7007), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14206), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122973] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1718), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14186), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [122991] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5033), 1,
      sym__end_of_statement,
    STATE(7052), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14208), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123009] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4908), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14210), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123027] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4918), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14212), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123045] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2245), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14214), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123063] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2246), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14216), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123081] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7485), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6986), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123099] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6376), 1,
      sym__end_of_statement,
    STATE(7016), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14218), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123117] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6377), 1,
      sym__end_of_statement,
    STATE(7021), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14220), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123135] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7492), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123153] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7657), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7032), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123171] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1340), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14204), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123189] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4916), 1,
      sym__end_of_statement,
    STATE(7046), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14222), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123207] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1840), 1,
      sym__end_of_statement,
    STATE(7001), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14224), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123225] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2386), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14226), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123243] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2314), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14228), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123261] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4919), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14230), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123279] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      sym__end_of_statement,
    STATE(7004), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14232), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123297] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7546), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6998), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123315] = 5,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(14234), 1,
      aux_sym_end_program_statement_token1,
    STATE(6958), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14236), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [123333] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      sym__end_of_statement,
    STATE(7008), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14238), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123351] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7553), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123369] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2268), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14188), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123387] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2278), 1,
      sym__end_of_statement,
    STATE(7075), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14240), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123405] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14238), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123423] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1845), 1,
      sym__end_of_statement,
    STATE(7009), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14242), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123441] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7599), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7006), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123459] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1845), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14242), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123477] = 5,
    ACTIONS(14244), 1,
      anon_sym_COMMA,
    ACTIONS(14247), 1,
      aux_sym_end_program_statement_token1,
    STATE(7005), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14249), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [123495] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7608), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123513] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2278), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14240), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123531] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14251), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123549] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1849), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14253), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123567] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7650), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7014), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123585] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5079), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14255), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123603] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1341), 1,
      sym__end_of_statement,
    STATE(7072), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14257), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123621] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6382), 1,
      sym__end_of_statement,
    STATE(7028), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14259), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123639] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7656), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123657] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5984), 1,
      sym__end_of_statement,
    STATE(7063), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123675] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6382), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14259), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123693] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6383), 1,
      sym__end_of_statement,
    STATE(7030), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14263), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123711] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7694), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7022), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123729] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14265), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9128), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [123749] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5984), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123767] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6383), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14263), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123785] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7700), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123803] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5034), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123821] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1341), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14257), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123839] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5942), 1,
      sym__end_of_statement,
    STATE(7065), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14269), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123857] = 5,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(14271), 1,
      aux_sym_end_program_statement_token1,
    STATE(7005), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14273), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [123875] = 5,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(14275), 1,
      aux_sym_end_program_statement_token1,
    STATE(7005), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14277), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [123893] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6396), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14279), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123911] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7747), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7031), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123929] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(6392), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14281), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [123947] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7755), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123965] = 5,
    ACTIONS(14091), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14093), 1,
      aux_sym_enumerator_statement_token1,
    STATE(8095), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [123983] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4994), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14283), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124001] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      sym__end_of_statement,
    STATE(7037), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14285), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124019] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      sym__end_of_statement,
    STATE(7041), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14287), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124037] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      sym__end_of_statement,
    STATE(7042), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124055] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124073] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      sym__end_of_statement,
    STATE(7043), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14291), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124091] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5942), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14269), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124109] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1939), 1,
      sym__end_of_statement,
    STATE(6932), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14293), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124127] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14291), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124145] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1857), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14295), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124163] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14297), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124181] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4926), 1,
      sym__end_of_statement,
    STATE(7079), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14299), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124199] = 6,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(7560), 1,
      sym_statement_label,
    STATE(8375), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [124219] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4921), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124237] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4924), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14303), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124255] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4910), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14305), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124273] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5009), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14307), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124291] = 6,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(13295), 1,
      sym__integer_literal,
    STATE(7266), 1,
      sym_statement_label,
    STATE(8488), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [124311] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4989), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14309), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124329] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5035), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14311), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124347] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14313), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9009), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [124367] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5036), 1,
      sym__end_of_statement,
    STATE(6883), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14315), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124385] = 5,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(8137), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14317), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124403] = 5,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(14319), 1,
      aux_sym_end_program_statement_token1,
    STATE(7026), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14321), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [124421] = 6,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14323), 1,
      anon_sym_RPAREN,
    STATE(3754), 1,
      sym__argument_list,
    STATE(9130), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [124441] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1699), 1,
      sym__end_of_statement,
    STATE(6947), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14325), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124459] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4907), 1,
      sym__end_of_statement,
    STATE(6980), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14327), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124477] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1342), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14329), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124495] = 5,
    ACTIONS(14331), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14333), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(14336), 1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7061), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [124513] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1882), 1,
      sym__end_of_statement,
    STATE(6918), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14338), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124531] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5954), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14340), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124549] = 5,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(8394), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14342), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124567] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5956), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14344), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124585] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1758), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14346), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124603] = 3,
    ACTIONS(14348), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [124617] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1743), 1,
      sym__end_of_statement,
    STATE(7077), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14350), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124635] = 5,
    ACTIONS(14352), 1,
      anon_sym_COMMA,
    ACTIONS(14356), 1,
      anon_sym_EQ_GT,
    STATE(7174), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14354), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124653] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4915), 1,
      sym__end_of_statement,
    STATE(6888), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14358), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124671] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      sym__end_of_statement,
    STATE(7081), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14360), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124689] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1344), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14362), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124707] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14364), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124725] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4917), 1,
      sym__end_of_statement,
    STATE(7047), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14366), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124743] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2148), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14368), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124761] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      sym__end_of_statement,
    STATE(7090), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14370), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124779] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14370), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124797] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1678), 1,
      sym__end_of_statement,
    STATE(7091), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14372), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124815] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4913), 1,
      sym__end_of_statement,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14374), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124833] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4911), 1,
      sym__end_of_statement,
    STATE(6917), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14376), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124851] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1678), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14372), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124869] = 4,
    ACTIONS(5082), 1,
      anon_sym_EQ,
    ACTIONS(6745), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6743), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
  [124885] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(5008), 1,
      sym__end_of_statement,
    STATE(7051), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14378), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124903] = 4,
    ACTIONS(8811), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14380), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6923), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [124919] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14382), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124937] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1882), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14338), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124955] = 5,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    STATE(1805), 1,
      sym__end_of_statement,
    STATE(7642), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14384), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124973] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      sym__end_of_statement,
    STATE(6893), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14386), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [124991] = 6,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(7562), 1,
      aux_sym_allocate_statement_repeat1,
    STATE(8346), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [125011] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1799), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14388), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125029] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      sym__end_of_statement,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14390), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125047] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14392), 5,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [125059] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      sym__end_of_statement,
    STATE(7086), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14394), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125077] = 3,
    ACTIONS(14396), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
  [125091] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1448), 1,
      sym__end_of_statement,
    STATE(6885), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14398), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125109] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(1549), 1,
      sym__end_of_statement,
    STATE(6887), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14400), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125127] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(2010), 1,
      sym__end_of_statement,
    STATE(6895), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14402), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125145] = 5,
    ACTIONS(14061), 1,
      anon_sym_COMMA,
    STATE(4998), 1,
      sym__end_of_statement,
    STATE(6912), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14404), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125163] = 5,
    ACTIONS(14065), 1,
      anon_sym_COMMA,
    STATE(5982), 1,
      sym__end_of_statement,
    STATE(7039), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14406), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125181] = 4,
    ACTIONS(14408), 1,
      anon_sym_COMMA,
    STATE(7100), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125196] = 4,
    ACTIONS(14411), 1,
      anon_sym_COMMA,
    STATE(7101), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14414), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125211] = 5,
    ACTIONS(14416), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14420), 1,
      sym_preproc_arg,
    STATE(8265), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125228] = 4,
    ACTIONS(14422), 1,
      anon_sym_COMMA,
    STATE(7230), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14424), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125243] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(7124), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14277), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [125258] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14426), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14428), 1,
      sym_preproc_arg,
    STATE(8267), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125275] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14430), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14432), 1,
      sym_preproc_arg,
    STATE(8277), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125292] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14434), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14436), 1,
      sym_preproc_arg,
    STATE(8270), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125309] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14438), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14440), 1,
      sym_preproc_arg,
    STATE(8273), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125326] = 5,
    ACTIONS(14053), 1,
      anon_sym_STAR,
    ACTIONS(14442), 1,
      anon_sym_LPAREN2,
    STATE(3754), 1,
      sym__argument_list,
    STATE(3755), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [125343] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14445), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14447), 1,
      sym_preproc_arg,
    STATE(8276), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125360] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14449), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14451), 1,
      sym_preproc_arg,
    STATE(8280), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125377] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14453), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14455), 1,
      sym_preproc_arg,
    STATE(8341), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125394] = 4,
    ACTIONS(14457), 1,
      anon_sym_COMMA,
    STATE(7113), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11082), 2,
      anon_sym_GT_GT_GT,
      anon_sym_RBRACK,
  [125409] = 5,
    ACTIONS(14460), 1,
      anon_sym_LPAREN2,
    ACTIONS(14462), 1,
      aux_sym_kind_token1,
    STATE(6078), 1,
      sym_parenthesized_expression,
    STATE(6079), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [125426] = 4,
    ACTIONS(14045), 1,
      anon_sym_COMMA,
    STATE(7117), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12092), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125441] = 4,
    ACTIONS(14045), 1,
      anon_sym_COMMA,
    STATE(7227), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12117), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125456] = 4,
    ACTIONS(14045), 1,
      anon_sym_COMMA,
    STATE(7227), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125471] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14464), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [125482] = 3,
    STATE(9214), 1,
      sym_number_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6294), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
  [125495] = 4,
    ACTIONS(14045), 1,
      anon_sym_COMMA,
    STATE(7227), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125510] = 3,
    ACTIONS(14468), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14466), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [125523] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14470), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [125534] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14472), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14474), 1,
      sym_preproc_arg,
    STATE(8214), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125551] = 4,
    ACTIONS(14476), 1,
      anon_sym_COMMA,
    STATE(7124), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14249), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [125566] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14479), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14481), 1,
      sym_preproc_arg,
    STATE(8283), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125583] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7209), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14485), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125598] = 4,
    ACTIONS(14487), 1,
      anon_sym_COMMA,
    STATE(7127), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10662), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125613] = 5,
    ACTIONS(14490), 1,
      anon_sym_LPAREN2,
    ACTIONS(14492), 1,
      aux_sym_kind_token1,
    STATE(3757), 1,
      sym_parenthesized_expression,
    STATE(3758), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [125630] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14494), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14496), 1,
      sym_preproc_arg,
    STATE(8254), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125647] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14498), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14500), 1,
      sym_preproc_arg,
    STATE(8200), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125664] = 4,
    ACTIONS(14502), 1,
      anon_sym_COMMA,
    STATE(8355), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14504), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125679] = 4,
    ACTIONS(14506), 1,
      anon_sym_COMMA,
    STATE(7156), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14508), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125694] = 4,
    ACTIONS(14506), 1,
      anon_sym_COMMA,
    STATE(7186), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14510), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125709] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7179), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14512), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125724] = 5,
    ACTIONS(14492), 1,
      aux_sym_kind_token1,
    ACTIONS(14514), 1,
      anon_sym_LPAREN2,
    STATE(3757), 1,
      sym_parenthesized_expression,
    STATE(3758), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [125741] = 4,
    ACTIONS(14506), 1,
      anon_sym_COMMA,
    STATE(7208), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14516), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125756] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14518), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14520), 1,
      sym_preproc_arg,
    STATE(8286), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125773] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14522), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14524), 1,
      sym_preproc_arg,
    STATE(8290), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125790] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14526), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14528), 1,
      sym_preproc_arg,
    STATE(8294), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125807] = 4,
    ACTIONS(14530), 1,
      anon_sym_COMMA,
    STATE(8248), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14532), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125822] = 4,
    ACTIONS(14534), 1,
      anon_sym_COMMA,
    STATE(7203), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14536), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125837] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14538), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14540), 1,
      sym_preproc_arg,
    STATE(8298), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125854] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14542), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14544), 1,
      sym_preproc_arg,
    STATE(8301), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125871] = 4,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(7127), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125886] = 4,
    ACTIONS(14422), 1,
      anon_sym_COMMA,
    STATE(7230), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14548), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125901] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14550), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [125912] = 4,
    ACTIONS(14422), 1,
      anon_sym_COMMA,
    STATE(7103), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14552), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125927] = 4,
    ACTIONS(14554), 1,
      anon_sym_COMMA,
    STATE(7224), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14556), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [125942] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14560), 1,
      sym_preproc_arg,
    STATE(8303), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125959] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14562), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14564), 1,
      sym_preproc_arg,
    STATE(8305), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125976] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14566), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14568), 1,
      sym_preproc_arg,
    STATE(8227), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [125993] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7193), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14570), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126008] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14572), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14574), 1,
      sym_preproc_arg,
    STATE(8307), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126025] = 5,
    ACTIONS(14576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    STATE(1116), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [126042] = 4,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(7216), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126057] = 4,
    ACTIONS(14506), 1,
      anon_sym_COMMA,
    STATE(7186), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14582), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126072] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14584), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14586), 1,
      sym_preproc_arg,
    STATE(8311), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126089] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14588), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14590), 1,
      sym_preproc_arg,
    STATE(8315), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126106] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7175), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14592), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126121] = 4,
    ACTIONS(14594), 1,
      anon_sym_COMMA,
    STATE(7160), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14597), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126136] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14599), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14601), 1,
      sym_preproc_arg,
    STATE(8319), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126153] = 4,
    ACTIONS(14352), 1,
      anon_sym_COMMA,
    STATE(7174), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14354), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126168] = 4,
    ACTIONS(10940), 1,
      anon_sym_COMMA,
    STATE(7100), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14603), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126183] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14605), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [126194] = 4,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(7127), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126209] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14607), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14609), 1,
      sym_preproc_arg,
    STATE(8322), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126226] = 4,
    ACTIONS(14611), 1,
      anon_sym_LPAREN2,
    STATE(9484), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126241] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(7124), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14180), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [126256] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14613), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14615), 1,
      sym_preproc_arg,
    STATE(8233), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126273] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(7124), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14184), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [126288] = 5,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(14617), 1,
      aux_sym_preproc_if_token2,
    STATE(1116), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [126305] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14619), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14621), 1,
      sym_preproc_arg,
    STATE(8262), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126322] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(7192), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14321), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [126337] = 4,
    ACTIONS(14352), 1,
      anon_sym_COMMA,
    STATE(7101), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14623), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126352] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7193), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14625), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126367] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7152), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14625), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126382] = 4,
    ACTIONS(14336), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14627), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7177), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [126397] = 5,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(14617), 1,
      aux_sym_preproc_if_token2,
    STATE(1109), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [126414] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7193), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14592), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126429] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14630), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14632), 1,
      sym_preproc_arg,
    STATE(8195), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126446] = 4,
    ACTIONS(14634), 1,
      anon_sym_COMMA,
    STATE(7181), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14637), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126461] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14639), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14641), 1,
      sym_preproc_arg,
    STATE(8142), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126478] = 4,
    ACTIONS(14534), 1,
      anon_sym_COMMA,
    STATE(7181), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14643), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126493] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14645), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14647), 1,
      sym_preproc_arg,
    STATE(8207), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126510] = 3,
    ACTIONS(14651), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14649), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126523] = 4,
    ACTIONS(14653), 1,
      anon_sym_COMMA,
    STATE(7186), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14656), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126538] = 5,
    ACTIONS(11486), 1,
      anon_sym_COMMA,
    ACTIONS(14658), 1,
      anon_sym_SLASH,
    STATE(3868), 1,
      sym_data_value,
    STATE(7323), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [126555] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14660), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14662), 1,
      sym_preproc_arg,
    STATE(8325), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126572] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14664), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14666), 1,
      sym_preproc_arg,
    STATE(8328), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126589] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14668), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14670), 1,
      sym_preproc_arg,
    STATE(8331), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126606] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14672), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14674), 1,
      sym_preproc_arg,
    STATE(8459), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126623] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(7124), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14273), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [126638] = 4,
    ACTIONS(14676), 1,
      anon_sym_COMMA,
    STATE(7193), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14679), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126653] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14681), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14683), 1,
      sym_preproc_arg,
    STATE(8334), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126670] = 4,
    ACTIONS(10940), 1,
      anon_sym_COMMA,
    STATE(7100), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14685), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126685] = 4,
    ACTIONS(14422), 1,
      anon_sym_COMMA,
    STATE(7145), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126700] = 3,
    STATE(9375), 1,
      sym_binary_op,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14689), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      aux_sym_binary_op_token1,
  [126713] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14691), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14693), 1,
      sym_preproc_arg,
    STATE(8337), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126730] = 5,
    ACTIONS(14695), 1,
      anon_sym_LPAREN2,
    ACTIONS(14697), 1,
      aux_sym_kind_token1,
    STATE(4485), 1,
      sym_parenthesized_expression,
    STATE(4486), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [126747] = 4,
    ACTIONS(14699), 1,
      anon_sym_COMMA,
    STATE(7200), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14702), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126762] = 4,
    ACTIONS(14704), 1,
      anon_sym_COMMA,
    STATE(7201), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14707), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126777] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14709), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14711), 1,
      sym_preproc_arg,
    STATE(8387), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126794] = 4,
    ACTIONS(14534), 1,
      anon_sym_COMMA,
    STATE(7181), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126809] = 4,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(7165), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10683), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126824] = 4,
    ACTIONS(14534), 1,
      anon_sym_COMMA,
    STATE(7183), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126839] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14715), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14717), 1,
      sym_preproc_arg,
    STATE(8240), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126856] = 4,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(7144), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10668), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126871] = 4,
    ACTIONS(14506), 1,
      anon_sym_COMMA,
    STATE(7186), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14719), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126886] = 4,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(7193), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14512), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126901] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13381), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [126912] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14721), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14723), 1,
      sym_preproc_arg,
    STATE(8454), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126929] = 4,
    ACTIONS(14045), 1,
      anon_sym_COMMA,
    STATE(7120), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12092), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126944] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14725), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14727), 1,
      sym_preproc_arg,
    STATE(8251), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [126961] = 4,
    ACTIONS(14506), 1,
      anon_sym_COMMA,
    STATE(7133), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14729), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [126976] = 5,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(14731), 1,
      aux_sym_preproc_if_token2,
    STATE(1109), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [126993] = 4,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(7127), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10672), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127008] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14733), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14735), 1,
      sym_preproc_arg,
    STATE(8483), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [127025] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    STATE(7168), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14236), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [127040] = 3,
    ACTIONS(14356), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14414), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127053] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8733), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [127064] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14737), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [127075] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14739), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [127086] = 4,
    ACTIONS(14741), 1,
      anon_sym_COMMA,
    STATE(8385), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14743), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127101] = 4,
    ACTIONS(14554), 1,
      anon_sym_COMMA,
    STATE(7201), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14745), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127116] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14747), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14749), 1,
      sym_preproc_arg,
    STATE(8163), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [127133] = 4,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    STATE(8346), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11644), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [127148] = 4,
    ACTIONS(14751), 1,
      anon_sym_COMMA,
    STATE(7227), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12113), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127163] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8739), 4,
      sym__external_end_of_statement,
      anon_sym_SEMI,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
  [127174] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14754), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14756), 1,
      sym_preproc_arg,
    STATE(8247), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [127191] = 4,
    ACTIONS(14758), 1,
      anon_sym_COMMA,
    STATE(7230), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14761), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127206] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14763), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14765), 1,
      sym_preproc_arg,
    STATE(8257), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [127223] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14767), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14769), 1,
      sym_preproc_arg,
    STATE(8259), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [127240] = 5,
    ACTIONS(14418), 1,
      anon_sym_LPAREN,
    ACTIONS(14771), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14773), 1,
      sym_preproc_arg,
    STATE(8140), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [127257] = 4,
    ACTIONS(14775), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(14777), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(14779), 1,
      aux_sym__standalone_type_qualifier_token9,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127271] = 3,
    STATE(830), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14781), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127283] = 4,
    ACTIONS(10512), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10514), 1,
      aux_sym_end_type_statement_token1,
    STATE(2394), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127297] = 4,
    ACTIONS(14783), 1,
      anon_sym_COMMA,
    ACTIONS(14785), 1,
      anon_sym_COLON_COLON,
    STATE(7881), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127311] = 4,
    ACTIONS(14787), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14789), 1,
      aux_sym_end_function_statement_token1,
    STATE(1072), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127325] = 3,
    STATE(3304), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14791), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127337] = 3,
    STATE(1360), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127349] = 3,
    STATE(2396), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14795), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127361] = 3,
    STATE(2398), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14797), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127373] = 4,
    ACTIONS(14799), 1,
      anon_sym_COMMA,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
    STATE(8101), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127387] = 4,
    ACTIONS(10873), 1,
      anon_sym_COMMA,
    ACTIONS(10875), 1,
      anon_sym_RBRACK,
    STATE(7257), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127401] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10877), 1,
      anon_sym_RPAREN,
    STATE(7258), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127415] = 3,
    STATE(1980), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14803), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127427] = 4,
    ACTIONS(14805), 1,
      anon_sym_COMMA,
    ACTIONS(14807), 1,
      anon_sym_RPAREN,
    STATE(7663), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127441] = 3,
    ACTIONS(8811), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(7084), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [127453] = 3,
    STATE(2368), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14809), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127465] = 4,
    ACTIONS(10512), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10514), 1,
      aux_sym_end_type_statement_token1,
    STATE(2374), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127479] = 3,
    STATE(2375), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14811), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127491] = 3,
    STATE(2376), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14813), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127503] = 4,
    ACTIONS(11030), 1,
      anon_sym_COMMA,
    ACTIONS(14815), 1,
      anon_sym_SLASH_RPAREN,
    STATE(8123), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127517] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(14819), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127531] = 3,
    ACTIONS(14821), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14823), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [127543] = 3,
    STATE(924), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14825), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127555] = 4,
    ACTIONS(14827), 1,
      anon_sym_COMMA,
    ACTIONS(14829), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127569] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(14831), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127583] = 4,
    ACTIONS(14833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14835), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5710), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127597] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(14837), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127611] = 3,
    STATE(2335), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14839), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127623] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14414), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127633] = 3,
    STATE(1650), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14841), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127645] = 4,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(14843), 1,
      anon_sym_RPAREN,
    STATE(8094), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127659] = 3,
    STATE(2365), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14845), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127671] = 4,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    STATE(8192), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127685] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(14849), 1,
      anon_sym_RBRACK,
    STATE(7277), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127699] = 3,
    STATE(5637), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14851), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127711] = 3,
    STATE(5949), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14853), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127723] = 4,
    ACTIONS(14855), 1,
      sym__integer_literal,
    STATE(7631), 1,
      sym_statement_label,
    STATE(8218), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127737] = 3,
    STATE(5718), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14857), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127749] = 4,
    ACTIONS(14833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14835), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5719), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127763] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(14859), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127777] = 4,
    ACTIONS(14861), 1,
      anon_sym_COMMA,
    ACTIONS(14863), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127791] = 3,
    STATE(844), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14865), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127803] = 4,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    STATE(8375), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127817] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(14867), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127831] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(14867), 1,
      anon_sym_RBRACK,
    STATE(7284), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127845] = 3,
    STATE(854), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127857] = 3,
    STATE(5729), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14871), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127869] = 4,
    ACTIONS(14833), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14835), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5730), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127883] = 3,
    STATE(879), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14873), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127895] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10662), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127905] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(14875), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127919] = 3,
    STATE(2313), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14877), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127931] = 4,
    ACTIONS(10496), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10498), 1,
      aux_sym_end_type_statement_token1,
    STATE(1641), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [127945] = 3,
    STATE(6052), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14879), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127957] = 3,
    STATE(2340), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14881), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127969] = 3,
    STATE(2350), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14883), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127981] = 3,
    STATE(6283), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14885), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [127993] = 3,
    STATE(6294), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14887), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128005] = 3,
    STATE(816), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9294), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128017] = 4,
    ACTIONS(14889), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14891), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5788), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128031] = 4,
    ACTIONS(14893), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14895), 1,
      aux_sym_end_function_statement_token1,
    STATE(5790), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128045] = 4,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1065), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128059] = 3,
    STATE(4859), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14897), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128071] = 3,
    STATE(2209), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14899), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128083] = 3,
    STATE(5794), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14901), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128095] = 4,
    ACTIONS(14889), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14891), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5795), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128109] = 4,
    ACTIONS(14903), 1,
      anon_sym_COMMA,
    ACTIONS(14905), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128123] = 3,
    STATE(5797), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14907), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128135] = 4,
    ACTIONS(14909), 1,
      anon_sym_COMMA,
    ACTIONS(14911), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128149] = 4,
    ACTIONS(14893), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14895), 1,
      aux_sym_end_function_statement_token1,
    STATE(5798), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128163] = 4,
    ACTIONS(14913), 1,
      sym_preproc_comment,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6581), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128177] = 3,
    STATE(5806), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14917), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128189] = 4,
    ACTIONS(14889), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14891), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5807), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128203] = 3,
    STATE(5808), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14919), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128215] = 4,
    ACTIONS(14893), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14895), 1,
      aux_sym_end_function_statement_token1,
    STATE(5809), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128229] = 3,
    STATE(2472), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14921), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128241] = 3,
    STATE(832), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14923), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128253] = 3,
    STATE(1681), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14925), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128265] = 4,
    ACTIONS(14799), 1,
      anon_sym_COMMA,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
    STATE(8007), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128279] = 4,
    ACTIONS(11058), 1,
      anon_sym_RPAREN,
    ACTIONS(14927), 1,
      anon_sym_COMMA,
    STATE(7313), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128293] = 3,
    STATE(856), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14930), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128305] = 3,
    STATE(4848), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14932), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128317] = 3,
    STATE(1681), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14925), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128329] = 3,
    STATE(3413), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14934), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128341] = 3,
    STATE(2020), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14936), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128353] = 4,
    ACTIONS(14938), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [128367] = 3,
    STATE(813), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14942), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128379] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(14944), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [128393] = 4,
    ACTIONS(10504), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10506), 1,
      aux_sym_end_type_statement_token1,
    STATE(1995), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128407] = 4,
    ACTIONS(11776), 1,
      anon_sym_SLASH,
    ACTIONS(14946), 1,
      anon_sym_COMMA,
    STATE(7323), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128421] = 3,
    STATE(3224), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128433] = 3,
    STATE(2034), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14951), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128445] = 3,
    STATE(1896), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14953), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128457] = 3,
    STATE(1978), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14955), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128469] = 4,
    ACTIONS(14957), 1,
      anon_sym_COMMA,
    ACTIONS(14959), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128483] = 4,
    ACTIONS(14961), 1,
      anon_sym_COMMA,
    ACTIONS(14963), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128497] = 4,
    ACTIONS(10908), 1,
      anon_sym_COMMA,
    ACTIONS(10910), 1,
      anon_sym_RBRACK,
    STATE(7340), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128511] = 3,
    STATE(1884), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128523] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10912), 1,
      anon_sym_RPAREN,
    STATE(7341), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128537] = 3,
    STATE(1833), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128549] = 3,
    STATE(1710), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14969), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128561] = 4,
    ACTIONS(10504), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10506), 1,
      aux_sym_end_type_statement_token1,
    STATE(1712), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128575] = 3,
    STATE(1714), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14971), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128587] = 3,
    STATE(1736), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14973), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128599] = 4,
    ACTIONS(14975), 1,
      aux_sym_included_items_token1,
    ACTIONS(14977), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(14979), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128613] = 4,
    ACTIONS(11030), 1,
      anon_sym_COMMA,
    ACTIONS(14981), 1,
      anon_sym_SLASH_RPAREN,
    STATE(8123), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128627] = 4,
    ACTIONS(14983), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128641] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(14987), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128655] = 3,
    STATE(5952), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14989), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128667] = 3,
    STATE(778), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14991), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128679] = 4,
    ACTIONS(14993), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14995), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5761), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128693] = 3,
    STATE(712), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14997), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128705] = 3,
    STATE(1802), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14999), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128717] = 4,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1047), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128731] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7515), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128745] = 3,
    STATE(2991), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15001), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128757] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15003), 1,
      anon_sym_RBRACK,
    STATE(7364), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128771] = 3,
    STATE(2173), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15005), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128783] = 4,
    ACTIONS(15007), 1,
      sym_preproc_comment,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6591), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128797] = 3,
    STATE(5766), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15011), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128809] = 3,
    STATE(911), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15013), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128821] = 4,
    ACTIONS(14993), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14995), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5767), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128835] = 4,
    ACTIONS(10488), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10490), 1,
      aux_sym_end_type_statement_token1,
    STATE(2218), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128849] = 4,
    ACTIONS(15015), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15017), 1,
      aux_sym_end_program_statement_token2,
    STATE(1206), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128863] = 4,
    ACTIONS(11666), 1,
      anon_sym_COMMA,
    ACTIONS(15019), 1,
      anon_sym_SLASH,
    STATE(7915), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128877] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15021), 1,
      anon_sym_RPAREN,
    STATE(7260), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128891] = 3,
    STATE(1721), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15023), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128903] = 3,
    STATE(2490), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15025), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128915] = 3,
    STATE(1833), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128927] = 3,
    STATE(2220), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15027), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128939] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15029), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128953] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15029), 1,
      anon_sym_RBRACK,
    STATE(7370), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [128967] = 3,
    STATE(2221), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15031), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128979] = 3,
    STATE(5774), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15033), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [128991] = 4,
    ACTIONS(14993), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14995), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5775), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129005] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15035), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129019] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15037), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129033] = 4,
    ACTIONS(15039), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15041), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5638), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129047] = 3,
    STATE(1934), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15043), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129059] = 3,
    STATE(2382), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15045), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129071] = 3,
    STATE(1723), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15047), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129083] = 3,
    STATE(1761), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15049), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129095] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15051), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129109] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15053), 1,
      anon_sym_RPAREN,
    STATE(7616), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129123] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15055), 1,
      anon_sym_RPAREN,
    STATE(7618), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129137] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15057), 1,
      anon_sym_RPAREN,
    STATE(7622), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129151] = 4,
    ACTIONS(15059), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15061), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5813), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129165] = 4,
    ACTIONS(15063), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15065), 1,
      aux_sym_end_function_statement_token1,
    STATE(5815), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129179] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8285), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129193] = 3,
    STATE(5817), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15067), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129205] = 4,
    ACTIONS(15059), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15061), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5818), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129219] = 3,
    STATE(5820), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15069), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129231] = 4,
    ACTIONS(15063), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15065), 1,
      aux_sym_end_function_statement_token1,
    STATE(5821), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129245] = 3,
    STATE(5827), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15071), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129257] = 4,
    ACTIONS(15059), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15061), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5828), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129271] = 3,
    STATE(5829), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15073), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129283] = 4,
    ACTIONS(15063), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15065), 1,
      aux_sym_end_function_statement_token1,
    STATE(5830), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129297] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8291), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129311] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8310), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129325] = 3,
    STATE(5963), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15075), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129337] = 3,
    STATE(4806), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15077), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129349] = 3,
    STATE(1697), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15079), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129361] = 3,
    STATE(3416), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15081), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129373] = 3,
    STATE(1507), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15083), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129385] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15085), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [129399] = 3,
    STATE(1884), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129411] = 4,
    ACTIONS(15087), 1,
      anon_sym_COMMA,
    ACTIONS(15090), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129425] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15092), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129439] = 4,
    ACTIONS(10476), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10478), 1,
      aux_sym_end_type_statement_token1,
    STATE(1705), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129453] = 3,
    STATE(3346), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15094), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129465] = 3,
    STATE(1511), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15096), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129477] = 3,
    STATE(1707), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15098), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129489] = 3,
    STATE(1708), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15100), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129501] = 4,
    ACTIONS(15015), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15017), 1,
      aux_sym_end_program_statement_token2,
    STATE(1235), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129515] = 4,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    ACTIONS(10964), 1,
      anon_sym_RBRACK,
    STATE(7419), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129529] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    STATE(7420), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129543] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15102), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129553] = 3,
    STATE(1706), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15104), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129565] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15106), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129575] = 3,
    STATE(1732), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15108), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129587] = 4,
    ACTIONS(10476), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10478), 1,
      aux_sym_end_type_statement_token1,
    STATE(1733), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129601] = 3,
    STATE(1734), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15110), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129613] = 3,
    STATE(1735), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15112), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129625] = 3,
    STATE(5977), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15114), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129637] = 4,
    ACTIONS(10922), 1,
      anon_sym_COMMA,
    ACTIONS(10924), 1,
      anon_sym_RPAREN,
    STATE(7567), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129651] = 4,
    ACTIONS(15116), 1,
      anon_sym_COMMA,
    ACTIONS(15118), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129665] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(15120), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129679] = 4,
    ACTIONS(11662), 1,
      anon_sym_RPAREN,
    ACTIONS(15122), 1,
      anon_sym_COMMA,
    STATE(7421), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129693] = 3,
    STATE(825), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15125), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129705] = 4,
    ACTIONS(15127), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15129), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5239), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129719] = 3,
    STATE(1762), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15131), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129731] = 4,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(15133), 1,
      anon_sym_RPAREN,
    STATE(8094), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129745] = 4,
    ACTIONS(10956), 1,
      anon_sym_COMMA,
    ACTIONS(10958), 1,
      anon_sym_RBRACK,
    STATE(7502), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129759] = 3,
    STATE(1208), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15135), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129771] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10960), 1,
      anon_sym_RPAREN,
    STATE(7504), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129785] = 4,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(15139), 1,
      anon_sym_RPAREN,
    STATE(8121), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129799] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15141), 1,
      anon_sym_RBRACK,
    STATE(7439), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129813] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(15145), 1,
      anon_sym_RPAREN,
    STATE(7762), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129827] = 3,
    STATE(5225), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15147), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129839] = 4,
    ACTIONS(15149), 1,
      anon_sym_COMMA,
    ACTIONS(15151), 1,
      anon_sym_RPAREN,
    STATE(7505), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129853] = 4,
    ACTIONS(15127), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15129), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5231), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129867] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(15153), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129881] = 3,
    STATE(2222), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15155), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129893] = 3,
    ACTIONS(15157), 1,
      aux_sym_block_data_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129905] = 3,
    STATE(3009), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15159), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129917] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15161), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129931] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15161), 1,
      anon_sym_RBRACK,
    STATE(7448), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129945] = 3,
    STATE(2219), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15163), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129957] = 3,
    STATE(5201), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15165), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [129969] = 4,
    ACTIONS(15127), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15129), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5234), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129983] = 4,
    ACTIONS(15167), 1,
      anon_sym_COMMA,
    ACTIONS(15169), 1,
      anon_sym_RPAREN,
    STATE(8092), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [129997] = 3,
    STATE(4983), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15171), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130009] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14119), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [130019] = 3,
    STATE(2232), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15173), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130031] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15175), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130045] = 4,
    ACTIONS(10488), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10490), 1,
      aux_sym_end_type_statement_token1,
    STATE(2233), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130059] = 3,
    STATE(1648), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15177), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130071] = 3,
    STATE(1972), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15179), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130083] = 3,
    STATE(1976), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15181), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130095] = 4,
    ACTIONS(7171), 1,
      anon_sym_LPAREN2,
    STATE(2612), 1,
      sym__argument_list,
    STATE(4008), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130109] = 4,
    ACTIONS(15183), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15185), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1253), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130123] = 4,
    ACTIONS(15187), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15189), 1,
      aux_sym_end_module_statement_token1,
    STATE(1209), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130137] = 4,
    ACTIONS(15191), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15193), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5359), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130151] = 3,
    STATE(2234), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15195), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130163] = 3,
    STATE(2235), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15197), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130175] = 3,
    STATE(1032), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15199), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130187] = 4,
    ACTIONS(15201), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15203), 1,
      aux_sym_end_function_statement_token1,
    STATE(5364), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130201] = 3,
    STATE(5331), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15205), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130213] = 4,
    ACTIONS(15191), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15193), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5334), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130227] = 3,
    STATE(848), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8805), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130239] = 3,
    STATE(5344), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15207), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130251] = 4,
    ACTIONS(15209), 1,
      anon_sym_COMMA,
    ACTIONS(15211), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130265] = 4,
    ACTIONS(15201), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15203), 1,
      aux_sym_end_function_statement_token1,
    STATE(5355), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130279] = 4,
    ACTIONS(14861), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_RPAREN,
    STATE(7274), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130293] = 3,
    STATE(5343), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15215), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130305] = 4,
    ACTIONS(15191), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15193), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5345), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130319] = 3,
    STATE(5367), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15217), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130331] = 4,
    ACTIONS(15201), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15203), 1,
      aux_sym_end_function_statement_token1,
    STATE(5352), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130345] = 3,
    STATE(1211), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15219), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130357] = 4,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    STATE(8160), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130371] = 3,
    ACTIONS(7801), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [130383] = 3,
    STATE(4835), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15221), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130395] = 3,
    STATE(1317), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15223), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130407] = 3,
    STATE(2719), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15225), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130419] = 3,
    STATE(1369), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15227), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130431] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15229), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [130445] = 4,
    ACTIONS(15231), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15233), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1036), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130459] = 4,
    ACTIONS(10508), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10510), 1,
      aux_sym_end_type_statement_token1,
    STATE(1320), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130473] = 3,
    STATE(2727), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15235), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130485] = 3,
    STATE(1393), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15237), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130497] = 3,
    STATE(1322), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15239), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130509] = 3,
    STATE(1323), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130521] = 3,
    STATE(3111), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15243), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130533] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10871), 1,
      anon_sym_RPAREN,
    STATE(7495), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130547] = 3,
    STATE(1393), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15237), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130559] = 3,
    STATE(1327), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15245), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130571] = 4,
    ACTIONS(10508), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10510), 1,
      aux_sym_end_type_statement_token1,
    STATE(1328), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130585] = 3,
    STATE(1329), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15247), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130597] = 3,
    STATE(1330), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15249), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130609] = 3,
    STATE(1042), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15251), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130621] = 3,
    STATE(1240), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15253), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130633] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(15255), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130647] = 4,
    ACTIONS(15257), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15259), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1212), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130661] = 4,
    ACTIONS(15261), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15263), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5554), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130675] = 3,
    STATE(803), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15265), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130687] = 3,
    STATE(1338), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130699] = 3,
    STATE(6033), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15269), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130711] = 3,
    STATE(5557), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15271), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130723] = 4,
    ACTIONS(15273), 1,
      anon_sym_COMMA,
    ACTIONS(15275), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130737] = 4,
    ACTIONS(15261), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15263), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5558), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130751] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(15277), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130765] = 4,
    ACTIONS(15279), 1,
      anon_sym_COMMA,
    ACTIONS(15281), 1,
      anon_sym_RPAREN,
    STATE(8072), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130779] = 4,
    ACTIONS(14787), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14789), 1,
      aux_sym_end_function_statement_token1,
    STATE(1043), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130793] = 3,
    STATE(1241), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15283), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130805] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15285), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130815] = 3,
    STATE(5562), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15287), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130827] = 4,
    ACTIONS(15261), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15263), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5563), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130841] = 3,
    STATE(867), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130853] = 4,
    ACTIONS(15257), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15259), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1245), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130867] = 3,
    STATE(1926), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15291), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130879] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15293), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130889] = 3,
    STATE(5962), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15295), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130901] = 3,
    STATE(1018), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15297), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130913] = 3,
    STATE(1019), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15299), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130925] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14649), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130935] = 4,
    ACTIONS(15301), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15303), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5883), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130949] = 3,
    STATE(5970), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15305), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130961] = 4,
    ACTIONS(15307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15309), 1,
      aux_sym_end_function_statement_token1,
    STATE(5885), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [130975] = 3,
    STATE(5887), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15311), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [130987] = 4,
    ACTIONS(15301), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15303), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5888), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131001] = 3,
    STATE(5890), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15313), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131013] = 3,
    STATE(2972), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15315), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131025] = 4,
    ACTIONS(15307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15309), 1,
      aux_sym_end_function_statement_token1,
    STATE(5891), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131039] = 4,
    ACTIONS(15317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15319), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5647), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131053] = 3,
    STATE(5893), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15321), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131065] = 4,
    ACTIONS(15301), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15303), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5894), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131079] = 3,
    STATE(5895), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15323), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131091] = 4,
    ACTIONS(15307), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15309), 1,
      aux_sym_end_function_statement_token1,
    STATE(5896), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131105] = 4,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(8137), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131119] = 3,
    STATE(2255), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15325), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131131] = 3,
    STATE(4851), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15327), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131143] = 3,
    STATE(2020), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14936), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131155] = 3,
    STATE(1214), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15329), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131167] = 3,
    STATE(2551), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15331), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131179] = 3,
    STATE(1724), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15333), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131191] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15335), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [131205] = 3,
    ACTIONS(7539), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [131217] = 4,
    ACTIONS(15337), 1,
      sym_preproc_comment,
    ACTIONS(15339), 1,
      aux_sym_select_case_statement_token2,
    STATE(9211), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131231] = 4,
    ACTIONS(10492), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10494), 1,
      aux_sym_end_type_statement_token1,
    STATE(2032), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131245] = 3,
    STATE(2552), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15341), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131257] = 3,
    STATE(1729), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15343), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131269] = 3,
    STATE(2036), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131281] = 3,
    STATE(2043), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15347), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131293] = 3,
    STATE(1166), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15349), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131305] = 3,
    STATE(2034), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14951), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131317] = 4,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(15351), 1,
      anon_sym_RPAREN,
    STATE(8094), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131331] = 3,
    STATE(2057), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15353), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131343] = 4,
    ACTIONS(10492), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10494), 1,
      aux_sym_end_type_statement_token1,
    STATE(2028), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131357] = 3,
    STATE(1999), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15355), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131369] = 3,
    STATE(2006), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15357), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131381] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15359), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131395] = 3,
    STATE(1980), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14803), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131407] = 4,
    ACTIONS(15361), 1,
      anon_sym_COMMA,
    ACTIONS(15363), 1,
      anon_sym_RPAREN,
    STATE(7722), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131421] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15365), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131435] = 4,
    ACTIONS(15367), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15369), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5848), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131449] = 3,
    STATE(2030), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15371), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131461] = 4,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    STATE(8179), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131475] = 3,
    STATE(910), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15373), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131487] = 4,
    ACTIONS(15375), 1,
      anon_sym_COMMA,
    ACTIONS(15377), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131501] = 3,
    STATE(5855), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131513] = 4,
    ACTIONS(15367), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15369), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5856), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131527] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15381), 1,
      anon_sym_RBRACK,
    STATE(7619), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131541] = 3,
    STATE(6289), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131553] = 4,
    ACTIONS(10922), 1,
      anon_sym_COMMA,
    ACTIONS(15385), 1,
      anon_sym_RPAREN,
    STATE(7313), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131567] = 3,
    STATE(755), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15387), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131579] = 3,
    STATE(5863), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15389), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131591] = 4,
    ACTIONS(15367), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15369), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5864), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131605] = 4,
    ACTIONS(15391), 1,
      anon_sym_COMMA,
    ACTIONS(15393), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131619] = 4,
    ACTIONS(15395), 1,
      anon_sym_COMMA,
    ACTIONS(15397), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131633] = 3,
    STATE(2905), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15399), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131645] = 3,
    STATE(2025), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15401), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131657] = 3,
    STATE(2042), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131669] = 4,
    ACTIONS(15405), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15407), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4984), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131683] = 4,
    ACTIONS(15409), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15411), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5902), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131697] = 4,
    ACTIONS(15413), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15415), 1,
      aux_sym_end_function_statement_token1,
    STATE(5904), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131711] = 3,
    STATE(5906), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131723] = 4,
    ACTIONS(15409), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15411), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5907), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131737] = 3,
    STATE(721), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15419), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131749] = 3,
    STATE(5909), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15421), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131761] = 3,
    STATE(4985), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15423), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131773] = 4,
    ACTIONS(15413), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15415), 1,
      aux_sym_end_function_statement_token1,
    STATE(5910), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131787] = 3,
    STATE(723), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131799] = 3,
    STATE(5913), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15427), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131811] = 4,
    ACTIONS(15409), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15411), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5914), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131825] = 3,
    STATE(5915), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15429), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131837] = 4,
    ACTIONS(15413), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15415), 1,
      aux_sym_end_function_statement_token1,
    STATE(5916), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131851] = 3,
    STATE(1507), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15083), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131863] = 3,
    STATE(2748), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131875] = 3,
    STATE(1779), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15433), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131887] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15435), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [131901] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131915] = 4,
    ACTIONS(10480), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10482), 1,
      aux_sym_end_type_statement_token1,
    STATE(1510), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [131929] = 3,
    STATE(2652), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15439), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131941] = 3,
    STATE(1786), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15441), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131953] = 3,
    STATE(1512), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15443), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131965] = 3,
    STATE(1513), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15445), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131977] = 3,
    STATE(5676), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15447), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [131989] = 4,
    ACTIONS(15317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15319), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5677), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132003] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15449), 1,
      anon_sym_RPAREN,
    STATE(7718), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132017] = 3,
    STATE(1786), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15441), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132029] = 4,
    ACTIONS(15451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15453), 1,
      aux_sym_end_function_statement_token1,
    STATE(1125), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132043] = 3,
    STATE(1515), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15455), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132055] = 4,
    ACTIONS(10480), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10482), 1,
      aux_sym_end_type_statement_token1,
    STATE(1516), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132069] = 3,
    STATE(1517), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15457), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132081] = 3,
    STATE(1518), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15459), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132093] = 3,
    STATE(1242), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15461), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132105] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15463), 1,
      anon_sym_RPAREN,
    STATE(7723), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132119] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15465), 1,
      anon_sym_RPAREN,
    STATE(8128), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132133] = 3,
    STATE(1523), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15467), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132145] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15469), 1,
      anon_sym_RPAREN,
    STATE(7736), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132159] = 3,
    ACTIONS(15471), 1,
      aux_sym_block_data_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132171] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(15473), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132185] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132199] = 4,
    ACTIONS(15477), 1,
      sym_preproc_comment,
    ACTIONS(15479), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(9536), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132213] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15481), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132227] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15483), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132241] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15483), 1,
      anon_sym_RBRACK,
    STATE(7664), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132255] = 3,
    STATE(1027), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15485), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132267] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15487), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132281] = 4,
    ACTIONS(14861), 1,
      anon_sym_COMMA,
    ACTIONS(15489), 1,
      anon_sym_RPAREN,
    STATE(7925), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132295] = 3,
    STATE(768), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132307] = 3,
    STATE(1191), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15493), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132319] = 3,
    STATE(1192), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15495), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132331] = 3,
    STATE(1215), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15497), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132343] = 3,
    STATE(714), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15499), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132355] = 4,
    ACTIONS(15501), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15503), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5193), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132369] = 3,
    STATE(1769), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15505), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132381] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9451), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132391] = 4,
    ACTIONS(15507), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15509), 1,
      aux_sym_end_function_statement_token1,
    STATE(5195), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132405] = 3,
    STATE(5206), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15511), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132417] = 4,
    ACTIONS(15501), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15503), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5207), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132431] = 3,
    STATE(5215), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15513), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132443] = 4,
    ACTIONS(15507), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15509), 1,
      aux_sym_end_function_statement_token1,
    STATE(5216), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132457] = 3,
    STATE(5247), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15515), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132469] = 4,
    ACTIONS(15501), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15503), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5249), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132483] = 3,
    STATE(5255), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15517), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132495] = 4,
    ACTIONS(15507), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15509), 1,
      aux_sym_end_function_statement_token1,
    STATE(5256), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132509] = 3,
    STATE(1369), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15227), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132521] = 3,
    STATE(1947), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15519), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132533] = 3,
    STATE(2900), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15521), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132545] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15523), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [132559] = 4,
    ACTIONS(10662), 1,
      anon_sym_RPAREN,
    ACTIONS(15525), 1,
      anon_sym_COMMA,
    STATE(7645), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132573] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15528), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132583] = 4,
    ACTIONS(10484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10486), 1,
      aux_sym_end_type_statement_token1,
    STATE(1391), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132597] = 3,
    STATE(2910), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15530), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132609] = 3,
    STATE(1396), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15532), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132621] = 3,
    STATE(1397), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132633] = 4,
    ACTIONS(15187), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15189), 1,
      aux_sym_end_module_statement_token1,
    STATE(1238), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132647] = 3,
    STATE(1729), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15343), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132659] = 3,
    STATE(1407), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15536), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132671] = 4,
    ACTIONS(10484), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10486), 1,
      aux_sym_end_type_statement_token1,
    STATE(1410), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132685] = 3,
    STATE(1365), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15538), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132697] = 3,
    STATE(1367), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15540), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132709] = 3,
    STATE(1961), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15542), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132721] = 3,
    STATE(1217), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15544), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132733] = 3,
    STATE(5726), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132745] = 4,
    ACTIONS(15317), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15319), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5727), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132759] = 3,
    STATE(1386), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15548), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132771] = 4,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(7275), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132785] = 4,
    ACTIONS(14805), 1,
      anon_sym_COMMA,
    ACTIONS(15550), 1,
      anon_sym_RPAREN,
    STATE(8001), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132799] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(15552), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132813] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7441), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132827] = 3,
    STATE(2016), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15558), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132839] = 3,
    STATE(2878), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15560), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132851] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14707), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132861] = 3,
    STATE(1416), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15562), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132873] = 3,
    STATE(1417), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15564), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132885] = 4,
    ACTIONS(15566), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15568), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5439), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132899] = 4,
    ACTIONS(15570), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15572), 1,
      aux_sym_end_function_statement_token1,
    STATE(5441), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132913] = 4,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(15574), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15576), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132927] = 3,
    STATE(5443), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15578), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132939] = 4,
    ACTIONS(15566), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15568), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5444), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132953] = 4,
    ACTIONS(15183), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15185), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1218), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [132967] = 3,
    STATE(5446), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15580), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132979] = 3,
    STATE(1012), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15582), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [132991] = 4,
    ACTIONS(15570), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15572), 1,
      aux_sym_end_function_statement_token1,
    STATE(5447), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133005] = 3,
    STATE(5448), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15584), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133017] = 4,
    ACTIONS(15566), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15568), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5449), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133031] = 3,
    STATE(5450), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15586), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133043] = 4,
    ACTIONS(15570), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15572), 1,
      aux_sym_end_function_statement_token1,
    STATE(5451), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133057] = 3,
    STATE(736), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15588), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133069] = 3,
    STATE(1724), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15333), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133081] = 3,
    STATE(3297), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15590), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133093] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15592), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133107] = 3,
    STATE(745), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15594), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133119] = 3,
    STATE(786), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15596), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133131] = 3,
    STATE(756), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15598), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133143] = 4,
    ACTIONS(10472), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10474), 1,
      aux_sym_end_type_statement_token1,
    STATE(1728), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133157] = 3,
    STATE(3308), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15600), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133169] = 3,
    STATE(1730), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15602), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133181] = 3,
    STATE(1731), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15604), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133193] = 4,
    ACTIONS(15606), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15608), 1,
      aux_sym_end_function_statement_token1,
    STATE(4986), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133207] = 4,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1037), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133221] = 3,
    STATE(1739), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15610), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133233] = 4,
    ACTIONS(10472), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10474), 1,
      aux_sym_end_type_statement_token1,
    STATE(1740), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133247] = 3,
    STATE(1741), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15612), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133259] = 3,
    STATE(1742), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15614), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133271] = 3,
    STATE(763), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15616), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133283] = 3,
    STATE(765), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15618), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133295] = 4,
    ACTIONS(15231), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15233), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1020), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133309] = 3,
    STATE(1750), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15620), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133321] = 3,
    STATE(1023), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15622), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133333] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(15624), 1,
      anon_sym_RPAREN,
    STATE(8022), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133347] = 4,
    ACTIONS(14787), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14789), 1,
      aux_sym_end_function_statement_token1,
    STATE(1033), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133361] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15626), 1,
      anon_sym_RPAREN,
    STATE(7376), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133375] = 3,
    STATE(1115), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9048), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133387] = 3,
    STATE(2164), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15628), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133399] = 4,
    ACTIONS(8884), 1,
      anon_sym_LPAREN2,
    STATE(3730), 1,
      sym__argument_list,
    STATE(7314), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133413] = 4,
    ACTIONS(15630), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15632), 1,
      aux_sym_end_module_statement_token1,
    STATE(1118), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133427] = 4,
    ACTIONS(15634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15636), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1120), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133441] = 3,
    STATE(3344), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15638), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133453] = 4,
    ACTIONS(8584), 1,
      sym__integer_literal,
    STATE(4476), 1,
      sym_statement_label,
    STATE(8412), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133467] = 3,
    STATE(1793), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15640), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133479] = 3,
    STATE(1806), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15642), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133491] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15644), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133505] = 4,
    ACTIONS(15646), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15648), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5715), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133519] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15650), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133529] = 4,
    ACTIONS(15652), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15654), 1,
      aux_sym_end_function_statement_token1,
    STATE(5722), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133543] = 4,
    ACTIONS(15361), 1,
      anon_sym_COMMA,
    ACTIONS(15656), 1,
      anon_sym_RPAREN,
    STATE(7963), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133557] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15658), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133571] = 3,
    STATE(5734), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15660), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133583] = 4,
    ACTIONS(15646), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15648), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5740), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133597] = 3,
    STATE(5744), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15662), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133609] = 3,
    STATE(2187), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15664), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133621] = 4,
    ACTIONS(15652), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15654), 1,
      aux_sym_end_function_statement_token1,
    STATE(5749), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133635] = 3,
    STATE(5753), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15666), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133647] = 4,
    ACTIONS(15646), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15648), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5757), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133661] = 3,
    STATE(5759), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15668), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133673] = 4,
    ACTIONS(15652), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15654), 1,
      aux_sym_end_function_statement_token1,
    STATE(5762), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133687] = 3,
    STATE(1128), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15670), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133699] = 3,
    STATE(6304), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15672), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133711] = 4,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    STATE(1129), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133725] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15674), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133739] = 3,
    STATE(1779), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15433), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133751] = 3,
    STATE(1131), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133763] = 3,
    STATE(3394), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15678), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133775] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15680), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [133789] = 3,
    STATE(1244), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15682), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133801] = 4,
    ACTIONS(15630), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15632), 1,
      aux_sym_end_module_statement_token1,
    STATE(1132), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133815] = 3,
    STATE(1134), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15684), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133827] = 4,
    ACTIONS(10446), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10460), 1,
      aux_sym_end_type_statement_token1,
    STATE(1785), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133841] = 3,
    STATE(3399), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15686), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133853] = 3,
    STATE(1787), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15688), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133865] = 3,
    STATE(1788), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15690), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133877] = 4,
    ACTIONS(15634), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15636), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1135), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133891] = 3,
    STATE(2258), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15692), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133903] = 4,
    ACTIONS(15694), 1,
      anon_sym_COMMA,
    ACTIONS(15696), 1,
      anon_sym_RPAREN,
    STATE(7890), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133917] = 3,
    STATE(1137), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15698), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133929] = 3,
    STATE(1795), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15700), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133941] = 4,
    ACTIONS(10446), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10460), 1,
      aux_sym_end_type_statement_token1,
    STATE(1796), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [133955] = 3,
    STATE(1797), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15702), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133967] = 3,
    STATE(1798), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15704), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133979] = 3,
    STATE(6066), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15706), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [133991] = 3,
    STATE(1807), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15708), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134003] = 4,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    STATE(1145), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134017] = 3,
    STATE(1146), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15710), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134029] = 3,
    STATE(1147), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15712), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134041] = 3,
    STATE(2166), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15714), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134053] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(15624), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134067] = 3,
    STATE(1149), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15716), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134079] = 4,
    ACTIONS(8584), 1,
      sym__integer_literal,
    STATE(4476), 1,
      sym_statement_label,
    STATE(8026), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134093] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(15718), 1,
      anon_sym_RPAREN,
    STATE(8040), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134107] = 3,
    ACTIONS(15720), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15722), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134119] = 3,
    STATE(1157), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15724), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134131] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15726), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134141] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(8054), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134155] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15728), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134165] = 3,
    STATE(849), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15730), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134177] = 3,
    STATE(3296), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15732), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134189] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15734), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134199] = 3,
    STATE(1847), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15736), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134211] = 3,
    STATE(1850), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15738), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134223] = 3,
    STATE(818), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134235] = 3,
    STATE(2602), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15740), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134247] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15742), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134261] = 3,
    STATE(2562), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15744), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134273] = 4,
    ACTIONS(15746), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15748), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5691), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134287] = 3,
    STATE(6303), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15750), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134299] = 4,
    ACTIONS(15752), 1,
      anon_sym_COMMA,
    ACTIONS(15754), 1,
      anon_sym_RPAREN,
    STATE(8050), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134313] = 4,
    ACTIONS(15756), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15758), 1,
      aux_sym_end_function_statement_token1,
    STATE(5693), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134327] = 3,
    STATE(6287), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15760), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134339] = 3,
    STATE(5696), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15762), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134351] = 4,
    ACTIONS(15746), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15748), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5697), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134365] = 3,
    STATE(5699), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15764), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134377] = 4,
    ACTIONS(15756), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15758), 1,
      aux_sym_end_function_statement_token1,
    STATE(5700), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134391] = 3,
    STATE(2937), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15766), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134403] = 3,
    STATE(3210), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15768), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134415] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15770), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134429] = 3,
    STATE(5705), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15772), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134441] = 4,
    ACTIONS(15746), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15748), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5706), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134455] = 3,
    STATE(5707), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15774), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134467] = 3,
    STATE(3325), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15776), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134479] = 4,
    ACTIONS(15756), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15758), 1,
      aux_sym_end_function_statement_token1,
    STATE(5708), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134493] = 3,
    STATE(5032), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8707), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134505] = 3,
    STATE(1250), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15778), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134517] = 4,
    ACTIONS(14799), 1,
      anon_sym_COMMA,
    ACTIONS(15780), 1,
      anon_sym_RPAREN,
    STATE(7243), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134531] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15782), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134545] = 4,
    ACTIONS(15784), 1,
      anon_sym_COMMA,
    ACTIONS(15786), 1,
      anon_sym_RPAREN,
    STATE(7939), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134559] = 4,
    ACTIONS(11666), 1,
      anon_sym_COMMA,
    ACTIONS(15788), 1,
      anon_sym_SLASH,
    STATE(7915), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134573] = 3,
    STATE(3000), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15790), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134585] = 3,
    STATE(3496), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15792), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134597] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15794), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134611] = 3,
    STATE(3480), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15796), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134623] = 3,
    STATE(1221), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15798), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134635] = 4,
    ACTIONS(15183), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15185), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1251), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134649] = 4,
    ACTIONS(11666), 1,
      anon_sym_COMMA,
    ACTIONS(15800), 1,
      anon_sym_SLASH,
    STATE(7915), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134663] = 4,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    STATE(1109), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134677] = 3,
    STATE(4868), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15802), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134689] = 3,
    STATE(2224), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15804), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134701] = 4,
    ACTIONS(15784), 1,
      anon_sym_COMMA,
    ACTIONS(15806), 1,
      anon_sym_RPAREN,
    STATE(7801), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134715] = 3,
    STATE(3398), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15808), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134727] = 3,
    STATE(1697), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15079), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134739] = 3,
    STATE(1254), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15810), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134751] = 3,
    STATE(5842), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15812), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134763] = 3,
    STATE(2992), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15814), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134775] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15816), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134789] = 3,
    STATE(3006), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15818), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134801] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15820), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134815] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15822), 1,
      anon_sym_RPAREN,
    STATE(7923), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134829] = 3,
    STATE(6359), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15824), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134841] = 3,
    STATE(3450), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15826), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134853] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15828), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [134867] = 4,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(14981), 1,
      anon_sym_RBRACK,
    STATE(7113), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134881] = 3,
    STATE(3182), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15830), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134893] = 4,
    ACTIONS(13289), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13291), 1,
      aux_sym_end_if_statement_token1,
    STATE(8339), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134907] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15832), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134917] = 4,
    ACTIONS(15834), 1,
      aux_sym_included_items_token1,
    ACTIONS(15836), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(15838), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134931] = 4,
    ACTIONS(15784), 1,
      anon_sym_COMMA,
    ACTIONS(15840), 1,
      anon_sym_RPAREN,
    STATE(7801), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134945] = 4,
    ACTIONS(14578), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14580), 1,
      aux_sym_end_program_statement_token2,
    STATE(1116), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [134959] = 3,
    STATE(739), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9300), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134971] = 3,
    STATE(3305), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15842), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134983] = 3,
    STATE(2575), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15844), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [134995] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15846), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135009] = 3,
    STATE(2576), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15848), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135021] = 3,
    STATE(3031), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15850), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135033] = 3,
    STATE(1054), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15852), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135045] = 4,
    ACTIONS(10500), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10502), 1,
      aux_sym_end_type_statement_token1,
    STATE(2214), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135059] = 4,
    ACTIONS(8584), 1,
      sym__integer_literal,
    STATE(4476), 1,
      sym_statement_label,
    STATE(9404), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135073] = 3,
    STATE(3423), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15854), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135085] = 3,
    STATE(1706), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15104), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135097] = 3,
    STATE(2229), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15856), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135109] = 3,
    STATE(2251), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15858), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135121] = 4,
    ACTIONS(15451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15453), 1,
      aux_sym_end_function_statement_token1,
    STATE(1255), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135135] = 3,
    STATE(1203), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15860), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135147] = 3,
    STATE(3299), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15862), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135159] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15864), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135173] = 3,
    STATE(3323), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15866), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135185] = 3,
    STATE(1988), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15868), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135197] = 4,
    ACTIONS(10926), 1,
      anon_sym_COMMA,
    ACTIONS(10928), 1,
      anon_sym_RBRACK,
    STATE(7465), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135211] = 3,
    STATE(1377), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15870), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135223] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15872), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135237] = 3,
    STATE(2475), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15874), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135249] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15876), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135263] = 3,
    STATE(3226), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15878), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135275] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15880), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135289] = 3,
    STATE(2725), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15882), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135301] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15884), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135315] = 3,
    STATE(5604), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15886), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135327] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15888), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135341] = 3,
    STATE(5612), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15890), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135353] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15892), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135367] = 3,
    STATE(5620), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15894), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135379] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15896), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135393] = 3,
    STATE(2198), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15898), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135405] = 3,
    STATE(5628), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15900), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135417] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15902), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135431] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(15904), 1,
      anon_sym_RPAREN,
    STATE(7254), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135445] = 3,
    STATE(1870), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15906), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135457] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15908), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135471] = 3,
    STATE(2539), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15910), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135483] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15912), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135497] = 3,
    STATE(7255), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15914), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135509] = 3,
    STATE(1878), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15916), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135521] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15918), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135535] = 3,
    STATE(4423), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13303), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
  [135547] = 3,
    STATE(2767), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15920), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135559] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15922), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135573] = 4,
    ACTIONS(14783), 1,
      anon_sym_COMMA,
    ACTIONS(15924), 1,
      anon_sym_COLON_COLON,
    STATE(7960), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135587] = 3,
    STATE(5171), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15926), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135599] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15928), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135613] = 3,
    STATE(3271), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15930), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135625] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15932), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135639] = 3,
    STATE(3281), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15934), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135651] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15936), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135665] = 3,
    STATE(3094), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15938), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135677] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15940), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135691] = 4,
    ACTIONS(15942), 1,
      anon_sym_COMMA,
    ACTIONS(15944), 1,
      anon_sym_RPAREN,
    STATE(8072), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135705] = 3,
    STATE(3114), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15946), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135717] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15948), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135731] = 3,
    STATE(5479), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15950), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135743] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15952), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135757] = 3,
    STATE(2848), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15954), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135769] = 3,
    STATE(2585), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15956), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135781] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15958), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135795] = 3,
    STATE(5973), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15960), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135807] = 3,
    STATE(3314), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15962), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135819] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15964), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135833] = 3,
    STATE(5659), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15966), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135845] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15968), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135859] = 3,
    STATE(3501), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15970), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135871] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15972), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135885] = 3,
    STATE(3155), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15974), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135897] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15976), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135911] = 3,
    STATE(3335), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15978), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135923] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15980), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135937] = 3,
    STATE(2593), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15982), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135949] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15984), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135963] = 3,
    STATE(3353), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15986), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [135975] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15988), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [135989] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(15990), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [136003] = 4,
    ACTIONS(15992), 1,
      anon_sym_COMMA,
    ACTIONS(15994), 1,
      anon_sym_RPAREN,
    STATE(7953), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136017] = 4,
    ACTIONS(15996), 1,
      anon_sym_COMMA,
    ACTIONS(15999), 1,
      anon_sym_SLASH,
    STATE(7915), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136031] = 4,
    ACTIONS(16001), 1,
      anon_sym_COMMA,
    ACTIONS(16004), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136045] = 4,
    ACTIONS(10815), 1,
      anon_sym_COMMA,
    ACTIONS(10837), 1,
      anon_sym_RBRACK,
    STATE(7967), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136059] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16006), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [136069] = 3,
    ACTIONS(16010), 1,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16008), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [136081] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10863), 1,
      anon_sym_RPAREN,
    STATE(7968), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136095] = 4,
    ACTIONS(15361), 1,
      anon_sym_COMMA,
    ACTIONS(16012), 1,
      anon_sym_RPAREN,
    STATE(7954), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136109] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11177), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [136119] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16014), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136133] = 4,
    ACTIONS(16016), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(16018), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(16020), 1,
      aux_sym__standalone_type_qualifier_token9,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136147] = 4,
    ACTIONS(14861), 1,
      anon_sym_COMMA,
    ACTIONS(16022), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136161] = 3,
    STATE(1040), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16024), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136173] = 3,
    STATE(1234), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16026), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136185] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7436), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136199] = 3,
    STATE(2395), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16028), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136211] = 4,
    ACTIONS(15451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15453), 1,
      aux_sym_end_function_statement_token1,
    STATE(1222), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136225] = 3,
    ACTIONS(16030), 1,
      aux_sym_block_data_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136237] = 4,
    ACTIONS(15039), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15041), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5652), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136251] = 3,
    STATE(3022), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16032), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136263] = 4,
    ACTIONS(14783), 1,
      anon_sym_COMMA,
    ACTIONS(16034), 1,
      anon_sym_COLON_COLON,
    STATE(7960), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136277] = 3,
    STATE(2195), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16036), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136289] = 4,
    ACTIONS(10500), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10502), 1,
      aux_sym_end_type_statement_token1,
    STATE(2199), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136303] = 3,
    STATE(2203), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16038), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136315] = 3,
    STATE(2207), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16040), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136327] = 4,
    ACTIONS(16042), 1,
      anon_sym_COMMA,
    ACTIONS(16045), 1,
      anon_sym_RPAREN,
    STATE(7939), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136341] = 3,
    ACTIONS(5076), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5078), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [136353] = 3,
    ACTIONS(5080), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [136365] = 3,
    ACTIONS(5108), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5110), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [136377] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16047), 1,
      anon_sym_RPAREN,
    STATE(7273), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136391] = 3,
    ACTIONS(5130), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5132), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [136403] = 3,
    ACTIONS(5154), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5156), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [136415] = 4,
    ACTIONS(15015), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15017), 1,
      aux_sym_end_program_statement_token2,
    STATE(1256), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136429] = 3,
    STATE(1230), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9194), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136441] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14392), 3,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_COLON,
  [136451] = 3,
    STATE(1046), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9088), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136463] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14656), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136473] = 3,
    STATE(753), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16049), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136485] = 4,
    ACTIONS(8723), 1,
      anon_sym_EQ,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    STATE(6014), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136499] = 4,
    ACTIONS(15992), 1,
      anon_sym_COMMA,
    ACTIONS(16051), 1,
      anon_sym_RPAREN,
    STATE(7958), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136513] = 4,
    ACTIONS(15361), 1,
      anon_sym_COMMA,
    ACTIONS(16053), 1,
      anon_sym_RPAREN,
    STATE(7963), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136527] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7817), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136541] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16055), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136551] = 3,
    STATE(1946), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16057), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136563] = 4,
    ACTIONS(16059), 1,
      anon_sym_COMMA,
    ACTIONS(16062), 1,
      anon_sym_RPAREN,
    STATE(7958), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136577] = 3,
    STATE(286), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16064), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136589] = 4,
    ACTIONS(16066), 1,
      anon_sym_COMMA,
    ACTIONS(16069), 1,
      anon_sym_COLON_COLON,
    STATE(7960), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136603] = 4,
    ACTIONS(16071), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16073), 1,
      aux_sym_end_module_statement_token1,
    STATE(1049), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136617] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7929), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136631] = 4,
    ACTIONS(16075), 1,
      anon_sym_COMMA,
    ACTIONS(16078), 1,
      anon_sym_RPAREN,
    STATE(7963), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136645] = 3,
    STATE(1165), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16080), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136657] = 3,
    STATE(1022), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136669] = 3,
    STATE(5041), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16084), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136681] = 4,
    ACTIONS(16086), 1,
      anon_sym_COMMA,
    ACTIONS(16088), 1,
      anon_sym_RBRACK,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136695] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(16090), 1,
      anon_sym_RPAREN,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136709] = 3,
    STATE(1644), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16092), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136721] = 4,
    ACTIONS(16094), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16096), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1005), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136735] = 3,
    STATE(5944), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16098), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136747] = 3,
    STATE(1911), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16100), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136759] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7823), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136773] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16102), 1,
      anon_sym_RBRACK,
    STATE(7984), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136787] = 3,
    STATE(1967), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16104), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136799] = 4,
    ACTIONS(16106), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(16108), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(16110), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136813] = 4,
    ACTIONS(11132), 1,
      anon_sym_RBRACK,
    ACTIONS(16112), 1,
      anon_sym_COMMA,
    STATE(7977), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136827] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16115), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136837] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7246), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136851] = 4,
    ACTIONS(16117), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16119), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5632), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136865] = 3,
    STATE(2174), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [136877] = 4,
    ACTIONS(15405), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15407), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4980), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136891] = 3,
    ACTIONS(10994), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [136903] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16123), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136917] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16123), 1,
      anon_sym_RBRACK,
    STATE(7401), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136931] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7861), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136945] = 4,
    ACTIONS(15606), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15608), 1,
      aux_sym_end_function_statement_token1,
    STATE(4995), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136959] = 4,
    ACTIONS(10496), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10498), 1,
      aux_sym_end_type_statement_token1,
    STATE(1912), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136973] = 4,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    ACTIONS(16125), 1,
      anon_sym_COMMA,
    STATE(7989), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [136987] = 3,
    ACTIONS(11175), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11173), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [136999] = 3,
    STATE(5948), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16128), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137011] = 4,
    ACTIONS(12151), 1,
      anon_sym_COMMA,
    ACTIONS(16130), 1,
      anon_sym_RPAREN,
    STATE(8094), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137025] = 3,
    ACTIONS(16132), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16134), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137037] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7333), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137051] = 3,
    STATE(5736), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16136), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137063] = 4,
    ACTIONS(15039), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15041), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5594), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137077] = 3,
    STATE(1897), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16138), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137089] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7863), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137103] = 4,
    ACTIONS(8918), 1,
      anon_sym_LPAREN2,
    STATE(3741), 1,
      sym__argument_list,
    STATE(4498), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137117] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16140), 1,
      anon_sym_RBRACK,
    STATE(8033), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137131] = 4,
    ACTIONS(16142), 1,
      anon_sym_COMMA,
    ACTIONS(16145), 1,
      anon_sym_RPAREN,
    STATE(8001), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137145] = 3,
    STATE(870), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16147), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137157] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7411), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137171] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16149), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137181] = 4,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(16151), 1,
      anon_sym_RPAREN,
    STATE(7421), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137195] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14679), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137205] = 4,
    ACTIONS(14799), 1,
      anon_sym_COMMA,
    ACTIONS(16153), 1,
      anon_sym_RPAREN,
    STATE(8101), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137219] = 3,
    STATE(819), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16155), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137231] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7865), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137245] = 4,
    ACTIONS(15015), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15017), 1,
      aux_sym_end_program_statement_token2,
    STATE(1236), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137259] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16157), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [137269] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7488), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137283] = 3,
    ACTIONS(5080), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [137295] = 3,
    STATE(704), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16159), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137307] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7868), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137321] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(16161), 1,
      anon_sym_RPAREN,
    STATE(7435), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137335] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16163), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [137345] = 4,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(16165), 1,
      anon_sym_GT_GT_GT,
    STATE(7113), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137359] = 3,
    STATE(5649), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16167), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137371] = 4,
    ACTIONS(16117), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16119), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5650), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137385] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7548), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137399] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(16169), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137413] = 4,
    ACTIONS(8584), 1,
      sym__integer_literal,
    STATE(4476), 1,
      sym_statement_label,
    STATE(8016), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137427] = 3,
    ACTIONS(16171), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16173), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137439] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7882), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137453] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(16175), 1,
      anon_sym_RPAREN,
    STATE(8041), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137467] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16177), 1,
      anon_sym_RPAREN,
    STATE(7369), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137481] = 3,
    STATE(1035), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16179), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137493] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7603), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137507] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7893), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137521] = 3,
    STATE(827), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8721), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137533] = 4,
    ACTIONS(16181), 1,
      anon_sym_COMMA,
    ACTIONS(16184), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137547] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16186), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137561] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16186), 1,
      anon_sym_RBRACK,
    STATE(8048), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137575] = 3,
    STATE(885), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16188), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137587] = 4,
    ACTIONS(15554), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(15556), 1,
      aux_sym_format_statement_token1,
    STATE(7652), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137601] = 3,
    STATE(859), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16190), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137613] = 4,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10950), 1,
      anon_sym_RPAREN,
    STATE(7615), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137627] = 4,
    ACTIONS(6296), 1,
      sym__string_literal,
    ACTIONS(6298), 1,
      sym__string_literal_kind,
    STATE(7901), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137641] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(16175), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137655] = 4,
    ACTIONS(15143), 1,
      anon_sym_COMMA,
    ACTIONS(16161), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137669] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14597), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137679] = 3,
    STATE(4853), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137691] = 3,
    STATE(5667), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16194), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137703] = 4,
    ACTIONS(16117), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16119), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5668), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137717] = 3,
    STATE(1050), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16196), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137729] = 4,
    ACTIONS(16198), 1,
      anon_sym_COMMA,
    ACTIONS(16200), 1,
      anon_sym_RPAREN,
    STATE(7444), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137743] = 4,
    ACTIONS(14847), 1,
      anon_sym_COMMA,
    ACTIONS(16202), 1,
      anon_sym_RBRACK,
    STATE(7400), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137757] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14466), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [137767] = 4,
    ACTIONS(16204), 1,
      anon_sym_COMMA,
    ACTIONS(16206), 1,
      anon_sym_RPAREN,
    STATE(8092), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137781] = 4,
    ACTIONS(14861), 1,
      anon_sym_COMMA,
    ACTIONS(16208), 1,
      anon_sym_RPAREN,
    STATE(8098), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137795] = 3,
    STATE(5974), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16210), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137807] = 4,
    ACTIONS(15137), 1,
      anon_sym_COMMA,
    ACTIONS(16212), 1,
      anon_sym_RPAREN,
    STATE(7429), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137821] = 3,
    STATE(5084), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16214), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137833] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8464), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137847] = 3,
    STATE(912), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16216), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137859] = 4,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(14815), 1,
      anon_sym_RBRACK,
    STATE(7113), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137873] = 3,
    STATE(1992), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16218), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137885] = 3,
    STATE(917), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16220), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137897] = 4,
    ACTIONS(12809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12811), 1,
      aux_sym_end_program_statement_token2,
    STATE(1063), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137911] = 3,
    STATE(893), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16222), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137923] = 3,
    STATE(1069), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16224), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137935] = 4,
    ACTIONS(16071), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16073), 1,
      aux_sym_end_module_statement_token1,
    STATE(1070), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137949] = 3,
    STATE(1004), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16226), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137961] = 3,
    STATE(807), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9108), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137973] = 4,
    ACTIONS(16094), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16096), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1006), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [137987] = 3,
    STATE(861), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16228), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [137999] = 3,
    STATE(1960), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16230), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138011] = 3,
    STATE(1008), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16232), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138023] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8465), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138037] = 3,
    STATE(5051), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16234), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138049] = 4,
    ACTIONS(16236), 1,
      anon_sym_COMMA,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
    STATE(8072), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138063] = 3,
    STATE(864), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138075] = 4,
    ACTIONS(15405), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15407), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5054), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138089] = 3,
    STATE(872), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16243), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138101] = 3,
    STATE(2299), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16245), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138113] = 3,
    STATE(5056), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16247), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138125] = 4,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(16249), 1,
      sym_preproc_comment,
    STATE(6793), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138139] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8293), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138153] = 4,
    ACTIONS(15606), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15608), 1,
      aux_sym_end_function_statement_token1,
    STATE(5057), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138167] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8155), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138181] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8297), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138195] = 3,
    STATE(2158), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16251), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138207] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8300), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138221] = 3,
    STATE(2239), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16253), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138233] = 3,
    STATE(836), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16255), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138245] = 3,
    STATE(6298), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16257), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138257] = 3,
    STATE(1913), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16259), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138269] = 3,
    STATE(726), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138281] = 4,
    ACTIONS(11436), 1,
      anon_sym_COMMA,
    ACTIONS(11438), 1,
      anon_sym_RPAREN,
    STATE(7302), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138295] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8217), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138309] = 4,
    ACTIONS(16263), 1,
      anon_sym_COMMA,
    ACTIONS(16266), 1,
      anon_sym_RPAREN,
    STATE(8092), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138323] = 4,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(16268), 1,
      sym_preproc_comment,
    STATE(6699), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138337] = 4,
    ACTIONS(12429), 1,
      anon_sym_RPAREN,
    ACTIONS(16270), 1,
      anon_sym_COMMA,
    STATE(8094), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138351] = 3,
    STATE(1914), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16273), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138363] = 4,
    ACTIONS(16275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16277), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1170), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138377] = 4,
    ACTIONS(11967), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11973), 1,
      aux_sym_end_select_statement_token1,
    STATE(8275), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138391] = 4,
    ACTIONS(14861), 1,
      anon_sym_COMMA,
    ACTIONS(16279), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138405] = 4,
    ACTIONS(16281), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16283), 1,
      aux_sym_end_function_statement_token1,
    STATE(1172), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138419] = 3,
    STATE(850), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16285), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138431] = 4,
    ACTIONS(16287), 1,
      anon_sym_COMMA,
    ACTIONS(16290), 1,
      anon_sym_RPAREN,
    STATE(8101), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138445] = 3,
    STATE(1175), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16292), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138457] = 4,
    ACTIONS(15231), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15233), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1044), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138471] = 4,
    ACTIONS(16275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16277), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1176), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138485] = 3,
    STATE(1178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16294), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138497] = 4,
    ACTIONS(16281), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16283), 1,
      aux_sym_end_function_statement_token1,
    STATE(1179), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138511] = 3,
    STATE(1182), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16296), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138523] = 4,
    ACTIONS(16275), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16277), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1183), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138537] = 3,
    STATE(1184), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16298), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138549] = 4,
    ACTIONS(16281), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(16283), 1,
      aux_sym_end_function_statement_token1,
    STATE(1185), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138563] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138573] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138583] = 3,
    STATE(4847), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16300), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138595] = 3,
    STATE(2369), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16302), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138607] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16304), 1,
      anon_sym_RPAREN,
    STATE(7554), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138621] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16306), 1,
      anon_sym_RPAREN,
    STATE(7557), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138635] = 3,
    STATE(3257), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138647] = 3,
    STATE(1317), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15223), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138659] = 4,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(7571), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138673] = 4,
    ACTIONS(14940), 1,
      anon_sym_LPAREN2,
    ACTIONS(16310), 1,
      aux_sym_preproc_include_token2,
    STATE(9423), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138687] = 4,
    ACTIONS(16312), 1,
      anon_sym_COMMA,
    ACTIONS(16315), 1,
      anon_sym_RPAREN,
    STATE(8121), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138701] = 4,
    ACTIONS(16317), 1,
      aux_sym_included_items_token1,
    ACTIONS(16319), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(16321), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138715] = 4,
    ACTIONS(11082), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(16323), 1,
      anon_sym_COMMA,
    STATE(8123), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138729] = 4,
    ACTIONS(14783), 1,
      anon_sym_COMMA,
    ACTIONS(16326), 1,
      anon_sym_COLON_COLON,
    STATE(7934), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138743] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16328), 1,
      anon_sym_RPAREN,
    STATE(7594), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138757] = 3,
    STATE(6059), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16330), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138769] = 4,
    ACTIONS(16332), 1,
      anon_sym_COMMA,
    ACTIONS(16335), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138783] = 4,
    ACTIONS(14817), 1,
      anon_sym_COMMA,
    ACTIONS(16337), 1,
      anon_sym_RPAREN,
    STATE(7916), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138797] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16339), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138806] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16341), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138815] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16343), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [138824] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138833] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11654), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138842] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16347), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138851] = 3,
    ACTIONS(16349), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16351), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138862] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16353), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138871] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16355), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138880] = 3,
    ACTIONS(16357), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16359), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138891] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8273), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138900] = 3,
    ACTIONS(16361), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16363), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138911] = 3,
    ACTIONS(16365), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16367), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138922] = 3,
    ACTIONS(16369), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16371), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138933] = 3,
    ACTIONS(16373), 1,
      anon_sym_RPAREN,
    ACTIONS(16375), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [138944] = 3,
    ACTIONS(5076), 1,
      anon_sym_LPAREN2,
    ACTIONS(5078), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138955] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16377), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138964] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16379), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138973] = 3,
    ACTIONS(5080), 1,
      anon_sym_LPAREN2,
    ACTIONS(5082), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [138984] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16381), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [138993] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11205), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139002] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139011] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12393), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139020] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16385), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139029] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16387), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139038] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16389), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139047] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16391), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139056] = 3,
    ACTIONS(16393), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16395), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139067] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16397), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139076] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16399), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139085] = 3,
    ACTIONS(16401), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16403), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139096] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16405), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139105] = 3,
    ACTIONS(16407), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(16409), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139116] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16411), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139125] = 3,
    ACTIONS(16413), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16415), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139136] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139145] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16419), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139154] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16421), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139163] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16423), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139172] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139181] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16427), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139190] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139199] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139208] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16429), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139217] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139226] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16433), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139235] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139244] = 3,
    ACTIONS(5108), 1,
      anon_sym_LPAREN2,
    ACTIONS(5110), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139255] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16435), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139264] = 3,
    ACTIONS(5130), 1,
      anon_sym_LPAREN2,
    ACTIONS(5132), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139275] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16437), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139284] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7291), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139295] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11280), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139304] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16441), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [139313] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139322] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12393), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139331] = 3,
    ACTIONS(16443), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16445), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139342] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139351] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16447), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139360] = 3,
    ACTIONS(16449), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16451), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139371] = 3,
    ACTIONS(16453), 1,
      anon_sym_LPAREN2,
    STATE(7668), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139382] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9340), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139391] = 3,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6709), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139402] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16455), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139411] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16457), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139420] = 3,
    ACTIONS(11000), 1,
      anon_sym_LBRACK,
    STATE(3992), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139431] = 3,
    ACTIONS(16459), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16461), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139442] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16463), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139451] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16465), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [139460] = 3,
    ACTIONS(11054), 1,
      anon_sym_LBRACK,
    STATE(4490), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139471] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16467), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139480] = 3,
    ACTIONS(16469), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16471), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139491] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16473), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139500] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16475), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139509] = 3,
    ACTIONS(16477), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16479), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139520] = 3,
    ACTIONS(5154), 1,
      anon_sym_LPAREN2,
    ACTIONS(5156), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139531] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16481), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139540] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139549] = 3,
    ACTIONS(16483), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16485), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139560] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139569] = 3,
    ACTIONS(15479), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(9450), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139580] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16489), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139589] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10916), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139598] = 3,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6728), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139609] = 3,
    ACTIONS(16491), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16493), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139620] = 3,
    ACTIONS(16495), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16497), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139631] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12321), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139640] = 3,
    ACTIONS(16499), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16501), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139651] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16503), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139660] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16505), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139669] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139678] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139687] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139696] = 3,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6787), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139707] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12377), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139716] = 3,
    ACTIONS(16509), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16511), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139727] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16513), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139736] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139745] = 3,
    ACTIONS(16515), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16517), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139756] = 3,
    ACTIONS(16519), 1,
      anon_sym_COMMA,
    ACTIONS(16521), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139767] = 3,
    ACTIONS(15822), 1,
      anon_sym_RPAREN,
    ACTIONS(16523), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139778] = 3,
    ACTIONS(16453), 1,
      anon_sym_LPAREN2,
    STATE(7148), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139789] = 3,
    ACTIONS(16525), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16527), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139800] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16529), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [139809] = 3,
    ACTIONS(16531), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16533), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139820] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12939), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139829] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8281), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139838] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16535), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139847] = 3,
    ACTIONS(11391), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(11393), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139858] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16537), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139867] = 3,
    ACTIONS(16539), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16541), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139878] = 3,
    ACTIONS(16543), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16545), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139889] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16547), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [139898] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16004), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [139907] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16549), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139916] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16551), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139925] = 3,
    ACTIONS(16553), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16555), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139936] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16557), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139945] = 3,
    ACTIONS(16559), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16561), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139956] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16563), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [139965] = 3,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6789), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139976] = 3,
    ACTIONS(16565), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16567), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139987] = 3,
    ACTIONS(16569), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16571), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [139998] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16573), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140007] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16575), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140016] = 3,
    ACTIONS(16577), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16579), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140027] = 3,
    ACTIONS(16581), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16583), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140038] = 3,
    ACTIONS(15904), 1,
      anon_sym_RPAREN,
    ACTIONS(16585), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140049] = 3,
    ACTIONS(16587), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16589), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140060] = 3,
    ACTIONS(16591), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16593), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140071] = 3,
    ACTIONS(16595), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16597), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140082] = 3,
    ACTIONS(16599), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16601), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140093] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16603), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140102] = 3,
    ACTIONS(16605), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16607), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140113] = 3,
    ACTIONS(16609), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16611), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140124] = 3,
    ACTIONS(13089), 1,
      aux_sym_language_binding_token1,
    STATE(7875), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140135] = 3,
    ACTIONS(16613), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16615), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140146] = 3,
    ACTIONS(16617), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16619), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140157] = 3,
    ACTIONS(16621), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16623), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140168] = 3,
    ACTIONS(16625), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16627), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140179] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16629), 2,
      aux_sym_use_statement_token2,
      aux_sym_use_statement_token3,
  [140188] = 3,
    ACTIONS(16631), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16633), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140199] = 3,
    ACTIONS(16635), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16637), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140210] = 3,
    ACTIONS(14611), 1,
      anon_sym_LPAREN2,
    STATE(9484), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140221] = 3,
    ACTIONS(16639), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16641), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140232] = 3,
    ACTIONS(16643), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16645), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140243] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16647), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140252] = 3,
    ACTIONS(16649), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16651), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140263] = 3,
    ACTIONS(16653), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16655), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140274] = 3,
    ACTIONS(16657), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16659), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140285] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16661), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140294] = 3,
    ACTIONS(16663), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16665), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140305] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16667), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140314] = 3,
    ACTIONS(16669), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16671), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140325] = 3,
    ACTIONS(16673), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16675), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140336] = 3,
    ACTIONS(16677), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16679), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140347] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16681), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140356] = 3,
    ACTIONS(16683), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16685), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140367] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140376] = 3,
    ACTIONS(16689), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16691), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140387] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16693), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140396] = 3,
    ACTIONS(16695), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16697), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140407] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16699), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140416] = 3,
    ACTIONS(16701), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16703), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140427] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16705), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140436] = 3,
    ACTIONS(16707), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16709), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140447] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10946), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140456] = 3,
    ACTIONS(16711), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16713), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140467] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16715), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140476] = 3,
    ACTIONS(16717), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16719), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140487] = 3,
    ACTIONS(16721), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16723), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140498] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16725), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140507] = 3,
    ACTIONS(16727), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16729), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140518] = 3,
    ACTIONS(16731), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16733), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140529] = 3,
    ACTIONS(16735), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16737), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140540] = 3,
    ACTIONS(16739), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16741), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140551] = 3,
    ACTIONS(16743), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16745), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140562] = 3,
    ACTIONS(16747), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16749), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140573] = 3,
    ACTIONS(16751), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16753), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140584] = 3,
    ACTIONS(16755), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16757), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140595] = 3,
    ACTIONS(16759), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16761), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140606] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16763), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140615] = 3,
    ACTIONS(16765), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16767), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140626] = 3,
    ACTIONS(16769), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16771), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140637] = 3,
    ACTIONS(16773), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16775), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140648] = 3,
    ACTIONS(16777), 1,
      anon_sym_COMMA,
    ACTIONS(16779), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140659] = 3,
    ACTIONS(16781), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16783), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140670] = 3,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6783), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140681] = 3,
    ACTIONS(16785), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16787), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140692] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16789), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140701] = 3,
    ACTIONS(16791), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16793), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140712] = 3,
    ACTIONS(15574), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(15576), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140723] = 3,
    ACTIONS(16795), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16797), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140734] = 3,
    ACTIONS(16799), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16801), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140745] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14317), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140754] = 3,
    ACTIONS(16803), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16805), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140765] = 3,
    ACTIONS(16807), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16809), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140776] = 3,
    ACTIONS(16811), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16813), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140787] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16815), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140796] = 3,
    ACTIONS(16817), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16819), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140807] = 3,
    ACTIONS(16821), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16823), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140818] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16825), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140827] = 3,
    ACTIONS(16827), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16829), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140838] = 3,
    ACTIONS(16831), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16833), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140849] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16835), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140858] = 3,
    ACTIONS(16837), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16839), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140869] = 3,
    ACTIONS(16841), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16843), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140880] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16845), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140889] = 3,
    ACTIONS(16847), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16849), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140900] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140909] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16851), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140918] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16853), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [140927] = 3,
    ACTIONS(16855), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16857), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140938] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16859), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140947] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16861), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [140956] = 3,
    ACTIONS(5080), 1,
      anon_sym_LPAREN2,
    ACTIONS(5082), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [140967] = 3,
    ACTIONS(16863), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(16865), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140978] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [140987] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16867), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [140996] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141005] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16045), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141014] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16871), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141023] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141032] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141041] = 3,
    ACTIONS(16873), 1,
      anon_sym_LPAREN2,
    ACTIONS(16875), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141052] = 3,
    ACTIONS(16877), 1,
      anon_sym_LPAREN2,
    ACTIONS(16879), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141063] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16881), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141072] = 3,
    ACTIONS(16883), 1,
      anon_sym_COMMA,
    STATE(8408), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141083] = 3,
    ACTIONS(8880), 1,
      anon_sym_LPAREN2,
    STATE(8208), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141094] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141103] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141112] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16885), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [141121] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16887), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [141130] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14536), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141139] = 3,
    ACTIONS(16889), 1,
      aux_sym_implicit_range_token1,
    STATE(8373), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141150] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16891), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141159] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16893), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141168] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16062), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141177] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16895), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [141186] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141195] = 3,
    ACTIONS(6343), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6345), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141206] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141215] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16897), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141224] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16899), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141233] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16078), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141242] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16901), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141251] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16903), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141260] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16905), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141269] = 3,
    ACTIONS(14611), 1,
      anon_sym_LPAREN2,
    STATE(9243), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141280] = 3,
    ACTIONS(16907), 1,
      anon_sym_LPAREN2,
    ACTIONS(16909), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141291] = 3,
    ACTIONS(16911), 1,
      anon_sym_LPAREN2,
    ACTIONS(16913), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141302] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16915), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [141311] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [141320] = 3,
    ACTIONS(8880), 1,
      anon_sym_LPAREN2,
    STATE(8014), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141331] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7500), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141342] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16917), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141351] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16919), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141360] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16921), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141369] = 3,
    ACTIONS(16923), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16925), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141380] = 3,
    ACTIONS(15339), 1,
      aux_sym_select_case_statement_token2,
    STATE(9200), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141391] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16927), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [141400] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7566), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141411] = 3,
    ACTIONS(16929), 1,
      anon_sym_LPAREN2,
    ACTIONS(16931), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141422] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11064), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141431] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16933), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141440] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16935), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141449] = 3,
    ACTIONS(16937), 1,
      anon_sym_RPAREN,
    ACTIONS(16939), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141460] = 3,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6650), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141471] = 3,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6651), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141482] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16145), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141491] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16941), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141500] = 3,
    ACTIONS(16943), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16945), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141511] = 3,
    ACTIONS(16889), 1,
      aux_sym_implicit_range_token1,
    STATE(7921), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141522] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16947), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141531] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141540] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16951), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [141549] = 3,
    ACTIONS(16177), 1,
      anon_sym_RPAREN,
    ACTIONS(16953), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141560] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16955), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141569] = 3,
    ACTIONS(16889), 1,
      aux_sym_implicit_range_token1,
    STATE(7556), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141580] = 3,
    ACTIONS(16957), 1,
      anon_sym_COMMA,
    STATE(8408), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141591] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141600] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16960), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141609] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11199), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141618] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16184), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141627] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16962), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141636] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12281), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141645] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14317), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141654] = 3,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6760), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141665] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7287), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141676] = 3,
    ACTIONS(16964), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16966), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141687] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11298), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141696] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16968), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [141705] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16970), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141714] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16972), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141723] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7290), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141734] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16974), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141743] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16976), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141752] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16978), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [141761] = 3,
    ACTIONS(16863), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(16980), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141772] = 3,
    ACTIONS(16982), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(16984), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [141783] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16266), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141792] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16986), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141801] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16988), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141810] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16990), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141819] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16992), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [141828] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16994), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141837] = 3,
    ACTIONS(6343), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6345), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141848] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(8087), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141859] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16996), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141868] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16998), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141877] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17000), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141886] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17002), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141895] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(8126), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141906] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17004), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141915] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7756), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141926] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7781), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141937] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17006), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141946] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7784), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141957] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17008), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141966] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17010), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141975] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17012), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [141984] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11058), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [141993] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142002] = 3,
    ACTIONS(14611), 1,
      anon_sym_LPAREN2,
    STATE(9204), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142013] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17014), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142022] = 3,
    ACTIONS(17016), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(17018), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142033] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17020), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142042] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17022), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142051] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17024), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142060] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17026), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142069] = 3,
    ACTIONS(17028), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(17030), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142080] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17032), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142089] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17034), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142098] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17036), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142107] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17038), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142116] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17040), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142125] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17042), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142134] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17044), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142143] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17046), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142152] = 3,
    ACTIONS(14915), 1,
      aux_sym_select_case_statement_token2,
    STATE(6761), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142163] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17048), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142172] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17050), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142181] = 3,
    ACTIONS(11060), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(11062), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142192] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17052), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142201] = 3,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6678), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142212] = 3,
    ACTIONS(17054), 1,
      anon_sym_COMMA,
    STATE(8408), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142223] = 3,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6679), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142234] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142243] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8277), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142252] = 3,
    ACTIONS(15009), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6795), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142263] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16315), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142272] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17056), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142281] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142290] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16290), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142299] = 3,
    ACTIONS(17058), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(17060), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142310] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17062), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [142319] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17064), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [142328] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17066), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [142337] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17068), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142346] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17070), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142355] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8025), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142364] = 3,
    ACTIONS(17072), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(17074), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142375] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12277), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142384] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17076), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142393] = 3,
    ACTIONS(17078), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(17080), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142404] = 3,
    ACTIONS(17082), 1,
      anon_sym_RPAREN,
    ACTIONS(17084), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142415] = 3,
    ACTIONS(17086), 1,
      anon_sym_COMMA,
    STATE(8408), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142426] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17088), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142435] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17090), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142444] = 3,
    ACTIONS(17092), 1,
      anon_sym_LPAREN2,
    ACTIONS(17094), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142455] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17096), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [142464] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17098), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142473] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17088), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142482] = 3,
    ACTIONS(17100), 1,
      anon_sym_COMMA,
    ACTIONS(17102), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142493] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17104), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [142502] = 3,
    ACTIONS(17106), 1,
      anon_sym_COMMA,
    STATE(8408), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142513] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142522] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11644), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142531] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17108), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142540] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16339), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142549] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16339), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142558] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17088), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142567] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17110), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142576] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(16339), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [142585] = 3,
    ACTIONS(16439), 1,
      anon_sym_LPAREN2,
    STATE(7734), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142596] = 3,
    ACTIONS(16863), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(17112), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142607] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(17114), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [142616] = 2,
    ACTIONS(17116), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142624] = 2,
    ACTIONS(17118), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142632] = 2,
    ACTIONS(17120), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142640] = 2,
    ACTIONS(16373), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142648] = 2,
    ACTIONS(17122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142656] = 2,
    ACTIONS(15770), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142664] = 2,
    ACTIONS(17124), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142672] = 2,
    ACTIONS(17126), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142680] = 2,
    ACTIONS(17128), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142688] = 2,
    ACTIONS(17130), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142696] = 2,
    ACTIONS(17132), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142704] = 2,
    ACTIONS(17134), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142712] = 2,
    ACTIONS(17136), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142720] = 2,
    ACTIONS(17138), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142728] = 2,
    ACTIONS(17140), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142736] = 2,
    ACTIONS(17142), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142744] = 2,
    ACTIONS(17144), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142752] = 2,
    ACTIONS(17146), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142760] = 2,
    ACTIONS(17148), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142768] = 2,
    ACTIONS(17150), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142776] = 2,
    ACTIONS(17152), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142784] = 2,
    ACTIONS(17154), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142792] = 2,
    ACTIONS(17156), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142800] = 2,
    ACTIONS(14617), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142808] = 2,
    ACTIONS(14617), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142816] = 2,
    ACTIONS(17158), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142824] = 2,
    ACTIONS(17160), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142832] = 2,
    ACTIONS(17162), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142840] = 2,
    ACTIONS(17164), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142848] = 2,
    ACTIONS(17166), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142856] = 2,
    ACTIONS(17168), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142864] = 2,
    ACTIONS(17170), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142872] = 2,
    ACTIONS(17172), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142880] = 2,
    ACTIONS(17174), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142888] = 2,
    ACTIONS(17176), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142896] = 2,
    ACTIONS(17178), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142904] = 2,
    ACTIONS(17180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142912] = 2,
    ACTIONS(17182), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142920] = 2,
    ACTIONS(17184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142928] = 2,
    ACTIONS(17186), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142936] = 2,
    ACTIONS(17188), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142944] = 2,
    ACTIONS(17190), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142952] = 2,
    ACTIONS(17192), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142960] = 2,
    ACTIONS(17194), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142968] = 2,
    ACTIONS(17196), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142976] = 2,
    ACTIONS(17198), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [142984] = 2,
    ACTIONS(15794), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [142992] = 2,
    ACTIONS(17200), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143000] = 2,
    ACTIONS(17202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143008] = 2,
    ACTIONS(17204), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143016] = 2,
    ACTIONS(17206), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143024] = 2,
    ACTIONS(17208), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143032] = 2,
    ACTIONS(17210), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143040] = 2,
    ACTIONS(17212), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143048] = 2,
    ACTIONS(17214), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143056] = 2,
    ACTIONS(17216), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143064] = 2,
    ACTIONS(17218), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143072] = 2,
    ACTIONS(17220), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143080] = 2,
    ACTIONS(17222), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143088] = 2,
    ACTIONS(17224), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143096] = 2,
    ACTIONS(17226), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143104] = 2,
    ACTIONS(17228), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143112] = 2,
    ACTIONS(17230), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143120] = 2,
    ACTIONS(17232), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143128] = 2,
    ACTIONS(17234), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143136] = 2,
    ACTIONS(17236), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143144] = 2,
    ACTIONS(17238), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143152] = 2,
    ACTIONS(17240), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143160] = 2,
    ACTIONS(17242), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143168] = 2,
    ACTIONS(17244), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143176] = 2,
    ACTIONS(17246), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143184] = 2,
    ACTIONS(17248), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143192] = 2,
    ACTIONS(17250), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143200] = 2,
    ACTIONS(17252), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143208] = 2,
    ACTIONS(17254), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143216] = 2,
    ACTIONS(17256), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143224] = 2,
    ACTIONS(17258), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143232] = 2,
    ACTIONS(17260), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143240] = 2,
    ACTIONS(17262), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143248] = 2,
    ACTIONS(15816), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143256] = 2,
    ACTIONS(17264), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143264] = 2,
    ACTIONS(17266), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143272] = 2,
    ACTIONS(17268), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143280] = 2,
    ACTIONS(17270), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143288] = 2,
    ACTIONS(17272), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143296] = 2,
    ACTIONS(17274), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143304] = 2,
    ACTIONS(17276), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143312] = 2,
    ACTIONS(17278), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143320] = 2,
    ACTIONS(17280), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143328] = 2,
    ACTIONS(17282), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143336] = 2,
    ACTIONS(17284), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143344] = 2,
    ACTIONS(17286), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143352] = 2,
    ACTIONS(15820), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143360] = 2,
    ACTIONS(17288), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143368] = 2,
    ACTIONS(17290), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143376] = 2,
    ACTIONS(17292), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143384] = 2,
    ACTIONS(17294), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143392] = 2,
    ACTIONS(17296), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143400] = 2,
    ACTIONS(17298), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143408] = 2,
    ACTIONS(17300), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143416] = 2,
    ACTIONS(17302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143424] = 2,
    ACTIONS(17304), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143432] = 2,
    ACTIONS(17306), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143440] = 2,
    ACTIONS(17308), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143448] = 2,
    ACTIONS(17310), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143456] = 2,
    ACTIONS(17312), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143464] = 2,
    ACTIONS(17314), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143472] = 2,
    ACTIONS(17316), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143480] = 2,
    ACTIONS(17318), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143488] = 2,
    ACTIONS(17320), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143496] = 2,
    ACTIONS(17322), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143504] = 2,
    ACTIONS(17324), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143512] = 2,
    ACTIONS(15828), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143520] = 2,
    ACTIONS(17326), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143528] = 2,
    ACTIONS(17328), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143536] = 2,
    ACTIONS(17330), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143544] = 2,
    ACTIONS(17332), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143552] = 2,
    ACTIONS(17334), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143560] = 2,
    ACTIONS(17336), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143568] = 2,
    ACTIONS(17338), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143576] = 2,
    ACTIONS(17340), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143584] = 2,
    ACTIONS(17342), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143592] = 2,
    ACTIONS(17344), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143600] = 2,
    ACTIONS(17346), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143608] = 2,
    ACTIONS(17348), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143616] = 2,
    ACTIONS(17350), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143624] = 2,
    ACTIONS(17352), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143632] = 2,
    ACTIONS(17354), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143640] = 2,
    ACTIONS(17356), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143648] = 2,
    ACTIONS(17358), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143656] = 2,
    ACTIONS(17360), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143664] = 2,
    ACTIONS(17362), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143672] = 2,
    ACTIONS(17364), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143680] = 2,
    ACTIONS(17366), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143688] = 2,
    ACTIONS(17368), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143696] = 2,
    ACTIONS(17370), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143704] = 2,
    ACTIONS(17372), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143712] = 2,
    ACTIONS(17374), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143720] = 2,
    ACTIONS(17376), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143728] = 2,
    ACTIONS(17378), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143736] = 2,
    ACTIONS(17380), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143744] = 2,
    ACTIONS(17382), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143752] = 2,
    ACTIONS(17384), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143760] = 2,
    ACTIONS(17386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143768] = 2,
    ACTIONS(17388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143776] = 2,
    ACTIONS(15846), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143784] = 2,
    ACTIONS(17390), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143792] = 2,
    ACTIONS(17392), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143800] = 2,
    ACTIONS(17394), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143808] = 2,
    ACTIONS(17396), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143816] = 2,
    ACTIONS(17398), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143824] = 2,
    ACTIONS(17400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143832] = 2,
    ACTIONS(17402), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143840] = 2,
    ACTIONS(17404), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143848] = 2,
    ACTIONS(17406), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143856] = 2,
    ACTIONS(17408), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143864] = 2,
    ACTIONS(17410), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143872] = 2,
    ACTIONS(17412), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143880] = 2,
    ACTIONS(17414), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143888] = 2,
    ACTIONS(17416), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143896] = 2,
    ACTIONS(17418), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143904] = 2,
    ACTIONS(17420), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143912] = 2,
    ACTIONS(17422), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143920] = 2,
    ACTIONS(17424), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [143928] = 2,
    ACTIONS(17426), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143936] = 2,
    ACTIONS(17428), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143944] = 2,
    ACTIONS(17430), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143952] = 2,
    ACTIONS(17432), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143960] = 2,
    ACTIONS(17434), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143968] = 2,
    ACTIONS(17436), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143976] = 2,
    ACTIONS(17438), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143984] = 2,
    ACTIONS(17440), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143992] = 2,
    ACTIONS(11362), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144000] = 2,
    ACTIONS(17442), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144008] = 2,
    ACTIONS(17444), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144016] = 2,
    ACTIONS(17446), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144024] = 2,
    ACTIONS(17448), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144032] = 2,
    ACTIONS(17450), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144040] = 2,
    ACTIONS(15864), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144048] = 2,
    ACTIONS(17452), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144056] = 2,
    ACTIONS(17454), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144064] = 2,
    ACTIONS(17456), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144072] = 2,
    ACTIONS(17458), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144080] = 2,
    ACTIONS(17460), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144088] = 2,
    ACTIONS(17462), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144096] = 2,
    ACTIONS(17464), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144104] = 2,
    ACTIONS(17466), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144112] = 2,
    ACTIONS(17468), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144120] = 2,
    ACTIONS(17470), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144128] = 2,
    ACTIONS(17472), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144136] = 2,
    ACTIONS(17474), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144144] = 2,
    ACTIONS(14356), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144152] = 2,
    ACTIONS(17476), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144160] = 2,
    ACTIONS(17478), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144168] = 2,
    ACTIONS(17480), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144176] = 2,
    ACTIONS(17482), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144184] = 2,
    ACTIONS(17484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144192] = 2,
    ACTIONS(17486), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144200] = 2,
    ACTIONS(17488), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144208] = 2,
    ACTIONS(14731), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144216] = 2,
    ACTIONS(17490), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144224] = 2,
    ACTIONS(17492), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144232] = 2,
    ACTIONS(17494), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144240] = 2,
    ACTIONS(14576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144248] = 2,
    ACTIONS(17496), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144256] = 2,
    ACTIONS(17498), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144264] = 2,
    ACTIONS(17500), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144272] = 2,
    ACTIONS(17502), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144280] = 2,
    ACTIONS(17504), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144288] = 2,
    ACTIONS(17506), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144296] = 2,
    ACTIONS(15872), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144304] = 2,
    ACTIONS(17508), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144312] = 2,
    ACTIONS(17510), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144320] = 2,
    ACTIONS(17512), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144328] = 2,
    ACTIONS(17514), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144336] = 2,
    ACTIONS(17516), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144344] = 2,
    ACTIONS(17518), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144352] = 2,
    ACTIONS(17520), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144360] = 2,
    ACTIONS(17522), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144368] = 2,
    ACTIONS(17524), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144376] = 2,
    ACTIONS(17526), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144384] = 2,
    ACTIONS(17528), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144392] = 2,
    ACTIONS(17530), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144400] = 2,
    ACTIONS(17532), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144408] = 2,
    ACTIONS(17534), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144416] = 2,
    ACTIONS(17536), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144424] = 2,
    ACTIONS(17538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144432] = 2,
    ACTIONS(15876), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144440] = 2,
    ACTIONS(17540), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144448] = 2,
    ACTIONS(17542), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144456] = 2,
    ACTIONS(17544), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144464] = 2,
    ACTIONS(17546), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144472] = 2,
    ACTIONS(17548), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144480] = 2,
    ACTIONS(17550), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144488] = 2,
    ACTIONS(17552), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144496] = 2,
    ACTIONS(17554), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144504] = 2,
    ACTIONS(17556), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144512] = 2,
    ACTIONS(17558), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144520] = 2,
    ACTIONS(17560), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144528] = 2,
    ACTIONS(17562), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144536] = 2,
    ACTIONS(17564), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144544] = 2,
    ACTIONS(17566), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144552] = 2,
    ACTIONS(17568), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144560] = 2,
    ACTIONS(17570), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144568] = 2,
    ACTIONS(15880), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144576] = 2,
    ACTIONS(17572), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144584] = 2,
    ACTIONS(17574), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144592] = 2,
    ACTIONS(17576), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144600] = 2,
    ACTIONS(17578), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144608] = 2,
    ACTIONS(17580), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144616] = 2,
    ACTIONS(17582), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144624] = 2,
    ACTIONS(17584), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144632] = 2,
    ACTIONS(17586), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144640] = 2,
    ACTIONS(17588), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144648] = 2,
    ACTIONS(17590), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144656] = 2,
    ACTIONS(17592), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144664] = 2,
    ACTIONS(17594), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144672] = 2,
    ACTIONS(17596), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144680] = 2,
    ACTIONS(17598), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144688] = 2,
    ACTIONS(17600), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144696] = 2,
    ACTIONS(17602), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144704] = 2,
    ACTIONS(15884), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144712] = 2,
    ACTIONS(17604), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144720] = 2,
    ACTIONS(17606), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144728] = 2,
    ACTIONS(17608), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144736] = 2,
    ACTIONS(17610), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144744] = 2,
    ACTIONS(17612), 1,
      anon_sym_DOT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144752] = 2,
    ACTIONS(17614), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144760] = 2,
    ACTIONS(17616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144768] = 2,
    ACTIONS(17618), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144776] = 2,
    ACTIONS(15888), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144784] = 2,
    ACTIONS(17620), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144792] = 2,
    ACTIONS(17622), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144800] = 2,
    ACTIONS(17624), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144808] = 2,
    ACTIONS(17626), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144816] = 2,
    ACTIONS(17628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144824] = 2,
    ACTIONS(17630), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144832] = 2,
    ACTIONS(17632), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144840] = 2,
    ACTIONS(17634), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144848] = 2,
    ACTIONS(15892), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144856] = 2,
    ACTIONS(17636), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144864] = 2,
    ACTIONS(17638), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144872] = 2,
    ACTIONS(17640), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144880] = 2,
    ACTIONS(17642), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144888] = 2,
    ACTIONS(17644), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144896] = 2,
    ACTIONS(17646), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144904] = 2,
    ACTIONS(17648), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144912] = 2,
    ACTIONS(14944), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144920] = 2,
    ACTIONS(15896), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144928] = 2,
    ACTIONS(17650), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144936] = 2,
    ACTIONS(17652), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144944] = 2,
    ACTIONS(17654), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144952] = 2,
    ACTIONS(17656), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144960] = 2,
    ACTIONS(17658), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144968] = 2,
    ACTIONS(17660), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144976] = 2,
    ACTIONS(17662), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [144984] = 2,
    ACTIONS(17664), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [144992] = 2,
    ACTIONS(15902), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145000] = 2,
    ACTIONS(17666), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145008] = 2,
    ACTIONS(17668), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145016] = 2,
    ACTIONS(17670), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145024] = 2,
    ACTIONS(17672), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145032] = 2,
    ACTIONS(14576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145040] = 2,
    ACTIONS(17674), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145048] = 2,
    ACTIONS(17676), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145056] = 2,
    ACTIONS(17678), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145064] = 2,
    ACTIONS(15908), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145072] = 2,
    ACTIONS(17680), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145080] = 2,
    ACTIONS(17682), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145088] = 2,
    ACTIONS(17684), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145096] = 2,
    ACTIONS(17686), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145104] = 2,
    ACTIONS(17688), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145112] = 2,
    ACTIONS(17690), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145120] = 2,
    ACTIONS(17692), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145128] = 2,
    ACTIONS(14731), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145136] = 2,
    ACTIONS(15912), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145144] = 2,
    ACTIONS(17694), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145152] = 2,
    ACTIONS(17696), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145160] = 2,
    ACTIONS(17698), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145168] = 2,
    ACTIONS(17700), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145176] = 2,
    ACTIONS(17702), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145184] = 2,
    ACTIONS(17704), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145192] = 2,
    ACTIONS(17706), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145200] = 2,
    ACTIONS(17708), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145208] = 2,
    ACTIONS(15918), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145216] = 2,
    ACTIONS(17710), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145224] = 2,
    ACTIONS(17712), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145232] = 2,
    ACTIONS(17714), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145240] = 2,
    ACTIONS(17716), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145248] = 2,
    ACTIONS(15592), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145256] = 2,
    ACTIONS(17718), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145264] = 2,
    ACTIONS(11568), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145272] = 2,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145280] = 2,
    ACTIONS(15922), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145288] = 2,
    ACTIONS(17722), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145296] = 2,
    ACTIONS(17724), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145304] = 2,
    ACTIONS(17726), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145312] = 2,
    ACTIONS(17728), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145320] = 2,
    ACTIONS(17730), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145328] = 2,
    ACTIONS(17732), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145336] = 2,
    ACTIONS(17734), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145344] = 2,
    ACTIONS(17736), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145352] = 2,
    ACTIONS(15928), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145360] = 2,
    ACTIONS(17738), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145368] = 2,
    ACTIONS(17740), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145376] = 2,
    ACTIONS(17742), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145384] = 2,
    ACTIONS(17744), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145392] = 2,
    ACTIONS(17746), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145400] = 2,
    ACTIONS(17748), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145408] = 2,
    ACTIONS(17750), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145416] = 2,
    ACTIONS(17752), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145424] = 2,
    ACTIONS(15932), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145432] = 2,
    ACTIONS(17754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145440] = 2,
    ACTIONS(17756), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145448] = 2,
    ACTIONS(17758), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145456] = 2,
    ACTIONS(17760), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145464] = 2,
    ACTIONS(17762), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145472] = 2,
    ACTIONS(17764), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145480] = 2,
    ACTIONS(17766), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145488] = 2,
    ACTIONS(17768), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145496] = 2,
    ACTIONS(15936), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145504] = 2,
    ACTIONS(17770), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145512] = 2,
    ACTIONS(17772), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145520] = 2,
    ACTIONS(17774), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145528] = 2,
    ACTIONS(17776), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145536] = 2,
    ACTIONS(17778), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145544] = 2,
    ACTIONS(17780), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145552] = 2,
    ACTIONS(14617), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145560] = 2,
    ACTIONS(17782), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145568] = 2,
    ACTIONS(15940), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145576] = 2,
    ACTIONS(17784), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145584] = 2,
    ACTIONS(17786), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145592] = 2,
    ACTIONS(17788), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145600] = 2,
    ACTIONS(17790), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145608] = 2,
    ACTIONS(17792), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145616] = 2,
    ACTIONS(17794), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145624] = 2,
    ACTIONS(17796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145632] = 2,
    ACTIONS(17798), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145640] = 2,
    ACTIONS(15948), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145648] = 2,
    ACTIONS(17800), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145656] = 2,
    ACTIONS(17802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145664] = 2,
    ACTIONS(17804), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145672] = 2,
    ACTIONS(17806), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145680] = 2,
    ACTIONS(17808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145688] = 2,
    ACTIONS(17810), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145696] = 2,
    ACTIONS(17812), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145704] = 2,
    ACTIONS(17814), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145712] = 2,
    ACTIONS(15952), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145720] = 2,
    ACTIONS(17816), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145728] = 2,
    ACTIONS(17818), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145736] = 2,
    ACTIONS(17820), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145744] = 2,
    ACTIONS(17822), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145752] = 2,
    ACTIONS(17824), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145760] = 2,
    ACTIONS(17826), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145768] = 2,
    ACTIONS(17828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145776] = 2,
    ACTIONS(17830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145784] = 2,
    ACTIONS(15958), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145792] = 2,
    ACTIONS(17832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145800] = 2,
    ACTIONS(17834), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145808] = 2,
    ACTIONS(17836), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145816] = 2,
    ACTIONS(17838), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145824] = 2,
    ACTIONS(17840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145832] = 2,
    ACTIONS(17842), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145840] = 2,
    ACTIONS(17844), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145848] = 2,
    ACTIONS(17846), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145856] = 2,
    ACTIONS(15964), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145864] = 2,
    ACTIONS(17848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145872] = 2,
    ACTIONS(17850), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145880] = 2,
    ACTIONS(17852), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145888] = 2,
    ACTIONS(17854), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145896] = 2,
    ACTIONS(17856), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145904] = 2,
    ACTIONS(17858), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145912] = 2,
    ACTIONS(17860), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145920] = 2,
    ACTIONS(17862), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145928] = 2,
    ACTIONS(15968), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145936] = 2,
    ACTIONS(17864), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145944] = 2,
    ACTIONS(17866), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145952] = 2,
    ACTIONS(17868), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145960] = 2,
    ACTIONS(17870), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145968] = 2,
    ACTIONS(17872), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145976] = 2,
    ACTIONS(17874), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [145984] = 2,
    ACTIONS(17876), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145992] = 2,
    ACTIONS(17878), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146000] = 2,
    ACTIONS(15972), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146008] = 2,
    ACTIONS(17880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146016] = 2,
    ACTIONS(17882), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146024] = 2,
    ACTIONS(17884), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146032] = 2,
    ACTIONS(17886), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146040] = 2,
    ACTIONS(17888), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146048] = 2,
    ACTIONS(17890), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146056] = 2,
    ACTIONS(17892), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146064] = 2,
    ACTIONS(17894), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146072] = 2,
    ACTIONS(15976), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146080] = 2,
    ACTIONS(17896), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146088] = 2,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146096] = 2,
    ACTIONS(17900), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146104] = 2,
    ACTIONS(17902), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146112] = 2,
    ACTIONS(17904), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146120] = 2,
    ACTIONS(17906), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146128] = 2,
    ACTIONS(17908), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146136] = 2,
    ACTIONS(17910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146144] = 2,
    ACTIONS(15980), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146152] = 2,
    ACTIONS(17912), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146160] = 2,
    ACTIONS(17914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146168] = 2,
    ACTIONS(17916), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146176] = 2,
    ACTIONS(17918), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146184] = 2,
    ACTIONS(17920), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146192] = 2,
    ACTIONS(17922), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146200] = 2,
    ACTIONS(17924), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146208] = 2,
    ACTIONS(17926), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146216] = 2,
    ACTIONS(15984), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146224] = 2,
    ACTIONS(15335), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146232] = 2,
    ACTIONS(17928), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146240] = 2,
    ACTIONS(17930), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146248] = 2,
    ACTIONS(17932), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146256] = 2,
    ACTIONS(17934), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146264] = 2,
    ACTIONS(17936), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146272] = 2,
    ACTIONS(17938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146280] = 2,
    ACTIONS(17940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146288] = 2,
    ACTIONS(15988), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146296] = 2,
    ACTIONS(17942), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146304] = 2,
    ACTIONS(17944), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146312] = 2,
    ACTIONS(17946), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146320] = 2,
    ACTIONS(17948), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146328] = 2,
    ACTIONS(17950), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146336] = 2,
    ACTIONS(17952), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146344] = 2,
    ACTIONS(17954), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146352] = 2,
    ACTIONS(15990), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146360] = 2,
    ACTIONS(17956), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146368] = 2,
    ACTIONS(17958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146376] = 2,
    ACTIONS(17960), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146384] = 2,
    ACTIONS(17962), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146392] = 2,
    ACTIONS(17964), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146400] = 2,
    ACTIONS(17966), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146408] = 2,
    ACTIONS(17968), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146416] = 2,
    ACTIONS(17970), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146424] = 2,
    ACTIONS(17972), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146432] = 2,
    ACTIONS(17974), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146440] = 2,
    ACTIONS(17976), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146448] = 2,
    ACTIONS(17978), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146456] = 2,
    ACTIONS(17980), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146464] = 2,
    ACTIONS(17982), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146472] = 2,
    ACTIONS(17984), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146480] = 2,
    ACTIONS(17986), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146488] = 2,
    ACTIONS(17988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146496] = 2,
    ACTIONS(17990), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146504] = 2,
    ACTIONS(17992), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146512] = 2,
    ACTIONS(11360), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146520] = 2,
    ACTIONS(17994), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146528] = 2,
    ACTIONS(17996), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146536] = 2,
    ACTIONS(17998), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146544] = 2,
    ACTIONS(11382), 1,
      aux_sym_coarray_statement_token10,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146552] = 2,
    ACTIONS(18000), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146560] = 2,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146568] = 2,
    ACTIONS(14576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146576] = 2,
    ACTIONS(9880), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146584] = 2,
    ACTIONS(18004), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146592] = 2,
    ACTIONS(18006), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146600] = 2,
    ACTIONS(18008), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146608] = 2,
    ACTIONS(18010), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146616] = 2,
    ACTIONS(18012), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146624] = 2,
    ACTIONS(18014), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146632] = 2,
    ACTIONS(18016), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146640] = 2,
    ACTIONS(18018), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146648] = 2,
    ACTIONS(18020), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146656] = 2,
    ACTIONS(18022), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146664] = 2,
    ACTIONS(18024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146672] = 2,
    ACTIONS(18026), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146680] = 2,
    ACTIONS(18028), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146688] = 2,
    ACTIONS(18030), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146696] = 2,
    ACTIONS(18032), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146704] = 2,
    ACTIONS(18034), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146712] = 2,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146720] = 2,
    ACTIONS(18038), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146728] = 2,
    ACTIONS(18040), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146736] = 2,
    ACTIONS(18042), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146744] = 2,
    ACTIONS(18044), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146752] = 2,
    ACTIONS(18046), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146760] = 2,
    ACTIONS(18048), 1,
      aux_sym_enumeration_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146768] = 2,
    ACTIONS(18050), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146776] = 2,
    ACTIONS(18052), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146784] = 2,
    ACTIONS(18054), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146792] = 2,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146800] = 2,
    ACTIONS(18058), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146808] = 2,
    ACTIONS(18060), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146816] = 2,
    ACTIONS(11324), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146824] = 2,
    ACTIONS(18062), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146832] = 2,
    ACTIONS(18064), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146840] = 2,
    ACTIONS(18066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146848] = 2,
    ACTIONS(18068), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146856] = 2,
    ACTIONS(18070), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146864] = 2,
    ACTIONS(18072), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146872] = 2,
    ACTIONS(18074), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146880] = 2,
    ACTIONS(18076), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146888] = 2,
    ACTIONS(18078), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146896] = 2,
    ACTIONS(18080), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146904] = 2,
    ACTIONS(18082), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146912] = 2,
    ACTIONS(18084), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146920] = 2,
    ACTIONS(18086), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146928] = 2,
    ACTIONS(18088), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146936] = 2,
    ACTIONS(18090), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146944] = 2,
    ACTIONS(18092), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146952] = 2,
    ACTIONS(18094), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [146960] = 2,
    ACTIONS(18096), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146968] = 2,
    ACTIONS(18098), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146976] = 2,
    ACTIONS(18100), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146984] = 2,
    ACTIONS(18102), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146992] = 2,
    ACTIONS(18104), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147000] = 2,
    ACTIONS(11328), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147008] = 2,
    ACTIONS(18106), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147016] = 2,
    ACTIONS(18108), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147024] = 2,
    ACTIONS(18110), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147032] = 2,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147040] = 2,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147048] = 2,
    ACTIONS(18116), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147056] = 2,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147064] = 2,
    ACTIONS(18120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147072] = 2,
    ACTIONS(18122), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147080] = 2,
    ACTIONS(18124), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147088] = 2,
    ACTIONS(18126), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147096] = 2,
    ACTIONS(18128), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147104] = 2,
    ACTIONS(18130), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147112] = 2,
    ACTIONS(18132), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147120] = 2,
    ACTIONS(12233), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147128] = 2,
    ACTIONS(18134), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147136] = 2,
    ACTIONS(18136), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147144] = 2,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147152] = 2,
    ACTIONS(18140), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147160] = 2,
    ACTIONS(18142), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147168] = 2,
    ACTIONS(18144), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147176] = 2,
    ACTIONS(18146), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147184] = 2,
    ACTIONS(18148), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147192] = 2,
    ACTIONS(18150), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147200] = 2,
    ACTIONS(18152), 1,
      aux_sym_implicit_range_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147208] = 2,
    ACTIONS(18154), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147216] = 2,
    ACTIONS(18156), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147224] = 2,
    ACTIONS(18158), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147232] = 2,
    ACTIONS(18160), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147240] = 2,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147248] = 2,
    ACTIONS(18164), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147256] = 2,
    ACTIONS(18166), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147264] = 2,
    ACTIONS(15523), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147272] = 2,
    ACTIONS(18168), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147280] = 2,
    ACTIONS(18170), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147288] = 2,
    ACTIONS(18172), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147296] = 2,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147304] = 2,
    ACTIONS(18176), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147312] = 2,
    ACTIONS(18178), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147320] = 2,
    ACTIONS(18180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147328] = 2,
    ACTIONS(18182), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147336] = 2,
    ACTIONS(18184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147344] = 2,
    ACTIONS(18186), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147352] = 2,
    ACTIONS(18188), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147360] = 2,
    ACTIONS(18190), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147368] = 2,
    ACTIONS(18192), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147376] = 2,
    ACTIONS(11440), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147384] = 2,
    ACTIONS(18194), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147392] = 2,
    ACTIONS(18196), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147400] = 2,
    ACTIONS(18198), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147408] = 2,
    ACTIONS(18200), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147416] = 2,
    ACTIONS(18202), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147424] = 2,
    ACTIONS(18204), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147432] = 2,
    ACTIONS(18206), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147440] = 2,
    ACTIONS(18208), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147448] = 2,
    ACTIONS(18210), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147456] = 2,
    ACTIONS(18212), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147464] = 2,
    ACTIONS(18214), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147472] = 2,
    ACTIONS(18216), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147480] = 2,
    ACTIONS(18218), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147488] = 2,
    ACTIONS(18220), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147496] = 2,
    ACTIONS(18222), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147504] = 2,
    ACTIONS(18224), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147512] = 2,
    ACTIONS(18226), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147520] = 2,
    ACTIONS(18228), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147528] = 2,
    ACTIONS(18230), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147536] = 2,
    ACTIONS(18232), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147544] = 2,
    ACTIONS(14731), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147552] = 2,
    ACTIONS(18234), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147560] = 2,
    ACTIONS(18236), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147568] = 2,
    ACTIONS(18238), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147576] = 2,
    ACTIONS(11352), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147584] = 2,
    ACTIONS(18240), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147592] = 2,
    ACTIONS(18242), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147600] = 2,
    ACTIONS(18244), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147608] = 2,
    ACTIONS(18246), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147616] = 2,
    ACTIONS(18248), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147624] = 2,
    ACTIONS(18250), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147632] = 2,
    ACTIONS(18252), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147640] = 2,
    ACTIONS(18254), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147648] = 2,
    ACTIONS(18256), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147656] = 2,
    ACTIONS(18258), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147664] = 2,
    ACTIONS(18260), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147672] = 2,
    ACTIONS(18262), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147680] = 2,
    ACTIONS(18264), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147688] = 2,
    ACTIONS(18266), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147696] = 2,
    ACTIONS(18268), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147704] = 2,
    ACTIONS(18270), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147712] = 2,
    ACTIONS(18272), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147720] = 2,
    ACTIONS(18274), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147728] = 2,
    ACTIONS(18276), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147736] = 2,
    ACTIONS(18278), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147744] = 2,
    ACTIONS(18280), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147752] = 2,
    ACTIONS(18282), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147760] = 2,
    ACTIONS(14651), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147768] = 2,
    ACTIONS(18284), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147776] = 2,
    ACTIONS(18286), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147784] = 2,
    ACTIONS(18288), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147792] = 2,
    ACTIONS(18290), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147800] = 2,
    ACTIONS(18292), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147808] = 2,
    ACTIONS(18294), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147816] = 2,
    ACTIONS(18296), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147824] = 2,
    ACTIONS(18298), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147832] = 2,
    ACTIONS(18300), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147840] = 2,
    ACTIONS(18302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147848] = 2,
    ACTIONS(18304), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147856] = 2,
    ACTIONS(18306), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147864] = 2,
    ACTIONS(18308), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147872] = 2,
    ACTIONS(18310), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147880] = 2,
    ACTIONS(18312), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147888] = 2,
    ACTIONS(18314), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147896] = 2,
    ACTIONS(18316), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147904] = 2,
    ACTIONS(18318), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147912] = 2,
    ACTIONS(18320), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147920] = 2,
    ACTIONS(18322), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147928] = 2,
    ACTIONS(18324), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147936] = 2,
    ACTIONS(18326), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147944] = 2,
    ACTIONS(18328), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [147952] = 2,
    ACTIONS(18330), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147960] = 2,
    ACTIONS(18332), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147968] = 2,
    ACTIONS(18334), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147976] = 2,
    ACTIONS(12129), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147984] = 2,
    ACTIONS(18336), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147992] = 2,
    ACTIONS(18338), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148000] = 2,
    ACTIONS(18340), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148008] = 2,
    ACTIONS(18342), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148016] = 2,
    ACTIONS(18344), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148024] = 2,
    ACTIONS(18346), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148032] = 2,
    ACTIONS(18348), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148040] = 2,
    ACTIONS(18350), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148048] = 2,
    ACTIONS(18352), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148056] = 2,
    ACTIONS(18354), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148064] = 2,
    ACTIONS(18356), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148072] = 2,
    ACTIONS(18358), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148080] = 2,
    ACTIONS(18360), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148088] = 2,
    ACTIONS(18362), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148096] = 2,
    ACTIONS(18364), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148104] = 2,
    ACTIONS(18366), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148112] = 2,
    ACTIONS(18368), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148120] = 2,
    ACTIONS(18370), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148128] = 2,
    ACTIONS(18372), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148136] = 2,
    ACTIONS(18374), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148144] = 2,
    ACTIONS(18376), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148152] = 2,
    ACTIONS(18378), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148160] = 2,
    ACTIONS(18380), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148168] = 2,
    ACTIONS(18382), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148176] = 2,
    ACTIONS(18384), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148184] = 2,
    ACTIONS(18386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148192] = 2,
    ACTIONS(18388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148200] = 2,
    ACTIONS(18390), 1,
      aux_sym_keyword_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148208] = 2,
    ACTIONS(18392), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148216] = 2,
    ACTIONS(18394), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148224] = 2,
    ACTIONS(18396), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148232] = 2,
    ACTIONS(18398), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148240] = 2,
    ACTIONS(18400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148248] = 2,
    ACTIONS(18402), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148256] = 2,
    ACTIONS(18404), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148264] = 2,
    ACTIONS(18406), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148272] = 2,
    ACTIONS(18408), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148280] = 2,
    ACTIONS(15680), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148288] = 2,
    ACTIONS(18410), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148296] = 2,
    ACTIONS(18412), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148304] = 2,
    ACTIONS(18414), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148312] = 2,
    ACTIONS(18416), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148320] = 2,
    ACTIONS(18418), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148328] = 2,
    ACTIONS(18420), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148336] = 2,
    ACTIONS(18422), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148344] = 2,
    ACTIONS(18424), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148352] = 2,
    ACTIONS(18426), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148360] = 2,
    ACTIONS(18428), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148368] = 2,
    ACTIONS(18430), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148376] = 2,
    ACTIONS(18432), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148384] = 2,
    ACTIONS(18434), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148392] = 2,
    ACTIONS(18436), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148400] = 2,
    ACTIONS(18438), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148408] = 2,
    ACTIONS(18440), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148416] = 2,
    ACTIONS(18442), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148424] = 2,
    ACTIONS(18444), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148432] = 2,
    ACTIONS(18446), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148440] = 2,
    ACTIONS(18448), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148448] = 2,
    ACTIONS(18450), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148456] = 2,
    ACTIONS(18452), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148464] = 2,
    ACTIONS(18454), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148472] = 2,
    ACTIONS(18456), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148480] = 2,
    ACTIONS(18458), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148488] = 2,
    ACTIONS(18460), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148496] = 2,
    ACTIONS(18462), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148504] = 2,
    ACTIONS(18464), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148512] = 2,
    ACTIONS(18466), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148520] = 2,
    ACTIONS(18468), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148528] = 2,
    ACTIONS(18470), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148536] = 2,
    ACTIONS(18472), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148544] = 2,
    ACTIONS(18474), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148552] = 2,
    ACTIONS(18476), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148560] = 2,
    ACTIONS(18478), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148568] = 2,
    ACTIONS(18480), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148576] = 2,
    ACTIONS(18482), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148584] = 2,
    ACTIONS(18484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148592] = 2,
    ACTIONS(18486), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148600] = 2,
    ACTIONS(18488), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148608] = 2,
    ACTIONS(18490), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148616] = 2,
    ACTIONS(18492), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148624] = 2,
    ACTIONS(18494), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148632] = 2,
    ACTIONS(18496), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148640] = 2,
    ACTIONS(18498), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148648] = 2,
    ACTIONS(18500), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148656] = 2,
    ACTIONS(18502), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148664] = 2,
    ACTIONS(18504), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148672] = 2,
    ACTIONS(18506), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148680] = 2,
    ACTIONS(18508), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148688] = 2,
    ACTIONS(18510), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148696] = 2,
    ACTIONS(18512), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148704] = 2,
    ACTIONS(18514), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148712] = 2,
    ACTIONS(12201), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148720] = 2,
    ACTIONS(18516), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148728] = 2,
    ACTIONS(18518), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148736] = 2,
    ACTIONS(18520), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148744] = 2,
    ACTIONS(18522), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148752] = 2,
    ACTIONS(18524), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148760] = 2,
    ACTIONS(18526), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148768] = 2,
    ACTIONS(18528), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148776] = 2,
    ACTIONS(18530), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148784] = 2,
    ACTIONS(18532), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148792] = 2,
    ACTIONS(18534), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148800] = 2,
    ACTIONS(18536), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148808] = 2,
    ACTIONS(18538), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148816] = 2,
    ACTIONS(15726), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148824] = 2,
    ACTIONS(18540), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148832] = 2,
    ACTIONS(18542), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148840] = 2,
    ACTIONS(18544), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148848] = 2,
    ACTIONS(18546), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148856] = 2,
    ACTIONS(18548), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148864] = 2,
    ACTIONS(18550), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148872] = 2,
    ACTIONS(18552), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148880] = 2,
    ACTIONS(18554), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148888] = 2,
    ACTIONS(18556), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148896] = 2,
    ACTIONS(18558), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148904] = 2,
    ACTIONS(18560), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148912] = 2,
    ACTIONS(18562), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148920] = 2,
    ACTIONS(18564), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148928] = 2,
    ACTIONS(18566), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148936] = 2,
    ACTIONS(18568), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [148944] = 2,
    ACTIONS(15728), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148952] = 2,
    ACTIONS(18570), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148960] = 2,
    ACTIONS(15734), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148968] = 2,
    ACTIONS(18572), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148976] = 2,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148984] = 2,
    ACTIONS(18576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148992] = 2,
    ACTIONS(18578), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149000] = 2,
    ACTIONS(18580), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149008] = 2,
    ACTIONS(11389), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149016] = 2,
    ACTIONS(18582), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149024] = 2,
    ACTIONS(11364), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149032] = 2,
    ACTIONS(18584), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149040] = 2,
    ACTIONS(18586), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149048] = 2,
    ACTIONS(18588), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149056] = 2,
    ACTIONS(18590), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149064] = 2,
    ACTIONS(18592), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149072] = 2,
    ACTIONS(18594), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149080] = 2,
    ACTIONS(18596), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149088] = 2,
    ACTIONS(9906), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149096] = 2,
    ACTIONS(18598), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149104] = 2,
    ACTIONS(18600), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149112] = 2,
    ACTIONS(18602), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149120] = 2,
    ACTIONS(15229), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149128] = 2,
    ACTIONS(18604), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149136] = 2,
    ACTIONS(18606), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149144] = 2,
    ACTIONS(18608), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149152] = 2,
    ACTIONS(15085), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149160] = 2,
    ACTIONS(18610), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149168] = 2,
    ACTIONS(18612), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149176] = 2,
    ACTIONS(18614), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149184] = 2,
    ACTIONS(18616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149192] = 2,
    ACTIONS(18618), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149200] = 2,
    ACTIONS(18620), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149208] = 2,
    ACTIONS(18622), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149216] = 2,
    ACTIONS(18624), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149224] = 2,
    ACTIONS(18626), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149232] = 2,
    ACTIONS(18628), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149240] = 2,
    ACTIONS(18630), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149248] = 2,
    ACTIONS(18632), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149256] = 2,
    ACTIONS(18634), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149264] = 2,
    ACTIONS(18636), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149272] = 2,
    ACTIONS(18638), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149280] = 2,
    ACTIONS(18640), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149288] = 2,
    ACTIONS(18642), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149296] = 2,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149304] = 2,
    ACTIONS(18646), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149312] = 2,
    ACTIONS(18648), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149320] = 2,
    ACTIONS(18650), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149328] = 2,
    ACTIONS(18652), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149336] = 2,
    ACTIONS(18654), 1,
      aux_sym_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149344] = 2,
    ACTIONS(18656), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149352] = 2,
    ACTIONS(18658), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149360] = 2,
    ACTIONS(18660), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149368] = 2,
    ACTIONS(18662), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149376] = 2,
    ACTIONS(15782), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149384] = 2,
    ACTIONS(18664), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149392] = 2,
    ACTIONS(18666), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149400] = 2,
    ACTIONS(18668), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149408] = 2,
    ACTIONS(18670), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149416] = 2,
    ACTIONS(18672), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149424] = 2,
    ACTIONS(18674), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149432] = 2,
    ACTIONS(18676), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149440] = 2,
    ACTIONS(18678), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149448] = 2,
    ACTIONS(18680), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149456] = 2,
    ACTIONS(18682), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149464] = 2,
    ACTIONS(18684), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149472] = 2,
    ACTIONS(18686), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149480] = 2,
    ACTIONS(18688), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149488] = 2,
    ACTIONS(18690), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149496] = 2,
    ACTIONS(18692), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149504] = 2,
    ACTIONS(18694), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149512] = 2,
    ACTIONS(18696), 1,
      ts_builtin_sym_end,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149520] = 2,
    ACTIONS(18698), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149528] = 2,
    ACTIONS(18700), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149536] = 2,
    ACTIONS(18702), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149544] = 2,
    ACTIONS(18704), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149552] = 2,
    ACTIONS(18706), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149560] = 2,
    ACTIONS(18708), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149568] = 2,
    ACTIONS(12197), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149576] = 2,
    ACTIONS(18710), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149584] = 2,
    ACTIONS(18712), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149592] = 2,
    ACTIONS(18714), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149600] = 2,
    ACTIONS(18716), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149608] = 2,
    ACTIONS(18718), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149616] = 2,
    ACTIONS(15435), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149624] = 2,
    ACTIONS(18720), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149632] = 2,
    ACTIONS(18722), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149640] = 2,
    ACTIONS(18724), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149648] = 2,
    ACTIONS(11378), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149656] = 2,
    ACTIONS(18726), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149664] = 2,
    ACTIONS(18728), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149672] = 2,
    ACTIONS(18730), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149680] = 2,
    ACTIONS(18732), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149688] = 2,
    ACTIONS(18734), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149696] = 2,
    ACTIONS(18736), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149704] = 2,
    ACTIONS(18738), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149712] = 2,
    ACTIONS(18740), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149720] = 2,
    ACTIONS(18742), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149728] = 2,
    ACTIONS(18744), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149736] = 2,
    ACTIONS(18746), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149744] = 2,
    ACTIONS(18748), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149752] = 2,
    ACTIONS(18750), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149760] = 2,
    ACTIONS(18752), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149768] = 2,
    ACTIONS(18754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149776] = 2,
    ACTIONS(18756), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149784] = 2,
    ACTIONS(18758), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149792] = 2,
    ACTIONS(18760), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149800] = 2,
    ACTIONS(18762), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149808] = 2,
    ACTIONS(18764), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149816] = 2,
    ACTIONS(18766), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149824] = 2,
    ACTIONS(11395), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149832] = 2,
    ACTIONS(18768), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149840] = 2,
    ACTIONS(18770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149848] = 2,
    ACTIONS(18772), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149856] = 2,
    ACTIONS(18774), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149864] = 2,
    ACTIONS(18776), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149872] = 2,
    ACTIONS(12439), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149880] = 2,
    ACTIONS(18778), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149888] = 2,
    ACTIONS(18780), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149896] = 2,
    ACTIONS(18782), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149904] = 2,
    ACTIONS(18784), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149912] = 2,
    ACTIONS(18786), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149920] = 2,
    ACTIONS(18788), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149928] = 2,
    ACTIONS(18790), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149936] = 2,
    ACTIONS(18792), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149944] = 2,
    ACTIONS(18794), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149952] = 2,
    ACTIONS(18796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149960] = 2,
    ACTIONS(18798), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149968] = 2,
    ACTIONS(18800), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149976] = 2,
    ACTIONS(18802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149984] = 2,
    ACTIONS(18804), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149992] = 2,
    ACTIONS(18806), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150000] = 2,
    ACTIONS(18808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150008] = 2,
    ACTIONS(18810), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150016] = 2,
    ACTIONS(14617), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150024] = 2,
    ACTIONS(18812), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150032] = 2,
    ACTIONS(18814), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150040] = 2,
    ACTIONS(18816), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150048] = 2,
    ACTIONS(18818), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150056] = 2,
    ACTIONS(18820), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150064] = 2,
    ACTIONS(18822), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150072] = 2,
    ACTIONS(18824), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150080] = 2,
    ACTIONS(18826), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150088] = 2,
    ACTIONS(18828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150096] = 2,
    ACTIONS(18830), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150104] = 2,
    ACTIONS(18832), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150112] = 2,
    ACTIONS(18834), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150120] = 2,
    ACTIONS(18836), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150128] = 2,
    ACTIONS(18838), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150136] = 2,
    ACTIONS(18840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150144] = 2,
    ACTIONS(18842), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150152] = 2,
    ACTIONS(18844), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150160] = 2,
    ACTIONS(18846), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150168] = 2,
    ACTIONS(18848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150176] = 2,
    ACTIONS(18850), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150184] = 2,
    ACTIONS(18852), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150192] = 2,
    ACTIONS(18854), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150200] = 2,
    ACTIONS(18856), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150208] = 2,
    ACTIONS(18858), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150216] = 2,
    ACTIONS(18860), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150224] = 2,
    ACTIONS(18862), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150232] = 2,
    ACTIONS(18864), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150240] = 2,
    ACTIONS(18866), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150248] = 2,
    ACTIONS(18868), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150256] = 2,
    ACTIONS(18870), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150264] = 2,
    ACTIONS(18872), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150272] = 2,
    ACTIONS(18874), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150280] = 2,
    ACTIONS(18876), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150288] = 2,
    ACTIONS(18878), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150296] = 2,
    ACTIONS(18880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150304] = 2,
    ACTIONS(8241), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150312] = 2,
    ACTIONS(18882), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150320] = 2,
    ACTIONS(18884), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150328] = 2,
    ACTIONS(18886), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150336] = 2,
    ACTIONS(18888), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150344] = 2,
    ACTIONS(18890), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150352] = 2,
    ACTIONS(18892), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150360] = 2,
    ACTIONS(18894), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150368] = 2,
    ACTIONS(15742), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150376] = 2,
    ACTIONS(18896), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150384] = 2,
    ACTIONS(18898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150392] = 2,
    ACTIONS(18900), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150400] = 2,
    ACTIONS(18902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150408] = 2,
    ACTIONS(18904), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150416] = 2,
    ACTIONS(18906), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150424] = 2,
    ACTIONS(18908), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150432] = 2,
    ACTIONS(18910), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150440] = 2,
    ACTIONS(14731), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150448] = 2,
    ACTIONS(11366), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150456] = 2,
    ACTIONS(18912), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150464] = 2,
    ACTIONS(18914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150472] = 2,
    ACTIONS(18916), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150480] = 2,
    ACTIONS(18918), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150488] = 2,
    ACTIONS(18920), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150496] = 2,
    ACTIONS(18922), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150504] = 2,
    ACTIONS(18924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150512] = 2,
    ACTIONS(18926), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150520] = 2,
    ACTIONS(14576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150528] = 2,
    ACTIONS(18928), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150536] = 2,
    ACTIONS(18930), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150544] = 2,
    ACTIONS(18932), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150552] = 2,
    ACTIONS(18934), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150560] = 2,
    ACTIONS(11350), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150568] = 2,
    ACTIONS(18936), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150576] = 2,
    ACTIONS(18938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150584] = 2,
    ACTIONS(18940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150592] = 2,
    ACTIONS(18942), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150600] = 2,
    ACTIONS(18944), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150608] = 2,
    ACTIONS(18946), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150616] = 2,
    ACTIONS(18948), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150624] = 2,
    ACTIONS(18950), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150632] = 2,
    ACTIONS(18952), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150640] = 2,
    ACTIONS(18954), 1,
      aux_sym_user_defined_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150648] = 2,
    ACTIONS(18956), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150656] = 2,
    ACTIONS(18958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150664] = 2,
    ACTIONS(18960), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150672] = 2,
    ACTIONS(18962), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150680] = 2,
    ACTIONS(18964), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150688] = 2,
    ACTIONS(18966), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150696] = 2,
    ACTIONS(18968), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150704] = 2,
    ACTIONS(18970), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150712] = 2,
    ACTIONS(18972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150720] = 2,
    ACTIONS(14938), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150728] = 2,
    ACTIONS(18974), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150736] = 2,
    ACTIONS(18976), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150744] = 2,
    ACTIONS(18978), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150752] = 2,
    ACTIONS(18980), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150760] = 2,
    ACTIONS(18982), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150768] = 2,
    ACTIONS(18984), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150776] = 2,
    ACTIONS(18986), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150784] = 2,
    ACTIONS(16310), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150792] = 2,
    ACTIONS(18988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150800] = 2,
    ACTIONS(18990), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150808] = 2,
    ACTIONS(18992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150816] = 2,
    ACTIONS(18994), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150824] = 2,
    ACTIONS(18996), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150832] = 2,
    ACTIONS(18998), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150840] = 2,
    ACTIONS(11248), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150848] = 2,
    ACTIONS(17082), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150856] = 2,
    ACTIONS(19000), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150864] = 2,
    ACTIONS(19002), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150872] = 2,
    ACTIONS(19004), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150880] = 2,
    ACTIONS(19006), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150888] = 2,
    ACTIONS(19008), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150896] = 2,
    ACTIONS(19010), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150904] = 2,
    ACTIONS(19012), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150912] = 2,
    ACTIONS(19014), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150920] = 2,
    ACTIONS(19016), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150928] = 2,
    ACTIONS(19018), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150936] = 2,
    ACTIONS(19020), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150944] = 2,
    ACTIONS(19022), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150952] = 2,
    ACTIONS(19024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150960] = 2,
    ACTIONS(19026), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150968] = 2,
    ACTIONS(19028), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150976] = 2,
    ACTIONS(19030), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150984] = 2,
    ACTIONS(19032), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150992] = 2,
    ACTIONS(19034), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151000] = 2,
    ACTIONS(19036), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151008] = 2,
    ACTIONS(19038), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151016] = 2,
    ACTIONS(19040), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151024] = 2,
    ACTIONS(19042), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151032] = 2,
    ACTIONS(19044), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151040] = 2,
    ACTIONS(19046), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151048] = 2,
    ACTIONS(19048), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151056] = 2,
    ACTIONS(19050), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151064] = 2,
    ACTIONS(19052), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151072] = 2,
    ACTIONS(19054), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151080] = 2,
    ACTIONS(19056), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(4414)] = 0,
  [SMALL_STATE(4415)] = 73,
  [SMALL_STATE(4416)] = 148,
  [SMALL_STATE(4417)] = 233,
  [SMALL_STATE(4418)] = 318,
  [SMALL_STATE(4419)] = 393,
  [SMALL_STATE(4420)] = 478,
  [SMALL_STATE(4421)] = 553,
  [SMALL_STATE(4422)] = 638,
  [SMALL_STATE(4423)] = 713,
  [SMALL_STATE(4424)] = 798,
  [SMALL_STATE(4425)] = 883,
  [SMALL_STATE(4426)] = 968,
  [SMALL_STATE(4427)] = 1043,
  [SMALL_STATE(4428)] = 1118,
  [SMALL_STATE(4429)] = 1193,
  [SMALL_STATE(4430)] = 1278,
  [SMALL_STATE(4431)] = 1363,
  [SMALL_STATE(4432)] = 1438,
  [SMALL_STATE(4433)] = 1513,
  [SMALL_STATE(4434)] = 1595,
  [SMALL_STATE(4435)] = 1665,
  [SMALL_STATE(4436)] = 1735,
  [SMALL_STATE(4437)] = 1805,
  [SMALL_STATE(4438)] = 1875,
  [SMALL_STATE(4439)] = 1945,
  [SMALL_STATE(4440)] = 2015,
  [SMALL_STATE(4441)] = 2085,
  [SMALL_STATE(4442)] = 2155,
  [SMALL_STATE(4443)] = 2225,
  [SMALL_STATE(4444)] = 2295,
  [SMALL_STATE(4445)] = 2365,
  [SMALL_STATE(4446)] = 2435,
  [SMALL_STATE(4447)] = 2505,
  [SMALL_STATE(4448)] = 2575,
  [SMALL_STATE(4449)] = 2657,
  [SMALL_STATE(4450)] = 2739,
  [SMALL_STATE(4451)] = 2809,
  [SMALL_STATE(4452)] = 2891,
  [SMALL_STATE(4453)] = 2973,
  [SMALL_STATE(4454)] = 3055,
  [SMALL_STATE(4455)] = 3125,
  [SMALL_STATE(4456)] = 3207,
  [SMALL_STATE(4457)] = 3289,
  [SMALL_STATE(4458)] = 3371,
  [SMALL_STATE(4459)] = 3441,
  [SMALL_STATE(4460)] = 3523,
  [SMALL_STATE(4461)] = 3605,
  [SMALL_STATE(4462)] = 3687,
  [SMALL_STATE(4463)] = 3757,
  [SMALL_STATE(4464)] = 3839,
  [SMALL_STATE(4465)] = 3921,
  [SMALL_STATE(4466)] = 4003,
  [SMALL_STATE(4467)] = 4085,
  [SMALL_STATE(4468)] = 4155,
  [SMALL_STATE(4469)] = 4237,
  [SMALL_STATE(4470)] = 4319,
  [SMALL_STATE(4471)] = 4401,
  [SMALL_STATE(4472)] = 4471,
  [SMALL_STATE(4473)] = 4541,
  [SMALL_STATE(4474)] = 4623,
  [SMALL_STATE(4475)] = 4705,
  [SMALL_STATE(4476)] = 4787,
  [SMALL_STATE(4477)] = 4857,
  [SMALL_STATE(4478)] = 4939,
  [SMALL_STATE(4479)] = 5021,
  [SMALL_STATE(4480)] = 5103,
  [SMALL_STATE(4481)] = 5185,
  [SMALL_STATE(4482)] = 5255,
  [SMALL_STATE(4483)] = 5325,
  [SMALL_STATE(4484)] = 5407,
  [SMALL_STATE(4485)] = 5489,
  [SMALL_STATE(4486)] = 5559,
  [SMALL_STATE(4487)] = 5629,
  [SMALL_STATE(4488)] = 5711,
  [SMALL_STATE(4489)] = 5781,
  [SMALL_STATE(4490)] = 5851,
  [SMALL_STATE(4491)] = 5921,
  [SMALL_STATE(4492)] = 6003,
  [SMALL_STATE(4493)] = 6075,
  [SMALL_STATE(4494)] = 6145,
  [SMALL_STATE(4495)] = 6227,
  [SMALL_STATE(4496)] = 6297,
  [SMALL_STATE(4497)] = 6379,
  [SMALL_STATE(4498)] = 6449,
  [SMALL_STATE(4499)] = 6519,
  [SMALL_STATE(4500)] = 6601,
  [SMALL_STATE(4501)] = 6683,
  [SMALL_STATE(4502)] = 6753,
  [SMALL_STATE(4503)] = 6835,
  [SMALL_STATE(4504)] = 6917,
  [SMALL_STATE(4505)] = 6999,
  [SMALL_STATE(4506)] = 7071,
  [SMALL_STATE(4507)] = 7153,
  [SMALL_STATE(4508)] = 7235,
  [SMALL_STATE(4509)] = 7317,
  [SMALL_STATE(4510)] = 7399,
  [SMALL_STATE(4511)] = 7481,
  [SMALL_STATE(4512)] = 7551,
  [SMALL_STATE(4513)] = 7621,
  [SMALL_STATE(4514)] = 7703,
  [SMALL_STATE(4515)] = 7773,
  [SMALL_STATE(4516)] = 7855,
  [SMALL_STATE(4517)] = 7925,
  [SMALL_STATE(4518)] = 8007,
  [SMALL_STATE(4519)] = 8089,
  [SMALL_STATE(4520)] = 8171,
  [SMALL_STATE(4521)] = 8241,
  [SMALL_STATE(4522)] = 8311,
  [SMALL_STATE(4523)] = 8390,
  [SMALL_STATE(4524)] = 8469,
  [SMALL_STATE(4525)] = 8548,
  [SMALL_STATE(4526)] = 8627,
  [SMALL_STATE(4527)] = 8706,
  [SMALL_STATE(4528)] = 8785,
  [SMALL_STATE(4529)] = 8864,
  [SMALL_STATE(4530)] = 8943,
  [SMALL_STATE(4531)] = 9022,
  [SMALL_STATE(4532)] = 9101,
  [SMALL_STATE(4533)] = 9180,
  [SMALL_STATE(4534)] = 9259,
  [SMALL_STATE(4535)] = 9338,
  [SMALL_STATE(4536)] = 9417,
  [SMALL_STATE(4537)] = 9496,
  [SMALL_STATE(4538)] = 9575,
  [SMALL_STATE(4539)] = 9654,
  [SMALL_STATE(4540)] = 9733,
  [SMALL_STATE(4541)] = 9812,
  [SMALL_STATE(4542)] = 9891,
  [SMALL_STATE(4543)] = 9970,
  [SMALL_STATE(4544)] = 10049,
  [SMALL_STATE(4545)] = 10128,
  [SMALL_STATE(4546)] = 10207,
  [SMALL_STATE(4547)] = 10286,
  [SMALL_STATE(4548)] = 10365,
  [SMALL_STATE(4549)] = 10444,
  [SMALL_STATE(4550)] = 10523,
  [SMALL_STATE(4551)] = 10602,
  [SMALL_STATE(4552)] = 10681,
  [SMALL_STATE(4553)] = 10760,
  [SMALL_STATE(4554)] = 10839,
  [SMALL_STATE(4555)] = 10918,
  [SMALL_STATE(4556)] = 10997,
  [SMALL_STATE(4557)] = 11076,
  [SMALL_STATE(4558)] = 11155,
  [SMALL_STATE(4559)] = 11234,
  [SMALL_STATE(4560)] = 11313,
  [SMALL_STATE(4561)] = 11392,
  [SMALL_STATE(4562)] = 11471,
  [SMALL_STATE(4563)] = 11550,
  [SMALL_STATE(4564)] = 11629,
  [SMALL_STATE(4565)] = 11708,
  [SMALL_STATE(4566)] = 11787,
  [SMALL_STATE(4567)] = 11866,
  [SMALL_STATE(4568)] = 11945,
  [SMALL_STATE(4569)] = 12024,
  [SMALL_STATE(4570)] = 12103,
  [SMALL_STATE(4571)] = 12182,
  [SMALL_STATE(4572)] = 12261,
  [SMALL_STATE(4573)] = 12340,
  [SMALL_STATE(4574)] = 12419,
  [SMALL_STATE(4575)] = 12498,
  [SMALL_STATE(4576)] = 12577,
  [SMALL_STATE(4577)] = 12656,
  [SMALL_STATE(4578)] = 12735,
  [SMALL_STATE(4579)] = 12814,
  [SMALL_STATE(4580)] = 12893,
  [SMALL_STATE(4581)] = 12972,
  [SMALL_STATE(4582)] = 13051,
  [SMALL_STATE(4583)] = 13130,
  [SMALL_STATE(4584)] = 13209,
  [SMALL_STATE(4585)] = 13288,
  [SMALL_STATE(4586)] = 13367,
  [SMALL_STATE(4587)] = 13446,
  [SMALL_STATE(4588)] = 13525,
  [SMALL_STATE(4589)] = 13604,
  [SMALL_STATE(4590)] = 13683,
  [SMALL_STATE(4591)] = 13762,
  [SMALL_STATE(4592)] = 13841,
  [SMALL_STATE(4593)] = 13920,
  [SMALL_STATE(4594)] = 13999,
  [SMALL_STATE(4595)] = 14078,
  [SMALL_STATE(4596)] = 14157,
  [SMALL_STATE(4597)] = 14236,
  [SMALL_STATE(4598)] = 14315,
  [SMALL_STATE(4599)] = 14394,
  [SMALL_STATE(4600)] = 14473,
  [SMALL_STATE(4601)] = 14552,
  [SMALL_STATE(4602)] = 14631,
  [SMALL_STATE(4603)] = 14710,
  [SMALL_STATE(4604)] = 14789,
  [SMALL_STATE(4605)] = 14868,
  [SMALL_STATE(4606)] = 14947,
  [SMALL_STATE(4607)] = 15026,
  [SMALL_STATE(4608)] = 15105,
  [SMALL_STATE(4609)] = 15184,
  [SMALL_STATE(4610)] = 15263,
  [SMALL_STATE(4611)] = 15342,
  [SMALL_STATE(4612)] = 15421,
  [SMALL_STATE(4613)] = 15500,
  [SMALL_STATE(4614)] = 15579,
  [SMALL_STATE(4615)] = 15658,
  [SMALL_STATE(4616)] = 15737,
  [SMALL_STATE(4617)] = 15816,
  [SMALL_STATE(4618)] = 15895,
  [SMALL_STATE(4619)] = 15974,
  [SMALL_STATE(4620)] = 16053,
  [SMALL_STATE(4621)] = 16132,
  [SMALL_STATE(4622)] = 16211,
  [SMALL_STATE(4623)] = 16290,
  [SMALL_STATE(4624)] = 16369,
  [SMALL_STATE(4625)] = 16448,
  [SMALL_STATE(4626)] = 16527,
  [SMALL_STATE(4627)] = 16606,
  [SMALL_STATE(4628)] = 16685,
  [SMALL_STATE(4629)] = 16764,
  [SMALL_STATE(4630)] = 16843,
  [SMALL_STATE(4631)] = 16922,
  [SMALL_STATE(4632)] = 17001,
  [SMALL_STATE(4633)] = 17080,
  [SMALL_STATE(4634)] = 17159,
  [SMALL_STATE(4635)] = 17238,
  [SMALL_STATE(4636)] = 17317,
  [SMALL_STATE(4637)] = 17396,
  [SMALL_STATE(4638)] = 17475,
  [SMALL_STATE(4639)] = 17554,
  [SMALL_STATE(4640)] = 17633,
  [SMALL_STATE(4641)] = 17712,
  [SMALL_STATE(4642)] = 17791,
  [SMALL_STATE(4643)] = 17870,
  [SMALL_STATE(4644)] = 17949,
  [SMALL_STATE(4645)] = 18028,
  [SMALL_STATE(4646)] = 18107,
  [SMALL_STATE(4647)] = 18186,
  [SMALL_STATE(4648)] = 18265,
  [SMALL_STATE(4649)] = 18344,
  [SMALL_STATE(4650)] = 18423,
  [SMALL_STATE(4651)] = 18502,
  [SMALL_STATE(4652)] = 18581,
  [SMALL_STATE(4653)] = 18660,
  [SMALL_STATE(4654)] = 18739,
  [SMALL_STATE(4655)] = 18818,
  [SMALL_STATE(4656)] = 18897,
  [SMALL_STATE(4657)] = 18976,
  [SMALL_STATE(4658)] = 19055,
  [SMALL_STATE(4659)] = 19134,
  [SMALL_STATE(4660)] = 19213,
  [SMALL_STATE(4661)] = 19292,
  [SMALL_STATE(4662)] = 19371,
  [SMALL_STATE(4663)] = 19450,
  [SMALL_STATE(4664)] = 19529,
  [SMALL_STATE(4665)] = 19608,
  [SMALL_STATE(4666)] = 19687,
  [SMALL_STATE(4667)] = 19766,
  [SMALL_STATE(4668)] = 19845,
  [SMALL_STATE(4669)] = 19924,
  [SMALL_STATE(4670)] = 20003,
  [SMALL_STATE(4671)] = 20082,
  [SMALL_STATE(4672)] = 20161,
  [SMALL_STATE(4673)] = 20240,
  [SMALL_STATE(4674)] = 20319,
  [SMALL_STATE(4675)] = 20398,
  [SMALL_STATE(4676)] = 20477,
  [SMALL_STATE(4677)] = 20556,
  [SMALL_STATE(4678)] = 20678,
  [SMALL_STATE(4679)] = 20800,
  [SMALL_STATE(4680)] = 20922,
  [SMALL_STATE(4681)] = 21044,
  [SMALL_STATE(4682)] = 21166,
  [SMALL_STATE(4683)] = 21288,
  [SMALL_STATE(4684)] = 21410,
  [SMALL_STATE(4685)] = 21532,
  [SMALL_STATE(4686)] = 21654,
  [SMALL_STATE(4687)] = 21776,
  [SMALL_STATE(4688)] = 21898,
  [SMALL_STATE(4689)] = 22020,
  [SMALL_STATE(4690)] = 22142,
  [SMALL_STATE(4691)] = 22264,
  [SMALL_STATE(4692)] = 22386,
  [SMALL_STATE(4693)] = 22508,
  [SMALL_STATE(4694)] = 22630,
  [SMALL_STATE(4695)] = 22752,
  [SMALL_STATE(4696)] = 22874,
  [SMALL_STATE(4697)] = 22996,
  [SMALL_STATE(4698)] = 23118,
  [SMALL_STATE(4699)] = 23240,
  [SMALL_STATE(4700)] = 23362,
  [SMALL_STATE(4701)] = 23484,
  [SMALL_STATE(4702)] = 23606,
  [SMALL_STATE(4703)] = 23728,
  [SMALL_STATE(4704)] = 23799,
  [SMALL_STATE(4705)] = 23918,
  [SMALL_STATE(4706)] = 23989,
  [SMALL_STATE(4707)] = 24109,
  [SMALL_STATE(4708)] = 24229,
  [SMALL_STATE(4709)] = 24295,
  [SMALL_STATE(4710)] = 24415,
  [SMALL_STATE(4711)] = 24535,
  [SMALL_STATE(4712)] = 24601,
  [SMALL_STATE(4713)] = 24721,
  [SMALL_STATE(4714)] = 24841,
  [SMALL_STATE(4715)] = 24961,
  [SMALL_STATE(4716)] = 25081,
  [SMALL_STATE(4717)] = 25147,
  [SMALL_STATE(4718)] = 25267,
  [SMALL_STATE(4719)] = 25332,
  [SMALL_STATE(4720)] = 25449,
  [SMALL_STATE(4721)] = 25566,
  [SMALL_STATE(4722)] = 25631,
  [SMALL_STATE(4723)] = 25748,
  [SMALL_STATE(4724)] = 25865,
  [SMALL_STATE(4725)] = 25982,
  [SMALL_STATE(4726)] = 26099,
  [SMALL_STATE(4727)] = 26216,
  [SMALL_STATE(4728)] = 26281,
  [SMALL_STATE(4729)] = 26398,
  [SMALL_STATE(4730)] = 26515,
  [SMALL_STATE(4731)] = 26632,
  [SMALL_STATE(4732)] = 26749,
  [SMALL_STATE(4733)] = 26866,
  [SMALL_STATE(4734)] = 26931,
  [SMALL_STATE(4735)] = 27048,
  [SMALL_STATE(4736)] = 27165,
  [SMALL_STATE(4737)] = 27282,
  [SMALL_STATE(4738)] = 27399,
  [SMALL_STATE(4739)] = 27516,
  [SMALL_STATE(4740)] = 27633,
  [SMALL_STATE(4741)] = 27698,
  [SMALL_STATE(4742)] = 27763,
  [SMALL_STATE(4743)] = 27828,
  [SMALL_STATE(4744)] = 27945,
  [SMALL_STATE(4745)] = 28062,
  [SMALL_STATE(4746)] = 28179,
  [SMALL_STATE(4747)] = 28296,
  [SMALL_STATE(4748)] = 28413,
  [SMALL_STATE(4749)] = 28480,
  [SMALL_STATE(4750)] = 28545,
  [SMALL_STATE(4751)] = 28610,
  [SMALL_STATE(4752)] = 28727,
  [SMALL_STATE(4753)] = 28792,
  [SMALL_STATE(4754)] = 28909,
  [SMALL_STATE(4755)] = 29026,
  [SMALL_STATE(4756)] = 29143,
  [SMALL_STATE(4757)] = 29260,
  [SMALL_STATE(4758)] = 29325,
  [SMALL_STATE(4759)] = 29442,
  [SMALL_STATE(4760)] = 29559,
  [SMALL_STATE(4761)] = 29676,
  [SMALL_STATE(4762)] = 29793,
  [SMALL_STATE(4763)] = 29910,
  [SMALL_STATE(4764)] = 30027,
  [SMALL_STATE(4765)] = 30092,
  [SMALL_STATE(4766)] = 30209,
  [SMALL_STATE(4767)] = 30326,
  [SMALL_STATE(4768)] = 30443,
  [SMALL_STATE(4769)] = 30560,
  [SMALL_STATE(4770)] = 30677,
  [SMALL_STATE(4771)] = 30794,
  [SMALL_STATE(4772)] = 30911,
  [SMALL_STATE(4773)] = 31028,
  [SMALL_STATE(4774)] = 31145,
  [SMALL_STATE(4775)] = 31262,
  [SMALL_STATE(4776)] = 31379,
  [SMALL_STATE(4777)] = 31496,
  [SMALL_STATE(4778)] = 31613,
  [SMALL_STATE(4779)] = 31730,
  [SMALL_STATE(4780)] = 31847,
  [SMALL_STATE(4781)] = 31912,
  [SMALL_STATE(4782)] = 32029,
  [SMALL_STATE(4783)] = 32146,
  [SMALL_STATE(4784)] = 32211,
  [SMALL_STATE(4785)] = 32328,
  [SMALL_STATE(4786)] = 32445,
  [SMALL_STATE(4787)] = 32562,
  [SMALL_STATE(4788)] = 32679,
  [SMALL_STATE(4789)] = 32796,
  [SMALL_STATE(4790)] = 32913,
  [SMALL_STATE(4791)] = 33030,
  [SMALL_STATE(4792)] = 33147,
  [SMALL_STATE(4793)] = 33264,
  [SMALL_STATE(4794)] = 33381,
  [SMALL_STATE(4795)] = 33446,
  [SMALL_STATE(4796)] = 33563,
  [SMALL_STATE(4797)] = 33680,
  [SMALL_STATE(4798)] = 33745,
  [SMALL_STATE(4799)] = 33809,
  [SMALL_STATE(4800)] = 33873,
  [SMALL_STATE(4801)] = 33937,
  [SMALL_STATE(4802)] = 34001,
  [SMALL_STATE(4803)] = 34065,
  [SMALL_STATE(4804)] = 34175,
  [SMALL_STATE(4805)] = 34285,
  [SMALL_STATE(4806)] = 34349,
  [SMALL_STATE(4807)] = 34459,
  [SMALL_STATE(4808)] = 34522,
  [SMALL_STATE(4809)] = 34585,
  [SMALL_STATE(4810)] = 34648,
  [SMALL_STATE(4811)] = 34710,
  [SMALL_STATE(4812)] = 34807,
  [SMALL_STATE(4813)] = 34868,
  [SMALL_STATE(4814)] = 34929,
  [SMALL_STATE(4815)] = 34990,
  [SMALL_STATE(4816)] = 35051,
  [SMALL_STATE(4817)] = 35112,
  [SMALL_STATE(4818)] = 35209,
  [SMALL_STATE(4819)] = 35286,
  [SMALL_STATE(4820)] = 35361,
  [SMALL_STATE(4821)] = 35442,
  [SMALL_STATE(4822)] = 35529,
  [SMALL_STATE(4823)] = 35614,
  [SMALL_STATE(4824)] = 35703,
  [SMALL_STATE(4825)] = 35784,
  [SMALL_STATE(4826)] = 35857,
  [SMALL_STATE(4827)] = 35948,
  [SMALL_STATE(4828)] = 36041,
  [SMALL_STATE(4829)] = 36126,
  [SMALL_STATE(4830)] = 36197,
  [SMALL_STATE(4831)] = 36257,
  [SMALL_STATE(4832)] = 36363,
  [SMALL_STATE(4833)] = 36423,
  [SMALL_STATE(4834)] = 36529,
  [SMALL_STATE(4835)] = 36637,
  [SMALL_STATE(4836)] = 36743,
  [SMALL_STATE(4837)] = 36803,
  [SMALL_STATE(4838)] = 36911,
  [SMALL_STATE(4839)] = 37016,
  [SMALL_STATE(4840)] = 37121,
  [SMALL_STATE(4841)] = 37226,
  [SMALL_STATE(4842)] = 37331,
  [SMALL_STATE(4843)] = 37436,
  [SMALL_STATE(4844)] = 37541,
  [SMALL_STATE(4845)] = 37646,
  [SMALL_STATE(4846)] = 37751,
  [SMALL_STATE(4847)] = 37856,
  [SMALL_STATE(4848)] = 37961,
  [SMALL_STATE(4849)] = 38066,
  [SMALL_STATE(4850)] = 38171,
  [SMALL_STATE(4851)] = 38236,
  [SMALL_STATE(4852)] = 38341,
  [SMALL_STATE(4853)] = 38446,
  [SMALL_STATE(4854)] = 38551,
  [SMALL_STATE(4855)] = 38656,
  [SMALL_STATE(4856)] = 38715,
  [SMALL_STATE(4857)] = 38820,
  [SMALL_STATE(4858)] = 38925,
  [SMALL_STATE(4859)] = 39030,
  [SMALL_STATE(4860)] = 39135,
  [SMALL_STATE(4861)] = 39240,
  [SMALL_STATE(4862)] = 39345,
  [SMALL_STATE(4863)] = 39450,
  [SMALL_STATE(4864)] = 39555,
  [SMALL_STATE(4865)] = 39618,
  [SMALL_STATE(4866)] = 39723,
  [SMALL_STATE(4867)] = 39828,
  [SMALL_STATE(4868)] = 39933,
  [SMALL_STATE(4869)] = 40038,
  [SMALL_STATE(4870)] = 40143,
  [SMALL_STATE(4871)] = 40248,
  [SMALL_STATE(4872)] = 40353,
  [SMALL_STATE(4873)] = 40458,
  [SMALL_STATE(4874)] = 40563,
  [SMALL_STATE(4875)] = 40665,
  [SMALL_STATE(4876)] = 40767,
  [SMALL_STATE(4877)] = 40869,
  [SMALL_STATE(4878)] = 40965,
  [SMALL_STATE(4879)] = 41068,
  [SMALL_STATE(4880)] = 41171,
  [SMALL_STATE(4881)] = 41274,
  [SMALL_STATE(4882)] = 41377,
  [SMALL_STATE(4883)] = 41480,
  [SMALL_STATE(4884)] = 41583,
  [SMALL_STATE(4885)] = 41686,
  [SMALL_STATE(4886)] = 41789,
  [SMALL_STATE(4887)] = 41892,
  [SMALL_STATE(4888)] = 41995,
  [SMALL_STATE(4889)] = 42098,
  [SMALL_STATE(4890)] = 42201,
  [SMALL_STATE(4891)] = 42304,
  [SMALL_STATE(4892)] = 42407,
  [SMALL_STATE(4893)] = 42510,
  [SMALL_STATE(4894)] = 42613,
  [SMALL_STATE(4895)] = 42716,
  [SMALL_STATE(4896)] = 42819,
  [SMALL_STATE(4897)] = 42922,
  [SMALL_STATE(4898)] = 43025,
  [SMALL_STATE(4899)] = 43128,
  [SMALL_STATE(4900)] = 43231,
  [SMALL_STATE(4901)] = 43334,
  [SMALL_STATE(4902)] = 43437,
  [SMALL_STATE(4903)] = 43530,
  [SMALL_STATE(4904)] = 43620,
  [SMALL_STATE(4905)] = 43710,
  [SMALL_STATE(4906)] = 43802,
  [SMALL_STATE(4907)] = 43892,
  [SMALL_STATE(4908)] = 43941,
  [SMALL_STATE(4909)] = 43990,
  [SMALL_STATE(4910)] = 44039,
  [SMALL_STATE(4911)] = 44088,
  [SMALL_STATE(4912)] = 44137,
  [SMALL_STATE(4913)] = 44186,
  [SMALL_STATE(4914)] = 44235,
  [SMALL_STATE(4915)] = 44284,
  [SMALL_STATE(4916)] = 44333,
  [SMALL_STATE(4917)] = 44382,
  [SMALL_STATE(4918)] = 44431,
  [SMALL_STATE(4919)] = 44480,
  [SMALL_STATE(4920)] = 44529,
  [SMALL_STATE(4921)] = 44578,
  [SMALL_STATE(4922)] = 44627,
  [SMALL_STATE(4923)] = 44676,
  [SMALL_STATE(4924)] = 44725,
  [SMALL_STATE(4925)] = 44774,
  [SMALL_STATE(4926)] = 44823,
  [SMALL_STATE(4927)] = 44872,
  [SMALL_STATE(4928)] = 44919,
  [SMALL_STATE(4929)] = 44966,
  [SMALL_STATE(4930)] = 45017,
  [SMALL_STATE(4931)] = 45068,
  [SMALL_STATE(4932)] = 45119,
  [SMALL_STATE(4933)] = 45170,
  [SMALL_STATE(4934)] = 45221,
  [SMALL_STATE(4935)] = 45272,
  [SMALL_STATE(4936)] = 45323,
  [SMALL_STATE(4937)] = 45378,
  [SMALL_STATE(4938)] = 45454,
  [SMALL_STATE(4939)] = 45502,
  [SMALL_STATE(4940)] = 45550,
  [SMALL_STATE(4941)] = 45600,
  [SMALL_STATE(4942)] = 45670,
  [SMALL_STATE(4943)] = 45726,
  [SMALL_STATE(4944)] = 45774,
  [SMALL_STATE(4945)] = 45850,
  [SMALL_STATE(4946)] = 45912,
  [SMALL_STATE(4947)] = 45972,
  [SMALL_STATE(4948)] = 46038,
  [SMALL_STATE(4949)] = 46110,
  [SMALL_STATE(4950)] = 46180,
  [SMALL_STATE(4951)] = 46254,
  [SMALL_STATE(4952)] = 46320,
  [SMALL_STATE(4953)] = 46378,
  [SMALL_STATE(4954)] = 46426,
  [SMALL_STATE(4955)] = 46474,
  [SMALL_STATE(4956)] = 46522,
  [SMALL_STATE(4957)] = 46574,
  [SMALL_STATE(4958)] = 46622,
  [SMALL_STATE(4959)] = 46670,
  [SMALL_STATE(4960)] = 46718,
  [SMALL_STATE(4961)] = 46766,
  [SMALL_STATE(4962)] = 46814,
  [SMALL_STATE(4963)] = 46862,
  [SMALL_STATE(4964)] = 46907,
  [SMALL_STATE(4965)] = 46958,
  [SMALL_STATE(4966)] = 47019,
  [SMALL_STATE(4967)] = 47078,
  [SMALL_STATE(4968)] = 47143,
  [SMALL_STATE(4969)] = 47214,
  [SMALL_STATE(4970)] = 47283,
  [SMALL_STATE(4971)] = 47356,
  [SMALL_STATE(4972)] = 47421,
  [SMALL_STATE(4973)] = 47478,
  [SMALL_STATE(4974)] = 47553,
  [SMALL_STATE(4975)] = 47598,
  [SMALL_STATE(4976)] = 47643,
  [SMALL_STATE(4977)] = 47688,
  [SMALL_STATE(4978)] = 47733,
  [SMALL_STATE(4979)] = 47778,
  [SMALL_STATE(4980)] = 47823,
  [SMALL_STATE(4981)] = 47868,
  [SMALL_STATE(4982)] = 47913,
  [SMALL_STATE(4983)] = 47958,
  [SMALL_STATE(4984)] = 48003,
  [SMALL_STATE(4985)] = 48048,
  [SMALL_STATE(4986)] = 48093,
  [SMALL_STATE(4987)] = 48138,
  [SMALL_STATE(4988)] = 48223,
  [SMALL_STATE(4989)] = 48298,
  [SMALL_STATE(4990)] = 48343,
  [SMALL_STATE(4991)] = 48428,
  [SMALL_STATE(4992)] = 48473,
  [SMALL_STATE(4993)] = 48518,
  [SMALL_STATE(4994)] = 48563,
  [SMALL_STATE(4995)] = 48608,
  [SMALL_STATE(4996)] = 48653,
  [SMALL_STATE(4997)] = 48698,
  [SMALL_STATE(4998)] = 48743,
  [SMALL_STATE(4999)] = 48788,
  [SMALL_STATE(5000)] = 48833,
  [SMALL_STATE(5001)] = 48918,
  [SMALL_STATE(5002)] = 48979,
  [SMALL_STATE(5003)] = 49064,
  [SMALL_STATE(5004)] = 49149,
  [SMALL_STATE(5005)] = 49208,
  [SMALL_STATE(5006)] = 49273,
  [SMALL_STATE(5007)] = 49344,
  [SMALL_STATE(5008)] = 49413,
  [SMALL_STATE(5009)] = 49458,
  [SMALL_STATE(5010)] = 49503,
  [SMALL_STATE(5011)] = 49576,
  [SMALL_STATE(5012)] = 49641,
  [SMALL_STATE(5013)] = 49702,
  [SMALL_STATE(5014)] = 49761,
  [SMALL_STATE(5015)] = 49826,
  [SMALL_STATE(5016)] = 49883,
  [SMALL_STATE(5017)] = 49958,
  [SMALL_STATE(5018)] = 50003,
  [SMALL_STATE(5019)] = 50048,
  [SMALL_STATE(5020)] = 50119,
  [SMALL_STATE(5021)] = 50188,
  [SMALL_STATE(5022)] = 50261,
  [SMALL_STATE(5023)] = 50306,
  [SMALL_STATE(5024)] = 50391,
  [SMALL_STATE(5025)] = 50456,
  [SMALL_STATE(5026)] = 50501,
  [SMALL_STATE(5027)] = 50558,
  [SMALL_STATE(5028)] = 50603,
  [SMALL_STATE(5029)] = 50680,
  [SMALL_STATE(5030)] = 50755,
  [SMALL_STATE(5031)] = 50800,
  [SMALL_STATE(5032)] = 50851,
  [SMALL_STATE(5033)] = 50896,
  [SMALL_STATE(5034)] = 50941,
  [SMALL_STATE(5035)] = 50986,
  [SMALL_STATE(5036)] = 51031,
  [SMALL_STATE(5037)] = 51076,
  [SMALL_STATE(5038)] = 51121,
  [SMALL_STATE(5039)] = 51170,
  [SMALL_STATE(5040)] = 51255,
  [SMALL_STATE(5041)] = 51300,
  [SMALL_STATE(5042)] = 51345,
  [SMALL_STATE(5043)] = 51430,
  [SMALL_STATE(5044)] = 51515,
  [SMALL_STATE(5045)] = 51600,
  [SMALL_STATE(5046)] = 51655,
  [SMALL_STATE(5047)] = 51700,
  [SMALL_STATE(5048)] = 51745,
  [SMALL_STATE(5049)] = 51790,
  [SMALL_STATE(5050)] = 51835,
  [SMALL_STATE(5051)] = 51880,
  [SMALL_STATE(5052)] = 51925,
  [SMALL_STATE(5053)] = 52010,
  [SMALL_STATE(5054)] = 52095,
  [SMALL_STATE(5055)] = 52140,
  [SMALL_STATE(5056)] = 52185,
  [SMALL_STATE(5057)] = 52230,
  [SMALL_STATE(5058)] = 52275,
  [SMALL_STATE(5059)] = 52360,
  [SMALL_STATE(5060)] = 52445,
  [SMALL_STATE(5061)] = 52526,
  [SMALL_STATE(5062)] = 52581,
  [SMALL_STATE(5063)] = 52664,
  [SMALL_STATE(5064)] = 52733,
  [SMALL_STATE(5065)] = 52808,
  [SMALL_STATE(5066)] = 52853,
  [SMALL_STATE(5067)] = 52936,
  [SMALL_STATE(5068)] = 52981,
  [SMALL_STATE(5069)] = 53026,
  [SMALL_STATE(5070)] = 53081,
  [SMALL_STATE(5071)] = 53150,
  [SMALL_STATE(5072)] = 53219,
  [SMALL_STATE(5073)] = 53268,
  [SMALL_STATE(5074)] = 53353,
  [SMALL_STATE(5075)] = 53398,
  [SMALL_STATE(5076)] = 53443,
  [SMALL_STATE(5077)] = 53488,
  [SMALL_STATE(5078)] = 53573,
  [SMALL_STATE(5079)] = 53658,
  [SMALL_STATE(5080)] = 53703,
  [SMALL_STATE(5081)] = 53748,
  [SMALL_STATE(5082)] = 53833,
  [SMALL_STATE(5083)] = 53918,
  [SMALL_STATE(5084)] = 53963,
  [SMALL_STATE(5085)] = 54008,
  [SMALL_STATE(5086)] = 54053,
  [SMALL_STATE(5087)] = 54098,
  [SMALL_STATE(5088)] = 54166,
  [SMALL_STATE(5089)] = 54212,
  [SMALL_STATE(5090)] = 54272,
  [SMALL_STATE(5091)] = 54350,
  [SMALL_STATE(5092)] = 54430,
  [SMALL_STATE(5093)] = 54512,
  [SMALL_STATE(5094)] = 54568,
  [SMALL_STATE(5095)] = 54650,
  [SMALL_STATE(5096)] = 54708,
  [SMALL_STATE(5097)] = 54786,
  [SMALL_STATE(5098)] = 54854,
  [SMALL_STATE(5099)] = 54936,
  [SMALL_STATE(5100)] = 55010,
  [SMALL_STATE(5101)] = 55092,
  [SMALL_STATE(5102)] = 55172,
  [SMALL_STATE(5103)] = 55236,
  [SMALL_STATE(5104)] = 55284,
  [SMALL_STATE(5105)] = 55364,
  [SMALL_STATE(5106)] = 55410,
  [SMALL_STATE(5107)] = 55488,
  [SMALL_STATE(5108)] = 55534,
  [SMALL_STATE(5109)] = 55578,
  [SMALL_STATE(5110)] = 55660,
  [SMALL_STATE(5111)] = 55704,
  [SMALL_STATE(5112)] = 55782,
  [SMALL_STATE(5113)] = 55826,
  [SMALL_STATE(5114)] = 55906,
  [SMALL_STATE(5115)] = 55950,
  [SMALL_STATE(5116)] = 55996,
  [SMALL_STATE(5117)] = 56042,
  [SMALL_STATE(5118)] = 56088,
  [SMALL_STATE(5119)] = 56170,
  [SMALL_STATE(5120)] = 56214,
  [SMALL_STATE(5121)] = 56296,
  [SMALL_STATE(5122)] = 56376,
  [SMALL_STATE(5123)] = 56430,
  [SMALL_STATE(5124)] = 56476,
  [SMALL_STATE(5125)] = 56556,
  [SMALL_STATE(5126)] = 56602,
  [SMALL_STATE(5127)] = 56678,
  [SMALL_STATE(5128)] = 56758,
  [SMALL_STATE(5129)] = 56838,
  [SMALL_STATE(5130)] = 56918,
  [SMALL_STATE(5131)] = 57000,
  [SMALL_STATE(5132)] = 57054,
  [SMALL_STATE(5133)] = 57114,
  [SMALL_STATE(5134)] = 57172,
  [SMALL_STATE(5135)] = 57226,
  [SMALL_STATE(5136)] = 57272,
  [SMALL_STATE(5137)] = 57336,
  [SMALL_STATE(5138)] = 57380,
  [SMALL_STATE(5139)] = 57424,
  [SMALL_STATE(5140)] = 57468,
  [SMALL_STATE(5141)] = 57512,
  [SMALL_STATE(5142)] = 57556,
  [SMALL_STATE(5143)] = 57600,
  [SMALL_STATE(5144)] = 57670,
  [SMALL_STATE(5145)] = 57738,
  [SMALL_STATE(5146)] = 57806,
  [SMALL_STATE(5147)] = 57878,
  [SMALL_STATE(5148)] = 57950,
  [SMALL_STATE(5149)] = 57996,
  [SMALL_STATE(5150)] = 58040,
  [SMALL_STATE(5151)] = 58086,
  [SMALL_STATE(5152)] = 58166,
  [SMALL_STATE(5153)] = 58248,
  [SMALL_STATE(5154)] = 58328,
  [SMALL_STATE(5155)] = 58392,
  [SMALL_STATE(5156)] = 58448,
  [SMALL_STATE(5157)] = 58528,
  [SMALL_STATE(5158)] = 58608,
  [SMALL_STATE(5159)] = 58672,
  [SMALL_STATE(5160)] = 58746,
  [SMALL_STATE(5161)] = 58824,
  [SMALL_STATE(5162)] = 58870,
  [SMALL_STATE(5163)] = 58948,
  [SMALL_STATE(5164)] = 59022,
  [SMALL_STATE(5165)] = 59104,
  [SMALL_STATE(5166)] = 59174,
  [SMALL_STATE(5167)] = 59251,
  [SMALL_STATE(5168)] = 59298,
  [SMALL_STATE(5169)] = 59357,
  [SMALL_STATE(5170)] = 59400,
  [SMALL_STATE(5171)] = 59443,
  [SMALL_STATE(5172)] = 59486,
  [SMALL_STATE(5173)] = 59563,
  [SMALL_STATE(5174)] = 59640,
  [SMALL_STATE(5175)] = 59717,
  [SMALL_STATE(5176)] = 59774,
  [SMALL_STATE(5177)] = 59823,
  [SMALL_STATE(5178)] = 59870,
  [SMALL_STATE(5179)] = 59913,
  [SMALL_STATE(5180)] = 59956,
  [SMALL_STATE(5181)] = 59999,
  [SMALL_STATE(5182)] = 60076,
  [SMALL_STATE(5183)] = 60139,
  [SMALL_STATE(5184)] = 60182,
  [SMALL_STATE(5185)] = 60229,
  [SMALL_STATE(5186)] = 60298,
  [SMALL_STATE(5187)] = 60355,
  [SMALL_STATE(5188)] = 60398,
  [SMALL_STATE(5189)] = 60451,
  [SMALL_STATE(5190)] = 60494,
  [SMALL_STATE(5191)] = 60571,
  [SMALL_STATE(5192)] = 60614,
  [SMALL_STATE(5193)] = 60657,
  [SMALL_STATE(5194)] = 60700,
  [SMALL_STATE(5195)] = 60743,
  [SMALL_STATE(5196)] = 60786,
  [SMALL_STATE(5197)] = 60853,
  [SMALL_STATE(5198)] = 60924,
  [SMALL_STATE(5199)] = 60987,
  [SMALL_STATE(5200)] = 61044,
  [SMALL_STATE(5201)] = 61087,
  [SMALL_STATE(5202)] = 61130,
  [SMALL_STATE(5203)] = 61173,
  [SMALL_STATE(5204)] = 61228,
  [SMALL_STATE(5205)] = 61301,
  [SMALL_STATE(5206)] = 61380,
  [SMALL_STATE(5207)] = 61423,
  [SMALL_STATE(5208)] = 61466,
  [SMALL_STATE(5209)] = 61509,
  [SMALL_STATE(5210)] = 61556,
  [SMALL_STATE(5211)] = 61599,
  [SMALL_STATE(5212)] = 61642,
  [SMALL_STATE(5213)] = 61721,
  [SMALL_STATE(5214)] = 61764,
  [SMALL_STATE(5215)] = 61841,
  [SMALL_STATE(5216)] = 61884,
  [SMALL_STATE(5217)] = 61927,
  [SMALL_STATE(5218)] = 61974,
  [SMALL_STATE(5219)] = 62021,
  [SMALL_STATE(5220)] = 62064,
  [SMALL_STATE(5221)] = 62107,
  [SMALL_STATE(5222)] = 62184,
  [SMALL_STATE(5223)] = 62251,
  [SMALL_STATE(5224)] = 62294,
  [SMALL_STATE(5225)] = 62337,
  [SMALL_STATE(5226)] = 62380,
  [SMALL_STATE(5227)] = 62459,
  [SMALL_STATE(5228)] = 62536,
  [SMALL_STATE(5229)] = 62613,
  [SMALL_STATE(5230)] = 62690,
  [SMALL_STATE(5231)] = 62763,
  [SMALL_STATE(5232)] = 62806,
  [SMALL_STATE(5233)] = 62883,
  [SMALL_STATE(5234)] = 62928,
  [SMALL_STATE(5235)] = 62971,
  [SMALL_STATE(5236)] = 63048,
  [SMALL_STATE(5237)] = 63125,
  [SMALL_STATE(5238)] = 63168,
  [SMALL_STATE(5239)] = 63245,
  [SMALL_STATE(5240)] = 63288,
  [SMALL_STATE(5241)] = 63365,
  [SMALL_STATE(5242)] = 63442,
  [SMALL_STATE(5243)] = 63485,
  [SMALL_STATE(5244)] = 63562,
  [SMALL_STATE(5245)] = 63605,
  [SMALL_STATE(5246)] = 63648,
  [SMALL_STATE(5247)] = 63695,
  [SMALL_STATE(5248)] = 63738,
  [SMALL_STATE(5249)] = 63781,
  [SMALL_STATE(5250)] = 63824,
  [SMALL_STATE(5251)] = 63901,
  [SMALL_STATE(5252)] = 63978,
  [SMALL_STATE(5253)] = 64021,
  [SMALL_STATE(5254)] = 64078,
  [SMALL_STATE(5255)] = 64121,
  [SMALL_STATE(5256)] = 64164,
  [SMALL_STATE(5257)] = 64207,
  [SMALL_STATE(5258)] = 64284,
  [SMALL_STATE(5259)] = 64361,
  [SMALL_STATE(5260)] = 64409,
  [SMALL_STATE(5261)] = 64457,
  [SMALL_STATE(5262)] = 64533,
  [SMALL_STATE(5263)] = 64581,
  [SMALL_STATE(5264)] = 64657,
  [SMALL_STATE(5265)] = 64733,
  [SMALL_STATE(5266)] = 64781,
  [SMALL_STATE(5267)] = 64857,
  [SMALL_STATE(5268)] = 64905,
  [SMALL_STATE(5269)] = 64951,
  [SMALL_STATE(5270)] = 64999,
  [SMALL_STATE(5271)] = 65047,
  [SMALL_STATE(5272)] = 65095,
  [SMALL_STATE(5273)] = 65143,
  [SMALL_STATE(5274)] = 65191,
  [SMALL_STATE(5275)] = 65267,
  [SMALL_STATE(5276)] = 65315,
  [SMALL_STATE(5277)] = 65363,
  [SMALL_STATE(5278)] = 65411,
  [SMALL_STATE(5279)] = 65459,
  [SMALL_STATE(5280)] = 65507,
  [SMALL_STATE(5281)] = 65555,
  [SMALL_STATE(5282)] = 65631,
  [SMALL_STATE(5283)] = 65679,
  [SMALL_STATE(5284)] = 65727,
  [SMALL_STATE(5285)] = 65773,
  [SMALL_STATE(5286)] = 65849,
  [SMALL_STATE(5287)] = 65891,
  [SMALL_STATE(5288)] = 65967,
  [SMALL_STATE(5289)] = 66015,
  [SMALL_STATE(5290)] = 66091,
  [SMALL_STATE(5291)] = 66167,
  [SMALL_STATE(5292)] = 66243,
  [SMALL_STATE(5293)] = 66291,
  [SMALL_STATE(5294)] = 66337,
  [SMALL_STATE(5295)] = 66385,
  [SMALL_STATE(5296)] = 66433,
  [SMALL_STATE(5297)] = 66479,
  [SMALL_STATE(5298)] = 66527,
  [SMALL_STATE(5299)] = 66575,
  [SMALL_STATE(5300)] = 66651,
  [SMALL_STATE(5301)] = 66727,
  [SMALL_STATE(5302)] = 66775,
  [SMALL_STATE(5303)] = 66851,
  [SMALL_STATE(5304)] = 66927,
  [SMALL_STATE(5305)] = 66975,
  [SMALL_STATE(5306)] = 67023,
  [SMALL_STATE(5307)] = 67065,
  [SMALL_STATE(5308)] = 67107,
  [SMALL_STATE(5309)] = 67155,
  [SMALL_STATE(5310)] = 67231,
  [SMALL_STATE(5311)] = 67273,
  [SMALL_STATE(5312)] = 67315,
  [SMALL_STATE(5313)] = 67391,
  [SMALL_STATE(5314)] = 67467,
  [SMALL_STATE(5315)] = 67509,
  [SMALL_STATE(5316)] = 67585,
  [SMALL_STATE(5317)] = 67633,
  [SMALL_STATE(5318)] = 67709,
  [SMALL_STATE(5319)] = 67785,
  [SMALL_STATE(5320)] = 67827,
  [SMALL_STATE(5321)] = 67903,
  [SMALL_STATE(5322)] = 67951,
  [SMALL_STATE(5323)] = 67999,
  [SMALL_STATE(5324)] = 68075,
  [SMALL_STATE(5325)] = 68123,
  [SMALL_STATE(5326)] = 68199,
  [SMALL_STATE(5327)] = 68275,
  [SMALL_STATE(5328)] = 68323,
  [SMALL_STATE(5329)] = 68399,
  [SMALL_STATE(5330)] = 68475,
  [SMALL_STATE(5331)] = 68523,
  [SMALL_STATE(5332)] = 68564,
  [SMALL_STATE(5333)] = 68605,
  [SMALL_STATE(5334)] = 68652,
  [SMALL_STATE(5335)] = 68693,
  [SMALL_STATE(5336)] = 68740,
  [SMALL_STATE(5337)] = 68785,
  [SMALL_STATE(5338)] = 68830,
  [SMALL_STATE(5339)] = 68875,
  [SMALL_STATE(5340)] = 68916,
  [SMALL_STATE(5341)] = 68961,
  [SMALL_STATE(5342)] = 69006,
  [SMALL_STATE(5343)] = 69047,
  [SMALL_STATE(5344)] = 69088,
  [SMALL_STATE(5345)] = 69129,
  [SMALL_STATE(5346)] = 69170,
  [SMALL_STATE(5347)] = 69211,
  [SMALL_STATE(5348)] = 69254,
  [SMALL_STATE(5349)] = 69301,
  [SMALL_STATE(5350)] = 69346,
  [SMALL_STATE(5351)] = 69389,
  [SMALL_STATE(5352)] = 69462,
  [SMALL_STATE(5353)] = 69503,
  [SMALL_STATE(5354)] = 69544,
  [SMALL_STATE(5355)] = 69585,
  [SMALL_STATE(5356)] = 69626,
  [SMALL_STATE(5357)] = 69671,
  [SMALL_STATE(5358)] = 69712,
  [SMALL_STATE(5359)] = 69785,
  [SMALL_STATE(5360)] = 69826,
  [SMALL_STATE(5361)] = 69867,
  [SMALL_STATE(5362)] = 69914,
  [SMALL_STATE(5363)] = 69955,
  [SMALL_STATE(5364)] = 70030,
  [SMALL_STATE(5365)] = 70071,
  [SMALL_STATE(5366)] = 70118,
  [SMALL_STATE(5367)] = 70163,
  [SMALL_STATE(5368)] = 70204,
  [SMALL_STATE(5369)] = 70246,
  [SMALL_STATE(5370)] = 70286,
  [SMALL_STATE(5371)] = 70328,
  [SMALL_STATE(5372)] = 70370,
  [SMALL_STATE(5373)] = 70414,
  [SMALL_STATE(5374)] = 70456,
  [SMALL_STATE(5375)] = 70498,
  [SMALL_STATE(5376)] = 70542,
  [SMALL_STATE(5377)] = 70582,
  [SMALL_STATE(5378)] = 70624,
  [SMALL_STATE(5379)] = 70666,
  [SMALL_STATE(5380)] = 70708,
  [SMALL_STATE(5381)] = 70750,
  [SMALL_STATE(5382)] = 70792,
  [SMALL_STATE(5383)] = 70832,
  [SMALL_STATE(5384)] = 70874,
  [SMALL_STATE(5385)] = 70916,
  [SMALL_STATE(5386)] = 70956,
  [SMALL_STATE(5387)] = 71000,
  [SMALL_STATE(5388)] = 71042,
  [SMALL_STATE(5389)] = 71082,
  [SMALL_STATE(5390)] = 71126,
  [SMALL_STATE(5391)] = 71168,
  [SMALL_STATE(5392)] = 71210,
  [SMALL_STATE(5393)] = 71252,
  [SMALL_STATE(5394)] = 71292,
  [SMALL_STATE(5395)] = 71332,
  [SMALL_STATE(5396)] = 71372,
  [SMALL_STATE(5397)] = 71414,
  [SMALL_STATE(5398)] = 71458,
  [SMALL_STATE(5399)] = 71500,
  [SMALL_STATE(5400)] = 71548,
  [SMALL_STATE(5401)] = 71594,
  [SMALL_STATE(5402)] = 71636,
  [SMALL_STATE(5403)] = 71676,
  [SMALL_STATE(5404)] = 71718,
  [SMALL_STATE(5405)] = 71760,
  [SMALL_STATE(5406)] = 71806,
  [SMALL_STATE(5407)] = 71852,
  [SMALL_STATE(5408)] = 71894,
  [SMALL_STATE(5409)] = 71936,
  [SMALL_STATE(5410)] = 71978,
  [SMALL_STATE(5411)] = 72020,
  [SMALL_STATE(5412)] = 72060,
  [SMALL_STATE(5413)] = 72102,
  [SMALL_STATE(5414)] = 72142,
  [SMALL_STATE(5415)] = 72184,
  [SMALL_STATE(5416)] = 72228,
  [SMALL_STATE(5417)] = 72268,
  [SMALL_STATE(5418)] = 72308,
  [SMALL_STATE(5419)] = 72348,
  [SMALL_STATE(5420)] = 72388,
  [SMALL_STATE(5421)] = 72430,
  [SMALL_STATE(5422)] = 72470,
  [SMALL_STATE(5423)] = 72510,
  [SMALL_STATE(5424)] = 72550,
  [SMALL_STATE(5425)] = 72594,
  [SMALL_STATE(5426)] = 72638,
  [SMALL_STATE(5427)] = 72678,
  [SMALL_STATE(5428)] = 72718,
  [SMALL_STATE(5429)] = 72762,
  [SMALL_STATE(5430)] = 72802,
  [SMALL_STATE(5431)] = 72842,
  [SMALL_STATE(5432)] = 72882,
  [SMALL_STATE(5433)] = 72923,
  [SMALL_STATE(5434)] = 72964,
  [SMALL_STATE(5435)] = 73005,
  [SMALL_STATE(5436)] = 73044,
  [SMALL_STATE(5437)] = 73083,
  [SMALL_STATE(5438)] = 73150,
  [SMALL_STATE(5439)] = 73189,
  [SMALL_STATE(5440)] = 73228,
  [SMALL_STATE(5441)] = 73267,
  [SMALL_STATE(5442)] = 73306,
  [SMALL_STATE(5443)] = 73345,
  [SMALL_STATE(5444)] = 73384,
  [SMALL_STATE(5445)] = 73423,
  [SMALL_STATE(5446)] = 73462,
  [SMALL_STATE(5447)] = 73501,
  [SMALL_STATE(5448)] = 73540,
  [SMALL_STATE(5449)] = 73579,
  [SMALL_STATE(5450)] = 73618,
  [SMALL_STATE(5451)] = 73657,
  [SMALL_STATE(5452)] = 73696,
  [SMALL_STATE(5453)] = 73737,
  [SMALL_STATE(5454)] = 73778,
  [SMALL_STATE(5455)] = 73819,
  [SMALL_STATE(5456)] = 73862,
  [SMALL_STATE(5457)] = 73909,
  [SMALL_STATE(5458)] = 73952,
  [SMALL_STATE(5459)] = 73993,
  [SMALL_STATE(5460)] = 74034,
  [SMALL_STATE(5461)] = 74075,
  [SMALL_STATE(5462)] = 74116,
  [SMALL_STATE(5463)] = 74157,
  [SMALL_STATE(5464)] = 74198,
  [SMALL_STATE(5465)] = 74239,
  [SMALL_STATE(5466)] = 74280,
  [SMALL_STATE(5467)] = 74321,
  [SMALL_STATE(5468)] = 74366,
  [SMALL_STATE(5469)] = 74407,
  [SMALL_STATE(5470)] = 74448,
  [SMALL_STATE(5471)] = 74489,
  [SMALL_STATE(5472)] = 74530,
  [SMALL_STATE(5473)] = 74571,
  [SMALL_STATE(5474)] = 74612,
  [SMALL_STATE(5475)] = 74653,
  [SMALL_STATE(5476)] = 74692,
  [SMALL_STATE(5477)] = 74731,
  [SMALL_STATE(5478)] = 74770,
  [SMALL_STATE(5479)] = 74809,
  [SMALL_STATE(5480)] = 74848,
  [SMALL_STATE(5481)] = 74887,
  [SMALL_STATE(5482)] = 74926,
  [SMALL_STATE(5483)] = 74965,
  [SMALL_STATE(5484)] = 75006,
  [SMALL_STATE(5485)] = 75047,
  [SMALL_STATE(5486)] = 75088,
  [SMALL_STATE(5487)] = 75129,
  [SMALL_STATE(5488)] = 75170,
  [SMALL_STATE(5489)] = 75211,
  [SMALL_STATE(5490)] = 75252,
  [SMALL_STATE(5491)] = 75293,
  [SMALL_STATE(5492)] = 75334,
  [SMALL_STATE(5493)] = 75375,
  [SMALL_STATE(5494)] = 75414,
  [SMALL_STATE(5495)] = 75453,
  [SMALL_STATE(5496)] = 75492,
  [SMALL_STATE(5497)] = 75531,
  [SMALL_STATE(5498)] = 75570,
  [SMALL_STATE(5499)] = 75609,
  [SMALL_STATE(5500)] = 75648,
  [SMALL_STATE(5501)] = 75687,
  [SMALL_STATE(5502)] = 75726,
  [SMALL_STATE(5503)] = 75765,
  [SMALL_STATE(5504)] = 75806,
  [SMALL_STATE(5505)] = 75845,
  [SMALL_STATE(5506)] = 75884,
  [SMALL_STATE(5507)] = 75925,
  [SMALL_STATE(5508)] = 75964,
  [SMALL_STATE(5509)] = 76003,
  [SMALL_STATE(5510)] = 76044,
  [SMALL_STATE(5511)] = 76085,
  [SMALL_STATE(5512)] = 76126,
  [SMALL_STATE(5513)] = 76167,
  [SMALL_STATE(5514)] = 76208,
  [SMALL_STATE(5515)] = 76249,
  [SMALL_STATE(5516)] = 76290,
  [SMALL_STATE(5517)] = 76331,
  [SMALL_STATE(5518)] = 76372,
  [SMALL_STATE(5519)] = 76413,
  [SMALL_STATE(5520)] = 76454,
  [SMALL_STATE(5521)] = 76495,
  [SMALL_STATE(5522)] = 76536,
  [SMALL_STATE(5523)] = 76577,
  [SMALL_STATE(5524)] = 76618,
  [SMALL_STATE(5525)] = 76661,
  [SMALL_STATE(5526)] = 76706,
  [SMALL_STATE(5527)] = 76747,
  [SMALL_STATE(5528)] = 76788,
  [SMALL_STATE(5529)] = 76829,
  [SMALL_STATE(5530)] = 76870,
  [SMALL_STATE(5531)] = 76911,
  [SMALL_STATE(5532)] = 76952,
  [SMALL_STATE(5533)] = 76993,
  [SMALL_STATE(5534)] = 77034,
  [SMALL_STATE(5535)] = 77075,
  [SMALL_STATE(5536)] = 77116,
  [SMALL_STATE(5537)] = 77157,
  [SMALL_STATE(5538)] = 77198,
  [SMALL_STATE(5539)] = 77237,
  [SMALL_STATE(5540)] = 77276,
  [SMALL_STATE(5541)] = 77315,
  [SMALL_STATE(5542)] = 77354,
  [SMALL_STATE(5543)] = 77395,
  [SMALL_STATE(5544)] = 77436,
  [SMALL_STATE(5545)] = 77477,
  [SMALL_STATE(5546)] = 77516,
  [SMALL_STATE(5547)] = 77555,
  [SMALL_STATE(5548)] = 77594,
  [SMALL_STATE(5549)] = 77633,
  [SMALL_STATE(5550)] = 77672,
  [SMALL_STATE(5551)] = 77711,
  [SMALL_STATE(5552)] = 77750,
  [SMALL_STATE(5553)] = 77791,
  [SMALL_STATE(5554)] = 77830,
  [SMALL_STATE(5555)] = 77869,
  [SMALL_STATE(5556)] = 77908,
  [SMALL_STATE(5557)] = 77947,
  [SMALL_STATE(5558)] = 77986,
  [SMALL_STATE(5559)] = 78025,
  [SMALL_STATE(5560)] = 78064,
  [SMALL_STATE(5561)] = 78103,
  [SMALL_STATE(5562)] = 78142,
  [SMALL_STATE(5563)] = 78181,
  [SMALL_STATE(5564)] = 78220,
  [SMALL_STATE(5565)] = 78259,
  [SMALL_STATE(5566)] = 78298,
  [SMALL_STATE(5567)] = 78337,
  [SMALL_STATE(5568)] = 78376,
  [SMALL_STATE(5569)] = 78415,
  [SMALL_STATE(5570)] = 78454,
  [SMALL_STATE(5571)] = 78493,
  [SMALL_STATE(5572)] = 78532,
  [SMALL_STATE(5573)] = 78577,
  [SMALL_STATE(5574)] = 78618,
  [SMALL_STATE(5575)] = 78659,
  [SMALL_STATE(5576)] = 78700,
  [SMALL_STATE(5577)] = 78741,
  [SMALL_STATE(5578)] = 78782,
  [SMALL_STATE(5579)] = 78849,
  [SMALL_STATE(5580)] = 78890,
  [SMALL_STATE(5581)] = 78931,
  [SMALL_STATE(5582)] = 78972,
  [SMALL_STATE(5583)] = 79013,
  [SMALL_STATE(5584)] = 79054,
  [SMALL_STATE(5585)] = 79095,
  [SMALL_STATE(5586)] = 79136,
  [SMALL_STATE(5587)] = 79177,
  [SMALL_STATE(5588)] = 79222,
  [SMALL_STATE(5589)] = 79261,
  [SMALL_STATE(5590)] = 79300,
  [SMALL_STATE(5591)] = 79343,
  [SMALL_STATE(5592)] = 79388,
  [SMALL_STATE(5593)] = 79431,
  [SMALL_STATE(5594)] = 79472,
  [SMALL_STATE(5595)] = 79510,
  [SMALL_STATE(5596)] = 79548,
  [SMALL_STATE(5597)] = 79586,
  [SMALL_STATE(5598)] = 79624,
  [SMALL_STATE(5599)] = 79664,
  [SMALL_STATE(5600)] = 79702,
  [SMALL_STATE(5601)] = 79740,
  [SMALL_STATE(5602)] = 79778,
  [SMALL_STATE(5603)] = 79816,
  [SMALL_STATE(5604)] = 79854,
  [SMALL_STATE(5605)] = 79892,
  [SMALL_STATE(5606)] = 79930,
  [SMALL_STATE(5607)] = 79968,
  [SMALL_STATE(5608)] = 80006,
  [SMALL_STATE(5609)] = 80044,
  [SMALL_STATE(5610)] = 80082,
  [SMALL_STATE(5611)] = 80120,
  [SMALL_STATE(5612)] = 80158,
  [SMALL_STATE(5613)] = 80196,
  [SMALL_STATE(5614)] = 80234,
  [SMALL_STATE(5615)] = 80272,
  [SMALL_STATE(5616)] = 80310,
  [SMALL_STATE(5617)] = 80348,
  [SMALL_STATE(5618)] = 80386,
  [SMALL_STATE(5619)] = 80424,
  [SMALL_STATE(5620)] = 80462,
  [SMALL_STATE(5621)] = 80500,
  [SMALL_STATE(5622)] = 80538,
  [SMALL_STATE(5623)] = 80576,
  [SMALL_STATE(5624)] = 80614,
  [SMALL_STATE(5625)] = 80652,
  [SMALL_STATE(5626)] = 80690,
  [SMALL_STATE(5627)] = 80728,
  [SMALL_STATE(5628)] = 80766,
  [SMALL_STATE(5629)] = 80804,
  [SMALL_STATE(5630)] = 80842,
  [SMALL_STATE(5631)] = 80880,
  [SMALL_STATE(5632)] = 80918,
  [SMALL_STATE(5633)] = 80956,
  [SMALL_STATE(5634)] = 80994,
  [SMALL_STATE(5635)] = 81032,
  [SMALL_STATE(5636)] = 81070,
  [SMALL_STATE(5637)] = 81108,
  [SMALL_STATE(5638)] = 81146,
  [SMALL_STATE(5639)] = 81184,
  [SMALL_STATE(5640)] = 81248,
  [SMALL_STATE(5641)] = 81312,
  [SMALL_STATE(5642)] = 81376,
  [SMALL_STATE(5643)] = 81440,
  [SMALL_STATE(5644)] = 81478,
  [SMALL_STATE(5645)] = 81518,
  [SMALL_STATE(5646)] = 81556,
  [SMALL_STATE(5647)] = 81594,
  [SMALL_STATE(5648)] = 81632,
  [SMALL_STATE(5649)] = 81670,
  [SMALL_STATE(5650)] = 81708,
  [SMALL_STATE(5651)] = 81746,
  [SMALL_STATE(5652)] = 81784,
  [SMALL_STATE(5653)] = 81822,
  [SMALL_STATE(5654)] = 81886,
  [SMALL_STATE(5655)] = 81950,
  [SMALL_STATE(5656)] = 81988,
  [SMALL_STATE(5657)] = 82026,
  [SMALL_STATE(5658)] = 82064,
  [SMALL_STATE(5659)] = 82102,
  [SMALL_STATE(5660)] = 82140,
  [SMALL_STATE(5661)] = 82178,
  [SMALL_STATE(5662)] = 82216,
  [SMALL_STATE(5663)] = 82254,
  [SMALL_STATE(5664)] = 82292,
  [SMALL_STATE(5665)] = 82330,
  [SMALL_STATE(5666)] = 82368,
  [SMALL_STATE(5667)] = 82406,
  [SMALL_STATE(5668)] = 82444,
  [SMALL_STATE(5669)] = 82482,
  [SMALL_STATE(5670)] = 82522,
  [SMALL_STATE(5671)] = 82562,
  [SMALL_STATE(5672)] = 82600,
  [SMALL_STATE(5673)] = 82638,
  [SMALL_STATE(5674)] = 82676,
  [SMALL_STATE(5675)] = 82714,
  [SMALL_STATE(5676)] = 82752,
  [SMALL_STATE(5677)] = 82790,
  [SMALL_STATE(5678)] = 82828,
  [SMALL_STATE(5679)] = 82868,
  [SMALL_STATE(5680)] = 82906,
  [SMALL_STATE(5681)] = 82944,
  [SMALL_STATE(5682)] = 82982,
  [SMALL_STATE(5683)] = 83020,
  [SMALL_STATE(5684)] = 83060,
  [SMALL_STATE(5685)] = 83100,
  [SMALL_STATE(5686)] = 83138,
  [SMALL_STATE(5687)] = 83176,
  [SMALL_STATE(5688)] = 83214,
  [SMALL_STATE(5689)] = 83252,
  [SMALL_STATE(5690)] = 83296,
  [SMALL_STATE(5691)] = 83334,
  [SMALL_STATE(5692)] = 83372,
  [SMALL_STATE(5693)] = 83410,
  [SMALL_STATE(5694)] = 83448,
  [SMALL_STATE(5695)] = 83494,
  [SMALL_STATE(5696)] = 83532,
  [SMALL_STATE(5697)] = 83570,
  [SMALL_STATE(5698)] = 83608,
  [SMALL_STATE(5699)] = 83646,
  [SMALL_STATE(5700)] = 83684,
  [SMALL_STATE(5701)] = 83722,
  [SMALL_STATE(5702)] = 83760,
  [SMALL_STATE(5703)] = 83798,
  [SMALL_STATE(5704)] = 83836,
  [SMALL_STATE(5705)] = 83874,
  [SMALL_STATE(5706)] = 83912,
  [SMALL_STATE(5707)] = 83950,
  [SMALL_STATE(5708)] = 83988,
  [SMALL_STATE(5709)] = 84026,
  [SMALL_STATE(5710)] = 84064,
  [SMALL_STATE(5711)] = 84102,
  [SMALL_STATE(5712)] = 84140,
  [SMALL_STATE(5713)] = 84178,
  [SMALL_STATE(5714)] = 84216,
  [SMALL_STATE(5715)] = 84254,
  [SMALL_STATE(5716)] = 84292,
  [SMALL_STATE(5717)] = 84330,
  [SMALL_STATE(5718)] = 84368,
  [SMALL_STATE(5719)] = 84406,
  [SMALL_STATE(5720)] = 84444,
  [SMALL_STATE(5721)] = 84508,
  [SMALL_STATE(5722)] = 84546,
  [SMALL_STATE(5723)] = 84584,
  [SMALL_STATE(5724)] = 84622,
  [SMALL_STATE(5725)] = 84660,
  [SMALL_STATE(5726)] = 84698,
  [SMALL_STATE(5727)] = 84736,
  [SMALL_STATE(5728)] = 84774,
  [SMALL_STATE(5729)] = 84812,
  [SMALL_STATE(5730)] = 84850,
  [SMALL_STATE(5731)] = 84888,
  [SMALL_STATE(5732)] = 84952,
  [SMALL_STATE(5733)] = 84990,
  [SMALL_STATE(5734)] = 85028,
  [SMALL_STATE(5735)] = 85066,
  [SMALL_STATE(5736)] = 85104,
  [SMALL_STATE(5737)] = 85142,
  [SMALL_STATE(5738)] = 85206,
  [SMALL_STATE(5739)] = 85244,
  [SMALL_STATE(5740)] = 85282,
  [SMALL_STATE(5741)] = 85320,
  [SMALL_STATE(5742)] = 85358,
  [SMALL_STATE(5743)] = 85396,
  [SMALL_STATE(5744)] = 85434,
  [SMALL_STATE(5745)] = 85472,
  [SMALL_STATE(5746)] = 85536,
  [SMALL_STATE(5747)] = 85600,
  [SMALL_STATE(5748)] = 85638,
  [SMALL_STATE(5749)] = 85676,
  [SMALL_STATE(5750)] = 85714,
  [SMALL_STATE(5751)] = 85752,
  [SMALL_STATE(5752)] = 85790,
  [SMALL_STATE(5753)] = 85828,
  [SMALL_STATE(5754)] = 85866,
  [SMALL_STATE(5755)] = 85930,
  [SMALL_STATE(5756)] = 85968,
  [SMALL_STATE(5757)] = 86006,
  [SMALL_STATE(5758)] = 86044,
  [SMALL_STATE(5759)] = 86082,
  [SMALL_STATE(5760)] = 86120,
  [SMALL_STATE(5761)] = 86158,
  [SMALL_STATE(5762)] = 86196,
  [SMALL_STATE(5763)] = 86234,
  [SMALL_STATE(5764)] = 86272,
  [SMALL_STATE(5765)] = 86310,
  [SMALL_STATE(5766)] = 86348,
  [SMALL_STATE(5767)] = 86386,
  [SMALL_STATE(5768)] = 86424,
  [SMALL_STATE(5769)] = 86462,
  [SMALL_STATE(5770)] = 86500,
  [SMALL_STATE(5771)] = 86538,
  [SMALL_STATE(5772)] = 86602,
  [SMALL_STATE(5773)] = 86640,
  [SMALL_STATE(5774)] = 86678,
  [SMALL_STATE(5775)] = 86716,
  [SMALL_STATE(5776)] = 86754,
  [SMALL_STATE(5777)] = 86792,
  [SMALL_STATE(5778)] = 86830,
  [SMALL_STATE(5779)] = 86868,
  [SMALL_STATE(5780)] = 86906,
  [SMALL_STATE(5781)] = 86944,
  [SMALL_STATE(5782)] = 86982,
  [SMALL_STATE(5783)] = 87020,
  [SMALL_STATE(5784)] = 87058,
  [SMALL_STATE(5785)] = 87096,
  [SMALL_STATE(5786)] = 87134,
  [SMALL_STATE(5787)] = 87172,
  [SMALL_STATE(5788)] = 87210,
  [SMALL_STATE(5789)] = 87248,
  [SMALL_STATE(5790)] = 87286,
  [SMALL_STATE(5791)] = 87324,
  [SMALL_STATE(5792)] = 87362,
  [SMALL_STATE(5793)] = 87400,
  [SMALL_STATE(5794)] = 87438,
  [SMALL_STATE(5795)] = 87476,
  [SMALL_STATE(5796)] = 87514,
  [SMALL_STATE(5797)] = 87552,
  [SMALL_STATE(5798)] = 87590,
  [SMALL_STATE(5799)] = 87628,
  [SMALL_STATE(5800)] = 87666,
  [SMALL_STATE(5801)] = 87704,
  [SMALL_STATE(5802)] = 87742,
  [SMALL_STATE(5803)] = 87780,
  [SMALL_STATE(5804)] = 87818,
  [SMALL_STATE(5805)] = 87882,
  [SMALL_STATE(5806)] = 87920,
  [SMALL_STATE(5807)] = 87958,
  [SMALL_STATE(5808)] = 87996,
  [SMALL_STATE(5809)] = 88034,
  [SMALL_STATE(5810)] = 88072,
  [SMALL_STATE(5811)] = 88110,
  [SMALL_STATE(5812)] = 88148,
  [SMALL_STATE(5813)] = 88186,
  [SMALL_STATE(5814)] = 88224,
  [SMALL_STATE(5815)] = 88262,
  [SMALL_STATE(5816)] = 88300,
  [SMALL_STATE(5817)] = 88338,
  [SMALL_STATE(5818)] = 88376,
  [SMALL_STATE(5819)] = 88414,
  [SMALL_STATE(5820)] = 88452,
  [SMALL_STATE(5821)] = 88490,
  [SMALL_STATE(5822)] = 88528,
  [SMALL_STATE(5823)] = 88568,
  [SMALL_STATE(5824)] = 88606,
  [SMALL_STATE(5825)] = 88644,
  [SMALL_STATE(5826)] = 88682,
  [SMALL_STATE(5827)] = 88720,
  [SMALL_STATE(5828)] = 88758,
  [SMALL_STATE(5829)] = 88796,
  [SMALL_STATE(5830)] = 88834,
  [SMALL_STATE(5831)] = 88872,
  [SMALL_STATE(5832)] = 88910,
  [SMALL_STATE(5833)] = 88948,
  [SMALL_STATE(5834)] = 88988,
  [SMALL_STATE(5835)] = 89028,
  [SMALL_STATE(5836)] = 89066,
  [SMALL_STATE(5837)] = 89104,
  [SMALL_STATE(5838)] = 89142,
  [SMALL_STATE(5839)] = 89180,
  [SMALL_STATE(5840)] = 89218,
  [SMALL_STATE(5841)] = 89256,
  [SMALL_STATE(5842)] = 89294,
  [SMALL_STATE(5843)] = 89332,
  [SMALL_STATE(5844)] = 89370,
  [SMALL_STATE(5845)] = 89410,
  [SMALL_STATE(5846)] = 89462,
  [SMALL_STATE(5847)] = 89500,
  [SMALL_STATE(5848)] = 89538,
  [SMALL_STATE(5849)] = 89576,
  [SMALL_STATE(5850)] = 89616,
  [SMALL_STATE(5851)] = 89656,
  [SMALL_STATE(5852)] = 89694,
  [SMALL_STATE(5853)] = 89732,
  [SMALL_STATE(5854)] = 89770,
  [SMALL_STATE(5855)] = 89808,
  [SMALL_STATE(5856)] = 89846,
  [SMALL_STATE(5857)] = 89884,
  [SMALL_STATE(5858)] = 89922,
  [SMALL_STATE(5859)] = 89960,
  [SMALL_STATE(5860)] = 89998,
  [SMALL_STATE(5861)] = 90036,
  [SMALL_STATE(5862)] = 90074,
  [SMALL_STATE(5863)] = 90112,
  [SMALL_STATE(5864)] = 90150,
  [SMALL_STATE(5865)] = 90188,
  [SMALL_STATE(5866)] = 90226,
  [SMALL_STATE(5867)] = 90264,
  [SMALL_STATE(5868)] = 90302,
  [SMALL_STATE(5869)] = 90340,
  [SMALL_STATE(5870)] = 90378,
  [SMALL_STATE(5871)] = 90416,
  [SMALL_STATE(5872)] = 90454,
  [SMALL_STATE(5873)] = 90492,
  [SMALL_STATE(5874)] = 90530,
  [SMALL_STATE(5875)] = 90568,
  [SMALL_STATE(5876)] = 90606,
  [SMALL_STATE(5877)] = 90644,
  [SMALL_STATE(5878)] = 90682,
  [SMALL_STATE(5879)] = 90720,
  [SMALL_STATE(5880)] = 90758,
  [SMALL_STATE(5881)] = 90796,
  [SMALL_STATE(5882)] = 90834,
  [SMALL_STATE(5883)] = 90872,
  [SMALL_STATE(5884)] = 90910,
  [SMALL_STATE(5885)] = 90948,
  [SMALL_STATE(5886)] = 90986,
  [SMALL_STATE(5887)] = 91024,
  [SMALL_STATE(5888)] = 91062,
  [SMALL_STATE(5889)] = 91100,
  [SMALL_STATE(5890)] = 91138,
  [SMALL_STATE(5891)] = 91176,
  [SMALL_STATE(5892)] = 91214,
  [SMALL_STATE(5893)] = 91254,
  [SMALL_STATE(5894)] = 91292,
  [SMALL_STATE(5895)] = 91330,
  [SMALL_STATE(5896)] = 91368,
  [SMALL_STATE(5897)] = 91406,
  [SMALL_STATE(5898)] = 91446,
  [SMALL_STATE(5899)] = 91484,
  [SMALL_STATE(5900)] = 91522,
  [SMALL_STATE(5901)] = 91562,
  [SMALL_STATE(5902)] = 91600,
  [SMALL_STATE(5903)] = 91638,
  [SMALL_STATE(5904)] = 91676,
  [SMALL_STATE(5905)] = 91714,
  [SMALL_STATE(5906)] = 91752,
  [SMALL_STATE(5907)] = 91790,
  [SMALL_STATE(5908)] = 91828,
  [SMALL_STATE(5909)] = 91866,
  [SMALL_STATE(5910)] = 91904,
  [SMALL_STATE(5911)] = 91942,
  [SMALL_STATE(5912)] = 91982,
  [SMALL_STATE(5913)] = 92022,
  [SMALL_STATE(5914)] = 92060,
  [SMALL_STATE(5915)] = 92098,
  [SMALL_STATE(5916)] = 92136,
  [SMALL_STATE(5917)] = 92174,
  [SMALL_STATE(5918)] = 92214,
  [SMALL_STATE(5919)] = 92258,
  [SMALL_STATE(5920)] = 92297,
  [SMALL_STATE(5921)] = 92336,
  [SMALL_STATE(5922)] = 92375,
  [SMALL_STATE(5923)] = 92416,
  [SMALL_STATE(5924)] = 92455,
  [SMALL_STATE(5925)] = 92494,
  [SMALL_STATE(5926)] = 92533,
  [SMALL_STATE(5927)] = 92572,
  [SMALL_STATE(5928)] = 92611,
  [SMALL_STATE(5929)] = 92650,
  [SMALL_STATE(5930)] = 92691,
  [SMALL_STATE(5931)] = 92734,
  [SMALL_STATE(5932)] = 92773,
  [SMALL_STATE(5933)] = 92812,
  [SMALL_STATE(5934)] = 92851,
  [SMALL_STATE(5935)] = 92892,
  [SMALL_STATE(5936)] = 92931,
  [SMALL_STATE(5937)] = 92970,
  [SMALL_STATE(5938)] = 93009,
  [SMALL_STATE(5939)] = 93048,
  [SMALL_STATE(5940)] = 93087,
  [SMALL_STATE(5941)] = 93126,
  [SMALL_STATE(5942)] = 93165,
  [SMALL_STATE(5943)] = 93201,
  [SMALL_STATE(5944)] = 93237,
  [SMALL_STATE(5945)] = 93273,
  [SMALL_STATE(5946)] = 93309,
  [SMALL_STATE(5947)] = 93345,
  [SMALL_STATE(5948)] = 93381,
  [SMALL_STATE(5949)] = 93417,
  [SMALL_STATE(5950)] = 93453,
  [SMALL_STATE(5951)] = 93489,
  [SMALL_STATE(5952)] = 93525,
  [SMALL_STATE(5953)] = 93561,
  [SMALL_STATE(5954)] = 93597,
  [SMALL_STATE(5955)] = 93633,
  [SMALL_STATE(5956)] = 93669,
  [SMALL_STATE(5957)] = 93705,
  [SMALL_STATE(5958)] = 93741,
  [SMALL_STATE(5959)] = 93777,
  [SMALL_STATE(5960)] = 93813,
  [SMALL_STATE(5961)] = 93849,
  [SMALL_STATE(5962)] = 93885,
  [SMALL_STATE(5963)] = 93921,
  [SMALL_STATE(5964)] = 93957,
  [SMALL_STATE(5965)] = 93993,
  [SMALL_STATE(5966)] = 94029,
  [SMALL_STATE(5967)] = 94065,
  [SMALL_STATE(5968)] = 94101,
  [SMALL_STATE(5969)] = 94137,
  [SMALL_STATE(5970)] = 94173,
  [SMALL_STATE(5971)] = 94209,
  [SMALL_STATE(5972)] = 94245,
  [SMALL_STATE(5973)] = 94281,
  [SMALL_STATE(5974)] = 94317,
  [SMALL_STATE(5975)] = 94353,
  [SMALL_STATE(5976)] = 94389,
  [SMALL_STATE(5977)] = 94425,
  [SMALL_STATE(5978)] = 94461,
  [SMALL_STATE(5979)] = 94497,
  [SMALL_STATE(5980)] = 94533,
  [SMALL_STATE(5981)] = 94569,
  [SMALL_STATE(5982)] = 94605,
  [SMALL_STATE(5983)] = 94641,
  [SMALL_STATE(5984)] = 94677,
  [SMALL_STATE(5985)] = 94713,
  [SMALL_STATE(5986)] = 94749,
  [SMALL_STATE(5987)] = 94804,
  [SMALL_STATE(5988)] = 94859,
  [SMALL_STATE(5989)] = 94916,
  [SMALL_STATE(5990)] = 94969,
  [SMALL_STATE(5991)] = 95033,
  [SMALL_STATE(5992)] = 95071,
  [SMALL_STATE(5993)] = 95135,
  [SMALL_STATE(5994)] = 95199,
  [SMALL_STATE(5995)] = 95237,
  [SMALL_STATE(5996)] = 95301,
  [SMALL_STATE(5997)] = 95342,
  [SMALL_STATE(5998)] = 95379,
  [SMALL_STATE(5999)] = 95414,
  [SMALL_STATE(6000)] = 95470,
  [SMALL_STATE(6001)] = 95502,
  [SMALL_STATE(6002)] = 95534,
  [SMALL_STATE(6003)] = 95566,
  [SMALL_STATE(6004)] = 95618,
  [SMALL_STATE(6005)] = 95658,
  [SMALL_STATE(6006)] = 95690,
  [SMALL_STATE(6007)] = 95721,
  [SMALL_STATE(6008)] = 95752,
  [SMALL_STATE(6009)] = 95783,
  [SMALL_STATE(6010)] = 95832,
  [SMALL_STATE(6011)] = 95881,
  [SMALL_STATE(6012)] = 95930,
  [SMALL_STATE(6013)] = 95965,
  [SMALL_STATE(6014)] = 96014,
  [SMALL_STATE(6015)] = 96045,
  [SMALL_STATE(6016)] = 96094,
  [SMALL_STATE(6017)] = 96143,
  [SMALL_STATE(6018)] = 96174,
  [SMALL_STATE(6019)] = 96208,
  [SMALL_STATE(6020)] = 96242,
  [SMALL_STATE(6021)] = 96276,
  [SMALL_STATE(6022)] = 96308,
  [SMALL_STATE(6023)] = 96340,
  [SMALL_STATE(6024)] = 96374,
  [SMALL_STATE(6025)] = 96408,
  [SMALL_STATE(6026)] = 96442,
  [SMALL_STATE(6027)] = 96476,
  [SMALL_STATE(6028)] = 96510,
  [SMALL_STATE(6029)] = 96544,
  [SMALL_STATE(6030)] = 96578,
  [SMALL_STATE(6031)] = 96610,
  [SMALL_STATE(6032)] = 96639,
  [SMALL_STATE(6033)] = 96672,
  [SMALL_STATE(6034)] = 96721,
  [SMALL_STATE(6035)] = 96750,
  [SMALL_STATE(6036)] = 96779,
  [SMALL_STATE(6037)] = 96808,
  [SMALL_STATE(6038)] = 96857,
  [SMALL_STATE(6039)] = 96906,
  [SMALL_STATE(6040)] = 96935,
  [SMALL_STATE(6041)] = 96964,
  [SMALL_STATE(6042)] = 97019,
  [SMALL_STATE(6043)] = 97074,
  [SMALL_STATE(6044)] = 97103,
  [SMALL_STATE(6045)] = 97152,
  [SMALL_STATE(6046)] = 97181,
  [SMALL_STATE(6047)] = 97210,
  [SMALL_STATE(6048)] = 97239,
  [SMALL_STATE(6049)] = 97268,
  [SMALL_STATE(6050)] = 97297,
  [SMALL_STATE(6051)] = 97326,
  [SMALL_STATE(6052)] = 97355,
  [SMALL_STATE(6053)] = 97404,
  [SMALL_STATE(6054)] = 97433,
  [SMALL_STATE(6055)] = 97462,
  [SMALL_STATE(6056)] = 97491,
  [SMALL_STATE(6057)] = 97520,
  [SMALL_STATE(6058)] = 97549,
  [SMALL_STATE(6059)] = 97598,
  [SMALL_STATE(6060)] = 97647,
  [SMALL_STATE(6061)] = 97676,
  [SMALL_STATE(6062)] = 97705,
  [SMALL_STATE(6063)] = 97734,
  [SMALL_STATE(6064)] = 97763,
  [SMALL_STATE(6065)] = 97792,
  [SMALL_STATE(6066)] = 97821,
  [SMALL_STATE(6067)] = 97870,
  [SMALL_STATE(6068)] = 97899,
  [SMALL_STATE(6069)] = 97948,
  [SMALL_STATE(6070)] = 98003,
  [SMALL_STATE(6071)] = 98058,
  [SMALL_STATE(6072)] = 98087,
  [SMALL_STATE(6073)] = 98116,
  [SMALL_STATE(6074)] = 98145,
  [SMALL_STATE(6075)] = 98174,
  [SMALL_STATE(6076)] = 98207,
  [SMALL_STATE(6077)] = 98236,
  [SMALL_STATE(6078)] = 98265,
  [SMALL_STATE(6079)] = 98294,
  [SMALL_STATE(6080)] = 98323,
  [SMALL_STATE(6081)] = 98352,
  [SMALL_STATE(6082)] = 98381,
  [SMALL_STATE(6083)] = 98430,
  [SMALL_STATE(6084)] = 98459,
  [SMALL_STATE(6085)] = 98488,
  [SMALL_STATE(6086)] = 98517,
  [SMALL_STATE(6087)] = 98546,
  [SMALL_STATE(6088)] = 98595,
  [SMALL_STATE(6089)] = 98623,
  [SMALL_STATE(6090)] = 98651,
  [SMALL_STATE(6091)] = 98679,
  [SMALL_STATE(6092)] = 98727,
  [SMALL_STATE(6093)] = 98775,
  [SMALL_STATE(6094)] = 98803,
  [SMALL_STATE(6095)] = 98831,
  [SMALL_STATE(6096)] = 98859,
  [SMALL_STATE(6097)] = 98887,
  [SMALL_STATE(6098)] = 98915,
  [SMALL_STATE(6099)] = 98943,
  [SMALL_STATE(6100)] = 98991,
  [SMALL_STATE(6101)] = 99039,
  [SMALL_STATE(6102)] = 99069,
  [SMALL_STATE(6103)] = 99097,
  [SMALL_STATE(6104)] = 99143,
  [SMALL_STATE(6105)] = 99191,
  [SMALL_STATE(6106)] = 99239,
  [SMALL_STATE(6107)] = 99287,
  [SMALL_STATE(6108)] = 99315,
  [SMALL_STATE(6109)] = 99343,
  [SMALL_STATE(6110)] = 99371,
  [SMALL_STATE(6111)] = 99399,
  [SMALL_STATE(6112)] = 99427,
  [SMALL_STATE(6113)] = 99455,
  [SMALL_STATE(6114)] = 99483,
  [SMALL_STATE(6115)] = 99511,
  [SMALL_STATE(6116)] = 99539,
  [SMALL_STATE(6117)] = 99583,
  [SMALL_STATE(6118)] = 99625,
  [SMALL_STATE(6119)] = 99665,
  [SMALL_STATE(6120)] = 99703,
  [SMALL_STATE(6121)] = 99739,
  [SMALL_STATE(6122)] = 99787,
  [SMALL_STATE(6123)] = 99821,
  [SMALL_STATE(6124)] = 99849,
  [SMALL_STATE(6125)] = 99897,
  [SMALL_STATE(6126)] = 99925,
  [SMALL_STATE(6127)] = 99957,
  [SMALL_STATE(6128)] = 99985,
  [SMALL_STATE(6129)] = 100013,
  [SMALL_STATE(6130)] = 100061,
  [SMALL_STATE(6131)] = 100109,
  [SMALL_STATE(6132)] = 100157,
  [SMALL_STATE(6133)] = 100205,
  [SMALL_STATE(6134)] = 100253,
  [SMALL_STATE(6135)] = 100281,
  [SMALL_STATE(6136)] = 100329,
  [SMALL_STATE(6137)] = 100377,
  [SMALL_STATE(6138)] = 100425,
  [SMALL_STATE(6139)] = 100473,
  [SMALL_STATE(6140)] = 100501,
  [SMALL_STATE(6141)] = 100549,
  [SMALL_STATE(6142)] = 100597,
  [SMALL_STATE(6143)] = 100645,
  [SMALL_STATE(6144)] = 100693,
  [SMALL_STATE(6145)] = 100741,
  [SMALL_STATE(6146)] = 100789,
  [SMALL_STATE(6147)] = 100837,
  [SMALL_STATE(6148)] = 100885,
  [SMALL_STATE(6149)] = 100917,
  [SMALL_STATE(6150)] = 100965,
  [SMALL_STATE(6151)] = 101013,
  [SMALL_STATE(6152)] = 101061,
  [SMALL_STATE(6153)] = 101109,
  [SMALL_STATE(6154)] = 101157,
  [SMALL_STATE(6155)] = 101185,
  [SMALL_STATE(6156)] = 101233,
  [SMALL_STATE(6157)] = 101281,
  [SMALL_STATE(6158)] = 101329,
  [SMALL_STATE(6159)] = 101357,
  [SMALL_STATE(6160)] = 101405,
  [SMALL_STATE(6161)] = 101453,
  [SMALL_STATE(6162)] = 101501,
  [SMALL_STATE(6163)] = 101549,
  [SMALL_STATE(6164)] = 101597,
  [SMALL_STATE(6165)] = 101645,
  [SMALL_STATE(6166)] = 101673,
  [SMALL_STATE(6167)] = 101721,
  [SMALL_STATE(6168)] = 101769,
  [SMALL_STATE(6169)] = 101819,
  [SMALL_STATE(6170)] = 101867,
  [SMALL_STATE(6171)] = 101915,
  [SMALL_STATE(6172)] = 101943,
  [SMALL_STATE(6173)] = 101991,
  [SMALL_STATE(6174)] = 102019,
  [SMALL_STATE(6175)] = 102047,
  [SMALL_STATE(6176)] = 102095,
  [SMALL_STATE(6177)] = 102123,
  [SMALL_STATE(6178)] = 102151,
  [SMALL_STATE(6179)] = 102199,
  [SMALL_STATE(6180)] = 102247,
  [SMALL_STATE(6181)] = 102295,
  [SMALL_STATE(6182)] = 102343,
  [SMALL_STATE(6183)] = 102391,
  [SMALL_STATE(6184)] = 102439,
  [SMALL_STATE(6185)] = 102487,
  [SMALL_STATE(6186)] = 102535,
  [SMALL_STATE(6187)] = 102583,
  [SMALL_STATE(6188)] = 102611,
  [SMALL_STATE(6189)] = 102659,
  [SMALL_STATE(6190)] = 102707,
  [SMALL_STATE(6191)] = 102735,
  [SMALL_STATE(6192)] = 102763,
  [SMALL_STATE(6193)] = 102791,
  [SMALL_STATE(6194)] = 102821,
  [SMALL_STATE(6195)] = 102849,
  [SMALL_STATE(6196)] = 102897,
  [SMALL_STATE(6197)] = 102943,
  [SMALL_STATE(6198)] = 102989,
  [SMALL_STATE(6199)] = 103033,
  [SMALL_STATE(6200)] = 103075,
  [SMALL_STATE(6201)] = 103113,
  [SMALL_STATE(6202)] = 103147,
  [SMALL_STATE(6203)] = 103195,
  [SMALL_STATE(6204)] = 103234,
  [SMALL_STATE(6205)] = 103261,
  [SMALL_STATE(6206)] = 103306,
  [SMALL_STATE(6207)] = 103351,
  [SMALL_STATE(6208)] = 103378,
  [SMALL_STATE(6209)] = 103427,
  [SMALL_STATE(6210)] = 103454,
  [SMALL_STATE(6211)] = 103499,
  [SMALL_STATE(6212)] = 103530,
  [SMALL_STATE(6213)] = 103575,
  [SMALL_STATE(6214)] = 103620,
  [SMALL_STATE(6215)] = 103665,
  [SMALL_STATE(6216)] = 103710,
  [SMALL_STATE(6217)] = 103753,
  [SMALL_STATE(6218)] = 103798,
  [SMALL_STATE(6219)] = 103843,
  [SMALL_STATE(6220)] = 103888,
  [SMALL_STATE(6221)] = 103933,
  [SMALL_STATE(6222)] = 103978,
  [SMALL_STATE(6223)] = 104023,
  [SMALL_STATE(6224)] = 104068,
  [SMALL_STATE(6225)] = 104095,
  [SMALL_STATE(6226)] = 104140,
  [SMALL_STATE(6227)] = 104185,
  [SMALL_STATE(6228)] = 104230,
  [SMALL_STATE(6229)] = 104275,
  [SMALL_STATE(6230)] = 104302,
  [SMALL_STATE(6231)] = 104329,
  [SMALL_STATE(6232)] = 104356,
  [SMALL_STATE(6233)] = 104401,
  [SMALL_STATE(6234)] = 104446,
  [SMALL_STATE(6235)] = 104491,
  [SMALL_STATE(6236)] = 104524,
  [SMALL_STATE(6237)] = 104569,
  [SMALL_STATE(6238)] = 104614,
  [SMALL_STATE(6239)] = 104659,
  [SMALL_STATE(6240)] = 104704,
  [SMALL_STATE(6241)] = 104731,
  [SMALL_STATE(6242)] = 104758,
  [SMALL_STATE(6243)] = 104801,
  [SMALL_STATE(6244)] = 104828,
  [SMALL_STATE(6245)] = 104873,
  [SMALL_STATE(6246)] = 104900,
  [SMALL_STATE(6247)] = 104927,
  [SMALL_STATE(6248)] = 104968,
  [SMALL_STATE(6249)] = 105013,
  [SMALL_STATE(6250)] = 105054,
  [SMALL_STATE(6251)] = 105083,
  [SMALL_STATE(6252)] = 105110,
  [SMALL_STATE(6253)] = 105155,
  [SMALL_STATE(6254)] = 105200,
  [SMALL_STATE(6255)] = 105245,
  [SMALL_STATE(6256)] = 105288,
  [SMALL_STATE(6257)] = 105329,
  [SMALL_STATE(6258)] = 105374,
  [SMALL_STATE(6259)] = 105411,
  [SMALL_STATE(6260)] = 105446,
  [SMALL_STATE(6261)] = 105495,
  [SMALL_STATE(6262)] = 105544,
  [SMALL_STATE(6263)] = 105584,
  [SMALL_STATE(6264)] = 105624,
  [SMALL_STATE(6265)] = 105664,
  [SMALL_STATE(6266)] = 105704,
  [SMALL_STATE(6267)] = 105744,
  [SMALL_STATE(6268)] = 105784,
  [SMALL_STATE(6269)] = 105824,
  [SMALL_STATE(6270)] = 105864,
  [SMALL_STATE(6271)] = 105904,
  [SMALL_STATE(6272)] = 105944,
  [SMALL_STATE(6273)] = 105984,
  [SMALL_STATE(6274)] = 106024,
  [SMALL_STATE(6275)] = 106064,
  [SMALL_STATE(6276)] = 106104,
  [SMALL_STATE(6277)] = 106129,
  [SMALL_STATE(6278)] = 106154,
  [SMALL_STATE(6279)] = 106179,
  [SMALL_STATE(6280)] = 106204,
  [SMALL_STATE(6281)] = 106229,
  [SMALL_STATE(6282)] = 106254,
  [SMALL_STATE(6283)] = 106279,
  [SMALL_STATE(6284)] = 106313,
  [SMALL_STATE(6285)] = 106339,
  [SMALL_STATE(6286)] = 106365,
  [SMALL_STATE(6287)] = 106391,
  [SMALL_STATE(6288)] = 106425,
  [SMALL_STATE(6289)] = 106451,
  [SMALL_STATE(6290)] = 106485,
  [SMALL_STATE(6291)] = 106511,
  [SMALL_STATE(6292)] = 106537,
  [SMALL_STATE(6293)] = 106563,
  [SMALL_STATE(6294)] = 106589,
  [SMALL_STATE(6295)] = 106623,
  [SMALL_STATE(6296)] = 106649,
  [SMALL_STATE(6297)] = 106675,
  [SMALL_STATE(6298)] = 106701,
  [SMALL_STATE(6299)] = 106735,
  [SMALL_STATE(6300)] = 106761,
  [SMALL_STATE(6301)] = 106787,
  [SMALL_STATE(6302)] = 106813,
  [SMALL_STATE(6303)] = 106839,
  [SMALL_STATE(6304)] = 106873,
  [SMALL_STATE(6305)] = 106907,
  [SMALL_STATE(6306)] = 106933,
  [SMALL_STATE(6307)] = 106959,
  [SMALL_STATE(6308)] = 106985,
  [SMALL_STATE(6309)] = 107011,
  [SMALL_STATE(6310)] = 107037,
  [SMALL_STATE(6311)] = 107070,
  [SMALL_STATE(6312)] = 107103,
  [SMALL_STATE(6313)] = 107136,
  [SMALL_STATE(6314)] = 107173,
  [SMALL_STATE(6315)] = 107206,
  [SMALL_STATE(6316)] = 107239,
  [SMALL_STATE(6317)] = 107272,
  [SMALL_STATE(6318)] = 107295,
  [SMALL_STATE(6319)] = 107332,
  [SMALL_STATE(6320)] = 107355,
  [SMALL_STATE(6321)] = 107392,
  [SMALL_STATE(6322)] = 107429,
  [SMALL_STATE(6323)] = 107466,
  [SMALL_STATE(6324)] = 107503,
  [SMALL_STATE(6325)] = 107540,
  [SMALL_STATE(6326)] = 107577,
  [SMALL_STATE(6327)] = 107610,
  [SMALL_STATE(6328)] = 107647,
  [SMALL_STATE(6329)] = 107680,
  [SMALL_STATE(6330)] = 107713,
  [SMALL_STATE(6331)] = 107746,
  [SMALL_STATE(6332)] = 107783,
  [SMALL_STATE(6333)] = 107820,
  [SMALL_STATE(6334)] = 107857,
  [SMALL_STATE(6335)] = 107894,
  [SMALL_STATE(6336)] = 107931,
  [SMALL_STATE(6337)] = 107954,
  [SMALL_STATE(6338)] = 107987,
  [SMALL_STATE(6339)] = 108010,
  [SMALL_STATE(6340)] = 108033,
  [SMALL_STATE(6341)] = 108056,
  [SMALL_STATE(6342)] = 108089,
  [SMALL_STATE(6343)] = 108112,
  [SMALL_STATE(6344)] = 108135,
  [SMALL_STATE(6345)] = 108168,
  [SMALL_STATE(6346)] = 108201,
  [SMALL_STATE(6347)] = 108238,
  [SMALL_STATE(6348)] = 108275,
  [SMALL_STATE(6349)] = 108308,
  [SMALL_STATE(6350)] = 108341,
  [SMALL_STATE(6351)] = 108364,
  [SMALL_STATE(6352)] = 108401,
  [SMALL_STATE(6353)] = 108434,
  [SMALL_STATE(6354)] = 108471,
  [SMALL_STATE(6355)] = 108508,
  [SMALL_STATE(6356)] = 108545,
  [SMALL_STATE(6357)] = 108568,
  [SMALL_STATE(6358)] = 108605,
  [SMALL_STATE(6359)] = 108642,
  [SMALL_STATE(6360)] = 108665,
  [SMALL_STATE(6361)] = 108702,
  [SMALL_STATE(6362)] = 108735,
  [SMALL_STATE(6363)] = 108758,
  [SMALL_STATE(6364)] = 108781,
  [SMALL_STATE(6365)] = 108814,
  [SMALL_STATE(6366)] = 108845,
  [SMALL_STATE(6367)] = 108868,
  [SMALL_STATE(6368)] = 108891,
  [SMALL_STATE(6369)] = 108928,
  [SMALL_STATE(6370)] = 108951,
  [SMALL_STATE(6371)] = 108988,
  [SMALL_STATE(6372)] = 109021,
  [SMALL_STATE(6373)] = 109054,
  [SMALL_STATE(6374)] = 109077,
  [SMALL_STATE(6375)] = 109100,
  [SMALL_STATE(6376)] = 109137,
  [SMALL_STATE(6377)] = 109160,
  [SMALL_STATE(6378)] = 109183,
  [SMALL_STATE(6379)] = 109206,
  [SMALL_STATE(6380)] = 109229,
  [SMALL_STATE(6381)] = 109252,
  [SMALL_STATE(6382)] = 109289,
  [SMALL_STATE(6383)] = 109312,
  [SMALL_STATE(6384)] = 109335,
  [SMALL_STATE(6385)] = 109358,
  [SMALL_STATE(6386)] = 109391,
  [SMALL_STATE(6387)] = 109424,
  [SMALL_STATE(6388)] = 109457,
  [SMALL_STATE(6389)] = 109480,
  [SMALL_STATE(6390)] = 109513,
  [SMALL_STATE(6391)] = 109550,
  [SMALL_STATE(6392)] = 109587,
  [SMALL_STATE(6393)] = 109610,
  [SMALL_STATE(6394)] = 109633,
  [SMALL_STATE(6395)] = 109670,
  [SMALL_STATE(6396)] = 109707,
  [SMALL_STATE(6397)] = 109730,
  [SMALL_STATE(6398)] = 109767,
  [SMALL_STATE(6399)] = 109809,
  [SMALL_STATE(6400)] = 109851,
  [SMALL_STATE(6401)] = 109895,
  [SMALL_STATE(6402)] = 109932,
  [SMALL_STATE(6403)] = 109967,
  [SMALL_STATE(6404)] = 110006,
  [SMALL_STATE(6405)] = 110039,
  [SMALL_STATE(6406)] = 110068,
  [SMALL_STATE(6407)] = 110089,
  [SMALL_STATE(6408)] = 110128,
  [SMALL_STATE(6409)] = 110161,
  [SMALL_STATE(6410)] = 110194,
  [SMALL_STATE(6411)] = 110222,
  [SMALL_STATE(6412)] = 110244,
  [SMALL_STATE(6413)] = 110266,
  [SMALL_STATE(6414)] = 110288,
  [SMALL_STATE(6415)] = 110316,
  [SMALL_STATE(6416)] = 110344,
  [SMALL_STATE(6417)] = 110372,
  [SMALL_STATE(6418)] = 110400,
  [SMALL_STATE(6419)] = 110428,
  [SMALL_STATE(6420)] = 110456,
  [SMALL_STATE(6421)] = 110484,
  [SMALL_STATE(6422)] = 110512,
  [SMALL_STATE(6423)] = 110540,
  [SMALL_STATE(6424)] = 110570,
  [SMALL_STATE(6425)] = 110598,
  [SMALL_STATE(6426)] = 110626,
  [SMALL_STATE(6427)] = 110654,
  [SMALL_STATE(6428)] = 110682,
  [SMALL_STATE(6429)] = 110710,
  [SMALL_STATE(6430)] = 110738,
  [SMALL_STATE(6431)] = 110766,
  [SMALL_STATE(6432)] = 110794,
  [SMALL_STATE(6433)] = 110822,
  [SMALL_STATE(6434)] = 110850,
  [SMALL_STATE(6435)] = 110878,
  [SMALL_STATE(6436)] = 110906,
  [SMALL_STATE(6437)] = 110932,
  [SMALL_STATE(6438)] = 110960,
  [SMALL_STATE(6439)] = 110988,
  [SMALL_STATE(6440)] = 111016,
  [SMALL_STATE(6441)] = 111044,
  [SMALL_STATE(6442)] = 111072,
  [SMALL_STATE(6443)] = 111100,
  [SMALL_STATE(6444)] = 111122,
  [SMALL_STATE(6445)] = 111144,
  [SMALL_STATE(6446)] = 111166,
  [SMALL_STATE(6447)] = 111194,
  [SMALL_STATE(6448)] = 111222,
  [SMALL_STATE(6449)] = 111244,
  [SMALL_STATE(6450)] = 111266,
  [SMALL_STATE(6451)] = 111288,
  [SMALL_STATE(6452)] = 111316,
  [SMALL_STATE(6453)] = 111344,
  [SMALL_STATE(6454)] = 111372,
  [SMALL_STATE(6455)] = 111400,
  [SMALL_STATE(6456)] = 111428,
  [SMALL_STATE(6457)] = 111456,
  [SMALL_STATE(6458)] = 111484,
  [SMALL_STATE(6459)] = 111512,
  [SMALL_STATE(6460)] = 111540,
  [SMALL_STATE(6461)] = 111568,
  [SMALL_STATE(6462)] = 111596,
  [SMALL_STATE(6463)] = 111624,
  [SMALL_STATE(6464)] = 111646,
  [SMALL_STATE(6465)] = 111674,
  [SMALL_STATE(6466)] = 111702,
  [SMALL_STATE(6467)] = 111724,
  [SMALL_STATE(6468)] = 111752,
  [SMALL_STATE(6469)] = 111780,
  [SMALL_STATE(6470)] = 111808,
  [SMALL_STATE(6471)] = 111836,
  [SMALL_STATE(6472)] = 111864,
  [SMALL_STATE(6473)] = 111892,
  [SMALL_STATE(6474)] = 111920,
  [SMALL_STATE(6475)] = 111948,
  [SMALL_STATE(6476)] = 111976,
  [SMALL_STATE(6477)] = 112006,
  [SMALL_STATE(6478)] = 112034,
  [SMALL_STATE(6479)] = 112062,
  [SMALL_STATE(6480)] = 112090,
  [SMALL_STATE(6481)] = 112118,
  [SMALL_STATE(6482)] = 112146,
  [SMALL_STATE(6483)] = 112174,
  [SMALL_STATE(6484)] = 112202,
  [SMALL_STATE(6485)] = 112230,
  [SMALL_STATE(6486)] = 112258,
  [SMALL_STATE(6487)] = 112286,
  [SMALL_STATE(6488)] = 112314,
  [SMALL_STATE(6489)] = 112342,
  [SMALL_STATE(6490)] = 112370,
  [SMALL_STATE(6491)] = 112398,
  [SMALL_STATE(6492)] = 112420,
  [SMALL_STATE(6493)] = 112454,
  [SMALL_STATE(6494)] = 112482,
  [SMALL_STATE(6495)] = 112510,
  [SMALL_STATE(6496)] = 112538,
  [SMALL_STATE(6497)] = 112560,
  [SMALL_STATE(6498)] = 112588,
  [SMALL_STATE(6499)] = 112610,
  [SMALL_STATE(6500)] = 112632,
  [SMALL_STATE(6501)] = 112654,
  [SMALL_STATE(6502)] = 112682,
  [SMALL_STATE(6503)] = 112710,
  [SMALL_STATE(6504)] = 112738,
  [SMALL_STATE(6505)] = 112766,
  [SMALL_STATE(6506)] = 112794,
  [SMALL_STATE(6507)] = 112822,
  [SMALL_STATE(6508)] = 112850,
  [SMALL_STATE(6509)] = 112878,
  [SMALL_STATE(6510)] = 112906,
  [SMALL_STATE(6511)] = 112934,
  [SMALL_STATE(6512)] = 112962,
  [SMALL_STATE(6513)] = 112995,
  [SMALL_STATE(6514)] = 113014,
  [SMALL_STATE(6515)] = 113043,
  [SMALL_STATE(6516)] = 113062,
  [SMALL_STATE(6517)] = 113095,
  [SMALL_STATE(6518)] = 113114,
  [SMALL_STATE(6519)] = 113133,
  [SMALL_STATE(6520)] = 113152,
  [SMALL_STATE(6521)] = 113185,
  [SMALL_STATE(6522)] = 113204,
  [SMALL_STATE(6523)] = 113223,
  [SMALL_STATE(6524)] = 113252,
  [SMALL_STATE(6525)] = 113281,
  [SMALL_STATE(6526)] = 113310,
  [SMALL_STATE(6527)] = 113329,
  [SMALL_STATE(6528)] = 113348,
  [SMALL_STATE(6529)] = 113377,
  [SMALL_STATE(6530)] = 113396,
  [SMALL_STATE(6531)] = 113421,
  [SMALL_STATE(6532)] = 113440,
  [SMALL_STATE(6533)] = 113465,
  [SMALL_STATE(6534)] = 113492,
  [SMALL_STATE(6535)] = 113511,
  [SMALL_STATE(6536)] = 113536,
  [SMALL_STATE(6537)] = 113555,
  [SMALL_STATE(6538)] = 113574,
  [SMALL_STATE(6539)] = 113593,
  [SMALL_STATE(6540)] = 113612,
  [SMALL_STATE(6541)] = 113645,
  [SMALL_STATE(6542)] = 113665,
  [SMALL_STATE(6543)] = 113685,
  [SMALL_STATE(6544)] = 113705,
  [SMALL_STATE(6545)] = 113725,
  [SMALL_STATE(6546)] = 113745,
  [SMALL_STATE(6547)] = 113771,
  [SMALL_STATE(6548)] = 113797,
  [SMALL_STATE(6549)] = 113817,
  [SMALL_STATE(6550)] = 113843,
  [SMALL_STATE(6551)] = 113863,
  [SMALL_STATE(6552)] = 113883,
  [SMALL_STATE(6553)] = 113903,
  [SMALL_STATE(6554)] = 113929,
  [SMALL_STATE(6555)] = 113949,
  [SMALL_STATE(6556)] = 113972,
  [SMALL_STATE(6557)] = 113995,
  [SMALL_STATE(6558)] = 114018,
  [SMALL_STATE(6559)] = 114041,
  [SMALL_STATE(6560)] = 114064,
  [SMALL_STATE(6561)] = 114087,
  [SMALL_STATE(6562)] = 114110,
  [SMALL_STATE(6563)] = 114133,
  [SMALL_STATE(6564)] = 114156,
  [SMALL_STATE(6565)] = 114179,
  [SMALL_STATE(6566)] = 114194,
  [SMALL_STATE(6567)] = 114217,
  [SMALL_STATE(6568)] = 114240,
  [SMALL_STATE(6569)] = 114263,
  [SMALL_STATE(6570)] = 114286,
  [SMALL_STATE(6571)] = 114309,
  [SMALL_STATE(6572)] = 114332,
  [SMALL_STATE(6573)] = 114355,
  [SMALL_STATE(6574)] = 114378,
  [SMALL_STATE(6575)] = 114401,
  [SMALL_STATE(6576)] = 114424,
  [SMALL_STATE(6577)] = 114447,
  [SMALL_STATE(6578)] = 114470,
  [SMALL_STATE(6579)] = 114493,
  [SMALL_STATE(6580)] = 114516,
  [SMALL_STATE(6581)] = 114539,
  [SMALL_STATE(6582)] = 114562,
  [SMALL_STATE(6583)] = 114585,
  [SMALL_STATE(6584)] = 114608,
  [SMALL_STATE(6585)] = 114631,
  [SMALL_STATE(6586)] = 114654,
  [SMALL_STATE(6587)] = 114677,
  [SMALL_STATE(6588)] = 114700,
  [SMALL_STATE(6589)] = 114723,
  [SMALL_STATE(6590)] = 114746,
  [SMALL_STATE(6591)] = 114769,
  [SMALL_STATE(6592)] = 114792,
  [SMALL_STATE(6593)] = 114815,
  [SMALL_STATE(6594)] = 114838,
  [SMALL_STATE(6595)] = 114861,
  [SMALL_STATE(6596)] = 114876,
  [SMALL_STATE(6597)] = 114899,
  [SMALL_STATE(6598)] = 114922,
  [SMALL_STATE(6599)] = 114945,
  [SMALL_STATE(6600)] = 114968,
  [SMALL_STATE(6601)] = 114991,
  [SMALL_STATE(6602)] = 115014,
  [SMALL_STATE(6603)] = 115037,
  [SMALL_STATE(6604)] = 115060,
  [SMALL_STATE(6605)] = 115083,
  [SMALL_STATE(6606)] = 115106,
  [SMALL_STATE(6607)] = 115121,
  [SMALL_STATE(6608)] = 115144,
  [SMALL_STATE(6609)] = 115167,
  [SMALL_STATE(6610)] = 115190,
  [SMALL_STATE(6611)] = 115213,
  [SMALL_STATE(6612)] = 115236,
  [SMALL_STATE(6613)] = 115259,
  [SMALL_STATE(6614)] = 115282,
  [SMALL_STATE(6615)] = 115305,
  [SMALL_STATE(6616)] = 115328,
  [SMALL_STATE(6617)] = 115351,
  [SMALL_STATE(6618)] = 115374,
  [SMALL_STATE(6619)] = 115397,
  [SMALL_STATE(6620)] = 115420,
  [SMALL_STATE(6621)] = 115443,
  [SMALL_STATE(6622)] = 115466,
  [SMALL_STATE(6623)] = 115489,
  [SMALL_STATE(6624)] = 115512,
  [SMALL_STATE(6625)] = 115535,
  [SMALL_STATE(6626)] = 115558,
  [SMALL_STATE(6627)] = 115581,
  [SMALL_STATE(6628)] = 115604,
  [SMALL_STATE(6629)] = 115627,
  [SMALL_STATE(6630)] = 115650,
  [SMALL_STATE(6631)] = 115673,
  [SMALL_STATE(6632)] = 115696,
  [SMALL_STATE(6633)] = 115719,
  [SMALL_STATE(6634)] = 115742,
  [SMALL_STATE(6635)] = 115765,
  [SMALL_STATE(6636)] = 115788,
  [SMALL_STATE(6637)] = 115811,
  [SMALL_STATE(6638)] = 115834,
  [SMALL_STATE(6639)] = 115857,
  [SMALL_STATE(6640)] = 115880,
  [SMALL_STATE(6641)] = 115903,
  [SMALL_STATE(6642)] = 115926,
  [SMALL_STATE(6643)] = 115949,
  [SMALL_STATE(6644)] = 115972,
  [SMALL_STATE(6645)] = 115995,
  [SMALL_STATE(6646)] = 116018,
  [SMALL_STATE(6647)] = 116041,
  [SMALL_STATE(6648)] = 116066,
  [SMALL_STATE(6649)] = 116089,
  [SMALL_STATE(6650)] = 116112,
  [SMALL_STATE(6651)] = 116135,
  [SMALL_STATE(6652)] = 116158,
  [SMALL_STATE(6653)] = 116181,
  [SMALL_STATE(6654)] = 116204,
  [SMALL_STATE(6655)] = 116227,
  [SMALL_STATE(6656)] = 116250,
  [SMALL_STATE(6657)] = 116273,
  [SMALL_STATE(6658)] = 116296,
  [SMALL_STATE(6659)] = 116319,
  [SMALL_STATE(6660)] = 116342,
  [SMALL_STATE(6661)] = 116365,
  [SMALL_STATE(6662)] = 116388,
  [SMALL_STATE(6663)] = 116411,
  [SMALL_STATE(6664)] = 116434,
  [SMALL_STATE(6665)] = 116457,
  [SMALL_STATE(6666)] = 116480,
  [SMALL_STATE(6667)] = 116503,
  [SMALL_STATE(6668)] = 116526,
  [SMALL_STATE(6669)] = 116549,
  [SMALL_STATE(6670)] = 116572,
  [SMALL_STATE(6671)] = 116595,
  [SMALL_STATE(6672)] = 116618,
  [SMALL_STATE(6673)] = 116641,
  [SMALL_STATE(6674)] = 116664,
  [SMALL_STATE(6675)] = 116687,
  [SMALL_STATE(6676)] = 116710,
  [SMALL_STATE(6677)] = 116733,
  [SMALL_STATE(6678)] = 116756,
  [SMALL_STATE(6679)] = 116779,
  [SMALL_STATE(6680)] = 116802,
  [SMALL_STATE(6681)] = 116825,
  [SMALL_STATE(6682)] = 116848,
  [SMALL_STATE(6683)] = 116871,
  [SMALL_STATE(6684)] = 116894,
  [SMALL_STATE(6685)] = 116917,
  [SMALL_STATE(6686)] = 116940,
  [SMALL_STATE(6687)] = 116963,
  [SMALL_STATE(6688)] = 116986,
  [SMALL_STATE(6689)] = 117009,
  [SMALL_STATE(6690)] = 117032,
  [SMALL_STATE(6691)] = 117055,
  [SMALL_STATE(6692)] = 117078,
  [SMALL_STATE(6693)] = 117101,
  [SMALL_STATE(6694)] = 117124,
  [SMALL_STATE(6695)] = 117147,
  [SMALL_STATE(6696)] = 117170,
  [SMALL_STATE(6697)] = 117193,
  [SMALL_STATE(6698)] = 117216,
  [SMALL_STATE(6699)] = 117239,
  [SMALL_STATE(6700)] = 117262,
  [SMALL_STATE(6701)] = 117285,
  [SMALL_STATE(6702)] = 117308,
  [SMALL_STATE(6703)] = 117331,
  [SMALL_STATE(6704)] = 117354,
  [SMALL_STATE(6705)] = 117377,
  [SMALL_STATE(6706)] = 117400,
  [SMALL_STATE(6707)] = 117423,
  [SMALL_STATE(6708)] = 117446,
  [SMALL_STATE(6709)] = 117469,
  [SMALL_STATE(6710)] = 117492,
  [SMALL_STATE(6711)] = 117515,
  [SMALL_STATE(6712)] = 117538,
  [SMALL_STATE(6713)] = 117561,
  [SMALL_STATE(6714)] = 117584,
  [SMALL_STATE(6715)] = 117607,
  [SMALL_STATE(6716)] = 117630,
  [SMALL_STATE(6717)] = 117653,
  [SMALL_STATE(6718)] = 117676,
  [SMALL_STATE(6719)] = 117699,
  [SMALL_STATE(6720)] = 117722,
  [SMALL_STATE(6721)] = 117745,
  [SMALL_STATE(6722)] = 117768,
  [SMALL_STATE(6723)] = 117791,
  [SMALL_STATE(6724)] = 117814,
  [SMALL_STATE(6725)] = 117837,
  [SMALL_STATE(6726)] = 117860,
  [SMALL_STATE(6727)] = 117883,
  [SMALL_STATE(6728)] = 117906,
  [SMALL_STATE(6729)] = 117929,
  [SMALL_STATE(6730)] = 117952,
  [SMALL_STATE(6731)] = 117975,
  [SMALL_STATE(6732)] = 117998,
  [SMALL_STATE(6733)] = 118023,
  [SMALL_STATE(6734)] = 118046,
  [SMALL_STATE(6735)] = 118067,
  [SMALL_STATE(6736)] = 118090,
  [SMALL_STATE(6737)] = 118113,
  [SMALL_STATE(6738)] = 118136,
  [SMALL_STATE(6739)] = 118159,
  [SMALL_STATE(6740)] = 118182,
  [SMALL_STATE(6741)] = 118205,
  [SMALL_STATE(6742)] = 118228,
  [SMALL_STATE(6743)] = 118251,
  [SMALL_STATE(6744)] = 118274,
  [SMALL_STATE(6745)] = 118297,
  [SMALL_STATE(6746)] = 118320,
  [SMALL_STATE(6747)] = 118343,
  [SMALL_STATE(6748)] = 118366,
  [SMALL_STATE(6749)] = 118389,
  [SMALL_STATE(6750)] = 118412,
  [SMALL_STATE(6751)] = 118435,
  [SMALL_STATE(6752)] = 118458,
  [SMALL_STATE(6753)] = 118481,
  [SMALL_STATE(6754)] = 118504,
  [SMALL_STATE(6755)] = 118527,
  [SMALL_STATE(6756)] = 118550,
  [SMALL_STATE(6757)] = 118573,
  [SMALL_STATE(6758)] = 118596,
  [SMALL_STATE(6759)] = 118619,
  [SMALL_STATE(6760)] = 118642,
  [SMALL_STATE(6761)] = 118665,
  [SMALL_STATE(6762)] = 118688,
  [SMALL_STATE(6763)] = 118711,
  [SMALL_STATE(6764)] = 118734,
  [SMALL_STATE(6765)] = 118757,
  [SMALL_STATE(6766)] = 118780,
  [SMALL_STATE(6767)] = 118803,
  [SMALL_STATE(6768)] = 118826,
  [SMALL_STATE(6769)] = 118849,
  [SMALL_STATE(6770)] = 118872,
  [SMALL_STATE(6771)] = 118895,
  [SMALL_STATE(6772)] = 118918,
  [SMALL_STATE(6773)] = 118941,
  [SMALL_STATE(6774)] = 118964,
  [SMALL_STATE(6775)] = 118987,
  [SMALL_STATE(6776)] = 119010,
  [SMALL_STATE(6777)] = 119033,
  [SMALL_STATE(6778)] = 119056,
  [SMALL_STATE(6779)] = 119079,
  [SMALL_STATE(6780)] = 119102,
  [SMALL_STATE(6781)] = 119125,
  [SMALL_STATE(6782)] = 119148,
  [SMALL_STATE(6783)] = 119177,
  [SMALL_STATE(6784)] = 119200,
  [SMALL_STATE(6785)] = 119223,
  [SMALL_STATE(6786)] = 119246,
  [SMALL_STATE(6787)] = 119275,
  [SMALL_STATE(6788)] = 119298,
  [SMALL_STATE(6789)] = 119321,
  [SMALL_STATE(6790)] = 119344,
  [SMALL_STATE(6791)] = 119367,
  [SMALL_STATE(6792)] = 119390,
  [SMALL_STATE(6793)] = 119413,
  [SMALL_STATE(6794)] = 119436,
  [SMALL_STATE(6795)] = 119459,
  [SMALL_STATE(6796)] = 119482,
  [SMALL_STATE(6797)] = 119505,
  [SMALL_STATE(6798)] = 119520,
  [SMALL_STATE(6799)] = 119535,
  [SMALL_STATE(6800)] = 119558,
  [SMALL_STATE(6801)] = 119587,
  [SMALL_STATE(6802)] = 119610,
  [SMALL_STATE(6803)] = 119633,
  [SMALL_STATE(6804)] = 119656,
  [SMALL_STATE(6805)] = 119679,
  [SMALL_STATE(6806)] = 119702,
  [SMALL_STATE(6807)] = 119725,
  [SMALL_STATE(6808)] = 119748,
  [SMALL_STATE(6809)] = 119771,
  [SMALL_STATE(6810)] = 119794,
  [SMALL_STATE(6811)] = 119817,
  [SMALL_STATE(6812)] = 119840,
  [SMALL_STATE(6813)] = 119863,
  [SMALL_STATE(6814)] = 119889,
  [SMALL_STATE(6815)] = 119905,
  [SMALL_STATE(6816)] = 119929,
  [SMALL_STATE(6817)] = 119953,
  [SMALL_STATE(6818)] = 119973,
  [SMALL_STATE(6819)] = 119989,
  [SMALL_STATE(6820)] = 120005,
  [SMALL_STATE(6821)] = 120031,
  [SMALL_STATE(6822)] = 120047,
  [SMALL_STATE(6823)] = 120063,
  [SMALL_STATE(6824)] = 120079,
  [SMALL_STATE(6825)] = 120095,
  [SMALL_STATE(6826)] = 120121,
  [SMALL_STATE(6827)] = 120147,
  [SMALL_STATE(6828)] = 120167,
  [SMALL_STATE(6829)] = 120187,
  [SMALL_STATE(6830)] = 120207,
  [SMALL_STATE(6831)] = 120231,
  [SMALL_STATE(6832)] = 120247,
  [SMALL_STATE(6833)] = 120263,
  [SMALL_STATE(6834)] = 120279,
  [SMALL_STATE(6835)] = 120301,
  [SMALL_STATE(6836)] = 120317,
  [SMALL_STATE(6837)] = 120343,
  [SMALL_STATE(6838)] = 120369,
  [SMALL_STATE(6839)] = 120385,
  [SMALL_STATE(6840)] = 120401,
  [SMALL_STATE(6841)] = 120427,
  [SMALL_STATE(6842)] = 120448,
  [SMALL_STATE(6843)] = 120463,
  [SMALL_STATE(6844)] = 120484,
  [SMALL_STATE(6845)] = 120505,
  [SMALL_STATE(6846)] = 120526,
  [SMALL_STATE(6847)] = 120547,
  [SMALL_STATE(6848)] = 120568,
  [SMALL_STATE(6849)] = 120589,
  [SMALL_STATE(6850)] = 120610,
  [SMALL_STATE(6851)] = 120631,
  [SMALL_STATE(6852)] = 120652,
  [SMALL_STATE(6853)] = 120673,
  [SMALL_STATE(6854)] = 120694,
  [SMALL_STATE(6855)] = 120715,
  [SMALL_STATE(6856)] = 120736,
  [SMALL_STATE(6857)] = 120751,
  [SMALL_STATE(6858)] = 120772,
  [SMALL_STATE(6859)] = 120793,
  [SMALL_STATE(6860)] = 120806,
  [SMALL_STATE(6861)] = 120827,
  [SMALL_STATE(6862)] = 120848,
  [SMALL_STATE(6863)] = 120869,
  [SMALL_STATE(6864)] = 120884,
  [SMALL_STATE(6865)] = 120905,
  [SMALL_STATE(6866)] = 120926,
  [SMALL_STATE(6867)] = 120947,
  [SMALL_STATE(6868)] = 120962,
  [SMALL_STATE(6869)] = 120983,
  [SMALL_STATE(6870)] = 121004,
  [SMALL_STATE(6871)] = 121025,
  [SMALL_STATE(6872)] = 121040,
  [SMALL_STATE(6873)] = 121061,
  [SMALL_STATE(6874)] = 121082,
  [SMALL_STATE(6875)] = 121103,
  [SMALL_STATE(6876)] = 121118,
  [SMALL_STATE(6877)] = 121139,
  [SMALL_STATE(6878)] = 121160,
  [SMALL_STATE(6879)] = 121181,
  [SMALL_STATE(6880)] = 121202,
  [SMALL_STATE(6881)] = 121223,
  [SMALL_STATE(6882)] = 121244,
  [SMALL_STATE(6883)] = 121265,
  [SMALL_STATE(6884)] = 121283,
  [SMALL_STATE(6885)] = 121301,
  [SMALL_STATE(6886)] = 121319,
  [SMALL_STATE(6887)] = 121337,
  [SMALL_STATE(6888)] = 121355,
  [SMALL_STATE(6889)] = 121373,
  [SMALL_STATE(6890)] = 121391,
  [SMALL_STATE(6891)] = 121409,
  [SMALL_STATE(6892)] = 121427,
  [SMALL_STATE(6893)] = 121445,
  [SMALL_STATE(6894)] = 121463,
  [SMALL_STATE(6895)] = 121481,
  [SMALL_STATE(6896)] = 121499,
  [SMALL_STATE(6897)] = 121517,
  [SMALL_STATE(6898)] = 121535,
  [SMALL_STATE(6899)] = 121553,
  [SMALL_STATE(6900)] = 121571,
  [SMALL_STATE(6901)] = 121589,
  [SMALL_STATE(6902)] = 121607,
  [SMALL_STATE(6903)] = 121627,
  [SMALL_STATE(6904)] = 121645,
  [SMALL_STATE(6905)] = 121663,
  [SMALL_STATE(6906)] = 121681,
  [SMALL_STATE(6907)] = 121699,
  [SMALL_STATE(6908)] = 121717,
  [SMALL_STATE(6909)] = 121735,
  [SMALL_STATE(6910)] = 121753,
  [SMALL_STATE(6911)] = 121773,
  [SMALL_STATE(6912)] = 121791,
  [SMALL_STATE(6913)] = 121809,
  [SMALL_STATE(6914)] = 121827,
  [SMALL_STATE(6915)] = 121845,
  [SMALL_STATE(6916)] = 121857,
  [SMALL_STATE(6917)] = 121875,
  [SMALL_STATE(6918)] = 121893,
  [SMALL_STATE(6919)] = 121911,
  [SMALL_STATE(6920)] = 121929,
  [SMALL_STATE(6921)] = 121947,
  [SMALL_STATE(6922)] = 121965,
  [SMALL_STATE(6923)] = 121985,
  [SMALL_STATE(6924)] = 122001,
  [SMALL_STATE(6925)] = 122019,
  [SMALL_STATE(6926)] = 122037,
  [SMALL_STATE(6927)] = 122055,
  [SMALL_STATE(6928)] = 122073,
  [SMALL_STATE(6929)] = 122091,
  [SMALL_STATE(6930)] = 122109,
  [SMALL_STATE(6931)] = 122129,
  [SMALL_STATE(6932)] = 122147,
  [SMALL_STATE(6933)] = 122165,
  [SMALL_STATE(6934)] = 122183,
  [SMALL_STATE(6935)] = 122203,
  [SMALL_STATE(6936)] = 122221,
  [SMALL_STATE(6937)] = 122239,
  [SMALL_STATE(6938)] = 122255,
  [SMALL_STATE(6939)] = 122275,
  [SMALL_STATE(6940)] = 122295,
  [SMALL_STATE(6941)] = 122315,
  [SMALL_STATE(6942)] = 122333,
  [SMALL_STATE(6943)] = 122351,
  [SMALL_STATE(6944)] = 122369,
  [SMALL_STATE(6945)] = 122387,
  [SMALL_STATE(6946)] = 122405,
  [SMALL_STATE(6947)] = 122423,
  [SMALL_STATE(6948)] = 122441,
  [SMALL_STATE(6949)] = 122459,
  [SMALL_STATE(6950)] = 122479,
  [SMALL_STATE(6951)] = 122499,
  [SMALL_STATE(6952)] = 122519,
  [SMALL_STATE(6953)] = 122537,
  [SMALL_STATE(6954)] = 122555,
  [SMALL_STATE(6955)] = 122573,
  [SMALL_STATE(6956)] = 122591,
  [SMALL_STATE(6957)] = 122609,
  [SMALL_STATE(6958)] = 122627,
  [SMALL_STATE(6959)] = 122645,
  [SMALL_STATE(6960)] = 122663,
  [SMALL_STATE(6961)] = 122681,
  [SMALL_STATE(6962)] = 122699,
  [SMALL_STATE(6963)] = 122717,
  [SMALL_STATE(6964)] = 122735,
  [SMALL_STATE(6965)] = 122755,
  [SMALL_STATE(6966)] = 122773,
  [SMALL_STATE(6967)] = 122791,
  [SMALL_STATE(6968)] = 122809,
  [SMALL_STATE(6969)] = 122829,
  [SMALL_STATE(6970)] = 122847,
  [SMALL_STATE(6971)] = 122865,
  [SMALL_STATE(6972)] = 122883,
  [SMALL_STATE(6973)] = 122901,
  [SMALL_STATE(6974)] = 122919,
  [SMALL_STATE(6975)] = 122937,
  [SMALL_STATE(6976)] = 122955,
  [SMALL_STATE(6977)] = 122973,
  [SMALL_STATE(6978)] = 122991,
  [SMALL_STATE(6979)] = 123009,
  [SMALL_STATE(6980)] = 123027,
  [SMALL_STATE(6981)] = 123045,
  [SMALL_STATE(6982)] = 123063,
  [SMALL_STATE(6983)] = 123081,
  [SMALL_STATE(6984)] = 123099,
  [SMALL_STATE(6985)] = 123117,
  [SMALL_STATE(6986)] = 123135,
  [SMALL_STATE(6987)] = 123153,
  [SMALL_STATE(6988)] = 123171,
  [SMALL_STATE(6989)] = 123189,
  [SMALL_STATE(6990)] = 123207,
  [SMALL_STATE(6991)] = 123225,
  [SMALL_STATE(6992)] = 123243,
  [SMALL_STATE(6993)] = 123261,
  [SMALL_STATE(6994)] = 123279,
  [SMALL_STATE(6995)] = 123297,
  [SMALL_STATE(6996)] = 123315,
  [SMALL_STATE(6997)] = 123333,
  [SMALL_STATE(6998)] = 123351,
  [SMALL_STATE(6999)] = 123369,
  [SMALL_STATE(7000)] = 123387,
  [SMALL_STATE(7001)] = 123405,
  [SMALL_STATE(7002)] = 123423,
  [SMALL_STATE(7003)] = 123441,
  [SMALL_STATE(7004)] = 123459,
  [SMALL_STATE(7005)] = 123477,
  [SMALL_STATE(7006)] = 123495,
  [SMALL_STATE(7007)] = 123513,
  [SMALL_STATE(7008)] = 123531,
  [SMALL_STATE(7009)] = 123549,
  [SMALL_STATE(7010)] = 123567,
  [SMALL_STATE(7011)] = 123585,
  [SMALL_STATE(7012)] = 123603,
  [SMALL_STATE(7013)] = 123621,
  [SMALL_STATE(7014)] = 123639,
  [SMALL_STATE(7015)] = 123657,
  [SMALL_STATE(7016)] = 123675,
  [SMALL_STATE(7017)] = 123693,
  [SMALL_STATE(7018)] = 123711,
  [SMALL_STATE(7019)] = 123729,
  [SMALL_STATE(7020)] = 123749,
  [SMALL_STATE(7021)] = 123767,
  [SMALL_STATE(7022)] = 123785,
  [SMALL_STATE(7023)] = 123803,
  [SMALL_STATE(7024)] = 123821,
  [SMALL_STATE(7025)] = 123839,
  [SMALL_STATE(7026)] = 123857,
  [SMALL_STATE(7027)] = 123875,
  [SMALL_STATE(7028)] = 123893,
  [SMALL_STATE(7029)] = 123911,
  [SMALL_STATE(7030)] = 123929,
  [SMALL_STATE(7031)] = 123947,
  [SMALL_STATE(7032)] = 123965,
  [SMALL_STATE(7033)] = 123983,
  [SMALL_STATE(7034)] = 124001,
  [SMALL_STATE(7035)] = 124019,
  [SMALL_STATE(7036)] = 124037,
  [SMALL_STATE(7037)] = 124055,
  [SMALL_STATE(7038)] = 124073,
  [SMALL_STATE(7039)] = 124091,
  [SMALL_STATE(7040)] = 124109,
  [SMALL_STATE(7041)] = 124127,
  [SMALL_STATE(7042)] = 124145,
  [SMALL_STATE(7043)] = 124163,
  [SMALL_STATE(7044)] = 124181,
  [SMALL_STATE(7045)] = 124199,
  [SMALL_STATE(7046)] = 124219,
  [SMALL_STATE(7047)] = 124237,
  [SMALL_STATE(7048)] = 124255,
  [SMALL_STATE(7049)] = 124273,
  [SMALL_STATE(7050)] = 124291,
  [SMALL_STATE(7051)] = 124311,
  [SMALL_STATE(7052)] = 124329,
  [SMALL_STATE(7053)] = 124347,
  [SMALL_STATE(7054)] = 124367,
  [SMALL_STATE(7055)] = 124385,
  [SMALL_STATE(7056)] = 124403,
  [SMALL_STATE(7057)] = 124421,
  [SMALL_STATE(7058)] = 124441,
  [SMALL_STATE(7059)] = 124459,
  [SMALL_STATE(7060)] = 124477,
  [SMALL_STATE(7061)] = 124495,
  [SMALL_STATE(7062)] = 124513,
  [SMALL_STATE(7063)] = 124531,
  [SMALL_STATE(7064)] = 124549,
  [SMALL_STATE(7065)] = 124567,
  [SMALL_STATE(7066)] = 124585,
  [SMALL_STATE(7067)] = 124603,
  [SMALL_STATE(7068)] = 124617,
  [SMALL_STATE(7069)] = 124635,
  [SMALL_STATE(7070)] = 124653,
  [SMALL_STATE(7071)] = 124671,
  [SMALL_STATE(7072)] = 124689,
  [SMALL_STATE(7073)] = 124707,
  [SMALL_STATE(7074)] = 124725,
  [SMALL_STATE(7075)] = 124743,
  [SMALL_STATE(7076)] = 124761,
  [SMALL_STATE(7077)] = 124779,
  [SMALL_STATE(7078)] = 124797,
  [SMALL_STATE(7079)] = 124815,
  [SMALL_STATE(7080)] = 124833,
  [SMALL_STATE(7081)] = 124851,
  [SMALL_STATE(7082)] = 124869,
  [SMALL_STATE(7083)] = 124885,
  [SMALL_STATE(7084)] = 124903,
  [SMALL_STATE(7085)] = 124919,
  [SMALL_STATE(7086)] = 124937,
  [SMALL_STATE(7087)] = 124955,
  [SMALL_STATE(7088)] = 124973,
  [SMALL_STATE(7089)] = 124991,
  [SMALL_STATE(7090)] = 125011,
  [SMALL_STATE(7091)] = 125029,
  [SMALL_STATE(7092)] = 125047,
  [SMALL_STATE(7093)] = 125059,
  [SMALL_STATE(7094)] = 125077,
  [SMALL_STATE(7095)] = 125091,
  [SMALL_STATE(7096)] = 125109,
  [SMALL_STATE(7097)] = 125127,
  [SMALL_STATE(7098)] = 125145,
  [SMALL_STATE(7099)] = 125163,
  [SMALL_STATE(7100)] = 125181,
  [SMALL_STATE(7101)] = 125196,
  [SMALL_STATE(7102)] = 125211,
  [SMALL_STATE(7103)] = 125228,
  [SMALL_STATE(7104)] = 125243,
  [SMALL_STATE(7105)] = 125258,
  [SMALL_STATE(7106)] = 125275,
  [SMALL_STATE(7107)] = 125292,
  [SMALL_STATE(7108)] = 125309,
  [SMALL_STATE(7109)] = 125326,
  [SMALL_STATE(7110)] = 125343,
  [SMALL_STATE(7111)] = 125360,
  [SMALL_STATE(7112)] = 125377,
  [SMALL_STATE(7113)] = 125394,
  [SMALL_STATE(7114)] = 125409,
  [SMALL_STATE(7115)] = 125426,
  [SMALL_STATE(7116)] = 125441,
  [SMALL_STATE(7117)] = 125456,
  [SMALL_STATE(7118)] = 125471,
  [SMALL_STATE(7119)] = 125482,
  [SMALL_STATE(7120)] = 125495,
  [SMALL_STATE(7121)] = 125510,
  [SMALL_STATE(7122)] = 125523,
  [SMALL_STATE(7123)] = 125534,
  [SMALL_STATE(7124)] = 125551,
  [SMALL_STATE(7125)] = 125566,
  [SMALL_STATE(7126)] = 125583,
  [SMALL_STATE(7127)] = 125598,
  [SMALL_STATE(7128)] = 125613,
  [SMALL_STATE(7129)] = 125630,
  [SMALL_STATE(7130)] = 125647,
  [SMALL_STATE(7131)] = 125664,
  [SMALL_STATE(7132)] = 125679,
  [SMALL_STATE(7133)] = 125694,
  [SMALL_STATE(7134)] = 125709,
  [SMALL_STATE(7135)] = 125724,
  [SMALL_STATE(7136)] = 125741,
  [SMALL_STATE(7137)] = 125756,
  [SMALL_STATE(7138)] = 125773,
  [SMALL_STATE(7139)] = 125790,
  [SMALL_STATE(7140)] = 125807,
  [SMALL_STATE(7141)] = 125822,
  [SMALL_STATE(7142)] = 125837,
  [SMALL_STATE(7143)] = 125854,
  [SMALL_STATE(7144)] = 125871,
  [SMALL_STATE(7145)] = 125886,
  [SMALL_STATE(7146)] = 125901,
  [SMALL_STATE(7147)] = 125912,
  [SMALL_STATE(7148)] = 125927,
  [SMALL_STATE(7149)] = 125942,
  [SMALL_STATE(7150)] = 125959,
  [SMALL_STATE(7151)] = 125976,
  [SMALL_STATE(7152)] = 125993,
  [SMALL_STATE(7153)] = 126008,
  [SMALL_STATE(7154)] = 126025,
  [SMALL_STATE(7155)] = 126042,
  [SMALL_STATE(7156)] = 126057,
  [SMALL_STATE(7157)] = 126072,
  [SMALL_STATE(7158)] = 126089,
  [SMALL_STATE(7159)] = 126106,
  [SMALL_STATE(7160)] = 126121,
  [SMALL_STATE(7161)] = 126136,
  [SMALL_STATE(7162)] = 126153,
  [SMALL_STATE(7163)] = 126168,
  [SMALL_STATE(7164)] = 126183,
  [SMALL_STATE(7165)] = 126194,
  [SMALL_STATE(7166)] = 126209,
  [SMALL_STATE(7167)] = 126226,
  [SMALL_STATE(7168)] = 126241,
  [SMALL_STATE(7169)] = 126256,
  [SMALL_STATE(7170)] = 126273,
  [SMALL_STATE(7171)] = 126288,
  [SMALL_STATE(7172)] = 126305,
  [SMALL_STATE(7173)] = 126322,
  [SMALL_STATE(7174)] = 126337,
  [SMALL_STATE(7175)] = 126352,
  [SMALL_STATE(7176)] = 126367,
  [SMALL_STATE(7177)] = 126382,
  [SMALL_STATE(7178)] = 126397,
  [SMALL_STATE(7179)] = 126414,
  [SMALL_STATE(7180)] = 126429,
  [SMALL_STATE(7181)] = 126446,
  [SMALL_STATE(7182)] = 126461,
  [SMALL_STATE(7183)] = 126478,
  [SMALL_STATE(7184)] = 126493,
  [SMALL_STATE(7185)] = 126510,
  [SMALL_STATE(7186)] = 126523,
  [SMALL_STATE(7187)] = 126538,
  [SMALL_STATE(7188)] = 126555,
  [SMALL_STATE(7189)] = 126572,
  [SMALL_STATE(7190)] = 126589,
  [SMALL_STATE(7191)] = 126606,
  [SMALL_STATE(7192)] = 126623,
  [SMALL_STATE(7193)] = 126638,
  [SMALL_STATE(7194)] = 126653,
  [SMALL_STATE(7195)] = 126670,
  [SMALL_STATE(7196)] = 126685,
  [SMALL_STATE(7197)] = 126700,
  [SMALL_STATE(7198)] = 126713,
  [SMALL_STATE(7199)] = 126730,
  [SMALL_STATE(7200)] = 126747,
  [SMALL_STATE(7201)] = 126762,
  [SMALL_STATE(7202)] = 126777,
  [SMALL_STATE(7203)] = 126794,
  [SMALL_STATE(7204)] = 126809,
  [SMALL_STATE(7205)] = 126824,
  [SMALL_STATE(7206)] = 126839,
  [SMALL_STATE(7207)] = 126856,
  [SMALL_STATE(7208)] = 126871,
  [SMALL_STATE(7209)] = 126886,
  [SMALL_STATE(7210)] = 126901,
  [SMALL_STATE(7211)] = 126912,
  [SMALL_STATE(7212)] = 126929,
  [SMALL_STATE(7213)] = 126944,
  [SMALL_STATE(7214)] = 126961,
  [SMALL_STATE(7215)] = 126976,
  [SMALL_STATE(7216)] = 126993,
  [SMALL_STATE(7217)] = 127008,
  [SMALL_STATE(7218)] = 127025,
  [SMALL_STATE(7219)] = 127040,
  [SMALL_STATE(7220)] = 127053,
  [SMALL_STATE(7221)] = 127064,
  [SMALL_STATE(7222)] = 127075,
  [SMALL_STATE(7223)] = 127086,
  [SMALL_STATE(7224)] = 127101,
  [SMALL_STATE(7225)] = 127116,
  [SMALL_STATE(7226)] = 127133,
  [SMALL_STATE(7227)] = 127148,
  [SMALL_STATE(7228)] = 127163,
  [SMALL_STATE(7229)] = 127174,
  [SMALL_STATE(7230)] = 127191,
  [SMALL_STATE(7231)] = 127206,
  [SMALL_STATE(7232)] = 127223,
  [SMALL_STATE(7233)] = 127240,
  [SMALL_STATE(7234)] = 127257,
  [SMALL_STATE(7235)] = 127271,
  [SMALL_STATE(7236)] = 127283,
  [SMALL_STATE(7237)] = 127297,
  [SMALL_STATE(7238)] = 127311,
  [SMALL_STATE(7239)] = 127325,
  [SMALL_STATE(7240)] = 127337,
  [SMALL_STATE(7241)] = 127349,
  [SMALL_STATE(7242)] = 127361,
  [SMALL_STATE(7243)] = 127373,
  [SMALL_STATE(7244)] = 127387,
  [SMALL_STATE(7245)] = 127401,
  [SMALL_STATE(7246)] = 127415,
  [SMALL_STATE(7247)] = 127427,
  [SMALL_STATE(7248)] = 127441,
  [SMALL_STATE(7249)] = 127453,
  [SMALL_STATE(7250)] = 127465,
  [SMALL_STATE(7251)] = 127479,
  [SMALL_STATE(7252)] = 127491,
  [SMALL_STATE(7253)] = 127503,
  [SMALL_STATE(7254)] = 127517,
  [SMALL_STATE(7255)] = 127531,
  [SMALL_STATE(7256)] = 127543,
  [SMALL_STATE(7257)] = 127555,
  [SMALL_STATE(7258)] = 127569,
  [SMALL_STATE(7259)] = 127583,
  [SMALL_STATE(7260)] = 127597,
  [SMALL_STATE(7261)] = 127611,
  [SMALL_STATE(7262)] = 127623,
  [SMALL_STATE(7263)] = 127633,
  [SMALL_STATE(7264)] = 127645,
  [SMALL_STATE(7265)] = 127659,
  [SMALL_STATE(7266)] = 127671,
  [SMALL_STATE(7267)] = 127685,
  [SMALL_STATE(7268)] = 127699,
  [SMALL_STATE(7269)] = 127711,
  [SMALL_STATE(7270)] = 127723,
  [SMALL_STATE(7271)] = 127737,
  [SMALL_STATE(7272)] = 127749,
  [SMALL_STATE(7273)] = 127763,
  [SMALL_STATE(7274)] = 127777,
  [SMALL_STATE(7275)] = 127791,
  [SMALL_STATE(7276)] = 127803,
  [SMALL_STATE(7277)] = 127817,
  [SMALL_STATE(7278)] = 127831,
  [SMALL_STATE(7279)] = 127845,
  [SMALL_STATE(7280)] = 127857,
  [SMALL_STATE(7281)] = 127869,
  [SMALL_STATE(7282)] = 127883,
  [SMALL_STATE(7283)] = 127895,
  [SMALL_STATE(7284)] = 127905,
  [SMALL_STATE(7285)] = 127919,
  [SMALL_STATE(7286)] = 127931,
  [SMALL_STATE(7287)] = 127945,
  [SMALL_STATE(7288)] = 127957,
  [SMALL_STATE(7289)] = 127969,
  [SMALL_STATE(7290)] = 127981,
  [SMALL_STATE(7291)] = 127993,
  [SMALL_STATE(7292)] = 128005,
  [SMALL_STATE(7293)] = 128017,
  [SMALL_STATE(7294)] = 128031,
  [SMALL_STATE(7295)] = 128045,
  [SMALL_STATE(7296)] = 128059,
  [SMALL_STATE(7297)] = 128071,
  [SMALL_STATE(7298)] = 128083,
  [SMALL_STATE(7299)] = 128095,
  [SMALL_STATE(7300)] = 128109,
  [SMALL_STATE(7301)] = 128123,
  [SMALL_STATE(7302)] = 128135,
  [SMALL_STATE(7303)] = 128149,
  [SMALL_STATE(7304)] = 128163,
  [SMALL_STATE(7305)] = 128177,
  [SMALL_STATE(7306)] = 128189,
  [SMALL_STATE(7307)] = 128203,
  [SMALL_STATE(7308)] = 128215,
  [SMALL_STATE(7309)] = 128229,
  [SMALL_STATE(7310)] = 128241,
  [SMALL_STATE(7311)] = 128253,
  [SMALL_STATE(7312)] = 128265,
  [SMALL_STATE(7313)] = 128279,
  [SMALL_STATE(7314)] = 128293,
  [SMALL_STATE(7315)] = 128305,
  [SMALL_STATE(7316)] = 128317,
  [SMALL_STATE(7317)] = 128329,
  [SMALL_STATE(7318)] = 128341,
  [SMALL_STATE(7319)] = 128353,
  [SMALL_STATE(7320)] = 128367,
  [SMALL_STATE(7321)] = 128379,
  [SMALL_STATE(7322)] = 128393,
  [SMALL_STATE(7323)] = 128407,
  [SMALL_STATE(7324)] = 128421,
  [SMALL_STATE(7325)] = 128433,
  [SMALL_STATE(7326)] = 128445,
  [SMALL_STATE(7327)] = 128457,
  [SMALL_STATE(7328)] = 128469,
  [SMALL_STATE(7329)] = 128483,
  [SMALL_STATE(7330)] = 128497,
  [SMALL_STATE(7331)] = 128511,
  [SMALL_STATE(7332)] = 128523,
  [SMALL_STATE(7333)] = 128537,
  [SMALL_STATE(7334)] = 128549,
  [SMALL_STATE(7335)] = 128561,
  [SMALL_STATE(7336)] = 128575,
  [SMALL_STATE(7337)] = 128587,
  [SMALL_STATE(7338)] = 128599,
  [SMALL_STATE(7339)] = 128613,
  [SMALL_STATE(7340)] = 128627,
  [SMALL_STATE(7341)] = 128641,
  [SMALL_STATE(7342)] = 128655,
  [SMALL_STATE(7343)] = 128667,
  [SMALL_STATE(7344)] = 128679,
  [SMALL_STATE(7345)] = 128693,
  [SMALL_STATE(7346)] = 128705,
  [SMALL_STATE(7347)] = 128717,
  [SMALL_STATE(7348)] = 128731,
  [SMALL_STATE(7349)] = 128745,
  [SMALL_STATE(7350)] = 128757,
  [SMALL_STATE(7351)] = 128771,
  [SMALL_STATE(7352)] = 128783,
  [SMALL_STATE(7353)] = 128797,
  [SMALL_STATE(7354)] = 128809,
  [SMALL_STATE(7355)] = 128821,
  [SMALL_STATE(7356)] = 128835,
  [SMALL_STATE(7357)] = 128849,
  [SMALL_STATE(7358)] = 128863,
  [SMALL_STATE(7359)] = 128877,
  [SMALL_STATE(7360)] = 128891,
  [SMALL_STATE(7361)] = 128903,
  [SMALL_STATE(7362)] = 128915,
  [SMALL_STATE(7363)] = 128927,
  [SMALL_STATE(7364)] = 128939,
  [SMALL_STATE(7365)] = 128953,
  [SMALL_STATE(7366)] = 128967,
  [SMALL_STATE(7367)] = 128979,
  [SMALL_STATE(7368)] = 128991,
  [SMALL_STATE(7369)] = 129005,
  [SMALL_STATE(7370)] = 129019,
  [SMALL_STATE(7371)] = 129033,
  [SMALL_STATE(7372)] = 129047,
  [SMALL_STATE(7373)] = 129059,
  [SMALL_STATE(7374)] = 129071,
  [SMALL_STATE(7375)] = 129083,
  [SMALL_STATE(7376)] = 129095,
  [SMALL_STATE(7377)] = 129109,
  [SMALL_STATE(7378)] = 129123,
  [SMALL_STATE(7379)] = 129137,
  [SMALL_STATE(7380)] = 129151,
  [SMALL_STATE(7381)] = 129165,
  [SMALL_STATE(7382)] = 129179,
  [SMALL_STATE(7383)] = 129193,
  [SMALL_STATE(7384)] = 129205,
  [SMALL_STATE(7385)] = 129219,
  [SMALL_STATE(7386)] = 129231,
  [SMALL_STATE(7387)] = 129245,
  [SMALL_STATE(7388)] = 129257,
  [SMALL_STATE(7389)] = 129271,
  [SMALL_STATE(7390)] = 129283,
  [SMALL_STATE(7391)] = 129297,
  [SMALL_STATE(7392)] = 129311,
  [SMALL_STATE(7393)] = 129325,
  [SMALL_STATE(7394)] = 129337,
  [SMALL_STATE(7395)] = 129349,
  [SMALL_STATE(7396)] = 129361,
  [SMALL_STATE(7397)] = 129373,
  [SMALL_STATE(7398)] = 129385,
  [SMALL_STATE(7399)] = 129399,
  [SMALL_STATE(7400)] = 129411,
  [SMALL_STATE(7401)] = 129425,
  [SMALL_STATE(7402)] = 129439,
  [SMALL_STATE(7403)] = 129453,
  [SMALL_STATE(7404)] = 129465,
  [SMALL_STATE(7405)] = 129477,
  [SMALL_STATE(7406)] = 129489,
  [SMALL_STATE(7407)] = 129501,
  [SMALL_STATE(7408)] = 129515,
  [SMALL_STATE(7409)] = 129529,
  [SMALL_STATE(7410)] = 129543,
  [SMALL_STATE(7411)] = 129553,
  [SMALL_STATE(7412)] = 129565,
  [SMALL_STATE(7413)] = 129575,
  [SMALL_STATE(7414)] = 129587,
  [SMALL_STATE(7415)] = 129601,
  [SMALL_STATE(7416)] = 129613,
  [SMALL_STATE(7417)] = 129625,
  [SMALL_STATE(7418)] = 129637,
  [SMALL_STATE(7419)] = 129651,
  [SMALL_STATE(7420)] = 129665,
  [SMALL_STATE(7421)] = 129679,
  [SMALL_STATE(7422)] = 129693,
  [SMALL_STATE(7423)] = 129705,
  [SMALL_STATE(7424)] = 129719,
  [SMALL_STATE(7425)] = 129731,
  [SMALL_STATE(7426)] = 129745,
  [SMALL_STATE(7427)] = 129759,
  [SMALL_STATE(7428)] = 129771,
  [SMALL_STATE(7429)] = 129785,
  [SMALL_STATE(7430)] = 129799,
  [SMALL_STATE(7431)] = 129813,
  [SMALL_STATE(7432)] = 129827,
  [SMALL_STATE(7433)] = 129839,
  [SMALL_STATE(7434)] = 129853,
  [SMALL_STATE(7435)] = 129867,
  [SMALL_STATE(7436)] = 129881,
  [SMALL_STATE(7437)] = 129893,
  [SMALL_STATE(7438)] = 129905,
  [SMALL_STATE(7439)] = 129917,
  [SMALL_STATE(7440)] = 129931,
  [SMALL_STATE(7441)] = 129945,
  [SMALL_STATE(7442)] = 129957,
  [SMALL_STATE(7443)] = 129969,
  [SMALL_STATE(7444)] = 129983,
  [SMALL_STATE(7445)] = 129997,
  [SMALL_STATE(7446)] = 130009,
  [SMALL_STATE(7447)] = 130019,
  [SMALL_STATE(7448)] = 130031,
  [SMALL_STATE(7449)] = 130045,
  [SMALL_STATE(7450)] = 130059,
  [SMALL_STATE(7451)] = 130071,
  [SMALL_STATE(7452)] = 130083,
  [SMALL_STATE(7453)] = 130095,
  [SMALL_STATE(7454)] = 130109,
  [SMALL_STATE(7455)] = 130123,
  [SMALL_STATE(7456)] = 130137,
  [SMALL_STATE(7457)] = 130151,
  [SMALL_STATE(7458)] = 130163,
  [SMALL_STATE(7459)] = 130175,
  [SMALL_STATE(7460)] = 130187,
  [SMALL_STATE(7461)] = 130201,
  [SMALL_STATE(7462)] = 130213,
  [SMALL_STATE(7463)] = 130227,
  [SMALL_STATE(7464)] = 130239,
  [SMALL_STATE(7465)] = 130251,
  [SMALL_STATE(7466)] = 130265,
  [SMALL_STATE(7467)] = 130279,
  [SMALL_STATE(7468)] = 130293,
  [SMALL_STATE(7469)] = 130305,
  [SMALL_STATE(7470)] = 130319,
  [SMALL_STATE(7471)] = 130331,
  [SMALL_STATE(7472)] = 130345,
  [SMALL_STATE(7473)] = 130357,
  [SMALL_STATE(7474)] = 130371,
  [SMALL_STATE(7475)] = 130383,
  [SMALL_STATE(7476)] = 130395,
  [SMALL_STATE(7477)] = 130407,
  [SMALL_STATE(7478)] = 130419,
  [SMALL_STATE(7479)] = 130431,
  [SMALL_STATE(7480)] = 130445,
  [SMALL_STATE(7481)] = 130459,
  [SMALL_STATE(7482)] = 130473,
  [SMALL_STATE(7483)] = 130485,
  [SMALL_STATE(7484)] = 130497,
  [SMALL_STATE(7485)] = 130509,
  [SMALL_STATE(7486)] = 130521,
  [SMALL_STATE(7487)] = 130533,
  [SMALL_STATE(7488)] = 130547,
  [SMALL_STATE(7489)] = 130559,
  [SMALL_STATE(7490)] = 130571,
  [SMALL_STATE(7491)] = 130585,
  [SMALL_STATE(7492)] = 130597,
  [SMALL_STATE(7493)] = 130609,
  [SMALL_STATE(7494)] = 130621,
  [SMALL_STATE(7495)] = 130633,
  [SMALL_STATE(7496)] = 130647,
  [SMALL_STATE(7497)] = 130661,
  [SMALL_STATE(7498)] = 130675,
  [SMALL_STATE(7499)] = 130687,
  [SMALL_STATE(7500)] = 130699,
  [SMALL_STATE(7501)] = 130711,
  [SMALL_STATE(7502)] = 130723,
  [SMALL_STATE(7503)] = 130737,
  [SMALL_STATE(7504)] = 130751,
  [SMALL_STATE(7505)] = 130765,
  [SMALL_STATE(7506)] = 130779,
  [SMALL_STATE(7507)] = 130793,
  [SMALL_STATE(7508)] = 130805,
  [SMALL_STATE(7509)] = 130815,
  [SMALL_STATE(7510)] = 130827,
  [SMALL_STATE(7511)] = 130841,
  [SMALL_STATE(7512)] = 130853,
  [SMALL_STATE(7513)] = 130867,
  [SMALL_STATE(7514)] = 130879,
  [SMALL_STATE(7515)] = 130889,
  [SMALL_STATE(7516)] = 130901,
  [SMALL_STATE(7517)] = 130913,
  [SMALL_STATE(7518)] = 130925,
  [SMALL_STATE(7519)] = 130935,
  [SMALL_STATE(7520)] = 130949,
  [SMALL_STATE(7521)] = 130961,
  [SMALL_STATE(7522)] = 130975,
  [SMALL_STATE(7523)] = 130987,
  [SMALL_STATE(7524)] = 131001,
  [SMALL_STATE(7525)] = 131013,
  [SMALL_STATE(7526)] = 131025,
  [SMALL_STATE(7527)] = 131039,
  [SMALL_STATE(7528)] = 131053,
  [SMALL_STATE(7529)] = 131065,
  [SMALL_STATE(7530)] = 131079,
  [SMALL_STATE(7531)] = 131091,
  [SMALL_STATE(7532)] = 131105,
  [SMALL_STATE(7533)] = 131119,
  [SMALL_STATE(7534)] = 131131,
  [SMALL_STATE(7535)] = 131143,
  [SMALL_STATE(7536)] = 131155,
  [SMALL_STATE(7537)] = 131167,
  [SMALL_STATE(7538)] = 131179,
  [SMALL_STATE(7539)] = 131191,
  [SMALL_STATE(7540)] = 131205,
  [SMALL_STATE(7541)] = 131217,
  [SMALL_STATE(7542)] = 131231,
  [SMALL_STATE(7543)] = 131245,
  [SMALL_STATE(7544)] = 131257,
  [SMALL_STATE(7545)] = 131269,
  [SMALL_STATE(7546)] = 131281,
  [SMALL_STATE(7547)] = 131293,
  [SMALL_STATE(7548)] = 131305,
  [SMALL_STATE(7549)] = 131317,
  [SMALL_STATE(7550)] = 131331,
  [SMALL_STATE(7551)] = 131343,
  [SMALL_STATE(7552)] = 131357,
  [SMALL_STATE(7553)] = 131369,
  [SMALL_STATE(7554)] = 131381,
  [SMALL_STATE(7555)] = 131395,
  [SMALL_STATE(7556)] = 131407,
  [SMALL_STATE(7557)] = 131421,
  [SMALL_STATE(7558)] = 131435,
  [SMALL_STATE(7559)] = 131449,
  [SMALL_STATE(7560)] = 131461,
  [SMALL_STATE(7561)] = 131475,
  [SMALL_STATE(7562)] = 131487,
  [SMALL_STATE(7563)] = 131501,
  [SMALL_STATE(7564)] = 131513,
  [SMALL_STATE(7565)] = 131527,
  [SMALL_STATE(7566)] = 131541,
  [SMALL_STATE(7567)] = 131553,
  [SMALL_STATE(7568)] = 131567,
  [SMALL_STATE(7569)] = 131579,
  [SMALL_STATE(7570)] = 131591,
  [SMALL_STATE(7571)] = 131605,
  [SMALL_STATE(7572)] = 131619,
  [SMALL_STATE(7573)] = 131633,
  [SMALL_STATE(7574)] = 131645,
  [SMALL_STATE(7575)] = 131657,
  [SMALL_STATE(7576)] = 131669,
  [SMALL_STATE(7577)] = 131683,
  [SMALL_STATE(7578)] = 131697,
  [SMALL_STATE(7579)] = 131711,
  [SMALL_STATE(7580)] = 131723,
  [SMALL_STATE(7581)] = 131737,
  [SMALL_STATE(7582)] = 131749,
  [SMALL_STATE(7583)] = 131761,
  [SMALL_STATE(7584)] = 131773,
  [SMALL_STATE(7585)] = 131787,
  [SMALL_STATE(7586)] = 131799,
  [SMALL_STATE(7587)] = 131811,
  [SMALL_STATE(7588)] = 131825,
  [SMALL_STATE(7589)] = 131837,
  [SMALL_STATE(7590)] = 131851,
  [SMALL_STATE(7591)] = 131863,
  [SMALL_STATE(7592)] = 131875,
  [SMALL_STATE(7593)] = 131887,
  [SMALL_STATE(7594)] = 131901,
  [SMALL_STATE(7595)] = 131915,
  [SMALL_STATE(7596)] = 131929,
  [SMALL_STATE(7597)] = 131941,
  [SMALL_STATE(7598)] = 131953,
  [SMALL_STATE(7599)] = 131965,
  [SMALL_STATE(7600)] = 131977,
  [SMALL_STATE(7601)] = 131989,
  [SMALL_STATE(7602)] = 132003,
  [SMALL_STATE(7603)] = 132017,
  [SMALL_STATE(7604)] = 132029,
  [SMALL_STATE(7605)] = 132043,
  [SMALL_STATE(7606)] = 132055,
  [SMALL_STATE(7607)] = 132069,
  [SMALL_STATE(7608)] = 132081,
  [SMALL_STATE(7609)] = 132093,
  [SMALL_STATE(7610)] = 132105,
  [SMALL_STATE(7611)] = 132119,
  [SMALL_STATE(7612)] = 132133,
  [SMALL_STATE(7613)] = 132145,
  [SMALL_STATE(7614)] = 132159,
  [SMALL_STATE(7615)] = 132171,
  [SMALL_STATE(7616)] = 132185,
  [SMALL_STATE(7617)] = 132199,
  [SMALL_STATE(7618)] = 132213,
  [SMALL_STATE(7619)] = 132227,
  [SMALL_STATE(7620)] = 132241,
  [SMALL_STATE(7621)] = 132255,
  [SMALL_STATE(7622)] = 132267,
  [SMALL_STATE(7623)] = 132281,
  [SMALL_STATE(7624)] = 132295,
  [SMALL_STATE(7625)] = 132307,
  [SMALL_STATE(7626)] = 132319,
  [SMALL_STATE(7627)] = 132331,
  [SMALL_STATE(7628)] = 132343,
  [SMALL_STATE(7629)] = 132355,
  [SMALL_STATE(7630)] = 132369,
  [SMALL_STATE(7631)] = 132381,
  [SMALL_STATE(7632)] = 132391,
  [SMALL_STATE(7633)] = 132405,
  [SMALL_STATE(7634)] = 132417,
  [SMALL_STATE(7635)] = 132431,
  [SMALL_STATE(7636)] = 132443,
  [SMALL_STATE(7637)] = 132457,
  [SMALL_STATE(7638)] = 132469,
  [SMALL_STATE(7639)] = 132483,
  [SMALL_STATE(7640)] = 132495,
  [SMALL_STATE(7641)] = 132509,
  [SMALL_STATE(7642)] = 132521,
  [SMALL_STATE(7643)] = 132533,
  [SMALL_STATE(7644)] = 132545,
  [SMALL_STATE(7645)] = 132559,
  [SMALL_STATE(7646)] = 132573,
  [SMALL_STATE(7647)] = 132583,
  [SMALL_STATE(7648)] = 132597,
  [SMALL_STATE(7649)] = 132609,
  [SMALL_STATE(7650)] = 132621,
  [SMALL_STATE(7651)] = 132633,
  [SMALL_STATE(7652)] = 132647,
  [SMALL_STATE(7653)] = 132659,
  [SMALL_STATE(7654)] = 132671,
  [SMALL_STATE(7655)] = 132685,
  [SMALL_STATE(7656)] = 132697,
  [SMALL_STATE(7657)] = 132709,
  [SMALL_STATE(7658)] = 132721,
  [SMALL_STATE(7659)] = 132733,
  [SMALL_STATE(7660)] = 132745,
  [SMALL_STATE(7661)] = 132759,
  [SMALL_STATE(7662)] = 132771,
  [SMALL_STATE(7663)] = 132785,
  [SMALL_STATE(7664)] = 132799,
  [SMALL_STATE(7665)] = 132813,
  [SMALL_STATE(7666)] = 132827,
  [SMALL_STATE(7667)] = 132839,
  [SMALL_STATE(7668)] = 132851,
  [SMALL_STATE(7669)] = 132861,
  [SMALL_STATE(7670)] = 132873,
  [SMALL_STATE(7671)] = 132885,
  [SMALL_STATE(7672)] = 132899,
  [SMALL_STATE(7673)] = 132913,
  [SMALL_STATE(7674)] = 132927,
  [SMALL_STATE(7675)] = 132939,
  [SMALL_STATE(7676)] = 132953,
  [SMALL_STATE(7677)] = 132967,
  [SMALL_STATE(7678)] = 132979,
  [SMALL_STATE(7679)] = 132991,
  [SMALL_STATE(7680)] = 133005,
  [SMALL_STATE(7681)] = 133017,
  [SMALL_STATE(7682)] = 133031,
  [SMALL_STATE(7683)] = 133043,
  [SMALL_STATE(7684)] = 133057,
  [SMALL_STATE(7685)] = 133069,
  [SMALL_STATE(7686)] = 133081,
  [SMALL_STATE(7687)] = 133093,
  [SMALL_STATE(7688)] = 133107,
  [SMALL_STATE(7689)] = 133119,
  [SMALL_STATE(7690)] = 133131,
  [SMALL_STATE(7691)] = 133143,
  [SMALL_STATE(7692)] = 133157,
  [SMALL_STATE(7693)] = 133169,
  [SMALL_STATE(7694)] = 133181,
  [SMALL_STATE(7695)] = 133193,
  [SMALL_STATE(7696)] = 133207,
  [SMALL_STATE(7697)] = 133221,
  [SMALL_STATE(7698)] = 133233,
  [SMALL_STATE(7699)] = 133247,
  [SMALL_STATE(7700)] = 133259,
  [SMALL_STATE(7701)] = 133271,
  [SMALL_STATE(7702)] = 133283,
  [SMALL_STATE(7703)] = 133295,
  [SMALL_STATE(7704)] = 133309,
  [SMALL_STATE(7705)] = 133321,
  [SMALL_STATE(7706)] = 133333,
  [SMALL_STATE(7707)] = 133347,
  [SMALL_STATE(7708)] = 133361,
  [SMALL_STATE(7709)] = 133375,
  [SMALL_STATE(7710)] = 133387,
  [SMALL_STATE(7711)] = 133399,
  [SMALL_STATE(7712)] = 133413,
  [SMALL_STATE(7713)] = 133427,
  [SMALL_STATE(7714)] = 133441,
  [SMALL_STATE(7715)] = 133453,
  [SMALL_STATE(7716)] = 133467,
  [SMALL_STATE(7717)] = 133479,
  [SMALL_STATE(7718)] = 133491,
  [SMALL_STATE(7719)] = 133505,
  [SMALL_STATE(7720)] = 133519,
  [SMALL_STATE(7721)] = 133529,
  [SMALL_STATE(7722)] = 133543,
  [SMALL_STATE(7723)] = 133557,
  [SMALL_STATE(7724)] = 133571,
  [SMALL_STATE(7725)] = 133583,
  [SMALL_STATE(7726)] = 133597,
  [SMALL_STATE(7727)] = 133609,
  [SMALL_STATE(7728)] = 133621,
  [SMALL_STATE(7729)] = 133635,
  [SMALL_STATE(7730)] = 133647,
  [SMALL_STATE(7731)] = 133661,
  [SMALL_STATE(7732)] = 133673,
  [SMALL_STATE(7733)] = 133687,
  [SMALL_STATE(7734)] = 133699,
  [SMALL_STATE(7735)] = 133711,
  [SMALL_STATE(7736)] = 133725,
  [SMALL_STATE(7737)] = 133739,
  [SMALL_STATE(7738)] = 133751,
  [SMALL_STATE(7739)] = 133763,
  [SMALL_STATE(7740)] = 133775,
  [SMALL_STATE(7741)] = 133789,
  [SMALL_STATE(7742)] = 133801,
  [SMALL_STATE(7743)] = 133815,
  [SMALL_STATE(7744)] = 133827,
  [SMALL_STATE(7745)] = 133841,
  [SMALL_STATE(7746)] = 133853,
  [SMALL_STATE(7747)] = 133865,
  [SMALL_STATE(7748)] = 133877,
  [SMALL_STATE(7749)] = 133891,
  [SMALL_STATE(7750)] = 133903,
  [SMALL_STATE(7751)] = 133917,
  [SMALL_STATE(7752)] = 133929,
  [SMALL_STATE(7753)] = 133941,
  [SMALL_STATE(7754)] = 133955,
  [SMALL_STATE(7755)] = 133967,
  [SMALL_STATE(7756)] = 133979,
  [SMALL_STATE(7757)] = 133991,
  [SMALL_STATE(7758)] = 134003,
  [SMALL_STATE(7759)] = 134017,
  [SMALL_STATE(7760)] = 134029,
  [SMALL_STATE(7761)] = 134041,
  [SMALL_STATE(7762)] = 134053,
  [SMALL_STATE(7763)] = 134067,
  [SMALL_STATE(7764)] = 134079,
  [SMALL_STATE(7765)] = 134093,
  [SMALL_STATE(7766)] = 134107,
  [SMALL_STATE(7767)] = 134119,
  [SMALL_STATE(7768)] = 134131,
  [SMALL_STATE(7769)] = 134141,
  [SMALL_STATE(7770)] = 134155,
  [SMALL_STATE(7771)] = 134165,
  [SMALL_STATE(7772)] = 134177,
  [SMALL_STATE(7773)] = 134189,
  [SMALL_STATE(7774)] = 134199,
  [SMALL_STATE(7775)] = 134211,
  [SMALL_STATE(7776)] = 134223,
  [SMALL_STATE(7777)] = 134235,
  [SMALL_STATE(7778)] = 134247,
  [SMALL_STATE(7779)] = 134261,
  [SMALL_STATE(7780)] = 134273,
  [SMALL_STATE(7781)] = 134287,
  [SMALL_STATE(7782)] = 134299,
  [SMALL_STATE(7783)] = 134313,
  [SMALL_STATE(7784)] = 134327,
  [SMALL_STATE(7785)] = 134339,
  [SMALL_STATE(7786)] = 134351,
  [SMALL_STATE(7787)] = 134365,
  [SMALL_STATE(7788)] = 134377,
  [SMALL_STATE(7789)] = 134391,
  [SMALL_STATE(7790)] = 134403,
  [SMALL_STATE(7791)] = 134415,
  [SMALL_STATE(7792)] = 134429,
  [SMALL_STATE(7793)] = 134441,
  [SMALL_STATE(7794)] = 134455,
  [SMALL_STATE(7795)] = 134467,
  [SMALL_STATE(7796)] = 134479,
  [SMALL_STATE(7797)] = 134493,
  [SMALL_STATE(7798)] = 134505,
  [SMALL_STATE(7799)] = 134517,
  [SMALL_STATE(7800)] = 134531,
  [SMALL_STATE(7801)] = 134545,
  [SMALL_STATE(7802)] = 134559,
  [SMALL_STATE(7803)] = 134573,
  [SMALL_STATE(7804)] = 134585,
  [SMALL_STATE(7805)] = 134597,
  [SMALL_STATE(7806)] = 134611,
  [SMALL_STATE(7807)] = 134623,
  [SMALL_STATE(7808)] = 134635,
  [SMALL_STATE(7809)] = 134649,
  [SMALL_STATE(7810)] = 134663,
  [SMALL_STATE(7811)] = 134677,
  [SMALL_STATE(7812)] = 134689,
  [SMALL_STATE(7813)] = 134701,
  [SMALL_STATE(7814)] = 134715,
  [SMALL_STATE(7815)] = 134727,
  [SMALL_STATE(7816)] = 134739,
  [SMALL_STATE(7817)] = 134751,
  [SMALL_STATE(7818)] = 134763,
  [SMALL_STATE(7819)] = 134775,
  [SMALL_STATE(7820)] = 134789,
  [SMALL_STATE(7821)] = 134801,
  [SMALL_STATE(7822)] = 134815,
  [SMALL_STATE(7823)] = 134829,
  [SMALL_STATE(7824)] = 134841,
  [SMALL_STATE(7825)] = 134853,
  [SMALL_STATE(7826)] = 134867,
  [SMALL_STATE(7827)] = 134881,
  [SMALL_STATE(7828)] = 134893,
  [SMALL_STATE(7829)] = 134907,
  [SMALL_STATE(7830)] = 134917,
  [SMALL_STATE(7831)] = 134931,
  [SMALL_STATE(7832)] = 134945,
  [SMALL_STATE(7833)] = 134959,
  [SMALL_STATE(7834)] = 134971,
  [SMALL_STATE(7835)] = 134983,
  [SMALL_STATE(7836)] = 134995,
  [SMALL_STATE(7837)] = 135009,
  [SMALL_STATE(7838)] = 135021,
  [SMALL_STATE(7839)] = 135033,
  [SMALL_STATE(7840)] = 135045,
  [SMALL_STATE(7841)] = 135059,
  [SMALL_STATE(7842)] = 135073,
  [SMALL_STATE(7843)] = 135085,
  [SMALL_STATE(7844)] = 135097,
  [SMALL_STATE(7845)] = 135109,
  [SMALL_STATE(7846)] = 135121,
  [SMALL_STATE(7847)] = 135135,
  [SMALL_STATE(7848)] = 135147,
  [SMALL_STATE(7849)] = 135159,
  [SMALL_STATE(7850)] = 135173,
  [SMALL_STATE(7851)] = 135185,
  [SMALL_STATE(7852)] = 135197,
  [SMALL_STATE(7853)] = 135211,
  [SMALL_STATE(7854)] = 135223,
  [SMALL_STATE(7855)] = 135237,
  [SMALL_STATE(7856)] = 135249,
  [SMALL_STATE(7857)] = 135263,
  [SMALL_STATE(7858)] = 135275,
  [SMALL_STATE(7859)] = 135289,
  [SMALL_STATE(7860)] = 135301,
  [SMALL_STATE(7861)] = 135315,
  [SMALL_STATE(7862)] = 135327,
  [SMALL_STATE(7863)] = 135341,
  [SMALL_STATE(7864)] = 135353,
  [SMALL_STATE(7865)] = 135367,
  [SMALL_STATE(7866)] = 135379,
  [SMALL_STATE(7867)] = 135393,
  [SMALL_STATE(7868)] = 135405,
  [SMALL_STATE(7869)] = 135417,
  [SMALL_STATE(7870)] = 135431,
  [SMALL_STATE(7871)] = 135445,
  [SMALL_STATE(7872)] = 135457,
  [SMALL_STATE(7873)] = 135471,
  [SMALL_STATE(7874)] = 135483,
  [SMALL_STATE(7875)] = 135497,
  [SMALL_STATE(7876)] = 135509,
  [SMALL_STATE(7877)] = 135521,
  [SMALL_STATE(7878)] = 135535,
  [SMALL_STATE(7879)] = 135547,
  [SMALL_STATE(7880)] = 135559,
  [SMALL_STATE(7881)] = 135573,
  [SMALL_STATE(7882)] = 135587,
  [SMALL_STATE(7883)] = 135599,
  [SMALL_STATE(7884)] = 135613,
  [SMALL_STATE(7885)] = 135625,
  [SMALL_STATE(7886)] = 135639,
  [SMALL_STATE(7887)] = 135651,
  [SMALL_STATE(7888)] = 135665,
  [SMALL_STATE(7889)] = 135677,
  [SMALL_STATE(7890)] = 135691,
  [SMALL_STATE(7891)] = 135705,
  [SMALL_STATE(7892)] = 135717,
  [SMALL_STATE(7893)] = 135731,
  [SMALL_STATE(7894)] = 135743,
  [SMALL_STATE(7895)] = 135757,
  [SMALL_STATE(7896)] = 135769,
  [SMALL_STATE(7897)] = 135781,
  [SMALL_STATE(7898)] = 135795,
  [SMALL_STATE(7899)] = 135807,
  [SMALL_STATE(7900)] = 135819,
  [SMALL_STATE(7901)] = 135833,
  [SMALL_STATE(7902)] = 135845,
  [SMALL_STATE(7903)] = 135859,
  [SMALL_STATE(7904)] = 135871,
  [SMALL_STATE(7905)] = 135885,
  [SMALL_STATE(7906)] = 135897,
  [SMALL_STATE(7907)] = 135911,
  [SMALL_STATE(7908)] = 135923,
  [SMALL_STATE(7909)] = 135937,
  [SMALL_STATE(7910)] = 135949,
  [SMALL_STATE(7911)] = 135963,
  [SMALL_STATE(7912)] = 135975,
  [SMALL_STATE(7913)] = 135989,
  [SMALL_STATE(7914)] = 136003,
  [SMALL_STATE(7915)] = 136017,
  [SMALL_STATE(7916)] = 136031,
  [SMALL_STATE(7917)] = 136045,
  [SMALL_STATE(7918)] = 136059,
  [SMALL_STATE(7919)] = 136069,
  [SMALL_STATE(7920)] = 136081,
  [SMALL_STATE(7921)] = 136095,
  [SMALL_STATE(7922)] = 136109,
  [SMALL_STATE(7923)] = 136119,
  [SMALL_STATE(7924)] = 136133,
  [SMALL_STATE(7925)] = 136147,
  [SMALL_STATE(7926)] = 136161,
  [SMALL_STATE(7927)] = 136173,
  [SMALL_STATE(7928)] = 136185,
  [SMALL_STATE(7929)] = 136199,
  [SMALL_STATE(7930)] = 136211,
  [SMALL_STATE(7931)] = 136225,
  [SMALL_STATE(7932)] = 136237,
  [SMALL_STATE(7933)] = 136251,
  [SMALL_STATE(7934)] = 136263,
  [SMALL_STATE(7935)] = 136277,
  [SMALL_STATE(7936)] = 136289,
  [SMALL_STATE(7937)] = 136303,
  [SMALL_STATE(7938)] = 136315,
  [SMALL_STATE(7939)] = 136327,
  [SMALL_STATE(7940)] = 136341,
  [SMALL_STATE(7941)] = 136353,
  [SMALL_STATE(7942)] = 136365,
  [SMALL_STATE(7943)] = 136377,
  [SMALL_STATE(7944)] = 136391,
  [SMALL_STATE(7945)] = 136403,
  [SMALL_STATE(7946)] = 136415,
  [SMALL_STATE(7947)] = 136429,
  [SMALL_STATE(7948)] = 136441,
  [SMALL_STATE(7949)] = 136451,
  [SMALL_STATE(7950)] = 136463,
  [SMALL_STATE(7951)] = 136473,
  [SMALL_STATE(7952)] = 136485,
  [SMALL_STATE(7953)] = 136499,
  [SMALL_STATE(7954)] = 136513,
  [SMALL_STATE(7955)] = 136527,
  [SMALL_STATE(7956)] = 136541,
  [SMALL_STATE(7957)] = 136551,
  [SMALL_STATE(7958)] = 136563,
  [SMALL_STATE(7959)] = 136577,
  [SMALL_STATE(7960)] = 136589,
  [SMALL_STATE(7961)] = 136603,
  [SMALL_STATE(7962)] = 136617,
  [SMALL_STATE(7963)] = 136631,
  [SMALL_STATE(7964)] = 136645,
  [SMALL_STATE(7965)] = 136657,
  [SMALL_STATE(7966)] = 136669,
  [SMALL_STATE(7967)] = 136681,
  [SMALL_STATE(7968)] = 136695,
  [SMALL_STATE(7969)] = 136709,
  [SMALL_STATE(7970)] = 136721,
  [SMALL_STATE(7971)] = 136735,
  [SMALL_STATE(7972)] = 136747,
  [SMALL_STATE(7973)] = 136759,
  [SMALL_STATE(7974)] = 136773,
  [SMALL_STATE(7975)] = 136787,
  [SMALL_STATE(7976)] = 136799,
  [SMALL_STATE(7977)] = 136813,
  [SMALL_STATE(7978)] = 136827,
  [SMALL_STATE(7979)] = 136837,
  [SMALL_STATE(7980)] = 136851,
  [SMALL_STATE(7981)] = 136865,
  [SMALL_STATE(7982)] = 136877,
  [SMALL_STATE(7983)] = 136891,
  [SMALL_STATE(7984)] = 136903,
  [SMALL_STATE(7985)] = 136917,
  [SMALL_STATE(7986)] = 136931,
  [SMALL_STATE(7987)] = 136945,
  [SMALL_STATE(7988)] = 136959,
  [SMALL_STATE(7989)] = 136973,
  [SMALL_STATE(7990)] = 136987,
  [SMALL_STATE(7991)] = 136999,
  [SMALL_STATE(7992)] = 137011,
  [SMALL_STATE(7993)] = 137025,
  [SMALL_STATE(7994)] = 137037,
  [SMALL_STATE(7995)] = 137051,
  [SMALL_STATE(7996)] = 137063,
  [SMALL_STATE(7997)] = 137077,
  [SMALL_STATE(7998)] = 137089,
  [SMALL_STATE(7999)] = 137103,
  [SMALL_STATE(8000)] = 137117,
  [SMALL_STATE(8001)] = 137131,
  [SMALL_STATE(8002)] = 137145,
  [SMALL_STATE(8003)] = 137157,
  [SMALL_STATE(8004)] = 137171,
  [SMALL_STATE(8005)] = 137181,
  [SMALL_STATE(8006)] = 137195,
  [SMALL_STATE(8007)] = 137205,
  [SMALL_STATE(8008)] = 137219,
  [SMALL_STATE(8009)] = 137231,
  [SMALL_STATE(8010)] = 137245,
  [SMALL_STATE(8011)] = 137259,
  [SMALL_STATE(8012)] = 137269,
  [SMALL_STATE(8013)] = 137283,
  [SMALL_STATE(8014)] = 137295,
  [SMALL_STATE(8015)] = 137307,
  [SMALL_STATE(8016)] = 137321,
  [SMALL_STATE(8017)] = 137335,
  [SMALL_STATE(8018)] = 137345,
  [SMALL_STATE(8019)] = 137359,
  [SMALL_STATE(8020)] = 137371,
  [SMALL_STATE(8021)] = 137385,
  [SMALL_STATE(8022)] = 137399,
  [SMALL_STATE(8023)] = 137413,
  [SMALL_STATE(8024)] = 137427,
  [SMALL_STATE(8025)] = 137439,
  [SMALL_STATE(8026)] = 137453,
  [SMALL_STATE(8027)] = 137467,
  [SMALL_STATE(8028)] = 137481,
  [SMALL_STATE(8029)] = 137493,
  [SMALL_STATE(8030)] = 137507,
  [SMALL_STATE(8031)] = 137521,
  [SMALL_STATE(8032)] = 137533,
  [SMALL_STATE(8033)] = 137547,
  [SMALL_STATE(8034)] = 137561,
  [SMALL_STATE(8035)] = 137575,
  [SMALL_STATE(8036)] = 137587,
  [SMALL_STATE(8037)] = 137601,
  [SMALL_STATE(8038)] = 137613,
  [SMALL_STATE(8039)] = 137627,
  [SMALL_STATE(8040)] = 137641,
  [SMALL_STATE(8041)] = 137655,
  [SMALL_STATE(8042)] = 137669,
  [SMALL_STATE(8043)] = 137679,
  [SMALL_STATE(8044)] = 137691,
  [SMALL_STATE(8045)] = 137703,
  [SMALL_STATE(8046)] = 137717,
  [SMALL_STATE(8047)] = 137729,
  [SMALL_STATE(8048)] = 137743,
  [SMALL_STATE(8049)] = 137757,
  [SMALL_STATE(8050)] = 137767,
  [SMALL_STATE(8051)] = 137781,
  [SMALL_STATE(8052)] = 137795,
  [SMALL_STATE(8053)] = 137807,
  [SMALL_STATE(8054)] = 137821,
  [SMALL_STATE(8055)] = 137833,
  [SMALL_STATE(8056)] = 137847,
  [SMALL_STATE(8057)] = 137859,
  [SMALL_STATE(8058)] = 137873,
  [SMALL_STATE(8059)] = 137885,
  [SMALL_STATE(8060)] = 137897,
  [SMALL_STATE(8061)] = 137911,
  [SMALL_STATE(8062)] = 137923,
  [SMALL_STATE(8063)] = 137935,
  [SMALL_STATE(8064)] = 137949,
  [SMALL_STATE(8065)] = 137961,
  [SMALL_STATE(8066)] = 137973,
  [SMALL_STATE(8067)] = 137987,
  [SMALL_STATE(8068)] = 137999,
  [SMALL_STATE(8069)] = 138011,
  [SMALL_STATE(8070)] = 138023,
  [SMALL_STATE(8071)] = 138037,
  [SMALL_STATE(8072)] = 138049,
  [SMALL_STATE(8073)] = 138063,
  [SMALL_STATE(8074)] = 138075,
  [SMALL_STATE(8075)] = 138089,
  [SMALL_STATE(8076)] = 138101,
  [SMALL_STATE(8077)] = 138113,
  [SMALL_STATE(8078)] = 138125,
  [SMALL_STATE(8079)] = 138139,
  [SMALL_STATE(8080)] = 138153,
  [SMALL_STATE(8081)] = 138167,
  [SMALL_STATE(8082)] = 138181,
  [SMALL_STATE(8083)] = 138195,
  [SMALL_STATE(8084)] = 138207,
  [SMALL_STATE(8085)] = 138221,
  [SMALL_STATE(8086)] = 138233,
  [SMALL_STATE(8087)] = 138245,
  [SMALL_STATE(8088)] = 138257,
  [SMALL_STATE(8089)] = 138269,
  [SMALL_STATE(8090)] = 138281,
  [SMALL_STATE(8091)] = 138295,
  [SMALL_STATE(8092)] = 138309,
  [SMALL_STATE(8093)] = 138323,
  [SMALL_STATE(8094)] = 138337,
  [SMALL_STATE(8095)] = 138351,
  [SMALL_STATE(8096)] = 138363,
  [SMALL_STATE(8097)] = 138377,
  [SMALL_STATE(8098)] = 138391,
  [SMALL_STATE(8099)] = 138405,
  [SMALL_STATE(8100)] = 138419,
  [SMALL_STATE(8101)] = 138431,
  [SMALL_STATE(8102)] = 138445,
  [SMALL_STATE(8103)] = 138457,
  [SMALL_STATE(8104)] = 138471,
  [SMALL_STATE(8105)] = 138485,
  [SMALL_STATE(8106)] = 138497,
  [SMALL_STATE(8107)] = 138511,
  [SMALL_STATE(8108)] = 138523,
  [SMALL_STATE(8109)] = 138537,
  [SMALL_STATE(8110)] = 138549,
  [SMALL_STATE(8111)] = 138563,
  [SMALL_STATE(8112)] = 138573,
  [SMALL_STATE(8113)] = 138583,
  [SMALL_STATE(8114)] = 138595,
  [SMALL_STATE(8115)] = 138607,
  [SMALL_STATE(8116)] = 138621,
  [SMALL_STATE(8117)] = 138635,
  [SMALL_STATE(8118)] = 138647,
  [SMALL_STATE(8119)] = 138659,
  [SMALL_STATE(8120)] = 138673,
  [SMALL_STATE(8121)] = 138687,
  [SMALL_STATE(8122)] = 138701,
  [SMALL_STATE(8123)] = 138715,
  [SMALL_STATE(8124)] = 138729,
  [SMALL_STATE(8125)] = 138743,
  [SMALL_STATE(8126)] = 138757,
  [SMALL_STATE(8127)] = 138769,
  [SMALL_STATE(8128)] = 138783,
  [SMALL_STATE(8129)] = 138797,
  [SMALL_STATE(8130)] = 138806,
  [SMALL_STATE(8131)] = 138815,
  [SMALL_STATE(8132)] = 138824,
  [SMALL_STATE(8133)] = 138833,
  [SMALL_STATE(8134)] = 138842,
  [SMALL_STATE(8135)] = 138851,
  [SMALL_STATE(8136)] = 138862,
  [SMALL_STATE(8137)] = 138871,
  [SMALL_STATE(8138)] = 138880,
  [SMALL_STATE(8139)] = 138891,
  [SMALL_STATE(8140)] = 138900,
  [SMALL_STATE(8141)] = 138911,
  [SMALL_STATE(8142)] = 138922,
  [SMALL_STATE(8143)] = 138933,
  [SMALL_STATE(8144)] = 138944,
  [SMALL_STATE(8145)] = 138955,
  [SMALL_STATE(8146)] = 138964,
  [SMALL_STATE(8147)] = 138973,
  [SMALL_STATE(8148)] = 138984,
  [SMALL_STATE(8149)] = 138993,
  [SMALL_STATE(8150)] = 139002,
  [SMALL_STATE(8151)] = 139011,
  [SMALL_STATE(8152)] = 139020,
  [SMALL_STATE(8153)] = 139029,
  [SMALL_STATE(8154)] = 139038,
  [SMALL_STATE(8155)] = 139047,
  [SMALL_STATE(8156)] = 139056,
  [SMALL_STATE(8157)] = 139067,
  [SMALL_STATE(8158)] = 139076,
  [SMALL_STATE(8159)] = 139085,
  [SMALL_STATE(8160)] = 139096,
  [SMALL_STATE(8161)] = 139105,
  [SMALL_STATE(8162)] = 139116,
  [SMALL_STATE(8163)] = 139125,
  [SMALL_STATE(8164)] = 139136,
  [SMALL_STATE(8165)] = 139145,
  [SMALL_STATE(8166)] = 139154,
  [SMALL_STATE(8167)] = 139163,
  [SMALL_STATE(8168)] = 139172,
  [SMALL_STATE(8169)] = 139181,
  [SMALL_STATE(8170)] = 139190,
  [SMALL_STATE(8171)] = 139199,
  [SMALL_STATE(8172)] = 139208,
  [SMALL_STATE(8173)] = 139217,
  [SMALL_STATE(8174)] = 139226,
  [SMALL_STATE(8175)] = 139235,
  [SMALL_STATE(8176)] = 139244,
  [SMALL_STATE(8177)] = 139255,
  [SMALL_STATE(8178)] = 139264,
  [SMALL_STATE(8179)] = 139275,
  [SMALL_STATE(8180)] = 139284,
  [SMALL_STATE(8181)] = 139295,
  [SMALL_STATE(8182)] = 139304,
  [SMALL_STATE(8183)] = 139313,
  [SMALL_STATE(8184)] = 139322,
  [SMALL_STATE(8185)] = 139331,
  [SMALL_STATE(8186)] = 139342,
  [SMALL_STATE(8187)] = 139351,
  [SMALL_STATE(8188)] = 139360,
  [SMALL_STATE(8189)] = 139371,
  [SMALL_STATE(8190)] = 139382,
  [SMALL_STATE(8191)] = 139391,
  [SMALL_STATE(8192)] = 139402,
  [SMALL_STATE(8193)] = 139411,
  [SMALL_STATE(8194)] = 139420,
  [SMALL_STATE(8195)] = 139431,
  [SMALL_STATE(8196)] = 139442,
  [SMALL_STATE(8197)] = 139451,
  [SMALL_STATE(8198)] = 139460,
  [SMALL_STATE(8199)] = 139471,
  [SMALL_STATE(8200)] = 139480,
  [SMALL_STATE(8201)] = 139491,
  [SMALL_STATE(8202)] = 139500,
  [SMALL_STATE(8203)] = 139509,
  [SMALL_STATE(8204)] = 139520,
  [SMALL_STATE(8205)] = 139531,
  [SMALL_STATE(8206)] = 139540,
  [SMALL_STATE(8207)] = 139549,
  [SMALL_STATE(8208)] = 139560,
  [SMALL_STATE(8209)] = 139569,
  [SMALL_STATE(8210)] = 139580,
  [SMALL_STATE(8211)] = 139589,
  [SMALL_STATE(8212)] = 139598,
  [SMALL_STATE(8213)] = 139609,
  [SMALL_STATE(8214)] = 139620,
  [SMALL_STATE(8215)] = 139631,
  [SMALL_STATE(8216)] = 139640,
  [SMALL_STATE(8217)] = 139651,
  [SMALL_STATE(8218)] = 139660,
  [SMALL_STATE(8219)] = 139669,
  [SMALL_STATE(8220)] = 139678,
  [SMALL_STATE(8221)] = 139687,
  [SMALL_STATE(8222)] = 139696,
  [SMALL_STATE(8223)] = 139707,
  [SMALL_STATE(8224)] = 139716,
  [SMALL_STATE(8225)] = 139727,
  [SMALL_STATE(8226)] = 139736,
  [SMALL_STATE(8227)] = 139745,
  [SMALL_STATE(8228)] = 139756,
  [SMALL_STATE(8229)] = 139767,
  [SMALL_STATE(8230)] = 139778,
  [SMALL_STATE(8231)] = 139789,
  [SMALL_STATE(8232)] = 139800,
  [SMALL_STATE(8233)] = 139809,
  [SMALL_STATE(8234)] = 139820,
  [SMALL_STATE(8235)] = 139829,
  [SMALL_STATE(8236)] = 139838,
  [SMALL_STATE(8237)] = 139847,
  [SMALL_STATE(8238)] = 139858,
  [SMALL_STATE(8239)] = 139867,
  [SMALL_STATE(8240)] = 139878,
  [SMALL_STATE(8241)] = 139889,
  [SMALL_STATE(8242)] = 139898,
  [SMALL_STATE(8243)] = 139907,
  [SMALL_STATE(8244)] = 139916,
  [SMALL_STATE(8245)] = 139925,
  [SMALL_STATE(8246)] = 139936,
  [SMALL_STATE(8247)] = 139945,
  [SMALL_STATE(8248)] = 139956,
  [SMALL_STATE(8249)] = 139965,
  [SMALL_STATE(8250)] = 139976,
  [SMALL_STATE(8251)] = 139987,
  [SMALL_STATE(8252)] = 139998,
  [SMALL_STATE(8253)] = 140007,
  [SMALL_STATE(8254)] = 140016,
  [SMALL_STATE(8255)] = 140027,
  [SMALL_STATE(8256)] = 140038,
  [SMALL_STATE(8257)] = 140049,
  [SMALL_STATE(8258)] = 140060,
  [SMALL_STATE(8259)] = 140071,
  [SMALL_STATE(8260)] = 140082,
  [SMALL_STATE(8261)] = 140093,
  [SMALL_STATE(8262)] = 140102,
  [SMALL_STATE(8263)] = 140113,
  [SMALL_STATE(8264)] = 140124,
  [SMALL_STATE(8265)] = 140135,
  [SMALL_STATE(8266)] = 140146,
  [SMALL_STATE(8267)] = 140157,
  [SMALL_STATE(8268)] = 140168,
  [SMALL_STATE(8269)] = 140179,
  [SMALL_STATE(8270)] = 140188,
  [SMALL_STATE(8271)] = 140199,
  [SMALL_STATE(8272)] = 140210,
  [SMALL_STATE(8273)] = 140221,
  [SMALL_STATE(8274)] = 140232,
  [SMALL_STATE(8275)] = 140243,
  [SMALL_STATE(8276)] = 140252,
  [SMALL_STATE(8277)] = 140263,
  [SMALL_STATE(8278)] = 140274,
  [SMALL_STATE(8279)] = 140285,
  [SMALL_STATE(8280)] = 140294,
  [SMALL_STATE(8281)] = 140305,
  [SMALL_STATE(8282)] = 140314,
  [SMALL_STATE(8283)] = 140325,
  [SMALL_STATE(8284)] = 140336,
  [SMALL_STATE(8285)] = 140347,
  [SMALL_STATE(8286)] = 140356,
  [SMALL_STATE(8287)] = 140367,
  [SMALL_STATE(8288)] = 140376,
  [SMALL_STATE(8289)] = 140387,
  [SMALL_STATE(8290)] = 140396,
  [SMALL_STATE(8291)] = 140407,
  [SMALL_STATE(8292)] = 140416,
  [SMALL_STATE(8293)] = 140427,
  [SMALL_STATE(8294)] = 140436,
  [SMALL_STATE(8295)] = 140447,
  [SMALL_STATE(8296)] = 140456,
  [SMALL_STATE(8297)] = 140467,
  [SMALL_STATE(8298)] = 140476,
  [SMALL_STATE(8299)] = 140487,
  [SMALL_STATE(8300)] = 140498,
  [SMALL_STATE(8301)] = 140507,
  [SMALL_STATE(8302)] = 140518,
  [SMALL_STATE(8303)] = 140529,
  [SMALL_STATE(8304)] = 140540,
  [SMALL_STATE(8305)] = 140551,
  [SMALL_STATE(8306)] = 140562,
  [SMALL_STATE(8307)] = 140573,
  [SMALL_STATE(8308)] = 140584,
  [SMALL_STATE(8309)] = 140595,
  [SMALL_STATE(8310)] = 140606,
  [SMALL_STATE(8311)] = 140615,
  [SMALL_STATE(8312)] = 140626,
  [SMALL_STATE(8313)] = 140637,
  [SMALL_STATE(8314)] = 140648,
  [SMALL_STATE(8315)] = 140659,
  [SMALL_STATE(8316)] = 140670,
  [SMALL_STATE(8317)] = 140681,
  [SMALL_STATE(8318)] = 140692,
  [SMALL_STATE(8319)] = 140701,
  [SMALL_STATE(8320)] = 140712,
  [SMALL_STATE(8321)] = 140723,
  [SMALL_STATE(8322)] = 140734,
  [SMALL_STATE(8323)] = 140745,
  [SMALL_STATE(8324)] = 140754,
  [SMALL_STATE(8325)] = 140765,
  [SMALL_STATE(8326)] = 140776,
  [SMALL_STATE(8327)] = 140787,
  [SMALL_STATE(8328)] = 140796,
  [SMALL_STATE(8329)] = 140807,
  [SMALL_STATE(8330)] = 140818,
  [SMALL_STATE(8331)] = 140827,
  [SMALL_STATE(8332)] = 140838,
  [SMALL_STATE(8333)] = 140849,
  [SMALL_STATE(8334)] = 140858,
  [SMALL_STATE(8335)] = 140869,
  [SMALL_STATE(8336)] = 140880,
  [SMALL_STATE(8337)] = 140889,
  [SMALL_STATE(8338)] = 140900,
  [SMALL_STATE(8339)] = 140909,
  [SMALL_STATE(8340)] = 140918,
  [SMALL_STATE(8341)] = 140927,
  [SMALL_STATE(8342)] = 140938,
  [SMALL_STATE(8343)] = 140947,
  [SMALL_STATE(8344)] = 140956,
  [SMALL_STATE(8345)] = 140967,
  [SMALL_STATE(8346)] = 140978,
  [SMALL_STATE(8347)] = 140987,
  [SMALL_STATE(8348)] = 140996,
  [SMALL_STATE(8349)] = 141005,
  [SMALL_STATE(8350)] = 141014,
  [SMALL_STATE(8351)] = 141023,
  [SMALL_STATE(8352)] = 141032,
  [SMALL_STATE(8353)] = 141041,
  [SMALL_STATE(8354)] = 141052,
  [SMALL_STATE(8355)] = 141063,
  [SMALL_STATE(8356)] = 141072,
  [SMALL_STATE(8357)] = 141083,
  [SMALL_STATE(8358)] = 141094,
  [SMALL_STATE(8359)] = 141103,
  [SMALL_STATE(8360)] = 141112,
  [SMALL_STATE(8361)] = 141121,
  [SMALL_STATE(8362)] = 141130,
  [SMALL_STATE(8363)] = 141139,
  [SMALL_STATE(8364)] = 141150,
  [SMALL_STATE(8365)] = 141159,
  [SMALL_STATE(8366)] = 141168,
  [SMALL_STATE(8367)] = 141177,
  [SMALL_STATE(8368)] = 141186,
  [SMALL_STATE(8369)] = 141195,
  [SMALL_STATE(8370)] = 141206,
  [SMALL_STATE(8371)] = 141215,
  [SMALL_STATE(8372)] = 141224,
  [SMALL_STATE(8373)] = 141233,
  [SMALL_STATE(8374)] = 141242,
  [SMALL_STATE(8375)] = 141251,
  [SMALL_STATE(8376)] = 141260,
  [SMALL_STATE(8377)] = 141269,
  [SMALL_STATE(8378)] = 141280,
  [SMALL_STATE(8379)] = 141291,
  [SMALL_STATE(8380)] = 141302,
  [SMALL_STATE(8381)] = 141311,
  [SMALL_STATE(8382)] = 141320,
  [SMALL_STATE(8383)] = 141331,
  [SMALL_STATE(8384)] = 141342,
  [SMALL_STATE(8385)] = 141351,
  [SMALL_STATE(8386)] = 141360,
  [SMALL_STATE(8387)] = 141369,
  [SMALL_STATE(8388)] = 141380,
  [SMALL_STATE(8389)] = 141391,
  [SMALL_STATE(8390)] = 141400,
  [SMALL_STATE(8391)] = 141411,
  [SMALL_STATE(8392)] = 141422,
  [SMALL_STATE(8393)] = 141431,
  [SMALL_STATE(8394)] = 141440,
  [SMALL_STATE(8395)] = 141449,
  [SMALL_STATE(8396)] = 141460,
  [SMALL_STATE(8397)] = 141471,
  [SMALL_STATE(8398)] = 141482,
  [SMALL_STATE(8399)] = 141491,
  [SMALL_STATE(8400)] = 141500,
  [SMALL_STATE(8401)] = 141511,
  [SMALL_STATE(8402)] = 141522,
  [SMALL_STATE(8403)] = 141531,
  [SMALL_STATE(8404)] = 141540,
  [SMALL_STATE(8405)] = 141549,
  [SMALL_STATE(8406)] = 141560,
  [SMALL_STATE(8407)] = 141569,
  [SMALL_STATE(8408)] = 141580,
  [SMALL_STATE(8409)] = 141591,
  [SMALL_STATE(8410)] = 141600,
  [SMALL_STATE(8411)] = 141609,
  [SMALL_STATE(8412)] = 141618,
  [SMALL_STATE(8413)] = 141627,
  [SMALL_STATE(8414)] = 141636,
  [SMALL_STATE(8415)] = 141645,
  [SMALL_STATE(8416)] = 141654,
  [SMALL_STATE(8417)] = 141665,
  [SMALL_STATE(8418)] = 141676,
  [SMALL_STATE(8419)] = 141687,
  [SMALL_STATE(8420)] = 141696,
  [SMALL_STATE(8421)] = 141705,
  [SMALL_STATE(8422)] = 141714,
  [SMALL_STATE(8423)] = 141723,
  [SMALL_STATE(8424)] = 141734,
  [SMALL_STATE(8425)] = 141743,
  [SMALL_STATE(8426)] = 141752,
  [SMALL_STATE(8427)] = 141761,
  [SMALL_STATE(8428)] = 141772,
  [SMALL_STATE(8429)] = 141783,
  [SMALL_STATE(8430)] = 141792,
  [SMALL_STATE(8431)] = 141801,
  [SMALL_STATE(8432)] = 141810,
  [SMALL_STATE(8433)] = 141819,
  [SMALL_STATE(8434)] = 141828,
  [SMALL_STATE(8435)] = 141837,
  [SMALL_STATE(8436)] = 141848,
  [SMALL_STATE(8437)] = 141859,
  [SMALL_STATE(8438)] = 141868,
  [SMALL_STATE(8439)] = 141877,
  [SMALL_STATE(8440)] = 141886,
  [SMALL_STATE(8441)] = 141895,
  [SMALL_STATE(8442)] = 141906,
  [SMALL_STATE(8443)] = 141915,
  [SMALL_STATE(8444)] = 141926,
  [SMALL_STATE(8445)] = 141937,
  [SMALL_STATE(8446)] = 141946,
  [SMALL_STATE(8447)] = 141957,
  [SMALL_STATE(8448)] = 141966,
  [SMALL_STATE(8449)] = 141975,
  [SMALL_STATE(8450)] = 141984,
  [SMALL_STATE(8451)] = 141993,
  [SMALL_STATE(8452)] = 142002,
  [SMALL_STATE(8453)] = 142013,
  [SMALL_STATE(8454)] = 142022,
  [SMALL_STATE(8455)] = 142033,
  [SMALL_STATE(8456)] = 142042,
  [SMALL_STATE(8457)] = 142051,
  [SMALL_STATE(8458)] = 142060,
  [SMALL_STATE(8459)] = 142069,
  [SMALL_STATE(8460)] = 142080,
  [SMALL_STATE(8461)] = 142089,
  [SMALL_STATE(8462)] = 142098,
  [SMALL_STATE(8463)] = 142107,
  [SMALL_STATE(8464)] = 142116,
  [SMALL_STATE(8465)] = 142125,
  [SMALL_STATE(8466)] = 142134,
  [SMALL_STATE(8467)] = 142143,
  [SMALL_STATE(8468)] = 142152,
  [SMALL_STATE(8469)] = 142163,
  [SMALL_STATE(8470)] = 142172,
  [SMALL_STATE(8471)] = 142181,
  [SMALL_STATE(8472)] = 142192,
  [SMALL_STATE(8473)] = 142201,
  [SMALL_STATE(8474)] = 142212,
  [SMALL_STATE(8475)] = 142223,
  [SMALL_STATE(8476)] = 142234,
  [SMALL_STATE(8477)] = 142243,
  [SMALL_STATE(8478)] = 142252,
  [SMALL_STATE(8479)] = 142263,
  [SMALL_STATE(8480)] = 142272,
  [SMALL_STATE(8481)] = 142281,
  [SMALL_STATE(8482)] = 142290,
  [SMALL_STATE(8483)] = 142299,
  [SMALL_STATE(8484)] = 142310,
  [SMALL_STATE(8485)] = 142319,
  [SMALL_STATE(8486)] = 142328,
  [SMALL_STATE(8487)] = 142337,
  [SMALL_STATE(8488)] = 142346,
  [SMALL_STATE(8489)] = 142355,
  [SMALL_STATE(8490)] = 142364,
  [SMALL_STATE(8491)] = 142375,
  [SMALL_STATE(8492)] = 142384,
  [SMALL_STATE(8493)] = 142393,
  [SMALL_STATE(8494)] = 142404,
  [SMALL_STATE(8495)] = 142415,
  [SMALL_STATE(8496)] = 142426,
  [SMALL_STATE(8497)] = 142435,
  [SMALL_STATE(8498)] = 142444,
  [SMALL_STATE(8499)] = 142455,
  [SMALL_STATE(8500)] = 142464,
  [SMALL_STATE(8501)] = 142473,
  [SMALL_STATE(8502)] = 142482,
  [SMALL_STATE(8503)] = 142493,
  [SMALL_STATE(8504)] = 142502,
  [SMALL_STATE(8505)] = 142513,
  [SMALL_STATE(8506)] = 142522,
  [SMALL_STATE(8507)] = 142531,
  [SMALL_STATE(8508)] = 142540,
  [SMALL_STATE(8509)] = 142549,
  [SMALL_STATE(8510)] = 142558,
  [SMALL_STATE(8511)] = 142567,
  [SMALL_STATE(8512)] = 142576,
  [SMALL_STATE(8513)] = 142585,
  [SMALL_STATE(8514)] = 142596,
  [SMALL_STATE(8515)] = 142607,
  [SMALL_STATE(8516)] = 142616,
  [SMALL_STATE(8517)] = 142624,
  [SMALL_STATE(8518)] = 142632,
  [SMALL_STATE(8519)] = 142640,
  [SMALL_STATE(8520)] = 142648,
  [SMALL_STATE(8521)] = 142656,
  [SMALL_STATE(8522)] = 142664,
  [SMALL_STATE(8523)] = 142672,
  [SMALL_STATE(8524)] = 142680,
  [SMALL_STATE(8525)] = 142688,
  [SMALL_STATE(8526)] = 142696,
  [SMALL_STATE(8527)] = 142704,
  [SMALL_STATE(8528)] = 142712,
  [SMALL_STATE(8529)] = 142720,
  [SMALL_STATE(8530)] = 142728,
  [SMALL_STATE(8531)] = 142736,
  [SMALL_STATE(8532)] = 142744,
  [SMALL_STATE(8533)] = 142752,
  [SMALL_STATE(8534)] = 142760,
  [SMALL_STATE(8535)] = 142768,
  [SMALL_STATE(8536)] = 142776,
  [SMALL_STATE(8537)] = 142784,
  [SMALL_STATE(8538)] = 142792,
  [SMALL_STATE(8539)] = 142800,
  [SMALL_STATE(8540)] = 142808,
  [SMALL_STATE(8541)] = 142816,
  [SMALL_STATE(8542)] = 142824,
  [SMALL_STATE(8543)] = 142832,
  [SMALL_STATE(8544)] = 142840,
  [SMALL_STATE(8545)] = 142848,
  [SMALL_STATE(8546)] = 142856,
  [SMALL_STATE(8547)] = 142864,
  [SMALL_STATE(8548)] = 142872,
  [SMALL_STATE(8549)] = 142880,
  [SMALL_STATE(8550)] = 142888,
  [SMALL_STATE(8551)] = 142896,
  [SMALL_STATE(8552)] = 142904,
  [SMALL_STATE(8553)] = 142912,
  [SMALL_STATE(8554)] = 142920,
  [SMALL_STATE(8555)] = 142928,
  [SMALL_STATE(8556)] = 142936,
  [SMALL_STATE(8557)] = 142944,
  [SMALL_STATE(8558)] = 142952,
  [SMALL_STATE(8559)] = 142960,
  [SMALL_STATE(8560)] = 142968,
  [SMALL_STATE(8561)] = 142976,
  [SMALL_STATE(8562)] = 142984,
  [SMALL_STATE(8563)] = 142992,
  [SMALL_STATE(8564)] = 143000,
  [SMALL_STATE(8565)] = 143008,
  [SMALL_STATE(8566)] = 143016,
  [SMALL_STATE(8567)] = 143024,
  [SMALL_STATE(8568)] = 143032,
  [SMALL_STATE(8569)] = 143040,
  [SMALL_STATE(8570)] = 143048,
  [SMALL_STATE(8571)] = 143056,
  [SMALL_STATE(8572)] = 143064,
  [SMALL_STATE(8573)] = 143072,
  [SMALL_STATE(8574)] = 143080,
  [SMALL_STATE(8575)] = 143088,
  [SMALL_STATE(8576)] = 143096,
  [SMALL_STATE(8577)] = 143104,
  [SMALL_STATE(8578)] = 143112,
  [SMALL_STATE(8579)] = 143120,
  [SMALL_STATE(8580)] = 143128,
  [SMALL_STATE(8581)] = 143136,
  [SMALL_STATE(8582)] = 143144,
  [SMALL_STATE(8583)] = 143152,
  [SMALL_STATE(8584)] = 143160,
  [SMALL_STATE(8585)] = 143168,
  [SMALL_STATE(8586)] = 143176,
  [SMALL_STATE(8587)] = 143184,
  [SMALL_STATE(8588)] = 143192,
  [SMALL_STATE(8589)] = 143200,
  [SMALL_STATE(8590)] = 143208,
  [SMALL_STATE(8591)] = 143216,
  [SMALL_STATE(8592)] = 143224,
  [SMALL_STATE(8593)] = 143232,
  [SMALL_STATE(8594)] = 143240,
  [SMALL_STATE(8595)] = 143248,
  [SMALL_STATE(8596)] = 143256,
  [SMALL_STATE(8597)] = 143264,
  [SMALL_STATE(8598)] = 143272,
  [SMALL_STATE(8599)] = 143280,
  [SMALL_STATE(8600)] = 143288,
  [SMALL_STATE(8601)] = 143296,
  [SMALL_STATE(8602)] = 143304,
  [SMALL_STATE(8603)] = 143312,
  [SMALL_STATE(8604)] = 143320,
  [SMALL_STATE(8605)] = 143328,
  [SMALL_STATE(8606)] = 143336,
  [SMALL_STATE(8607)] = 143344,
  [SMALL_STATE(8608)] = 143352,
  [SMALL_STATE(8609)] = 143360,
  [SMALL_STATE(8610)] = 143368,
  [SMALL_STATE(8611)] = 143376,
  [SMALL_STATE(8612)] = 143384,
  [SMALL_STATE(8613)] = 143392,
  [SMALL_STATE(8614)] = 143400,
  [SMALL_STATE(8615)] = 143408,
  [SMALL_STATE(8616)] = 143416,
  [SMALL_STATE(8617)] = 143424,
  [SMALL_STATE(8618)] = 143432,
  [SMALL_STATE(8619)] = 143440,
  [SMALL_STATE(8620)] = 143448,
  [SMALL_STATE(8621)] = 143456,
  [SMALL_STATE(8622)] = 143464,
  [SMALL_STATE(8623)] = 143472,
  [SMALL_STATE(8624)] = 143480,
  [SMALL_STATE(8625)] = 143488,
  [SMALL_STATE(8626)] = 143496,
  [SMALL_STATE(8627)] = 143504,
  [SMALL_STATE(8628)] = 143512,
  [SMALL_STATE(8629)] = 143520,
  [SMALL_STATE(8630)] = 143528,
  [SMALL_STATE(8631)] = 143536,
  [SMALL_STATE(8632)] = 143544,
  [SMALL_STATE(8633)] = 143552,
  [SMALL_STATE(8634)] = 143560,
  [SMALL_STATE(8635)] = 143568,
  [SMALL_STATE(8636)] = 143576,
  [SMALL_STATE(8637)] = 143584,
  [SMALL_STATE(8638)] = 143592,
  [SMALL_STATE(8639)] = 143600,
  [SMALL_STATE(8640)] = 143608,
  [SMALL_STATE(8641)] = 143616,
  [SMALL_STATE(8642)] = 143624,
  [SMALL_STATE(8643)] = 143632,
  [SMALL_STATE(8644)] = 143640,
  [SMALL_STATE(8645)] = 143648,
  [SMALL_STATE(8646)] = 143656,
  [SMALL_STATE(8647)] = 143664,
  [SMALL_STATE(8648)] = 143672,
  [SMALL_STATE(8649)] = 143680,
  [SMALL_STATE(8650)] = 143688,
  [SMALL_STATE(8651)] = 143696,
  [SMALL_STATE(8652)] = 143704,
  [SMALL_STATE(8653)] = 143712,
  [SMALL_STATE(8654)] = 143720,
  [SMALL_STATE(8655)] = 143728,
  [SMALL_STATE(8656)] = 143736,
  [SMALL_STATE(8657)] = 143744,
  [SMALL_STATE(8658)] = 143752,
  [SMALL_STATE(8659)] = 143760,
  [SMALL_STATE(8660)] = 143768,
  [SMALL_STATE(8661)] = 143776,
  [SMALL_STATE(8662)] = 143784,
  [SMALL_STATE(8663)] = 143792,
  [SMALL_STATE(8664)] = 143800,
  [SMALL_STATE(8665)] = 143808,
  [SMALL_STATE(8666)] = 143816,
  [SMALL_STATE(8667)] = 143824,
  [SMALL_STATE(8668)] = 143832,
  [SMALL_STATE(8669)] = 143840,
  [SMALL_STATE(8670)] = 143848,
  [SMALL_STATE(8671)] = 143856,
  [SMALL_STATE(8672)] = 143864,
  [SMALL_STATE(8673)] = 143872,
  [SMALL_STATE(8674)] = 143880,
  [SMALL_STATE(8675)] = 143888,
  [SMALL_STATE(8676)] = 143896,
  [SMALL_STATE(8677)] = 143904,
  [SMALL_STATE(8678)] = 143912,
  [SMALL_STATE(8679)] = 143920,
  [SMALL_STATE(8680)] = 143928,
  [SMALL_STATE(8681)] = 143936,
  [SMALL_STATE(8682)] = 143944,
  [SMALL_STATE(8683)] = 143952,
  [SMALL_STATE(8684)] = 143960,
  [SMALL_STATE(8685)] = 143968,
  [SMALL_STATE(8686)] = 143976,
  [SMALL_STATE(8687)] = 143984,
  [SMALL_STATE(8688)] = 143992,
  [SMALL_STATE(8689)] = 144000,
  [SMALL_STATE(8690)] = 144008,
  [SMALL_STATE(8691)] = 144016,
  [SMALL_STATE(8692)] = 144024,
  [SMALL_STATE(8693)] = 144032,
  [SMALL_STATE(8694)] = 144040,
  [SMALL_STATE(8695)] = 144048,
  [SMALL_STATE(8696)] = 144056,
  [SMALL_STATE(8697)] = 144064,
  [SMALL_STATE(8698)] = 144072,
  [SMALL_STATE(8699)] = 144080,
  [SMALL_STATE(8700)] = 144088,
  [SMALL_STATE(8701)] = 144096,
  [SMALL_STATE(8702)] = 144104,
  [SMALL_STATE(8703)] = 144112,
  [SMALL_STATE(8704)] = 144120,
  [SMALL_STATE(8705)] = 144128,
  [SMALL_STATE(8706)] = 144136,
  [SMALL_STATE(8707)] = 144144,
  [SMALL_STATE(8708)] = 144152,
  [SMALL_STATE(8709)] = 144160,
  [SMALL_STATE(8710)] = 144168,
  [SMALL_STATE(8711)] = 144176,
  [SMALL_STATE(8712)] = 144184,
  [SMALL_STATE(8713)] = 144192,
  [SMALL_STATE(8714)] = 144200,
  [SMALL_STATE(8715)] = 144208,
  [SMALL_STATE(8716)] = 144216,
  [SMALL_STATE(8717)] = 144224,
  [SMALL_STATE(8718)] = 144232,
  [SMALL_STATE(8719)] = 144240,
  [SMALL_STATE(8720)] = 144248,
  [SMALL_STATE(8721)] = 144256,
  [SMALL_STATE(8722)] = 144264,
  [SMALL_STATE(8723)] = 144272,
  [SMALL_STATE(8724)] = 144280,
  [SMALL_STATE(8725)] = 144288,
  [SMALL_STATE(8726)] = 144296,
  [SMALL_STATE(8727)] = 144304,
  [SMALL_STATE(8728)] = 144312,
  [SMALL_STATE(8729)] = 144320,
  [SMALL_STATE(8730)] = 144328,
  [SMALL_STATE(8731)] = 144336,
  [SMALL_STATE(8732)] = 144344,
  [SMALL_STATE(8733)] = 144352,
  [SMALL_STATE(8734)] = 144360,
  [SMALL_STATE(8735)] = 144368,
  [SMALL_STATE(8736)] = 144376,
  [SMALL_STATE(8737)] = 144384,
  [SMALL_STATE(8738)] = 144392,
  [SMALL_STATE(8739)] = 144400,
  [SMALL_STATE(8740)] = 144408,
  [SMALL_STATE(8741)] = 144416,
  [SMALL_STATE(8742)] = 144424,
  [SMALL_STATE(8743)] = 144432,
  [SMALL_STATE(8744)] = 144440,
  [SMALL_STATE(8745)] = 144448,
  [SMALL_STATE(8746)] = 144456,
  [SMALL_STATE(8747)] = 144464,
  [SMALL_STATE(8748)] = 144472,
  [SMALL_STATE(8749)] = 144480,
  [SMALL_STATE(8750)] = 144488,
  [SMALL_STATE(8751)] = 144496,
  [SMALL_STATE(8752)] = 144504,
  [SMALL_STATE(8753)] = 144512,
  [SMALL_STATE(8754)] = 144520,
  [SMALL_STATE(8755)] = 144528,
  [SMALL_STATE(8756)] = 144536,
  [SMALL_STATE(8757)] = 144544,
  [SMALL_STATE(8758)] = 144552,
  [SMALL_STATE(8759)] = 144560,
  [SMALL_STATE(8760)] = 144568,
  [SMALL_STATE(8761)] = 144576,
  [SMALL_STATE(8762)] = 144584,
  [SMALL_STATE(8763)] = 144592,
  [SMALL_STATE(8764)] = 144600,
  [SMALL_STATE(8765)] = 144608,
  [SMALL_STATE(8766)] = 144616,
  [SMALL_STATE(8767)] = 144624,
  [SMALL_STATE(8768)] = 144632,
  [SMALL_STATE(8769)] = 144640,
  [SMALL_STATE(8770)] = 144648,
  [SMALL_STATE(8771)] = 144656,
  [SMALL_STATE(8772)] = 144664,
  [SMALL_STATE(8773)] = 144672,
  [SMALL_STATE(8774)] = 144680,
  [SMALL_STATE(8775)] = 144688,
  [SMALL_STATE(8776)] = 144696,
  [SMALL_STATE(8777)] = 144704,
  [SMALL_STATE(8778)] = 144712,
  [SMALL_STATE(8779)] = 144720,
  [SMALL_STATE(8780)] = 144728,
  [SMALL_STATE(8781)] = 144736,
  [SMALL_STATE(8782)] = 144744,
  [SMALL_STATE(8783)] = 144752,
  [SMALL_STATE(8784)] = 144760,
  [SMALL_STATE(8785)] = 144768,
  [SMALL_STATE(8786)] = 144776,
  [SMALL_STATE(8787)] = 144784,
  [SMALL_STATE(8788)] = 144792,
  [SMALL_STATE(8789)] = 144800,
  [SMALL_STATE(8790)] = 144808,
  [SMALL_STATE(8791)] = 144816,
  [SMALL_STATE(8792)] = 144824,
  [SMALL_STATE(8793)] = 144832,
  [SMALL_STATE(8794)] = 144840,
  [SMALL_STATE(8795)] = 144848,
  [SMALL_STATE(8796)] = 144856,
  [SMALL_STATE(8797)] = 144864,
  [SMALL_STATE(8798)] = 144872,
  [SMALL_STATE(8799)] = 144880,
  [SMALL_STATE(8800)] = 144888,
  [SMALL_STATE(8801)] = 144896,
  [SMALL_STATE(8802)] = 144904,
  [SMALL_STATE(8803)] = 144912,
  [SMALL_STATE(8804)] = 144920,
  [SMALL_STATE(8805)] = 144928,
  [SMALL_STATE(8806)] = 144936,
  [SMALL_STATE(8807)] = 144944,
  [SMALL_STATE(8808)] = 144952,
  [SMALL_STATE(8809)] = 144960,
  [SMALL_STATE(8810)] = 144968,
  [SMALL_STATE(8811)] = 144976,
  [SMALL_STATE(8812)] = 144984,
  [SMALL_STATE(8813)] = 144992,
  [SMALL_STATE(8814)] = 145000,
  [SMALL_STATE(8815)] = 145008,
  [SMALL_STATE(8816)] = 145016,
  [SMALL_STATE(8817)] = 145024,
  [SMALL_STATE(8818)] = 145032,
  [SMALL_STATE(8819)] = 145040,
  [SMALL_STATE(8820)] = 145048,
  [SMALL_STATE(8821)] = 145056,
  [SMALL_STATE(8822)] = 145064,
  [SMALL_STATE(8823)] = 145072,
  [SMALL_STATE(8824)] = 145080,
  [SMALL_STATE(8825)] = 145088,
  [SMALL_STATE(8826)] = 145096,
  [SMALL_STATE(8827)] = 145104,
  [SMALL_STATE(8828)] = 145112,
  [SMALL_STATE(8829)] = 145120,
  [SMALL_STATE(8830)] = 145128,
  [SMALL_STATE(8831)] = 145136,
  [SMALL_STATE(8832)] = 145144,
  [SMALL_STATE(8833)] = 145152,
  [SMALL_STATE(8834)] = 145160,
  [SMALL_STATE(8835)] = 145168,
  [SMALL_STATE(8836)] = 145176,
  [SMALL_STATE(8837)] = 145184,
  [SMALL_STATE(8838)] = 145192,
  [SMALL_STATE(8839)] = 145200,
  [SMALL_STATE(8840)] = 145208,
  [SMALL_STATE(8841)] = 145216,
  [SMALL_STATE(8842)] = 145224,
  [SMALL_STATE(8843)] = 145232,
  [SMALL_STATE(8844)] = 145240,
  [SMALL_STATE(8845)] = 145248,
  [SMALL_STATE(8846)] = 145256,
  [SMALL_STATE(8847)] = 145264,
  [SMALL_STATE(8848)] = 145272,
  [SMALL_STATE(8849)] = 145280,
  [SMALL_STATE(8850)] = 145288,
  [SMALL_STATE(8851)] = 145296,
  [SMALL_STATE(8852)] = 145304,
  [SMALL_STATE(8853)] = 145312,
  [SMALL_STATE(8854)] = 145320,
  [SMALL_STATE(8855)] = 145328,
  [SMALL_STATE(8856)] = 145336,
  [SMALL_STATE(8857)] = 145344,
  [SMALL_STATE(8858)] = 145352,
  [SMALL_STATE(8859)] = 145360,
  [SMALL_STATE(8860)] = 145368,
  [SMALL_STATE(8861)] = 145376,
  [SMALL_STATE(8862)] = 145384,
  [SMALL_STATE(8863)] = 145392,
  [SMALL_STATE(8864)] = 145400,
  [SMALL_STATE(8865)] = 145408,
  [SMALL_STATE(8866)] = 145416,
  [SMALL_STATE(8867)] = 145424,
  [SMALL_STATE(8868)] = 145432,
  [SMALL_STATE(8869)] = 145440,
  [SMALL_STATE(8870)] = 145448,
  [SMALL_STATE(8871)] = 145456,
  [SMALL_STATE(8872)] = 145464,
  [SMALL_STATE(8873)] = 145472,
  [SMALL_STATE(8874)] = 145480,
  [SMALL_STATE(8875)] = 145488,
  [SMALL_STATE(8876)] = 145496,
  [SMALL_STATE(8877)] = 145504,
  [SMALL_STATE(8878)] = 145512,
  [SMALL_STATE(8879)] = 145520,
  [SMALL_STATE(8880)] = 145528,
  [SMALL_STATE(8881)] = 145536,
  [SMALL_STATE(8882)] = 145544,
  [SMALL_STATE(8883)] = 145552,
  [SMALL_STATE(8884)] = 145560,
  [SMALL_STATE(8885)] = 145568,
  [SMALL_STATE(8886)] = 145576,
  [SMALL_STATE(8887)] = 145584,
  [SMALL_STATE(8888)] = 145592,
  [SMALL_STATE(8889)] = 145600,
  [SMALL_STATE(8890)] = 145608,
  [SMALL_STATE(8891)] = 145616,
  [SMALL_STATE(8892)] = 145624,
  [SMALL_STATE(8893)] = 145632,
  [SMALL_STATE(8894)] = 145640,
  [SMALL_STATE(8895)] = 145648,
  [SMALL_STATE(8896)] = 145656,
  [SMALL_STATE(8897)] = 145664,
  [SMALL_STATE(8898)] = 145672,
  [SMALL_STATE(8899)] = 145680,
  [SMALL_STATE(8900)] = 145688,
  [SMALL_STATE(8901)] = 145696,
  [SMALL_STATE(8902)] = 145704,
  [SMALL_STATE(8903)] = 145712,
  [SMALL_STATE(8904)] = 145720,
  [SMALL_STATE(8905)] = 145728,
  [SMALL_STATE(8906)] = 145736,
  [SMALL_STATE(8907)] = 145744,
  [SMALL_STATE(8908)] = 145752,
  [SMALL_STATE(8909)] = 145760,
  [SMALL_STATE(8910)] = 145768,
  [SMALL_STATE(8911)] = 145776,
  [SMALL_STATE(8912)] = 145784,
  [SMALL_STATE(8913)] = 145792,
  [SMALL_STATE(8914)] = 145800,
  [SMALL_STATE(8915)] = 145808,
  [SMALL_STATE(8916)] = 145816,
  [SMALL_STATE(8917)] = 145824,
  [SMALL_STATE(8918)] = 145832,
  [SMALL_STATE(8919)] = 145840,
  [SMALL_STATE(8920)] = 145848,
  [SMALL_STATE(8921)] = 145856,
  [SMALL_STATE(8922)] = 145864,
  [SMALL_STATE(8923)] = 145872,
  [SMALL_STATE(8924)] = 145880,
  [SMALL_STATE(8925)] = 145888,
  [SMALL_STATE(8926)] = 145896,
  [SMALL_STATE(8927)] = 145904,
  [SMALL_STATE(8928)] = 145912,
  [SMALL_STATE(8929)] = 145920,
  [SMALL_STATE(8930)] = 145928,
  [SMALL_STATE(8931)] = 145936,
  [SMALL_STATE(8932)] = 145944,
  [SMALL_STATE(8933)] = 145952,
  [SMALL_STATE(8934)] = 145960,
  [SMALL_STATE(8935)] = 145968,
  [SMALL_STATE(8936)] = 145976,
  [SMALL_STATE(8937)] = 145984,
  [SMALL_STATE(8938)] = 145992,
  [SMALL_STATE(8939)] = 146000,
  [SMALL_STATE(8940)] = 146008,
  [SMALL_STATE(8941)] = 146016,
  [SMALL_STATE(8942)] = 146024,
  [SMALL_STATE(8943)] = 146032,
  [SMALL_STATE(8944)] = 146040,
  [SMALL_STATE(8945)] = 146048,
  [SMALL_STATE(8946)] = 146056,
  [SMALL_STATE(8947)] = 146064,
  [SMALL_STATE(8948)] = 146072,
  [SMALL_STATE(8949)] = 146080,
  [SMALL_STATE(8950)] = 146088,
  [SMALL_STATE(8951)] = 146096,
  [SMALL_STATE(8952)] = 146104,
  [SMALL_STATE(8953)] = 146112,
  [SMALL_STATE(8954)] = 146120,
  [SMALL_STATE(8955)] = 146128,
  [SMALL_STATE(8956)] = 146136,
  [SMALL_STATE(8957)] = 146144,
  [SMALL_STATE(8958)] = 146152,
  [SMALL_STATE(8959)] = 146160,
  [SMALL_STATE(8960)] = 146168,
  [SMALL_STATE(8961)] = 146176,
  [SMALL_STATE(8962)] = 146184,
  [SMALL_STATE(8963)] = 146192,
  [SMALL_STATE(8964)] = 146200,
  [SMALL_STATE(8965)] = 146208,
  [SMALL_STATE(8966)] = 146216,
  [SMALL_STATE(8967)] = 146224,
  [SMALL_STATE(8968)] = 146232,
  [SMALL_STATE(8969)] = 146240,
  [SMALL_STATE(8970)] = 146248,
  [SMALL_STATE(8971)] = 146256,
  [SMALL_STATE(8972)] = 146264,
  [SMALL_STATE(8973)] = 146272,
  [SMALL_STATE(8974)] = 146280,
  [SMALL_STATE(8975)] = 146288,
  [SMALL_STATE(8976)] = 146296,
  [SMALL_STATE(8977)] = 146304,
  [SMALL_STATE(8978)] = 146312,
  [SMALL_STATE(8979)] = 146320,
  [SMALL_STATE(8980)] = 146328,
  [SMALL_STATE(8981)] = 146336,
  [SMALL_STATE(8982)] = 146344,
  [SMALL_STATE(8983)] = 146352,
  [SMALL_STATE(8984)] = 146360,
  [SMALL_STATE(8985)] = 146368,
  [SMALL_STATE(8986)] = 146376,
  [SMALL_STATE(8987)] = 146384,
  [SMALL_STATE(8988)] = 146392,
  [SMALL_STATE(8989)] = 146400,
  [SMALL_STATE(8990)] = 146408,
  [SMALL_STATE(8991)] = 146416,
  [SMALL_STATE(8992)] = 146424,
  [SMALL_STATE(8993)] = 146432,
  [SMALL_STATE(8994)] = 146440,
  [SMALL_STATE(8995)] = 146448,
  [SMALL_STATE(8996)] = 146456,
  [SMALL_STATE(8997)] = 146464,
  [SMALL_STATE(8998)] = 146472,
  [SMALL_STATE(8999)] = 146480,
  [SMALL_STATE(9000)] = 146488,
  [SMALL_STATE(9001)] = 146496,
  [SMALL_STATE(9002)] = 146504,
  [SMALL_STATE(9003)] = 146512,
  [SMALL_STATE(9004)] = 146520,
  [SMALL_STATE(9005)] = 146528,
  [SMALL_STATE(9006)] = 146536,
  [SMALL_STATE(9007)] = 146544,
  [SMALL_STATE(9008)] = 146552,
  [SMALL_STATE(9009)] = 146560,
  [SMALL_STATE(9010)] = 146568,
  [SMALL_STATE(9011)] = 146576,
  [SMALL_STATE(9012)] = 146584,
  [SMALL_STATE(9013)] = 146592,
  [SMALL_STATE(9014)] = 146600,
  [SMALL_STATE(9015)] = 146608,
  [SMALL_STATE(9016)] = 146616,
  [SMALL_STATE(9017)] = 146624,
  [SMALL_STATE(9018)] = 146632,
  [SMALL_STATE(9019)] = 146640,
  [SMALL_STATE(9020)] = 146648,
  [SMALL_STATE(9021)] = 146656,
  [SMALL_STATE(9022)] = 146664,
  [SMALL_STATE(9023)] = 146672,
  [SMALL_STATE(9024)] = 146680,
  [SMALL_STATE(9025)] = 146688,
  [SMALL_STATE(9026)] = 146696,
  [SMALL_STATE(9027)] = 146704,
  [SMALL_STATE(9028)] = 146712,
  [SMALL_STATE(9029)] = 146720,
  [SMALL_STATE(9030)] = 146728,
  [SMALL_STATE(9031)] = 146736,
  [SMALL_STATE(9032)] = 146744,
  [SMALL_STATE(9033)] = 146752,
  [SMALL_STATE(9034)] = 146760,
  [SMALL_STATE(9035)] = 146768,
  [SMALL_STATE(9036)] = 146776,
  [SMALL_STATE(9037)] = 146784,
  [SMALL_STATE(9038)] = 146792,
  [SMALL_STATE(9039)] = 146800,
  [SMALL_STATE(9040)] = 146808,
  [SMALL_STATE(9041)] = 146816,
  [SMALL_STATE(9042)] = 146824,
  [SMALL_STATE(9043)] = 146832,
  [SMALL_STATE(9044)] = 146840,
  [SMALL_STATE(9045)] = 146848,
  [SMALL_STATE(9046)] = 146856,
  [SMALL_STATE(9047)] = 146864,
  [SMALL_STATE(9048)] = 146872,
  [SMALL_STATE(9049)] = 146880,
  [SMALL_STATE(9050)] = 146888,
  [SMALL_STATE(9051)] = 146896,
  [SMALL_STATE(9052)] = 146904,
  [SMALL_STATE(9053)] = 146912,
  [SMALL_STATE(9054)] = 146920,
  [SMALL_STATE(9055)] = 146928,
  [SMALL_STATE(9056)] = 146936,
  [SMALL_STATE(9057)] = 146944,
  [SMALL_STATE(9058)] = 146952,
  [SMALL_STATE(9059)] = 146960,
  [SMALL_STATE(9060)] = 146968,
  [SMALL_STATE(9061)] = 146976,
  [SMALL_STATE(9062)] = 146984,
  [SMALL_STATE(9063)] = 146992,
  [SMALL_STATE(9064)] = 147000,
  [SMALL_STATE(9065)] = 147008,
  [SMALL_STATE(9066)] = 147016,
  [SMALL_STATE(9067)] = 147024,
  [SMALL_STATE(9068)] = 147032,
  [SMALL_STATE(9069)] = 147040,
  [SMALL_STATE(9070)] = 147048,
  [SMALL_STATE(9071)] = 147056,
  [SMALL_STATE(9072)] = 147064,
  [SMALL_STATE(9073)] = 147072,
  [SMALL_STATE(9074)] = 147080,
  [SMALL_STATE(9075)] = 147088,
  [SMALL_STATE(9076)] = 147096,
  [SMALL_STATE(9077)] = 147104,
  [SMALL_STATE(9078)] = 147112,
  [SMALL_STATE(9079)] = 147120,
  [SMALL_STATE(9080)] = 147128,
  [SMALL_STATE(9081)] = 147136,
  [SMALL_STATE(9082)] = 147144,
  [SMALL_STATE(9083)] = 147152,
  [SMALL_STATE(9084)] = 147160,
  [SMALL_STATE(9085)] = 147168,
  [SMALL_STATE(9086)] = 147176,
  [SMALL_STATE(9087)] = 147184,
  [SMALL_STATE(9088)] = 147192,
  [SMALL_STATE(9089)] = 147200,
  [SMALL_STATE(9090)] = 147208,
  [SMALL_STATE(9091)] = 147216,
  [SMALL_STATE(9092)] = 147224,
  [SMALL_STATE(9093)] = 147232,
  [SMALL_STATE(9094)] = 147240,
  [SMALL_STATE(9095)] = 147248,
  [SMALL_STATE(9096)] = 147256,
  [SMALL_STATE(9097)] = 147264,
  [SMALL_STATE(9098)] = 147272,
  [SMALL_STATE(9099)] = 147280,
  [SMALL_STATE(9100)] = 147288,
  [SMALL_STATE(9101)] = 147296,
  [SMALL_STATE(9102)] = 147304,
  [SMALL_STATE(9103)] = 147312,
  [SMALL_STATE(9104)] = 147320,
  [SMALL_STATE(9105)] = 147328,
  [SMALL_STATE(9106)] = 147336,
  [SMALL_STATE(9107)] = 147344,
  [SMALL_STATE(9108)] = 147352,
  [SMALL_STATE(9109)] = 147360,
  [SMALL_STATE(9110)] = 147368,
  [SMALL_STATE(9111)] = 147376,
  [SMALL_STATE(9112)] = 147384,
  [SMALL_STATE(9113)] = 147392,
  [SMALL_STATE(9114)] = 147400,
  [SMALL_STATE(9115)] = 147408,
  [SMALL_STATE(9116)] = 147416,
  [SMALL_STATE(9117)] = 147424,
  [SMALL_STATE(9118)] = 147432,
  [SMALL_STATE(9119)] = 147440,
  [SMALL_STATE(9120)] = 147448,
  [SMALL_STATE(9121)] = 147456,
  [SMALL_STATE(9122)] = 147464,
  [SMALL_STATE(9123)] = 147472,
  [SMALL_STATE(9124)] = 147480,
  [SMALL_STATE(9125)] = 147488,
  [SMALL_STATE(9126)] = 147496,
  [SMALL_STATE(9127)] = 147504,
  [SMALL_STATE(9128)] = 147512,
  [SMALL_STATE(9129)] = 147520,
  [SMALL_STATE(9130)] = 147528,
  [SMALL_STATE(9131)] = 147536,
  [SMALL_STATE(9132)] = 147544,
  [SMALL_STATE(9133)] = 147552,
  [SMALL_STATE(9134)] = 147560,
  [SMALL_STATE(9135)] = 147568,
  [SMALL_STATE(9136)] = 147576,
  [SMALL_STATE(9137)] = 147584,
  [SMALL_STATE(9138)] = 147592,
  [SMALL_STATE(9139)] = 147600,
  [SMALL_STATE(9140)] = 147608,
  [SMALL_STATE(9141)] = 147616,
  [SMALL_STATE(9142)] = 147624,
  [SMALL_STATE(9143)] = 147632,
  [SMALL_STATE(9144)] = 147640,
  [SMALL_STATE(9145)] = 147648,
  [SMALL_STATE(9146)] = 147656,
  [SMALL_STATE(9147)] = 147664,
  [SMALL_STATE(9148)] = 147672,
  [SMALL_STATE(9149)] = 147680,
  [SMALL_STATE(9150)] = 147688,
  [SMALL_STATE(9151)] = 147696,
  [SMALL_STATE(9152)] = 147704,
  [SMALL_STATE(9153)] = 147712,
  [SMALL_STATE(9154)] = 147720,
  [SMALL_STATE(9155)] = 147728,
  [SMALL_STATE(9156)] = 147736,
  [SMALL_STATE(9157)] = 147744,
  [SMALL_STATE(9158)] = 147752,
  [SMALL_STATE(9159)] = 147760,
  [SMALL_STATE(9160)] = 147768,
  [SMALL_STATE(9161)] = 147776,
  [SMALL_STATE(9162)] = 147784,
  [SMALL_STATE(9163)] = 147792,
  [SMALL_STATE(9164)] = 147800,
  [SMALL_STATE(9165)] = 147808,
  [SMALL_STATE(9166)] = 147816,
  [SMALL_STATE(9167)] = 147824,
  [SMALL_STATE(9168)] = 147832,
  [SMALL_STATE(9169)] = 147840,
  [SMALL_STATE(9170)] = 147848,
  [SMALL_STATE(9171)] = 147856,
  [SMALL_STATE(9172)] = 147864,
  [SMALL_STATE(9173)] = 147872,
  [SMALL_STATE(9174)] = 147880,
  [SMALL_STATE(9175)] = 147888,
  [SMALL_STATE(9176)] = 147896,
  [SMALL_STATE(9177)] = 147904,
  [SMALL_STATE(9178)] = 147912,
  [SMALL_STATE(9179)] = 147920,
  [SMALL_STATE(9180)] = 147928,
  [SMALL_STATE(9181)] = 147936,
  [SMALL_STATE(9182)] = 147944,
  [SMALL_STATE(9183)] = 147952,
  [SMALL_STATE(9184)] = 147960,
  [SMALL_STATE(9185)] = 147968,
  [SMALL_STATE(9186)] = 147976,
  [SMALL_STATE(9187)] = 147984,
  [SMALL_STATE(9188)] = 147992,
  [SMALL_STATE(9189)] = 148000,
  [SMALL_STATE(9190)] = 148008,
  [SMALL_STATE(9191)] = 148016,
  [SMALL_STATE(9192)] = 148024,
  [SMALL_STATE(9193)] = 148032,
  [SMALL_STATE(9194)] = 148040,
  [SMALL_STATE(9195)] = 148048,
  [SMALL_STATE(9196)] = 148056,
  [SMALL_STATE(9197)] = 148064,
  [SMALL_STATE(9198)] = 148072,
  [SMALL_STATE(9199)] = 148080,
  [SMALL_STATE(9200)] = 148088,
  [SMALL_STATE(9201)] = 148096,
  [SMALL_STATE(9202)] = 148104,
  [SMALL_STATE(9203)] = 148112,
  [SMALL_STATE(9204)] = 148120,
  [SMALL_STATE(9205)] = 148128,
  [SMALL_STATE(9206)] = 148136,
  [SMALL_STATE(9207)] = 148144,
  [SMALL_STATE(9208)] = 148152,
  [SMALL_STATE(9209)] = 148160,
  [SMALL_STATE(9210)] = 148168,
  [SMALL_STATE(9211)] = 148176,
  [SMALL_STATE(9212)] = 148184,
  [SMALL_STATE(9213)] = 148192,
  [SMALL_STATE(9214)] = 148200,
  [SMALL_STATE(9215)] = 148208,
  [SMALL_STATE(9216)] = 148216,
  [SMALL_STATE(9217)] = 148224,
  [SMALL_STATE(9218)] = 148232,
  [SMALL_STATE(9219)] = 148240,
  [SMALL_STATE(9220)] = 148248,
  [SMALL_STATE(9221)] = 148256,
  [SMALL_STATE(9222)] = 148264,
  [SMALL_STATE(9223)] = 148272,
  [SMALL_STATE(9224)] = 148280,
  [SMALL_STATE(9225)] = 148288,
  [SMALL_STATE(9226)] = 148296,
  [SMALL_STATE(9227)] = 148304,
  [SMALL_STATE(9228)] = 148312,
  [SMALL_STATE(9229)] = 148320,
  [SMALL_STATE(9230)] = 148328,
  [SMALL_STATE(9231)] = 148336,
  [SMALL_STATE(9232)] = 148344,
  [SMALL_STATE(9233)] = 148352,
  [SMALL_STATE(9234)] = 148360,
  [SMALL_STATE(9235)] = 148368,
  [SMALL_STATE(9236)] = 148376,
  [SMALL_STATE(9237)] = 148384,
  [SMALL_STATE(9238)] = 148392,
  [SMALL_STATE(9239)] = 148400,
  [SMALL_STATE(9240)] = 148408,
  [SMALL_STATE(9241)] = 148416,
  [SMALL_STATE(9242)] = 148424,
  [SMALL_STATE(9243)] = 148432,
  [SMALL_STATE(9244)] = 148440,
  [SMALL_STATE(9245)] = 148448,
  [SMALL_STATE(9246)] = 148456,
  [SMALL_STATE(9247)] = 148464,
  [SMALL_STATE(9248)] = 148472,
  [SMALL_STATE(9249)] = 148480,
  [SMALL_STATE(9250)] = 148488,
  [SMALL_STATE(9251)] = 148496,
  [SMALL_STATE(9252)] = 148504,
  [SMALL_STATE(9253)] = 148512,
  [SMALL_STATE(9254)] = 148520,
  [SMALL_STATE(9255)] = 148528,
  [SMALL_STATE(9256)] = 148536,
  [SMALL_STATE(9257)] = 148544,
  [SMALL_STATE(9258)] = 148552,
  [SMALL_STATE(9259)] = 148560,
  [SMALL_STATE(9260)] = 148568,
  [SMALL_STATE(9261)] = 148576,
  [SMALL_STATE(9262)] = 148584,
  [SMALL_STATE(9263)] = 148592,
  [SMALL_STATE(9264)] = 148600,
  [SMALL_STATE(9265)] = 148608,
  [SMALL_STATE(9266)] = 148616,
  [SMALL_STATE(9267)] = 148624,
  [SMALL_STATE(9268)] = 148632,
  [SMALL_STATE(9269)] = 148640,
  [SMALL_STATE(9270)] = 148648,
  [SMALL_STATE(9271)] = 148656,
  [SMALL_STATE(9272)] = 148664,
  [SMALL_STATE(9273)] = 148672,
  [SMALL_STATE(9274)] = 148680,
  [SMALL_STATE(9275)] = 148688,
  [SMALL_STATE(9276)] = 148696,
  [SMALL_STATE(9277)] = 148704,
  [SMALL_STATE(9278)] = 148712,
  [SMALL_STATE(9279)] = 148720,
  [SMALL_STATE(9280)] = 148728,
  [SMALL_STATE(9281)] = 148736,
  [SMALL_STATE(9282)] = 148744,
  [SMALL_STATE(9283)] = 148752,
  [SMALL_STATE(9284)] = 148760,
  [SMALL_STATE(9285)] = 148768,
  [SMALL_STATE(9286)] = 148776,
  [SMALL_STATE(9287)] = 148784,
  [SMALL_STATE(9288)] = 148792,
  [SMALL_STATE(9289)] = 148800,
  [SMALL_STATE(9290)] = 148808,
  [SMALL_STATE(9291)] = 148816,
  [SMALL_STATE(9292)] = 148824,
  [SMALL_STATE(9293)] = 148832,
  [SMALL_STATE(9294)] = 148840,
  [SMALL_STATE(9295)] = 148848,
  [SMALL_STATE(9296)] = 148856,
  [SMALL_STATE(9297)] = 148864,
  [SMALL_STATE(9298)] = 148872,
  [SMALL_STATE(9299)] = 148880,
  [SMALL_STATE(9300)] = 148888,
  [SMALL_STATE(9301)] = 148896,
  [SMALL_STATE(9302)] = 148904,
  [SMALL_STATE(9303)] = 148912,
  [SMALL_STATE(9304)] = 148920,
  [SMALL_STATE(9305)] = 148928,
  [SMALL_STATE(9306)] = 148936,
  [SMALL_STATE(9307)] = 148944,
  [SMALL_STATE(9308)] = 148952,
  [SMALL_STATE(9309)] = 148960,
  [SMALL_STATE(9310)] = 148968,
  [SMALL_STATE(9311)] = 148976,
  [SMALL_STATE(9312)] = 148984,
  [SMALL_STATE(9313)] = 148992,
  [SMALL_STATE(9314)] = 149000,
  [SMALL_STATE(9315)] = 149008,
  [SMALL_STATE(9316)] = 149016,
  [SMALL_STATE(9317)] = 149024,
  [SMALL_STATE(9318)] = 149032,
  [SMALL_STATE(9319)] = 149040,
  [SMALL_STATE(9320)] = 149048,
  [SMALL_STATE(9321)] = 149056,
  [SMALL_STATE(9322)] = 149064,
  [SMALL_STATE(9323)] = 149072,
  [SMALL_STATE(9324)] = 149080,
  [SMALL_STATE(9325)] = 149088,
  [SMALL_STATE(9326)] = 149096,
  [SMALL_STATE(9327)] = 149104,
  [SMALL_STATE(9328)] = 149112,
  [SMALL_STATE(9329)] = 149120,
  [SMALL_STATE(9330)] = 149128,
  [SMALL_STATE(9331)] = 149136,
  [SMALL_STATE(9332)] = 149144,
  [SMALL_STATE(9333)] = 149152,
  [SMALL_STATE(9334)] = 149160,
  [SMALL_STATE(9335)] = 149168,
  [SMALL_STATE(9336)] = 149176,
  [SMALL_STATE(9337)] = 149184,
  [SMALL_STATE(9338)] = 149192,
  [SMALL_STATE(9339)] = 149200,
  [SMALL_STATE(9340)] = 149208,
  [SMALL_STATE(9341)] = 149216,
  [SMALL_STATE(9342)] = 149224,
  [SMALL_STATE(9343)] = 149232,
  [SMALL_STATE(9344)] = 149240,
  [SMALL_STATE(9345)] = 149248,
  [SMALL_STATE(9346)] = 149256,
  [SMALL_STATE(9347)] = 149264,
  [SMALL_STATE(9348)] = 149272,
  [SMALL_STATE(9349)] = 149280,
  [SMALL_STATE(9350)] = 149288,
  [SMALL_STATE(9351)] = 149296,
  [SMALL_STATE(9352)] = 149304,
  [SMALL_STATE(9353)] = 149312,
  [SMALL_STATE(9354)] = 149320,
  [SMALL_STATE(9355)] = 149328,
  [SMALL_STATE(9356)] = 149336,
  [SMALL_STATE(9357)] = 149344,
  [SMALL_STATE(9358)] = 149352,
  [SMALL_STATE(9359)] = 149360,
  [SMALL_STATE(9360)] = 149368,
  [SMALL_STATE(9361)] = 149376,
  [SMALL_STATE(9362)] = 149384,
  [SMALL_STATE(9363)] = 149392,
  [SMALL_STATE(9364)] = 149400,
  [SMALL_STATE(9365)] = 149408,
  [SMALL_STATE(9366)] = 149416,
  [SMALL_STATE(9367)] = 149424,
  [SMALL_STATE(9368)] = 149432,
  [SMALL_STATE(9369)] = 149440,
  [SMALL_STATE(9370)] = 149448,
  [SMALL_STATE(9371)] = 149456,
  [SMALL_STATE(9372)] = 149464,
  [SMALL_STATE(9373)] = 149472,
  [SMALL_STATE(9374)] = 149480,
  [SMALL_STATE(9375)] = 149488,
  [SMALL_STATE(9376)] = 149496,
  [SMALL_STATE(9377)] = 149504,
  [SMALL_STATE(9378)] = 149512,
  [SMALL_STATE(9379)] = 149520,
  [SMALL_STATE(9380)] = 149528,
  [SMALL_STATE(9381)] = 149536,
  [SMALL_STATE(9382)] = 149544,
  [SMALL_STATE(9383)] = 149552,
  [SMALL_STATE(9384)] = 149560,
  [SMALL_STATE(9385)] = 149568,
  [SMALL_STATE(9386)] = 149576,
  [SMALL_STATE(9387)] = 149584,
  [SMALL_STATE(9388)] = 149592,
  [SMALL_STATE(9389)] = 149600,
  [SMALL_STATE(9390)] = 149608,
  [SMALL_STATE(9391)] = 149616,
  [SMALL_STATE(9392)] = 149624,
  [SMALL_STATE(9393)] = 149632,
  [SMALL_STATE(9394)] = 149640,
  [SMALL_STATE(9395)] = 149648,
  [SMALL_STATE(9396)] = 149656,
  [SMALL_STATE(9397)] = 149664,
  [SMALL_STATE(9398)] = 149672,
  [SMALL_STATE(9399)] = 149680,
  [SMALL_STATE(9400)] = 149688,
  [SMALL_STATE(9401)] = 149696,
  [SMALL_STATE(9402)] = 149704,
  [SMALL_STATE(9403)] = 149712,
  [SMALL_STATE(9404)] = 149720,
  [SMALL_STATE(9405)] = 149728,
  [SMALL_STATE(9406)] = 149736,
  [SMALL_STATE(9407)] = 149744,
  [SMALL_STATE(9408)] = 149752,
  [SMALL_STATE(9409)] = 149760,
  [SMALL_STATE(9410)] = 149768,
  [SMALL_STATE(9411)] = 149776,
  [SMALL_STATE(9412)] = 149784,
  [SMALL_STATE(9413)] = 149792,
  [SMALL_STATE(9414)] = 149800,
  [SMALL_STATE(9415)] = 149808,
  [SMALL_STATE(9416)] = 149816,
  [SMALL_STATE(9417)] = 149824,
  [SMALL_STATE(9418)] = 149832,
  [SMALL_STATE(9419)] = 149840,
  [SMALL_STATE(9420)] = 149848,
  [SMALL_STATE(9421)] = 149856,
  [SMALL_STATE(9422)] = 149864,
  [SMALL_STATE(9423)] = 149872,
  [SMALL_STATE(9424)] = 149880,
  [SMALL_STATE(9425)] = 149888,
  [SMALL_STATE(9426)] = 149896,
  [SMALL_STATE(9427)] = 149904,
  [SMALL_STATE(9428)] = 149912,
  [SMALL_STATE(9429)] = 149920,
  [SMALL_STATE(9430)] = 149928,
  [SMALL_STATE(9431)] = 149936,
  [SMALL_STATE(9432)] = 149944,
  [SMALL_STATE(9433)] = 149952,
  [SMALL_STATE(9434)] = 149960,
  [SMALL_STATE(9435)] = 149968,
  [SMALL_STATE(9436)] = 149976,
  [SMALL_STATE(9437)] = 149984,
  [SMALL_STATE(9438)] = 149992,
  [SMALL_STATE(9439)] = 150000,
  [SMALL_STATE(9440)] = 150008,
  [SMALL_STATE(9441)] = 150016,
  [SMALL_STATE(9442)] = 150024,
  [SMALL_STATE(9443)] = 150032,
  [SMALL_STATE(9444)] = 150040,
  [SMALL_STATE(9445)] = 150048,
  [SMALL_STATE(9446)] = 150056,
  [SMALL_STATE(9447)] = 150064,
  [SMALL_STATE(9448)] = 150072,
  [SMALL_STATE(9449)] = 150080,
  [SMALL_STATE(9450)] = 150088,
  [SMALL_STATE(9451)] = 150096,
  [SMALL_STATE(9452)] = 150104,
  [SMALL_STATE(9453)] = 150112,
  [SMALL_STATE(9454)] = 150120,
  [SMALL_STATE(9455)] = 150128,
  [SMALL_STATE(9456)] = 150136,
  [SMALL_STATE(9457)] = 150144,
  [SMALL_STATE(9458)] = 150152,
  [SMALL_STATE(9459)] = 150160,
  [SMALL_STATE(9460)] = 150168,
  [SMALL_STATE(9461)] = 150176,
  [SMALL_STATE(9462)] = 150184,
  [SMALL_STATE(9463)] = 150192,
  [SMALL_STATE(9464)] = 150200,
  [SMALL_STATE(9465)] = 150208,
  [SMALL_STATE(9466)] = 150216,
  [SMALL_STATE(9467)] = 150224,
  [SMALL_STATE(9468)] = 150232,
  [SMALL_STATE(9469)] = 150240,
  [SMALL_STATE(9470)] = 150248,
  [SMALL_STATE(9471)] = 150256,
  [SMALL_STATE(9472)] = 150264,
  [SMALL_STATE(9473)] = 150272,
  [SMALL_STATE(9474)] = 150280,
  [SMALL_STATE(9475)] = 150288,
  [SMALL_STATE(9476)] = 150296,
  [SMALL_STATE(9477)] = 150304,
  [SMALL_STATE(9478)] = 150312,
  [SMALL_STATE(9479)] = 150320,
  [SMALL_STATE(9480)] = 150328,
  [SMALL_STATE(9481)] = 150336,
  [SMALL_STATE(9482)] = 150344,
  [SMALL_STATE(9483)] = 150352,
  [SMALL_STATE(9484)] = 150360,
  [SMALL_STATE(9485)] = 150368,
  [SMALL_STATE(9486)] = 150376,
  [SMALL_STATE(9487)] = 150384,
  [SMALL_STATE(9488)] = 150392,
  [SMALL_STATE(9489)] = 150400,
  [SMALL_STATE(9490)] = 150408,
  [SMALL_STATE(9491)] = 150416,
  [SMALL_STATE(9492)] = 150424,
  [SMALL_STATE(9493)] = 150432,
  [SMALL_STATE(9494)] = 150440,
  [SMALL_STATE(9495)] = 150448,
  [SMALL_STATE(9496)] = 150456,
  [SMALL_STATE(9497)] = 150464,
  [SMALL_STATE(9498)] = 150472,
  [SMALL_STATE(9499)] = 150480,
  [SMALL_STATE(9500)] = 150488,
  [SMALL_STATE(9501)] = 150496,
  [SMALL_STATE(9502)] = 150504,
  [SMALL_STATE(9503)] = 150512,
  [SMALL_STATE(9504)] = 150520,
  [SMALL_STATE(9505)] = 150528,
  [SMALL_STATE(9506)] = 150536,
  [SMALL_STATE(9507)] = 150544,
  [SMALL_STATE(9508)] = 150552,
  [SMALL_STATE(9509)] = 150560,
  [SMALL_STATE(9510)] = 150568,
  [SMALL_STATE(9511)] = 150576,
  [SMALL_STATE(9512)] = 150584,
  [SMALL_STATE(9513)] = 150592,
  [SMALL_STATE(9514)] = 150600,
  [SMALL_STATE(9515)] = 150608,
  [SMALL_STATE(9516)] = 150616,
  [SMALL_STATE(9517)] = 150624,
  [SMALL_STATE(9518)] = 150632,
  [SMALL_STATE(9519)] = 150640,
  [SMALL_STATE(9520)] = 150648,
  [SMALL_STATE(9521)] = 150656,
  [SMALL_STATE(9522)] = 150664,
  [SMALL_STATE(9523)] = 150672,
  [SMALL_STATE(9524)] = 150680,
  [SMALL_STATE(9525)] = 150688,
  [SMALL_STATE(9526)] = 150696,
  [SMALL_STATE(9527)] = 150704,
  [SMALL_STATE(9528)] = 150712,
  [SMALL_STATE(9529)] = 150720,
  [SMALL_STATE(9530)] = 150728,
  [SMALL_STATE(9531)] = 150736,
  [SMALL_STATE(9532)] = 150744,
  [SMALL_STATE(9533)] = 150752,
  [SMALL_STATE(9534)] = 150760,
  [SMALL_STATE(9535)] = 150768,
  [SMALL_STATE(9536)] = 150776,
  [SMALL_STATE(9537)] = 150784,
  [SMALL_STATE(9538)] = 150792,
  [SMALL_STATE(9539)] = 150800,
  [SMALL_STATE(9540)] = 150808,
  [SMALL_STATE(9541)] = 150816,
  [SMALL_STATE(9542)] = 150824,
  [SMALL_STATE(9543)] = 150832,
  [SMALL_STATE(9544)] = 150840,
  [SMALL_STATE(9545)] = 150848,
  [SMALL_STATE(9546)] = 150856,
  [SMALL_STATE(9547)] = 150864,
  [SMALL_STATE(9548)] = 150872,
  [SMALL_STATE(9549)] = 150880,
  [SMALL_STATE(9550)] = 150888,
  [SMALL_STATE(9551)] = 150896,
  [SMALL_STATE(9552)] = 150904,
  [SMALL_STATE(9553)] = 150912,
  [SMALL_STATE(9554)] = 150920,
  [SMALL_STATE(9555)] = 150928,
  [SMALL_STATE(9556)] = 150936,
  [SMALL_STATE(9557)] = 150944,
  [SMALL_STATE(9558)] = 150952,
  [SMALL_STATE(9559)] = 150960,
  [SMALL_STATE(9560)] = 150968,
  [SMALL_STATE(9561)] = 150976,
  [SMALL_STATE(9562)] = 150984,
  [SMALL_STATE(9563)] = 150992,
  [SMALL_STATE(9564)] = 151000,
  [SMALL_STATE(9565)] = 151008,
  [SMALL_STATE(9566)] = 151016,
  [SMALL_STATE(9567)] = 151024,
  [SMALL_STATE(9568)] = 151032,
  [SMALL_STATE(9569)] = 151040,
  [SMALL_STATE(9570)] = 151048,
  [SMALL_STATE(9571)] = 151056,
  [SMALL_STATE(9572)] = 151064,
  [SMALL_STATE(9573)] = 151072,
  [SMALL_STATE(9574)] = 151080,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8159),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8675),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9056),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8234),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8692),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9020),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8613),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9265),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9474),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7064),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8833),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9519),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9007),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8156),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 2, 0, 22),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 3, 0, 73),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 22),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 138),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 22),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 73),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 22),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 5, 0, 138),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 138),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 73),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 4, 0, 22),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4616),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3888),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4586),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8156),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4470),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4369),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3779),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9073),
  [383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3946),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5176),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4203),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5372),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4509),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4426),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4452),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8675),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9056),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8234),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4419),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6405),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3712),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2323),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2315),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4084),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4159),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3942),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4005),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3752),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5103),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3753),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8692),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9095),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5361),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6045),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5390),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8489),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3726),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5396),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3485),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3464),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5294),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3918),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5375),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5428),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9020),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8436),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8441),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8513),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8642),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5520),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5425),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5386),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9265),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9474),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7064),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8833),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3739),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7119),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5233),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5373),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5347),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5333),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9007),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5371),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5134),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5336),
  [635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 1, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4593),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4109),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4633),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3893),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4593),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8250),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3690),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(272),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5298),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 3, 0, 0),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4184),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4529),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3836),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4536),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8159),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3691),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4358),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5322),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9043),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9468),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 138),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 73),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 22),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8309),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8188),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4306),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4328),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5260),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8288),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5409),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4110),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4635),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3892),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4591),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8255),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [1503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3946),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4426),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8675),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9043),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4419),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6405),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3719),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2353),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2399),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4084),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4159),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3942),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4005),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3738),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5366),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9468),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [1578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9095),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5361),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5308),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9265),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9474),
  [1614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [1620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [1623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [1626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [1632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4936),
  [1635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5336),
  [1638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [1641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4165),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4563),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3852),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4553),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3946),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4426),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8675),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9043),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4419),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6405),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3719),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2323),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2315),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4084),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4159),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3942),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4005),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3738),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5366),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9468),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [1751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9095),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5361),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [1763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5260),
  [1772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9265),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9474),
  [1781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [1787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [1790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [1793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [1799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4936),
  [1802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5336),
  [1805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [1808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4172),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4608),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3887),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4584),
  [1823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8309),
  [1826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [1829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2310),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2311),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5288),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4121),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4648),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3899),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4602),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8288),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2366),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2367),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5267),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4119),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4644),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3902),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4607),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8282),
  [1880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [1883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2360),
  [1886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2361),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5262),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4154),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4603),
  [1898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3878),
  [1901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4573),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8188),
  [1907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [1910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2383),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2385),
  [1916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5305),
  [1919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4094),
  [1922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4619),
  [1925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3896),
  [1928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4596),
  [1931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8185),
  [1934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(295),
  [1937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2330),
  [1943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5324),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 2, 0, 22),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 138),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 3, 0, 73),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 73),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 22),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 138),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 22),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 2, 0, 22),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 3, 0, 73),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 22),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 73),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 22),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 138),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 73),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 22),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 138),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 138),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8224),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8231),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4111),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4636),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [2775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4594),
  [2778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8258),
  [2781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [2790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(669),
  [2793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5268),
  [2796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [2799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5372),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [2808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4029),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5390),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [2817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [2820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8489),
  [2823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3726),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5396),
  [2829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3485),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3464),
  [2835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5321),
  [2838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3918),
  [2841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5375),
  [2844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5428),
  [2847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(9020),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [2853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8436),
  [2856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8441),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8513),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8642),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5520),
  [2868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5425),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5386),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7064),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8833),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3739),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7119),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [2910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5233),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5373),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5347),
  [2922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5333),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(9007),
  [2928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5371),
  [2931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5134),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [2937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5336),
  [2940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [2943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8263),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8292),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [3010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4104),
  [3013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4575),
  [3016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3839),
  [3019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4551),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [3025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [3028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [3031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [3034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [3036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(702),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3946),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [3045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [3048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4426),
  [3051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8675),
  [3054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9043),
  [3057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4419),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6405),
  [3066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3719),
  [3069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [3072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2405),
  [3075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [3078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [3081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4084),
  [3084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4159),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3942),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4005),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3738),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [3099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5366),
  [3102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [3105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9468),
  [3108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [3111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [3114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [3117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9095),
  [3120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [3123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5361),
  [3126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8230),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [3135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5406),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [3141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9265),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9474),
  [3147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [3150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [3153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [3156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [3159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [3162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [3165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4936),
  [3168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5336),
  [3171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [3174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [3177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4192),
  [3180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4585),
  [3183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3873),
  [3186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [3189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8493),
  [3192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [3195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2409),
  [3198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2404),
  [3201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5405),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [3212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [3215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4646),
  [3218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3903),
  [3221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4609),
  [3224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8284),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [3230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [3251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4129),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4656),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(3909),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4622),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(8312),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4012),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(4019),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 191),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [3278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 191), SHIFT(2065),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4129),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4656),
  [3317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(3909),
  [3320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4622),
  [3323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(8312),
  [3326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4012),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(4019),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 202),
  [3336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 202), SHIFT(2065),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4129),
  [3342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4656),
  [3345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(3909),
  [3348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4622),
  [3351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(8312),
  [3354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4012),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(4019),
  [3362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 203),
  [3364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 203), SHIFT(2065),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4129),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4656),
  [3373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(3909),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4622),
  [3379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(8312),
  [3382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4012),
  [3385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(4019),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 190),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 190), SHIFT(2065),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4129),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4656),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3909),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4622),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(8312),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4012),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4019),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0),
  [3418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(2065),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4129),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4656),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(3909),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4622),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(8312),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4012),
  [3439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(4019),
  [3442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 191),
  [3444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 191), SHIFT(2065),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152),
  [3449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4129),
  [3452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4656),
  [3455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(3909),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4622),
  [3461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(8312),
  [3464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4012),
  [3467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(4019),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 202),
  [3472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 202), SHIFT(2065),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4129),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4656),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(3909),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4622),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(8312),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4012),
  [3493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(4019),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 203),
  [3498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 203), SHIFT(2065),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 152),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 1, 0, 0),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [3559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4129),
  [3562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4656),
  [3565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3909),
  [3568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4622),
  [3571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(8312),
  [3574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4012),
  [3577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4019),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(2065),
  [3583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4129),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4656),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(3909),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4622),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(8312),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4012),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(4019),
  [3622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 190), SHIFT(2065),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4129),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4656),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3909),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4622),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(8312),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4012),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4019),
  [3660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(2065),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4129),
  [3672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4656),
  [3675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(3909),
  [3678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4622),
  [3681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(8312),
  [3684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4012),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(4019),
  [3692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 190), SHIFT(2065),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4129),
  [3702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4656),
  [3705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(3909),
  [3708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4622),
  [3711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(8312),
  [3714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4012),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [3719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(4019),
  [3722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 191), SHIFT(2065),
  [3725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4129),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4656),
  [3731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(3909),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4622),
  [3737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(8312),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4012),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [3745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(4019),
  [3748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 202), SHIFT(2065),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4129),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4656),
  [3757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(3909),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4622),
  [3763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(8312),
  [3766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4012),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(4019),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 203), SHIFT(2065),
  [3777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4129),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4656),
  [3783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3909),
  [3786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4622),
  [3789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8312),
  [3792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(774),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5276),
  [3798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4135),
  [3801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4664),
  [3804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3914),
  [3807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4632),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8332),
  [3813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(775),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5259),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 1, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4146),
  [3834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4598),
  [3837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3882),
  [3840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4579),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8400),
  [3846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(784),
  [3849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2407),
  [3855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 3, 0, 0),
  [3868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [3870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 2, 0, 0),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4105),
  [3877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4625),
  [3880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3838),
  [3883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4547),
  [3886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8224),
  [3889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [3892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [3895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [3898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [3901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5268),
  [3904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [3907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [3910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5372),
  [3913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [3915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [3918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4029),
  [3921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5390),
  [3924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [3930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8489),
  [3933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3726),
  [3936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5396),
  [3939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3485),
  [3942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3464),
  [3945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5271),
  [3948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3918),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5375),
  [3954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5428),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(9020),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [3963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8436),
  [3966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8441),
  [3969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8513),
  [3972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8642),
  [3975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5520),
  [3978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5425),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8613),
  [3987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5386),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [3993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7064),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8833),
  [3999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3739),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7119),
  [4005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [4008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [4017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [4020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [4023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5233),
  [4026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5373),
  [4029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5347),
  [4032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5333),
  [4035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(9007),
  [4038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5371),
  [4041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5134),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2065),
  [4047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5336),
  [4050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [4053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [4056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4106),
  [4059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4627),
  [4062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3876),
  [4065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4571),
  [4068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8231),
  [4071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(800),
  [4074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5283),
  [4077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4126),
  [4080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4653),
  [4083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3885),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4583),
  [4089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8304),
  [4092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [4095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(5273),
  [4098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 148), SHIFT(4012),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 148),
  [4107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0), SHIFT(4012),
  [4110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0),
  [4112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 148), SHIFT(4012),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 148),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0), SHIFT(4012),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0), SHIFT(4012),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 148), SHIFT(4012),
  [4136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 148),
  [4138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0), SHIFT(4012),
  [4141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0),
  [4143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 148), SHIFT(4012),
  [4146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 148),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4088),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4649),
  [4156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3905),
  [4159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4613),
  [4162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8292),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [4168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5269),
  [4171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4113),
  [4174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4638),
  [4177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3900),
  [4180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4605),
  [4183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8263),
  [4186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [4189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5295),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4188),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4614),
  [4274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3822),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4674),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [4283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [4286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5316),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(4133),
  [4292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(4660),
  [4295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(3912),
  [4298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(4628),
  [4301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(8326),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(4012),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [4311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 152), SHIFT(2065),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5380),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5277),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4652),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8302),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5370),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5272),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [4358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4133),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4660),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3912),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4628),
  [4370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(8326),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4012),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(2065),
  [4381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4133),
  [4384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4660),
  [4387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3912),
  [4390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4628),
  [4393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(8326),
  [4396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4012),
  [4399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(2065),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4133),
  [4407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4660),
  [4410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3912),
  [4413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4628),
  [4416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(8326),
  [4419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4012),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(2065),
  [4427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4127),
  [4430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4654),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3908),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4620),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8306),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(838),
  [4445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5275),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4133),
  [4453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4660),
  [4456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3912),
  [4459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4628),
  [4462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8326),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [4468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5279),
  [4471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(4133),
  [4474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(4660),
  [4477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(3912),
  [4480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(4628),
  [4483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(8326),
  [4486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(4012),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 152), SHIFT(2065),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(4133),
  [4499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(4660),
  [4502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(3912),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(4628),
  [4508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(8326),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(4012),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 152), SHIFT(2065),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4134),
  [4552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4662),
  [4555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3913),
  [4558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4630),
  [4561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(8329),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4012),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4019),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [4574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(2065),
  [4577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(4134),
  [4580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(4662),
  [4583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(3913),
  [4586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(4630),
  [4589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(8329),
  [4592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(4012),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(4019),
  [4600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 152), SHIFT(2065),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 152),
  [4607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 201), SHIFT(4012),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 201), SHIFT(4011),
  [4615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 201),
  [4617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 201), SHIFT(2065),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(4134),
  [4625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(4662),
  [4628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(3913),
  [4631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(4630),
  [4634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(8329),
  [4637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(4012),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(4019),
  [4645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 3, 0, 152), SHIFT(2065),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 189), SHIFT(4012),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 189), SHIFT(4011),
  [4658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 189),
  [4660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 189), SHIFT(2065),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4097),
  [4668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4621),
  [4671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3875),
  [4674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4569),
  [4677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8203),
  [4680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [4683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5297),
  [4686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 201), SHIFT(4012),
  [4689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 201), SHIFT(4011),
  [4692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 201),
  [4694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 201), SHIFT(2065),
  [4697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 189), SHIFT(4012),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 189), SHIFT(4011),
  [4705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 189),
  [4707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 189), SHIFT(2065),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4112),
  [4715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4637),
  [4718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3897),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4600),
  [4724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8260),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5327),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4101),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4623),
  [4739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3884),
  [4742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4581),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8213),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5304),
  [4754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4108),
  [4757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4631),
  [4760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3890),
  [4763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4589),
  [4766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8245),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [4772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5292),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 152),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [4782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4651),
  [4785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3906),
  [4788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4615),
  [4791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8299),
  [4794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [4797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5270),
  [4800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4125),
  [4803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4652),
  [4806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3907),
  [4809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4617),
  [4812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8302),
  [4815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(895),
  [4818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5272),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4130),
  [4826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4657),
  [4829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3910),
  [4832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4624),
  [4835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8317),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [4841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5277),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [4846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4134),
  [4849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4662),
  [4852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3913),
  [4855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4630),
  [4858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8329),
  [4861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [4864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5280),
  [4867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4136),
  [4870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4665),
  [4873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3793),
  [4876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4634),
  [4879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8335),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(901),
  [4885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5282),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 201), SHIFT(4012),
  [4899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 201), SHIFT(4011),
  [4902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 201),
  [4904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 7, 0, 201), SHIFT(2065),
  [4907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 189), SHIFT(4012),
  [4910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 189), SHIFT(4011),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 189),
  [4915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 189), SHIFT(2065),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4134),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4662),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3913),
  [4929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4630),
  [4932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(8329),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4012),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4019),
  [4943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(2065),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 147), SHIFT(4012),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [4975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 147), SHIFT(4011),
  [4978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 147), SHIFT(2065),
  [4981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 147), SHIFT(4012),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 147), SHIFT(4011),
  [4989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 147), SHIFT(2065),
  [4992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 147), SHIFT(4012),
  [4995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 147), SHIFT(4011),
  [4998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 147), SHIFT(2065),
  [5001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4132),
  [5004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4659),
  [5007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3911),
  [5010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4626),
  [5013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8324),
  [5016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [5019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(5278),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8289),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [5044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 163),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [5048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 163),
  [5050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 22),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 22),
  [5056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 22),
  [5058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 73),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 73),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [5064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 73),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 73),
  [5070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 73),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 73),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 2),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 2),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [5082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 74),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 74),
  [5090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 106),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 106),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 73),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 107),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 107),
  [5108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 3),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 3),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 73),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 73),
  [5118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 22),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 22),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [5128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 22),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 5),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 5),
  [5134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 137),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [5138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 137),
  [5140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 22),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 22),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 22),
  [5148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 139),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 139),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 6),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 6),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [5160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 3, 0, 0),
  [5162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 3, 0, 0),
  [5164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 137),
  [5166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 137),
  [5168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 2, 0, 0),
  [5170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 2, 0, 0),
  [5172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 22),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 22),
  [5176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 73),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 73),
  [5180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 92),
  [5182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 92),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data, 2, 0, 0),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data, 2, 0, 0),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 50),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 50),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 3, 0, 0),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 3, 0, 0),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 4, 0, 0),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 4, 0, 0),
  [5200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 3, 0, 94),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 3, 0, 94),
  [5204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 3, 0, 0),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 3, 0, 0),
  [5208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 73),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 73),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 22),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 22),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 2, 0, 0),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 2, 0, 0),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 4, 0, 95),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 4, 0, 95),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 2, 0, 51),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 2, 0, 51),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 95),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 95),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 2, 0, 54),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 2, 0, 54),
  [5236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 93),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 93),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 51),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 51),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 4, 0, 93),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 4, 0, 93),
  [5248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 5, 0, 0),
  [5250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 5, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 11),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 11),
  [5256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 5, 0, 128),
  [5258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 5, 0, 128),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 4, 0, 96),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 4, 0, 96),
  [5264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 33),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 33),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 22),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 22),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 35),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 35),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 3, 0, 44),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 3, 0, 44),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 72),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 72),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 46),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 46),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 105),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 105),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 53),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 53),
  [5296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, 0, 0),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 0),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 4, 0, 94),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 4, 0, 94),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 4, 0, 0),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 4, 0, 0),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 5, 0, 0),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5, 0, 0),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 96),
  [5314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 96),
  [5316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 2, 0, 0),
  [5318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 2, 0, 0),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 4, 0, 92),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 4, 0, 92),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 2, 0, 53),
  [5326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 2, 0, 53),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 54),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 54),
  [5332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, 0, 0),
  [5334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 0),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 3, 0, 0),
  [5338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 3, 0, 0),
  [5340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 74),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 74),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 3, 0, 14),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 3, 0, 14),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 3, 0, 0),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [5352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 2, 0, 49),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 2, 0, 49),
  [5356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 3, 0, 0),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 3, 0, 0),
  [5360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 4, 0, 14),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 4, 0, 14),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 2, 0, 50),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 2, 0, 50),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data, 3, 0, 0),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data, 3, 0, 0),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 4, 0, 91),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 4, 0, 91),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 7, 0, 139),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 7, 0, 139),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_block_data_statement, 4, 0, 128),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_data_statement, 4, 0, 128),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 1, 0, 0),
  [5386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [5388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 2, 0, 0),
  [5390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 2, 0, 0),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 2, 0, 14),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 2, 0, 14),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 107),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 107),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 106),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 106),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 8, 0, 163),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 8, 0, 163),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 4, 0, 0),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 4, 0, 0),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 2, 0, 0),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 0),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 0),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 91),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 91),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 49),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 49),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 4, 0, 0),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 0),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 2, 0, 0),
  [5434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 2, 0, 0),
  [5436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, 0, 0),
  [5438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 0),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 22),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 73),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 73),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 73),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 198),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 198),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 183),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 183),
  [5526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 74),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 74),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 106),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 106),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 107),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 107),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 137),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 137),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 139),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 139),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 22),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [5574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 22),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 163),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 163),
  [5584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 73),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 73),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 165),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 165),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 22),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 22),
  [5604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 181),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 181),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [5612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 3, 0, 0),
  [5614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 3, 0, 0),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 181),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 181),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 2, 0, 0),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 2, 0, 0),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [5684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 2, 0, 55),
  [5686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 2, 0, 55),
  [5688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [5692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 3, 0, 0),
  [5694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 3, 0, 0),
  [5696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumeration_type, 3, 0, 0),
  [5698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type, 3, 0, 0),
  [5700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 183),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 183),
  [5704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 198),
  [5706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 198),
  [5708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 98),
  [5710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 98),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 55),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 55),
  [5716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [5720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 0),
  [5722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 0),
  [5724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumeration_type, 4, 0, 0),
  [5726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type, 4, 0, 0),
  [5728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0),
  [5733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 2, 0, 0),
  [5740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 2, 0, 0),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 2, 0, 0),
  [5744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 2, 0, 0),
  [5746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 73),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 73),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 3, 0, 0),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 3, 0, 0),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 74),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 74),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 4, 0, 98),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 4, 0, 98),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 106),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 106),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 4, 0, 0),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 4, 0, 0),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 4, 0, 0),
  [5772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 4, 0, 0),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 5, 0, 0),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 5, 0, 0),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 5, 0, 0),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 5, 0, 0),
  [5782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 107),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 107),
  [5786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 137),
  [5788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 137),
  [5790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 139),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 139),
  [5794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 163),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 163),
  [5798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 165),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 165),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 22),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 22),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 3, 0, 0),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 3, 0, 0),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [6142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 6, 0, 129),
  [6144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 6, 0, 129),
  [6146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 6, 0, 129),
  [6148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 6, 0, 129),
  [6150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure_statement, 4, 0, 78),
  [6152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 4, 0, 78),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [6192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 4, 0, 22),
  [6194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 22),
  [6196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 4, 0, 46),
  [6198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 46),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [6202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 4, 0, 46),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 46),
  [6206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 4, 0, 22),
  [6208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 22),
  [6210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure_statement, 5, 0, 176),
  [6212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 5, 0, 176),
  [6214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 4, 0, 97),
  [6216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 97),
  [6218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 4, 0, 97),
  [6220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 97),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [6226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program_statement, 3, 0, 36),
  [6228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program_statement, 3, 0, 36),
  [6230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 3, 0, 22),
  [6232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 22),
  [6234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 3, 0, 22),
  [6236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 22),
  [6238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 5, 0, 46),
  [6240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 5, 0, 46),
  [6242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 5, 0, 46),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 46),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [6254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 5, 0, 97),
  [6256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 5, 0, 97),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_statement, 5, 0, 129),
  [6260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 5, 0, 129),
  [6262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 5, 0, 129),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 129),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 5, 0, 97),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 97),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [6304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3635),
  [6307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3617),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 1, 0, 0),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [6314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(9519),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [6319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2410),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5378),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [6328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3564),
  [6331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3646),
  [6334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2408),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [6343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 1, 0, 1),
  [6345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 1, 0, 1),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 165),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [6367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 165),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [6373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 74),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 74),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 137),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 137),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [6415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 181),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [6419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 181),
  [6421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 107),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [6425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 107),
  [6427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 163),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 163),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 139),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [6437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 139),
  [6439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 106),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 106),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 165),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 165),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 74),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 74),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 163),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 163),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [6541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 106),
  [6543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 106),
  [6545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 107),
  [6547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 107),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 9, 0, 181),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 9, 0, 181),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [6565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 8, 0, 184),
  [6567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 8, 0, 184),
  [6569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 137),
  [6571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 137),
  [6573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 139),
  [6575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 139),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [6581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 6, 0, 140),
  [6583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 6, 0, 140),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [6589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_statement, 3, 0, 0),
  [6591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_statement, 3, 0, 0),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8992),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9012),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [6641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [6681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 2, 0, 15),
  [6683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 2, 0, 15),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [6697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 3, 0, 37),
  [6699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 3, 0, 37),
  [6701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 3, 0, 15),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 3, 0, 15),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [6713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_data_statement, 4, 0, 37),
  [6715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_data_statement, 4, 0, 37),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [6743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [6745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [6748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [6751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5598),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [6841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 22),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 22),
  [6847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 139),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 139),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 4, 1, 0),
  [6855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 4, 1, 0),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [6859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 165),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [6863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 165),
  [6865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 106),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 106),
  [6871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 2, 1, 0),
  [6873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 2, 1, 0),
  [6875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 22),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 22),
  [6881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 73),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 73),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [6903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 73),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 73),
  [6909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 163),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 163),
  [6915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 22),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 22),
  [6921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 3, 1, 0),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 3, 1, 0),
  [6925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 73),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 73),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 107),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 107),
  [6937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 74),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [6941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 74),
  [6943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 137),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 137),
  [6949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 22),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [6953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 22),
  [6955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 73),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 73),
  [6961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 181),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [6965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 181),
  [6967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 22),
  [6969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 22),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 106),
  [6995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 106),
  [6997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 163),
  [6999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 163),
  [7001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 181),
  [7003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 181),
  [7005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 73),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 73),
  [7011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 139),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 139),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [7017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 137),
  [7019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 137),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 107),
  [7025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 107),
  [7027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 74),
  [7029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 74),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [7033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [7035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [7037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 165),
  [7039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 165),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 5, 0, 0),
  [7111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 5, 0, 0),
  [7113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [7115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 1, 0, 0),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 6, 0, 0),
  [7121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 6, 0, 0),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 3, 0, 0),
  [7125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 3, 0, 0),
  [7127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 7, 0, 0),
  [7129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 7, 0, 0),
  [7131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 4, 0, 0),
  [7133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 4, 0, 0),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 1, 0, 0),
  [7137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 1, 0, 0),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [7173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [7211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 181),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [7215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 181),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [7229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 163),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [7233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 163),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [7239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 4, 0, 73),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [7243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 4, 0, 73),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [7247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 165),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [7251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 165),
  [7253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 107),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [7257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 107),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [7265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 73),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [7269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 73),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [7273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3505),
  [7276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [7279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3646),
  [7282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [7285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0),
  [7287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [7290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [7293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4029),
  [7296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [7299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [7302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3658),
  [7305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9519),
  [7308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [7311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [7314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [7317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [7320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4705),
  [7323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4740),
  [7326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9234),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [7337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 137),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 137),
  [7343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 139),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [7347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 139),
  [7349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 106),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 106),
  [7355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 73),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 73),
  [7361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 22),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [7365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 22),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [7377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 22),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [7381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 22),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [7389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 22),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [7393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 22),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 2, 0, 0),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [7407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 73),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [7411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 73),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [7421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 3, 0, 0),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 1, 0, 0),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [7467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 74),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [7471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 74),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [7475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 3, 0, 22),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [7479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 3, 0, 22),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [7537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 2, 0, 0),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [7601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 8, 0, 165),
  [7603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 8, 0, 165),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [7635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 106),
  [7637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 106),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [7643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 107),
  [7645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 107),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [7657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [7659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [7685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 74),
  [7687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 74),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [7693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 9, 0, 181),
  [7695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 9, 0, 181),
  [7697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 73),
  [7699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 73),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [7705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 137),
  [7707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 137),
  [7709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 139),
  [7711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 139),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [7737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 22),
  [7739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 22),
  [7741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 163),
  [7743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 163),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [7769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 1, 0, 0),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [7797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 2, 0, 0),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [7807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [7817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 2, 0, 0),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [7961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 2, 0, 0),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [7965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 3, 0, 0),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 2, 0, 0),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [7985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 2, 0, 0),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [7991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 2, 0, 0),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [8003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [8025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 1, 0, 0),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [8029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [8039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [8043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [8051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 7),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [8069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [8073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [8081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [8085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [8089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [8117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [8129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [8155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [8165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [8169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [8201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [8205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [8219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [8221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [8223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [8227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [8239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [8243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [8249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [8257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 1, 0, 118),
  [8259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [8263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 1, 0, 0),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [8267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 1, 0, 0),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [8271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [8273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [8275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [8277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [8279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [8281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [8283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [8289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [8295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [8297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [8299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [8303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 7),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [8307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [8313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [8315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 19),
  [8317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 19),
  [8319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [8321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [8323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [8325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [8327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 1, 0, 0),
  [8329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 1, 0, 0),
  [8331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 2, 0, 27),
  [8333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 2, 0, 27),
  [8335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 61),
  [8337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 61),
  [8339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 0),
  [8341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 0),
  [8343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 62),
  [8345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 62),
  [8347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [8350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [8355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [8359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [8361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [8363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [8365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [8367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [8369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 83),
  [8385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 83),
  [8387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 81),
  [8389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 81),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [8413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 79),
  [8427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 79),
  [8429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 82),
  [8431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 82),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [8435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 0),
  [8437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 0),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [8447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [8449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(5139),
  [8452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(5137),
  [8455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(5140),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6734),
  [8474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 112),
  [8476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 112),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [8480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 78),
  [8482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 78),
  [8484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 113),
  [8486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 113),
  [8488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 115),
  [8490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 115),
  [8492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 116),
  [8494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 116),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [8498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 5, 0, 166),
  [8500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 5, 0, 166),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [8526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 2, 0, 0),
  [8528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_set, 2, 0, 0),
  [8530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 6, 0, 185),
  [8532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 6, 0, 185),
  [8534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [8536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [8538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [8540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [8542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 3, 0, 0),
  [8544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 3, 0, 0),
  [8546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [8548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [8550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [8552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [8554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 4, 0, 141),
  [8556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_value, 4, 0, 141),
  [8558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [8560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [8562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0),
  [8564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 3, 0, 0),
  [8566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_set, 3, 0, 0),
  [8568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [8570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [8572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_spec, 2, 0, 0),
  [8574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_spec, 2, 0, 0),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9112),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [8586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [8588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [8590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [8592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8675),
  [8595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(9043),
  [8598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(4005),
  [8601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [8603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [8606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(3922),
  [8609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(9095),
  [8612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(7453),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9472),
  [8619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9473),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7067),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [8679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [8723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [8729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 6, 0, 0),
  [8735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 6, 0, 0),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [8739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 4, 0, 0),
  [8741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 4, 0, 0),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [8757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 3, 0, 0),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [8763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 84),
  [8765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 84),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 20),
  [8773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 20),
  [8775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [8777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [8781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [8789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [8791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [8793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [8795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [8797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 117),
  [8799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 117),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 8),
  [8809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 8),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [8813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_common_statement, 2, 0, 0),
  [8817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [8821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [8825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [8831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 42),
  [8833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 42),
  [8835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 1, 0, 0),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [8839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 1, 0, 0),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [8843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4474),
  [8846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4077),
  [8849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [8851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4071),
  [8854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4039),
  [8857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4073),
  [8860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4040),
  [8863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4041),
  [8866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 2, 0, 0),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [8870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 2, 0, 0),
  [8872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 4, 0, 0),
  [8874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 4, 0, 0),
  [8876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 3, 0, 42),
  [8878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 3, 0, 42),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [8886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 2, 0, 156),
  [8888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 5, 0, 0),
  [8890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 5, 0, 0),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [8894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [8896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [8898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 1, 0, 127),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [8904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [8906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [8908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [8910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_declarator, 2, 0, 20),
  [8998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_declarator, 2, 0, 20),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [9072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 4, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 4, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_kind, 2, 0, 0),
  [9118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_kind, 2, 0, 0),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [9146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [9150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [9228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_kind, 1, 0, 0),
  [9230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_kind, 1, 0, 0),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6554),
  [9257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [9259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [9271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4411),
  [9274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [9276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [9286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [9288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [9290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 5, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 5, 0, 0),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [9308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [9312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 1, 0, 38),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [9318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 119),
  [9320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 85),
  [9322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 2, 0, 127),
  [9324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 1, 0, 45),
  [9326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [9328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [9330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 171),
  [9332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 75),
  [9334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 1, 0, 64),
  [9336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 2, 0, 90),
  [9338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 101),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 3, 0, 156),
  [9342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enumeration_type_statement, 3, 0, 2),
  [9344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 1, 0, 48),
  [9346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 1, 0, 86),
  [9348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 153),
  [9350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 1, 0, 154),
  [9352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 1, 0, 120),
  [9354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 146),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [9358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 77), SHIFT(6551),
  [9361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 77),
  [9363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 77),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8680),
  [9367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6551),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [9374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 77), SHIFT(6551),
  [9377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 7, 0, 77),
  [9379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 77),
  [9381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(6551),
  [9384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [9392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0), SHIFT(6542),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [9397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [9399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [9401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 134), SHIFT_REPEAT(5199),
  [9404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 134),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 134),
  [9408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0), SHIFT(6551),
  [9411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [9413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [9419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0), SHIFT(6551),
  [9422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [9426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0), SHIFT(6551),
  [9429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [9431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [9435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 1, 0, 0),
  [9437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 1, 0, 0),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [9445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declared_type, 4, 0, 78),
  [9447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declared_type, 4, 0, 78),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [9451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label_reference, 1, 0, 16),
  [9453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label_reference, 1, 0, 16),
  [9455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 131),
  [9457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 131),
  [9459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 77), SHIFT(6543),
  [9462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 77),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 77),
  [9466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 2, 0, 0),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 2, 0, 0),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(6552),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [9481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [9483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 57),
  [9485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 57),
  [9487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [9489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [9493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [9497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [9499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [9511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [9519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [9525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [9527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [9529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [9539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [9541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [9543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [9545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [9547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [9553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [9557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [9559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [9561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [9563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [9565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [9567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [9569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [9571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [9573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [9575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [9579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [9583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [9589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [9591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [9593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [9595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [9597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [9599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9379),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [9621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8161),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8839),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [9643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9248),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [9653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8995),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9496),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9397),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9407),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9555),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [9705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [9707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [9711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4098),
  [9714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4592),
  [9717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3848),
  [9720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4537),
  [9723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8418),
  [9726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [9728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6030),
  [9731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4704),
  [9734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [9736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4509),
  [9739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4334),
  [9742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4452),
  [9745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9316),
  [9748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9412),
  [9751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3725),
  [9754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6017),
  [9757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [9760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6006),
  [9763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9514),
  [9766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6045),
  [9769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7769),
  [9772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [9774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [9776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [9778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [9780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [9782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [9784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [9786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [9796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__kind, 2, 0, 27),
  [9802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__kind, 2, 0, 27),
  [9804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [9808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [9812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 2, 0, 10),
  [9814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 2, 0, 10),
  [9816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [9820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [9824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 2, 0, 22),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [9836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 1, 0, 9),
  [9838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 1, 0, 9),
  [9840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5531),
  [9842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 136),
  [9844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 136),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [9848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 3, 0, 73),
  [9850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 22),
  [9852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [9856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_member_expression, 3, 0, 68),
  [9858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_member_expression, 3, 0, 68),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [9862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5513),
  [9866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [9868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [9872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [9874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [9876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [9878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [9880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [9882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [9884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [9886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [9888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [9890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [9892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [9898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_literal, 1, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_literal, 1, 0, 0),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [9906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 32),
  [9908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 32),
  [9910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 73),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [9914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5452),
  [9916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [9918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 2, 0, 10),
  [9920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 2, 0, 10),
  [9922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 138),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [9926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [9928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_legacy, 3, 0, 47),
  [9930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_legacy, 3, 0, 47),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [9946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5527),
  [9950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [9954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_f2003, 3, 0, 47),
  [9956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_f2003, 3, 0, 47),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [9962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_expression, 2, 0, 0),
  [9964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_expression, 2, 0, 0),
  [9966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [9968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 22),
  [9970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [9972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 138),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [9980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_literal, 3, 0, 0),
  [9982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_literal, 3, 0, 0),
  [9984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [9986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [9988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [9990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4123),
  [9993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4650),
  [9996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3898),
  [9999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [10001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4601),
  [10004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8296),
  [10007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [10009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6021),
  [10012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4509),
  [10015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4452),
  [10018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(9316),
  [10021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(9412),
  [10024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6017),
  [10027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [10030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6006),
  [10033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(9514),
  [10036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6045),
  [10039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8025),
  [10042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [10044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [10046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [10048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [10050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_pointer_association, 3, 0, 69),
  [10052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_pointer_association, 3, 0, 69),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [10058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [10064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [10080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_assignment, 3, 0, 69),
  [10082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_assignment, 3, 0, 69),
  [10084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_expression, 3, 0, 67),
  [10086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_expression, 3, 0, 67),
  [10088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 67),
  [10090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 67),
  [10092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 3, 0, 67),
  [10094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 3, 0, 67),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 67),
  [10098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation_expression, 3, 0, 67),
  [10100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [10102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [10104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 12),
  [10106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 12),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [10110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [10112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [10114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [10116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [10120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4128),
  [10123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4655),
  [10126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3901),
  [10129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4606),
  [10132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8308),
  [10135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8030),
  [10138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 2, 0, 22),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [10142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [10158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4116),
  [10161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4641),
  [10164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3886),
  [10167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4676),
  [10170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8271),
  [10173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7998),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [10180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 3, 0, 22),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [10186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [10190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [10196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4107),
  [10199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4629),
  [10202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3841),
  [10205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4558),
  [10208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8239),
  [10211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7955),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [10220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [10222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [10230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [10236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [10240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [10244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [10246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [10252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4131),
  [10255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4658),
  [10258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3904),
  [10261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4610),
  [10264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8321),
  [10267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [10270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [10272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [10274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2419),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4131),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4658),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [10289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 138),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [10295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 1, 0, 0),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [10299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4117),
  [10302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4642),
  [10305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3891),
  [10308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4590),
  [10311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8274),
  [10314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8009),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [10325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [10333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 0),
  [10335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 0),
  [10337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 138),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [10341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 73),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [10347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4115),
  [10350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4640),
  [10353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3877),
  [10356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4572),
  [10359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8268),
  [10362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7986),
  [10365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4118),
  [10368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4643),
  [10371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3895),
  [10374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4595),
  [10377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8278),
  [10380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8015),
  [10383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 4, 0, 22),
  [10385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 3, 0, 73),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [10389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 2, 0, 0),
  [10391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 3, 0, 0),
  [10393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0),
  [10395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0),
  [10397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6030),
  [10400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [10403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4509),
  [10406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4334),
  [10409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4452),
  [10412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9316),
  [10415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9412),
  [10418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3737),
  [10421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6017),
  [10424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8161),
  [10427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6006),
  [10430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(9514),
  [10433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6045),
  [10436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8428),
  [10446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [10452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9477),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [10464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [10472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [10512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 1, 0, 0),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [10522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 3, 0, 0),
  [10524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 2, 0, 0),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [10528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4177),
  [10531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4612),
  [10534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3858),
  [10537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4560),
  [10540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8428),
  [10543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [10545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4426),
  [10548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [10550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9477),
  [10553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3958),
  [10556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3959),
  [10559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7269),
  [10562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [10565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [10568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [10571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9468),
  [10574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [10577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7348),
  [10580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 214),
  [10582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 214),
  [10584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 204),
  [10586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 204),
  [10588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 211),
  [10590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 211),
  [10592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 213),
  [10594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 213),
  [10596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 175),
  [10598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 175),
  [10600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 192),
  [10602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 192),
  [10604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 174),
  [10606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 174),
  [10608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 206),
  [10610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 206),
  [10612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 173),
  [10614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 173),
  [10616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 70),
  [10618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 70),
  [10620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 205),
  [10622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 205),
  [10624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 11, 0, 215),
  [10626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 11, 0, 215),
  [10628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 71),
  [10630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 71),
  [10632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 3, 0, 31),
  [10634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 3, 0, 31),
  [10636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 104),
  [10638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 104),
  [10640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 193),
  [10642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 193),
  [10644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 194),
  [10646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 194),
  [10648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 212),
  [10650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 212),
  [10652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 195),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 195),
  [10656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 157),
  [10658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 157),
  [10660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [10662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [10664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 1, 0, 0),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 1, 0, 0),
  [10670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 3, 0, 0),
  [10672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 3, 0, 0),
  [10674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 0),
  [10676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 0),
  [10678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4670),
  [10681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 4, 0, 0),
  [10683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 4, 0, 0),
  [10685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 5, 0, 0),
  [10687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 5, 0, 0),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [10691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [10709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 73),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [10713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 73),
  [10715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 107),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [10719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 107),
  [10721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 22),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [10725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 22),
  [10727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 22),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [10731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 22),
  [10733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 163),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [10737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 163),
  [10739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 137),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [10743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 137),
  [10745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2423),
  [10748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 74),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [10752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 74),
  [10754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 4, 0, 73),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [10758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 4, 0, 73),
  [10760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 139),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [10764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 139),
  [10766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 3, 0, 22),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [10770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 3, 0, 22),
  [10772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 106),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [10776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 106),
  [10778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 73),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [10782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 73),
  [10784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [10789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [10799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [10807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 74),
  [10809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 74),
  [10811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 7, 0, 139),
  [10813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 7, 0, 139),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [10819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [10823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [10849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [10867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 106),
  [10869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 106),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [10879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 107),
  [10881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 107),
  [10883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 22),
  [10885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 22),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [10889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 73),
  [10891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 73),
  [10893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2417),
  [10896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [10898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [10902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [10904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [10914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 43),
  [10916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 43),
  [10918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [10920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [10924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 1, 0, 0),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [10930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 2, 0, 21),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [10942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 1, 0, 0),
  [10944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2, 0, 0),
  [10946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [10948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 1, 0, 0),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [10952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 8, 0, 163),
  [10954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 8, 0, 163),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [10968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 137),
  [10970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 137),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [10986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 106),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [10990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 106),
  [10992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 3, 0, 0),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [11010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [11014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [11034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [11040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [11052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 0),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [11058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [11064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0),
  [11066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 73),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [11070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 73),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [11076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 22),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [11080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 22),
  [11082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 5, 0, 0),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [11088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 22),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 22),
  [11094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 139),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [11098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 139),
  [11100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 74),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [11104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 74),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [11108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 7),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [11114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 163),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [11118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 163),
  [11120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 22),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [11124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 22),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [11132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat1, 2, 0, 0),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [11136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 5, 0, 0),
  [11138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2427),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [11143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 137),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [11147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 137),
  [11149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 73),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [11153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 73),
  [11155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 107),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [11159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 107),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [11163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 3, 0, 0),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [11167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 5, 0, 188),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [11171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiple_subscript, 2, 0, 0),
  [11173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 3, 0, 0),
  [11175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [11177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 108),
  [11179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 73),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [11183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 73),
  [11185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 7, 0, 0),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [11189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 106),
  [11191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 106),
  [11193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 74),
  [11195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 74),
  [11197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 6, 0, 0),
  [11199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 6, 0, 0),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [11205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 7, 0, 0),
  [11207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4668),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [11224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 137),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 137),
  [11228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_association, 3, 0, 123),
  [11230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 73),
  [11232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 73),
  [11234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 107),
  [11236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 107),
  [11238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 158),
  [11240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 158),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [11244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 22),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 22),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [11252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 7, 0, 0),
  [11254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 139),
  [11256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 139),
  [11258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_assignment, 3, 0, 0),
  [11260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 158),
  [11262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 158),
  [11264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 163),
  [11266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 163),
  [11268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 130),
  [11270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 130),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [11278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 5, 0, 0),
  [11280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 2, 0, 0),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 7, 0, 210),
  [11284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [11286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [11290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 5, 0, 0),
  [11296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 5, 0, 0),
  [11298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 5, 0, 0),
  [11300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [11302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [11304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 69),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_association_statement, 3, 0, 0),
  [11308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 8, 0, 0),
  [11310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 130),
  [11312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 130),
  [11314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 2, 0, 0),
  [11316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 2, 0, 0),
  [11318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 4, 0, 0),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 7, 0, 0),
  [11322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 4, 0, 0),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [11384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2418),
  [11387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [11423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3710),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1, 0, 0),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [11468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 2, 0, 22),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [11472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [11484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_expressions, 1, 0, 0),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [11488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [11534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [11536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [11538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 3, 0, 21),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [11644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 124),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [11650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 3, 0, 73),
  [11652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 22),
  [11654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_identifier, 1, 0, 0),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [11658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_allocation, 2, 0, 42),
  [11660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_allocation, 2, 0, 20),
  [11662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0),
  [11664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [11668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3819),
  [11671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [11677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 138),
  [11679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 73),
  [11681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 22),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [11685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 138),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [11693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3993),
  [11696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3981),
  [11699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4010),
  [11702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3995),
  [11705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3792),
  [11708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 139),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [11712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 139),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [11716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 106),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [11720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 106),
  [11722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 4, 0, 166),
  [11724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 4, 0, 166),
  [11727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 73),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [11731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 73),
  [11733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 73),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [11737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 73),
  [11739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 22),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 22),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [11747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 74),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [11751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 74),
  [11753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 22),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [11757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 22),
  [11759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [11761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [11768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 107),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [11772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 107),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [11776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [11778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [11781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 137),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [11785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 137),
  [11787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 73),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [11791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 73),
  [11793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 22),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [11797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 22),
  [11799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 163),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [11803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 163),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [11809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [11811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [11813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [11815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 167),
  [11817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 167),
  [11819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 168),
  [11821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 168),
  [11823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 177),
  [11825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 177),
  [11827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 114),
  [11829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 114),
  [11831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 56),
  [11833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 56),
  [11835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [11837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [11839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 163),
  [11841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 163),
  [11843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 106),
  [11845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 106),
  [11847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 186),
  [11849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 186),
  [11851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 74),
  [11853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 74),
  [11855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 144),
  [11857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 144),
  [11859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 137),
  [11861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 137),
  [11863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 73),
  [11865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 73),
  [11867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 9, 0, 207),
  [11869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 9, 0, 207),
  [11871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 139),
  [11873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 139),
  [11875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 160),
  [11877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 160),
  [11879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 196),
  [11881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 196),
  [11883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 197),
  [11885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 197),
  [11887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [11889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [11891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 80),
  [11893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 80),
  [11895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 107),
  [11897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 107),
  [11899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 22),
  [11901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 22),
  [11903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [11905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [11907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4426),
  [11910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9477),
  [11913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4387),
  [11916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [11919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4388),
  [11922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9468),
  [11925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8654),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [11934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(6045),
  [11937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23),
  [11939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(9316),
  [11942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(9412),
  [11945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(6017),
  [11948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(8161),
  [11951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(6006),
  [11954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 23), SHIFT_REPEAT(9514),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [11959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [11965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [11967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9438),
  [11969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [11991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4114),
  [11994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4639),
  [11997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3834),
  [12000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4557),
  [12003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [12006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [12008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9330),
  [12011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8427),
  [12014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [12016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9457),
  [12019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9465),
  [12022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4444),
  [12025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 1, 0, 0),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [12031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 24),
  [12033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 24),
  [12035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [12039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 2, 0, 0),
  [12041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 3, 0, 0),
  [12043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 31),
  [12045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 31),
  [12047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [12051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [12059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [12063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [12065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [12067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3843),
  [12070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4527),
  [12073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [12075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(9186),
  [12078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4334),
  [12081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3938),
  [12084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3941),
  [12087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [12089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7973),
  [12092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 25),
  [12094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 25),
  [12096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [12100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [12102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [12110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 100), SHIFT_REPEAT(4138),
  [12113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 100),
  [12115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 100),
  [12117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 59),
  [12119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 59),
  [12121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 60),
  [12123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 60),
  [12125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [12131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [12133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 7),
  [12135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [12137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [12141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [12145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [12147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 66),
  [12149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 66),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [12171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [12173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [12181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [12183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [12193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [12195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [12197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [12199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [12201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [12203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [12207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [12209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [12211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [12213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [12215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [12217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [12219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [12221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [12223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [12225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [12227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [12231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9180),
  [12233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [12235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [12237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [12239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [12241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [12243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [12247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9499),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [12251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9218),
  [12253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 67),
  [12255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 67),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [12263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [12267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9347),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [12271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9377),
  [12277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 99),
  [12279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 99),
  [12281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 159),
  [12283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 159),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [12287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9026),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [12295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [12299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [12303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9058),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [12307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9067),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [12315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9507),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [12319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9127),
  [12321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 132),
  [12323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 132),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [12327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [12331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9144),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9145),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [12339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9057),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [12343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9148),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [12347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9151),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [12351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9152),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [12355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9297),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8874),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [12363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9192),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [12367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9195),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [12375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9216),
  [12377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 133),
  [12379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 133),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [12383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9225),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8679),
  [12393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 26),
  [12395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 26),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [12399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [12403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [12407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8785),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [12411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9269),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [12415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [12419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8674),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [12423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9289),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [12427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9290),
  [12429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [12433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9559),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [12437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [12439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 34),
  [12441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 34),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [12445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9321),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [12449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9335),
  [12451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 12),
  [12453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 12),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [12457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [12461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9357),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [12465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9366),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [12469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9373),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [12473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9380),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [12477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9387),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [12481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9394),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9400),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [12489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 58),
  [12493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 58),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [12497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [12501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8594),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [12505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9182),
  [12507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [12509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [12511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [12513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [12517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [12521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [12523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [12525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [12527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [12543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 2, 0, 22),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [12547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [12595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4114),
  [12598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4639),
  [12601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3823),
  [12604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4550),
  [12607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [12610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [12612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8391),
  [12615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [12619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4114),
  [12622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4639),
  [12625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3835),
  [12628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4546),
  [12631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8266),
  [12634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [12636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8498),
  [12639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [12651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 138),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [12659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 3, 0, 73),
  [12661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 3, 0, 22),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [12665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 73),
  [12667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 138),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 4, 0, 22),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [12673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 73),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 73),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [12679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 3, 0, 22),
  [12681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 3, 0, 22),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [12685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 106),
  [12687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 106),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [12691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 4, 0, 22),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [12695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 4, 0, 22),
  [12697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 5, 0, 73),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [12701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 5, 0, 73),
  [12703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 22),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [12707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 22),
  [12709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 163),
  [12711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 163),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [12715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 73),
  [12717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 73),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [12721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 107),
  [12723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 107),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [12727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 107),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [12731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 107),
  [12733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 137),
  [12735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 137),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [12739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 139),
  [12741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 139),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [12745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 163),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [12749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 163),
  [12751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 22),
  [12753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 22),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [12757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 22),
  [12759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 22),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [12763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 74),
  [12765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 74),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [12769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 4, 0, 73),
  [12771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 4, 0, 73),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [12775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 137),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [12779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 137),
  [12781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 73),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [12785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 73),
  [12787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 139),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [12791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 139),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [12799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 22),
  [12801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 22),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [12809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [12819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 107),
  [12821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 107),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [12831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 73),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [12841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 138),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [12851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 22),
  [12853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 107),
  [12855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 107),
  [12857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 137),
  [12859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 137),
  [12861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 74),
  [12863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 74),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [12867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 73),
  [12869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 73),
  [12871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 22),
  [12873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 22),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [12881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 138),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [12885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 7, 0, 139),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 7, 0, 139),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [12895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 137),
  [12897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 137),
  [12899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 73),
  [12901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 73),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0),
  [12907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0),
  [12909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(9186),
  [12912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4334),
  [12915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 7, 0, 139),
  [12917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 7, 0, 139),
  [12919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 8, 0, 163),
  [12921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 8, 0, 163),
  [12923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 73),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [12929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 8, 0, 163),
  [12931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 8, 0, 163),
  [12933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 106),
  [12935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 106),
  [12937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [12939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [12951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 22),
  [12953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 22),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [12963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 70),
  [12965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 70),
  [12967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 31),
  [12969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 31),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [12981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [12993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 31),
  [12995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 31),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [13001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 2, 0, 0),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [13017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label_start_expression, 2, 0, 30),
  [13023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_label_start_expression, 2, 0, 30),
  [13025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6549),
  [13028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0),
  [13030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6528),
  [13033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6565),
  [13036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6595),
  [13039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(9254),
  [13042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6408),
  [13045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 1, 0, 0),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [13055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 5, 0, 73),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [13059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 5, 0, 73),
  [13061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 22),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [13065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 22),
  [13067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 107),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [13071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 107),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [13105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 73),
  [13107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 22),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [13123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 137),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [13127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 137),
  [13129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 73),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [13133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 73),
  [13135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 139),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [13139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 139),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [13145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 137),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [13149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 137),
  [13151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 73),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [13155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 73),
  [13157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 139),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [13161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 139),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [13165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 138),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [13171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 73),
  [13173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 5, 0, 22),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [13183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 163),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [13187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 163),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [13193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 163),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [13197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 163),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 138),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [13231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 4, 0, 22),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [13235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 4, 0, 22),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [13241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 1, 0, 0),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [13245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 5, 0, 73),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [13249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 5, 0, 73),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [13253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 22),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [13257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 22),
  [13259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 4, 0, 22),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [13263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 4, 0, 22),
  [13265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 107),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [13269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 107),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [13283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 22),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [13289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [13297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 73),
  [13299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 73),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [13309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 7, 0, 139),
  [13311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 7, 0, 139),
  [13313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 22),
  [13315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 22),
  [13317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 137),
  [13319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 137),
  [13321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 73),
  [13323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 73),
  [13325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 7, 0, 139),
  [13327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 7, 0, 139),
  [13329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 107),
  [13331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 107),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [13335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 8, 0, 163),
  [13337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 8, 0, 163),
  [13339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 3, 0, 0),
  [13341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 8, 0, 163),
  [13343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 8, 0, 163),
  [13345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 2, 0, 0),
  [13347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 2, 0, 22),
  [13349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 22),
  [13351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 22),
  [13353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 107),
  [13355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 107),
  [13357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 137),
  [13359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 137),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [13369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 2, 0, 0),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [13373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [13379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 1, 0, 0),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [13389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0),
  [13391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8832),
  [13394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8832),
  [13397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8838),
  [13400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9019),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [13431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_edit_descriptor, 1, 0, 0),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [13435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 138),
  [13437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 73),
  [13439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 22),
  [13441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 138),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [13463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 3, 0, 22),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [13467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [13479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 3, 0, 22),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [13483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [13493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 3, 0, 22),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [13497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [13581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 22),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [13601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 138),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [13613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 4, 0, 73),
  [13615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 4, 0, 22),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [13633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 4, 0, 73),
  [13635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 4, 0, 22),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [13669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 4, 0, 73),
  [13671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 4, 0, 22),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [13729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 5, 0, 138),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [13753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 5, 0, 138),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [13767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 5, 0, 138),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [13799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 73),
  [13801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 22),
  [13803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 73),
  [13805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 22),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [13869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9572),
  [13871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [13885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [13887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [13913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_item, 3, 0, 0),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [13939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [13941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [13943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [13949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 4, 0, 46),
  [13951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 169),
  [13953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 169),
  [13955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 187),
  [13957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 187),
  [13959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [13961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [13963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 6, 0, 0),
  [13965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 6, 0, 0),
  [13967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 145),
  [13969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 145),
  [13971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [13973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [13975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0),
  [13977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9466),
  [13980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8893),
  [13983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 3, 0, 46),
  [13985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 3, 0, 22),
  [13987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 9, 0, 209),
  [13989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 9, 0, 209),
  [13991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 169),
  [13993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 169),
  [13995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 170),
  [13997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 170),
  [13999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [14001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [14003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8535),
  [14006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8452),
  [14009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [14011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [14013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 8, 0, 200),
  [14015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 8, 0, 200),
  [14017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 7, 0, 0),
  [14019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 7, 0, 0),
  [14021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9356),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [14029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [14031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8696),
  [14034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [14036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4062),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [14047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [14119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 1, 0, 18),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [14131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4474),
  [14134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [14178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 135),
  [14180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 135),
  [14182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 104),
  [14184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 104),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [14234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 102),
  [14236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 102),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [14244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 100), SHIFT_REPEAT(4370),
  [14247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 100),
  [14249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 100),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [14271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 103),
  [14273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 103),
  [14275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 71),
  [14277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 71),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [14317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_statement, 2, 0, 0),
  [14319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 66),
  [14321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 66),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [14331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [14333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(4152),
  [14336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [14342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 1, 0, 0),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [14354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 4, 0, 0),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [14380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namelist_statement, 2, 0, 0),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [14392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 13),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [14408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3555),
  [14411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0), SHIFT_REPEAT(4037),
  [14414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [14420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [14424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 71),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [14428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8790),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [14432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [14436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8799),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [14440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [14442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0), SHIFT(2417),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [14447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8817),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [14451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [14455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9013),
  [14457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3673),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [14464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_size, 1, 0, 0),
  [14466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 66),
  [14468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 66),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [14474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [14476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 100), SHIFT_REPEAT(4331),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [14481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8835),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [14485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 2, 0, 0),
  [14487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4522),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [14496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [14500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [14504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 109),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [14508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 39),
  [14510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 17),
  [14512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 3, 0, 0),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [14516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 7, 0, 109),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [14520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8844),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [14524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8853),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [14528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8862),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [14532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 39),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [14536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 5, 0, 0),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [14540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [14544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [14548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 4, 0, 104),
  [14550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_result, 4, 0, 0),
  [14552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 2, 0, 31),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [14556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 2, 0, 0),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [14560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8889),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [14568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [14570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 6, 0, 0),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [14574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [14576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [14578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [14582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 39),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [14586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [14590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8925),
  [14592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 4, 0, 0),
  [14594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4087),
  [14597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [14601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [14603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 2, 0, 0),
  [14605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [14609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8943),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [14615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [14617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [14621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8764),
  [14623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 5, 0, 0),
  [14625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 5, 0, 0),
  [14627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(4173),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [14632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9282),
  [14634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(6436),
  [14637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [14641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9478),
  [14643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 7, 0, 0),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [14647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9498),
  [14649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_name, 1, 0, 52),
  [14651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [14653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4496),
  [14656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [14662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8952),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [14666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8961),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [14670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [14674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9437),
  [14676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4517),
  [14679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [14683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8979),
  [14685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 2, 0, 0),
  [14687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 70),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [14693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8987),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [14699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 100), SHIFT_REPEAT(3977),
  [14702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 100),
  [14704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8189),
  [14707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [14711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9119),
  [14713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 6, 0, 0),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [14717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [14719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 8, 0, 109),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [14723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [14727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8699),
  [14729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 17),
  [14731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [14735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9479),
  [14737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [14739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [14743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 2, 0, 17),
  [14745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 3, 0, 0),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [14749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8877),
  [14751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 100), SHIFT_REPEAT(4179),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [14756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8666),
  [14758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 100), SHIFT_REPEAT(4384),
  [14761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 100),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [14765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8730),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [14769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [14773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [14775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [14787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [14815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 0),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [14821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 4, 0, 0),
  [14823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 4, 0, 0),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [14833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [14889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [14893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [14927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3397),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [14940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [14946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0), SHIFT_REPEAT(3567),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [14981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 3, 0, 7),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [14993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [15015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [15039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [15059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [15063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [15087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 2, 0, 0), SHIFT_REPEAT(9181),
  [15090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 2, 0, 0),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 31),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [15106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 6, 0, 0),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [15122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0), SHIFT_REPEAT(3542),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [15127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [15183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [15187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [15191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [15201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [15231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [15257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [15261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [15285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 31),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [15293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 0, 0),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [15301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [15307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [15317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [15367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [15385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 2, 0, 0),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [15405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [15409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [15413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [15441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [15451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [15501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [15507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [15525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4552),
  [15528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_identifier, 1, 0, 0),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [15566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [15570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [15574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9395),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [15606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [15630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [15634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [15646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [15650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 5, 0, 0),
  [15652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [15722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 2, 0, 0),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [15726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 0),
  [15728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 4, 0, 0),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [15734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defined_io_procedure, 4, 0, 0),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [15746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [15756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [15794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [15802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [15818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [15820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [15832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 6, 0, 0),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [15850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [15864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [15872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [15956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [15958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [15960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [15968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [15976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [15978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [15984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [15988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [15996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 142), SHIFT_REPEAT(3656),
  [15999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 142),
  [16001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(4484),
  [16004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0),
  [16006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_shape, 1, 0, 0),
  [16008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 1, 0, 0),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [16016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [16042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(7122),
  [16045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [16055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_alias, 3, 0, 143),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [16059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0), SHIFT_REPEAT(8360),
  [16062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [16066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 111), SHIFT_REPEAT(6514),
  [16069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 111),
  [16071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [16075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8363),
  [16078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [16094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [16112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat1, 2, 0, 0), SHIFT_REPEAT(3407),
  [16115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 4, 0, 0),
  [16117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [16125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2431),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [16134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [16142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4461),
  [16145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [16149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 5, 0, 0),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [16157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 4, 0, 0),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [16163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 3, 0, 0),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [16173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 2, 0, 0),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [16181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7715),
  [16184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [16188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [16190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [16194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [16196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [16198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [16204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [16210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [16220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [16224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [16226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [16228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [16230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [16236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4491),
  [16239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [16263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0), SHIFT_REPEAT(4473),
  [16266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [16270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3808),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [16275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [16281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [16287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4480),
  [16290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0),
  [16292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [16294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [16296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [16312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(4433),
  [16315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [16323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3687),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [16332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 126), SHIFT_REPEAT(3475),
  [16335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 126),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [16339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 5, 0, 125),
  [16341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 4, 0, 0),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [16345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_statement, 1, 0, 0),
  [16347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 4, 0, 0),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [16351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [16353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 3, 0, 0),
  [16355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_statement, 3, 0, 0),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [16359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8812),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [16363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9482),
  [16365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [16367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [16371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9042),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [16377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 4, 0, 0),
  [16379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_if_statement, 3, 0, 0),
  [16381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 3, 0, 0),
  [16383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 3, 0, 0),
  [16385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 7, 0, 0),
  [16387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 120),
  [16389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 154),
  [16391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 0),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [16395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [16397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 4, 0, 0),
  [16399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 7, 0, 0),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [16403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [16405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 8, 0, 0),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [16411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 6, 0, 0),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [16415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8923),
  [16417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 4, 0, 21),
  [16419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_statement, 4, 0, 87),
  [16421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 7, 0, 0),
  [16423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 6, 0, 0),
  [16425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 172),
  [16427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_where_statement, 3, 0, 0),
  [16429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 88),
  [16431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 125),
  [16433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 9, 0, 0),
  [16435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign_statement, 4, 0, 89),
  [16437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 10, 0, 0),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [16445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9232),
  [16447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 3, 0, 119),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [16451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9371),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [16455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 7, 0, 0),
  [16457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 3, 0, 127),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [16461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9338),
  [16463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 4, 0, 0),
  [16465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [16467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 4, 0, 0),
  [16469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [16471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8518),
  [16473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 3, 0, 75),
  [16475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 5, 0, 0),
  [16477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [16479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9490),
  [16481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 3, 0, 146),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [16485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9516),
  [16487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 2, 0, 0),
  [16489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 4, 0, 0),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [16493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [16497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8536),
  [16499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [16501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8620),
  [16503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 121),
  [16505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_if_statement, 7, 0, 0),
  [16507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 10, 0, 172),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [16511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8565),
  [16513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 2, 0, 48),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [16517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8571),
  [16519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [16521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [16523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [16527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8598),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [16533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8604),
  [16535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 45),
  [16537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 1, 0, 0),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [16541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [16545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [16547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 4, 0, 0),
  [16549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 3, 0, 171),
  [16551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_statement, 1, 0, 0),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [16555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8664),
  [16557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 3, 0, 0),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [16561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8670),
  [16563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 39),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [16567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8697),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [16571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [16573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 3, 0, 0),
  [16575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 4, 0, 0),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [16579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [16583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [16585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [16587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [16589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [16591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [16593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8746),
  [16595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [16597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [16599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [16601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [16603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 5, 0, 0),
  [16605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [16607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [16609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [16611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [16613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [16615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [16619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8789),
  [16621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [16623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [16625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [16627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8798),
  [16629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [16631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [16633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [16635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [16637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [16639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [16641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8810),
  [16643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [16645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [16647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 122),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [16651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8819),
  [16653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [16655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9099),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [16659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [16661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 3, 0, 0),
  [16663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [16665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [16667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 0),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [16671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8834),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [16675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8837),
  [16677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [16679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [16681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 149),
  [16683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [16685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [16687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 8, 0, 0),
  [16689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [16691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8852),
  [16693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 2, 0, 28),
  [16695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [16697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8855),
  [16699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 150),
  [16701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [16703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8861),
  [16705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 8, 0, 178),
  [16707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [16709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [16711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [16713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8870),
  [16715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 8, 0, 179),
  [16717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [16719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [16723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [16725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 8, 0, 180),
  [16727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [16729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [16731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [16733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8888),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [16737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [16739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [16741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [16745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8900),
  [16747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [16749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [16753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [16755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [16757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8915),
  [16759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [16761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [16763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 151),
  [16765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [16767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [16771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [16773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [16775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [16783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8927),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [16787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [16789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 6, 0, 0),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [16793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8936),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [16797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [16801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [16805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8951),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [16809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [16813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8960),
  [16815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 3, 0, 101),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [16819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8963),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [16823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [16825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 5, 0, 0),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [16829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8972),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [16833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8978),
  [16835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 8, 0, 0),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [16839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [16843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [16845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 8, 0, 155),
  [16847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [16849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8989),
  [16851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 11, 0, 0),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [16855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [16857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9050),
  [16859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 4, 0, 88),
  [16861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 6, 0, 0),
  [16863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [16867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 3, 0, 0),
  [16869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 8, 0, 125),
  [16871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enumeration_type_statement, 4, 0, 2),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [16881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 109),
  [16883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [16887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 6, 0, 0),
  [16889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [16891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 4, 0, 156),
  [16893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 5, 0, 0),
  [16895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 110),
  [16897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiple_subscript_triplet, 2, 0, 0),
  [16899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 3, 0, 0),
  [16901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 3, 0, 90),
  [16903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 9, 0, 0),
  [16905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_forall_statement, 2, 0, 0),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [16915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_type_specifier, 4, 0, 0),
  [16917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 6, 0, 155),
  [16919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 17),
  [16921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 3, 0, 0),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [16925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9382),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [16933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 149),
  [16935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 2, 0, 0),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [16939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [16941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 5, 0, 0),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [16945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9346),
  [16947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 3, 0, 153),
  [16949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 4, 0, 0),
  [16951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 1, 0, 0),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [16955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 6, 0, 88),
  [16957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3663),
  [16960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 150),
  [16962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 151),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [16966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9090),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [16970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 6, 0, 0),
  [16972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 6, 0, 0),
  [16974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 3, 0, 0),
  [16976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 5, 0, 0),
  [16978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 3, 0, 0),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [16984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9401),
  [16986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 38),
  [16988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_label, 1, 0, 76),
  [16990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forall_statement, 1, 0, 0),
  [16992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [16994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 3, 0, 85),
  [16996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 3, 0, 63),
  [16998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 118),
  [17000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 161),
  [17002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 5, 0, 0),
  [17004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 3, 0, 0),
  [17006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 86),
  [17008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 3, 0, 0),
  [17010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 5, 0, 0),
  [17012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 3, 0, 0),
  [17014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 2, 0, 65),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [17018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [17020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 7, 0, 0),
  [17022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 64),
  [17024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 4, 0, 0),
  [17026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 178),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [17030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [17032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 5, 0, 0),
  [17034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 179),
  [17036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 162),
  [17038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 180),
  [17040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 161),
  [17042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 162),
  [17044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 6, 0, 0),
  [17046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 6, 0, 0),
  [17048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 7, 0, 0),
  [17050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 5, 0, 121),
  [17052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 1, 0, 0),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [17056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 5, 0, 122),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [17060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8901),
  [17062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 40),
  [17064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 41),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [17068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 1, 0, 29),
  [17070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 6, 0, 0),
  [17072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [17074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [17076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 9, 0, 155),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [17080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9541),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [17088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 9, 0, 172),
  [17090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 5, 0, 0),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [17096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 5, 0, 0),
  [17098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 4, 0, 0),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [17108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 6, 0, 0),
  [17110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 5, 0, 0),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [17160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 4, 0, 107),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [17176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 106),
  [17178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 182),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [17188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 4, 0, 107),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [17194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 106),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [17200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 139),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [17206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 107),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [17210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 163),
  [17212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [17214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 7, 0, 199),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [17226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 6, 0, 165),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [17256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_type, 2, 0, 0),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [17266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 106),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [17278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 7, 0, 199),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [17290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 164),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [17302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 74),
  [17304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 6, 0, 182),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [17320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 182),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [17324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 137),
  [17326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 5, 0, 139),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [17340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 6, 0, 182),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [17386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 74),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [17390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 139),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [17412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 5, 0, 137),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [17440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 5, 0, 139),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [17476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 163),
  [17478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 2, 0, 0),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [17486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 5, 0, 137),
  [17488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 5, 0, 139),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [17536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 106),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [17542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 106),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [17622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 107),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [17638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 137),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [17662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 4, 0, 107),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [17676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 6, 0, 165),
  [17678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 164),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [17688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 137),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [17692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 5, 0, 139),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [17738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 6, 0, 182),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [17784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 5, 0, 0),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [17814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 137),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [17828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 5, 0, 139),
  [17830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 106),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [17848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 164),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [17912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 164),
  [17914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 137),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [17938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 164),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [17956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [17964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 164),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [17974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 5, 0, 137),
  [17976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 5, 0, 139),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [17982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 74),
  [17984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 74),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [17988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 74),
  [17990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 164),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [17994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 6, 0, 182),
  [17996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 6, 0, 182),
  [17998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 6, 0, 182),
  [18000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 5, 0, 139),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [18014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 6, 0, 182),
  [18016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 199),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [18022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 6, 0, 182),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [18040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [18046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 3, 0, 0),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [18050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 7, 0, 199),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [18054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 6, 0, 165),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [18076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 181),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [18102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 7, 0, 183),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [18150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 163),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [18160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 137),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [18172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 8, 0, 208),
  [18174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unlimited_polymorphic, 1, 0, 0),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [18178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 137),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [18200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 5, 0, 139),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [18284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 164),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [18294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 106),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [18304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 74),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [18342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 137),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [18356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 164),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [18362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_case, 3, 0, 0),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [18384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_case, 2, 0, 0),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [18396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 106),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [18422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 4, 0, 0),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [18438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [18466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 74),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [18470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 107),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [18528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 163),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [18542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_type, 3, 0, 0),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [18554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [18594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 5, 0, 139),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [18616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 4, 0, 107),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [18624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 3, 0, 74),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [18662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 3, 0, 74),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [18666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 107),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [18676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 107),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [18688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_op, 1, 0, 0),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [18696] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [18756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 137),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [18766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 4, 0, 107),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [18772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 139),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [18776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 165),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [18828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_rank, 3, 0, 0),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [18880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [18886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 107),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [18898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 4, 0, 0),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [18934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 106),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [18972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 107),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [18986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_rank, 2, 0, 0),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [18996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 182),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [19002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 182),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_AMP = 0,
  ts_external_token__integer_literal = 1,
  ts_external_token__float_literal = 2,
  ts_external_token__boz_literal = 3,
  ts_external_token__string_literal = 4,
  ts_external_token__string_literal_kind = 5,
  ts_external_token__external_end_of_statement = 6,
  ts_external_token__preproc_unary_operator = 7,
  ts_external_token_hollerith_constant = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_AMP] = anon_sym_AMP,
  [ts_external_token__integer_literal] = sym__integer_literal,
  [ts_external_token__float_literal] = sym__float_literal,
  [ts_external_token__boz_literal] = sym__boz_literal,
  [ts_external_token__string_literal] = sym__string_literal,
  [ts_external_token__string_literal_kind] = sym__string_literal_kind,
  [ts_external_token__external_end_of_statement] = sym__external_end_of_statement,
  [ts_external_token__preproc_unary_operator] = sym__preproc_unary_operator,
  [ts_external_token_hollerith_constant] = sym_hollerith_constant,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
    [ts_external_token__preproc_unary_operator] = true,
    [ts_external_token_hollerith_constant] = true,
  },
  [2] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [3] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [4] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [5] = {
    [ts_external_token_AMP] = true,
  },
  [6] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__preproc_unary_operator] = true,
  },
  [7] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [8] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
  },
  [9] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [10] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
  },
  [11] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token_hollerith_constant] = true,
  },
  [12] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [13] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_fortran_external_scanner_create(void);
void tree_sitter_fortran_external_scanner_destroy(void *);
bool tree_sitter_fortran_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_fortran_external_scanner_serialize(void *, char *);
void tree_sitter_fortran_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_fortran(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_fortran_external_scanner_create,
      tree_sitter_fortran_external_scanner_destroy,
      tree_sitter_fortran_external_scanner_scan,
      tree_sitter_fortran_external_scanner_serialize,
      tree_sitter_fortran_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
